# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

require 'date'
require 'google/apis/core/base_service'
require 'google/apis/core/json_representation'
require 'google/apis/core/hashable'
require 'google/apis/errors'

module Google
  module Apis
    module ContentwarehouseV1
      
      class AbuseiamAbuseType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamAgeRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamAndRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamClient
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamClusterEvaluationContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamConstantRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamContentRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamEvaluation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamGeoRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamGeoRestrictionLocale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamHash
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamManualReviewEvaluationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamManualReviewTool
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamManualReviewerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamNameValuePair
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamNotRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamOrRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamRegion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamSpecialRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamUserNotification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamUserRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamVerdict
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamVerdictRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamVerdictRestrictionContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamVideoReviewData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamVideoReviewer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AdsShoppingReportingOffersSerializedSoriId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class Anchors
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AnchorsAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AnchorsAnchorSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AnchorsRedundantAnchorInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsDynamiteCustomerId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsDynamiteSharedOrganizationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsDynamiteSharedOrganizationInfoConsumerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsDynamiteSharedOrganizationInfoCustomerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleActivityBackendDestinationStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleActivityStreamqualityDistillerEngagements
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAbout
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataNameDisplayOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareDataDiffData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileEditability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileNameModificationHistory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAccountEmail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAdditionalContainerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAddress
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAffinity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAgeRangeType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAppUniqueInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBestDisplayName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthday
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriod
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriodManualGracePeriodInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBraggingRights
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCalendar
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedDataCallerIdSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCertifiedBornBefore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiChannelData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCircleMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiClientData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCommunicationEmail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiContactGroupMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiContactStateInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCoverPhoto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCustomSchemaField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCustomerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDedupedContainerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDelegatedGroupInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfoExtensionData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailCertificate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailCertificateCertificateStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailContactGroupPreference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailSignupEmailMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmergencyInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiExternalId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScope
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclCircleAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclContactGroupAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopePersonAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldEmergencyInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFileAs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGPayExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGender
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGplusExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiHangoutsExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiIdentityInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiIm
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetClientData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetOriginatingField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppReachability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppReachabilityReachabilityKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInteractionSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInterest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLanguage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLatLng
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLegacyFields
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLimitedProfileSettingsField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLocationExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiManagementUpchain
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiManagementUpchainIndirectManager
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfileFieldRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfileUrlLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMatchInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMatchInfoLookupTokenMatch
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMission
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiNickname
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOccupation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHours
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHoursPeriod
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganization
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganizationAssignment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganizationProject
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOtherKeyword
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfoStExpressionResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhoneExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhoto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhotoPhotoStorageId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlaceDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedDataAchievement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlusPageInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPointSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPosixAccount
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProductMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProductProfileFailure
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProfileUrl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPronoun
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRawDeviceContactAnalyticalInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfoDomainInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationRelationDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationshipInterest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationshipStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRightOfPublicityState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterMember
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterMemberCount
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSearchProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSipAddress
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSkills
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSocialConnection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSortKeys
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSourceIdentity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSshPublicKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumberI18nData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhoneShortCode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiTagline
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiTeamsExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiUserDefined
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiUserVisibleStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiVisibleToGuests
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebContactsExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebsite
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebsiteRelationshipInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AppsPeopleOzExternalMergedpeopleapiYoutubeExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAccessControlOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiActionV2SupportedFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAndroidIntentCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAndroidIntentCapabilitiesAndroidIntentCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAppCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAppCapabilitiesDelta
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAppControlSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAppIntegrationsSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAssistantContinuedPresenceSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAudioInput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiAudioOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCallCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCameraCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCameraReceiverCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCarAssistantCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCarSettingsCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCastAssistantSettingLinkingResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCastCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiClientOpPropertiesDeviceModifySettingClientOpProperty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiClientOpPropertiesProviderOpenClientOpProperty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiClockCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCommunicationUiCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiContactLookupCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesAndroidAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesAndroidAppInfoDelta
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEventAttendee
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEventMeetingContact
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEventRoom
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEventRoomRoomLocationDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCalendarEventWrapper
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCastAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesChromeOsAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCloudProviderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesCloudProviderInfoAgentStyle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesDeviceConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesDeviceId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesDeviceUserIdentity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedColor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataCharacterAlarmMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataFuntimeMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataGenMlAlarmMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataGentleWakeInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataOnDeviceAlarmMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataRoutineAlarmMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesHomeAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesImage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesInternalProviderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesIosAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesKaiOsAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesLocationCoordinates
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesMessageNotification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesMessageNotificationNotificationEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesMessageNotificationPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesProviderDelta
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesSipProviderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesSurfaceIdentity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesSurfaceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesSurfaceVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesWebProviderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCoreTypesWebProviderInfoThirdPartyCustomNluInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiCrossDeviceExecutionCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiDeviceCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiDuration
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiFeatureSpecificActionSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiFitnessFeatureSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiFluidActionsSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiGacsCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiGcmCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiGestureCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiGuestAccessOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiImmersiveCanvasSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiJwnCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesDining
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesEducation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesOutdoor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesShopping
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesText
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesTranslate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLiveTvChannelCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLiveTvChannelCapabilitiesChannelsByProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLiveTvChannelCapabilitiesLiveTvChannel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLiveTvProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLocationCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiLoggingOnlyData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiMediaControlSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiMessageCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiMovementCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiNotificationOutputRestrictions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutStateCategoryGroupState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutStateCategoryState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiOemCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiOnDeviceAssistantCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiOnDeviceSmartHomeCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiOnDeviceStorageCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiOutputRestrictions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiProactiveOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiProtobuf
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiRecurrence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiRecurrenceDatetimeRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiScreenCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiScreenCapabilitiesMask
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiScreenCapabilitiesProtoLayoutVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiScreenCapabilitiesResolution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSelinaCapabilites
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsAmbientSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsAppCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsAutoFramingSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsCarrierCallDeviceSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsCommunicationsFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceDowntimeSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceFeatureFilters
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceLogsOptIn
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceSettingsCrossSurfaceAvailability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDeviceSupervisionSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDowntimePeriod
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDowntimeSchedule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsDuoCallDeviceSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsFeatureFilters
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsGcmSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHomeGraphData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHospitalityCardSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHospitalityCardSettingsCardConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHospitalityCardSettingsYouTubeCardConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHospitalityMode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHospitalityModeBranding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsHotwordThresholdAdjustmentFactor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsInternalAncillaryDeviceId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsInternalVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsKidsMode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsLabeledDowntimeSchedule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsLinkedUser
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsMarketplaceDisclosure
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsMasqueradeMode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsMusicFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsNewsFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsNotificationProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsNotificationProfileAlloNotificationProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsOnDeviceAppSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsPersonalizationMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsPodcastFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsPoliteMode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsReauthTrustedDeviceSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsReauthTrustedDeviceSettingsTrustSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsSearchFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsSpeechOutputSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsSpeechSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsTetheredInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsThirdPartyAppsFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsVideoFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSettingsWebviewFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSignInMethod
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSodaCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSoftwareCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSpeechCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSuggestionsSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSuggestionsSupportDisplayTargetSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSunriseFeaturesSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedClientOp
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedClientOpSupportedExecution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedConversationVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedProtocolVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedProtocolVersionMessageVersionPair
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSupportedProviderTypes
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSurfaceProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSurfacePropertiesExecutionCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSystemNotificationRestrictions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSystemNotificationRestrictionsNotificationCategoryState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiSystemNotificationRestrictionsNotificationChannelState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiThirdPartyActionConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiThirdPartyActionConfigProjectConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiThirdPartyCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiTimeOfDay
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiTimeZone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiTimestamp
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiTransactionFeaturesSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantApiVolumeProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDeviceTargetingDeviceTargetingError
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoAlarmCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoArgSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoCallCallCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoClientReconnectCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoCloudCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoCloudEndpoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoDeviceActionCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoDeviceModifySettingCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoExecutionConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoInlinedActionCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoIntValueSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoIntent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoInternalCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoInternalCapabilityStadiaAssistantConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaNextCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaPauseCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaPlayMediaCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaPreviousCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaResumeCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoMediaStopCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoOptionValueSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoProvidedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoProviderOpenCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoResponseLimits
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoSecurityConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoSendChatMessageCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoSupportedDeviceOps
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoTimerCapability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoTriggerCondition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantDevicesPlatformProtoUnderstandingConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsAllMediaStreamLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsAmbiguousTargetDeviceLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsAmbiguousTargetDeviceLogPuntInfoLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationDeviceContactInfoLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationFuzzyNgramMatchLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationGoogleAccountProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationPersonMetadataLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationPersonalContactDataLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationPhoneLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsCommunicationRawDeviceContactInfoLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDefaultDeviceLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDefaultDevicesLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceAnnotationLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceInfoLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceMediaSessionLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceSelectionLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceSelectionResultLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsDeviceTargetingTestCode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsInputErrorLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsLowConfidenceTargetDeviceLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsLumosProcessorInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsMediaCapabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsMediaDeviceSelectionDecisionSummary
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsMediaFocusInfoLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsMediaFocusesLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsMediaStreamLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsNearbyDevicesLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsQueryAnnotationLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsReminderLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsRoomAnnotationLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsStructureAnnotationLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantLogsTargetDeviceLog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantPrefulfillmentRankerPrefulfillmentSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantProductivityListItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantRemindersAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantRemindersAttachmentLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantRemindersMemoryPayload
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantRemindersNlgTemplateKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantTeleportTeleportNicknameSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsCommonContactMatchSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoActionProjectConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoAgentDeviceId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoAgentInformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoAttributes
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoCommonEventTrigger
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutine
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutineTrigger
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoCommonVoiceTrigger
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoConciergeFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoDeviceTargetingOutputQueryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationDevice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationDeviceItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationMetaData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationMetaDataSupportedTraits
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoPhysicalLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoRoleInformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoSmartDeviceManagementData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoSmartHomeFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AssistantVerticalsHomeautomationProtoSupportedStructureFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionPropertiesListEntryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionPropertiesSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionPropertiesSourceClient
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionPropertiesSourceSystem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesMentionPropertiesSourceUser
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesSemanticRoleId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesSpatialProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AttentionalEntitiesSurfaceForm
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BiasingPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BiasingPerDocData2
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BiasingPerDocData2BiasingField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BiasingPerDocDataBiasingField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlobstoreBlobRef
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlogPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlogPerDocDataOutlinks
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlogsearchConversationNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlogsearchConversationTree
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlueGingerClientVisibleProtoBlueGingerSupportedServices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BlueGingerClientVisibleProtoBlueGingerSupportedServicesBlueGingerModule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BookCitationPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BusinessHours
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class BusinessHoursInterval
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ChatBotPlatformBotSendToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ChatBotPlatformFireballId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornAggregatedUrlPornScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornClassifierData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornClassifierDataClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornDocumentData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornQueryClassifierOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornQueryMultiLabelClassifierOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornQueryStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornReferrerCounts
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornSiteData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornSiteDataVersionedScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ClassifierPornSiteViolenceStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CommerceDatastoreDeepTag
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CommerceDatastoreImageDeepTags
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CommerceDatastoreImageDeepTagsModelOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDoc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocAdditionalChecksums
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocAlternateName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocExtraDup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocForwardingDup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocIncludedContent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocIndexingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocLiveExperimentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocLiveExperimentInfoPerLiveExperimentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocLocalizedVariations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocPartialUpdateInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocPartialUpdateInfoLastFullIndexingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocQualitySignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompositeDocRobotsInfoList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CompressedQualitySignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ContentAttributions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ContentAttributionsOutgoingAttribution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ContentAwareCropsIndexing
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleyLexicalMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleyPersonalReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleyPersonalReferenceMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleySourceTypeList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleySourceTypeMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleySubreferenceMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleySubreferenceReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CopleySubreferenceResolution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CorpusSelectionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryClickDistribution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryClickDistributionItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryCountryAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryGeoLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryGeoLocations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryLocationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryMetroNbFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountryProvinceGeotoken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CountrySalientCountry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateMultipleComponentDistribution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateSingleComponentDistribution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateUrlChange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateUrlChangerate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateUrlHistory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrawlerChangerateUrlVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrowdingPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class CrowdingPerDocDataNewsCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DeepCropIndexing
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DeepCropPixels
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DocProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DocPropertiesBadTitleInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiDenseFeatureData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiFeatureExtra
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiFeatureSetData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiFeatureSetDataFeatureSetElement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiFeatureSetDataSequence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiIndexedFeatureData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiLabelSetData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiLabelSetElement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiQuantizedDenseFeatureData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiSparseFeatureData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperEncodedThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperMovingThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperMovingThumbnailScoreComponents
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperThumbnailQualityScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperUserReportHumanLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperUserReportModelScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperUserReportUserReportedThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class DrishtiVesperVideoThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EmbedsDeepLinkData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EmbedsEmbedClientItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EmbedsPackagingServiceClient
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EmbedsProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EmbedsTransientData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EntitySignalsClassificationOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EntitySignalsEntityClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EntitySignalsEntityFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EntitySignalsWeightedRelevanceRating
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class EventIdMessage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ExtraSnippetInfoResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ExtraSnippetInfoResponseMatchInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ExtraSnippetInfoResponseQuerySubitem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ExtraSnippetInfoResponseTidbit
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ExtraSnippetInfoResponseTidbitAnchorInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FaceIndexing
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactBinaryClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactDocClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactRephilClusters
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactRephilClustersCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactTaxonomicClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FatcatCompactTaxonomicClassificationCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendContactDetailHash
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendContactPointer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendDeviceContactId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendDeviceId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendDeviceRawContactId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendOtherContactId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FocusBackendSecondaryContactId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseCitation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseLatLong
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseMeasurement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseMeasurementUnit
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseNestedStruct
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebasePropertyValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class FreebaseValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GDocumentBase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GDocumentBaseContent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GDocumentBaseDirectory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GDocumentBaseOriginalContent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GenericSnippetResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeoOndemandAssistantSupportedActions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAccessPointProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAddressComponentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAddressLinesProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAddressProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAddressRangeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAnchoredGeometryProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAppliedSpeedLimitProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAttachmentsAttachmentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAttributeIdProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAttributeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreAttributeValueDisplayProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBarrierLogicalMaterialProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBestLocaleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBizBuilderReferenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBorderProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBoundingMarkerProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBuildingProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBusinessChainProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreBusinessHoursProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCallToActionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCanonicalGConceptProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCellCoveringProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreComposableItemProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCountComparisonProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCrossingStripePatternProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCurveConnectionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCurveConnectionProtoBezierParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCurveConnectionProtoBezierParamsControlPoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreCurveConnectionProtoCircleParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDataSourceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDateTimeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDimensionComparisonProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDimensionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDisplayDataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDoodleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreDurationBasedRateProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreElevationModelProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreElevationProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreEntranceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreEntranceReferenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreEstablishmentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreExceptionalHoursProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreExistenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureFieldMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureFieldMetadataProtoFieldProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureHistoryMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureIdForwardingsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureIdListProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureIdProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeaturePropertyIdProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFeatureProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFieldMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFieldWithRightsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFlowLineProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFoodMenuItemOptionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFoodMenuItemOptionProtoIngredient
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFoodMenuItemOptionProtoPortionSize
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreFoodMenuItemProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreGConceptInstanceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreGeopoliticalGeometryProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreGradeLevelProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreHtmlTextProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreInferredGeometryProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreInternalFeatureProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreInternalFieldMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreInternalSegmentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreInternalSourceSummaryProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreIntersectionGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreIntersectionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreJobMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreJobRelatedCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreKnowledgeGraphReferenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLandmarkReferenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLaneMarkerProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLaneProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLaneProtoLaneConnection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLanguageTaggedTextProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLevelProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLinearStripePatternProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLocaleLanguageProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLocaleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreLogicalBorderProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreMediaItemProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreMediaItemProtoMediaSize
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreNameProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreOntologyRawGConceptInstanceContainerProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreOntologyRawGConceptInstanceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreOpeningHoursProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreOperationsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreOverrideBorderStatusProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePaintedElementLogicalColorProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreParkingAllowanceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreParkingProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreParkingRestrictionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePeakProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePedestrianCrossingProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePhysicalLineProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePointProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePointWithHeightProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePoliticalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePolyLineProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePolygonProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePoseProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceInfoFoodNutritionFacts
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceInfoFoodNutritionFactsCaloriesFact
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceInfoFoodNutritionFactsNutritionFact
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceInfoProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceInfoStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceListNameInfoProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceListProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceListSectionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePriceRangeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostorePropertyValueStatusProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreProvenanceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRankDetailsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRankSignalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRawDataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRawMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRectProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRegulatedAreaProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRelationProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRestrictionGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRestrictionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRightsStatusProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRoadConditionalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRoadMonitorProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRoadSignComponentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRoadSignProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRouteAssociationProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreRouteProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSchoolDistrictProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSegmentPathProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSegmentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreServiceAreaProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreServicedStopProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSkiBoundaryProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSkiLiftProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSkiTrailProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSocialReferenceProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSourceInfoProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSourceTrustProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSpeedLimitProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSpeedProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreStableFieldPathProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreStableFieldPathProtoStableFieldSelector
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreSweepProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTelephoneProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTemporaryClosureProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTextAffixProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreThreeDimensionalModelProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimeBasedRateProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimeComponentProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimeEndpointProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimeIntervalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimeScheduleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTimezoneProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTollClusterProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTrackProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTransitLineProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTransitLineVariantProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTransitStationProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreTrustSignalsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreUnlimitedSpeedProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreUrlListProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreUrlProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreVariableSpeedProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreVehicleAttributeFilterProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreVerticalOrderingProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreWeightComparisonProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GeostoreWeightProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocAnchorLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocBoxPartitions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocBreakLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocCharLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocumentHeader
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocumentHeaderFont
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocumentPage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocumentPageBlock
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocDocumentPageMergedPageInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocFontSizeStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocLanguageCombinationLanguage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocLanguageLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocLogicalEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocLogicalEntityLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocOrdinal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocOrientationLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocOverrides
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocOverridesStyle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocParagraph
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocParagraphDroppedCap
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocParagraphRoute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocRotatedBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocRoutePoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelColumnDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelContentLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelContentLinkCitationTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelContentLinkInVolumeTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelEditCorrectionCandidate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelSnippetFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelTableCellDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSemanticLabelTableDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSummaryStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSymbol
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocSymbolSymbolVariant
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocWord
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocWordAlternates
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoodocWordAlternatesAlternate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1AudioOutConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1DeviceConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1DeviceState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1ResponseConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1ScreenOutConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantAccessoryV1ScreenOutConfigDimensions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1Alarm
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1AlarmRecurrence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1Alarms
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1DeviceBuild
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1DeviceModelCapabilitiesOverride
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1FitnessActivities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1FitnessActivity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1Timer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleAssistantEmbeddedV1Timers
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1AccessControlAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1Action
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ActionExecutorOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ActionOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1AddToFolderAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1CloudAiDocumentOption
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentLinkRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DataUpdateAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DataValidationAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DateTimeArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DateTimeTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentLinkRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1Document
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DocumentLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DocumentQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DocumentReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1DocumentSchema
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1EnumArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1EnumTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1EnumValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1FetchAclRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1FetchAclResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1FileTypeFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1FloatArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1FloatTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1GetDocumentRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1HistogramQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1HistogramQueryPropertyNameFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1HistogramQueryResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1InitializeProjectRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1InitializeProjectResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1IntegerArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1IntegerTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1InvalidRule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListDocumentSchemasResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedSourcesRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedSourcesResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedTargetsRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedTargetsResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListRuleSetsResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ListSynonymSetsResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1MapProperty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1MapTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1MergeFieldsOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1Property
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1PropertyArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1PropertyDefinition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1PropertyFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1PropertyTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1PublishAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1QaResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1QaResultHighlight
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RemoveFromFolderAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RequestMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1ResponseMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1Rule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RuleActionsPair
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RuleEngineOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RuleEvaluatorOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1RuleSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsResponseMatchingDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SetAclRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SetAclResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SynonymSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1SynonymSetSynonym
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TextArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TextTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TimeFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TimestampArray
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TimestampTypeOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1TimestampValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentSchemaRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UpdateRuleSetRequest
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1UserInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1Value
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1beta1CreateDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1beta1InitializeProjectResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudContentwarehouseV1beta1UpdateDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1Barcode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1BoundingPoly
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1Document
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentEntityNormalizedValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentEntityRelation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageAnchorPageRef
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageBlock
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDetectedBarcode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDetectedLanguage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDimension
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageFormField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageImage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageLayout
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageLine
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageMatrix
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageParagraph
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageSymbol
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTable
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTableTableCell
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTableTableRow
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTokenDetectedBreak
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentPageVisualElement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentProvenanceParent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentRevision
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentRevisionHumanReview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentShardInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentStyle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentStyleFontSize
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentTextAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentTextAnchorTextSegment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1DocumentTextChange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1NormalizedVertex
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleCloudDocumentaiV1Vertex
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleIamV1AuditConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleIamV1AuditLogConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleIamV1Binding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleIamV1Policy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaAvailabilityPeriod
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaCalendarBusy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaCustomLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaDoNotDisturb
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaHomeLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaInMeeting
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaInactive
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaLocalTimeContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaOfficeLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaOutOfOffice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaOutsideWorkingHours
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaTimeRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUpcomingOooContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUserAvailabilities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUserAvailability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUserContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUserLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaUserStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaWorkingElsewhereContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalAppsWaldoV1alphaWorkingHours
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalCommunicationsInstantmessagingV1Id
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleInternalCommunicationsInstantmessagingV1LocationHint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleLongrunningOperation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleProtobufEmpty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleRpcStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeColor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeExpr
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeInterval
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeLatLng
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeMoney
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypePostalAddress
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeTimeOfDay
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GoogleTypeTimeZone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class GroupsPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HomeGraphCommonRoute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HomeGraphCommonRoutingTable
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HomeGraphCommonTraitRoutingHints
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoAnonTimingStatPair
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoChromiumTrace
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoConsoleLogEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoCookie
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoDomStorageItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoDomTreeNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoDomTreeNodeAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoFrameResizeEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoImage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoInitialLoadEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoModalDialogEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoOffset
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoPartialRender
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoPdf
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRectangle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRedirectEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRedirectHop
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResourceFetchTiming
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderExtensionResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderStatsCounter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderTreeNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderTreeNodeInlineTextBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoResource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoResourceHttpHeader
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoScriptStackFrame
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoStyle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class HtmlrenderWebkitHeadlessProtoWindowOpenEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class I18nPhonenumbersPhoneNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageBaseThumbnailMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageBaseVideoPreviewMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageContentFlowProtoProd
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageContentQueryBoost
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageContentQueryBoostQueryBoost
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageContentStarburstVersionGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageDataMultibangEntities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageDataMultibangEntitiesMultibangEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageDataThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExactBoost
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExactBoostNavQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifIptcMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifIptcMetadataArtwork
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifIptcMetadataContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifIptcMetadataLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifIptcMetadataLocationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageExifImageEmbeddedMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageMonetizationFeaturedImageProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageMoosedogCrawlState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageMustangImageLinkSelectionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageMustangShoppingOffer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImagePerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImagePornDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRegionsImageRegion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRegionsImageRegions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryAmarnaCloudSpeechSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryAmarnaSignalsBlob
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryAmarnaSignalsBlobInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryAmarnaStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryAnimatedImagePerdocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryApiItagSpecificMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryApiXtag
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryApiXtagList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryContentBasedVideoMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryCrawlStatusInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFileTruncationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFrameIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFrameIdentifierPreviewFrameZeroVariant
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFrameIdentifierThumbnailVariant
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFramePerdoc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryFramePerdocs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryNimaOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryS3LangIdSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformationBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformationEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformationProductInformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformationProductInformationTokenGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryShoppingProductInformationVersionedProductInformationSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositorySpeechRecognitionAlternative
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositorySpeechRecognitionResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryUnwantedContent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVenomProcessingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVenomStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVideoIndexingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVideoLinkIndexingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVideoPreviewsDebuggingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVideoPreviewsVideoPreview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryVideoProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryWordInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageRepositoryYoutubeProcessingFilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSafesearchContentBrainPornAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSafesearchContentOcrAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSafesearchContentOffensiveSymbolDetection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSafesearchContentOffensiveSymbolMatch
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSearchImageIndexingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSearchImageLicenseInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSearchImageSelectionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageSearchUnindexedImageLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingAnnotationGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingImageRegion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingLabelGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ImageUnderstandingIndexingMetaData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingBadSslCertificate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterLocalizedAlternateName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRawRedirectInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRedirectChain
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRedirectChainHop
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRedirectParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRichContentData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRichContentDataRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterRobotsInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingConverterShingleFingerprint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingCrawlerIdServingDocumentIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorPhraseSpamInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorSpamInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorStatistics
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorStatisticsPerDupStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorStatisticsRedundantAnchorInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorStatisticsRedundantAnchorInfoForPhraseCap
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerAnchorTrustedInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerCDocBuildInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerDataVersion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerDataVersionVersionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerServingTimeClusterId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDocjoinerServingTimeClusterIds
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsComputedLocalizedAlternateNamesLocaleEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkMember
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkLinkAnnotationSourceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkSets
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkTargetDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentEmbeddedContentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentEmbeddedLinksInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentEmbedderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentFetchHostCount
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentFetchHostCountCounter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentFetchUrlResponseMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentLinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentOutputGenerationTimestamps
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentPageSizeInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentRenderCacheStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentRenderRequestConfigConfigParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentRenderingFetchStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentRenderingOutputMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingEmbeddedContentSelectionResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMlVerticalVerticalItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMobileInterstitialsProtoDesktopInterstitials
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMobileInterstitialsProtoDesktopInterstitialsDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMobileInterstitialsProtoInterstitialBasicInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMobileVoltCoreWebVitals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingMobileVoltVoltPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingPrivacyAccessAccessRequirements
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorAdaptiveIntervalData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorAgeWeightedCoverageData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorAggregatedScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorRunningMeanAndVarianceInternalState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorSccData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorSccSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorUrlPatternSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorUrlPatternSignalsPriorSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSignalAggregatorUrlScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingSpeechSpeechPropertiesProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeBigTreeBranch
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlTree
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KaltixPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KeGovernanceTypedRegions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersAnyType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersAttributeType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersBooleanType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersCollectionType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersCompoundType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersContainerType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersDateType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersDependencyType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersDialogReferentialResolution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersDurationType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersEntityType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentModifiers
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryAnnotationLayerSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgPath
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgPathComponent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceAttentionalEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceCurrentQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceInjectedContextualSchema
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousQueryRole
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousResponseMeaning
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStateListCandidate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStatePreviousFunctionCall
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceQueryAnaphor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceSearchAnswerValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryArgumentValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryAttributeSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryCollectionMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryCollectionScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryCoreference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryCustomVehicleActionArgumentAnnotatorSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryFreetextAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryFunctionCall
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryFunctionCallSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryGroundingSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryImpliedEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryIndexingIqlAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryLocalResultSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryLocalSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryLocationMarkersSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryMediaEntitySignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryMuninSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryNtprAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryNimbleAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryOnDeviceAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryParsingSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryPersonalEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryPersonalEntityEntityRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryQrefAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryRelatednessSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySaftSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySemanticAnnotationSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySemanticAnnotationSignalsFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySensitiveArgumentValueGuard
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryShoppingIds
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryShoppingIdsMeasureValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySignalComputationFallbackIntent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySimpleValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQuerySupportTransferSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryTeleportArgumentAnnotatorSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryTokenSynonym
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntentQueryTokens
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersIntersectType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMarker
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMarkerCommand
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMarkerOpenQuestion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMarkerPolarQuestion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMarkerStateOfAffairs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMeaningSchemaKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMeaningSchemaSlotKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersMeasurementType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersNormalizedStringType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersNumberType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueAogType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueAppAnnotationType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueAudioType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueCalendarEventType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueCalendarEventWrapperType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueCalendarReferenceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueComplexQueriesRewriteType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueComponentReferenceIndexType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueDeviceIdType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueDeviceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueDeviceUserIdentityType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueHomeAutomationDeviceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueLocationType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueMediaType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueMessageNotificationType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueMoneyType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueNewsProviderType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueOnDeviceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaquePersonType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaquePersonalIntelligenceEntityType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueProductivityListItemType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueRecurrenceType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueReminderType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueShoppingMerchantType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueShoppingOfferType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueShoppingProductExpressionType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueShoppingProductType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueShoppingStoreType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueTimerType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersOpaqueType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersPlexityRequirement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersPolarQuestionType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersRangeConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersRangeConstraintRangeEndpoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSameType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSemanticType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityArgumentEvalPolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityInstruction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityInstructionArgument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityInstructionIntent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityInstructionPreviousQuery
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityIntentEvalPolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityLoggingPolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityMyActivityPolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivitySensitivity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityServingPolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersSensitivityStoragePolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersStateOfAffairsType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersStringType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersTimeZoneType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersTrackingNumberType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersTypeTrait
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersUnionType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeAnswersValueType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphDateTimeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphNestedStruct
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphNestedStructPredicateObjs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphQualifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphQualifierSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphTriple
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphTripleObj
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphTripleObjProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeGraphTripleProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class KnowledgeVerticalsWeatherProtoUserSpecifiedLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentCourt
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentCourtNameComponent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentOpinionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentPerDocketInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentPub
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationCourtDocumentUnknownDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationLaw
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationLawCollectionName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalCitationLawLevel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LegalPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStyleAestheticsScoreSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStyleBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStylePersonAttributes
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStylePersonAttributesPersonVisibilityScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStylePersonAttributesPersonVisibilityScoresPersonVisibilityPrediction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStylePersonDetectionSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStylePersonDetectionSignalsDetectedPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStyleStyleImageTypeSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LensDiscoveryStyleStyleImageTypeSignalsStyleImageTypePrediction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ListSnippetResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ListSnippetResponseRow
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfoAddress
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfoCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfoOpeningHours
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfoPhone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalWwwInfoWrapptorItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalsearchChainId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalsearchDocInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadataAvailablePartnerInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadataServiceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsProtoIndexingCrawlerIdCrawlerIdProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsSemanticInterpretationIntentQueryEntityLinkMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsSemanticInterpretationIntentQueryLinkKindFlags
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsSemanticInterpretationIntentQueryLinkKindInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsSemanticInterpretationIntentQuerySupportTransferRule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LogsSemanticInterpretationIntentQueryWebrefEntityRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LongStructuredSnippet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class LongStructuredSnippetEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MajelContactInformationShortcutInformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ManyboxData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MapsQualitySpecialWordsFlags
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MapsQualitySpecialWordsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexBoundingbox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexEntityField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexFrameIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexFrameIdentifierPreviewFrameZeroVariant
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexRegion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexSparseFloatVector
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexVideoCentroid
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexVideoCentroidDomainScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexVideoCoreSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexVideoFrame
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexVideoFrames
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexXtag
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MediaIndexXtagList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MobilePerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MultiscaleFieldPresence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MultiscaleLayerPresence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MultiscalePointerIndex
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MultiscalePointerSpan
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MustangReposWwwSnippetsCandidateFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MustangReposWwwSnippetsOrganicListSnippetResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MustangReposWwwSnippetsSnippetCandidate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MustangReposWwwSnippetsSnippetsRanklabFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class MustangSnippetsRenderedToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NsrVersionedItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NetFabricRpcVirtualNetworkId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2EntryPayload
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsDataset
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryLocaleRestrict
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryPattern
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpLoggingQRewriteClientCallPathInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpLoggingQusClientCallPathInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpMeaningMeaningRemodeling
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpMeaningMeaningRemodelingControl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpMeaningMeaningRemodelings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpMeaningSemanticTypeNameMeaningRemodelings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftAnnotatedPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftConstituencyNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftDocumentTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfileAlternate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfileAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfileKeyword
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfileReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityProfileRelated
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftEntityType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftHyperlink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftLabeledSpan
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftLabeledSpans
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftMeasure
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftMentionResolution
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftMorphology
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftReferent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftRelation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftRelationMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftSemanticNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftSemanticNodeArc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSaftToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitArticleData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitArticleId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitArticleMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitAuthor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitCitationData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitDataset
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitMeshHeading
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitPubDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitPublicationType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitReferencedBlock
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitRetrievalQueryEncodingDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitRetrievalSearchResultDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitRetrievalSearchResultSetDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitRetrievalSnippetDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitSubjectHeading
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSciencelitTokenizedText
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingAnnotationEvalData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingAppAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDateTimeAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeAbsoluteDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeDateTimeProperty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeDuration
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeFetchedRelativeDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeHoliday
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeMoonEventInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeNonGregorianDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeQuantity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeRecurrent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeRelativeDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeResolutionProperties
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeShiftedRelativeDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeSpan
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeTargetToFetch
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingDatetimeTimeZone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingEntitySourceData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingExpressionStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalAmenities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalBasicLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalBusinessType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalChainMemberConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalCompoundLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalContactLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalCuisineConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalEvChargingStationSpeedConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalExtent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalGcidConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalHotelType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalHyperReliableData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalHyperReliableDataGcidSynsOverride
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalImplicitLocalCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalJoiner
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalLocalResultId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalLocationConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalLocationElement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalMenuItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalPriceConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalQualityConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalRoomConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalScalableAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalServiceConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalStarRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalVicinityLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingLocalVisitHistoryConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsCommunicationPhoneType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsCommunicationRecipient
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsCommunicationRelationshipArgument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsDevice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsDeviceName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsDialogReferentsDialogReferents
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsDialogReferentsListSelection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaAlbumTitle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaAudio
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaAudiobookInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaBook
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaCastDeviceAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaCost
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaDeeplinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaDeeplinkInfoTimeWindow
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaDescription
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaEpisodeConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaFrequency
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaGame
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaGenericMusic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaLatLng
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMediaAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMediaAnnotationList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMediaProviderInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMovie
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMusicArtist
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMusicGenre
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaMusicPlaylist
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaNewsInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaNewsTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaPaidOfferDetail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaPodcast
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaPodcastInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaProviderMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaPurchaseInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaQuantification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaRadio
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaRadioInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaRadioNetwork
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaRentalInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaSeasonConstraint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaSong
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaTvShow
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaYouTubeDeeplinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMediaYouTubePlaylistInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMoneyCurrency
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsMoneyMoney
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsNarrativeNewsNewsProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsOnDevice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsPersonPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceDailyPattern
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceMonthlyPattern
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceRecurrenceEnd
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceRecurrenceStart
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceWeeklyPattern
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsRecurrenceYearlyPattern
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantBrandPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantMerchant
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantMerchantMerchantCenterId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantOffer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProduct
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductExpression
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductMediaProduct
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantShoppingListItemInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantStore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingModelsShoppingAssistantUnrecognizedPhrase
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingNumberFractionNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingNumberNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingNumberSimpleNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingPersonalIntelligenceEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingPersonalReferenceAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleAogSlot
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleDateTime
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleDateTimeProperty
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotMap
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotValueSingleValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleTypedValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingQRefAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingQRefAnnotationCollectionMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingQRefAnnotationEntityRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingQRefAnnotationMerlotCategoryData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingQRefAnnotationSubCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingRelatedEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingSaftCoreference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingSaftMeasure
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingSaftMentionAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlpSemanticParsingSaftSpan
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaByte
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaCharacter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaLanguageSpan
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaParagraph
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaScaleSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaSentence
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class NlxDataSchemaTokenDependencyEdge
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDataDocinfoWoodwingItemMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTag
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagBookSpecific
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagBookSpecificNumberingRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagCatalogSpecific
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagContributor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagMagazineSpecific
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagNewspaperSpecific
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagPatentSpecific
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanDocTagWorkCluster
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanGeMoney
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanGePrice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanGePriceLocale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanImageSize
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanLocaleViewability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanLocaleViewabilityDates
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanLocaleViewabilitySourceDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeAccessRights
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeComputedAccessRights
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeDisplayDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeImprint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeViewability
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OceanVolumeViewabilityLocale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OcrPhotoBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OcrPhotoCurve
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OcrPhotoCurvePoint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OcrPhotoCurvedBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OcrPhotoTextBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OfficialPagesOfficialKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OfficialPagesQuerySet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class OrionDocEntitiesProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PairwiseQScoringData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PairwiseQVersionedItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PeoplestackFlexorgsProtoInternalExternal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PeoplestackFlexorgsProtoInternalExternalStateStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PerDocDebugEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PersonalizationMapsAliasAliasId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PersonalizationMapsAliasIcon
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PersonalizationSettingsApiProtoLocalDiscoveryLocalDiscoverySettingsMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PersonalizationSettingsApiProtoLocalDiscoveryOpaRecipesContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhilPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosAnimationMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosDynamicDepthMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosFourCMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosGDepthMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosImageMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosPanoramaMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionGroundtruthdbNormalizedBoundingBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecFeatureVector
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecGeoLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecGlobalFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecImageTemplate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecImageTemplateSubSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecLocalDescriptor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecMatrix2D
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecQuantizedFeatureVector
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PhotosVisionObjectrecRoi
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PornFlagData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PornStatsImage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PornStatsText
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PostalAddress
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PrecomputedRestricts
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PremiumPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class Proto2BridgeMessageSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PseudoVideoData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PseudoVideoDataTranscript
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PseudoVideoDataTranscriptTimestamp
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class PtokenPToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsAppInfoSourceData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsAppInfoSourceDataAllowListSourceData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsAppInfoSourceDataMediaProviderSourceData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsAppUnderstandingCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsCustomizedNotification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsCustomizedNotificationButton
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsCustomizedNotificationPayload
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsNewsProviderAnnotationData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsNewsProviderAnnotationDataProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminder
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminderLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminderLocationCategoryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminderLocationChainInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminderPerson
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsReminderRecurrenceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsRingtone
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsRoom
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityActionsTimer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityAuthorityTopicEmbeddingsVersionedItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityCalypsoAppsLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityCopiaFireflySiteSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDialogManagerExternalIds
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDialogManagerLocalIntentOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDialogManagerLocalResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDialogManagerReminderClientType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDniDocPreviewRestrictions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityDniExtendedNewsPreviews
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityFringeFringeQueryPriorPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityGenieComplexQueriesComplexQueriesOutputRewrite
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityGenieComplexQueriesComplexQueriesOutputRewriteEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityGeoBrainlocBrainlocAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityLabelsGoogleLabelData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityLabelsGoogleLabelDataLabel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityLabelsGoogleLabelDataLabelProvider
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsAgingData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsAgingDataAgingAgeBucket
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsCrapsClickSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsCrapsData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsCrapsDevice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsFeatureCrapsData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNavboostCrapsStatsWithWeightsProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrExperimentalNsrTeamData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrExperimentalNsrTeamScoringSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrExperimentalNsrTeamWsjData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrNsrVersionedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrNsrData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrNsrDataClusterUplift
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrNsrDataMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrPqData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityNsrPqDataSubchunkData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityOrbitAsteroidBeltDocumentIntentScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityOrbitAsteroidBeltImageIntentScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewChosenSnippetInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewChosenSnippetInfoTidbitInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewRanklabSnippet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewRanklabTitle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetBrainFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetDocumentFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetExperimentalFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetQualityFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetQueryFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetQueryTermCoverageFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityPreviewSnippetRadishFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityProductProductSiteData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityProductProductSiteDataLocaleData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityProseCseUrlInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteAccountProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteAccountProvenanceGoogleAccount
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteAccountProvenanceThirdPartyAccount
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteAlternativeNameInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteCalendarReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteCandidateId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteCandidateIdField
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteContactCalendarName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteFamilyCalendarAlias
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewritePersonalContactData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewritePrimaryCalendarAlias
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteQRewriteAccountAwareCalendarAliasWrapper
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityQrewriteRelationshipMemoryData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityRankembedMustangMustangRankEmbedInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityRankembedMustangMustangRankEmbedInfoCompressedEmbedding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityRichsnippetsAppsProtosLaunchAppInfoPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityRichsnippetsAppsProtosLaunchableAppPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientCountriesSalientCountry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientCountriesSalientCountrySet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientTermsDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientTermsSalientTerm
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientTermsSalientTermSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientTermsSignalData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySalientTermsSignalTermData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySherlockKnexAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySherlockKnexAnnotationItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentLocale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentMokaFacetValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentOffer
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentPBlock
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentPBlockImageInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityShoppingShoppingAttachmentProduct
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapBreadcrumbTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapBreadcrumbTargetDoc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapCoClickTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapCoClickTargetDoc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapCoClickTargetDocCoClickByLocale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapScoringSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapSubresult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapSubresultList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapTargetGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapThirdPartyCarouselsListItemMuppetMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapTopUrl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualitySitemapTwoLevelTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedLastSignificantUpdate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedOldnessInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedPageType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedSyntacticDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedSyntacticDateDateRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTimebasedSyntacticDatePosition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTravelGoodSitesData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTravelGoodSitesDataI18n
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityTravelGoodSitesDataSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityVidyaVideoLanguageVideoLanguage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityViewsExtractionClusterInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityWebanswersTranscriptAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityWebanswersVideoTranscriptAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotationsInstance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RegistrationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsGeoTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsGeoTopicality
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsGeoTopicalityScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsMustangSentimentSnippetAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsRdfaBreadcrumbs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsRdfaCrumb
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsRdfaRdfaRichSnippetsApplication
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryAnnotationsRdfaRdfaRichSnippetsApplicationCountryPrice
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAbsoluteLegacyId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAggregatedEntityNameScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnchorIndices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotatedCategoryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotationDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotationRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotationStatsPerType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotatorCheckpointFprint
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefAnnotatorProfile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefBookEditionMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefBootstrappingScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCategoryAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCategoryAnnotationBrowsyTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCategoryAnnotationHitCatSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCategoryAnnotationShoppingSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCategoryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterProtoMidListRule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterProtoMidListRuleInstance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterProtoRelationRule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterProtoRelationRuleInstance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefClusterProtoRuleInstance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCompactFlatPropertyValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCompactKgPropertyValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCompactKgTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefCompactKgValue
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefComponentReference
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefConceptNameMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDetailedEntityScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDetailedMentionScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDisplayInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDisplayName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDocLevelRelevanceRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefDomainSpecificRepresentation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEnricherDebugData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityJoin
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityLinkMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityLinkSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityNameRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityNameRatingsEntityNameRating
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityNameScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityNameSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefEntityScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefExplainedRangeInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefExplainedRangeInfoExplainedRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefExtendedEntityNameScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefExtraMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefFatcatCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefForwardingUrls
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefFprintModifierProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefFreebaseType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefGenericIndices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefGeoMetadataProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefGeoMetadataProtoAddressSynonym
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefGlobalLinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefGlobalNameInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefHumanRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefImageQueryIndices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefJuggernautIndices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefKcAttributeMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefKgCollection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLatentEntities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLatentEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLexicalAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLexicalRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLightweightTokensMatchedLightweightToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLightweightTokensPerMentionLightweightToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLightweightTokensPerNameLightweightToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLinkKindFlags
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLinkKindInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefLocalizedString
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMdvcMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMdvcMetadataPerVertical
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionAdditionalExplainedRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionComponent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionCompoundMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionEvalInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefMentionRatingsSingleMentionRating
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNameDebugInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNameDebugInfoCandidateInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNameInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNameScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNgramContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefNgramMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefOysterType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPatternInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPerDocRelevanceRating
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPerDocRelevanceRatings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPersonalizationContextOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPersonalizationContextOutputs
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNameEntityMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNameEntityScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNameSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNameVariantData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNameVariantSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingNormalizedNameData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingOriginalNames
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingOriginalNamesOriginalName
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingUrlMatchingMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfoNewSchema
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfoOldSchema
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefProcessorCounter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefProcessorTiming
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefProductMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefQueryIndices
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRangeAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRangeMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRefconDocumentMentionSpans
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRefconMentionSpans
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRefconQueryStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRefconRefconDocumentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefRefconRefconNameInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefReferencePageScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSegmentMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSegmentMentions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSemanticDateRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSimplifiedAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSimplifiedAnchors
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSimplifiedCompositeDoc
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSubSegmentIndex
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefSupportTransferRule
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefTaskData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefTaskDetails
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefToprefListMembership
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefToprefListMembershipListMember
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefToprefPageClassification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefToprefPageClassificationRatedTitle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefTripleAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefTripleAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefTripleMention
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefUniversalNgramData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefAnnotationStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefAttachmentMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefDocumentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefEntities
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefEntityCollections
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefEntityId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefEntityRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefMustangAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefMustangAttachmentUndermergedMembers
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefOutlinkInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefOutlinkInfos
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWebrefStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWikipediaCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RepositoryWebrefWikipediaGeocode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamConjunction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamDisjunction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamEasyConjunction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamEasyDisjunction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamEasyRestrictDefinition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamRestrictDefinition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamRestrictTokensV2
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamCoscamTokenGroup
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamGenericFeatureVector
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamGenericFeatureVectorCrowding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamGenericFeatureVectorFixedPointMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamGenericFeatureVectorRestrictTokens
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamNearestNeighbors
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamNearestNeighborsNeighbor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamNeighborSelectionOverride
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamOnlineSearchLatencyStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamQueryMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamQueryResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamRestrictStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamTokenNamespace
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScamV3Restrict
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchCatalog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchCitation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchDataDownload
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchDataSize
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchDate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchFieldOfStudyInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchLicense
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchNavboostQueryInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchOrganization
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchReconciledMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchReplica
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchScholarlyArticle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchSourceUrlDocjoinInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchSourceUrlDocjoinInfoWebrefEntityInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ResearchScienceSearchVersionClusterInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RichsnippetsDataObject
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RichsnippetsDataObjectAttribute
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RichsnippetsPageMap
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class RichsnippetsPageMapTemplateType
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SafesearchVideoClassifierOutput
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SafesearchVideoContentSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScholarCitationPredictionSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationAccessUrl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationAlternateAbstract
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationAlternateTitle
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationAuthor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationCategory
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationDownloadUrl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationFunding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationReferenceDiscussion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationSubject
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationTranslatedAuthor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceCitationUnionCatalog
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceIndexSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceIndexSignalAuthor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceOceanView
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ScienceOceanViewCountryView
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SciencePerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SciencePerDocDataAuthor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SciencePerDocDataReferenceDiscussion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SciencePerDocDataSection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SciencePerDocDataSignal
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivityAttentionalEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivityFollowOn
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivityFulfillment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivityPrefilter
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivityQueryUnderstanding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SearchPolicyRankableSensitivitySyntheticIntent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsAllAuthenticatedUsersProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsCapTokenHolderProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsChatProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsCircleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsCloudPrincipalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsContactGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsEmailOwnerProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsEventProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsGaiaGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsGaiaUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsHostProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsLdapGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsLdapUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsMdbGroupProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsMdbUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsOAuthConsumerProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsPostiniUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsPrincipalProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsRbacRoleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsRbacSubjectProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsResourceRoleProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsSigningKeyPossessorProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsSimpleSecretHolderProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsSimpleSecretLabelProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsSocialGraphNodeProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsSquareProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsYoutubeUserProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SecurityCredentialsZwiebackSessionProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SentenceBoundaryAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SentenceBoundaryAnnotationsInstance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SentimentSentiment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SentimentSentimentBehaviors
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SentimentSentimentEmotions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ShingleInfoPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ShingleSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ShoppingWebentityShoppingAnnotationInferredImage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ShoppingWebentityShoppingAnnotationProductRating
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ShoppingWebentityShoppingAnnotationSoriVersionId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class Sitemap
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SitemapDeprecatedTarget
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SmartphonePerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SmearedWebLandingPageEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnapshotBox
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnapshotImageNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnapshotSnapshotDocument
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnapshotSnapshotMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnapshotTextNode
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetExtraInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetExtraInfoSnippetCandidateInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetExtraInfoSnippetScoringInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetsLeadingtextLeadingTextAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetsLeadingtextLeadingTextAnnotationPiece
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SnippetsLeadingtextLeadingTextInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonAttachmentAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonFormatting
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonHashtagData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonLinkData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonSegment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonSegments
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialCommonUserMentionData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialDiscoveryExternalEntityKey
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiAppContactData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiDataColumn
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoAndroidDeviceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoBirthdayDecoration
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoContactDeletionContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoContactMutationContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoContactState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoDelegatedGroupId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoDisplayNameSource
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoHostAppInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoLimitedProfileNameSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoLimitedProfilePictureSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoLimitedProfileSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPartialNameOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPartialNameOptionsNamePartSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPartialNameOptionsParsedDisplayNameSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPartialNameOptionsTwoPartNameSpec
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPronounData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPronounEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPronunciation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoPronunciations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileEducation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileLocationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileSocialLink
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileState
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSearchProfileWorkplace
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoSyncInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoThirdPartyInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphApiProtoUsageInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadataClientInteractionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadataCloudDeviceDataInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionAppsWaldoExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionCorpDeskbookingLocationExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionDynamiteExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPaisaExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPeopleStackExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPeopleStackPersonExtendedData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialPersonalizationKnexAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialPersonalizationKnexAnnotationItem
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialPersonalizationKnexAnnotationItemTopic
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialStanzaDeliveryRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialStanzaModerationInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SocialStanzaStanzaRestriction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SpamCookbookAction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SpamMuppetjoinsMuppetSignals
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SpeechS3LanguageIdentificationResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SpeechS3Locale
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgAuthorityFeedbackMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgLegalRequestMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgLivegraphProvenanceMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgPolicyMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgPublicInformationMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgSpiiCertification
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class StorageGraphBfgTripleProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SuperrootPodcastsRecommendationsPodcastRecsFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TelephoneNumber
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TeragoogleDocumentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TeragoogleDocumentInfoAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TeragoogleDocumentInfoSection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TeragoogleRepositoryAttachmentOptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TitleSizeParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class ToolBarPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsAirlineConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsAirlineConfigContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsAirlineConfigCountryContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsAirlineConfigLocalizedContactInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsNameCatalogEntry
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TravelFlightsNameCatalogProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerClientServiceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerClientServiceInfoClientLabels
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerClientServiceInfoClientLabelsClientLabelValues
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerContentRangeInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerCrawlTimes
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerEvent
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchBodyData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataCrawlDates
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataDeliveryReport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataFetchStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataFetchStatsClientStateStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataFetchStatsStateStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataHttpHeader
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataPartialResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataProtocolResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchReplyDataRedirects
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerFetchStatus
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerHostBucketData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerHostBucketDataUrlList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerLoggedVpcDestination
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerMultiverseClientIdentifier
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerOriginalClientParams
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerPolicyData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerSslCertificateInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerTcpipInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerThrottleClientData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class TrawlerTrawlerPrivateFetchReplyData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class UniversalsearchNewPackerKnowledgeResultSupport
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class UniversalsearchNewPackerKnowledgeResultSupportProvenance
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class UrlPoisoningData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class UtilStatusProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VendingConsumerProtoTrustedGenomeAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VendingConsumerProtoTrustedGenomeEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VendingConsumerProtoTrustedGenomeHierarchy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VendingConsumerProtoTrustedGenomePolicy
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VendingConsumerProtoTrustedGenomePolicyTargetRegion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAmbisonicsAmbisonicsMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAssetsVenomAcl
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAssetsVenomSettings
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAssetsVenomTransition
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAssetsVenomVideoId
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoAudioStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoClipInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoClosedCaptions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorCommonFeatureSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorCommonFeatureSetLabelSpanTimestamp
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorThumbnailInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorsCommonFeatureSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAnchorsThumbnailInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAspect
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchAsrCaption
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchBleurtFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionEntityAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionEntityAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionEntityDocInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionLabelFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionSpanAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCaptionSpanAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCommentAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchCommentAnchorSetFeaturesComment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDescriptionAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDescriptionAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDescriptionSpanInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDolphinEnsembleScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDolphinFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchDolphinScoringConfig
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchEntityAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchEntityGroupInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchFrameSimilarityInterval
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchFrameStarburstData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchGenerativePredictionFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchGenerativeTopicPredictionFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchInstructionAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchInstructionTrainingDataAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchListAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchListAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchListTrainingDataAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchListTrainingDataSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchMatchScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchMetricStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchMultimodalTopicFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchMultimodalTopicTrainingFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchNamedEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchNavboostAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrText
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrAsrFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrAsrSetFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrDescriptionTrainingDataAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrDescriptionTrainingDataSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOcrVideoFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOnScreenTextClusterFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchOnScreenTextFeature
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchQbstTermsOverlapFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchQnaAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchQnaAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchRankEmbedNearestNeighborsFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSaftEntityInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchShoppingOpinionsAnchorFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSimilarityMatchInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSpanDolphinFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSpanDolphinScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSpanDolphinScoresSpanCandidate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSpanDolphinScoresSpanToken
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchSportsKeyMomentsAnchorSetFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchTextMatchInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchTextSimilarityFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchTokenAlignment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchTokenTimingInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoActions
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchor
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorRatingScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorScoreInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorScoreInfoLabelTransformation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorSetRatingScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorSets
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchors
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoAnchorsScoreInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoCommonFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoGeneratedQueryFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoIntroduction
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoMultimodalTopicFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVideoScoreInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoContentSearchVisualFeatures
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoCrawlVideoInlinePlaybackMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoDoViDecoderConfiguration
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileColorInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileContentLightLevel
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileFramePackingArrangement
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileHdr10PlusStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileMasteringDisplayMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileMasteringDisplayMetadataCie1931Coordinate
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataCroppedArea
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataCubemapProjection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataEquirectProjection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataFovBounds
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataMeshProjection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataPose
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoFileSphericalMetadataViewDirection
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoLegosLegosAnnotationsSet
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoLegosLegosAnnotationsSets
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverviewAudioOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverviewDataOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverviewMediaClipInfoOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverviewTimedTextOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoMediaOverviewVideoOverview
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoPerDocData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoPipelineViperThumbnailerColumnData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoPipelineViperVsiColumnData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoPipelineViperVsiColumnDataVsiStats
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoRational32
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoSeiMessage
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoStorageLoudnessData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoThumbnailsFrameFile
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoThumbnailsFrameFileList
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoThumbnailsThumbnailScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoTimedtextS4AliResults
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoTimedtextS4LangScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoUserDataRegisteredItuTt35
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoUserDataUnregistered
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoClipInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoGeoLocation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoAudioStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoDataStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoMetadataLutAttachments
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoMetadataLutAttachmentsLut3D
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoTimedTextStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoVideoStream
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoVideoStreamCleanAperture
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoVideoStreamInfoVideoStreamStatistics
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoYoutubeCommentsClassificationProtoSmartSuggestion
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoYoutubeCommentsClassificationProtoYouTubeCommentSmartReply
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class VideoYoutubeCommentsRankingCtrMetrics
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwDocInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwDocInfoRelatedImages
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwDocInfoThumbnail
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwMetaTag
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwResultInfoSubImageDocInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwSnippetResponse
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WwwSnippetResponseBitmapPb
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WatchpageLanguageWatchPageLanguageResult
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WeboftrustLiveResultDocBoostData
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WeboftrustLiveResultProviderDocAttachment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WeboftrustLiveResultsDocAttachments
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WeboftrustTimeRange
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WebutilHtmlTypesSafeHtmlProto
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WirelessTranscoderFetchFetchMetadata
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class WirelessTranscoderFetchFetchSourceInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeBackstageSuperVodCommentInfo
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsClusteringMiniStanza
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsRankingYouTubeCommentTextEmbedding
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsRankingYouTubeCommentTextQualityAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsSentimentSentiment
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsSentimentSentimentEntitySentimentAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeCommentsSentimentSentimentEntitySentimentAnnotationMentionSentimentAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosAnnotation
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosAnnotations
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosEntity
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosFormatRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosSemanticRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosSemanticRelationshipContext
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDiscoveryLegosLegosTaxonomicRelationship
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDistillerBlarneyStoneScores
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class YoutubeDistillerModelScore
        class Representation < Google::Apis::Core::JsonRepresentation; end
      
        include Google::Apis::Core::JsonObjectSupport
      end
      
      class AbuseiamAbuseType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :subtype, as: 'subtype'
        end
      end
      
      class AbuseiamAgeRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :age_years, as: 'ageYears'
          property :min_age_years, as: 'minAgeYears'
        end
      end
      
      class AbuseiamAndRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :child, as: 'child', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
        end
      end
      
      class AbuseiamClient
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :subservice, as: 'subservice'
        end
      end
      
      class AbuseiamClusterEvaluationContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_family, as: 'clusterFamily'
          property :cluster_rowkey, as: 'clusterRowkey'
          property :gaia_id_to_escalate, :numeric_string => true, as: 'gaiaIdToEscalate'
        end
      end
      
      class AbuseiamConstantRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AbuseiamContentRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :admin_verdict, as: 'adminVerdict', class: Google::Apis::ContentwarehouseV1::AbuseiamVerdict, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVerdict::Representation
      
          collection :user_verdict, as: 'userVerdict', class: Google::Apis::ContentwarehouseV1::AbuseiamVerdict, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVerdict::Representation
      
        end
      end
      
      class AbuseiamEvaluation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :abuse_type, as: 'abuseType', class: Google::Apis::ContentwarehouseV1::AbuseiamAbuseType, decorator: Google::Apis::ContentwarehouseV1::AbuseiamAbuseType::Representation
      
          property :backend, as: 'backend'
          property :cluster_evaluation_context, as: 'clusterEvaluationContext', class: Google::Apis::ContentwarehouseV1::AbuseiamClusterEvaluationContext, decorator: Google::Apis::ContentwarehouseV1::AbuseiamClusterEvaluationContext::Representation
      
          property :comment, as: 'comment'
          collection :feature, as: 'feature', class: Google::Apis::ContentwarehouseV1::AbuseiamFeature, decorator: Google::Apis::ContentwarehouseV1::AbuseiamFeature::Representation
      
          property :manual_review_info, as: 'manualReviewInfo', class: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewEvaluationInfo, decorator: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewEvaluationInfo::Representation
      
          collection :misc_data, as: 'miscData', class: Google::Apis::ContentwarehouseV1::AbuseiamNameValuePair, decorator: Google::Apis::ContentwarehouseV1::AbuseiamNameValuePair::Representation
      
          property :process_time_millisecs, :numeric_string => true, as: 'processTimeMillisecs'
          property :processed_micros, :numeric_string => true, as: 'processedMicros'
          collection :region, as: 'region', class: Google::Apis::ContentwarehouseV1::AbuseiamRegion, decorator: Google::Apis::ContentwarehouseV1::AbuseiamRegion::Representation
      
          property :score, as: 'score'
          property :status, as: 'status'
          property :target, as: 'target', class: Google::Apis::ContentwarehouseV1::AbuseiamTarget, decorator: Google::Apis::ContentwarehouseV1::AbuseiamTarget::Representation
      
          property :timestamp_micros, :numeric_string => true, as: 'timestampMicros'
          property :user_restriction, as: 'userRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
          property :version, as: 'version'
          property :video_review_data, as: 'videoReviewData', class: Google::Apis::ContentwarehouseV1::AbuseiamVideoReviewData, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVideoReviewData::Representation
      
        end
      end
      
      class AbuseiamFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boolean_value, as: 'booleanValue'
          property :double_value, as: 'doubleValue'
          property :feature_count, :numeric_string => true, as: 'featureCount'
          property :int64_value, :numeric_string => true, as: 'int64Value'
          property :integer_value, as: 'integerValue'
          property :name, as: 'name'
          collection :string_value, as: 'stringValue'
          collection :timestamp_sequence, as: 'timestampSequence'
        end
      end
      
      class AbuseiamGeoRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::AbuseiamGeoRestrictionLocale, decorator: Google::Apis::ContentwarehouseV1::AbuseiamGeoRestrictionLocale::Representation
      
        end
      end
      
      class AbuseiamGeoRestrictionLocale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :location, as: 'location'
          property :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
        end
      end
      
      class AbuseiamHash
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hash_prop, as: 'hash'
          property :type, as: 'type'
        end
      end
      
      class AbuseiamManualReviewEvaluationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :reviewer, as: 'reviewer', class: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewerInfo, decorator: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewerInfo::Representation
      
          property :tool, as: 'tool', class: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewTool, decorator: Google::Apis::ContentwarehouseV1::AbuseiamManualReviewTool::Representation
      
        end
      end
      
      class AbuseiamManualReviewTool
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experiment_id, as: 'experimentId'
          property :name, as: 'name'
        end
      end
      
      class AbuseiamManualReviewerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :credential, as: 'credential'
          property :username, as: 'username'
        end
      end
      
      class AbuseiamNameValuePair
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :non_utf8_value, :base64 => true, as: 'nonUtf8Value'
          property :value, as: 'value'
        end
      end
      
      class AbuseiamNotRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :child, as: 'child', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
        end
      end
      
      class AbuseiamOrRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :child, as: 'child', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
        end
      end
      
      class AbuseiamRegion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :region, as: 'region'
        end
      end
      
      class AbuseiamSpecialRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AbuseiamTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :type, as: 'type'
        end
      end
      
      class AbuseiamUserNotification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :channel, as: 'channel'
        end
      end
      
      class AbuseiamUserRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :age_restriction, as: 'ageRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamAgeRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamAgeRestriction::Representation
      
          property :and_restriction, as: 'andRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamAndRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamAndRestriction::Representation
      
          property :constant_restriction, as: 'constantRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamConstantRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamConstantRestriction::Representation
      
          property :geo_restriction, as: 'geoRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamGeoRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamGeoRestriction::Representation
      
          property :not_restriction, as: 'notRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamNotRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamNotRestriction::Representation
      
          property :or_restriction, as: 'orRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamOrRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamOrRestriction::Representation
      
          property :special_restriction, as: 'specialRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamSpecialRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamSpecialRestriction::Representation
      
        end
      end
      
      class AbuseiamVerdict
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client, as: 'client', class: Google::Apis::ContentwarehouseV1::AbuseiamClient, decorator: Google::Apis::ContentwarehouseV1::AbuseiamClient::Representation
      
          property :comment, as: 'comment'
          property :decision, as: 'decision'
          property :duration_mins, as: 'durationMins'
          collection :evaluation, as: 'evaluation', class: Google::Apis::ContentwarehouseV1::AbuseiamEvaluation, decorator: Google::Apis::ContentwarehouseV1::AbuseiamEvaluation::Representation
      
          collection :hashes, as: 'hashes', class: Google::Apis::ContentwarehouseV1::AbuseiamHash, decorator: Google::Apis::ContentwarehouseV1::AbuseiamHash::Representation
      
          property :is_legal_issued, as: 'isLegalIssued'
          collection :misc_scores, as: 'miscScores', class: Google::Apis::ContentwarehouseV1::AbuseiamNameValuePair, decorator: Google::Apis::ContentwarehouseV1::AbuseiamNameValuePair::Representation
      
          property :reason_code, as: 'reasonCode'
          collection :region, as: 'region', class: Google::Apis::ContentwarehouseV1::AbuseiamRegion, decorator: Google::Apis::ContentwarehouseV1::AbuseiamRegion::Representation
      
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::AbuseiamVerdictRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVerdictRestriction::Representation
      
          property :strike_category, as: 'strikeCategory'
          property :target, as: 'target', class: Google::Apis::ContentwarehouseV1::AbuseiamTarget, decorator: Google::Apis::ContentwarehouseV1::AbuseiamTarget::Representation
      
          property :target_timestamp_micros, :numeric_string => true, as: 'targetTimestampMicros'
          property :timestamp_micros, :numeric_string => true, as: 'timestampMicros'
          collection :user_notification, as: 'userNotification', class: Google::Apis::ContentwarehouseV1::AbuseiamUserNotification, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserNotification::Representation
      
          property :version, as: 'version'
        end
      end
      
      class AbuseiamVerdictRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :context, as: 'context', class: Google::Apis::ContentwarehouseV1::AbuseiamVerdictRestrictionContext, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVerdictRestrictionContext::Representation
      
          property :user_restriction, as: 'userRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamUserRestriction::Representation
      
        end
      end
      
      class AbuseiamVerdictRestrictionContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :type, as: 'type'
        end
      end
      
      class AbuseiamVideoReviewData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :reference_fragment, as: 'referenceFragment'
          property :reviewer, as: 'reviewer', class: Google::Apis::ContentwarehouseV1::AbuseiamVideoReviewer, decorator: Google::Apis::ContentwarehouseV1::AbuseiamVideoReviewer::Representation
      
          property :video_id, as: 'videoId'
        end
      end
      
      class AbuseiamVideoReviewer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
          property :username, as: 'username'
        end
      end
      
      class AdsShoppingReportingOffersSerializedSoriId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :high_id, :numeric_string => true, as: 'highId'
          property :low_id1, :numeric_string => true, as: 'lowId1'
          property :low_id2, :numeric_string => true, as: 'lowId2'
        end
      end
      
      class Anchors
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :anchor, as: 'anchor', class: Google::Apis::ContentwarehouseV1::AnchorsAnchor, decorator: Google::Apis::ContentwarehouseV1::AnchorsAnchor::Representation
      
          property :homepage_anchors_dropped, :numeric_string => true, as: 'homepageAnchorsDropped'
          property :index_tier, as: 'indexTier'
          property :local_anchors_dropped, :numeric_string => true, as: 'localAnchorsDropped'
          property :nonlocal_anchors_dropped, :numeric_string => true, as: 'nonlocalAnchorsDropped'
          property :redundant_anchors_dropped, :numeric_string => true, as: 'redundantAnchorsDropped'
          collection :redundantanchorinfo, as: 'redundantanchorinfo', class: Google::Apis::ContentwarehouseV1::AnchorsRedundantAnchorInfo, decorator: Google::Apis::ContentwarehouseV1::AnchorsRedundantAnchorInfo::Representation
      
          property :supplemental_anchors_dropped, :numeric_string => true, as: 'supplementalAnchorsDropped'
          property :target_docid, :numeric_string => true, as: 'targetDocid'
          property :target_site, as: 'targetSite'
          property :target_url, as: 'targetUrl'
        end
      end
      
      class AnchorsAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bucket, as: 'bucket'
          collection :catfish_tags, as: 'catfishTags'
          collection :compressed_image_urls, as: 'compressedImageUrls'
          property :compressed_original_target_url, :base64 => true, as: 'compressedOriginalTargetUrl'
          property :context, as: 'context'
          property :context2, as: 'context2'
          property :creation_date, as: 'creationDate'
          property :deleted, as: 'deleted'
          property :deletion_date, as: 'deletionDate'
          property :demotionreason, as: 'demotionreason'
          property :encoded_news_anchor_data, as: 'encodedNewsAnchorData'
          property :experimental, as: 'experimental'
          property :expired, as: 'expired'
          property :firstseen_date, as: 'firstseenDate'
          property :firstseen_near_creation, as: 'firstseenNearCreation'
          property :fontsize, as: 'fontsize'
          property :forwarding_types, as: 'forwardingTypes'
          property :fragment, as: 'fragment'
          collection :full_left_context, as: 'fullLeftContext'
          collection :full_right_context, as: 'fullRightContext'
          property :is_local, as: 'isLocal'
          property :last_update_timestamp, as: 'lastUpdateTimestamp'
          property :link_additional_info, as: 'linkAdditionalInfo', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :link_tags, as: 'linkTags'
          property :locality, as: 'locality'
          property :offset, as: 'offset'
          property :orig_text, as: 'origText'
          property :original_target_docid, :numeric_string => true, as: 'originalTargetDocid'
          property :pagerank_weight, as: 'pagerankWeight'
          property :parallel_links, as: 'parallelLinks'
          property :possibly_old_firstseen_date, as: 'possiblyOldFirstseenDate'
          property :seti_pagerank_weight, as: 'setiPagerankWeight'
          property :source, as: 'source', class: Google::Apis::ContentwarehouseV1::AnchorsAnchorSource, decorator: Google::Apis::ContentwarehouseV1::AnchorsAnchorSource::Representation
      
          property :source_type, as: 'sourceType'
          property :target_url_encoding, as: 'targetUrlEncoding'
          property :text, as: 'text'
          property :timestamp, :numeric_string => true, as: 'timestamp'
          property :type, as: 'type'
          property :weight, as: 'weight'
        end
      end
      
      class AnchorsAnchorSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :additional_info, as: 'additionalInfo', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :cluster, as: 'cluster'
          property :compressed_url, :base64 => true, as: 'compressedUrl'
          property :crawl_timestamp, :numeric_string => true, as: 'crawlTimestamp'
          property :docid, :numeric_string => true, as: 'docid'
          property :doclength, as: 'doclength'
          property :home_page_info, as: 'homePageInfo'
          property :indyrank, as: 'indyrank'
          property :ipaddr, as: 'ipaddr'
          property :language, as: 'language'
          property :linkhash, :numeric_string => true, as: 'linkhash'
          collection :local_country_codes, as: 'localCountryCodes'
          property :nsr, as: 'nsr'
          property :outdegree, as: 'outdegree'
          property :outsites, as: 'outsites'
          property :packed_ipaddress, :base64 => true, as: 'packedIpaddress'
          collection :page_tags, as: 'pageTags'
          property :pagerank, as: 'pagerank'
          property :pagerank_ns, as: 'pagerankNs'
          property :seglanguage, as: 'seglanguage'
          property :site, as: 'site'
          property :spamrank, as: 'spamrank'
          property :spamscore1, as: 'spamscore1'
          property :spamscore2, as: 'spamscore2'
          property :webtable_key, as: 'webtableKey'
        end
      end
      
      class AnchorsRedundantAnchorInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchors_dropped, :numeric_string => true, as: 'anchorsDropped'
          property :domain, as: 'domain'
          property :text, as: 'text'
        end
      end
      
      class AppsDynamiteCustomerId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :customer_id, as: 'customerId'
        end
      end
      
      class AppsDynamiteSharedOrganizationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :consumer_info, as: 'consumerInfo', class: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfoConsumerInfo, decorator: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfoConsumerInfo::Representation
      
          property :customer_info, as: 'customerInfo', class: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfoCustomerInfo, decorator: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfoCustomerInfo::Representation
      
        end
      end
      
      class AppsDynamiteSharedOrganizationInfoConsumerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AppsDynamiteSharedOrganizationInfoCustomerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :customer_id, as: 'customerId', class: Google::Apis::ContentwarehouseV1::AppsDynamiteCustomerId, decorator: Google::Apis::ContentwarehouseV1::AppsDynamiteCustomerId::Representation
      
        end
      end
      
      class AppsPeopleActivityBackendDestinationStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :id, as: 'id'
          property :namespace, as: 'namespace'
        end
      end
      
      class AppsPeopleActivityStreamqualityDistillerEngagements
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :report_compromised, :numeric_string => true, as: 'reportCompromised'
          property :report_harassment, :numeric_string => true, as: 'reportHarassment'
          property :report_hate, :numeric_string => true, as: 'reportHate'
          property :report_porn, :numeric_string => true, as: 'reportPorn'
          property :report_spam, :numeric_string => true, as: 'reportSpam'
          property :serve_count, :numeric_string => true, as: 'serveCount'
          property :time_sec, :numeric_string => true, as: 'timeSec'
          property :yt_thumbs_down, :numeric_string => true, as: 'ytThumbsDown'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAbout
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_type, as: 'contentType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :safe_html_value, as: 'safeHtmlValue', class: Google::Apis::ContentwarehouseV1::WebutilHtmlTypesSafeHtmlProto, decorator: Google::Apis::ContentwarehouseV1::WebutilHtmlTypesSafeHtmlProto::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name_display_options, as: 'nameDisplayOptions', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataNameDisplayOptions, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataNameDisplayOptions::Representation
      
          property :photos_compare_data, as: 'photosCompareData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareData::Representation
      
          property :profile_editability, as: 'profileEditability', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileEditability, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileEditability::Representation
      
          property :profile_name_modification_history, as: 'profileNameModificationHistory', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileNameModificationHistory, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileNameModificationHistory::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataNameDisplayOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :nickname_option, as: 'nicknameOption'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :diff_data, as: 'diffData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareDataDiffData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareDataDiffData::Representation
      
          property :high_res_url, as: 'highResUrl'
          property :inconsistent_photo, as: 'inconsistentPhoto'
          property :low_res_data, :base64 => true, as: 'lowResData'
          property :low_res_url, as: 'lowResUrl'
          property :monogram_url, as: 'monogramUrl'
          property :private_low_res_acl, as: 'privateLowResAcl'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataPhotosCompareDataDiffData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blue_diff, as: 'blueDiff'
          property :green_diff, as: 'greenDiff'
          property :red_diff, as: 'redDiff'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileEditability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :locked_field, as: 'lockedField'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedDataProfileNameModificationHistory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :computed_name_changes_remaining, as: 'computedNameChangesRemaining'
          property :computed_nickname_changes_remaining, as: 'computedNicknameChangesRemaining'
          property :name_changes_remaining, as: 'nameChangesRemaining'
          property :name_last_modified, :numeric_string => true, as: 'nameLastModified'
          property :nickname_changes_remaining, as: 'nicknameChangesRemaining'
          property :nickname_last_modified, :numeric_string => true, as: 'nicknameLastModified'
          property :quota_enforcement_status, as: 'quotaEnforcementStatus'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAccountEmail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAdditionalContainerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :raw_device_contact_info, as: 'rawDeviceContactInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAddress
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country, as: 'country'
          property :country_code, as: 'countryCode'
          property :encoded_place_id, as: 'encodedPlaceId'
          property :extended_address, as: 'extendedAddress'
          property :formatted, as: 'formatted'
          property :formatted_type, as: 'formattedType'
          property :locality, as: 'locality'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :po_box, as: 'poBox'
          property :point_spec, as: 'pointSpec', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPointSpec, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPointSpec::Representation
      
          property :postal_code, as: 'postalCode'
          property :region, as: 'region'
          property :street_address, as: 'streetAddress'
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAffinity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :affinity_metadata, as: 'affinityMetadata', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadata, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadata::Representation
      
          property :affinity_type, as: 'affinityType'
          property :container_id, as: 'containerId'
          property :container_type, as: 'containerType'
          property :logging_id, as: 'loggingId'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAgeRangeType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :age_in_years, as: 'ageInYears'
          property :age_of_consent_status, as: 'ageOfConsentStatus'
          property :age_range, as: 'ageRange'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiAppUniqueInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app_unique_id, as: 'appUniqueId'
          property :display_app_unique_id, as: 'displayAppUniqueId'
          property :label, as: 'label'
          property :mimetype, as: 'mimetype'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBestDisplayName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :container_type, as: 'containerType'
          property :display_name, as: 'displayName'
          property :display_name_last_first, as: 'displayNameLastFirst'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthday
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :age_disable_grace_period, as: 'ageDisableGracePeriod', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriod, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriod::Representation
      
          property :birthday_decoration, as: 'birthdayDecoration', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoBirthdayDecoration, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoBirthdayDecoration::Representation
      
          property :birthday_resolution, as: 'birthdayResolution'
          property :calendar_day, as: 'calendarDay', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :date_ms, :numeric_string => true, as: 'dateMs'
          property :date_ms_as_number, :numeric_string => true, as: 'dateMsAsNumber'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriod
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calendar_day, as: 'calendarDay', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :grace_period_end, as: 'gracePeriodEnd'
          property :grace_period_start, as: 'gracePeriodStart'
          property :grace_period_type, as: 'gracePeriodType'
          property :manual_grace_period_info, as: 'manualGracePeriodInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriodManualGracePeriodInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriodManualGracePeriodInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBirthdayAgeDisableGracePeriodManualGracePeriodInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :escalate_to, :numeric_string => true, as: 'escalateTo'
          property :executed_by, :numeric_string => true, as: 'executedBy'
          property :reason, as: 'reason'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiBraggingRights
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCalendar
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
          property :url, as: 'url'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :caller_id_source, as: 'callerIdSource', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedDataCallerIdSource, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedDataCallerIdSource::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedDataCallerIdSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source_type, as: 'sourceType'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCertifiedBornBefore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :born_before, as: 'bornBefore'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiChannelData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :channel_id, as: 'channelId'
          property :comment_count, :numeric_string => true, as: 'commentCount'
          property :description, as: 'description'
          property :playlist_count, :numeric_string => true, as: 'playlistCount'
          property :profile_picture_url, as: 'profilePictureUrl'
          property :profile_url, as: 'profileUrl'
          property :subscriber_count, :numeric_string => true, as: 'subscriberCount'
          property :title, as: 'title'
          property :uses_youtube_names, as: 'usesYoutubeNames'
          property :video_count, :numeric_string => true, as: 'videoCount'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCircleMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circle_id, as: 'circleId'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiClientData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, as: 'key'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :namespace, as: 'namespace'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCommunicationEmail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiContactGroupMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_group_id, as: 'contactGroupId'
          property :delegated_group_info, as: 'delegatedGroupInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDelegatedGroupInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDelegatedGroupInfo::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :system_contact_group_id, as: 'systemContactGroupId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiContactStateInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_state, as: 'contactState', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactState, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactState::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCoverPhoto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_height, as: 'imageHeight'
          property :image_id, as: 'imageId'
          property :image_url, as: 'imageUrl'
          property :image_width, as: 'imageWidth'
          property :is_animated, as: 'isAnimated'
          property :is_default, as: 'isDefault'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCustomSchemaField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :field_display_name, as: 'fieldDisplayName'
          property :field_id, as: 'fieldId'
          property :field_type, as: 'fieldType'
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :multi_valued, as: 'multiValued'
          property :schema_display_name, as: 'schemaDisplayName'
          property :schema_id, as: 'schemaId'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiCustomerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :customer_id, :numeric_string => true, as: 'customerId'
          property :customer_name, as: 'customerName'
          property :obfuscated_customer_id, as: 'obfuscatedCustomerId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDedupedContainerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :container_type, as: 'containerType'
          property :id, as: 'id'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDelegatedGroupInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :delegated_group_id, as: 'delegatedGroupId', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoDelegatedGroupId, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoDelegatedGroupId::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attributes, as: 'attributes'
          collection :usage_info, as: 'usageInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoUsageInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoUsageInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_id, :numeric_string => true, as: 'contactId'
          property :device_id, as: 'deviceId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiDeviceContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_contact_metadata, as: 'deviceContactMetadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata::Representation
      
          property :has_cross_device_data, as: 'hasCrossDeviceData'
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactId, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactId::Representation
      
          property :last_client_update_time, as: 'lastClientUpdateTime'
          property :lookup_key, as: 'lookupKey'
          collection :raw_contact_info, as: 'rawContactInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :container_id, as: 'containerId'
          property :container_type, as: 'containerType'
          property :extended_data, as: 'extendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfoExtensionData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfoExtensionData::Representation
      
          property :materialized, as: 'materialized'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfoExtensionData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gdata_compatibility_extension_id, as: 'gdataCompatibilityExtensionId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :certificate, as: 'certificate', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailCertificate, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailCertificate::Representation
      
          property :classification, as: 'classification'
          collection :contact_group_preference, as: 'contactGroupPreference', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailContactGroupPreference, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailContactGroupPreference::Representation
      
          property :display_name, as: 'displayName'
          property :extended_data, as: 'extendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailExtendedData::Representation
      
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :signup_email_metadata, as: 'signupEmailMetadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailSignupEmailMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailSignupEmailMetadata::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailCertificate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :configuration_name, as: 'configurationName'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailCertificateCertificateStatus, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmailCertificateCertificateStatus::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailCertificateCertificateStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :not_after_sec, :numeric_string => true, as: 'notAfterSec'
          property :status_code, as: 'statusCode'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailContactGroupPreference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_group_id, as: 'contactGroupId'
          property :is_synthetic, as: 'isSynthetic'
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :internal_external, as: 'internalExternal', class: Google::Apis::ContentwarehouseV1::PeoplestackFlexorgsProtoInternalExternal, decorator: Google::Apis::ContentwarehouseV1::PeoplestackFlexorgsProtoInternalExternal::Representation
      
          property :is_placeholder, as: 'isPlaceholder'
          property :smtp_server_supports_tls, as: 'smtpServerSupportsTls'
          property :uses_confusing_characters, as: 'usesConfusingCharacters'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmailSignupEmailMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :primary, as: 'primary'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEmergencyInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :pomeroy_id, as: 'pomeroyId'
          property :trust_level, as: 'trustLevel'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calendar_day, as: 'calendarDay', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :timestamp_millis, :numeric_string => true, as: 'timestampMillis'
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiExternalId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :acl_entry, as: 'aclEntry', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntry, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntry::Representation
      
          collection :authorized_viewers, as: 'authorizedViewers'
          collection :predefined_acl_entry, as: 'predefinedAclEntry'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :role, as: 'role'
          property :scope, as: 'scope', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScope, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScope::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScope
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_users, as: 'allUsers'
          property :domain_users, as: 'domainUsers'
          property :membership, as: 'membership', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAcl::Representation
      
          property :person, as: 'person', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopePersonAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopePersonAcl::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circle, as: 'circle', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclCircleAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclCircleAcl::Representation
      
          property :contact_group, as: 'contactGroup', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclContactGroupAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclContactGroupAcl::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclCircleAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circle_id, as: 'circleId'
          property :circle_set, as: 'circleSet'
          property :display_name, as: 'displayName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopeMembershipAclContactGroupAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_group_id, as: 'contactGroupId'
          property :display_name, as: 'displayName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldAclAclEntryScopePersonAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :person_id, as: 'personId'
          property :photo_url, as: 'photoUrl'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFieldEmergencyInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :emergency_level, as: 'emergencyLevel'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiFileAs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGPayExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :failure, as: 'failure', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure::Representation
      
          property :international_number, as: 'internationalNumber'
          property :masked_number, as: 'maskedNumber'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGender
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address_me_as, as: 'addressMeAs'
          property :custom_type, as: 'customType'
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiGplusExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_restriction, as: 'contentRestriction'
          property :is_enterprise_user, as: 'isEnterpriseUser'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiHangoutsExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :had_past_hangout_state, as: 'hadPastHangoutState'
          property :invitation_status, as: 'invitationStatus'
          property :is_bot, as: 'isBot'
          property :is_dismissed, as: 'isDismissed'
          property :is_favorite, as: 'isFavorite'
          property :is_pinned, as: 'isPinned'
          property :user_type, as: 'userType'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiIdentityInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :original_lookup_token, as: 'originalLookupToken'
          collection :previous_person_id, as: 'previousPersonId'
          collection :source_ids, as: 'sourceIds', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSourceIdentity, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSourceIdentity::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiIm
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_protocol, as: 'formattedProtocol'
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :protocol, as: 'protocol'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :app, as: 'app'
          collection :client_data, as: 'clientData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetClientData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetClientData::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          collection :originating_field, as: 'originatingField', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetOriginatingField, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetOriginatingField::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetClientData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app, as: 'app'
          property :byte_value, :base64 => true, as: 'byteValue'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppNotificationTargetOriginatingField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :field_index, as: 'fieldIndex'
          property :field_type, as: 'fieldType'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppReachability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app_type, as: 'appType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :reachability_key, as: 'reachabilityKey', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppReachabilityReachabilityKey, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppReachabilityReachabilityKey::Representation
      
          property :status, as: 'status'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInAppReachabilityReachabilityKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key_type, as: 'keyType'
          property :key_value, as: 'keyValue'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInteractionSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allowed, as: 'allowed'
          property :interaction, as: 'interaction'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiInterest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLanguage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLatLng
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lat, as: 'lat'
          property :lng, as: 'lng'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLegacyFields
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mobile_owner_id, as: 'mobileOwnerId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLimitedProfileSettingsField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :limited_profile_settings, as: 'limitedProfileSettings', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfileSettings, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfileSettings::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :building_id, as: 'buildingId'
          property :building_name, as: 'buildingName'
          property :current, as: 'current'
          property :desk_code, as: 'deskCode'
          property :extended_data, as: 'extendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLocationExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLocationExtendedData::Representation
      
          property :floor_name, as: 'floorName'
          property :floor_section, as: 'floorSection'
          property :last_update_time, as: 'lastUpdateTime'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :source, as: 'source'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiLocationExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :corp_deskbooking_extended_data, as: 'corpDeskbookingExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionCorpDeskbookingLocationExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionCorpDeskbookingLocationExtendedData::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiManagementUpchain
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :indirect_manager, as: 'indirectManager', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiManagementUpchainIndirectManager, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiManagementUpchainIndirectManager::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :status, as: 'status'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiManagementUpchainIndirectManager
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :person_id, as: 'personId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :failure, as: 'failure', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure::Representation
      
          property :followee_count, :numeric_string => true, as: 'followeeCount'
          property :follower_count, as: 'followerCount'
          property :num_contributions, :numeric_string => true, as: 'numContributions'
          property :profile_photo_url, as: 'profilePhotoUrl'
          property :tagline, as: 'tagline'
          collection :topic_expertise, as: 'topicExpertise'
          property :user_caption, as: 'userCaption'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_restriction, as: 'fieldRestriction', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfileFieldRestriction, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfileFieldRestriction::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :tagline, as: 'tagline'
          property :website_link, as: 'websiteLink', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfileUrlLink, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfileUrlLink::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfileFieldRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_data, :base64 => true, as: 'clientData'
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMapsProfileUrlLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_text, as: 'anchorText'
          property :url, as: 'url'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMatchInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :match, as: 'match', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMatchInfoLookupTokenMatch, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMatchInfoLookupTokenMatch::Representation
      
          property :query, as: 'query'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMatchInfoLookupTokenMatch
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_index, as: 'endIndex'
          property :start_index, as: 'startIndex'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circle_id, as: 'circleId'
          property :contact_group_id, as: 'contactGroupId'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :system_contact_group_id, as: 'systemContactGroupId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiMission
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :display_name_last_first, as: 'displayNameLastFirst'
          property :display_name_source, as: 'displayNameSource', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoDisplayNameSource, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoDisplayNameSource::Representation
      
          property :family_name, as: 'familyName'
          property :formatted_name, as: 'formattedName'
          property :given_name, as: 'givenName'
          property :honorific_prefix, as: 'honorificPrefix'
          property :honorific_suffix, as: 'honorificSuffix'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :middle_name, as: 'middleName'
          property :pronunciations, as: 'pronunciations', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronunciations, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronunciations::Representation
      
          property :short_display_name, as: 'shortDisplayName'
          property :unstructured_name, as: 'unstructuredName'
          property :yomi_family_name, as: 'yomiFamilyName'
          property :yomi_full_name, as: 'yomiFullName'
          property :yomi_given_name, as: 'yomiGivenName'
          property :yomi_honorific_prefix, as: 'yomiHonorificPrefix'
          property :yomi_honorific_suffix, as: 'yomiHonorificSuffix'
          property :yomi_middle_name, as: 'yomiMiddleName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiNickname
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOccupation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHours
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :open_now, as: 'openNow'
          collection :periods, as: 'periods', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursPeriod, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursPeriod::Representation
      
          collection :weekday_texts, as: 'weekdayTexts'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'day'
          property :time, as: 'time'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOpeningHoursPeriod
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :close, as: 'close', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint::Representation
      
          property :open, as: 'open', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHoursEndpoint::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganization
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :assignment, as: 'assignment', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganizationAssignment, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganizationAssignment::Representation
      
          property :certification, as: 'certification'
          property :cost_center, as: 'costCenter'
          property :current, as: 'current'
          property :department, as: 'department'
          property :description, as: 'description'
          property :domain, as: 'domain'
          property :end_calendar_day, as: 'endCalendarDay', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :end_ms, :numeric_string => true, as: 'endMs'
          property :end_ms_as_number, :numeric_string => true, as: 'endMsAsNumber'
          property :formatted_string_type, as: 'formattedStringType'
          property :fte_milli_percent, as: 'fteMilliPercent'
          property :importance, as: 'importance'
          property :location, as: 'location'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :name, as: 'name'
          collection :project, as: 'project', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganizationProject, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganizationProject::Representation
      
          property :start_calendar_day, as: 'startCalendarDay', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :start_ms, :numeric_string => true, as: 'startMs'
          property :start_ms_as_number, :numeric_string => true, as: 'startMsAsNumber'
          property :string_type, as: 'stringType'
          property :symbol, as: 'symbol'
          property :title, as: 'title'
          property :type, as: 'type'
          property :yomi_name, as: 'yomiName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganizationAssignment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :url, as: 'url'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOrganizationProject
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :name, as: 'name'
          property :role, as: 'role'
          property :type, as: 'type'
          property :url, as: 'url'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiOtherKeyword
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :source, as: 'source'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :about, as: 'about', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAbout, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAbout::Representation
      
          collection :address, as: 'address', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAddress, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAddress::Representation
      
          property :age_range, as: 'ageRange'
          collection :age_range_repeated, as: 'ageRangeRepeated', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAgeRangeType, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAgeRangeType::Representation
      
          collection :birthday, as: 'birthday', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthday, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBirthday::Representation
      
          collection :bragging_rights, as: 'braggingRights', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBraggingRights, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBraggingRights::Representation
      
          collection :calendar, as: 'calendar', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCalendar, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCalendar::Representation
      
          collection :certified_born_before, as: 'certifiedBornBefore', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCertifiedBornBefore, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCertifiedBornBefore::Representation
      
          collection :circle_membership, as: 'circleMembership', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCircleMembership, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCircleMembership::Representation
      
          collection :client_data, as: 'clientData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiClientData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiClientData::Representation
      
          collection :communication_email, as: 'communicationEmail', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCommunicationEmail, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCommunicationEmail::Representation
      
          collection :contact_group_membership, as: 'contactGroupMembership', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiContactGroupMembership, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiContactGroupMembership::Representation
      
          collection :contact_state_info, as: 'contactStateInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiContactStateInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiContactStateInfo::Representation
      
          collection :cover_photo, as: 'coverPhoto', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCoverPhoto, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCoverPhoto::Representation
      
          collection :custom_schema_field, as: 'customSchemaField', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCustomSchemaField, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCustomSchemaField::Representation
      
          collection :email, as: 'email', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmail, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmail::Representation
      
          collection :emergency_info, as: 'emergencyInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmergencyInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEmergencyInfo::Representation
      
          collection :event, as: 'event', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEvent, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEvent::Representation
      
          property :extended_data, as: 'extendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonExtendedData::Representation
      
          collection :external_id, as: 'externalId', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiExternalId, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiExternalId::Representation
      
          collection :file_as, as: 'fileAs', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFileAs, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFileAs::Representation
      
          property :fingerprint, as: 'fingerprint'
          collection :gender, as: 'gender', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGender, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGender::Representation
      
          collection :im, as: 'im', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiIm, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiIm::Representation
      
          collection :in_app_notification_target, as: 'inAppNotificationTarget', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTarget, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppNotificationTarget::Representation
      
          collection :in_app_reachability, as: 'inAppReachability', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppReachability, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInAppReachability::Representation
      
          collection :interaction_settings, as: 'interactionSettings', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInteractionSettings, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInteractionSettings::Representation
      
          collection :interest, as: 'interest', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInterest, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiInterest::Representation
      
          collection :language, as: 'language', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLanguage, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLanguage::Representation
      
          property :legacy_fields, as: 'legacyFields', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLegacyFields, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLegacyFields::Representation
      
          collection :limited_profile_settings, as: 'limitedProfileSettings', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLimitedProfileSettingsField, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLimitedProfileSettingsField::Representation
      
          collection :linked_person, as: 'linkedPerson', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          collection :location, as: 'location', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLocation, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLocation::Representation
      
          collection :management_upchain, as: 'managementUpchain', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiManagementUpchain, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiManagementUpchain::Representation
      
          collection :maps_profile, as: 'mapsProfile', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfile, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsProfile::Representation
      
          collection :membership, as: 'membership', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMembership, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMembership::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadata::Representation
      
          collection :mission, as: 'mission', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMission, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMission::Representation
      
          collection :name, as: 'name', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiName, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiName::Representation
      
          collection :nickname, as: 'nickname', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiNickname, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiNickname::Representation
      
          collection :occupation, as: 'occupation', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOccupation, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOccupation::Representation
      
          collection :organization, as: 'organization', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganization, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOrganization::Representation
      
          collection :other_keyword, as: 'otherKeyword', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOtherKeyword, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOtherKeyword::Representation
      
          collection :people_in_common, as: 'peopleInCommon', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          collection :person_attribute, as: 'personAttribute', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonAttribute, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonAttribute::Representation
      
          property :person_id, as: 'personId'
          collection :phone, as: 'phone', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhone, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhone::Representation
      
          collection :photo, as: 'photo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhoto, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhoto::Representation
      
          collection :place_details, as: 'placeDetails', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlaceDetails, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlaceDetails::Representation
      
          collection :plus_page_info, as: 'plusPageInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlusPageInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlusPageInfo::Representation
      
          collection :posix_account, as: 'posixAccount', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPosixAccount, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPosixAccount::Representation
      
          property :profile_url, as: 'profileUrl'
          collection :profile_url_repeated, as: 'profileUrlRepeated', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileUrl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileUrl::Representation
      
          collection :pronoun, as: 'pronoun', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPronoun, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPronoun::Representation
      
          collection :read_only_profile_info, as: 'readOnlyProfileInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfo::Representation
      
          collection :relation, as: 'relation', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelation, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelation::Representation
      
          collection :relationship_interest, as: 'relationshipInterest', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationshipInterest, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationshipInterest::Representation
      
          collection :relationship_status, as: 'relationshipStatus', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationshipStatus, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationshipStatus::Representation
      
          collection :right_of_publicity_state, as: 'rightOfPublicityState', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRightOfPublicityState, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRightOfPublicityState::Representation
      
          collection :roster_details, as: 'rosterDetails', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterDetails, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterDetails::Representation
      
          collection :search_profile, as: 'searchProfile', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSearchProfile, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSearchProfile::Representation
      
          collection :sip_address, as: 'sipAddress', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSipAddress, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSipAddress::Representation
      
          collection :skills, as: 'skills', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSkills, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSkills::Representation
      
          collection :social_connection, as: 'socialConnection', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSocialConnection, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSocialConnection::Representation
      
          property :sort_keys, as: 'sortKeys', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSortKeys, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSortKeys::Representation
      
          collection :ssh_public_key, as: 'sshPublicKey', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSshPublicKey, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiSshPublicKey::Representation
      
          collection :tagline, as: 'tagline', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiTagline, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiTagline::Representation
      
          property :teams_extended_data, as: 'teamsExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiTeamsExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiTeamsExtendedData::Representation
      
          collection :user_defined, as: 'userDefined', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiUserDefined, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiUserDefined::Representation
      
          collection :visible_to_guests, as: 'visibleToGuests', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiVisibleToGuests, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiVisibleToGuests::Representation
      
          collection :website, as: 'website', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebsite, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebsite::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attribute_key, as: 'attributeKey'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :about_me_extended_data, as: 'aboutMeExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAboutMeExtendedData::Representation
      
          property :apps_waldo_extended_data, as: 'appsWaldoExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionAppsWaldoExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionAppsWaldoExtendedData::Representation
      
          property :caller_id_extended_data, as: 'callerIdExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCallerIdExtendedData::Representation
      
          property :contacts_extended_data, as: 'contactsExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebContactsExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebContactsExtendedData::Representation
      
          collection :domain_name, as: 'domainName'
          property :dynamite_extended_data, as: 'dynamiteExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionDynamiteExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionDynamiteExtendedData::Representation
      
          property :gpay_extended_data, as: 'gpayExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGPayExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGPayExtendedData::Representation
      
          property :gplus_extended_data, as: 'gplusExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGplusExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiGplusExtendedData::Representation
      
          property :hangouts_extended_data, as: 'hangoutsExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiHangoutsExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiHangoutsExtendedData::Representation
      
          property :is_placeholder, as: 'isPlaceholder'
          property :maps_extended_data, as: 'mapsExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMapsExtendedData::Representation
      
          property :paisa_extended_data, as: 'paisaExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPaisaExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPaisaExtendedData::Representation
      
          property :people_stack_extended_data, as: 'peopleStackExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPeopleStackExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPeopleStackExtendedData::Representation
      
          property :people_stack_person_extended_data, as: 'peopleStackPersonExtendedData', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPeopleStackPersonExtendedData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiExtensionPeopleStackPersonExtendedData::Representation
      
          property :play_games_extended_data, as: 'playGamesExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedData::Representation
      
          property :tls_is_placeholder, as: 'tlsIsPlaceholder'
          property :youtube_extended_data, as: 'youtubeExtendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiYoutubeExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiYoutubeExtendedData::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :acl_choices, as: 'aclChoices', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl::Representation
      
          property :additional_container_info, as: 'additionalContainerInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAdditionalContainerInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAdditionalContainerInfo::Representation
      
          collection :affinity, as: 'affinity', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity::Representation
      
          collection :contact_visibility, as: 'contactVisibility'
          property :container, as: 'container'
          property :container_id, :numeric_string => true, as: 'containerId'
          property :container_primary, as: 'containerPrimary'
          property :container_type, as: 'containerType'
          property :cross_device_allowed, as: 'crossDeviceAllowed'
          property :default_acl_choice, as: 'defaultAclChoice', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl::Representation
      
          property :deprecated_contact_container_id, :numeric_string => true, as: 'deprecatedContactContainerId'
          property :edge_key, as: 'edgeKey'
          collection :edge_key_info, as: 'edgeKeyInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiEdgeKeyInfo::Representation
      
          property :encoded_container_id, as: 'encodedContainerId'
          property :field_acl, as: 'fieldAcl', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldAcl::Representation
      
          property :last_update_time, as: 'lastUpdateTime'
          collection :matching_info, as: 'matchingInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMatchInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiMatchInfo::Representation
      
          collection :other_deduped_containers, as: 'otherDedupedContainers', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDedupedContainerInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDedupedContainerInfo::Representation
      
          property :primary, as: 'primary'
          collection :product_metadata, as: 'productMetadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductMetadata::Representation
      
          property :verified, as: 'verified'
          property :visibility, as: 'visibility'
          property :writeable, as: 'writeable'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :people, as: 'people', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          property :total_number, as: 'totalNumber'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :affinity, as: 'affinity', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity::Representation
      
          collection :attribution, as: 'attribution'
          property :best_display_name, as: 'bestDisplayName', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBestDisplayName, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiBestDisplayName::Representation
      
          collection :block_type, as: 'blockType'
          collection :circle_id, as: 'circleId'
          collection :contact_group_id, as: 'contactGroupId'
          collection :contact_id, as: 'contactId'
          property :custom_response_masking_type, as: 'customResponseMaskingType'
          property :deleted, as: 'deleted'
          property :deprecated_blocked, as: 'deprecatedBlocked'
          collection :deprecated_membership_circle_id, as: 'deprecatedMembershipCircleId'
          collection :deprecated_membership_contact_group_id, as: 'deprecatedMembershipContactGroupId'
          collection :device_contact_info, as: 'deviceContactInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactInfo::Representation
      
          property :identity_info, as: 'identityInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiIdentityInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiIdentityInfo::Representation
      
          property :in_viewer_domain, as: 'inViewerDomain'
          collection :incoming_block_type, as: 'incomingBlockType'
          property :last_update_time_micros, :numeric_string => true, as: 'lastUpdateTimeMicros'
          property :model, as: 'model'
          property :object_type, as: 'objectType'
          property :owner_id, as: 'ownerId'
          collection :owner_user_type, as: 'ownerUserType'
          property :plus_page_type, as: 'plusPageType'
          collection :previous_person_id, as: 'previousPersonId'
          property :profile_owner_stats, as: 'profileOwnerStats', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats::Representation
      
          property :scoring_info, as: 'scoringInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfo::Representation
      
          property :user_visible_stats, as: 'userVisibleStats', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiUserVisibleStats, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiUserVisibleStats::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_match_quality_score, as: 'rawMatchQualityScore'
          collection :st_expression_results, as: 'stExpressionResults', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfoStExpressionResult, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfoStExpressionResult::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPersonMetadataScoringInfoStExpressionResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonicalized_form, as: 'canonicalizedForm'
          property :emergency_info, as: 'emergencyInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldEmergencyInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiFieldEmergencyInfo::Representation
      
          property :extended_data, as: 'extendedData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhoneExtendedData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhoneExtendedData::Representation
      
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
          property :uri, as: 'uri'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhoneExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :structured_phone, as: 'structuredPhone', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhone, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhone::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhoto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :emoji_avatar_url, as: 'emojiAvatarUrl'
          property :glyph, as: 'glyph'
          collection :html_attribution, as: 'htmlAttribution'
          property :is_default, as: 'isDefault'
          property :is_monogram, as: 'isMonogram'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :monogram_background, as: 'monogramBackground'
          property :photo_id, as: 'photoId', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhotoPhotoStorageId, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPhotoPhotoStorageId::Representation
      
          property :photo_token, as: 'photoToken'
          property :url, as: 'url'
          property :viewer_url, as: 'viewerUrl'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPhotoPhotoStorageId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :media_key, as: 'mediaKey'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlaceDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :google_url, as: 'googleUrl'
          property :lat_lng, as: 'latLng', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLatLng, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiLatLng::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :opening_hours, as: 'openingHours', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHours, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiOpeningHours::Representation
      
          property :primary_type_name, as: 'primaryTypeName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :achievements, as: 'achievements', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedDataAchievement, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedDataAchievement::Representation
      
          property :avatar_image_url, as: 'avatarImageUrl'
          property :failure, as: 'failure', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure::Representation
      
          property :gamer_tag, as: 'gamerTag'
          property :player_level, as: 'playerLevel'
          property :profile_visibility, as: 'profileVisibility'
          property :total_friends_count, :numeric_string => true, as: 'totalFriendsCount'
          property :total_unlocked_achievements, :numeric_string => true, as: 'totalUnlockedAchievements'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlayGamesExtendedDataAchievement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :achievement_name, as: 'achievementName'
          property :achievement_unlocked_icon_url, as: 'achievementUnlockedIconUrl'
          property :rarity_percentage, as: 'rarityPercentage'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPlusPageInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_id, :numeric_string => true, as: 'applicationId'
          property :entity_type, as: 'entityType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPointSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounds, as: 'bounds', class: Google::Apis::ContentwarehouseV1::GeostoreRectProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRectProto::Representation
      
          property :point, as: 'point', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :point_source, as: 'pointSource'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPosixAccount
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_id, as: 'accountId'
          property :account_namespace, as: 'accountNamespace'
          property :account_type, as: 'accountType'
          property :customer_key, :numeric_string => true, as: 'customerKey'
          property :fingerprint, as: 'fingerprint'
          property :gecos, as: 'gecos'
          property :gid, :numeric_string => true, as: 'gid'
          property :home_directory, as: 'homeDirectory'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :operating_system_type, as: 'operatingSystemType'
          property :shell, as: 'shell'
          property :system_id, as: 'systemId'
          property :uid, :numeric_string => true, as: 'uid'
          property :username, as: 'username'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProductMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :product_source, as: 'productSource'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProductProfileFailure
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :failure_type, as: 'failureType'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :incoming_any_circle_count, :numeric_string => true, as: 'incomingAnyCircleCount'
          property :view_count, :numeric_string => true, as: 'viewCount'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiProfileUrl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :url, as: 'url'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiPronoun
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :pronoun_data, as: 'pronounData', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronounData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronounData::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRawDeviceContactAnalyticalInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_set, as: 'dataSet'
          property :dirty, as: 'dirty'
          property :source_id_exist, as: 'sourceIdExist'
          property :sync_info, as: 'syncInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSyncInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSyncInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRawDeviceContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_name, as: 'accountName'
          property :account_type, as: 'accountType'
          collection :app_contact_data, as: 'appContactData', class: Google::Apis::ContentwarehouseV1::SocialGraphApiAppContactData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiAppContactData::Representation
      
          property :app_info, as: 'appInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAppUniqueInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAppUniqueInfo::Representation
      
          property :cross_device_allowed, as: 'crossDeviceAllowed'
          property :device_contact_metadata, as: 'deviceContactMetadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiDeviceContactExtraMetadata::Representation
      
          property :google_contact_id, :numeric_string => true, as: 'googleContactId'
          property :id, as: 'id'
          property :photo_type, as: 'photoType'
          property :raw_contact_id, :numeric_string => true, as: 'rawContactId'
          property :raw_device_contact_analytical_info, as: 'rawDeviceContactAnalyticalInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactAnalyticalInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRawDeviceContactAnalyticalInfo::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_email, as: 'accountEmail', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAccountEmail, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAccountEmail::Representation
      
          collection :block_type, as: 'blockType'
          property :customer_info, as: 'customerInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCustomerInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiCustomerInfo::Representation
      
          property :domain_info, as: 'domainInfo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfoDomainInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfoDomainInfo::Representation
      
          property :in_viewer_domain, as: 'inViewerDomain'
          collection :incoming_block_type, as: 'incomingBlockType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :object_type, as: 'objectType'
          property :owner_id, as: 'ownerId'
          collection :owner_user_type, as: 'ownerUserType'
          property :plus_page_type, as: 'plusPageType'
          property :profile_owner_stats, as: 'profileOwnerStats', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProfileOwnerStats::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiReadOnlyProfileInfoDomainInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :domain_badge, as: 'domainBadge'
          collection :domain_name, as: 'domainName'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_value, as: 'canonicalValue'
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :relation_details, as: 'relationDetails', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationRelationDetails, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRelationRelationDetails::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationRelationDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :job_title, as: 'jobTitle'
          property :person_id, as: 'personId'
          property :photo_url, as: 'photoUrl'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationshipInterest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRelationshipStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRightOfPublicityState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :state, as: 'state'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :abridged_roster_memberships, as: 'abridgedRosterMemberships', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterMember, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterMember::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :roster_member_count, as: 'rosterMemberCount', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterMemberCount, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiRosterMemberCount::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterMember
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :member_type, as: 'memberType'
          property :person_id, as: 'personId'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiRosterMemberCount
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :direct_group_count, :numeric_string => true, as: 'directGroupCount'
          property :direct_user_count, :numeric_string => true, as: 'directUserCount'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSearchProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :search_profile_data, as: 'searchProfileData', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileData, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileData::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSipAddress
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSkills
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSocialConnection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          collection :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSortKeys
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :affinity, as: 'affinity', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiAffinity::Representation
      
          property :interaction_rank, as: 'interactionRank'
          property :last_name, as: 'lastName'
          property :last_name_raw, as: 'lastNameRaw'
          property :name, as: 'name'
          property :name_raw, as: 'nameRaw'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSourceIdentity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :container, as: 'container'
          property :container_type, as: 'containerType'
          property :deleted, as: 'deleted'
          property :id, as: 'id'
          property :last_updated, as: 'lastUpdated'
          property :last_updated_micros, :numeric_string => true, as: 'lastUpdatedMicros'
          property :source_etag, as: 'sourceEtag'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiSshPublicKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiration_time, as: 'expirationTime'
          property :fingerprint, as: 'fingerprint'
          property :key, as: 'key'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :phone_number, as: 'phoneNumber', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumber, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumber::Representation
      
          property :short_code, as: 'shortCode', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhoneShortCode, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhoneShortCode::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :e164, as: 'e164'
          property :i18n_data, as: 'i18nData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumberI18nData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumberI18nData::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhonePhoneNumberI18nData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          property :international_number, as: 'internationalNumber'
          property :is_valid, as: 'isValid'
          property :national_number, as: 'nationalNumber'
          property :region_code, as: 'regionCode'
          property :validation_result, as: 'validationResult'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiStructuredPhoneShortCode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'code'
          property :country_code, as: 'countryCode'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiTagline
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiTeamsExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :admin_to, as: 'adminTo', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          collection :admins, as: 'admins', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          collection :dotted_line_managers, as: 'dottedLineManagers', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          property :dotted_line_reports, as: 'dottedLineReports', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber::Representation
      
          collection :failures, as: 'failures'
          collection :management_chain, as: 'managementChain', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          property :reports, as: 'reports', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonListWithTotalNumber::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiUserDefined
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, as: 'key'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiUserVisibleStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :incoming_any_circle_count, :numeric_string => true, as: 'incomingAnyCircleCount'
          property :view_count, :numeric_string => true, as: 'viewCount'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiVisibleToGuests
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebContactsExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_incomplete, as: 'isIncomplete'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebsite
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted_type, as: 'formattedType'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPersonFieldMetadata::Representation
      
          collection :rel, as: 'rel', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebsiteRelationshipInfo, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiWebsiteRelationshipInfo::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiWebsiteRelationshipInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AppsPeopleOzExternalMergedpeopleapiYoutubeExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :channel_data, as: 'channelData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiChannelData, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiChannelData::Representation
      
          property :failure, as: 'failure', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiProductProfileFailure::Representation
      
        end
      end
      
      class AssistantApiAccessControlOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_non_unicorn_user_access_youtube_kids, as: 'allowNonUnicornUserAccessYoutubeKids'
          property :guest_access_on_youtube, as: 'guestAccessOnYoutube'
        end
      end
      
      class AssistantApiActionV2SupportedFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :express_url_in_settings_response_supported, as: 'expressUrlInSettingsResponseSupported'
          property :reconnect_client_input_supported, as: 'reconnectClientInputSupported'
          property :simple_action_v2_punt_supported, as: 'simpleActionV2PuntSupported'
          collection :supported_action_type, as: 'supportedActionType'
          property :take_screenshot_supported, as: 'takeScreenshotSupported'
          property :voice_delight_immersive_ui_supported, as: 'voiceDelightImmersiveUiSupported'
          property :voice_delight_stickers_supported, as: 'voiceDelightStickersSupported'
          property :voice_delight_suggestions_supported, as: 'voiceDelightSuggestionsSupported'
        end
      end
      
      class AssistantApiAndroidIntentCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :android_intent_capability, as: 'androidIntentCapability', class: Google::Apis::ContentwarehouseV1::AssistantApiAndroidIntentCapabilitiesAndroidIntentCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAndroidIntentCapabilitiesAndroidIntentCapability::Representation
      
        end
      end
      
      class AssistantApiAndroidIntentCapabilitiesAndroidIntentCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intent_action_name, as: 'intentActionName'
          collection :package_names, as: 'packageNames'
        end
      end
      
      class AssistantApiAppCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allowlisted_for_media_fulfillment, as: 'allowlistedForMediaFulfillment'
          property :app_integrations_settings, as: 'appIntegrationsSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings::Representation
      
          property :disabled_system_app, as: 'disabledSystemApp'
          property :provider, as: 'provider', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider::Representation
      
          property :routable_to_provider_cloud, as: 'routableToProviderCloud'
          property :searchable_on_device, as: 'searchableOnDevice'
          property :searchable_on_server, as: 'searchableOnServer'
          property :supports_screenless_initiation, as: 'supportsScreenlessInitiation'
          property :whitelisted_for_annotation, as: 'whitelistedForAnnotation'
        end
      end
      
      class AssistantApiAppCapabilitiesDelta
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app_integrations_settings, as: 'appIntegrationsSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings::Representation
      
          property :provider_delta, as: 'providerDelta', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProviderDelta, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProviderDelta::Representation
      
        end
      end
      
      class AssistantApiAppControlSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
        end
      end
      
      class AssistantApiAppIntegrationsSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :handle_requests_with_predicted_apps, as: 'handleRequestsWithPredictedApps'
        end
      end
      
      class AssistantApiAssistantContinuedPresenceSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :plate_support, as: 'plateSupport'
        end
      end
      
      class AssistantApiAudioInput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :environment, as: 'environment'
          property :quality, as: 'quality'
        end
      end
      
      class AssistantApiAudioOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :always_on_speaker, as: 'alwaysOnSpeaker'
          property :environment, as: 'environment'
          property :media_tts_mixable, as: 'mediaTtsMixable'
          property :quality, as: 'quality'
          property :volume_properties, as: 'volumeProperties', class: Google::Apis::ContentwarehouseV1::AssistantApiVolumeProperties, decorator: Google::Apis::ContentwarehouseV1::AssistantApiVolumeProperties::Representation
      
        end
      end
      
      class AssistantApiCallCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :call_formats, as: 'callFormats'
          collection :call_mediums, as: 'callMediums'
          collection :call_options, as: 'callOptions'
          property :fallback_to_tethered_device_app_capabilities, as: 'fallbackToTetheredDeviceAppCapabilities'
          collection :supported_recipient_types, as: 'supportedRecipientTypes'
          property :supports_duo_email_endpoint, as: 'supportsDuoEmailEndpoint'
        end
      end
      
      class AssistantApiCameraCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :face_match_capable, as: 'faceMatchCapable'
          property :has_camera, as: 'hasCamera'
        end
      end
      
      class AssistantApiCameraReceiverCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_limited_camera_stream_capability, as: 'hasLimitedCameraStreamCapability'
          collection :supported_camera_receivers, as: 'supportedCameraReceivers', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCastAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCastAppInfo::Representation
      
        end
      end
      
      class AssistantApiCarAssistantCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :should_punt_multi_assistant_mode, as: 'shouldPuntMultiAssistantMode'
        end
      end
      
      class AssistantApiCarSettingsCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :play_warmer_welcome, as: 'playWarmerWelcome'
          property :supports_adding_cars, as: 'supportsAddingCars'
        end
      end
      
      class AssistantApiCastAssistantSettingLinkingResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cast_linking_status, as: 'castLinkingStatus'
          property :truncated_error_msg, as: 'truncatedErrorMsg'
        end
      end
      
      class AssistantApiCastCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :camera_receiver_capabilities, as: 'cameraReceiverCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCameraReceiverCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCameraReceiverCapabilities::Representation
      
          collection :camera_stream_supported_protocols, as: 'cameraStreamSupportedProtocols'
          property :can_receive_cast, as: 'canReceiveCast'
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :dynamic_groups_supported, as: 'dynamicGroupsSupported'
          property :group_type, as: 'groupType'
          property :overlay_applications_supported, as: 'overlayApplicationsSupported'
          property :yeti_gaming_supported, as: 'yetiGamingSupported'
        end
      end
      
      class AssistantApiClientOpPropertiesDeviceModifySettingClientOpProperty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :skip_android_and_gsa_version_check, as: 'skipAndroidAndGsaVersionCheck'
          collection :supported_settings, as: 'supportedSettings'
          property :supports_do_not_disturb_with_duration, as: 'supportsDoNotDisturbWithDuration'
          property :supports_mute_unmute, as: 'supportsMuteUnmute'
        end
      end
      
      class AssistantApiClientOpPropertiesProviderOpenClientOpProperty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :keeps_conversation_alive_after_opening_app, as: 'keepsConversationAliveAfterOpeningApp'
        end
      end
      
      class AssistantApiClockCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_supported_alarms, as: 'maxSupportedAlarms'
          property :max_supported_extended_timer_duration, as: 'maxSupportedExtendedTimerDuration', class: Google::Apis::ContentwarehouseV1::AssistantApiDuration, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDuration::Representation
      
          property :max_supported_timer_duration, as: 'maxSupportedTimerDuration', class: Google::Apis::ContentwarehouseV1::AssistantApiDuration, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDuration::Representation
      
          property :max_supported_timers, as: 'maxSupportedTimers'
          property :preferred_stopwatch_provider, as: 'preferredStopwatchProvider', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider::Representation
      
          property :restrict_alarms_to_next24h, as: 'restrictAlarmsToNext24h'
        end
      end
      
      class AssistantApiCommunicationUiCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fluid_actions_ui_type, as: 'fluidActionsUiType'
        end
      end
      
      class AssistantApiContactLookupCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fallback_to_tethered_device, as: 'fallbackToTetheredDevice'
        end
      end
      
      class AssistantApiCoreTypesAndroidAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_type, as: 'accountType'
          property :android_intent, as: 'androidIntent'
          property :app_unique_id, as: 'appUniqueId'
          property :app_version, as: 'appVersion'
          property :data_mimetype, as: 'dataMimetype'
          property :is_broadcast_intent, as: 'isBroadcastIntent'
          property :is_default, as: 'isDefault'
          property :localized_app_name, as: 'localizedAppName'
          property :long_version_code, :numeric_string => true, as: 'longVersionCode'
          property :mimetype, as: 'mimetype'
          property :package_name, as: 'packageName'
          property :provider_type, as: 'providerType'
          property :shortcut_id, as: 'shortcutId'
          property :version_name, as: 'versionName'
        end
      end
      
      class AssistantApiCoreTypesAndroidAppInfoDelta
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_app_info, as: 'androidAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfo::Representation
      
          property :last_update_timestamp, as: 'lastUpdateTimestamp'
          property :update_type, as: 'updateType'
        end
      end
      
      class AssistantApiCoreTypesCalendarEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attendees, as: 'attendees', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee::Representation
      
          property :background_color, as: 'backgroundColor'
          property :calendar_id, as: 'calendarId'
          property :creator, as: 'creator', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee::Representation
      
          property :description, as: 'description'
          property :end, as: 'end', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :event_id, as: 'eventId'
          property :flair_name, as: 'flairName'
          property :foreground_color, as: 'foregroundColor'
          property :guests_can_invite_others, as: 'guestsCanInviteOthers'
          property :guests_can_modify, as: 'guestsCanModify'
          property :guests_can_see_guests, as: 'guestsCanSeeGuests'
          property :habit_id, as: 'habitId'
          property :habit_status, as: 'habitStatus'
          property :html_link, as: 'htmlLink'
          property :location, as: 'location'
          collection :meeting_contacts, as: 'meetingContacts', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventMeetingContact, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventMeetingContact::Representation
      
          property :organizer, as: 'organizer', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventAttendee::Representation
      
          property :other_attendees_excluded, as: 'otherAttendeesExcluded'
          property :participation_response, as: 'participationResponse'
          property :recurring_event_id, as: 'recurringEventId'
          collection :rooms, as: 'rooms', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventRoom, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventRoom::Representation
      
          property :start, as: 'start', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :summary, as: 'summary'
          property :visibility, as: 'visibility'
        end
      end
      
      class AssistantApiCoreTypesCalendarEventAttendee
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :email, as: 'email'
          property :given_name, as: 'givenName'
          property :id, as: 'id'
          property :organizer, as: 'organizer'
          property :response_status, as: 'responseStatus'
          property :self, as: 'self'
        end
      end
      
      class AssistantApiCoreTypesCalendarEventMeetingContact
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :conference_id, as: 'conferenceId'
          collection :dial_in_number_classes, as: 'dialInNumberClasses'
          property :phone_number_uri, as: 'phoneNumberUri'
          property :pin_number, as: 'pinNumber'
          property :provider, as: 'provider', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider::Representation
      
          property :region_code, as: 'regionCode'
          property :source, as: 'source'
          property :universal_pin_number, as: 'universalPinNumber'
          property :url, as: 'url'
        end
      end
      
      class AssistantApiCoreTypesCalendarEventRoom
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :location_details, as: 'locationDetails', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventRoomRoomLocationDetails, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventRoomRoomLocationDetails::Representation
      
          property :name, as: 'name'
        end
      end
      
      class AssistantApiCoreTypesCalendarEventRoomRoomLocationDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :building, as: 'building'
          property :city, as: 'city'
          property :floor, as: 'floor'
          property :latitude, as: 'latitude'
          property :longitude, as: 'longitude'
          property :section, as: 'section'
          property :simple_name, as: 'simpleName'
        end
      end
      
      class AssistantApiCoreTypesCalendarEventWrapper
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantApiCoreTypesCastAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cast_app_id, as: 'castAppId'
          property :content_app_id, as: 'contentAppId'
        end
      end
      
      class AssistantApiCoreTypesChromeOsAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :localized_app_name, as: 'localizedAppName'
          property :package_name, as: 'packageName'
        end
      end
      
      class AssistantApiCoreTypesCloudProviderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent_style, as: 'agentStyle', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCloudProviderInfoAgentStyle, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCloudProviderInfoAgentStyle::Representation
      
          property :directory_url, as: 'directoryUrl'
          property :logo_url, as: 'logoUrl'
          property :name, as: 'name'
        end
      end
      
      class AssistantApiCoreTypesCloudProviderInfoAgentStyle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :background_color, as: 'backgroundColor', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor::Representation
      
          property :header_theme, as: 'headerTheme'
          property :landscape_background_image_url, as: 'landscapeBackgroundImageUrl'
          property :logo_url, as: 'logoUrl'
          property :mask_color, as: 'maskColor', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor::Representation
      
          property :portrait_background_image_url, as: 'portraitBackgroundImageUrl'
          property :primary_color, as: 'primaryColor', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedColor::Representation
      
        end
      end
      
      class AssistantApiCoreTypesDeviceConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent_id, as: 'agentId'
          property :device_id, as: 'deviceId'
        end
      end
      
      class AssistantApiCoreTypesDeviceId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agsa_client_instance_id, as: 'agsaClientInstanceId'
          property :allo_device_id, as: 'alloDeviceId'
          property :canonical_device_id, as: 'canonicalDeviceId'
          property :cast_device_id, as: 'castDeviceId'
          property :client_instance_id, as: 'clientInstanceId'
          property :connected_dock_id, as: 'connectedDockId'
          property :device_config, as: 'deviceConfig', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceConfig::Representation
      
          property :device_type, as: 'deviceType'
          property :home_graph_device_id, as: 'homeGraphDeviceId'
          property :libassistant_device_id, as: 'libassistantDeviceId'
          property :multi_hotword_arbitration_device_id, as: 'multiHotwordArbitrationDeviceId'
          property :opa_ios_device_id, as: 'opaIosDeviceId'
          property :quartz_device_id, as: 'quartzDeviceId'
        end
      end
      
      class AssistantApiCoreTypesDeviceUserIdentity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
        end
      end
      
      class AssistantApiCoreTypesGovernedColor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alpha, as: 'alpha'
          property :blue, as: 'blue'
          property :green, as: 'green'
          property :red, as: 'red'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :character_alarm_metadata, as: 'characterAlarmMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataCharacterAlarmMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataCharacterAlarmMetadata::Representation
      
          property :character_tag, as: 'characterTag'
          property :entity_mid, as: 'entityMid'
          property :funtime_metadata, as: 'funtimeMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataFuntimeMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataFuntimeMetadata::Representation
      
          property :gen_ml_alarm_metadata, as: 'genMlAlarmMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataGenMlAlarmMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataGenMlAlarmMetadata::Representation
      
          property :gentle_wake_info, as: 'gentleWakeInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataGentleWakeInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataGentleWakeInfo::Representation
      
          property :on_device_alarm_metadata, as: 'onDeviceAlarmMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataOnDeviceAlarmMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataOnDeviceAlarmMetadata::Representation
      
          property :on_device_alarm_sound, as: 'onDeviceAlarmSound'
          property :routine_alarm_metadata, as: 'routineAlarmMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataRoutineAlarmMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadataRoutineAlarmMetadata::Representation
      
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataCharacterAlarmMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :agent_ids, as: 'agentIds'
          collection :character_tags, as: 'characterTags'
          collection :icon_urls, as: 'iconUrls'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataFuntimeMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :agent_ids, as: 'agentIds'
          property :animation_blob, :base64 => true, as: 'animationBlob'
          property :animation_url, as: 'animationUrl'
          property :timer_hero_url, as: 'timerHeroUrl'
          property :tts_service_request_bytes, :base64 => true, as: 'ttsServiceRequestBytes'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataGenMlAlarmMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_enabled, as: 'isEnabled'
          property :ringtone_label, as: 'ringtoneLabel'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataGentleWakeInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :effect_duration_ms, :numeric_string => true, as: 'effectDurationMs'
          property :is_enabled, as: 'isEnabled'
          property :start_timedelta_ms, :numeric_string => true, as: 'startTimedeltaMs'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataOnDeviceAlarmMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :on_device_alarm_sound, as: 'onDeviceAlarmSound'
          property :on_device_alarm_sound_label, as: 'onDeviceAlarmSoundLabel'
          property :tts_service_request_bytes, :base64 => true, as: 'ttsServiceRequestBytes'
        end
      end
      
      class AssistantApiCoreTypesGovernedRingtoneTaskMetadataRoutineAlarmMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :routine_id, as: 'routineId'
        end
      end
      
      class AssistantApiCoreTypesHomeAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :localized_app_name, as: 'localizedAppName'
          property :package_name, as: 'packageName'
        end
      end
      
      class AssistantApiCoreTypesImage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :accessibility_text, as: 'accessibilityText'
          property :app_icon_identifier, as: 'appIconIdentifier'
          property :badge_image, as: 'badgeImage', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesImage, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesImage::Representation
      
          property :content, :base64 => true, as: 'content'
          property :height, as: 'height'
          property :image_source, as: 'imageSource'
          property :json_content, as: 'jsonContent'
          property :letter_drawable_text, as: 'letterDrawableText'
          property :provider_url, as: 'providerUrl'
          property :source_url, as: 'sourceUrl'
          property :source_url_type, as: 'sourceUrlType'
          property :width, as: 'width'
        end
      end
      
      class AssistantApiCoreTypesInternalProviderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AssistantApiCoreTypesIosAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bundle_identifier, as: 'bundleIdentifier'
          property :localized_app_name, as: 'localizedAppName'
          property :open_app_url, as: 'openAppUrl'
        end
      end
      
      class AssistantApiCoreTypesKaiOsAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :localized_app_name, as: 'localizedAppName'
          property :open_app_url, as: 'openAppUrl'
          property :package_name, as: 'packageName'
        end
      end
      
      class AssistantApiCoreTypesLocationCoordinates
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :accuracy_meters, as: 'accuracyMeters'
          property :lat_degrees, as: 'latDegrees'
          property :lng_degrees, as: 'lngDegrees'
        end
      end
      
      class AssistantApiCoreTypesMessageNotification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app_name, as: 'appName'
          property :bundle_id, as: 'bundleId'
          property :data_uri, as: 'dataUri'
          property :group_name, as: 'groupName'
          property :grouping_key, as: 'groupingKey'
          property :index, as: 'index'
          property :mark_as_read_action_available, as: 'markAsReadActionAvailable'
          property :message_length, as: 'messageLength'
          property :message_recipient_type, as: 'messageRecipientType'
          property :mime_type, as: 'mimeType'
          collection :notification_entries, as: 'notificationEntries', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationNotificationEntry, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationNotificationEntry::Representation
      
          property :notification_icon_key, as: 'notificationIconKey'
          property :notification_key, as: 'notificationKey'
          property :opaque_token, :base64 => true, as: 'opaqueToken'
          property :package_name, as: 'packageName'
          property :post_time, :numeric_string => true, as: 'postTime'
          property :reply_action_available, as: 'replyActionAvailable'
          property :sender, as: 'sender', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationPerson, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationPerson::Representation
      
          property :sender_name, as: 'senderName'
        end
      end
      
      class AssistantApiCoreTypesMessageNotificationNotificationEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_uri, as: 'dataUri'
          property :message_body, as: 'messageBody'
          property :mime_type, as: 'mimeType'
          property :post_time, as: 'postTime'
          property :sender, as: 'sender', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationPerson, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotificationPerson::Representation
      
        end
      end
      
      class AssistantApiCoreTypesMessageNotificationPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_important, as: 'isImportant'
          property :key, as: 'key'
          property :name, as: 'name'
        end
      end
      
      class AssistantApiCoreTypesProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_app_info, as: 'androidAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfo::Representation
      
          property :cast_app_info, as: 'castAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCastAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCastAppInfo::Representation
      
          property :chromeos_app_info, as: 'chromeosAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesChromeOsAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesChromeOsAppInfo::Representation
      
          property :cloud_provider_info, as: 'cloudProviderInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCloudProviderInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCloudProviderInfo::Representation
      
          property :fallback_url, as: 'fallbackUrl'
          property :home_app_info, as: 'homeAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesHomeAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesHomeAppInfo::Representation
      
          property :icon_image_url, as: 'iconImageUrl'
          property :internal_provider_info, as: 'internalProviderInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesInternalProviderInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesInternalProviderInfo::Representation
      
          property :ios_app_info, as: 'iosAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesIosAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesIosAppInfo::Representation
      
          property :kaios_app_info, as: 'kaiosAppInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesKaiOsAppInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesKaiOsAppInfo::Representation
      
          property :sip_provider_info, as: 'sipProviderInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSipProviderInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSipProviderInfo::Representation
      
          property :web_provider_info, as: 'webProviderInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesWebProviderInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesWebProviderInfo::Representation
      
        end
      end
      
      class AssistantApiCoreTypesProviderDelta
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_app_info_delta, as: 'androidAppInfoDelta', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfoDelta, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesAndroidAppInfoDelta::Representation
      
          property :fallback_url, as: 'fallbackUrl'
          property :icon_image_url, as: 'iconImageUrl'
        end
      end
      
      class AssistantApiCoreTypesSipProviderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :provider_id, as: 'providerId'
          property :realm, as: 'realm'
          property :use_birdsong_tacl, as: 'useBirdsongTacl'
        end
      end
      
      class AssistantApiCoreTypesSurfaceIdentity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :surface_type, as: 'surfaceType'
          property :surface_type_string, as: 'surfaceTypeString'
          property :surface_version, as: 'surfaceVersion', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceVersion, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceVersion::Representation
      
        end
      end
      
      class AssistantApiCoreTypesSurfaceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AssistantApiCoreTypesSurfaceVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :major, as: 'major'
          property :minor, as: 'minor'
        end
      end
      
      class AssistantApiCoreTypesWebProviderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :home_storage, as: 'homeStorage'
          property :localized_app_name, as: 'localizedAppName'
          property :open_app_url, as: 'openAppUrl'
          property :third_party_custom_nlu_info, as: 'thirdPartyCustomNluInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesWebProviderInfoThirdPartyCustomNluInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesWebProviderInfoThirdPartyCustomNluInfo::Representation
      
        end
      end
      
      class AssistantApiCoreTypesWebProviderInfoThirdPartyCustomNluInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :locale, as: 'locale'
          property :nlu_agent_id, as: 'nluAgentId'
          property :nlu_agent_version, :numeric_string => true, as: 'nluAgentVersion'
        end
      end
      
      class AssistantApiCrossDeviceExecutionCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :local_connectivity_enabled, as: 'localConnectivityEnabled'
          property :remote_cast_media_enabled, as: 'remoteCastMediaEnabled'
        end
      end
      
      class AssistantApiDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'day'
          property :month, as: 'month'
          property :year, as: 'year'
        end
      end
      
      class AssistantApiDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date, as: 'date', class: Google::Apis::ContentwarehouseV1::AssistantApiDate, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDate::Representation
      
          property :time_of_day, as: 'timeOfDay', class: Google::Apis::ContentwarehouseV1::AssistantApiTimeOfDay, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimeOfDay::Representation
      
          property :time_zone, as: 'timeZone', class: Google::Apis::ContentwarehouseV1::AssistantApiTimeZone, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimeZone::Representation
      
        end
      end
      
      class AssistantApiDeviceCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_intent_capabilities, as: 'androidIntentCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiAndroidIntentCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAndroidIntentCapabilities::Representation
      
          property :audio_input, as: 'audioInput', class: Google::Apis::ContentwarehouseV1::AssistantApiAudioInput, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAudioInput::Representation
      
          property :audio_output, as: 'audioOutput', class: Google::Apis::ContentwarehouseV1::AssistantApiAudioOutput, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAudioOutput::Representation
      
          property :call_capabilities, as: 'callCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCallCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCallCapabilities::Representation
      
          property :camera, as: 'camera', class: Google::Apis::ContentwarehouseV1::AssistantApiCameraCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCameraCapabilities::Representation
      
          property :cast, as: 'cast', class: Google::Apis::ContentwarehouseV1::AssistantApiCastCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCastCapabilities::Representation
      
          property :communication_ui_capabilities, as: 'communicationUiCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCommunicationUiCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCommunicationUiCapabilities::Representation
      
          property :contact_lookup_capabilities, as: 'contactLookupCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiContactLookupCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiContactLookupCapabilities::Representation
      
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :device_ux_mode, as: 'deviceUxMode'
          property :has_voice_telephony, as: 'hasVoiceTelephony'
          property :jwn_capabilities, as: 'jwnCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiJwnCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiJwnCapabilities::Representation
      
          property :lens_perception_capabilities, as: 'lensPerceptionCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilities::Representation
      
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::AssistantApiLocationCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLocationCapabilities::Representation
      
          property :logging_only_data, as: 'loggingOnlyData', class: Google::Apis::ContentwarehouseV1::AssistantApiLoggingOnlyData, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLoggingOnlyData::Representation
      
          property :message_capabilities, as: 'messageCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiMessageCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiMessageCapabilities::Representation
      
          property :movement, as: 'movement', class: Google::Apis::ContentwarehouseV1::AssistantApiMovementCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiMovementCapabilities::Representation
      
          property :notification_capabilities, as: 'notificationCapabilities'
          property :notification_output_restrictions, as: 'notificationOutputRestrictions', class: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictions, decorator: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictions::Representation
      
          property :output_restrictions, as: 'outputRestrictions', class: Google::Apis::ContentwarehouseV1::AssistantApiOutputRestrictions, decorator: Google::Apis::ContentwarehouseV1::AssistantApiOutputRestrictions::Representation
      
          property :safety_restrictions, as: 'safetyRestrictions'
          property :screen, as: 'screen', class: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilities::Representation
      
          property :soda_capabilities, as: 'sodaCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiSodaCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSodaCapabilities::Representation
      
          property :software, as: 'software', class: Google::Apis::ContentwarehouseV1::AssistantApiSoftwareCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSoftwareCapabilities::Representation
      
          property :speech_capabilities, as: 'speechCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiSpeechCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSpeechCapabilities::Representation
      
          collection :supported_locale, as: 'supportedLocale'
          property :surface_identity, as: 'surfaceIdentity', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceIdentity, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceIdentity::Representation
      
          property :surface_type_string, as: 'surfaceTypeString'
          property :system_notification_restrictions, as: 'systemNotificationRestrictions', class: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictions, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictions::Representation
      
          property :third_party_capabilities, as: 'thirdPartyCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyCapabilities::Representation
      
        end
      end
      
      class AssistantApiDuration
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :nanos, as: 'nanos'
          property :seconds, :numeric_string => true, as: 'seconds'
        end
      end
      
      class AssistantApiFeatureSpecificActionSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :clarification_data_supported, as: 'clarificationDataSupported'
        end
      end
      
      class AssistantApiFitnessFeatureSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :supported_activities, as: 'supportedActivities'
        end
      end
      
      class AssistantApiFluidActionsSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state_sync_method, as: 'stateSyncMethod'
        end
      end
      
      class AssistantApiGacsCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :response_config, as: 'responseConfig', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ResponseConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ResponseConfig::Representation
      
          property :tts_encoding, as: 'ttsEncoding'
        end
      end
      
      class AssistantApiGcmCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gcm_registration_id, as: 'gcmRegistrationId'
          property :supports_assistant_gcm, as: 'supportsAssistantGcm'
          property :supports_client_input_over_gcm, as: 'supportsClientInputOverGcm'
        end
      end
      
      class AssistantApiGestureCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gesture_sensing, as: 'gestureSensing'
          property :omniswipe_gesture_capable, as: 'omniswipeGestureCapable'
          property :tap_gesture_capable, as: 'tapGestureCapable'
        end
      end
      
      class AssistantApiGuestAccessOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :guest_access_on_youtube, as: 'guestAccessOnYoutube'
        end
      end
      
      class AssistantApiImmersiveCanvasSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confirmation_message_supported, as: 'confirmationMessageSupported'
          property :pause_signal_supported, as: 'pauseSignalSupported'
        end
      end
      
      class AssistantApiJwnCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :libraries_version_map, as: 'librariesVersionMap'
          collection :supported_compression_mode, as: 'supportedCompressionMode'
          property :supports_jwn, as: 'supportsJwn'
        end
      end
      
      class AssistantApiLensPerceptionCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_lens_perception, as: 'hasLensPerception'
          property :is_lens_direct_intent_available, as: 'isLensDirectIntentAvailable'
          property :is_lens_live_viewfinder_available, as: 'isLensLiveViewfinderAvailable'
          property :is_lens_post_capture_available, as: 'isLensPostCaptureAvailable'
          property :lens_capabilities, as: 'lensCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilities::Representation
      
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dining, as: 'dining', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesDining, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesDining::Representation
      
          property :education, as: 'education', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesEducation, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesEducation::Representation
      
          property :outdoor, as: 'outdoor', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesOutdoor, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesOutdoor::Representation
      
          property :shopping, as: 'shopping', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesShopping, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesShopping::Representation
      
          property :text, as: 'text', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesText, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesText::Representation
      
          property :translate, as: 'translate', class: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesTranslate, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLensPerceptionCapabilitiesLensCapabilitiesTranslate::Representation
      
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesDining
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesEducation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesOutdoor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesShopping
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesText
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_text_to_speech_supported, as: 'isTextToSpeechSupported'
        end
      end
      
      class AssistantApiLensPerceptionCapabilitiesLensCapabilitiesTranslate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :supported_language_tags, as: 'supportedLanguageTags'
        end
      end
      
      class AssistantApiLiveTvChannelCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :channels_by_provider, as: 'channelsByProvider', class: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilitiesChannelsByProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilitiesChannelsByProvider::Representation
      
        end
      end
      
      class AssistantApiLiveTvChannelCapabilitiesChannelsByProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :channels, as: 'channels', class: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilitiesLiveTvChannel, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilitiesLiveTvChannel::Representation
      
          property :input_id, as: 'inputId'
          property :provider_type, as: 'providerType'
        end
      end
      
      class AssistantApiLiveTvChannelCapabilitiesLiveTvChannel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :channel_id, as: 'channelId'
          collection :channel_name, as: 'channelName'
          property :channel_number, as: 'channelNumber'
          property :deeplink, as: 'deeplink'
          property :mid, as: 'mid'
          property :network_mid, as: 'networkMid'
        end
      end
      
      class AssistantApiLiveTvProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :provider_info, as: 'providerInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider::Representation
      
          property :provider_key, as: 'providerKey'
          property :provider_type, as: 'providerType'
        end
      end
      
      class AssistantApiLocationCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gps_available, as: 'gpsAvailable'
        end
      end
      
      class AssistantApiLoggingOnlyData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :acp_version, as: 'acpVersion'
          property :app_version, as: 'appVersion'
          property :assistant_settings_source, as: 'assistantSettingsSource'
          property :board_name, as: 'boardName'
          property :board_revision, as: 'boardRevision'
          property :cast_assistant_setting_linking_result, as: 'castAssistantSettingLinkingResult', class: Google::Apis::ContentwarehouseV1::AssistantApiCastAssistantSettingLinkingResult, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCastAssistantSettingLinkingResult::Representation
      
          property :device_model, as: 'deviceModel'
          property :embedder_build_info, as: 'embedderBuildInfo'
          property :initial_app_version, as: 'initialAppVersion'
          property :mdns_display_name, as: 'mdnsDisplayName'
          property :platform_build, as: 'platformBuild'
          property :virtual_release_channel, as: 'virtualReleaseChannel'
        end
      end
      
      class AssistantApiMediaControlSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :skip_confirmations_while_playing, as: 'skipConfirmationsWhilePlaying'
        end
      end
      
      class AssistantApiMessageCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fallback_to_tethered_device_app_capabilities, as: 'fallbackToTetheredDeviceAppCapabilities'
          collection :supported_recipient_types, as: 'supportedRecipientTypes'
        end
      end
      
      class AssistantApiMovementCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mobility, as: 'mobility'
        end
      end
      
      class AssistantApiNotificationOutputRestrictions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :opt_out_state, as: 'optOutState', class: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutState, decorator: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutState::Representation
      
        end
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :category_group_state, as: 'categoryGroupState', class: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutStateCategoryGroupState, decorator: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutStateCategoryGroupState::Representation
      
          collection :category_state, as: 'categoryState', class: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutStateCategoryState, decorator: Google::Apis::ContentwarehouseV1::AssistantApiNotificationOutputRestrictionsOptOutStateCategoryState::Representation
      
        end
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutStateCategoryGroupState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_group, as: 'categoryGroup'
          property :state, as: 'state'
        end
      end
      
      class AssistantApiNotificationOutputRestrictionsOptOutStateCategoryState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :state, as: 'state'
        end
      end
      
      class AssistantApiOemCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_capability, as: 'cloudCapability', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudCapability::Representation
      
          hash :cloud_device_capabilities, as: 'cloudDeviceCapabilities'
          property :device_model_id, as: 'deviceModelId'
          property :device_model_revision_id, :numeric_string => true, as: 'deviceModelRevisionId'
          property :device_specific_data, as: 'deviceSpecificData'
          property :internal_capability, as: 'internalCapability', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInternalCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInternalCapability::Representation
      
          property :third_party_action_config, as: 'thirdPartyActionConfig', class: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyActionConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyActionConfig::Representation
      
        end
      end
      
      class AssistantApiOnDeviceAssistantCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_local_network_arbitration_supported, as: 'isLocalNetworkArbitrationSupported'
          property :is_on_device_arbitration_supported, as: 'isOnDeviceArbitrationSupported'
          property :is_on_device_assistant_supported, as: 'isOnDeviceAssistantSupported'
          property :is_on_device_understanding_supported, as: 'isOnDeviceUnderstandingSupported'
        end
      end
      
      class AssistantApiOnDeviceSmartHomeCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_on_device_smart_home_supported, as: 'isOnDeviceSmartHomeSupported'
        end
      end
      
      class AssistantApiOnDeviceStorageCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_supported, as: 'isSupported'
        end
      end
      
      class AssistantApiOutputRestrictions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_control_output, as: 'accessControlOutput', class: Google::Apis::ContentwarehouseV1::AssistantApiAccessControlOutput, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAccessControlOutput::Representation
      
          property :google_photo_content, as: 'googlePhotoContent'
          property :guest_access_output, as: 'guestAccessOutput', class: Google::Apis::ContentwarehouseV1::AssistantApiGuestAccessOutput, decorator: Google::Apis::ContentwarehouseV1::AssistantApiGuestAccessOutput::Representation
      
          property :personal_data, as: 'personalData'
          property :proactive_notification_output, as: 'proactiveNotificationOutput'
          property :proactive_output, as: 'proactiveOutput', class: Google::Apis::ContentwarehouseV1::AssistantApiProactiveOutput, decorator: Google::Apis::ContentwarehouseV1::AssistantApiProactiveOutput::Representation
      
          property :youtube_autoplay_restriction, as: 'youtubeAutoplayRestriction'
          property :youtube_content, as: 'youtubeContent'
          property :youtube_tv_content, as: 'youtubeTvContent'
        end
      end
      
      class AssistantApiProactiveOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_all_personal_data, as: 'allowAllPersonalData'
          property :android_tv_assistant_settings_source, as: 'androidTvAssistantSettingsSource'
          property :health_and_fitness_proactive, as: 'healthAndFitnessProactive'
          property :photos_proactive, as: 'photosProactive'
          property :supports_proactive_output, as: 'supportsProactiveOutput'
          property :user_match_proactive, as: 'userMatchProactive'
        end
      end
      
      class AssistantApiProtobuf
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :protobuf_data, :base64 => true, as: 'protobufData'
          property :protobuf_type, as: 'protobufType'
        end
      end
      
      class AssistantApiRecurrence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin', class: Google::Apis::ContentwarehouseV1::AssistantApiDate, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDate::Representation
      
          collection :blacklisted_ranges, as: 'blacklistedRanges', class: Google::Apis::ContentwarehouseV1::AssistantApiRecurrenceDatetimeRange, decorator: Google::Apis::ContentwarehouseV1::AssistantApiRecurrenceDatetimeRange::Representation
      
          collection :day_of_month, as: 'dayOfMonth'
          collection :day_of_week, as: 'dayOfWeek'
          property :end, as: 'end', class: Google::Apis::ContentwarehouseV1::AssistantApiDate, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDate::Representation
      
          property :every, as: 'every'
          collection :month_of_year, as: 'monthOfYear'
          property :num_occurrences, as: 'numOccurrences'
          collection :week_of_month, as: 'weekOfMonth'
        end
      end
      
      class AssistantApiRecurrenceDatetimeRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_date, as: 'endDate', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :start_date, as: 'startDate', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
        end
      end
      
      class AssistantApiScreenCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :input_type, as: 'inputType'
          property :mask, as: 'mask', class: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesMask, decorator: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesMask::Representation
      
          property :proto_layout_targeted_schema, as: 'protoLayoutTargetedSchema', class: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesProtoLayoutVersion, decorator: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesProtoLayoutVersion::Representation
      
          property :resolution, as: 'resolution', class: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesResolution, decorator: Google::Apis::ContentwarehouseV1::AssistantApiScreenCapabilitiesResolution::Representation
      
          property :screen_off, as: 'screenOff'
          property :screen_state_detection, as: 'screenStateDetection'
          property :supported_rendering_format, as: 'supportedRenderingFormat'
          collection :supported_screen_states, as: 'supportedScreenStates'
          property :vision_help_enabled, as: 'visionHelpEnabled'
        end
      end
      
      class AssistantApiScreenCapabilitiesMask
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AssistantApiScreenCapabilitiesProtoLayoutVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :major, as: 'major'
          property :minor, as: 'minor'
        end
      end
      
      class AssistantApiScreenCapabilitiesResolution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dpi, as: 'dpi'
          property :height_px, as: 'heightPx'
          property :m_size, as: 'mSize'
          property :neng_size, as: 'nengSize'
          property :width_px, as: 'widthPx'
        end
      end
      
      class AssistantApiSelinaCapabilites
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gesture_capabilities, as: 'gestureCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiGestureCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiGestureCapabilities::Representation
      
          property :selina_supported, as: 'selinaSupported'
          property :sleep_sensing_supported, as: 'sleepSensingSupported'
        end
      end
      
      class AssistantApiSettingsAmbientSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :any_user_has_set_personal_photos, as: 'anyUserHasSetPersonalPhotos'
          property :recent_highlights_enabled, as: 'recentHighlightsEnabled'
          property :show_personal_photo_data, as: 'showPersonalPhotoData'
          property :show_personal_photos, as: 'showPersonalPhotos'
        end
      end
      
      class AssistantApiSettingsAppCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :car_settings_capabilities, as: 'carSettingsCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCarSettingsCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCarSettingsCapabilities::Representation
      
          property :reissue_query_after_music_setup, as: 'reissueQueryAfterMusicSetup'
          property :supports_payments_settings_update, as: 'supportsPaymentsSettingsUpdate'
        end
      end
      
      class AssistantApiSettingsAutoFramingSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_auto_framing_enabled, as: 'isAutoFramingEnabled'
        end
      end
      
      class AssistantApiSettingsCarrierCallDeviceSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_incoming_calls, as: 'allowIncomingCalls'
        end
      end
      
      class AssistantApiSettingsCommunicationsFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSettingsDeviceDowntimeSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :schedules, as: 'schedules', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsLabeledDowntimeSchedule, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsLabeledDowntimeSchedule::Representation
      
          collection :targets, as: 'targets'
        end
      end
      
      class AssistantApiSettingsDeviceFeatureFilters
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
          property :feature_filters, as: 'featureFilters', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsFeatureFilters, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsFeatureFilters::Representation
      
          collection :targets, as: 'targets'
        end
      end
      
      class AssistantApiSettingsDeviceLogsOptIn
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :opt_in_enabled, as: 'optInEnabled'
        end
      end
      
      class AssistantApiSettingsDeviceSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ack_status, as: 'ackStatus'
          property :address, as: 'address'
          collection :alias_name, as: 'aliasName'
          property :allow_incoming_calls, as: 'allowIncomingCalls'
          property :ambient_settings, as: 'ambientSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAmbientSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAmbientSettings::Representation
      
          property :ancillary_device_id, as: 'ancillaryDeviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsInternalAncillaryDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsInternalAncillaryDeviceId::Representation
      
          property :auto_framing_settings, as: 'autoFramingSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAutoFramingSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAutoFramingSettings::Representation
      
          property :blue_steel_enabled, as: 'blueSteelEnabled'
          property :capabilities, as: 'capabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiDeviceCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDeviceCapabilities::Representation
      
          property :city, as: 'city'
          property :colocation_status, as: 'colocationStatus'
          property :creation_timestamp_ms, :numeric_string => true, as: 'creationTimestampMs'
          property :cross_surface_availability, as: 'crossSurfaceAvailability', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSettingsCrossSurfaceAvailability, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSettingsCrossSurfaceAvailability::Representation
      
          property :default_audio_device_id, as: 'defaultAudioDeviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :default_video_device_id, as: 'defaultVideoDeviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :device_brand, as: 'deviceBrand'
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :device_model_id, as: 'deviceModelId'
          property :device_model_revision, as: 'deviceModelRevision'
          property :dusi, as: 'dusi'
          collection :face_enrollment_errors, as: 'faceEnrollmentErrors'
          property :face_enrollment_status, as: 'faceEnrollmentStatus'
          property :face_match_enabled, as: 'faceMatchEnabled'
          property :fl_audio_cache_enabled, as: 'flAudioCacheEnabled'
          property :fl_visual_frames_cache_enabled, as: 'flVisualFramesCacheEnabled'
          property :gcm_settings, as: 'gcmSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsGcmSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsGcmSettings::Representation
      
          property :home_graph_data, as: 'homeGraphData', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHomeGraphData, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHomeGraphData::Representation
      
          property :home_graph_id, as: 'homeGraphId'
          property :hospitality_mode_status, as: 'hospitalityModeStatus', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityMode, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityMode::Representation
      
          property :hotword_sensitivity, as: 'hotwordSensitivity'
          property :hotword_threshold_adjustment_factor, as: 'hotwordThresholdAdjustmentFactor', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHotwordThresholdAdjustmentFactor, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHotwordThresholdAdjustmentFactor::Representation
      
          property :human_friendly_name, as: 'humanFriendlyName'
          property :internal_version, as: 'internalVersion', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsInternalVersion, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsInternalVersion::Representation
      
          property :is_cloud_sync_device, as: 'isCloudSyncDevice'
          property :is_device_activation_cache_enabled, as: 'isDeviceActivationCacheEnabled'
          property :kids_mode, as: 'kidsMode', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsKidsMode, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsKidsMode::Representation
      
          property :last_cast_registration_timestamp, as: 'lastCastRegistrationTimestamp'
          property :last_used_coarse_timestamp, as: 'lastUsedCoarseTimestamp'
          collection :linked_device_id, as: 'linkedDeviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          collection :linked_users, as: 'linkedUsers', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsLinkedUser, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsLinkedUser::Representation
      
          property :locale, as: 'locale'
          property :location_coordinates, as: 'locationCoordinates', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesLocationCoordinates, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesLocationCoordinates::Representation
      
          property :location_feature, as: 'locationFeature', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureProto::Representation
      
          property :marketplace_disclosure, as: 'marketplaceDisclosure', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMarketplaceDisclosure, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMarketplaceDisclosure::Representation
      
          property :masquerade_mode, as: 'masqueradeMode', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMasqueradeMode, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMasqueradeMode::Representation
      
          property :notification_profile, as: 'notificationProfile', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNotificationProfile, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNotificationProfile::Representation
      
          property :oauth_client_id, as: 'oauthClientId'
          property :on_device_app_settings, as: 'onDeviceAppSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsOnDeviceAppSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsOnDeviceAppSettings::Representation
      
          property :opt_in_status, as: 'optInStatus', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceLogsOptIn, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceLogsOptIn::Representation
      
          property :payments_enabled, as: 'paymentsEnabled'
          property :personalization_metadata, as: 'personalizationMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPersonalizationMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPersonalizationMetadata::Representation
      
          property :polite_mode, as: 'politeMode', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPoliteMode, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPoliteMode::Representation
      
          property :postal_code, as: 'postalCode'
          property :reauth_trusted_device_settings, as: 'reauthTrustedDeviceSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsReauthTrustedDeviceSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsReauthTrustedDeviceSettings::Representation
      
          property :shortened_address, as: 'shortenedAddress'
          property :speaker_id_enabled, as: 'speakerIdEnabled'
          property :speech_output_settings, as: 'speechOutputSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSpeechOutputSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSpeechOutputSettings::Representation
      
          property :speech_settings, as: 'speechSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSpeechSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSpeechSettings::Representation
      
          property :supervision_settings, as: 'supervisionSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSupervisionSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSupervisionSettings::Representation
      
          property :surface_type, as: 'surfaceType', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceType, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesSurfaceType::Representation
      
          property :tethered_info, as: 'tetheredInfo', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsTetheredInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsTetheredInfo::Representation
      
          property :time_zone, as: 'timeZone', class: Google::Apis::ContentwarehouseV1::AssistantApiTimeZone, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimeZone::Representation
      
          property :truncated_local_network_id, as: 'truncatedLocalNetworkId'
          property :trusted_voice_enabled, as: 'trustedVoiceEnabled'
          property :type, as: 'type'
          property :verbose_tts_for_chromecast_enabled, as: 'verboseTtsForChromecastEnabled'
          property :vm_last_used_coarse_timestamp, as: 'vmLastUsedCoarseTimestamp'
          property :voice_enrollment_status, as: 'voiceEnrollmentStatus'
          property :voice_input_enabled, as: 'voiceInputEnabled'
        end
      end
      
      class AssistantApiSettingsDeviceSettingsCrossSurfaceAvailability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_known_client_locale, as: 'lastKnownClientLocale'
          property :last_params_write_timestamp, as: 'lastParamsWriteTimestamp'
        end
      end
      
      class AssistantApiSettingsDeviceSupervisionSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :downtime_settings, as: 'downtimeSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceDowntimeSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceDowntimeSettings::Representation
      
          property :feature_filters, as: 'featureFilters', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceFeatureFilters, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceFeatureFilters::Representation
      
        end
      end
      
      class AssistantApiSettingsDowntimePeriod
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
          property :end_time, as: 'endTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay::Representation
      
          property :start_day, as: 'startDay'
          property :start_time, as: 'startTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay::Representation
      
        end
      end
      
      class AssistantApiSettingsDowntimeSchedule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
          collection :periods, as: 'periods', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDowntimePeriod, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDowntimePeriod::Representation
      
        end
      end
      
      class AssistantApiSettingsDuoCallDeviceSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_knock_knock, as: 'allowKnockKnock'
          property :should_be_linked, as: 'shouldBeLinked'
          property :state, as: 'state'
          property :talkback_enabled, as: 'talkbackEnabled'
        end
      end
      
      class AssistantApiSettingsFeatureFilters
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :communications_filter, as: 'communicationsFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsCommunicationsFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsCommunicationsFilter::Representation
      
          property :music_filter, as: 'musicFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMusicFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsMusicFilter::Representation
      
          property :news_filter, as: 'newsFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNewsFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNewsFilter::Representation
      
          property :podcast_filter, as: 'podcastFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPodcastFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsPodcastFilter::Representation
      
          property :search_filter, as: 'searchFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSearchFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsSearchFilter::Representation
      
          property :third_party_apps_filter, as: 'thirdPartyAppsFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsThirdPartyAppsFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsThirdPartyAppsFilter::Representation
      
          property :video_filter, as: 'videoFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsVideoFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsVideoFilter::Representation
      
          property :webview_filter, as: 'webviewFilter', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsWebviewFilter, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsWebviewFilter::Representation
      
        end
      end
      
      class AssistantApiSettingsGcmSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gcm_id, as: 'gcmId'
          property :gcm_package, as: 'gcmPackage'
        end
      end
      
      class AssistantApiSettingsHomeGraphData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent_id, as: 'agentId'
          hash :attributes, as: 'attributes'
          property :device_id, as: 'deviceId'
          property :device_type, as: 'deviceType'
          property :should_write_to_home_graph, as: 'shouldWriteToHomeGraph'
          collection :supported_traits, as: 'supportedTraits'
          property :supports_direct_response, as: 'supportsDirectResponse'
        end
      end
      
      class AssistantApiSettingsHospitalityCardSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :card_config, as: 'cardConfig', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettingsCardConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettingsCardConfig::Representation
      
          property :show_media_tap_gesture_tutorial, as: 'showMediaTapGestureTutorial'
          property :show_photo_swipe_gesture_tutorial, as: 'showPhotoSwipeGestureTutorial'
          collection :youtube_card_config, as: 'youtubeCardConfig', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettingsYouTubeCardConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettingsYouTubeCardConfig::Representation
      
        end
      end
      
      class AssistantApiSettingsHospitalityCardSettingsCardConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :active_action_required, as: 'activeActionRequired'
          property :dismissable, as: 'dismissable'
          property :effective_time, as: 'effectiveTime', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :expiry_time, as: 'expiryTime', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :image_url, as: 'imageUrl'
          property :module_id, as: 'moduleId'
          property :payload_query, as: 'payloadQuery'
          property :title, as: 'title'
        end
      end
      
      class AssistantApiSettingsHospitalityCardSettingsYouTubeCardConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_url, as: 'imageUrl'
          property :playlist_id, as: 'playlistId'
          property :text, as: 'text'
        end
      end
      
      class AssistantApiSettingsHospitalityMode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :aog_context_id, as: 'aogContextId'
          property :aog_invocation_phrase, as: 'aogInvocationPhrase'
          property :branding, as: 'branding', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityModeBranding, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityModeBranding::Representation
      
          property :card_settings, as: 'cardSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsHospitalityCardSettings::Representation
      
          property :device_clear_request, as: 'deviceClearRequest', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :dialog_ttl_override_micros, :numeric_string => true, as: 'dialogTtlOverrideMicros'
          property :enterprise_id, as: 'enterpriseId'
          property :hospitality_mode_enabled, as: 'hospitalityModeEnabled'
          property :last_device_clear, as: 'lastDeviceClear', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :last_modified_timestamp, as: 'lastModifiedTimestamp', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :last_welcomed, as: 'lastWelcomed', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :manual_reset_required, as: 'manualResetRequired'
          collection :promoted_languages, as: 'promotedLanguages'
          property :type, as: 'type'
          property :verbal_reset_supported, as: 'verbalResetSupported'
          property :welcome_request, as: 'welcomeRequest', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
        end
      end
      
      class AssistantApiSettingsHospitalityModeBranding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          hash :display_name_for_language, as: 'displayNameForLanguage'
          property :large_logo_url, as: 'largeLogoUrl'
          property :small_logo_url, as: 'smallLogoUrl'
        end
      end
      
      class AssistantApiSettingsHotwordThresholdAdjustmentFactor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_valid, as: 'isValid'
          property :value, as: 'value'
        end
      end
      
      class AssistantApiSettingsInternalAncillaryDeviceId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
        end
      end
      
      class AssistantApiSettingsInternalVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :generation_time, as: 'generationTime'
          property :id, :numeric_string => true, as: 'id'
        end
      end
      
      class AssistantApiSettingsKidsMode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :kids_mode_enabled, as: 'kidsModeEnabled'
          property :obfuscated_gaia_id, as: 'obfuscatedGaiaId'
        end
      end
      
      class AssistantApiSettingsLabeledDowntimeSchedule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :schedule, as: 'schedule', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDowntimeSchedule, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDowntimeSchedule::Representation
      
        end
      end
      
      class AssistantApiSettingsLinkedUser
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cast_linking_time, as: 'castLinkingTime'
          property :email, as: 'email'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          collection :names, as: 'names', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiName, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiName::Representation
      
        end
      end
      
      class AssistantApiSettingsMarketplaceDisclosure
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confirmed, as: 'confirmed'
          property :timestamp_ms, :numeric_string => true, as: 'timestampMs'
        end
      end
      
      class AssistantApiSettingsMasqueradeMode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_enter_guest_mode_timestamp, as: 'lastEnterGuestModeTimestamp', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :last_exit_guest_mode_timestamp, as: 'lastExitGuestModeTimestamp', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :masquerade_mode_enabled, as: 'masqueradeModeEnabled'
        end
      end
      
      class AssistantApiSettingsMusicFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :available_providers, as: 'availableProviders'
          property :provider_filter_state, as: 'providerFilterState'
          property :state, as: 'state'
          collection :whitelisted_providers, as: 'whitelistedProviders'
        end
      end
      
      class AssistantApiSettingsNewsFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSettingsNotificationProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allo_notification_profile, as: 'alloNotificationProfile', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNotificationProfileAlloNotificationProfile, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsNotificationProfileAlloNotificationProfile::Representation
      
        end
      end
      
      class AssistantApiSettingsNotificationProfileAlloNotificationProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bot_send_token, as: 'botSendToken', class: Google::Apis::ContentwarehouseV1::ChatBotPlatformBotSendToken, decorator: Google::Apis::ContentwarehouseV1::ChatBotPlatformBotSendToken::Representation
      
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::ChatBotPlatformFireballId, decorator: Google::Apis::ContentwarehouseV1::ChatBotPlatformFireballId::Representation
      
        end
      end
      
      class AssistantApiSettingsOnDeviceAppSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :carrier_call_device_settings, as: 'carrierCallDeviceSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsCarrierCallDeviceSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsCarrierCallDeviceSettings::Representation
      
          property :duo_call_device_settings, as: 'duoCallDeviceSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDuoCallDeviceSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDuoCallDeviceSettings::Representation
      
        end
      end
      
      class AssistantApiSettingsPersonalizationMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :face_match, as: 'faceMatch'
          property :personal_results, as: 'personalResults'
          property :voice_match, as: 'voiceMatch'
        end
      end
      
      class AssistantApiSettingsPodcastFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSettingsPoliteMode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :polite_mode_enabled, as: 'politeModeEnabled'
        end
      end
      
      class AssistantApiSettingsReauthTrustedDeviceSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :trust_settings_for_client, as: 'trustSettingsForClient', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsReauthTrustedDeviceSettingsTrustSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsReauthTrustedDeviceSettingsTrustSettings::Representation
      
        end
      end
      
      class AssistantApiSettingsReauthTrustedDeviceSettingsTrustSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :never_ask_again, as: 'neverAskAgain'
          property :never_ask_expiration_timestamp, as: 'neverAskExpirationTimestamp'
          property :trust_device_expiration_timestamp, as: 'trustDeviceExpirationTimestamp'
        end
      end
      
      class AssistantApiSettingsSearchFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSettingsSpeechOutputSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :speech_output, as: 'speechOutput'
        end
      end
      
      class AssistantApiSettingsSpeechSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :continued_conversation_enabled, as: 'continuedConversationEnabled'
          property :device_model_type, as: 'deviceModelType'
          property :dsp_available, as: 'dspAvailable'
          property :hotword_in_navigation_enabled, as: 'hotwordInNavigationEnabled'
          property :hotword_setting, as: 'hotwordSetting'
          property :lockscreen_enabled, as: 'lockscreenEnabled'
          property :opa_eligibility_state, as: 'opaEligibilityState'
          property :opa_eligible, as: 'opaEligible'
          property :sdk_version, as: 'sdkVersion'
          property :speaker_id_model_present, as: 'speakerIdModelPresent'
          property :speaker_id_recognition_enabled, as: 'speakerIdRecognitionEnabled'
          property :trusted_voice_enabled, as: 'trustedVoiceEnabled'
          property :unlock_with_hotword_available, as: 'unlockWithHotwordAvailable'
          property :user_migrated_to_declined, as: 'userMigratedToDeclined'
          property :voice_match_setting, as: 'voiceMatchSetting'
        end
      end
      
      class AssistantApiSettingsTetheredInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :primary_host_device_id, as: 'primaryHostDeviceId'
        end
      end
      
      class AssistantApiSettingsThirdPartyAppsFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSettingsVideoFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :autoplay_toggle_state, as: 'autoplayToggleState'
          collection :available_providers, as: 'availableProviders'
          property :provider_filter_state, as: 'providerFilterState'
          property :state, as: 'state'
          collection :whitelisted_providers, as: 'whitelistedProviders'
        end
      end
      
      class AssistantApiSettingsWebviewFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :jasper_webview_consent, as: 'jasperWebviewConsent'
          property :state, as: 'state'
        end
      end
      
      class AssistantApiSignInMethod
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :method_prop, as: 'method'
          property :sign_in_required, as: 'signInRequired'
        end
      end
      
      class AssistantApiSodaCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :supports_hotword_sensitivity, as: 'supportsHotwordSensitivity'
          property :supports_simple_stop, as: 'supportsSimpleStop'
          property :supports_speaker_id, as: 'supportsSpeakerId'
          property :supports_warm_words, as: 'supportsWarmWords'
        end
      end
      
      class AssistantApiSoftwareCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :app_capabilities, as: 'appCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiAppCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppCapabilities::Representation
      
          collection :app_capabilities_delta, as: 'appCapabilitiesDelta', class: Google::Apis::ContentwarehouseV1::AssistantApiAppCapabilitiesDelta, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppCapabilitiesDelta::Representation
      
          hash :app_integrations_settings, as: 'appIntegrationsSettings', class: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppIntegrationsSettings::Representation
      
          property :car_assistant_capabilities, as: 'carAssistantCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCarAssistantCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCarAssistantCapabilities::Representation
      
          property :clock_capabilities, as: 'clockCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiClockCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiClockCapabilities::Representation
      
          property :conversation_version, as: 'conversationVersion', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedConversationVersion, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedConversationVersion::Representation
      
          property :cross_device_execution_capabilities, as: 'crossDeviceExecutionCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiCrossDeviceExecutionCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCrossDeviceExecutionCapability::Representation
      
          property :gacs_capabilities, as: 'gacsCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiGacsCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiGacsCapabilities::Representation
      
          property :gcm_capabilities, as: 'gcmCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiGcmCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiGcmCapabilities::Representation
      
          property :live_tv_channel_capabilities, as: 'liveTvChannelCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvChannelCapabilities::Representation
      
          property :oem_capabilities, as: 'oemCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiOemCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiOemCapabilities::Representation
      
          property :on_device_assistant_capabilities, as: 'onDeviceAssistantCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceAssistantCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceAssistantCapabilities::Representation
      
          property :on_device_smart_home_capabilities, as: 'onDeviceSmartHomeCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceSmartHomeCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceSmartHomeCapabilities::Representation
      
          property :on_device_storage_capabilities, as: 'onDeviceStorageCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceStorageCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiOnDeviceStorageCapabilities::Representation
      
          property :operating_system, as: 'operatingSystem'
          collection :ordered_live_tv_providers, as: 'orderedLiveTvProviders', class: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiLiveTvProvider::Representation
      
          property :selina_capabilities, as: 'selinaCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiSelinaCapabilites, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSelinaCapabilites::Representation
      
          property :settings_app_capabilities, as: 'settingsAppCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAppCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsAppCapabilities::Representation
      
          collection :supported_client_op, as: 'supportedClientOp', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedClientOp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedClientOp::Representation
      
          property :supported_features, as: 'supportedFeatures', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedFeatures, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedFeatures::Representation
      
          property :supported_msg_version, as: 'supportedMsgVersion', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProtocolVersion, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProtocolVersion::Representation
      
          property :supported_provider_types, as: 'supportedProviderTypes', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProviderTypes, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProviderTypes::Representation
      
          property :surface_properties, as: 'surfaceProperties', class: Google::Apis::ContentwarehouseV1::AssistantApiSurfaceProperties, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSurfaceProperties::Representation
      
        end
      end
      
      class AssistantApiSpeechCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dsp_available, as: 'dspAvailable'
          property :unlock_with_hotword_available, as: 'unlockWithHotwordAvailable'
        end
      end
      
      class AssistantApiSuggestionsSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :click_impersonation_supported, as: 'clickImpersonationSupported'
          property :colored_chip_background_border_supported, as: 'coloredChipBackgroundBorderSupported'
          property :colored_chip_text_supported, as: 'coloredChipTextSupported'
          property :debug_data_supported, as: 'debugDataSupported'
          property :drl_history_chip_supported, as: 'drlHistoryChipSupported'
          property :escape_hatch_supported, as: 'escapeHatchSupported'
          property :executed_text_supported, as: 'executedTextSupported'
          property :execution_context_supported, as: 'executionContextSupported'
          property :feature_specific_action_support, as: 'featureSpecificActionSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiFeatureSpecificActionSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiFeatureSpecificActionSupport::Representation
      
          property :feature_specific_app_actions_notification_supported, as: 'featureSpecificAppActionsNotificationSupported'
          property :rule_id_in_execution_context_supported, as: 'ruleIdInExecutionContextSupported'
          property :show_executed_text_supported, as: 'showExecutedTextSupported'
          property :show_translation_supported, as: 'showTranslationSupported'
          collection :supported_display_targets, as: 'supportedDisplayTargets', class: Google::Apis::ContentwarehouseV1::AssistantApiSuggestionsSupportDisplayTargetSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSuggestionsSupportDisplayTargetSupport::Representation
      
          property :widget_data_supported, as: 'widgetDataSupported'
        end
      end
      
      class AssistantApiSuggestionsSupportDisplayTargetSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :executed_text_supported, as: 'executedTextSupported'
          property :header_text_supported, as: 'headerTextSupported'
          property :repress_impression_supported, as: 'repressImpressionSupported'
          property :target, as: 'target'
        end
      end
      
      class AssistantApiSunriseFeaturesSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :sunrise_simulation_supported, as: 'sunriseSimulationSupported'
        end
      end
      
      class AssistantApiSupportedClientOp
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_op_name, as: 'clientOpName'
          property :client_op_properties, as: 'clientOpProperties', class: Google::Apis::ContentwarehouseV1::AssistantApiProtobuf, decorator: Google::Apis::ContentwarehouseV1::AssistantApiProtobuf::Representation
      
          property :supported_execution, as: 'supportedExecution', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedClientOpSupportedExecution, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedClientOpSupportedExecution::Representation
      
          property :version, as: 'version'
        end
      end
      
      class AssistantApiSupportedClientOpSupportedExecution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :supports_synchronous_execution, as: 'supportsSynchronousExecution'
        end
      end
      
      class AssistantApiSupportedConversationVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :supports_conversation_protocol, as: 'supportsConversationProtocol'
          property :version, as: 'version'
        end
      end
      
      class AssistantApiSupportedFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aae_notification_source_supported, as: 'aaeNotificationSourceSupported'
          property :acp_support, as: 'acpSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiAssistantContinuedPresenceSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAssistantContinuedPresenceSupport::Representation
      
          property :action_v2_supported_features, as: 'actionV2SupportedFeatures', class: Google::Apis::ContentwarehouseV1::AssistantApiActionV2SupportedFeatures, decorator: Google::Apis::ContentwarehouseV1::AssistantApiActionV2SupportedFeatures::Representation
      
          property :alarm_timer_manager_api_supported, as: 'alarmTimerManagerApiSupported'
          property :app_control_support, as: 'appControlSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiAppControlSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiAppControlSupport::Representation
      
          property :assistant_explore_supported, as: 'assistantExploreSupported'
          property :assistant_for_kids_supported, as: 'assistantForKidsSupported'
          property :bypass_di_dc_check_for_comms, as: 'bypassDiDcCheckForComms'
          property :bypass_msg_notification_dismissal, as: 'bypassMsgNotificationDismissal'
          property :client1m_providers_supported, as: 'client1mProvidersSupported'
          property :client_op_result_batching_supported, as: 'clientOpResultBatchingSupported'
          property :cross_device_broadcast_supported, as: 'crossDeviceBroadcastSupported'
          property :cross_device_broadcast_version, as: 'crossDeviceBroadcastVersion'
          property :csat_visual_overlay_supported, as: 'csatVisualOverlaySupported'
          property :duo_client_api_features, :base64 => true, as: 'duoClientApiFeatures'
          property :duo_group_calling_supported, as: 'duoGroupCallingSupported'
          property :fitness_feature_support, as: 'fitnessFeatureSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiFitnessFeatureSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiFitnessFeatureSupport::Representation
      
          property :fluid_actions_support, as: 'fluidActionsSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiFluidActionsSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiFluidActionsSupport::Representation
      
          property :funtime_supported, as: 'funtimeSupported'
          property :gdi_supported, as: 'gdiSupported'
          property :gearhead_notification_source_supported, as: 'gearheadNotificationSourceSupported'
          property :has_physical_radio, as: 'hasPhysicalRadio'
          property :immersive_canvas_confirmation_message_supported, as: 'immersiveCanvasConfirmationMessageSupported'
          property :immersive_canvas_support, as: 'immersiveCanvasSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiImmersiveCanvasSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiImmersiveCanvasSupport::Representation
      
          property :in_dialog_account_linking_supported, as: 'inDialogAccountLinkingSupported'
          property :is_paired_phone_contact_upload_needed_for_comms, as: 'isPairedPhoneContactUploadNeededForComms'
          property :is_paired_phone_needed_for_comms, as: 'isPairedPhoneNeededForComms'
          property :launch_keyboard_supported, as: 'launchKeyboardSupported'
          property :lens_supported, as: 'lensSupported'
          property :live_cards_supported, as: 'liveCardsSupported'
          property :maps_dialogs_supported, as: 'mapsDialogsSupported'
          property :masquerade_mode_supported, as: 'masqueradeModeSupported'
          property :media_control_support, as: 'mediaControlSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiMediaControlSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiMediaControlSupport::Representation
      
          property :media_session_detection, as: 'mediaSessionDetection'
          property :meet_supported, as: 'meetSupported'
          property :no_input_response_supported, as: 'noInputResponseSupported'
          property :opa_on_search_supported, as: 'opaOnSearchSupported'
          property :parental_controls_supported, as: 'parentalControlsSupported'
          property :persistent_display_supported, as: 'persistentDisplaySupported'
          property :privacy_aware_lockscreen_supported, as: 'privacyAwareLockscreenSupported'
          property :remote_cloud_casting_enabled, as: 'remoteCloudCastingEnabled'
          property :server_generated_feedback_chips_enabled, as: 'serverGeneratedFeedbackChipsEnabled'
          property :sh_lock_screen_supported, as: 'shLockScreenSupported'
          property :sign_in_method, as: 'signInMethod', class: Google::Apis::ContentwarehouseV1::AssistantApiSignInMethod, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSignInMethod::Representation
      
          property :sleep_sensing_supported, as: 'sleepSensingSupported'
          property :smartspace_cross_device_timer_supported, as: 'smartspaceCrossDeviceTimerSupported'
          property :soli_gesture_detection_supported, as: 'soliGestureDetectionSupported'
          property :suggestions_support, as: 'suggestionsSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiSuggestionsSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSuggestionsSupport::Representation
      
          property :sunrise_features_support, as: 'sunriseFeaturesSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiSunriseFeaturesSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSunriseFeaturesSupport::Representation
      
          property :tap_to_read_optimization_supported, as: 'tapToReadOptimizationSupported'
          property :third_party_gui_supported, as: 'thirdPartyGuiSupported'
          property :transaction_features_support, as: 'transactionFeaturesSupport', class: Google::Apis::ContentwarehouseV1::AssistantApiTransactionFeaturesSupport, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTransactionFeaturesSupport::Representation
      
          property :transactions_version, as: 'transactionsVersion'
          property :uses_separate_full_viewer, as: 'usesSeparateFullViewer'
          property :view_reminder_hub_page_not_supported, as: 'viewReminderHubPageNotSupported'
          property :warm_welcome_tutorial_supported, as: 'warmWelcomeTutorialSupported'
          property :web_browser_supported, as: 'webBrowserSupported'
          property :whats_next_supported, as: 'whatsNextSupported'
          property :zoom_supported, as: 'zoomSupported'
        end
      end
      
      class AssistantApiSupportedProtocolVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :message_version, as: 'messageVersion', class: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProtocolVersionMessageVersionPair, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSupportedProtocolVersionMessageVersionPair::Representation
      
        end
      end
      
      class AssistantApiSupportedProtocolVersionMessageVersionPair
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :message_name, as: 'messageName'
          property :version, as: 'version'
        end
      end
      
      class AssistantApiSupportedProviderTypes
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :supported_types, as: 'supportedTypes'
        end
      end
      
      class AssistantApiSurfaceProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :execution_capabilities, as: 'executionCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantApiSurfacePropertiesExecutionCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSurfacePropertiesExecutionCapabilities::Representation
      
          property :response_display_format, as: 'responseDisplayFormat'
          property :supports_multi_response, as: 'supportsMultiResponse'
        end
      end
      
      class AssistantApiSurfacePropertiesExecutionCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :supports_client_op_preloading, as: 'supportsClientOpPreloading'
          property :supports_non_finalized_responses, as: 'supportsNonFinalizedResponses'
          property :supports_non_materialized_interactions, as: 'supportsNonMaterializedInteractions'
        end
      end
      
      class AssistantApiSystemNotificationRestrictions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :category_state, as: 'categoryState', class: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictionsNotificationCategoryState, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictionsNotificationCategoryState::Representation
      
          collection :channel_state, as: 'channelState', class: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictionsNotificationChannelState, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSystemNotificationRestrictionsNotificationChannelState::Representation
      
          property :notification_capabilities, as: 'notificationCapabilities'
        end
      end
      
      class AssistantApiSystemNotificationRestrictionsNotificationCategoryState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_id, as: 'categoryId'
          property :disabled, as: 'disabled'
          property :disabled_reason, as: 'disabledReason'
        end
      end
      
      class AssistantApiSystemNotificationRestrictionsNotificationChannelState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :channel_type, as: 'channelType'
          property :enabled, as: 'enabled'
        end
      end
      
      class AssistantApiThirdPartyActionConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_action_capability, as: 'deviceActionCapability', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoDeviceActionCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoDeviceActionCapability::Representation
      
          collection :project_configs, as: 'projectConfigs', class: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyActionConfigProjectConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantApiThirdPartyActionConfigProjectConfig::Representation
      
        end
      end
      
      class AssistantApiThirdPartyActionConfigProjectConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :project_id, as: 'projectId'
        end
      end
      
      class AssistantApiThirdPartyCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_sharing_restrictions, as: 'dataSharingRestrictions'
        end
      end
      
      class AssistantApiTimeOfDay
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hour, as: 'hour'
          property :minute, as: 'minute'
          property :nanosecond, as: 'nanosecond'
          property :second, as: 'second'
        end
      end
      
      class AssistantApiTimeZone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :iana_id, as: 'ianaId'
        end
      end
      
      class AssistantApiTimestamp
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :nanos, as: 'nanos'
          property :seconds, :numeric_string => true, as: 'seconds'
        end
      end
      
      class AssistantApiTransactionFeaturesSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :voice_pin_suppressed, as: 'voicePinSuppressed'
        end
      end
      
      class AssistantApiVolumeProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :default_volume_percentage, as: 'defaultVolumePercentage'
          property :high_volume_percentage, as: 'highVolumePercentage'
          property :level_step_size, as: 'levelStepSize'
          property :low_volume_percentage, as: 'lowVolumePercentage'
          property :maximum_volume_level, as: 'maximumVolumeLevel'
          property :medium_volume_percentage, as: 'mediumVolumePercentage'
          property :very_high_volume_percentage, as: 'veryHighVolumePercentage'
          property :very_low_volume_percentage, as: 'veryLowVolumePercentage'
        end
      end
      
      class AssistantDeviceTargetingDeviceTargetingError
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AssistantDevicesPlatformProtoAlarmCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_supported_alarms, as: 'maxSupportedAlarms'
          property :restrict_alarms_to_next_day, as: 'restrictAlarmsToNextDay'
          property :supports_stop_action, as: 'supportsStopAction'
        end
      end
      
      class AssistantDevicesPlatformProtoArgSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :int_value_spec, as: 'intValueSpec', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoIntValueSpec, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoIntValueSpec::Representation
      
          property :option_value_spec, as: 'optionValueSpec', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoOptionValueSpec, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoOptionValueSpec::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AssistantDevicesPlatformProtoCallCallCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoClientReconnectCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoCloudCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cloud_endpoints, as: 'cloudEndpoints', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudEndpoint, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudEndpoint::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoCloudEndpoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          collection :scopes, as: 'scopes'
          property :url, as: 'url'
        end
      end
      
      class AssistantDevicesPlatformProtoDeviceActionCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :assistant_device_in_room_opt_out, as: 'assistantDeviceInRoomOptOut'
          property :built_in_intent_mode, as: 'builtInIntentMode'
          property :custom_intent_mode, as: 'customIntentMode'
          property :default_execution_config, as: 'defaultExecutionConfig', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoExecutionConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoExecutionConfig::Representation
      
          property :inlined_action_capability, as: 'inlinedActionCapability', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInlinedActionCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInlinedActionCapability::Representation
      
          collection :intents, as: 'intents', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoIntent, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoIntent::Representation
      
          collection :provided_data, as: 'providedData', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoProvidedData, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoProvidedData::Representation
      
          collection :traits, as: 'traits'
          property :understanding_config, as: 'understandingConfig', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoUnderstandingConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoUnderstandingConfig::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoDeviceModifySettingCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_op_property, as: 'clientOpProperty', class: Google::Apis::ContentwarehouseV1::AssistantApiClientOpPropertiesDeviceModifySettingClientOpProperty, decorator: Google::Apis::ContentwarehouseV1::AssistantApiClientOpPropertiesDeviceModifySettingClientOpProperty::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoExecutionConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_endpoint_name, as: 'cloudEndpointName'
          property :cloud_intent_translation_disabled, as: 'cloudIntentTranslationDisabled'
          property :intent_command_format, as: 'intentCommandFormat'
          property :local_disabled, as: 'localDisabled'
          property :local_execution_type, as: 'localExecutionType'
          property :remote_disabled, as: 'remoteDisabled'
          property :remote_execution_type, as: 'remoteExecutionType'
        end
      end
      
      class AssistantDevicesPlatformProtoInlinedActionCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alarm, as: 'alarm', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoAlarmCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoAlarmCapability::Representation
      
          property :response_limits, as: 'responseLimits', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoResponseLimits, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoResponseLimits::Representation
      
          property :support_sdk_execute, as: 'supportSdkExecute'
          property :supported_device_ops, as: 'supportedDeviceOps', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSupportedDeviceOps, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSupportedDeviceOps::Representation
      
          property :supports_multi_response, as: 'supportsMultiResponse'
          property :timer, as: 'timer', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoTimerCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoTimerCapability::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoIntValueSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_value, :numeric_string => true, as: 'maxValue'
          property :min_value, :numeric_string => true, as: 'minValue'
        end
      end
      
      class AssistantDevicesPlatformProtoIntent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :arg_specs, as: 'argSpecs', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoArgSpec, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoArgSpec::Representation
      
          property :execution_config, as: 'executionConfig', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoExecutionConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoExecutionConfig::Representation
      
          property :name, as: 'name'
          collection :provided_data_names, as: 'providedDataNames'
          property :security_config, as: 'securityConfig', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSecurityConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSecurityConfig::Representation
      
          collection :trigger_conditions, as: 'triggerConditions', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoTriggerCondition, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoTriggerCondition::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoInternalCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :allowed_assistant_sdk_auth_project_ids, as: 'allowedAssistantSdkAuthProjectIds'
          property :app_capabilities_from_device_install_apps, as: 'appCapabilitiesFromDeviceInstallApps'
          property :cloud_device_action_endpoint, as: 'cloudDeviceActionEndpoint', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudEndpoint, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCloudEndpoint::Representation
      
          property :device_actions_eligible_for_high_confidence, as: 'deviceActionsEligibleForHighConfidence'
          property :force_sign_in, as: 'forceSignIn'
          property :force_third_party_device_id_for_device_lookup, as: 'forceThirdPartyDeviceIdForDeviceLookup'
          property :force_transactions_authentication, as: 'forceTransactionsAuthentication'
          property :has_custom_search_results_rendering, as: 'hasCustomSearchResultsRendering'
          property :override_project_id_for_device_lookup, as: 'overrideProjectIdForDeviceLookup'
          property :stadia_assistant_config, as: 'stadiaAssistantConfig', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInternalCapabilityStadiaAssistantConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoInternalCapabilityStadiaAssistantConfig::Representation
      
          property :telephone_attribution, as: 'telephoneAttribution'
        end
      end
      
      class AssistantDevicesPlatformProtoInternalCapabilityStadiaAssistantConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :stadia_platform, as: 'stadiaPlatform'
        end
      end
      
      class AssistantDevicesPlatformProtoMediaNextCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoMediaPauseCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoMediaPlayMediaCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoMediaPreviousCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoMediaResumeCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoMediaStopCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoOptionValueSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values'
        end
      end
      
      class AssistantDevicesPlatformProtoProvidedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
        end
      end
      
      class AssistantDevicesPlatformProtoProviderOpenCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_op_property, as: 'clientOpProperty', class: Google::Apis::ContentwarehouseV1::AssistantApiClientOpPropertiesProviderOpenClientOpProperty, decorator: Google::Apis::ContentwarehouseV1::AssistantApiClientOpPropertiesProviderOpenClientOpProperty::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoResponseLimits
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_assist_response_size_bytes, as: 'maxAssistResponseSizeBytes'
          property :max_display_lines_bytes, as: 'maxDisplayLinesBytes'
          property :max_suggestion_chip_bytes, as: 'maxSuggestionChipBytes'
          property :max_suggestion_chips, as: 'maxSuggestionChips'
        end
      end
      
      class AssistantDevicesPlatformProtoSecurityConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :auth_mechanism_for_remote_requests, as: 'authMechanismForRemoteRequests'
        end
      end
      
      class AssistantDevicesPlatformProtoSendChatMessageCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AssistantDevicesPlatformProtoSupportedDeviceOps
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :call_call, as: 'callCall', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCallCallCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoCallCallCapability::Representation
      
          property :client_reconnect, as: 'clientReconnect', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoClientReconnectCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoClientReconnectCapability::Representation
      
          property :device_modify_setting, as: 'deviceModifySetting', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoDeviceModifySettingCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoDeviceModifySettingCapability::Representation
      
          property :media_next, as: 'mediaNext', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaNextCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaNextCapability::Representation
      
          property :media_pause, as: 'mediaPause', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPauseCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPauseCapability::Representation
      
          property :media_play_media, as: 'mediaPlayMedia', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPlayMediaCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPlayMediaCapability::Representation
      
          property :media_previous, as: 'mediaPrevious', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPreviousCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaPreviousCapability::Representation
      
          property :media_resume, as: 'mediaResume', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaResumeCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaResumeCapability::Representation
      
          property :media_stop, as: 'mediaStop', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaStopCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoMediaStopCapability::Representation
      
          property :provider_open, as: 'providerOpen', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoProviderOpenCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoProviderOpenCapability::Representation
      
          property :send_chat_message, as: 'sendChatMessage', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSendChatMessageCapability, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoSendChatMessageCapability::Representation
      
        end
      end
      
      class AssistantDevicesPlatformProtoTimerCapability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_supported_extended_timer_duration, as: 'maxSupportedExtendedTimerDuration', class: Google::Apis::ContentwarehouseV1::AssistantApiDuration, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDuration::Representation
      
          property :max_supported_timer_duration, as: 'maxSupportedTimerDuration', class: Google::Apis::ContentwarehouseV1::AssistantApiDuration, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDuration::Representation
      
          property :max_supported_timers, as: 'maxSupportedTimers'
          property :supports_mutate_action, as: 'supportsMutateAction'
        end
      end
      
      class AssistantDevicesPlatformProtoTriggerCondition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :required_state_values, as: 'requiredStateValues', class: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoArgSpec, decorator: Google::Apis::ContentwarehouseV1::AssistantDevicesPlatformProtoArgSpec::Representation
      
          property :simple_tts, as: 'simpleTts'
          property :status, as: 'status'
        end
      end
      
      class AssistantDevicesPlatformProtoUnderstandingConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :nlu_level, as: 'nluLevel'
        end
      end
      
      class AssistantLogsAllMediaStreamLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :streams, as: 'streams', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaStreamLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaStreamLog::Representation
      
          property :target_stream, as: 'targetStream', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaStreamLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaStreamLog::Representation
      
        end
      end
      
      class AssistantLogsAmbiguousTargetDeviceLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :ambiguous_device_index, as: 'ambiguousDeviceIndex'
          property :final_target_device, as: 'finalTargetDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          collection :playability_filtered_devices_index, as: 'playabilityFilteredDevicesIndex'
          collection :punt_info_log, as: 'puntInfoLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLogPuntInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLogPuntInfoLog::Representation
      
          collection :structure_filtered_device_index, as: 'structureFilteredDeviceIndex'
        end
      end
      
      class AssistantLogsAmbiguousTargetDeviceLogPuntInfoLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :device_index, as: 'deviceIndex'
          property :media_excuse, as: 'mediaExcuse'
          property :provider_mid, as: 'providerMid'
        end
      end
      
      class AssistantLogsCommunicationDeviceContactInfoLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :raw_contact_info, as: 'rawContactInfo', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationRawDeviceContactInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationRawDeviceContactInfoLog::Representation
      
        end
      end
      
      class AssistantLogsCommunicationFuzzyNgramMatchLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :relative_cost, as: 'relativeCost'
          property :type, as: 'type'
        end
      end
      
      class AssistantLogsCommunicationGoogleAccountProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :is_dasher_account, as: 'isDasherAccount'
        end
      end
      
      class AssistantLogsCommunicationPersonMetadataLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :device_contact_info, as: 'deviceContactInfo', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationDeviceContactInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationDeviceContactInfoLog::Representation
      
        end
      end
      
      class AssistantLogsCommunicationPersonalContactDataLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_provenance, as: 'accountProvenance', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationGoogleAccountProvenance, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationGoogleAccountProvenance::Representation
      
          property :common_name_alias_confidence, as: 'commonNameAliasConfidence'
          property :concept_id, as: 'conceptId'
          collection :device_contact_attributes, as: 'deviceContactAttributes'
          property :email_id_count, as: 'emailIdCount'
          collection :fuzzy_ngram_match, as: 'fuzzyNgramMatch', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationFuzzyNgramMatchLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationFuzzyNgramMatchLog::Representation
      
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :is_contact_from_secondary_account, as: 'isContactFromSecondaryAccount'
          property :is_shared, as: 'isShared'
          property :is_transliterated_match, as: 'isTransliteratedMatch'
          property :is_vanity_contact, as: 'isVanityContact'
          property :is_visible_to_guests_relationship, as: 'isVisibleToGuestsRelationship'
          property :matched_name_type, as: 'matchedNameType'
          property :matched_recognition_alternate_name, as: 'matchedRecognitionAlternateName'
          collection :matched_starlight_lookup_name, as: 'matchedStarlightLookupName'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPersonMetadataLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPersonMetadataLog::Representation
      
          collection :name_matched_contact_index, as: 'nameMatchedContactIndex'
          property :original_query_name, as: 'originalQueryName'
          collection :phone, as: 'phone', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPhoneLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPhoneLog::Representation
      
          property :phone_number_count, as: 'phoneNumberCount'
          property :pkg_reference_type, as: 'pkgReferenceType'
          property :recognition_alternate_score, as: 'recognitionAlternateScore'
          property :recognition_alternate_source, as: 'recognitionAlternateSource'
          property :relationship_memory_count, as: 'relationshipMemoryCount'
          property :selected_phone, as: 'selectedPhone', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPhoneLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPhoneLog::Representation
      
          property :shortcut_contact_info, as: 'shortcutContactInfo', class: Google::Apis::ContentwarehouseV1::MajelContactInformationShortcutInformation, decorator: Google::Apis::ContentwarehouseV1::MajelContactInformationShortcutInformation::Representation
      
          property :source, as: 'source'
          collection :system_contact_group_id, as: 'systemContactGroupId'
          property :whatsapp_phone_number_count, as: 'whatsappPhoneNumberCount'
        end
      end
      
      class AssistantLogsCommunicationPhoneLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :raw_device_contact_info, as: 'rawDeviceContactInfo', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationRawDeviceContactInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationRawDeviceContactInfoLog::Representation
      
          property :type, as: 'type'
        end
      end
      
      class AssistantLogsCommunicationRawDeviceContactInfoLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_type, as: 'accountType'
        end
      end
      
      class AssistantLogsDefaultDeviceLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :default_speaker, as: 'defaultSpeaker', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :default_tv, as: 'defaultTv', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :source_device_id, as: 'sourceDeviceId'
        end
      end
      
      class AssistantLogsDefaultDevicesLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :local_default_devices, as: 'localDefaultDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog::Representation
      
          collection :nearby_default_devices, as: 'nearbyDefaultDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog::Representation
      
        end
      end
      
      class AssistantLogsDeviceAnnotationLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_text_from_query, as: 'rawTextFromQuery'
          property :type, as: 'type'
          property :user_defined_name, as: 'userDefinedName'
        end
      end
      
      class AssistantLogsDeviceInfoLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :arbitration_device_id, as: 'arbitrationDeviceId'
          property :connectivity, as: 'connectivity'
          property :device_id, as: 'deviceId'
          property :device_index, as: 'deviceIndex'
          property :device_model_id, as: 'deviceModelId'
          property :distance, as: 'distance'
          property :eliminating_lumos_processor, as: 'eliminatingLumosProcessor'
          property :is_remote, as: 'isRemote'
          property :is_tethered, as: 'isTethered'
          property :media_capabilities, as: 'mediaCapabilities', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaCapabilities, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaCapabilities::Representation
      
          property :media_device_type, as: 'mediaDeviceType'
          property :name, as: 'name'
          collection :sessions, as: 'sessions', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceMediaSessionLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceMediaSessionLog::Representation
      
          property :surface_type, as: 'surfaceType'
        end
      end
      
      class AssistantLogsDeviceMediaSessionLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :media_session_type, as: 'mediaSessionType'
          property :media_type, as: 'mediaType'
          property :playback_state, as: 'playbackState'
          property :provider_mid, as: 'providerMid'
          collection :supported_transport_control, as: 'supportedTransportControl'
        end
      end
      
      class AssistantLogsDeviceSelectionLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :all_default_devices, as: 'allDefaultDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog::Representation
      
          property :all_media_stream_log, as: 'allMediaStreamLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsAllMediaStreamLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsAllMediaStreamLog::Representation
      
          property :counterfactual_device_selection_log, as: 'counterfactualDeviceSelectionLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionLog::Representation
      
          property :default_devices, as: 'defaultDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDeviceLog::Representation
      
          property :default_devices_log, as: 'defaultDevicesLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDevicesLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDefaultDevicesLog::Representation
      
          collection :devices_str, as: 'devicesStr'
          collection :input_error_log, as: 'inputErrorLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsInputErrorLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsInputErrorLog::Representation
      
          property :local_device, as: 'localDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :log_data_source, as: 'logDataSource'
          property :media_focus, as: 'mediaFocus', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog::Representation
      
          property :media_focuses_log, as: 'mediaFocusesLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusesLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusesLog::Representation
      
          property :nearby_devices_log, as: 'nearbyDevicesLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsNearbyDevicesLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsNearbyDevicesLog::Representation
      
          property :query_annotation, as: 'queryAnnotation', class: Google::Apis::ContentwarehouseV1::AssistantLogsQueryAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsQueryAnnotationLog::Representation
      
          property :selection_result, as: 'selectionResult', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionResultLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionResultLog::Representation
      
          collection :test_codes, as: 'testCodes', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceTargetingTestCode, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceTargetingTestCode::Representation
      
        end
      end
      
      class AssistantLogsDeviceSelectionResultLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ambiguous_target_devices, as: 'ambiguousTargetDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLog::Representation
      
          property :device_selection_decision_summary, as: 'deviceSelectionDecisionSummary', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaDeviceSelectionDecisionSummary, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaDeviceSelectionDecisionSummary::Representation
      
          property :device_targeting_error_type, as: 'deviceTargetingErrorType'
          property :final_lumos_stage, as: 'finalLumosStage'
          property :low_confidence_target_device, as: 'lowConfidenceTargetDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsLowConfidenceTargetDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsLowConfidenceTargetDeviceLog::Representation
      
          property :media_focus_selection_error_type, as: 'mediaFocusSelectionErrorType'
          collection :processor_info, as: 'processorInfo', class: Google::Apis::ContentwarehouseV1::AssistantLogsLumosProcessorInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsLumosProcessorInfo::Representation
      
          property :qualified_devices, as: 'qualifiedDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsAmbiguousTargetDeviceLog::Representation
      
          property :single_target_device, as: 'singleTargetDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :target_device, as: 'targetDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsTargetDeviceLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsTargetDeviceLog::Representation
      
        end
      end
      
      class AssistantLogsDeviceTargetingTestCode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class AssistantLogsInputErrorLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :error_code, as: 'errorCode'
          property :error_type, as: 'errorType'
        end
      end
      
      class AssistantLogsLowConfidenceTargetDeviceLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fallback_device_log, as: 'fallbackDeviceLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :low_conf_target_device_log, as: 'lowConfTargetDeviceLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
        end
      end
      
      class AssistantLogsLumosProcessorInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :devices_after_run, as: 'devicesAfterRun'
          property :devices_before_run, as: 'devicesBeforeRun'
          property :processor_name, as: 'processorName'
        end
      end
      
      class AssistantLogsMediaCapabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :can_receive_remote_action, as: 'canReceiveRemoteAction'
          property :has_screen, as: 'hasScreen'
        end
      end
      
      class AssistantLogsMediaDeviceSelectionDecisionSummary
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_selection_preference_used, as: 'deviceSelectionPreferenceUsed'
          property :device_selection_reason, as: 'deviceSelectionReason'
          collection :misc_selection_signal, as: 'miscSelectionSignal'
        end
      end
      
      class AssistantLogsMediaFocusInfoLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :current_focus_duration_sec, as: 'currentFocusDurationSec'
          property :dialog_triggered, as: 'dialogTriggered'
          property :focus_device, as: 'focusDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :media_focus_state, as: 'mediaFocusState'
          property :source_device_id, as: 'sourceDeviceId'
        end
      end
      
      class AssistantLogsMediaFocusesLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dialog_triggered, as: 'dialogTriggered'
          property :local_media_focus, as: 'localMediaFocus', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog::Representation
      
          collection :media_focuses, as: 'mediaFocuses', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog::Representation
      
          collection :nearby_media_focuses, as: 'nearbyMediaFocuses', class: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsMediaFocusInfoLog::Representation
      
        end
      end
      
      class AssistantLogsMediaStreamLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :device_index, as: 'deviceIndex'
          property :session, as: 'session', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceMediaSessionLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceMediaSessionLog::Representation
      
        end
      end
      
      class AssistantLogsNearbyDevicesLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_arbitration_creation_timestamp_ms, :numeric_string => true, as: 'deviceArbitrationCreationTimestampMs'
          property :eliminated_by_further_distance, as: 'eliminatedByFurtherDistance'
          property :eliminated_by_local_closest, as: 'eliminatedByLocalClosest'
          property :eliminated_by_unknown_different_room, as: 'eliminatedByUnknownDifferentRoom'
          property :eliminated_by_unregistered_device, as: 'eliminatedByUnregisteredDevice'
          property :local_device, as: 'localDevice', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          collection :nearby_devices, as: 'nearbyDevices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :num_closest_devices, as: 'numClosestDevices'
          property :num_equally_close_devices, as: 'numEquallyCloseDevices'
          property :num_further_devices, as: 'numFurtherDevices'
          property :num_hearing_devices, as: 'numHearingDevices'
          property :num_unknown_distance_devices, as: 'numUnknownDistanceDevices'
        end
      end
      
      class AssistantLogsQueryAnnotationLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_annotation, as: 'deviceAnnotation', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceAnnotationLog::Representation
      
          collection :device_annotations, as: 'deviceAnnotations', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceAnnotationLog::Representation
      
          property :room_annotation, as: 'roomAnnotation', class: Google::Apis::ContentwarehouseV1::AssistantLogsRoomAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsRoomAnnotationLog::Representation
      
          collection :room_annotations, as: 'roomAnnotations', class: Google::Apis::ContentwarehouseV1::AssistantLogsRoomAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsRoomAnnotationLog::Representation
      
          collection :structure_annotations, as: 'structureAnnotations', class: Google::Apis::ContentwarehouseV1::AssistantLogsStructureAnnotationLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsStructureAnnotationLog::Representation
      
        end
      end
      
      class AssistantLogsReminderLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :created_seconds_ago, :numeric_string => true, as: 'createdSecondsAgo'
          property :retrieved_ranking_class, as: 'retrievedRankingClass'
        end
      end
      
      class AssistantLogsRoomAnnotationLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_text_from_query, as: 'rawTextFromQuery'
          property :room_count, as: 'roomCount'
          property :type, as: 'type'
          property :user_defined_name, as: 'userDefinedName'
        end
      end
      
      class AssistantLogsStructureAnnotationLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_text_from_query, as: 'rawTextFromQuery'
          property :type, as: 'type'
          property :user_defined_name, as: 'userDefinedName'
        end
      end
      
      class AssistantLogsTargetDeviceLog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :devices, as: 'devices', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceInfoLog::Representation
      
          property :result_confidence_level, as: 'resultConfidenceLevel'
        end
      end
      
      class AssistantPrefulfillmentRankerPrefulfillmentSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calibrated_parsing_score, as: 'calibratedParsingScore'
          property :calibrated_parsing_score_float, as: 'calibratedParsingScoreFloat'
          property :dominant, as: 'dominant'
          property :effective_arg_span_length, as: 'effectiveArgSpanLength'
          property :groundability_score, as: 'groundabilityScore'
          property :in_query_max_effective_arg_span_length, as: 'inQueryMaxEffectiveArgSpanLength'
          property :intent_name, as: 'intentName'
          property :intent_name_auis_score, as: 'intentNameAuisScore'
          property :intent_name_auis_score_exp, as: 'intentNameAuisScoreExp'
          property :mask_candidate_level_features, as: 'maskCandidateLevelFeatures'
          property :num_constraints, as: 'numConstraints'
          property :num_constraints_float, as: 'numConstraintsFloat'
          property :num_constraints_satisfied, as: 'numConstraintsSatisfied'
          property :num_constraints_satisfied_float, as: 'numConstraintsSatisfiedFloat'
          property :num_groundable_args, as: 'numGroundableArgs'
          property :num_groundable_args_float, as: 'numGroundableArgsFloat'
          property :num_grounded_args, as: 'numGroundedArgs'
          property :num_grounded_args_float, as: 'numGroundedArgsFloat'
          property :num_variables, as: 'numVariables'
          property :num_variables_float, as: 'numVariablesFloat'
          property :num_variables_grounded, as: 'numVariablesGrounded'
          property :num_variables_grounded_float, as: 'numVariablesGroundedFloat'
          property :pq2t_vs_assistant_ibst_cosine, as: 'pq2tVsAssistantIbstCosine'
          property :pq2t_vs_ibst_cosine, as: 'pq2tVsIbstCosine'
        end
      end
      
      class AssistantProductivityListItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
        end
      end
      
      class AssistantRemindersAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :link, as: 'link', class: Google::Apis::ContentwarehouseV1::AssistantRemindersAttachmentLink, decorator: Google::Apis::ContentwarehouseV1::AssistantRemindersAttachmentLink::Representation
      
          collection :surface_type, as: 'surfaceType'
        end
      end
      
      class AssistantRemindersAttachmentLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :link_url, as: 'linkUrl'
          property :notification_text, as: 'notificationText', class: Google::Apis::ContentwarehouseV1::AssistantRemindersNlgTemplateKey, decorator: Google::Apis::ContentwarehouseV1::AssistantRemindersNlgTemplateKey::Representation
      
        end
      end
      
      class AssistantRemindersMemoryPayload
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_referenced_entity_at_creation, as: 'hasReferencedEntityAtCreation'
          property :record_id, as: 'recordId'
        end
      end
      
      class AssistantRemindersNlgTemplateKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :message_set, as: 'messageSet'
          property :template_name, as: 'templateName'
        end
      end
      
      class AssistantTeleportTeleportNicknameSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_location_interpretation, as: 'hasLocationInterpretation'
          property :install_info, as: 'installInfo'
          property :is_generic, as: 'isGeneric'
          property :nickname_tier, as: 'nicknameTier'
          property :source, as: 'source'
        end
      end
      
      class AssistantVerticalsCommonContactMatchSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :match_score, as: 'matchScore'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoActionProjectConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :context_id, as: 'contextId'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoAgentDeviceId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent_id, as: 'agentId'
          property :device_id, as: 'deviceId'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoAgentInformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :auth_type, as: 'authType'
          property :device_source, as: 'deviceSource'
          property :execution_path, as: 'executionPath'
          property :id, as: 'id'
          property :key, as: 'key'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :structure_based_routine, as: 'structureBasedRoutine', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutine, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutine::Representation
      
        end
      end
      
      class AssistantVerticalsHomeautomationProtoAttributes
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribute_protos, as: 'attributeProtos', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAttribute, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAttribute::Representation
      
        end
      end
      
      class AssistantVerticalsHomeautomationProtoCommonEventTrigger
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
          hash :event_trigger_payload, as: 'eventTriggerPayload'
          property :event_trigger_type, as: 'eventTriggerType'
          property :trigger_source, as: 'triggerSource'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutine
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enabled, as: 'enabled'
          property :google_preconfig_workflow_id, as: 'googlePreconfigWorkflowId'
          property :language, as: 'language'
          hash :payload, as: 'payload'
          property :security_level, as: 'securityLevel'
          property :shared, as: 'shared'
          hash :storage_payload, as: 'storagePayload'
          property :structure_id, as: 'structureId'
          collection :triggers, as: 'triggers', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutineTrigger, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutineTrigger::Representation
      
          property :type, as: 'type'
          hash :ui_payload, as: 'uiPayload'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoCommonStructureBasedRoutineTrigger
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event_trigger, as: 'eventTrigger', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonEventTrigger, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonEventTrigger::Representation
      
          property :voice_trigger, as: 'voiceTrigger', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonVoiceTrigger, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoCommonVoiceTrigger::Representation
      
        end
      end
      
      class AssistantVerticalsHomeautomationProtoCommonVoiceTrigger
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :query, as: 'query'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoConciergeFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :concierge_product_features, as: 'conciergeProductFeatures'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoDeviceTargetingOutputQueryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotated_span_device, as: 'annotatedSpanDevice'
          property :annotated_span_room, as: 'annotatedSpanRoom'
          property :annotated_span_structure, as: 'annotatedSpanStructure'
          property :processed_mentioned_span, as: 'processedMentionedSpan'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationDevice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_selection_log, as: 'deviceSelectionLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsDeviceSelectionLog::Representation
      
          property :dto_error, as: 'dtoError', class: Google::Apis::ContentwarehouseV1::AssistantDeviceTargetingDeviceTargetingError, decorator: Google::Apis::ContentwarehouseV1::AssistantDeviceTargetingDeviceTargetingError::Representation
      
          property :dto_query_info, as: 'dtoQueryInfo', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoDeviceTargetingOutputQueryInfo, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoDeviceTargetingOutputQueryInfo::Representation
      
          property :homeautomation_metadata, as: 'homeautomationMetadata', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaData, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaData::Representation
      
          collection :list, as: 'list', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationDeviceItem, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationDeviceItem::Representation
      
          property :matched_item_key, as: 'matchedItemKey'
          property :matched_item_rawvalue, as: 'matchedItemRawvalue'
          collection :matched_item_value, as: 'matchedItemValue'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationDeviceItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :homeautomation_metadata, as: 'homeautomationMetadata', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaData, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaData::Representation
      
          property :matched_item_key, as: 'matchedItemKey'
          property :matched_item_rawvalue, as: 'matchedItemRawvalue'
          collection :matched_item_value, as: 'matchedItemValue'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationMetaData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :action_project_configs, as: 'actionProjectConfigs', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoActionProjectConfig, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoActionProjectConfig::Representation
      
          property :agent_information, as: 'agentInformation', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAgentInformation, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAgentInformation::Representation
      
          property :assistant_device_id, as: 'assistantDeviceId'
          hash :attributes, as: 'attributes'
          property :creator_gaia_id, :numeric_string => true, as: 'creatorGaiaId'
          collection :derived_type, as: 'derivedType'
          property :device_model_id, as: 'deviceModelId'
          property :gcm_execution_address, as: 'gcmExecutionAddress'
          property :hash_value, as: 'hashValue'
          property :lanscan_opted_in, as: 'lanscanOptedIn'
          property :model_name, as: 'modelName'
          property :notification_enabled_by_user, as: 'notificationEnabledByUser'
          property :notification_supported_by_agent, as: 'notificationSupportedByAgent'
          property :opaque_custom_data, as: 'opaqueCustomData'
          property :operational_node_id, as: 'operationalNodeId'
          collection :other_device_ids, as: 'otherDeviceIds', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAgentDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAgentDeviceId::Representation
      
          collection :parent_node, as: 'parentNode'
          collection :parent_type, as: 'parentType'
          collection :personalized_nicknames, as: 'personalizedNicknames'
          property :physical_location, as: 'physicalLocation', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoPhysicalLocation, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoPhysicalLocation::Representation
      
          collection :plural, as: 'plural'
          property :primary_name, as: 'primaryName'
          property :role_information, as: 'roleInformation', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoRoleInformation, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoRoleInformation::Representation
      
          property :routable_via_gcm, as: 'routableViaGcm'
          property :saft_document, as: 'saftDocument', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
          property :smart_device_management_data, as: 'smartDeviceManagementData', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSmartDeviceManagementData, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSmartDeviceManagementData::Representation
      
          property :smart_home_features, as: 'smartHomeFeatures', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSmartHomeFeatures, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSmartHomeFeatures::Representation
      
          property :supported_structure_features, as: 'supportedStructureFeatures', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSupportedStructureFeatures, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoSupportedStructureFeatures::Representation
      
          hash :supported_traits_by_agent, as: 'supportedTraitsByAgent', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaDataSupportedTraits, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationMetaDataSupportedTraits::Representation
      
          property :supports_direct_response, as: 'supportsDirectResponse'
          hash :target_device_signal_strengths, as: 'targetDeviceSignalStrengths'
          collection :trait_routing_hints, as: 'traitRoutingHints', class: Google::Apis::ContentwarehouseV1::HomeGraphCommonTraitRoutingHints, decorator: Google::Apis::ContentwarehouseV1::HomeGraphCommonTraitRoutingHints::Representation
      
          hash :trait_routing_table, as: 'traitRoutingTable', class: Google::Apis::ContentwarehouseV1::HomeGraphCommonRoutingTable, decorator: Google::Apis::ContentwarehouseV1::HomeGraphCommonRoutingTable::Representation
      
          hash :trait_to_attribute_protos, as: 'traitToAttributeProtos', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAttributes, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoAttributes::Representation
      
          property :type, as: 'type'
          property :user_defined_device_type, as: 'userDefinedDeviceType'
          property :voice_match_required, as: 'voiceMatchRequired'
          property :will_report_state, as: 'willReportState'
          property :zone_name_saft_document, as: 'zoneNameSaftDocument', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
        end
      end
      
      class AssistantVerticalsHomeautomationProtoHomeAutomationMetaDataSupportedTraits
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :traits, as: 'traits'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoPhysicalLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address, as: 'address'
          property :geo_location, as: 'geoLocation', class: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng::Representation
      
        end
      end
      
      class AssistantVerticalsHomeautomationProtoRoleInformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :iam_check_required, as: 'iamCheckRequired'
          property :role_type, as: 'roleType'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoSmartDeviceManagementData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enterprise_id, as: 'enterpriseId'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoSmartHomeFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circadian_lighting_enabled, as: 'circadianLightingEnabled'
          property :energy_savings_enabled, as: 'energySavingsEnabled'
          property :gentle_wakeup_enabled, as: 'gentleWakeupEnabled'
          property :home_away_over_matter_enabled, as: 'homeAwayOverMatterEnabled'
        end
      end
      
      class AssistantVerticalsHomeautomationProtoSupportedStructureFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :concierge_features, as: 'conciergeFeatures', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoConciergeFeatures, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoConciergeFeatures::Representation
      
        end
      end
      
      class AttentionalEntitiesMentionProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :event_id, as: 'eventId', class: Google::Apis::ContentwarehouseV1::EventIdMessage, decorator: Google::Apis::ContentwarehouseV1::EventIdMessage::Representation
      
          property :factoid_score, as: 'factoidScore'
          property :list_entry_info, as: 'listEntryInfo', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesListEntryInfo, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesListEntryInfo::Representation
      
          property :recency, as: 'recency'
          property :role, as: 'role', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSemanticRoleId, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSemanticRoleId::Representation
      
          property :salience, as: 'salience'
          property :source, as: 'source', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSource, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSource::Representation
      
          property :spatial_properties, as: 'spatialProperties', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSpatialProperties, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSpatialProperties::Representation
      
          property :surface_form, as: 'surfaceForm', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSurfaceForm, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesSurfaceForm::Representation
      
          property :timestamp, as: 'timestamp'
        end
      end
      
      class AttentionalEntitiesMentionPropertiesListEntryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, :numeric_string => true, as: 'index'
          property :lexical_groundings_id, as: 'lexicalGroundingsId'
        end
      end
      
      class AttentionalEntitiesMentionPropertiesSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client, as: 'client', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceClient, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceClient::Representation
      
          property :system, as: 'system', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceSystem, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceSystem::Representation
      
          property :user, as: 'user', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceUser, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionPropertiesSourceUser::Representation
      
        end
      end
      
      class AttentionalEntitiesMentionPropertiesSourceClient
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AttentionalEntitiesMentionPropertiesSourceSystem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AttentionalEntitiesMentionPropertiesSourceUser
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class AttentionalEntitiesSemanticRoleId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intent_id, as: 'intentId'
          property :role_id, as: 'roleId'
        end
      end
      
      class AttentionalEntitiesSpatialProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :visibility, as: 'visibility'
        end
      end
      
      class AttentionalEntitiesSurfaceForm
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :text, as: 'text'
        end
      end
      
      class BiasingPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :biasingfield, as: 'biasingfield', class: Google::Apis::ContentwarehouseV1::BiasingPerDocDataBiasingField, decorator: Google::Apis::ContentwarehouseV1::BiasingPerDocDataBiasingField::Representation
      
        end
      end
      
      class BiasingPerDocData2
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :biasing_field, as: 'biasingField', class: Google::Apis::ContentwarehouseV1::BiasingPerDocData2BiasingField, decorator: Google::Apis::ContentwarehouseV1::BiasingPerDocData2BiasingField::Representation
      
        end
      end
      
      class BiasingPerDocData2BiasingField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compressed_name, as: 'compressedName'
          property :value, as: 'value'
          property :value_float, as: 'valueFloat'
          property :value_int, as: 'valueInt'
        end
      end
      
      class BiasingPerDocDataBiasingField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, :numeric_string => true, as: 'Name'
          property :value, as: 'Value'
        end
      end
      
      class BlobstoreBlobRef
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blob_id, :base64 => true, as: 'BlobID'
          property :options, :numeric_string => true, as: 'Options'
          property :ref_id, :base64 => true, as: 'RefID'
          property :shard_bin, as: 'ShardBin'
          property :size, :numeric_string => true, as: 'Size'
          property :source_v2_blob_id, as: 'SourceV2BlobID'
          property :v2_read_blob_token, as: 'V2ReadBlobToken'
        end
      end
      
      class BlogPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blogurl_fp, :numeric_string => true, as: 'blogurlFp'
          property :client_spamminess, as: 'clientSpamminess'
          property :conv_tree, as: 'convTree', class: Google::Apis::ContentwarehouseV1::BlogsearchConversationTree, decorator: Google::Apis::ContentwarehouseV1::BlogsearchConversationTree::Representation
      
          property :copycat_score, as: 'copycatScore'
          property :doc_quality_score, as: 'docQualityScore'
          property :is_syntactic_reshare, as: 'isSyntacticReshare'
          property :microblog_quality_expt_data, as: 'microblogQualityExptData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :num_mentions, as: 'numMentions'
          collection :outlinks, as: 'outlinks', class: Google::Apis::ContentwarehouseV1::BlogPerDocDataOutlinks, decorator: Google::Apis::ContentwarehouseV1::BlogPerDocDataOutlinks::Representation
      
          property :post_content_fingerprint, as: 'postContentFingerprint'
          property :quality_score, as: 'qualityScore'
          property :spam_score, as: 'spamScore'
          property :universal_whitelisted, as: 'universalWhitelisted'
          property :user_quality_score, as: 'userQualityScore'
        end
      end
      
      class BlogPerDocDataOutlinks
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregation_fp, :numeric_string => true, as: 'aggregationFp'
          property :resolved_url, as: 'resolvedUrl'
          property :site_spam_score, as: 'siteSpamScore'
          property :title, as: 'title'
        end
      end
      
      class BlogsearchConversationNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :author_name, as: 'authorName'
          collection :children, as: 'children'
          property :date, :numeric_string => true, as: 'date'
          property :docid, as: 'docid'
          property :parent, as: 'parent'
        end
      end
      
      class BlogsearchConversationTree
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :conv_id, as: 'convId'
          collection :nodes, as: 'nodes', class: Google::Apis::ContentwarehouseV1::BlogsearchConversationNode, decorator: Google::Apis::ContentwarehouseV1::BlogsearchConversationNode::Representation
      
        end
      end
      
      class BlueGingerClientVisibleProtoBlueGingerSupportedServices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :modules, as: 'modules', class: Google::Apis::ContentwarehouseV1::BlueGingerClientVisibleProtoBlueGingerSupportedServicesBlueGingerModule, decorator: Google::Apis::ContentwarehouseV1::BlueGingerClientVisibleProtoBlueGingerSupportedServicesBlueGingerModule::Representation
      
        end
      end
      
      class BlueGingerClientVisibleProtoBlueGingerSupportedServicesBlueGingerModule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          collection :services, as: 'services'
        end
      end
      
      class BookCitationPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :book_id, :numeric_string => true, as: 'bookId'
          property :discretized_citation_score, as: 'discretizedCitationScore'
          property :previewable, as: 'previewable'
          property :second_book_id, :numeric_string => true, as: 'secondBookId'
          property :second_discretized_citation_score, as: 'secondDiscretizedCitationScore'
        end
      end
      
      class BusinessHours
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dayopen, as: 'dayopen'
          collection :interval, as: 'interval', class: Google::Apis::ContentwarehouseV1::BusinessHoursInterval, decorator: Google::Apis::ContentwarehouseV1::BusinessHoursInterval::Representation
      
        end
      end
      
      class BusinessHoursInterval
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end, as: 'end'
          property :start, as: 'start'
        end
      end
      
      class ChatBotPlatformBotSendToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiry_time_micros, :numeric_string => true, as: 'expiryTimeMicros'
          property :send_token, :base64 => true, as: 'sendToken'
        end
      end
      
      class ChatBotPlatformFireballId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::GoogleInternalCommunicationsInstantmessagingV1Id, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalCommunicationsInstantmessagingV1Id::Representation
      
        end
      end
      
      class ClassifierPornAggregatedUrlPornScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_url_porn_score, as: 'averageUrlPornScore'
          property :url_count, as: 'urlCount'
        end
      end
      
      class ClassifierPornClassifierData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :classification, as: 'classification', class: Google::Apis::ContentwarehouseV1::ClassifierPornClassifierDataClassification, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornClassifierDataClassification::Representation
      
          property :image_based_detection_done, as: 'imageBasedDetectionDone'
          property :timestamp, :numeric_string => true, as: 'timestamp'
        end
      end
      
      class ClassifierPornClassifierDataClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :label, as: 'label'
          property :score, as: 'score'
        end
      end
      
      class ClassifierPornDocumentData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :classifierdata, as: 'classifierdata', class: Google::Apis::ContentwarehouseV1::ClassifierPornClassifierData, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornClassifierData::Representation
      
          property :sitedata, as: 'sitedata', class: Google::Apis::ContentwarehouseV1::ClassifierPornSiteData, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornSiteData::Representation
      
        end
      end
      
      class ClassifierPornQueryClassifierOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :csai_classification, as: 'csaiClassification'
          property :csai_regexp_high_confidence_classification, as: 'csaiRegexpHighConfidenceClassification'
          property :debug, as: 'debug'
          property :is_positive, as: 'isPositive'
          property :score, as: 'score'
        end
      end
      
      class ClassifierPornQueryMultiLabelClassifierOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :csai, as: 'csai', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :fringe, as: 'fringe', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :medical, as: 'medical', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :offensive, as: 'offensive', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :porn, as: 'porn', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :spoof, as: 'spoof', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :violence, as: 'violence', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
          property :vulgar, as: 'vulgar', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryClassifierOutput::Representation
      
        end
      end
      
      class ClassifierPornQueryStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :query_text_porn_score, as: 'queryTextPornScore'
          property :total_clicks, as: 'totalClicks'
        end
      end
      
      class ClassifierPornReferrerCounts
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :adult, as: 'adult'
          property :porn, as: 'porn'
          property :total, as: 'total'
        end
      end
      
      class ClassifierPornSiteData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :avg_pedo_page_score, as: 'avgPedoPageScore'
          property :final_pedo_site_score, as: 'finalPedoSiteScore'
          property :number_of_pages, :numeric_string => true, as: 'numberOfPages'
          property :number_of_pedo_pages, :numeric_string => true, as: 'numberOfPedoPages'
          property :site_porn_ratio, as: 'sitePornRatio'
          property :site_softporn_ratio, as: 'siteSoftpornRatio'
          collection :versionedscore, as: 'versionedscore', class: Google::Apis::ContentwarehouseV1::ClassifierPornSiteDataVersionedScore, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornSiteDataVersionedScore::Representation
      
          property :violence_stats, as: 'violenceStats', class: Google::Apis::ContentwarehouseV1::ClassifierPornSiteViolenceStats, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornSiteViolenceStats::Representation
      
        end
      end
      
      class ClassifierPornSiteDataVersionedScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          collection :site_rule, as: 'siteRule'
          property :version, as: 'version'
          property :verticals4_score, as: 'verticals4Score'
        end
      end
      
      class ClassifierPornSiteViolenceStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mean_final_violence_score, as: 'meanFinalViolenceScore'
          property :number_of_images, :numeric_string => true, as: 'numberOfImages'
          property :number_of_videos, :numeric_string => true, as: 'numberOfVideos'
          property :video_violence_score, as: 'videoViolenceScore'
        end
      end
      
      class CommerceDatastoreDeepTag
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :tag, as: 'tag'
        end
      end
      
      class CommerceDatastoreImageDeepTags
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :model_outputs, as: 'modelOutputs', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreImageDeepTagsModelOutput, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreImageDeepTagsModelOutput::Representation
      
        end
      end
      
      class CommerceDatastoreImageDeepTagsModelOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :background_type, as: 'backgroundType', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :collage, as: 'collage', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :cropping, as: 'cropping', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :model_type, as: 'modelType', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :nfs, as: 'nfs', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :object_count, as: 'objectCount', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :overlay, as: 'overlay', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :selfie, as: 'selfie', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          collection :text_overlay, as: 'textOverlay', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreDeepTag::Representation
      
          property :version, as: 'version'
        end
      end
      
      class CompositeDoc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_checksum96, :base64 => true, as: 'ContentChecksum96'
          property :access_requirements, as: 'accessRequirements', class: Google::Apis::ContentwarehouseV1::IndexingPrivacyAccessAccessRequirements, decorator: Google::Apis::ContentwarehouseV1::IndexingPrivacyAccessAccessRequirements::Representation
      
          property :additionalchecksums, as: 'additionalchecksums', class: Google::Apis::ContentwarehouseV1::CompositeDocAdditionalChecksums, decorator: Google::Apis::ContentwarehouseV1::CompositeDocAdditionalChecksums::Representation
      
          collection :alternatename, as: 'alternatename', class: Google::Apis::ContentwarehouseV1::CompositeDocAlternateName, decorator: Google::Apis::ContentwarehouseV1::CompositeDocAlternateName::Representation
      
          property :anchor_stats, as: 'anchorStats', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatistics, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatistics::Representation
      
          property :anchors, as: 'anchors', class: Google::Apis::ContentwarehouseV1::Anchors, decorator: Google::Apis::ContentwarehouseV1::Anchors::Representation
      
          property :bad_ssl_certificate, as: 'badSslCertificate', class: Google::Apis::ContentwarehouseV1::IndexingBadSslCertificate, decorator: Google::Apis::ContentwarehouseV1::IndexingBadSslCertificate::Representation
      
          collection :cse_id, as: 'cseId', class: Google::Apis::ContentwarehouseV1::QualityProseCseUrlInfo, decorator: Google::Apis::ContentwarehouseV1::QualityProseCseUrlInfo::Representation
      
          property :cse_pagerank_cutoff, as: 'csePagerankCutoff'
          property :data_version, as: 'dataVersion', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersion, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersion::Representation
      
          property :doc, as: 'doc', class: Google::Apis::ContentwarehouseV1::GDocumentBase, decorator: Google::Apis::ContentwarehouseV1::GDocumentBase::Representation
      
          property :doc_attachments, as: 'docAttachments', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :doc_images, as: 'docImages', class: Google::Apis::ContentwarehouseV1::ImageData, decorator: Google::Apis::ContentwarehouseV1::ImageData::Representation
      
          collection :doc_videos, as: 'docVideos', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoProperties, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoProperties::Representation
      
          property :docinfo_passthrough_attachments, as: 'docinfoPassthroughAttachments', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :embedded_content_info, as: 'embeddedContentInfo', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbeddedContentInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbeddedContentInfo::Representation
      
          collection :extradup, as: 'extradup', class: Google::Apis::ContentwarehouseV1::CompositeDocExtraDup, decorator: Google::Apis::ContentwarehouseV1::CompositeDocExtraDup::Representation
      
          collection :forwardingdup, as: 'forwardingdup', class: Google::Apis::ContentwarehouseV1::CompositeDocForwardingDup, decorator: Google::Apis::ContentwarehouseV1::CompositeDocForwardingDup::Representation
      
          collection :includedcontent, as: 'includedcontent', class: Google::Apis::ContentwarehouseV1::CompositeDocIncludedContent, decorator: Google::Apis::ContentwarehouseV1::CompositeDocIncludedContent::Representation
      
          property :indexinginfo, as: 'indexinginfo', class: Google::Apis::ContentwarehouseV1::CompositeDocIndexingInfo, decorator: Google::Apis::ContentwarehouseV1::CompositeDocIndexingInfo::Representation
      
          property :label_data, as: 'labelData', class: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelData, decorator: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelData::Representation
      
          property :liveexperimentinfo, as: 'liveexperimentinfo', class: Google::Apis::ContentwarehouseV1::CompositeDocLiveExperimentInfo, decorator: Google::Apis::ContentwarehouseV1::CompositeDocLiveExperimentInfo::Representation
      
          property :localinfo, as: 'localinfo', class: Google::Apis::ContentwarehouseV1::LocalWwwInfo, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfo::Representation
      
          collection :localized_alternate_name, as: 'localizedAlternateName', class: Google::Apis::ContentwarehouseV1::IndexingConverterLocalizedAlternateName, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterLocalizedAlternateName::Representation
      
          property :localizedvariations, as: 'localizedvariations', class: Google::Apis::ContentwarehouseV1::CompositeDocLocalizedVariations, decorator: Google::Apis::ContentwarehouseV1::CompositeDocLocalizedVariations::Representation
      
          property :manybox_data, as: 'manyboxData', class: Google::Apis::ContentwarehouseV1::ManyboxData, decorator: Google::Apis::ContentwarehouseV1::ManyboxData::Representation
      
          property :partial_update_info, as: 'partialUpdateInfo', class: Google::Apis::ContentwarehouseV1::CompositeDocPartialUpdateInfo, decorator: Google::Apis::ContentwarehouseV1::CompositeDocPartialUpdateInfo::Representation
      
          property :per_doc_data, as: 'perDocData', class: Google::Apis::ContentwarehouseV1::PerDocData, decorator: Google::Apis::ContentwarehouseV1::PerDocData::Representation
      
          property :porninfo, as: 'porninfo', class: Google::Apis::ContentwarehouseV1::ClassifierPornDocumentData, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornDocumentData::Representation
      
          property :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::DocProperties, decorator: Google::Apis::ContentwarehouseV1::DocProperties::Representation
      
          property :ptoken, as: 'ptoken', class: Google::Apis::ContentwarehouseV1::PtokenPToken, decorator: Google::Apis::ContentwarehouseV1::PtokenPToken::Representation
      
          property :qualitysignals, as: 'qualitysignals', class: Google::Apis::ContentwarehouseV1::CompositeDocQualitySignals, decorator: Google::Apis::ContentwarehouseV1::CompositeDocQualitySignals::Representation
      
          property :registrationinfo, as: 'registrationinfo', class: Google::Apis::ContentwarehouseV1::RegistrationInfo, decorator: Google::Apis::ContentwarehouseV1::RegistrationInfo::Representation
      
          property :richcontent_data, as: 'richcontentData', class: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentData, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentData::Representation
      
          property :richsnippet, as: 'richsnippet', class: Google::Apis::ContentwarehouseV1::RichsnippetsPageMap, decorator: Google::Apis::ContentwarehouseV1::RichsnippetsPageMap::Representation
      
          property :robotsinfolist, as: 'robotsinfolist', class: Google::Apis::ContentwarehouseV1::CompositeDocRobotsInfoList, decorator: Google::Apis::ContentwarehouseV1::CompositeDocRobotsInfoList::Representation
      
          property :scaled_indy_rank, as: 'scaledIndyRank'
          property :sitemap, as: 'sitemap', class: Google::Apis::ContentwarehouseV1::Sitemap, decorator: Google::Apis::ContentwarehouseV1::Sitemap::Representation
      
          property :storage_row_timestamp_micros, :numeric_string => true, as: 'storageRowTimestampMicros'
          collection :subindexid, as: 'subindexid'
          property :syntactic_date, as: 'syntacticDate', class: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDate, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDate::Representation
      
          property :url, as: 'url'
          property :urldate, :numeric_string => true, as: 'urldate'
        end
      end
      
      class CompositeDocAdditionalChecksums
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :no_transient_checksum96, :base64 => true, as: 'NoTransientChecksum96'
          property :sim_hash, :numeric_string => true, as: 'SimHash'
          property :sim_hash_is_trusted, as: 'SimHashIsTrusted'
          property :simhash_v2, :numeric_string => true, as: 'simhashV2'
          property :simhash_v2_significance, as: 'simhashV2Significance'
        end
      end
      
      class CompositeDocAlternateName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :url, as: 'Url'
          property :url_encoding, as: 'UrlEncoding'
          property :ecn_fp, :base64 => true, as: 'ecnFp'
        end
      end
      
      class CompositeDocExtraDup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ecn_fp, :base64 => true, as: 'ecnFp'
          property :url, as: 'url'
        end
      end
      
      class CompositeDocForwardingDup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ecn, :base64 => true, as: 'ecn'
          property :ecn_fp, :base64 => true, as: 'ecnFp'
          property :purposes, as: 'purposes'
          property :raw_pagerank, as: 'rawPagerank'
          property :repid, :base64 => true, as: 'repid'
          property :url, as: 'url'
          property :urlencoding, as: 'urlencoding'
        end
      end
      
      class CompositeDocIncludedContent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source_type_bitfield, :numeric_string => true, as: 'SourceTypeBitfield'
          property :included_doc, as: 'includedDoc', class: Google::Apis::ContentwarehouseV1::GDocumentBase, decorator: Google::Apis::ContentwarehouseV1::GDocumentBase::Representation
      
          property :link_url, as: 'linkUrl'
          property :per_doc_data, as: 'perDocData', class: Google::Apis::ContentwarehouseV1::PerDocData, decorator: Google::Apis::ContentwarehouseV1::PerDocData::Representation
      
          property :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::DocProperties, decorator: Google::Apis::ContentwarehouseV1::DocProperties::Representation
      
        end
      end
      
      class CompositeDocIndexingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cdoc_build_info, as: 'cdocBuildInfo', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerCDocBuildInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerCDocBuildInfo::Representation
      
          property :content_protected, as: 'contentProtected'
          property :convert_to_roboted_reason, as: 'convertToRobotedReason'
          property :crawl_status, as: 'crawlStatus'
          collection :demotion_tags, as: 'demotionTags'
          property :error_type, as: 'errorType'
          collection :freshdocs_corpora, as: 'freshdocsCorpora'
          property :hostid, :numeric_string => true, as: 'hostid'
          property :ie_identifier, as: 'ieIdentifier'
          property :image_indexing_info, as: 'imageIndexingInfo', class: Google::Apis::ContentwarehouseV1::ImageSearchImageIndexingInfo, decorator: Google::Apis::ContentwarehouseV1::ImageSearchImageIndexingInfo::Representation
      
          property :indexing_ts, :numeric_string => true, as: 'indexingTs'
          property :is_sibling_deletion, as: 'isSiblingDeletion'
          property :no_longer_canonical_timestamp, :numeric_string => true, as: 'noLongerCanonicalTimestamp'
          property :normalized_click_score, as: 'normalizedClickScore'
          property :raw_navboost, as: 'rawNavboost'
          property :row_timestamp, :numeric_string => true, as: 'rowTimestamp'
          property :selection_tier_rank, as: 'selectionTierRank'
          collection :tracing_id, as: 'tracingId'
          property :url_changerate, as: 'urlChangerate', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlChangerate, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlChangerate::Representation
      
          property :url_history, as: 'urlHistory', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlHistory, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlHistory::Representation
      
          property :url_pattern_signals, as: 'urlPatternSignals', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlPatternSignals, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlPatternSignals::Representation
      
          property :video_indexing_info, as: 'videoIndexingInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoIndexingInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoIndexingInfo::Representation
      
        end
      end
      
      class CompositeDocLiveExperimentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :per_live_experiment_info, as: 'perLiveExperimentInfo', class: Google::Apis::ContentwarehouseV1::CompositeDocLiveExperimentInfoPerLiveExperimentInfo, decorator: Google::Apis::ContentwarehouseV1::CompositeDocLiveExperimentInfoPerLiveExperimentInfo::Representation
      
        end
      end
      
      class CompositeDocLiveExperimentInfoPerLiveExperimentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experiment_id, as: 'experimentId'
          property :partial_cdoc, as: 'partialCdoc', class: Google::Apis::ContentwarehouseV1::CompositeDoc, decorator: Google::Apis::ContentwarehouseV1::CompositeDoc::Representation
      
        end
      end
      
      class CompositeDocLocalizedVariations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :dups_computed_alternate_names, as: 'dupsComputedAlternateNames', class: Google::Apis::ContentwarehouseV1::IndexingDupsComputedLocalizedAlternateNamesLocaleEntry, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsComputedLocalizedAlternateNamesLocaleEntry::Representation
      
          collection :webmaster_alternate_names, as: 'webmasterAlternateNames', class: Google::Apis::ContentwarehouseV1::IndexingConverterLocalizedAlternateName, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterLocalizedAlternateName::Representation
      
        end
      end
      
      class CompositeDocPartialUpdateInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :goldmine_annotator_names, as: 'goldmineAnnotatorNames'
          collection :images_signal_names, as: 'imagesSignalNames'
          collection :last_full_indexing_info, as: 'lastFullIndexingInfo', class: Google::Apis::ContentwarehouseV1::CompositeDocPartialUpdateInfoLastFullIndexingInfo, decorator: Google::Apis::ContentwarehouseV1::CompositeDocPartialUpdateInfoLastFullIndexingInfo::Representation
      
          property :should_lookup_docjoins_tier, as: 'shouldLookupDocjoinsTier'
          collection :signal_names, as: 'signalNames'
        end
      end
      
      class CompositeDocPartialUpdateInfoLastFullIndexingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :corpus, as: 'corpus'
          property :last_full_indexing_ts_micros, :numeric_string => true, as: 'lastFullIndexingTsMicros'
        end
      end
      
      class CompositeDocQualitySignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_significant_update, as: 'lastSignificantUpdate', class: Google::Apis::ContentwarehouseV1::QualityTimebasedLastSignificantUpdate, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedLastSignificantUpdate::Representation
      
          property :oldness_info, as: 'oldnessInfo', class: Google::Apis::ContentwarehouseV1::QualityTimebasedOldnessInfo, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedOldnessInfo::Representation
      
          property :pagetype, as: 'pagetype', class: Google::Apis::ContentwarehouseV1::QualityTimebasedPageType, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedPageType::Representation
      
        end
      end
      
      class CompositeDocRobotsInfoList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :news_robots_info, as: 'newsRobotsInfo', class: Google::Apis::ContentwarehouseV1::IndexingConverterRobotsInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRobotsInfo::Representation
      
        end
      end
      
      class CompressedQualitySignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_mismatch_demotion, as: 'anchorMismatchDemotion'
          property :authority_promotion, as: 'authorityPromotion'
          property :baby_panda_demotion, as: 'babyPandaDemotion'
          property :baby_panda_v2_demotion, as: 'babyPandaV2Demotion'
          property :craps_absolute_host_signals, as: 'crapsAbsoluteHostSignals'
          property :craps_new_host_signals, :numeric_string => true, as: 'crapsNewHostSignals'
          property :craps_new_pattern_signals, :numeric_string => true, as: 'crapsNewPatternSignals'
          property :craps_new_url_signals, :numeric_string => true, as: 'crapsNewUrlSignals'
          property :craps_unscaled_ip_prior_bad_fraction, as: 'crapsUnscaledIpPriorBadFraction'
          property :exact_match_domain_demotion, as: 'exactMatchDomainDemotion'
          property :experimental_nsr_team_data, as: 'experimentalNsrTeamData', class: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamData::Representation
      
          collection :experimental_nsr_team_wsj_data, as: 'experimentalNsrTeamWsjData', class: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamWsjData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamWsjData::Representation
      
          property :experimental_qstar_delta_signal, as: 'experimentalQstarDeltaSignal'
          property :experimental_qstar_signal, as: 'experimentalQstarSignal'
          property :experimental_qstar_site_signal, as: 'experimentalQstarSiteSignal'
          property :low_quality, as: 'lowQuality'
          property :nav_demotion, as: 'navDemotion'
          property :nsr_confidence, as: 'nsrConfidence'
          property :nsr_override_bid, as: 'nsrOverrideBid'
          collection :nsr_versioned_data, as: 'nsrVersionedData', class: Google::Apis::ContentwarehouseV1::NsrVersionedItem, decorator: Google::Apis::ContentwarehouseV1::NsrVersionedItem::Representation
      
          property :pairwiseq_scoring_data, as: 'pairwiseqScoringData', class: Google::Apis::ContentwarehouseV1::PairwiseQScoringData, decorator: Google::Apis::ContentwarehouseV1::PairwiseQScoringData::Representation
      
          collection :pairwiseq_versioned_data, as: 'pairwiseqVersionedData', class: Google::Apis::ContentwarehouseV1::PairwiseQVersionedItem, decorator: Google::Apis::ContentwarehouseV1::PairwiseQVersionedItem::Representation
      
          property :panda_demotion, as: 'pandaDemotion'
          property :pq_data, as: 'pqData'
          property :pq_data_proto, as: 'pqDataProto', class: Google::Apis::ContentwarehouseV1::QualityNsrPqData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrPqData::Representation
      
          property :product_review_p_demote_page, as: 'productReviewPDemotePage'
          property :product_review_p_demote_site, as: 'productReviewPDemoteSite'
          property :product_review_p_promote_page, as: 'productReviewPPromotePage'
          property :product_review_p_promote_site, as: 'productReviewPPromoteSite'
          property :scamness, as: 'scamness'
          property :serp_demotion, as: 'serpDemotion'
          property :site_authority, as: 'siteAuthority'
          collection :topic_embeddings_versioned_data, as: 'topicEmbeddingsVersionedData', class: Google::Apis::ContentwarehouseV1::QualityAuthorityTopicEmbeddingsVersionedItem, decorator: Google::Apis::ContentwarehouseV1::QualityAuthorityTopicEmbeddingsVersionedItem::Representation
      
          property :unauthoritative_score, as: 'unauthoritativeScore'
          property :vlq_nsr, as: 'vlqNsr'
        end
      end
      
      class ContentAttributions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :freshdocs_outgoing, as: 'freshdocsOutgoing', class: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution, decorator: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution::Representation
      
          collection :offline_outgoing, as: 'offlineOutgoing', class: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution, decorator: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution::Representation
      
          collection :online_outgoing, as: 'onlineOutgoing', class: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution, decorator: Google::Apis::ContentwarehouseV1::ContentAttributionsOutgoingAttribution::Representation
      
        end
      end
      
      class ContentAttributionsOutgoingAttribution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :best_evidence_type, as: 'bestEvidenceType'
          property :docid, :numeric_string => true, as: 'docid'
          property :properties, as: 'properties'
          property :usable_for_clustering, as: 'usableForClustering'
        end
      end
      
      class ContentAwareCropsIndexing
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mustang_bytes, :base64 => true, as: 'mustangBytes'
          property :mustang_bytes_version, as: 'mustangBytesVersion'
        end
      end
      
      class CopleyLexicalMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_lexical_mid, as: 'canonicalLexicalMid'
        end
      end
      
      class CopleyPersonalReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :personal_reference_type, as: 'personalReferenceType'
        end
      end
      
      class CopleyPersonalReferenceMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :reference_score, as: 'referenceScore'
          collection :references, as: 'references', class: Google::Apis::ContentwarehouseV1::CopleyPersonalReference, decorator: Google::Apis::ContentwarehouseV1::CopleyPersonalReference::Representation
      
          property :subreference_metadata, as: 'subreferenceMetadata', class: Google::Apis::ContentwarehouseV1::CopleySubreferenceMetadata, decorator: Google::Apis::ContentwarehouseV1::CopleySubreferenceMetadata::Representation
      
        end
      end
      
      class CopleySourceTypeList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :source_type_metadata, as: 'sourceTypeMetadata', class: Google::Apis::ContentwarehouseV1::CopleySourceTypeMetadata, decorator: Google::Apis::ContentwarehouseV1::CopleySourceTypeMetadata::Representation
      
        end
      end
      
      class CopleySourceTypeMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_annotation_id, as: 'contactAnnotationId'
          property :displayable_name, as: 'displayableName'
          property :email_identifier, as: 'emailIdentifier'
          property :event_id, as: 'eventId', class: Google::Apis::ContentwarehouseV1::EventIdMessage, decorator: Google::Apis::ContentwarehouseV1::EventIdMessage::Representation
      
          property :local_discovery_settings_metadata, as: 'localDiscoverySettingsMetadata', class: Google::Apis::ContentwarehouseV1::PersonalizationSettingsApiProtoLocalDiscoveryLocalDiscoverySettingsMetadata, decorator: Google::Apis::ContentwarehouseV1::PersonalizationSettingsApiProtoLocalDiscoveryLocalDiscoverySettingsMetadata::Representation
      
          property :personal_data_provenance, as: 'personalDataProvenance'
          property :personal_data_type, as: 'personalDataType'
          collection :provenance_category, as: 'provenanceCategory'
          property :sensitivity, as: 'sensitivity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity::Representation
      
        end
      end
      
      class CopleySubreferenceMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :most_compound_resolved_entities, as: 'mostCompoundResolvedEntities', class: Google::Apis::ContentwarehouseV1::CopleySubreferenceResolution, decorator: Google::Apis::ContentwarehouseV1::CopleySubreferenceResolution::Representation
      
          property :most_nested_unresolved_reference, as: 'mostNestedUnresolvedReference', class: Google::Apis::ContentwarehouseV1::CopleySubreferenceReference, decorator: Google::Apis::ContentwarehouseV1::CopleySubreferenceReference::Representation
      
        end
      end
      
      class CopleySubreferenceReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :personal_reference_types, as: 'personalReferenceTypes'
          property :reference_score, as: 'referenceScore'
          property :relationship_lexical_info, as: 'relationshipLexicalInfo', class: Google::Apis::ContentwarehouseV1::CopleyLexicalMetadata, decorator: Google::Apis::ContentwarehouseV1::CopleyLexicalMetadata::Representation
      
        end
      end
      
      class CopleySubreferenceResolution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :name, as: 'name'
          property :resolution_score, as: 'resolutionScore'
        end
      end
      
      class CorpusSelectionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :corpus, as: 'corpus'
          property :corpus_score, as: 'corpusScore'
          property :is_selected_for_indexing, as: 'isSelectedForIndexing'
          collection :referrer_docid, as: 'referrerDocid'
          collection :referrer_urls, as: 'referrerUrls'
        end
      end
      
      class CountryClickDistribution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          collection :item, as: 'item', class: Google::Apis::ContentwarehouseV1::CountryClickDistributionItem, decorator: Google::Apis::ContentwarehouseV1::CountryClickDistributionItem::Representation
      
          property :total, as: 'total'
        end
      end
      
      class CountryClickDistributionItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :double_value, as: 'doubleValue'
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class CountryCountryAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :click_distribution, as: 'clickDistribution', class: Google::Apis::ContentwarehouseV1::CountryClickDistribution, decorator: Google::Apis::ContentwarehouseV1::CountryClickDistribution::Representation
      
          property :countryid_from_ugc, as: 'countryidFromUgc'
          property :debug, as: 'debug'
          collection :debug_source_url, as: 'debugSourceUrl'
          property :document_location_source, as: 'documentLocationSource'
          property :exist_next_level, as: 'existNextLevel'
          property :from_language_fallback, as: 'fromLanguageFallback'
          property :from_restricts, as: 'fromRestricts'
          property :from_sg_domains, as: 'fromSgDomains'
          property :from_tld, as: 'fromTld'
          property :from_ugc, as: 'fromUgc'
          property :from_url_pattern, as: 'fromUrlPattern'
          property :from_wmx, as: 'fromWmx'
          property :geo_locations, as: 'geoLocations', class: Google::Apis::ContentwarehouseV1::CountryGeoLocations, decorator: Google::Apis::ContentwarehouseV1::CountryGeoLocations::Representation
      
          property :global, as: 'global'
          property :is_valid_for_country_restrict, as: 'isValidForCountryRestrict'
          collection :local_countries, as: 'localCountries'
          collection :local_country_codes, as: 'localCountryCodes'
          collection :metro_id_list, as: 'metroIdList', class: Google::Apis::ContentwarehouseV1::CountryMetroNbFeature, decorator: Google::Apis::ContentwarehouseV1::CountryMetroNbFeature::Representation
      
          collection :metro_location_id, as: 'metroLocationId'
          collection :metro_navboost, as: 'metroNavboost', class: Google::Apis::ContentwarehouseV1::CountryMetroNbFeature, decorator: Google::Apis::ContentwarehouseV1::CountryMetroNbFeature::Representation
      
          collection :province_geotoken_list, as: 'provinceGeotokenList', class: Google::Apis::ContentwarehouseV1::CountryProvinceGeotoken, decorator: Google::Apis::ContentwarehouseV1::CountryProvinceGeotoken::Representation
      
          collection :related_countries, as: 'relatedCountries'
          collection :related_country_codes, as: 'relatedCountryCodes'
          collection :restrict_countries, as: 'restrictCountries'
          collection :salient_countries, as: 'salientCountries', class: Google::Apis::ContentwarehouseV1::CountrySalientCountry, decorator: Google::Apis::ContentwarehouseV1::CountrySalientCountry::Representation
      
          property :salient_country_set, as: 'salientCountrySet', class: Google::Apis::ContentwarehouseV1::QualitySalientCountriesSalientCountrySet, decorator: Google::Apis::ContentwarehouseV1::QualitySalientCountriesSalientCountrySet::Representation
      
          property :sitename, as: 'sitename'
          property :super_global, as: 'superGlobal'
          property :url_pattern_based_country, as: 'urlPatternBasedCountry'
          property :url_pattern_based_language, as: 'urlPatternBasedLanguage'
          property :user_visible_country_from_logs, as: 'userVisibleCountryFromLogs'
          property :user_visible_local_country, as: 'userVisibleLocalCountry'
          property :weight_above_ideal_for_localness, as: 'weightAboveIdealForLocalness'
          property :wmx_country, as: 'wmxCountry'
        end
      end
      
      class CountryGeoLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :click_radius50_percent, as: 'clickRadius50Percent'
          property :confidence, as: 'confidence'
          property :confidence_percent, as: 'confidencePercent'
          property :internal_id, as: 'internalId'
          property :location_info, as: 'locationInfo', class: Google::Apis::ContentwarehouseV1::CountryLocationInfo, decorator: Google::Apis::ContentwarehouseV1::CountryLocationInfo::Representation
      
          property :propagated_from_a_subpage, as: 'propagatedFromASubpage'
        end
      end
      
      class CountryGeoLocations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :geo_location, as: 'geoLocation', class: Google::Apis::ContentwarehouseV1::CountryGeoLocation, decorator: Google::Apis::ContentwarehouseV1::CountryGeoLocation::Representation
      
          property :is_non_location_specific, as: 'isNonLocationSpecific'
          property :propagation_depth_from_parent, as: 'propagationDepthFromParent'
        end
      end
      
      class CountryLocationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :center, as: 'center', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :city, as: 'city'
          property :country, as: 'country'
          property :county, as: 'county'
          property :enclosing_state_feature_id, as: 'enclosingStateFeatureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :state, as: 'state'
          property :state_id_fprint, as: 'stateIdFprint'
          property :sub_locality, as: 'subLocality'
          property :type, as: 'type'
        end
      end
      
      class CountryMetroNbFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enclosing_province_geotoken, as: 'enclosingProvinceGeotoken'
          property :id, as: 'id'
          property :navboost, as: 'navboost'
        end
      end
      
      class CountryProvinceGeotoken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :geotoken, as: 'geotoken'
        end
      end
      
      class CountrySalientCountry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compressed_salience, as: 'compressedSalience'
          property :country_code, as: 'countryCode'
          property :salience, as: 'salience'
        end
      end
      
      class CrawlerChangerateMultipleComponentDistribution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :components, as: 'components', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateSingleComponentDistribution, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateSingleComponentDistribution::Representation
      
        end
      end
      
      class CrawlerChangerateSingleComponentDistribution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :log_scaling, as: 'logScaling'
          property :type, as: 'type'
          property :weight, as: 'weight'
        end
      end
      
      class CrawlerChangerateUrlChange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :additional_changes_merged, as: 'additionalChangesMerged'
          property :fractional_tile_change, as: 'fractionalTileChange'
          property :interval, as: 'interval'
          property :off_domain_links_change, as: 'offDomainLinksChange'
          property :off_domain_links_count, as: 'offDomainLinksCount'
          property :on_domain_links_count, as: 'onDomainLinksCount'
          property :on_domain_links_count_change, as: 'onDomainLinksCountChange'
          property :shingle_simhash, as: 'shingleSimhash', class: Google::Apis::ContentwarehouseV1::IndexingConverterShingleFingerprint, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterShingleFingerprint::Representation
      
          property :simhash, :numeric_string => true, as: 'simhash'
          property :simhash_is_trusted, as: 'simhashIsTrusted'
          property :simhash_v2, :numeric_string => true, as: 'simhashV2'
          property :simhash_v2_is_trusted, as: 'simhashV2IsTrusted'
        end
      end
      
      class CrawlerChangerateUrlChangerate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :approximated_posterior, as: 'approximatedPosterior', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateMultipleComponentDistribution, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateMultipleComponentDistribution::Representation
      
          property :average_change_significance, as: 'averageChangeSignificance'
          property :changeperiod, as: 'changeperiod'
          property :confidence, as: 'confidence'
          property :global_based_change_period, as: 'globalBasedChangePeriod'
          property :global_based_change_period_confidence, as: 'globalBasedChangePeriodConfidence'
          property :global_based_prior_period, as: 'globalBasedPriorPeriod'
          property :global_based_prior_strength, as: 'globalBasedPriorStrength'
          property :last_change_significance, as: 'lastChangeSignificance'
          property :last_changed, as: 'lastChanged'
          property :last_fetched, as: 'lastFetched'
          property :num_intervals, as: 'numIntervals'
          property :pattern_based_change_period, as: 'patternBasedChangePeriod'
          property :pattern_based_change_period_confidence, as: 'patternBasedChangePeriodConfidence'
          property :pattern_based_lower_change_period, as: 'patternBasedLowerChangePeriod'
          property :pattern_based_prior_period, as: 'patternBasedPriorPeriod'
          property :pattern_based_prior_strength, as: 'patternBasedPriorStrength'
          property :pattern_change_period_version, as: 'patternChangePeriodVersion'
          property :type, as: 'type'
          property :ugc_change_period, as: 'ugcChangePeriod'
          property :ugc_change_period_confidence, as: 'ugcChangePeriodConfidence'
        end
      end
      
      class CrawlerChangerateUrlHistory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :change, as: 'change', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlChange, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlChange::Representation
      
          property :latest_version, as: 'latestVersion', class: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlVersion, decorator: Google::Apis::ContentwarehouseV1::CrawlerChangerateUrlVersion::Representation
      
          property :url, as: 'url'
        end
      end
      
      class CrawlerChangerateUrlVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :additional_changes_merged, as: 'additionalChangesMerged'
          property :content_type, as: 'contentType'
          property :is_ims_not_modified, as: 'isImsNotModified'
          property :last_modified, as: 'lastModified'
          property :off_domain_links_checksum, as: 'offDomainLinksChecksum'
          property :off_domain_links_count, as: 'offDomainLinksCount'
          property :on_domain_links_count, as: 'onDomainLinksCount'
          property :shingle_simhash, as: 'shingleSimhash', class: Google::Apis::ContentwarehouseV1::IndexingConverterShingleFingerprint, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterShingleFingerprint::Representation
      
          property :simhash, :numeric_string => true, as: 'simhash'
          property :simhash_is_trusted, as: 'simhashIsTrusted'
          property :simhash_v2, :numeric_string => true, as: 'simhashV2'
          property :simhash_v2_is_trusted, as: 'simhashV2IsTrusted'
          collection :tile, as: 'tile'
          property :timestamp, as: 'timestamp'
        end
      end
      
      class CrowdingPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :newscluster, as: 'newscluster', class: Google::Apis::ContentwarehouseV1::CrowdingPerDocDataNewsCluster, decorator: Google::Apis::ContentwarehouseV1::CrowdingPerDocDataNewsCluster::Representation
      
        end
      end
      
      class CrowdingPerDocDataNewsCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, :numeric_string => true, as: 'ClusterId'
          property :cluster_size, as: 'ClusterSize'
          property :cluster_time_stamp, as: 'ClusterTimeStamp'
        end
      end
      
      class DeepCropIndexing
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :crop_bytes, :base64 => true, as: 'cropBytes'
        end
      end
      
      class DeepCropPixels
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x0, as: 'x0'
          property :x1, as: 'x1'
          property :y0, as: 'y0'
          property :y1, as: 'y1'
        end
      end
      
      class DocProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :avg_term_weight, as: 'avgTermWeight'
          property :bad_title, as: 'badTitle'
          collection :badtitleinfo, as: 'badtitleinfo', class: Google::Apis::ContentwarehouseV1::DocPropertiesBadTitleInfo, decorator: Google::Apis::ContentwarehouseV1::DocPropertiesBadTitleInfo::Representation
      
          collection :languages, as: 'languages'
          property :leadingtext, as: 'leadingtext', class: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextInfo, decorator: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextInfo::Representation
      
          property :num_punctuations, as: 'numPunctuations'
          property :num_tags, as: 'numTags'
          property :num_tokens, as: 'numTokens'
          collection :prose_restrict, as: 'proseRestrict'
          collection :restricts, as: 'restricts'
          property :timestamp, :numeric_string => true, as: 'timestamp'
          property :title, as: 'title'
        end
      end
      
      class DocPropertiesBadTitleInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :type, as: 'type'
        end
      end
      
      class DrishtiDenseFeatureData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :general_extra, as: 'generalExtra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :value, as: 'value'
        end
      end
      
      class DrishtiFeatureExtra
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class DrishtiFeatureSetData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :feature, as: 'feature', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetDataFeatureSetElement, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetDataFeatureSetElement::Representation
      
          collection :label, as: 'label', class: Google::Apis::ContentwarehouseV1::DrishtiLabelSetElement, decorator: Google::Apis::ContentwarehouseV1::DrishtiLabelSetElement::Representation
      
        end
      end
      
      class DrishtiFeatureSetDataFeatureSetElement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dense, as: 'dense', class: Google::Apis::ContentwarehouseV1::DrishtiDenseFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiDenseFeatureData::Representation
      
          property :indexed, as: 'indexed', class: Google::Apis::ContentwarehouseV1::DrishtiIndexedFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiIndexedFeatureData::Representation
      
          property :name, as: 'name'
          property :quantized, as: 'quantized', class: Google::Apis::ContentwarehouseV1::DrishtiQuantizedDenseFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiQuantizedDenseFeatureData::Representation
      
          property :sparse, as: 'sparse', class: Google::Apis::ContentwarehouseV1::DrishtiSparseFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiSparseFeatureData::Representation
      
        end
      end
      
      class DrishtiFeatureSetDataSequence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :element, as: 'element', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData::Representation
      
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :label, as: 'label', class: Google::Apis::ContentwarehouseV1::DrishtiLabelSetElement, decorator: Google::Apis::ContentwarehouseV1::DrishtiLabelSetElement::Representation
      
          collection :timestamp, as: 'timestamp'
        end
      end
      
      class DrishtiIndexedFeatureData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :general_extra, as: 'generalExtra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :index, as: 'index'
          collection :value, as: 'value'
        end
      end
      
      class DrishtiLabelSetData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :general_extra, as: 'generalExtra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :target_class, as: 'targetClass'
          collection :target_class_name, as: 'targetClassName'
          collection :target_value, as: 'targetValue'
          collection :target_weight, as: 'targetWeight'
          property :weight, as: 'weight'
        end
      end
      
      class DrishtiLabelSetElement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :label, as: 'label', class: Google::Apis::ContentwarehouseV1::DrishtiLabelSetData, decorator: Google::Apis::ContentwarehouseV1::DrishtiLabelSetData::Representation
      
          property :name, as: 'name'
        end
      end
      
      class DrishtiQuantizedDenseFeatureData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :general_extra, as: 'generalExtra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :value, as: 'value'
        end
      end
      
      class DrishtiSparseFeatureData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :extra, as: 'extra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :general_extra, as: 'generalExtra', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          collection :label, as: 'label'
          collection :value, as: 'value'
        end
      end
      
      class DrishtiVesperEncodedThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encoding_quality, as: 'encodingQuality'
          property :encoding_type, as: 'encodingType'
          property :height, as: 'height'
          property :image_bytes, :base64 => true, as: 'imageBytes'
          property :image_string, as: 'imageString'
          property :width, as: 'width'
        end
      end
      
      class DrishtiVesperMovingThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin_timestamp_ms, as: 'beginTimestampMs'
          property :duration_ms, as: 'durationMs'
          property :encoded_gif_animation, :base64 => true, as: 'encodedGifAnimation'
          property :encoded_video_string, :base64 => true, as: 'encodedVideoString'
          property :encoded_webp_animation, :base64 => true, as: 'encodedWebpAnimation'
          property :end_timestamp_ms, as: 'endTimestampMs'
          property :height, as: 'height'
          property :id, as: 'id'
          property :moving_thumbnailer_version, as: 'movingThumbnailerVersion'
          property :name, as: 'name'
          property :score, as: 'score'
          property :score_components, as: 'scoreComponents', class: Google::Apis::ContentwarehouseV1::DrishtiVesperMovingThumbnailScoreComponents, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperMovingThumbnailScoreComponents::Representation
      
          collection :thumbnails, as: 'thumbnails', class: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnail::Representation
      
          property :type, as: 'type'
          property :webp_quality_level, as: 'webpQualityLevel'
          property :width, as: 'width'
        end
      end
      
      class DrishtiVesperMovingThumbnailScoreComponents
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audience_rewind_ratio_score, as: 'audienceRewindRatioScore'
          property :iconic_face_score, as: 'iconicFaceScore'
          property :matching_score, as: 'matchingScore'
          property :motion_score, as: 'motionScore'
          property :title_matching_score, as: 'titleMatchingScore'
          property :video_thumb_quality_score, as: 'videoThumbQualityScore'
        end
      end
      
      class DrishtiVesperThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :dense_features, as: 'denseFeatures'
          property :encoded_image_string, as: 'encodedImageString'
          property :encoded_image_string_small, as: 'encodedImageStringSmall'
          collection :encoded_thumbnails, as: 'encodedThumbnails', class: Google::Apis::ContentwarehouseV1::DrishtiVesperEncodedThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperEncodedThumbnail::Representation
      
          property :id, as: 'id'
          property :ocr_text, as: 'ocrText'
          collection :quality_scores, as: 'qualityScores', class: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnailQualityScore, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnailQualityScore::Representation
      
          property :should_update_default_thumbnail, as: 'shouldUpdateDefaultThumbnail'
          property :thumbnailer_model_version, as: 'thumbnailerModelVersion'
          property :timestamp_ms, as: 'timestampMs'
          property :type, as: 'type'
          property :user_reported_thumbnail, as: 'userReportedThumbnail', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportUserReportedThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportUserReportedThumbnail::Representation
      
          collection :user_reported_thumbnails, as: 'userReportedThumbnails', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportUserReportedThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportUserReportedThumbnail::Representation
      
          property :version, as: 'version'
        end
      end
      
      class DrishtiVesperThumbnailQualityScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :type, as: 'type'
        end
      end
      
      class DrishtiVesperUserReportHumanLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :racy_level, as: 'racyLevel'
        end
      end
      
      class DrishtiVesperUserReportModelScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :model_name, as: 'modelName'
          property :score, as: 'score'
        end
      end
      
      class DrishtiVesperUserReportUserReportedThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :dense_features, as: 'denseFeatures'
          property :duration, as: 'duration'
          property :human_label, as: 'humanLabel', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportHumanLabel, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportHumanLabel::Representation
      
          property :impressions, as: 'impressions'
          property :need_human_label, as: 'needHumanLabel'
          collection :raw_human_labels, as: 'rawHumanLabels', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportHumanLabel, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportHumanLabel::Representation
      
          property :report_score, as: 'reportScore', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportModelScore, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportModelScore::Representation
      
          property :report_type, as: 'reportType'
          property :score, as: 'score', class: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportModelScore, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperUserReportModelScore::Representation
      
          property :use_case, as: 'useCase'
          property :volume, as: 'volume'
        end
      end
      
      class DrishtiVesperVideoThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          collection :moving_thumbnails, as: 'movingThumbnails', class: Google::Apis::ContentwarehouseV1::DrishtiVesperMovingThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperMovingThumbnail::Representation
      
          collection :thumbnails, as: 'thumbnails', class: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperThumbnail::Representation
      
        end
      end
      
      class EmbedsDeepLinkData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app_id, :numeric_string => true, as: 'appId'
          collection :client, as: 'client', class: Google::Apis::ContentwarehouseV1::EmbedsPackagingServiceClient, decorator: Google::Apis::ContentwarehouseV1::EmbedsPackagingServiceClient::Representation
      
          property :deep_link_id, as: 'deepLinkId'
          property :url, as: 'url'
        end
      end
      
      class EmbedsEmbedClientItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_id, as: 'canonicalId'
          property :deep_link_data, as: 'deepLinkData', class: Google::Apis::ContentwarehouseV1::EmbedsDeepLinkData, decorator: Google::Apis::ContentwarehouseV1::EmbedsDeepLinkData::Representation
      
          property :id, as: 'id'
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::EmbedsProvenance, decorator: Google::Apis::ContentwarehouseV1::EmbedsProvenance::Representation
      
          property :render_id, as: 'renderId'
          property :signature, as: 'signature'
          property :transient_data, as: 'transientData', class: Google::Apis::ContentwarehouseV1::EmbedsTransientData, decorator: Google::Apis::ContentwarehouseV1::EmbedsTransientData::Representation
      
          collection :type, as: 'type'
        end
      end
      
      class EmbedsPackagingServiceClient
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_package_name, as: 'androidPackageName'
          property :ios_app_store_id, as: 'iosAppStoreId'
          property :ios_bundle_id, as: 'iosBundleId'
          property :type, as: 'type'
        end
      end
      
      class EmbedsProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_blob, :base64 => true, as: 'annotationBlob'
          property :canonical_url, as: 'canonicalUrl'
          property :input_url, as: 'inputUrl'
          collection :itemtype, as: 'itemtype'
          property :retrieved_timestamp_msec, :numeric_string => true, as: 'retrievedTimestampMsec'
          property :retrieved_url, as: 'retrievedUrl'
        end
      end
      
      class EmbedsTransientData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class EntitySignalsClassificationOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :labels, as: 'labels', class: Google::Apis::ContentwarehouseV1::EntitySignalsWeightedRelevanceRating, decorator: Google::Apis::ContentwarehouseV1::EntitySignalsWeightedRelevanceRating::Representation
      
          property :relevance_score, as: 'relevanceScore'
        end
      end
      
      class EntitySignalsEntityClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_id, as: 'entityId'
          collection :features, as: 'features', class: Google::Apis::ContentwarehouseV1::EntitySignalsEntityFeature, decorator: Google::Apis::ContentwarehouseV1::EntitySignalsEntityFeature::Representation
      
          property :output, as: 'output', class: Google::Apis::ContentwarehouseV1::EntitySignalsClassificationOutput, decorator: Google::Apis::ContentwarehouseV1::EntitySignalsClassificationOutput::Representation
      
        end
      end
      
      class EntitySignalsEntityFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'code'
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class EntitySignalsWeightedRelevanceRating
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :rating, as: 'rating'
          property :weight, as: 'weight'
        end
      end
      
      class EventIdMessage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :process_id, as: 'processId'
          property :server_ip, as: 'serverIp'
          property :time_usec, :numeric_string => true, as: 'timeUsec'
        end
      end
      
      class ExtraSnippetInfoResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :matchinfo, as: 'matchinfo', class: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseMatchInfo, decorator: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseMatchInfo::Representation
      
          collection :querysubitem, as: 'querysubitem', class: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseQuerySubitem, decorator: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseQuerySubitem::Representation
      
          collection :tidbit, as: 'tidbit', class: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseTidbit, decorator: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseTidbit::Representation
      
        end
      end
      
      class ExtraSnippetInfoResponseMatchInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :title_matches, :numeric_string => true, as: 'titleMatches'
          property :url_matches, :numeric_string => true, as: 'urlMatches'
          property :weighted_items, :numeric_string => true, as: 'weightedItems'
        end
      end
      
      class ExtraSnippetInfoResponseQuerySubitem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_highlighted, as: 'isHighlighted'
          property :is_optional, as: 'isOptional'
          property :is_original, as: 'isOriginal'
          property :items, as: 'items'
          property :text, as: 'text'
          property :weight, as: 'weight'
        end
      end
      
      class ExtraSnippetInfoResponseTidbit
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchorinfo, as: 'anchorinfo', class: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseTidbitAnchorInfo, decorator: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponseTidbitAnchorInfo::Representation
      
          property :begin, as: 'begin'
          property :end, as: 'end'
          property :items, :numeric_string => true, as: 'items'
          property :score, as: 'score'
          property :text, as: 'text'
          property :type, as: 'type'
        end
      end
      
      class ExtraSnippetInfoResponseTidbitAnchorInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :offdomain_count, as: 'offdomainCount'
          property :ondomain_count, as: 'ondomainCount'
        end
      end
      
      class FaceIndexing
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mustang_bytes, :base64 => true, as: 'mustangBytes'
          property :mustang_bytes_version, as: 'mustangBytesVersion'
        end
      end
      
      class FatcatCompactBinaryClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :binary_classifier, as: 'binaryClassifier'
          property :binary_classifier_name, as: 'binaryClassifierName'
          property :discrete_fraction, as: 'discreteFraction'
        end
      end
      
      class FatcatCompactDocClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :binary, as: 'binary', class: Google::Apis::ContentwarehouseV1::FatcatCompactBinaryClassification, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactBinaryClassification::Representation
      
          property :clusters, as: 'clusters', class: Google::Apis::ContentwarehouseV1::FatcatCompactRephilClusters, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactRephilClusters::Representation
      
          property :epoch, as: 'epoch'
          property :lang_code, as: 'langCode'
          property :rephil_model_id, as: 'rephilModelId'
          collection :taxonomic, as: 'taxonomic', class: Google::Apis::ContentwarehouseV1::FatcatCompactTaxonomicClassification, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactTaxonomicClassification::Representation
      
          property :url, as: 'url'
          property :weight, :numeric_string => true, as: 'weight'
        end
      end
      
      class FatcatCompactRephilClusters
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cluster, as: 'cluster', class: Google::Apis::ContentwarehouseV1::FatcatCompactRephilClustersCluster, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactRephilClustersCluster::Representation
      
        end
      end
      
      class FatcatCompactRephilClustersCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discrete_weight, as: 'discreteWeight'
          property :id, as: 'id'
        end
      end
      
      class FatcatCompactTaxonomicClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :category, as: 'category', class: Google::Apis::ContentwarehouseV1::FatcatCompactTaxonomicClassificationCategory, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactTaxonomicClassificationCategory::Representation
      
          property :taxonomy, as: 'taxonomy'
          property :taxonomy_name, as: 'taxonomyName'
        end
      end
      
      class FatcatCompactTaxonomicClassificationCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discrete_weight, as: 'discreteWeight'
          property :id, as: 'id'
        end
      end
      
      class FocusBackendContactDetailHash
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class FocusBackendContactPointer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_id, :numeric_string => true, as: 'annotationId'
          property :device_raw_contact_id, as: 'deviceRawContactId', class: Google::Apis::ContentwarehouseV1::FocusBackendDeviceRawContactId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendDeviceRawContactId::Representation
      
          property :focus_contact_id, :numeric_string => true, as: 'focusContactId'
          property :other_contact_id, as: 'otherContactId', class: Google::Apis::ContentwarehouseV1::FocusBackendOtherContactId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendOtherContactId::Representation
      
          property :secondary_id, as: 'secondaryId', class: Google::Apis::ContentwarehouseV1::FocusBackendSecondaryContactId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendSecondaryContactId::Representation
      
        end
      end
      
      class FocusBackendDeviceContactId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_id, :numeric_string => true, as: 'ContactId'
          property :device_id, as: 'DeviceId', class: Google::Apis::ContentwarehouseV1::FocusBackendDeviceId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendDeviceId::Representation
      
        end
      end
      
      class FocusBackendDeviceId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_device_id, :numeric_string => true, as: 'AndroidDeviceId'
          property :hash_prop, as: 'Hash'
        end
      end
      
      class FocusBackendDeviceRawContactId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_id, as: 'DeviceId', class: Google::Apis::ContentwarehouseV1::FocusBackendDeviceId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendDeviceId::Representation
      
          property :raw_contact_id, :numeric_string => true, as: 'RawContactId'
        end
      end
      
      class FocusBackendOtherContactId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :device_contact_id, as: 'deviceContactId', class: Google::Apis::ContentwarehouseV1::FocusBackendDeviceContactId, decorator: Google::Apis::ContentwarehouseV1::FocusBackendDeviceContactId::Representation
      
        end
      end
      
      class FocusBackendSecondaryContactId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :contact_detail_hash, as: 'contactDetailHash', class: Google::Apis::ContentwarehouseV1::FocusBackendContactDetailHash, decorator: Google::Apis::ContentwarehouseV1::FocusBackendContactDetailHash::Representation
      
          property :contact_name, as: 'contactName'
          property :contact_name_hash, :numeric_string => true, as: 'contactNameHash'
        end
      end
      
      class FreebaseCitation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dataset, as: 'dataset'
          property :is_attribution_required, as: 'isAttributionRequired'
          property :project, as: 'project'
          property :provider, as: 'provider'
          property :statement, as: 'statement'
          property :uri, as: 'uri'
        end
      end
      
      class FreebaseId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :mid, as: 'mid'
        end
      end
      
      class FreebaseLatLong
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lat_deg, as: 'latDeg'
          property :long_deg, as: 'longDeg'
        end
      end
      
      class FreebaseMeasurement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :magnitude, as: 'magnitude'
          collection :unit, as: 'unit', class: Google::Apis::ContentwarehouseV1::FreebaseMeasurementUnit, decorator: Google::Apis::ContentwarehouseV1::FreebaseMeasurementUnit::Representation
      
        end
      end
      
      class FreebaseMeasurementUnit
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :power, as: 'power'
          property :unit, as: 'unit', class: Google::Apis::ContentwarehouseV1::FreebaseId, decorator: Google::Apis::ContentwarehouseV1::FreebaseId::Representation
      
          property :unit_mid, as: 'unitMid'
        end
      end
      
      class FreebaseNestedStruct
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :property_value, as: 'propertyValue', class: Google::Apis::ContentwarehouseV1::FreebasePropertyValue, decorator: Google::Apis::ContentwarehouseV1::FreebasePropertyValue::Representation
      
        end
      end
      
      class FreebasePropertyValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :property, as: 'property', class: Google::Apis::ContentwarehouseV1::FreebaseId, decorator: Google::Apis::ContentwarehouseV1::FreebaseId::Representation
      
          property :total_value_count, :numeric_string => true, as: 'totalValueCount'
          collection :value, as: 'value', class: Google::Apis::ContentwarehouseV1::FreebaseValue, decorator: Google::Apis::ContentwarehouseV1::FreebaseValue::Representation
      
          property :value_status, as: 'valueStatus'
        end
      end
      
      class FreebaseTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::FreebaseId, decorator: Google::Apis::ContentwarehouseV1::FreebaseId::Representation
      
          collection :property_value, as: 'propertyValue', class: Google::Apis::ContentwarehouseV1::FreebasePropertyValue, decorator: Google::Apis::ContentwarehouseV1::FreebasePropertyValue::Representation
      
        end
      end
      
      class FreebaseValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :citation, as: 'citation', class: Google::Apis::ContentwarehouseV1::FreebaseCitation, decorator: Google::Apis::ContentwarehouseV1::FreebaseCitation::Representation
      
          property :compound_value, as: 'compoundValue', class: Google::Apis::ContentwarehouseV1::FreebaseTopic, decorator: Google::Apis::ContentwarehouseV1::FreebaseTopic::Representation
      
          collection :deletion_provenance, as: 'deletionProvenance', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgTripleProvenance, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgTripleProvenance::Representation
      
          property :display_lang, as: 'displayLang'
          property :display_value, as: 'displayValue'
          property :expected_proto, as: 'expectedProto'
          property :float_value, as: 'floatValue'
          property :id_value, as: 'idValue', class: Google::Apis::ContentwarehouseV1::FreebaseId, decorator: Google::Apis::ContentwarehouseV1::FreebaseId::Representation
      
          property :index, :numeric_string => true, as: 'index'
          property :int_value, :numeric_string => true, as: 'intValue'
          property :lang, as: 'lang'
          property :lat_long_value, as: 'latLongValue', class: Google::Apis::ContentwarehouseV1::FreebaseLatLong, decorator: Google::Apis::ContentwarehouseV1::FreebaseLatLong::Representation
      
          property :measurement_value, as: 'measurementValue', class: Google::Apis::ContentwarehouseV1::FreebaseMeasurement, decorator: Google::Apis::ContentwarehouseV1::FreebaseMeasurement::Representation
      
          property :nested_struct, as: 'nestedStruct', class: Google::Apis::ContentwarehouseV1::FreebaseNestedStruct, decorator: Google::Apis::ContentwarehouseV1::FreebaseNestedStruct::Representation
      
          collection :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgTripleProvenance, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgTripleProvenance::Representation
      
          property :raw_value, :base64 => true, as: 'rawValue'
          property :string_value, as: 'stringValue'
          collection :subgraph_id, as: 'subgraphId'
          property :timestamp, as: 'timestamp'
          property :timestamp_usec, :numeric_string => true, as: 'timestampUsec'
          property :type, as: 'type'
        end
      end
      
      class GDocumentBase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_expiry_time, as: 'ContentExpiryTime'
          property :display_url, as: 'DisplayUrl'
          property :doc_id, :numeric_string => true, as: 'DocId'
          property :external_feed_metadata, as: 'ExternalFeedMetadata'
          property :external_http_metadata, as: 'ExternalHttpMetadata'
          property :filter_for_safe_search, as: 'FilterForSafeSearch'
          property :ip_addr, :base64 => true, as: 'IPAddr'
          property :no_archive_reason, as: 'NoArchiveReason'
          property :no_follow_reason, as: 'NoFollowReason'
          property :no_image_index_reason, as: 'NoImageIndexReason'
          property :no_imageframe_overlay_reason, as: 'NoImageframeOverlayReason'
          property :no_index_reason, as: 'NoIndexReason'
          property :no_preview_reason, as: 'NoPreviewReason'
          property :no_snippet_reason, as: 'NoSnippetReason'
          property :no_translate_reason, as: 'NoTranslateReason'
          property :pagerank, as: 'Pagerank'
          property :pagerank_ns, as: 'PagerankNS'
          property :repid, :base64 => true, as: 'Repid'
          property :science_metadata, as: 'ScienceMetadata', class: Google::Apis::ContentwarehouseV1::ScienceCitation, decorator: Google::Apis::ContentwarehouseV1::ScienceCitation::Representation
      
          property :url, as: 'URL'
          property :url_after_redirects, as: 'URLAfterRedirects'
          property :url_encoding, as: 'URLEncoding'
          property :content, as: 'content', class: Google::Apis::ContentwarehouseV1::GDocumentBaseContent, decorator: Google::Apis::ContentwarehouseV1::GDocumentBaseContent::Representation
      
          collection :directory, as: 'directory', class: Google::Apis::ContentwarehouseV1::GDocumentBaseDirectory, decorator: Google::Apis::ContentwarehouseV1::GDocumentBaseDirectory::Representation
      
          property :ecn_fp, :base64 => true, as: 'ecnFp'
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::IndexingCrawlerIdServingDocumentIdentifier, decorator: Google::Apis::ContentwarehouseV1::IndexingCrawlerIdServingDocumentIdentifier::Representation
      
          property :localsearch_doc_info, as: 'localsearchDocInfo', class: Google::Apis::ContentwarehouseV1::LocalsearchDocInfo, decorator: Google::Apis::ContentwarehouseV1::LocalsearchDocInfo::Representation
      
          property :ocean_doc_info, as: 'oceanDocInfo', class: Google::Apis::ContentwarehouseV1::OceanDocInfo, decorator: Google::Apis::ContentwarehouseV1::OceanDocInfo::Representation
      
          property :originalcontent, as: 'originalcontent', class: Google::Apis::ContentwarehouseV1::GDocumentBaseOriginalContent, decorator: Google::Apis::ContentwarehouseV1::GDocumentBaseOriginalContent::Representation
      
          property :user_agent_name, as: 'userAgentName'
        end
      end
      
      class GDocumentBaseContent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :auth_method, as: 'AuthMethod'
          property :content_length, as: 'ContentLength'
          property :content_type, as: 'ContentType'
          property :crawl_time, :numeric_string => true, as: 'CrawlTime'
          property :encoding, as: 'Encoding'
          property :has_http_header, as: 'HasHttpHeader'
          property :language, as: 'Language'
          property :original_encoding, as: 'OriginalEncoding'
          property :representation, :base64 => true, as: 'Representation'
          property :uncompressed_length, as: 'UncompressedLength'
          property :visual_type, as: 'VisualType'
          property :crawled_file_size, as: 'crawledFileSize'
          property :encoded_geometry_annotations, :base64 => true, as: 'encodedGeometryAnnotations'
        end
      end
      
      class GDocumentBaseDirectory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'Category'
          property :description, as: 'Description'
          property :description_score, as: 'DescriptionScore'
          property :identifier, as: 'Identifier'
          property :language, as: 'Language'
          property :title, as: 'Title'
          property :title_score, as: 'TitleScore'
          property :url, as: 'URL'
        end
      end
      
      class GDocumentBaseOriginalContent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :representation, as: 'Representation'
          property :uncompressed_length, as: 'UncompressedLength'
        end
      end
      
      class GenericSnippetResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :debug_info, as: 'debugInfo'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :snippet, as: 'snippet'
          property :title, as: 'title'
          property :www_snippet_response, as: 'wwwSnippetResponse', class: Google::Apis::ContentwarehouseV1::WwwSnippetResponse, decorator: Google::Apis::ContentwarehouseV1::WwwSnippetResponse::Representation
      
        end
      end
      
      class GeoOndemandAssistantSupportedActions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allows_guest_checkout, as: 'allowsGuestCheckout'
          property :is_asynchronous_restaurant_reservation, as: 'isAsynchronousRestaurantReservation'
          property :restaurant_reservation_url, as: 'restaurantReservationUrl'
        end
      end
      
      class GeostoreAccessPointProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :can_enter, as: 'canEnter'
          property :can_exit, as: 'canExit'
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_type, as: 'featureType'
          property :level_feature_id, as: 'levelFeatureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :point, as: 'point', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :point_off_segment, as: 'pointOffSegment', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :point_on_segment, as: 'pointOnSegment', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :priority, as: 'priority'
          property :segment_position, as: 'segmentPosition'
          collection :unsuitable_travel_mode, as: 'unsuitableTravelMode'
        end
      end
      
      class GeostoreAddressComponentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_type, as: 'featureType'
          property :index, as: 'index'
          collection :parsed_name, as: 'parsedName', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          property :range, as: 'range', class: Google::Apis::ContentwarehouseV1::GeostoreAddressRangeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressRangeProto::Representation
      
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :text_affix, as: 'textAffix', class: Google::Apis::ContentwarehouseV1::GeostoreTextAffixProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTextAffixProto::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreAddressLinesProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          collection :line, as: 'line'
        end
      end
      
      class GeostoreAddressProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :address_lines, as: 'addressLines', class: Google::Apis::ContentwarehouseV1::GeostoreAddressLinesProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressLinesProto::Representation
      
          collection :component, as: 'component', class: Google::Apis::ContentwarehouseV1::GeostoreAddressComponentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressComponentProto::Representation
      
          collection :cross_street, as: 'crossStreet', class: Google::Apis::ContentwarehouseV1::GeostoreAddressComponentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressComponentProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :partial_denormalization, as: 'partialDenormalization', class: Google::Apis::ContentwarehouseV1::GeostoreAddressProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressProto::Representation
      
          property :template_id, as: 'templateId'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class GeostoreAddressRangeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :number, as: 'number'
          collection :parameter, as: 'parameter'
          property :prefix, as: 'prefix'
          property :same_parity, as: 'sameParity'
          property :suffix, as: 'suffix'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class GeostoreAnchoredGeometryProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :geometry_id, as: 'geometryId'
        end
      end
      
      class GeostoreAppliedSpeedLimitProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :speed_limit, as: 'speedLimit', class: Google::Apis::ContentwarehouseV1::GeostoreSpeedLimitProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSpeedLimitProto::Representation
      
          property :trust_level, as: 'trustLevel'
        end
      end
      
      class GeostoreAttachmentsAttachmentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attachment_id, :numeric_string => true, as: 'attachmentId'
          property :client_name_space, as: 'clientNameSpace'
          property :comment, as: 'comment'
          property :messages, as: 'messages', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :type_id, :numeric_string => true, as: 'typeId'
        end
      end
      
      class GeostoreAttributeIdProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :provider_id, as: 'providerId'
          property :type, as: 'type'
        end
      end
      
      class GeostoreAttributeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_data, as: 'applicationData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :attribute_display, as: 'attributeDisplay', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeValueDisplayProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeValueDisplayProto::Representation
      
          property :boolean_value, as: 'booleanValue'
          property :canonical_attribute_id, as: 'canonicalAttributeId', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto::Representation
      
          property :double_value, as: 'doubleValue'
          property :enum_id_value, as: 'enumIdValue'
          property :float_value, as: 'floatValue'
          property :int64_value, :numeric_string => true, as: 'int64Value'
          property :integer_value, as: 'integerValue'
          property :item_class_id, as: 'itemClassId', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :proto_value, as: 'protoValue', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :string_value, as: 'stringValue'
          property :uint32_value, as: 'uint32Value'
          collection :value_display, as: 'valueDisplay', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeValueDisplayProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeValueDisplayProto::Representation
      
          property :value_space_id, as: 'valueSpaceId', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeIdProto::Representation
      
          property :value_type, as: 'valueType'
        end
      end
      
      class GeostoreAttributeValueDisplayProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :synonym, as: 'synonym'
        end
      end
      
      class GeostoreBarrierLogicalMaterialProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :material, as: 'material'
        end
      end
      
      class GeostoreBestLocaleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :localization_policy_id, as: 'localizationPolicyId'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
        end
      end
      
      class GeostoreBizBuilderReferenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, :numeric_string => true, as: 'id'
        end
      end
      
      class GeostoreBorderProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id_left, as: 'featureIdLeft', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_id_right, as: 'featureIdRight', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :logical_border, as: 'logicalBorder', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :override_status, as: 'overrideStatus', class: Google::Apis::ContentwarehouseV1::GeostoreOverrideBorderStatusProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOverrideBorderStatusProto::Representation
      
          property :status, as: 'status'
          property :type, as: 'type'
        end
      end
      
      class GeostoreBoundingMarkerProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_marker, as: 'boundingMarker', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :bounding_marker_token, as: 'boundingMarkerToken'
          property :flowline_adjacency_begin_fraction, as: 'flowlineAdjacencyBeginFraction'
          property :flowline_adjacency_end_fraction, as: 'flowlineAdjacencyEndFraction'
          property :marker_adjacency_begin_fraction, as: 'markerAdjacencyBeginFraction'
          property :marker_adjacency_end_fraction, as: 'markerAdjacencyEndFraction'
          property :side, as: 'side'
        end
      end
      
      class GeostoreBuildingProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_height_meters_agl, as: 'baseHeightMetersAgl'
          property :default_display_level, as: 'defaultDisplayLevel', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :floors, as: 'floors'
          property :floors_metadata, as: 'floorsMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :height_meters, as: 'heightMeters'
          property :height_meters_metadata, as: 'heightMetersMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :level, as: 'level', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :structure, as: 'structure'
        end
      end
      
      class GeostoreBusinessChainProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :canonical_gconcepts, as: 'canonicalGconcepts', class: Google::Apis::ContentwarehouseV1::GeostoreCanonicalGConceptProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCanonicalGConceptProto::Representation
      
        end
      end
      
      class GeostoreBusinessHoursProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, as: 'data', class: Google::Apis::ContentwarehouseV1::BusinessHours, decorator: Google::Apis::ContentwarehouseV1::BusinessHours::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
        end
      end
      
      class GeostoreCallToActionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cta_type, as: 'ctaType'
          property :url, as: 'url', class: Google::Apis::ContentwarehouseV1::GeostoreUrlProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlProto::Representation
      
        end
      end
      
      class GeostoreCanonicalGConceptProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gconcept, as: 'gconcept', class: Google::Apis::ContentwarehouseV1::GeostoreGConceptInstanceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreGConceptInstanceProto::Representation
      
          property :is_required, as: 'isRequired'
        end
      end
      
      class GeostoreCellCoveringProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cell_id, as: 'cellId'
        end
      end
      
      class GeostoreComposableItemProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :call_to_action, as: 'callToAction', class: Google::Apis::ContentwarehouseV1::GeostoreCallToActionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCallToActionProto::Representation
      
          property :job_metadata, as: 'jobMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreJobMetadata, decorator: Google::Apis::ContentwarehouseV1::GeostoreJobMetadata::Representation
      
          collection :media, as: 'media', class: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto::Representation
      
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
          property :offered, as: 'offered'
          property :price, as: 'price', class: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto::Representation
      
        end
      end
      
      class GeostoreCountComparisonProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :comparison_operator, as: 'comparisonOperator'
          property :count, as: 'count'
        end
      end
      
      class GeostoreCrossingStripePatternProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :border_line, as: 'borderLine', class: Google::Apis::ContentwarehouseV1::GeostorePhysicalLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePhysicalLineProto::Representation
      
          property :border_pattern, as: 'borderPattern'
          collection :color, as: 'color', class: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto::Representation
      
          property :stripe_pattern, as: 'stripePattern'
        end
      end
      
      class GeostoreCurveConnectionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bezier_params, as: 'bezierParams', class: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoBezierParams, decorator: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoBezierParams::Representation
      
          property :circle_params, as: 'circleParams', class: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoCircleParams, decorator: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoCircleParams::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreCurveConnectionProtoBezierParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :control_point, as: 'controlPoint', class: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoBezierParamsControlPoint, decorator: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProtoBezierParamsControlPoint::Representation
      
        end
      end
      
      class GeostoreCurveConnectionProtoBezierParamsControlPoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :angle_degrees, as: 'angleDegrees'
          property :distance_multiplier, as: 'distanceMultiplier'
        end
      end
      
      class GeostoreCurveConnectionProtoCircleParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :radius, as: 'radius'
        end
      end
      
      class GeostoreDataSourceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribution_url, as: 'attributionUrl', class: Google::Apis::ContentwarehouseV1::GeostoreUrlProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlProto::Representation
      
          property :copyright_owner, as: 'copyrightOwner'
          property :copyright_year, as: 'copyrightYear'
          property :description, as: 'description'
          property :importer_build_info, as: 'importerBuildInfo'
          property :importer_build_target, as: 'importerBuildTarget'
          property :importer_client_info, as: 'importerClientInfo'
          property :importer_mpm_version, as: 'importerMpmVersion'
          property :importer_timestamp, as: 'importerTimestamp'
          property :provider, as: 'provider'
          collection :raw_metadata, as: 'rawMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreRawMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRawMetadataProto::Representation
      
          property :release, as: 'release'
          property :release_date, as: 'releaseDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :source_dataset, as: 'sourceDataset'
        end
      end
      
      class GeostoreDateTimeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :precision, as: 'precision'
          property :seconds, as: 'seconds'
        end
      end
      
      class GeostoreDimensionComparisonProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :comparison_operator, as: 'comparisonOperator'
          property :dimension_with_unit, as: 'dimensionWithUnit', class: Google::Apis::ContentwarehouseV1::GeostoreDimensionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDimensionProto::Representation
      
        end
      end
      
      class GeostoreDimensionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dimension, as: 'dimension'
          property :unit, as: 'unit'
        end
      end
      
      class GeostoreDisplayDataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_location, as: 'displayLocation', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
        end
      end
      
      class GeostoreDoodleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class GeostoreDurationBasedRateProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_free, as: 'isFree'
          property :periodicity_seconds, as: 'periodicitySeconds'
          collection :price, as: 'price', class: Google::Apis::ContentwarehouseV1::FreebaseTopic, decorator: Google::Apis::ContentwarehouseV1::FreebaseTopic::Representation
      
          property :range_end_seconds, as: 'rangeEndSeconds'
          property :range_start_seconds, as: 'rangeStartSeconds'
        end
      end
      
      class GeostoreElevationModelProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blend_order, as: 'blendOrder'
          property :data_level, as: 'dataLevel'
          property :data_maxlevel, as: 'dataMaxlevel'
          property :elevation_data, as: 'elevationData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :full_child_data_available, as: 'fullChildDataAvailable'
          property :partial_child_data_available, as: 'partialChildDataAvailable'
        end
      end
      
      class GeostoreElevationProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_elevation_meters, as: 'averageElevationMeters'
          property :peak, as: 'peak', class: Google::Apis::ContentwarehouseV1::GeostorePeakProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePeakProto::Representation
      
        end
      end
      
      class GeostoreEntranceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allowance, as: 'allowance'
          property :can_enter, as: 'canEnter'
          property :can_exit, as: 'canExit'
        end
      end
      
      class GeostoreEntranceReferenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreEstablishmentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bizbuilder_reference, as: 'bizbuilderReference', class: Google::Apis::ContentwarehouseV1::GeostoreBizBuilderReferenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBizBuilderReferenceProto::Representation
      
          property :hours, as: 'hours', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :opening_hours, as: 'openingHours', class: Google::Apis::ContentwarehouseV1::GeostoreOpeningHoursProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOpeningHoursProto::Representation
      
          property :price_info, as: 'priceInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoProto::Representation
      
          property :service_area, as: 'serviceArea', class: Google::Apis::ContentwarehouseV1::GeostoreServiceAreaProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreServiceAreaProto::Representation
      
          collection :telephone, as: 'telephone', class: Google::Apis::ContentwarehouseV1::GeostoreTelephoneProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTelephoneProto::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreExceptionalHoursProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hours, as: 'hours', class: Google::Apis::ContentwarehouseV1::GeostoreBusinessHoursProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBusinessHoursProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :range, as: 'range', class: Google::Apis::ContentwarehouseV1::GeostoreTimeIntervalProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeIntervalProto::Representation
      
        end
      end
      
      class GeostoreExistenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :close_reason, as: 'closeReason'
          property :closed, as: 'closed'
          property :end_as_of_date, as: 'endAsOfDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :end_date, as: 'endDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :feature_birth_timestamp_seconds, :numeric_string => true, as: 'featureBirthTimestampSeconds'
          property :removed, as: 'removed'
          property :removed_reason, as: 'removedReason'
          property :start_date, as: 'startDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
        end
      end
      
      class GeostoreFeatureFieldMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_provenance, as: 'fieldProvenance', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureFieldMetadataProtoFieldProvenance, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureFieldMetadataProtoFieldProvenance::Representation
      
        end
      end
      
      class GeostoreFeatureFieldMetadataProtoFieldProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_path, as: 'fieldPath', class: Google::Apis::ContentwarehouseV1::GeostoreStableFieldPathProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreStableFieldPathProto::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GeostoreProvenanceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreProvenanceProto::Representation
      
        end
      end
      
      class GeostoreFeatureHistoryMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_birth_timestamp_us, :numeric_string => true, as: 'featureBirthTimestampUs'
          property :last_modification_timestamp_us, :numeric_string => true, as: 'lastModificationTimestampUs'
          property :removal_timestamp_us, :numeric_string => true, as: 'removalTimestampUs'
        end
      end
      
      class GeostoreFeatureIdForwardingsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :duplicate_of, as: 'duplicateOf', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :forwarded_id, as: 'forwardedId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :inactive_duplicate, as: 'inactiveDuplicate', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :replaced_by, as: 'replacedBy', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdListProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdListProto::Representation
      
          property :transitively_duplicate_of, as: 'transitivelyDuplicateOf', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreFeatureIdListProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :id, as: 'id', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreFeatureIdProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cell_id, :numeric_string => true, as: 'cellId'
          property :fprint, :numeric_string => true, as: 'fprint'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class GeostoreFeatureMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bulk_updatable, as: 'bulkUpdatable'
          property :core_version_token, :base64 => true, as: 'coreVersionToken'
          property :field_metadata, as: 'fieldMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureFieldMetadataProto::Representation
      
          property :forwardings, as: 'forwardings', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdForwardingsProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdForwardingsProto::Representation
      
          property :history, as: 'history', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureHistoryMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureHistoryMetadataProto::Representation
      
          property :version_token, :base64 => true, as: 'versionToken'
        end
      end
      
      class GeostoreFeaturePropertyIdProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attachment_type_id, :numeric_string => true, as: 'attachmentTypeId'
          property :attribute_id, as: 'attributeId'
          property :field_type, as: 'fieldType'
          property :kg_property_id, as: 'kgPropertyId'
        end
      end
      
      class GeostoreFeatureProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :access_point, as: 'accessPoint', class: Google::Apis::ContentwarehouseV1::GeostoreAccessPointProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAccessPointProto::Representation
      
          collection :address, as: 'address', class: Google::Apis::ContentwarehouseV1::GeostoreAddressProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressProto::Representation
      
          property :anchored_geometry, as: 'anchoredGeometry', class: Google::Apis::ContentwarehouseV1::GeostoreAnchoredGeometryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAnchoredGeometryProto::Representation
      
          collection :attachment, as: 'attachment', class: Google::Apis::ContentwarehouseV1::GeostoreAttachmentsAttachmentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttachmentsAttachmentProto::Representation
      
          collection :attribute, as: 'attribute', class: Google::Apis::ContentwarehouseV1::GeostoreAttributeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAttributeProto::Representation
      
          property :best_locale, as: 'bestLocale', class: Google::Apis::ContentwarehouseV1::GeostoreBestLocaleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBestLocaleProto::Representation
      
          property :border, as: 'border', class: Google::Apis::ContentwarehouseV1::GeostoreBorderProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBorderProto::Representation
      
          property :bound, as: 'bound', class: Google::Apis::ContentwarehouseV1::GeostoreRectProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRectProto::Representation
      
          property :building, as: 'building', class: Google::Apis::ContentwarehouseV1::GeostoreBuildingProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBuildingProto::Representation
      
          property :business_chain, as: 'businessChain', class: Google::Apis::ContentwarehouseV1::GeostoreBusinessChainProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBusinessChainProto::Representation
      
          property :center, as: 'center', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          collection :child, as: 'child', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :covering, as: 'covering', class: Google::Apis::ContentwarehouseV1::GeostoreCellCoveringProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCellCoveringProto::Representation
      
          property :data_source, as: 'dataSource', class: Google::Apis::ContentwarehouseV1::GeostoreDataSourceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDataSourceProto::Representation
      
          property :display_data, as: 'displayData', class: Google::Apis::ContentwarehouseV1::GeostoreDisplayDataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDisplayDataProto::Representation
      
          property :doodle, as: 'doodle', class: Google::Apis::ContentwarehouseV1::GeostoreDoodleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDoodleProto::Representation
      
          property :elevation, as: 'elevation', class: Google::Apis::ContentwarehouseV1::GeostoreElevationProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreElevationProto::Representation
      
          property :elevation_model, as: 'elevationModel', class: Google::Apis::ContentwarehouseV1::GeostoreElevationModelProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreElevationModelProto::Representation
      
          property :entrance, as: 'entrance', class: Google::Apis::ContentwarehouseV1::GeostoreEntranceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreEntranceProto::Representation
      
          property :establishment, as: 'establishment', class: Google::Apis::ContentwarehouseV1::GeostoreEstablishmentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreEstablishmentProto::Representation
      
          collection :exempt_regulated_area, as: 'exemptRegulatedArea', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :future_geometry, as: 'futureGeometry', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :future_geometry_for, as: 'futureGeometryFor', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :geometry_precision_meters, as: 'geometryPrecisionMeters'
          property :geopolitical_geometry, as: 'geopoliticalGeometry', class: Google::Apis::ContentwarehouseV1::GeostoreGeopoliticalGeometryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreGeopoliticalGeometryProto::Representation
      
          collection :html_text, as: 'htmlText', class: Google::Apis::ContentwarehouseV1::GeostoreHtmlTextProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreHtmlTextProto::Representation
      
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :inferred_geometry, as: 'inferredGeometry', class: Google::Apis::ContentwarehouseV1::GeostoreInferredGeometryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreInferredGeometryProto::Representation
      
          property :interior_covering, as: 'interiorCovering', class: Google::Apis::ContentwarehouseV1::GeostoreCellCoveringProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCellCoveringProto::Representation
      
          property :internal, as: 'internal', class: Google::Apis::ContentwarehouseV1::GeostoreInternalFeatureProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreInternalFeatureProto::Representation
      
          property :intersection, as: 'intersection', class: Google::Apis::ContentwarehouseV1::GeostoreIntersectionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreIntersectionProto::Representation
      
          property :intersection_group, as: 'intersectionGroup', class: Google::Apis::ContentwarehouseV1::GeostoreIntersectionGroupProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreIntersectionGroupProto::Representation
      
          collection :kg_property, as: 'kgProperty', class: Google::Apis::ContentwarehouseV1::FreebasePropertyValue, decorator: Google::Apis::ContentwarehouseV1::FreebasePropertyValue::Representation
      
          property :knowledge_graph_reference, as: 'knowledgeGraphReference', class: Google::Apis::ContentwarehouseV1::GeostoreKnowledgeGraphReferenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreKnowledgeGraphReferenceProto::Representation
      
          property :lane_marker, as: 'laneMarker', class: Google::Apis::ContentwarehouseV1::GeostoreLaneMarkerProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLaneMarkerProto::Representation
      
          property :level, as: 'level', class: Google::Apis::ContentwarehouseV1::GeostoreLevelProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLevelProto::Representation
      
          property :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::GeostoreLocaleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLocaleProto::Representation
      
          property :logical_border, as: 'logicalBorder', class: Google::Apis::ContentwarehouseV1::GeostoreLogicalBorderProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLogicalBorderProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureMetadataProto::Representation
      
          collection :name, as: 'name', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          property :operations, as: 'operations', class: Google::Apis::ContentwarehouseV1::GeostoreOperationsProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOperationsProto::Representation
      
          property :original_id, as: 'originalId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :parent, as: 'parent', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :parking, as: 'parking', class: Google::Apis::ContentwarehouseV1::GeostoreParkingProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreParkingProto::Representation
      
          collection :point, as: 'point', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :political, as: 'political', class: Google::Apis::ContentwarehouseV1::GeostorePoliticalProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePoliticalProto::Representation
      
          collection :polygon, as: 'polygon', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
          property :polygon_for_display, as: 'polygonForDisplay', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
          collection :polyline, as: 'polyline', class: Google::Apis::ContentwarehouseV1::GeostorePolyLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolyLineProto::Representation
      
          property :pose, as: 'pose', class: Google::Apis::ContentwarehouseV1::GeostorePoseProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePoseProto::Representation
      
          property :preferred_viewport, as: 'preferredViewport', class: Google::Apis::ContentwarehouseV1::GeostoreRectProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRectProto::Representation
      
          collection :property_value_status, as: 'propertyValueStatus', class: Google::Apis::ContentwarehouseV1::GeostorePropertyValueStatusProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePropertyValueStatusProto::Representation
      
          property :rank, as: 'rank'
          property :rank_details, as: 'rankDetails', class: Google::Apis::ContentwarehouseV1::GeostoreRankDetailsProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRankDetailsProto::Representation
      
          property :raw_gconcept_instance_container, as: 'rawGconceptInstanceContainer', class: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceContainerProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceContainerProto::Representation
      
          property :regulated_area, as: 'regulatedArea', class: Google::Apis::ContentwarehouseV1::GeostoreRegulatedAreaProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRegulatedAreaProto::Representation
      
          collection :related_border, as: 'relatedBorder', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :related_entrance, as: 'relatedEntrance', class: Google::Apis::ContentwarehouseV1::GeostoreEntranceReferenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreEntranceReferenceProto::Representation
      
          collection :related_feature, as: 'relatedFeature', class: Google::Apis::ContentwarehouseV1::GeostoreRelationProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRelationProto::Representation
      
          collection :related_terminal_point, as: 'relatedTerminalPoint', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :related_timezone, as: 'relatedTimezone', class: Google::Apis::ContentwarehouseV1::GeostoreTimezoneProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimezoneProto::Representation
      
          property :restriction_group, as: 'restrictionGroup', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionGroupProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionGroupProto::Representation
      
          property :road_monitor, as: 'roadMonitor', class: Google::Apis::ContentwarehouseV1::GeostoreRoadMonitorProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRoadMonitorProto::Representation
      
          property :route, as: 'route', class: Google::Apis::ContentwarehouseV1::GeostoreRouteProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRouteProto::Representation
      
          property :school_district, as: 'schoolDistrict', class: Google::Apis::ContentwarehouseV1::GeostoreSchoolDistrictProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSchoolDistrictProto::Representation
      
          property :segment, as: 'segment', class: Google::Apis::ContentwarehouseV1::GeostoreSegmentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSegmentProto::Representation
      
          property :segment_path, as: 'segmentPath', class: Google::Apis::ContentwarehouseV1::GeostoreSegmentPathProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSegmentPathProto::Representation
      
          property :sign, as: 'sign', class: Google::Apis::ContentwarehouseV1::GeostoreRoadSignProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRoadSignProto::Representation
      
          property :ski_boundary, as: 'skiBoundary', class: Google::Apis::ContentwarehouseV1::GeostoreSkiBoundaryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSkiBoundaryProto::Representation
      
          property :ski_lift, as: 'skiLift', class: Google::Apis::ContentwarehouseV1::GeostoreSkiLiftProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSkiLiftProto::Representation
      
          property :ski_trail, as: 'skiTrail', class: Google::Apis::ContentwarehouseV1::GeostoreSkiTrailProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSkiTrailProto::Representation
      
          property :social_reference, as: 'socialReference', class: Google::Apis::ContentwarehouseV1::GeostoreSocialReferenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSocialReferenceProto::Representation
      
          collection :source_info, as: 'sourceInfo', class: Google::Apis::ContentwarehouseV1::GeostoreSourceInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSourceInfoProto::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::GeostoreExistenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreExistenceProto::Representation
      
          collection :storefront_geometry, as: 'storefrontGeometry', class: Google::Apis::ContentwarehouseV1::GeostoreAnchoredGeometryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAnchoredGeometryProto::Representation
      
          property :synthetic_geometry, as: 'syntheticGeometry'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :three_dim_model, as: 'threeDimModel', class: Google::Apis::ContentwarehouseV1::GeostoreThreeDimensionalModelProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreThreeDimensionalModelProto::Representation
      
          property :toll_cluster, as: 'tollCluster', class: Google::Apis::ContentwarehouseV1::GeostoreTollClusterProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTollClusterProto::Representation
      
          collection :track, as: 'track', class: Google::Apis::ContentwarehouseV1::GeostoreTrackProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTrackProto::Representation
      
          property :transit_line, as: 'transitLine', class: Google::Apis::ContentwarehouseV1::GeostoreTransitLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTransitLineProto::Representation
      
          property :transit_line_variant, as: 'transitLineVariant', class: Google::Apis::ContentwarehouseV1::GeostoreTransitLineVariantProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTransitLineVariantProto::Representation
      
          property :transit_station, as: 'transitStation', class: Google::Apis::ContentwarehouseV1::GeostoreTransitStationProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTransitStationProto::Representation
      
          property :type, as: 'type'
          property :vertical_ordering, as: 'verticalOrdering', class: Google::Apis::ContentwarehouseV1::GeostoreVerticalOrderingProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreVerticalOrderingProto::Representation
      
          property :water_removed_polygon, as: 'waterRemovedPolygon', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
          collection :website, as: 'website', class: Google::Apis::ContentwarehouseV1::GeostoreUrlProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlProto::Representation
      
        end
      end
      
      class GeostoreFieldMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :internal, as: 'internal', class: Google::Apis::ContentwarehouseV1::GeostoreInternalFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreInternalFieldMetadataProto::Representation
      
        end
      end
      
      class GeostoreFieldWithRightsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attribute_id, as: 'attributeId'
          property :feature_property_id, as: 'featurePropertyId', class: Google::Apis::ContentwarehouseV1::GeostoreFeaturePropertyIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeaturePropertyIdProto::Representation
      
          property :field_type, as: 'fieldType'
          property :min_rights_level, as: 'minRightsLevel'
        end
      end
      
      class GeostoreFlowLineProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :track, as: 'track', class: Google::Apis::ContentwarehouseV1::GeostoreTrackProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTrackProto::Representation
      
        end
      end
      
      class GeostoreFoodMenuItemOptionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :allergen_absent, as: 'allergenAbsent'
          collection :allergen_present, as: 'allergenPresent'
          property :calories, as: 'calories'
          collection :ingredients, as: 'ingredients', class: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProtoIngredient, decorator: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProtoIngredient::Representation
      
          collection :media, as: 'media', class: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto::Representation
      
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
          property :nutrition_facts, as: 'nutritionFacts', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFacts, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFacts::Representation
      
          property :portion_size, as: 'portionSize', class: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProtoPortionSize, decorator: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProtoPortionSize::Representation
      
          collection :preparation_methods, as: 'preparationMethods'
          property :price, as: 'price', class: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto::Representation
      
          collection :restriction, as: 'restriction'
          property :serves_num_people, as: 'servesNumPeople'
          property :spiciness, as: 'spiciness'
        end
      end
      
      class GeostoreFoodMenuItemOptionProtoIngredient
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
        end
      end
      
      class GeostoreFoodMenuItemOptionProtoPortionSize
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :quantity, as: 'quantity'
          collection :unit, as: 'unit', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
        end
      end
      
      class GeostoreFoodMenuItemProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :item_option, as: 'itemOption', class: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemOptionProto::Representation
      
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
        end
      end
      
      class GeostoreGConceptInstanceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gconcept_id, as: 'gconceptId'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :prominence, as: 'prominence'
        end
      end
      
      class GeostoreGeopoliticalGeometryProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :rest_of_world_polygon, as: 'restOfWorldPolygon', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
          property :self_polygon, as: 'selfPolygon', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
        end
      end
      
      class GeostoreGradeLevelProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, as: 'index'
          property :level, as: 'level'
        end
      end
      
      class GeostoreHtmlTextProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :text, as: 'text', class: Google::Apis::ContentwarehouseV1::GeostoreLanguageTaggedTextProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLanguageTaggedTextProto::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreInferredGeometryProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :defines_geometry_for, as: 'definesGeometryFor', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :excludes_geometry_of, as: 'excludesGeometryOf', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :includes_geometry_of, as: 'includesGeometryOf', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreInternalFeatureProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :polygon_shape_id, as: 'polygonShapeId'
          property :rest_of_world_polygon_shape_id, as: 'restOfWorldPolygonShapeId'
          property :rights_status, as: 'rightsStatus', class: Google::Apis::ContentwarehouseV1::GeostoreRightsStatusProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRightsStatusProto::Representation
      
          property :self_polygon_shape_id, as: 'selfPolygonShapeId'
          property :trust_prop, as: 'trust', class: Google::Apis::ContentwarehouseV1::GeostoreTrustSignalsProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTrustSignalsProto::Representation
      
          property :water_removed_polygon_shape_id, as: 'waterRemovedPolygonShapeId'
        end
      end
      
      class GeostoreInternalFieldMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_auto, as: 'isAuto'
          property :source_summary, as: 'sourceSummary', class: Google::Apis::ContentwarehouseV1::GeostoreInternalSourceSummaryProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreInternalSourceSummaryProto::Representation
      
        end
      end
      
      class GeostoreInternalSegmentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :travel_allowance, as: 'travelAllowance', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto::Representation
      
        end
      end
      
      class GeostoreInternalSourceSummaryProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dataset, as: 'dataset'
          property :provider, as: 'provider'
        end
      end
      
      class GeostoreIntersectionGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :child_group, as: 'childGroup', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :group_type, as: 'groupType'
          collection :intersection, as: 'intersection', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :parent_group, as: 'parentGroup', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreIntersectionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intersection_group, as: 'intersectionGroup', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :out_segment, as: 'outSegment', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :segment, as: 'segment', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :toll_cluster_id, as: 'tollClusterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreJobMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :duration, as: 'duration'
          collection :job_related_categories, as: 'jobRelatedCategories', class: Google::Apis::ContentwarehouseV1::GeostoreJobRelatedCategory, decorator: Google::Apis::ContentwarehouseV1::GeostoreJobRelatedCategory::Representation
      
          property :job_type_id, as: 'jobTypeId'
          property :job_type_mid, as: 'jobTypeMid'
        end
      end
      
      class GeostoreJobRelatedCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gcid, as: 'gcid'
          property :language, as: 'language'
          property :name, as: 'name'
        end
      end
      
      class GeostoreKnowledgeGraphReferenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
        end
      end
      
      class GeostoreLandmarkReferenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_type, as: 'featureType'
          property :landmark, as: 'landmark', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :travel_mode, as: 'travelMode'
        end
      end
      
      class GeostoreLaneMarkerProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :barrier_materials, as: 'barrierMaterials', class: Google::Apis::ContentwarehouseV1::GeostoreBarrierLogicalMaterialProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBarrierLogicalMaterialProto::Representation
      
          property :crossing_pattern, as: 'crossingPattern', class: Google::Apis::ContentwarehouseV1::GeostoreCrossingStripePatternProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCrossingStripePatternProto::Representation
      
          property :linear_pattern, as: 'linearPattern', class: Google::Apis::ContentwarehouseV1::GeostoreLinearStripePatternProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLinearStripePatternProto::Representation
      
        end
      end
      
      class GeostoreLaneProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :bounding_marker, as: 'boundingMarker', class: Google::Apis::ContentwarehouseV1::GeostoreBoundingMarkerProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBoundingMarkerProto::Representation
      
          property :conjoined_category, as: 'conjoinedCategory'
          property :distance_to_next_lane, as: 'distanceToNextLane'
          property :flow, as: 'flow', class: Google::Apis::ContentwarehouseV1::GeostoreFlowLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFlowLineProto::Representation
      
          collection :lane_connection, as: 'laneConnection', class: Google::Apis::ContentwarehouseV1::GeostoreLaneProtoLaneConnection, decorator: Google::Apis::ContentwarehouseV1::GeostoreLaneProtoLaneConnection::Representation
      
          property :lane_divider_crossing, as: 'laneDividerCrossing'
          property :lane_follows_segment_begin_fraction, as: 'laneFollowsSegmentBeginFraction'
          property :lane_follows_segment_end_fraction, as: 'laneFollowsSegmentEndFraction'
          property :lane_number, as: 'laneNumber'
          property :lane_token, as: 'laneToken'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto::Representation
      
          property :shared, as: 'shared'
          collection :stop_line, as: 'stopLine', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :surface, as: 'surface'
          property :type, as: 'type'
          property :width, as: 'width'
        end
      end
      
      class GeostoreLaneProtoLaneConnection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :bounding_marker, as: 'boundingMarker', class: Google::Apis::ContentwarehouseV1::GeostoreBoundingMarkerProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBoundingMarkerProto::Representation
      
          property :connection_token, as: 'connectionToken'
          property :curve, as: 'curve', class: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProto::Representation
      
          property :flow, as: 'flow', class: Google::Apis::ContentwarehouseV1::GeostoreFlowLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFlowLineProto::Representation
      
          property :lane_number, as: 'laneNumber'
          property :primary_connection, as: 'primaryConnection'
          property :segment, as: 'segment', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreLanguageTaggedTextProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :text, as: 'text'
        end
      end
      
      class GeostoreLevelProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :building, as: 'building', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :number, as: 'number'
        end
      end
      
      class GeostoreLinearStripePatternProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :line, as: 'line', class: Google::Apis::ContentwarehouseV1::GeostorePhysicalLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePhysicalLineProto::Representation
      
        end
      end
      
      class GeostoreLocaleLanguageProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :official, as: 'official'
          property :preference, as: 'preference'
          property :speaking_percent, as: 'speakingPercent'
          property :writing_percent, as: 'writingPercent'
        end
      end
      
      class GeostoreLocaleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :language, as: 'language', class: Google::Apis::ContentwarehouseV1::GeostoreLocaleLanguageProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLocaleLanguageProto::Representation
      
          property :localization_policy_id, as: 'localizationPolicyId'
        end
      end
      
      class GeostoreLogicalBorderProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :border_segment, as: 'borderSegment', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :status, as: 'status'
        end
      end
      
      class GeostoreMediaItemProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :google_url, as: 'googleUrl'
          property :media_format, as: 'mediaFormat'
          property :media_key, as: 'mediaKey'
          property :media_size, as: 'mediaSize', class: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProtoMediaSize, decorator: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProtoMediaSize::Representation
      
        end
      end
      
      class GeostoreMediaItemProtoMediaSize
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :original_height_px, as: 'originalHeightPx'
          property :original_width_px, as: 'originalWidthPx'
        end
      end
      
      class GeostoreNameProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :flag, as: 'flag'
          property :language, as: 'language'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :raw_text, as: 'rawText'
          property :short_text, as: 'shortText'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :text, as: 'text'
        end
      end
      
      class GeostoreOntologyRawGConceptInstanceContainerProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :instance, as: 'instance', class: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceProto::Representation
      
        end
      end
      
      class GeostoreOntologyRawGConceptInstanceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :instance, as: 'instance', class: Google::Apis::ContentwarehouseV1::GeostoreGConceptInstanceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreGConceptInstanceProto::Representation
      
          property :is_added_by_edit, as: 'isAddedByEdit'
          property :is_inferred, as: 'isInferred'
          property :provider, as: 'provider'
          property :source_dataset, as: 'sourceDataset'
        end
      end
      
      class GeostoreOpeningHoursProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :exception, as: 'exception', class: Google::Apis::ContentwarehouseV1::GeostoreExceptionalHoursProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreExceptionalHoursProto::Representation
      
          property :regular_hours, as: 'regularHours', class: Google::Apis::ContentwarehouseV1::GeostoreBusinessHoursProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreBusinessHoursProto::Representation
      
        end
      end
      
      class GeostoreOperationsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :temporary_closure, as: 'temporaryClosure', class: Google::Apis::ContentwarehouseV1::GeostoreTemporaryClosureProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTemporaryClosureProto::Representation
      
        end
      end
      
      class GeostoreOverrideBorderStatusProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          property :status, as: 'status'
        end
      end
      
      class GeostorePaintedElementLogicalColorProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :color, as: 'color'
        end
      end
      
      class GeostoreParkingAllowanceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allowance_type, as: 'allowanceType'
          property :is_discount, as: 'isDiscount'
          collection :min_purchase_for_validation, as: 'minPurchaseForValidation', class: Google::Apis::ContentwarehouseV1::FreebaseTopic, decorator: Google::Apis::ContentwarehouseV1::FreebaseTopic::Representation
      
          collection :permit_type, as: 'permitType', class: Google::Apis::ContentwarehouseV1::GeostoreLanguageTaggedTextProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLanguageTaggedTextProto::Representation
      
          collection :service_type, as: 'serviceType'
          collection :time_based_rate, as: 'timeBasedRate', class: Google::Apis::ContentwarehouseV1::GeostoreTimeBasedRateProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeBasedRateProto::Representation
      
          property :vehicle_type, as: 'vehicleType'
        end
      end
      
      class GeostoreParkingProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :allowance, as: 'allowance', class: Google::Apis::ContentwarehouseV1::GeostoreParkingAllowanceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreParkingAllowanceProto::Representation
      
          property :opening_hours, as: 'openingHours', class: Google::Apis::ContentwarehouseV1::GeostoreOpeningHoursProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOpeningHoursProto::Representation
      
          property :parking_available, as: 'parkingAvailable'
          collection :parking_provider_feature, as: 'parkingProviderFeature', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::GeostoreParkingRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreParkingRestrictionProto::Representation
      
        end
      end
      
      class GeostoreParkingRestrictionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :restricted_hours, as: 'restrictedHours', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :restriction_type, as: 'restrictionType'
          collection :service_type, as: 'serviceType'
          collection :vehicle_type, as: 'vehicleType'
        end
      end
      
      class GeostorePeakProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :prominence_meters, as: 'prominenceMeters'
        end
      end
      
      class GeostorePedestrianCrossingProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :angle_degrees, as: 'angleDegrees'
          property :cross_anywhere, as: 'crossAnywhere'
          property :crossing_type, as: 'crossingType'
          property :offset, as: 'offset'
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto::Representation
      
          property :width, as: 'width'
        end
      end
      
      class GeostorePhysicalLineProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dash_length_meters, as: 'dashLengthMeters'
          property :gap_color, as: 'gapColor', class: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto::Representation
      
          property :gap_length_meters, as: 'gapLengthMeters'
          collection :material, as: 'material'
          property :paint_color, as: 'paintColor', class: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePaintedElementLogicalColorProto::Representation
      
          property :pattern, as: 'pattern'
          property :physical_line_token, as: 'physicalLineToken'
        end
      end
      
      class GeostorePointProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lat_e7, as: 'latE7'
          property :lng_e7, as: 'lngE7'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class GeostorePointWithHeightProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :altitude_meters, as: 'altitudeMeters'
          property :point, as: 'point', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
        end
      end
      
      class GeostorePoliticalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :capital, as: 'capital', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :gross_domestic_product_usd_millions, as: 'grossDomesticProductUsdMillions'
          property :literacy_percent, as: 'literacyPercent'
          property :population, :numeric_string => true, as: 'population'
        end
      end
      
      class GeostorePolyLineProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :vertex, as: 'vertex', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
        end
      end
      
      class GeostorePolygonProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_meters, as: 'baseMeters'
          property :cell_id, :numeric_string => true, as: 'cellId'
          property :encoded, :base64 => true, as: 'encoded'
          property :height_meters, as: 'heightMeters'
          collection :loop, as: 'loop', class: Google::Apis::ContentwarehouseV1::GeostorePolyLineProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolyLineProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :shape_id, as: 'shapeId'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :unsuitable_for_display, as: 'unsuitableForDisplay'
        end
      end
      
      class GeostorePoseProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :altitude, as: 'altitude'
          property :index, as: 'index'
          property :lat, as: 'lat'
          property :lng, as: 'lng'
          property :pitch, as: 'pitch'
          property :roll, as: 'roll'
          property :yaw, as: 'yaw'
        end
      end
      
      class GeostorePriceInfoFoodNutritionFacts
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calories, as: 'calories', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsCaloriesFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsCaloriesFact::Representation
      
          property :cholesterol, as: 'cholesterol', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact::Representation
      
          property :protein, as: 'protein', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact::Representation
      
          property :sodium, as: 'sodium', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact::Representation
      
          property :total_carbohydrate, as: 'totalCarbohydrate', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact::Representation
      
          property :total_fat, as: 'totalFat', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoFoodNutritionFactsNutritionFact::Representation
      
        end
      end
      
      class GeostorePriceInfoFoodNutritionFactsCaloriesFact
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lower_amount, as: 'lowerAmount'
          property :unit, as: 'unit'
          property :upper_amount, as: 'upperAmount'
        end
      end
      
      class GeostorePriceInfoFoodNutritionFactsNutritionFact
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lower_amount, as: 'lowerAmount'
          property :unit, as: 'unit'
          property :upper_amount, as: 'upperAmount'
        end
      end
      
      class GeostorePriceInfoProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :price_list, as: 'priceList', class: Google::Apis::ContentwarehouseV1::GeostorePriceListProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListProto::Representation
      
          collection :price_list_url, as: 'priceListUrl', class: Google::Apis::ContentwarehouseV1::GeostoreUrlListProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlListProto::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::GeostorePriceInfoStatus, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceInfoStatus::Representation
      
        end
      end
      
      class GeostorePriceInfoStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_verified, as: 'isVerified'
        end
      end
      
      class GeostorePriceListNameInfoProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :id, as: 'id'
          property :language, as: 'language'
          property :name, as: 'name'
        end
      end
      
      class GeostorePriceListProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :available_time, as: 'availableTime', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          collection :cuisines, as: 'cuisines'
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
          collection :section, as: 'section', class: Google::Apis::ContentwarehouseV1::GeostorePriceListSectionProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListSectionProto::Representation
      
          property :source_url, as: 'sourceUrl', class: Google::Apis::ContentwarehouseV1::GeostoreUrlListProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlListProto::Representation
      
        end
      end
      
      class GeostorePriceListSectionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :call_to_action, as: 'callToAction', class: Google::Apis::ContentwarehouseV1::GeostoreCallToActionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCallToActionProto::Representation
      
          collection :food_item, as: 'foodItem', class: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFoodMenuItemProto::Representation
      
          collection :item, as: 'item', class: Google::Apis::ContentwarehouseV1::GeostoreComposableItemProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreComposableItemProto::Representation
      
          collection :item_type, as: 'itemType'
          collection :media, as: 'media', class: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreMediaItemProto::Representation
      
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceListNameInfoProto::Representation
      
        end
      end
      
      class GeostorePriceRangeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :currency, as: 'currency'
          property :lower_price, as: 'lowerPrice'
          property :units, as: 'units'
          property :upper_price, as: 'upperPrice'
        end
      end
      
      class GeostorePropertyValueStatusProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :property_id, as: 'propertyId', class: Google::Apis::ContentwarehouseV1::GeostoreFeaturePropertyIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeaturePropertyIdProto::Representation
      
          property :value_status, as: 'valueStatus'
        end
      end
      
      class GeostoreProvenanceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dataset, as: 'dataset'
          property :provider, as: 'provider'
        end
      end
      
      class GeostoreRankDetailsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :signal, as: 'signal', class: Google::Apis::ContentwarehouseV1::GeostoreRankSignalProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRankSignalProto::Representation
      
          property :signal_mixer_type, as: 'signalMixerType'
        end
      end
      
      class GeostoreRankSignalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :rank, as: 'rank'
          property :raw_scalar, as: 'rawScalar'
          property :raw_string, as: 'rawString'
          property :type, as: 'type'
        end
      end
      
      class GeostoreRawDataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, as: 'key'
          property :value_string, as: 'valueString'
        end
      end
      
      class GeostoreRawMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :conflation_method, as: 'conflationMethod'
          property :description, as: 'description'
          property :key, as: 'key'
          property :label, as: 'label'
        end
      end
      
      class GeostoreRectProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hi, as: 'hi', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :lo, as: 'lo', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
        end
      end
      
      class GeostoreRegulatedAreaProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto::Representation
      
        end
      end
      
      class GeostoreRelationProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :other_feature_country_code, as: 'otherFeatureCountryCode'
          property :other_feature_id, as: 'otherFeatureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :other_feature_name, as: 'otherFeatureName', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          property :other_feature_territorial_administrator, as: 'otherFeatureTerritorialAdministrator'
          property :other_feature_type, as: 'otherFeatureType'
          property :overlap_fraction, as: 'overlapFraction'
          property :relation, as: 'relation'
          property :relation_is_reversed, as: 'relationIsReversed'
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class GeostoreRestrictionGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :segment, as: 'segment', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreRestrictionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :autonomous_driving_products, as: 'autonomousDrivingProducts'
          property :intersection_group, as: 'intersectionGroup', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :restriction_group, as: 'restrictionGroup', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :schedule, as: 'schedule', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :scope, as: 'scope'
          property :style, as: 'style'
          collection :subpath, as: 'subpath', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :travel_mode, as: 'travelMode'
          property :type, as: 'type'
          property :vehicle_attribute_filter, as: 'vehicleAttributeFilter', class: Google::Apis::ContentwarehouseV1::GeostoreVehicleAttributeFilterProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreVehicleAttributeFilterProto::Representation
      
        end
      end
      
      class GeostoreRightsStatusProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_with_rights, as: 'fieldWithRights', class: Google::Apis::ContentwarehouseV1::GeostoreFieldWithRightsProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldWithRightsProto::Representation
      
        end
      end
      
      class GeostoreRoadConditionalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :time_schedule, as: 'timeSchedule', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :vehicle_attribute, as: 'vehicleAttribute', class: Google::Apis::ContentwarehouseV1::GeostoreVehicleAttributeFilterProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreVehicleAttributeFilterProto::Representation
      
          collection :vehicle_type, as: 'vehicleType'
        end
      end
      
      class GeostoreRoadMonitorProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :monitored_road, as: 'monitoredRoad', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreRoadSignComponentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_type, as: 'featureType'
          property :major_position, as: 'majorPosition'
          property :minor_position, as: 'minorPosition'
          property :route_direction, as: 'routeDirection'
          property :text, as: 'text', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreRoadSignProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :component, as: 'component', class: Google::Apis::ContentwarehouseV1::GeostoreRoadSignComponentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRoadSignComponentProto::Representation
      
        end
      end
      
      class GeostoreRouteAssociationProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_preference, as: 'displayPreference'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :route, as: 'route', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :route_direction, as: 'routeDirection'
        end
      end
      
      class GeostoreRouteProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :child_type, as: 'childType'
        end
      end
      
      class GeostoreSchoolDistrictProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class GeostoreSegmentPathProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :subpath, as: 'subpath', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreSegmentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :advisory_maximum_speed, as: 'advisoryMaximumSpeed', class: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto::Representation
      
          collection :altitude, as: 'altitude'
          property :avg_speed_kph, as: 'avgSpeedKph'
          property :avg_speed_kph_metadata, as: 'avgSpeedKphMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :barrier, as: 'barrier'
          property :barrier_metadata, as: 'barrierMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :bicycle_facility, as: 'bicycleFacility'
          property :bicycle_safety, as: 'bicycleSafety'
          property :condition, as: 'condition'
          property :condition_metadata, as: 'conditionMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :construction_begin_date, as: 'constructionBeginDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :construction_end_date, as: 'constructionEndDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :construction_status, as: 'constructionStatus'
          property :construction_status_metadata, as: 'constructionStatusMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :covered, as: 'covered'
          property :distance_to_edge, as: 'distanceToEdge'
          property :distance_to_edge_metadata, as: 'distanceToEdgeMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :edge_follows_segment_begin_fraction, as: 'edgeFollowsSegmentBeginFraction'
          property :edge_follows_segment_end_fraction, as: 'edgeFollowsSegmentEndFraction'
          property :elevation, as: 'elevation'
          property :elevation_metadata, as: 'elevationMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :endpoint, as: 'endpoint'
          property :endpoint_metadata, as: 'endpointMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :grade_level, as: 'gradeLevel', class: Google::Apis::ContentwarehouseV1::GeostoreGradeLevelProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreGradeLevelProto::Representation
      
          property :internal, as: 'internal', class: Google::Apis::ContentwarehouseV1::GeostoreInternalSegmentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreInternalSegmentProto::Representation
      
          property :interpolation_offset_meters, as: 'interpolationOffsetMeters'
          property :intersection, as: 'intersection', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :is_max_permitted_speed_derived, as: 'isMaxPermittedSpeedDerived'
          collection :lane, as: 'lane', class: Google::Apis::ContentwarehouseV1::GeostoreLaneProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLaneProto::Representation
      
          collection :legal_maximum_speed, as: 'legalMaximumSpeed', class: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto::Representation
      
          collection :legal_minimum_speed, as: 'legalMinimumSpeed', class: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAppliedSpeedLimitProto::Representation
      
          property :max_permitted_speed_kph, as: 'maxPermittedSpeedKph'
          property :max_permitted_speed_kph_metadata, as: 'maxPermittedSpeedKphMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :on_right, as: 'onRight'
          property :pedestrian_crossing, as: 'pedestrianCrossing', class: Google::Apis::ContentwarehouseV1::GeostorePedestrianCrossingProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePedestrianCrossingProto::Representation
      
          property :pedestrian_facility, as: 'pedestrianFacility'
          property :pedestrian_grade, as: 'pedestrianGrade'
          property :priority, as: 'priority'
          property :priority_metadata, as: 'priorityMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRestrictionProto::Representation
      
          collection :road_monitor, as: 'roadMonitor', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :road_sign, as: 'roadSign', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :route, as: 'route', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :route_association, as: 'routeAssociation', class: Google::Apis::ContentwarehouseV1::GeostoreRouteAssociationProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRouteAssociationProto::Representation
      
          property :separated_roadways, as: 'separatedRoadways'
          property :sibling, as: 'sibling', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :surface, as: 'surface'
          property :surface_metadata, as: 'surfaceMetadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          collection :sweep, as: 'sweep', class: Google::Apis::ContentwarehouseV1::GeostoreSweepProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSweepProto::Representation
      
          property :toll_road, as: 'tollRoad'
          property :usage, as: 'usage'
          collection :visible_landmark, as: 'visibleLandmark', class: Google::Apis::ContentwarehouseV1::GeostoreLandmarkReferenceProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreLandmarkReferenceProto::Representation
      
        end
      end
      
      class GeostoreServiceAreaProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :served_feature, as: 'servedFeature', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreServicedStopProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :index, as: 'index'
        end
      end
      
      class GeostoreSkiBoundaryProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class GeostoreSkiLiftProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class GeostoreSkiTrailProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :difficulty, as: 'difficulty'
          property :type, as: 'type'
        end
      end
      
      class GeostoreSocialReferenceProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_gaia_id, :numeric_string => true, as: 'baseGaiaId'
          property :claimed_gaia_id, :numeric_string => true, as: 'claimedGaiaId'
          property :gaia_id_for_display, :numeric_string => true, as: 'gaiaIdForDisplay'
        end
      end
      
      class GeostoreSourceInfoProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribution_url, as: 'attributionUrl', class: Google::Apis::ContentwarehouseV1::GeostoreUrlProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlProto::Representation
      
          property :collection_date, as: 'collectionDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :cookie, as: 'cookie'
          property :dataset, as: 'dataset'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :impersonation_user, as: 'impersonationUser', class: Google::Apis::ContentwarehouseV1::GeostoreUserProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUserProto::Representation
      
          property :layer, as: 'layer'
          property :ogr_fid, :numeric_string => true, as: 'ogrFid'
          property :provider, as: 'provider'
          collection :raw_data, as: 'rawData', class: Google::Apis::ContentwarehouseV1::GeostoreRawDataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRawDataProto::Representation
      
          property :release, as: 'release'
          property :source_id, as: 'sourceId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :temporary_data, as: 'temporaryData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :user, as: 'user', class: Google::Apis::ContentwarehouseV1::GeostoreUserProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUserProto::Representation
      
        end
      end
      
      class GeostoreSourceTrustProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :level, as: 'level'
        end
      end
      
      class GeostoreSpeedLimitProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          collection :condition, as: 'condition', class: Google::Apis::ContentwarehouseV1::GeostoreRoadConditionalProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRoadConditionalProto::Representation
      
          property :speed_with_unit, as: 'speedWithUnit', class: Google::Apis::ContentwarehouseV1::GeostoreSpeedProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSpeedProto::Representation
      
          property :unlimited_speed, as: 'unlimitedSpeed', class: Google::Apis::ContentwarehouseV1::GeostoreUnlimitedSpeedProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUnlimitedSpeedProto::Representation
      
          property :variable_speed, as: 'variableSpeed', class: Google::Apis::ContentwarehouseV1::GeostoreVariableSpeedProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreVariableSpeedProto::Representation
      
        end
      end
      
      class GeostoreSpeedProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :speed, as: 'speed'
          property :unit, as: 'unit'
        end
      end
      
      class GeostoreStableFieldPathProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_path, as: 'fieldPath', class: Google::Apis::ContentwarehouseV1::GeostoreStableFieldPathProtoStableFieldSelector, decorator: Google::Apis::ContentwarehouseV1::GeostoreStableFieldPathProtoStableFieldSelector::Representation
      
        end
      end
      
      class GeostoreStableFieldPathProtoStableFieldSelector
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :field_num, as: 'fieldNum'
          property :version_token, as: 'versionToken'
        end
      end
      
      class GeostoreSweepProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :other_segment_feature_id, as: 'otherSegmentFeatureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :polygon, as: 'polygon', class: Google::Apis::ContentwarehouseV1::GeostorePolygonProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePolygonProto::Representation
      
          property :sweep_curve, as: 'sweepCurve', class: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCurveConnectionProto::Representation
      
          property :sweep_token, as: 'sweepToken'
        end
      end
      
      class GeostoreTelephoneProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :call_rate, as: 'callRate', class: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePriceRangeProto::Representation
      
          property :contact_category, as: 'contactCategory'
          collection :flag, as: 'flag'
          property :is_shared_number, as: 'isSharedNumber'
          collection :label, as: 'label', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          collection :language, as: 'language'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :number, as: 'number', class: Google::Apis::ContentwarehouseV1::TelephoneNumber, decorator: Google::Apis::ContentwarehouseV1::TelephoneNumber::Representation
      
          property :phone_number, as: 'phoneNumber', class: Google::Apis::ContentwarehouseV1::I18nPhonenumbersPhoneNumber, decorator: Google::Apis::ContentwarehouseV1::I18nPhonenumbersPhoneNumber::Representation
      
          collection :service_location_feature, as: 'serviceLocationFeature', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GeostoreTemporaryClosureProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_as_of_date, as: 'endAsOfDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :end_date, as: 'endDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :start_as_of_date, as: 'startAsOfDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
          property :start_date, as: 'startDate', class: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDateTimeProto::Representation
      
        end
      end
      
      class GeostoreTextAffixProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :prefix, as: 'prefix'
          property :suffix, as: 'suffix'
        end
      end
      
      class GeostoreThreeDimensionalModelProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :point_indices, as: 'pointIndices'
          collection :points, as: 'points', class: Google::Apis::ContentwarehouseV1::GeostorePointWithHeightProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointWithHeightProto::Representation
      
        end
      end
      
      class GeostoreTimeBasedRateProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :duration_based_rate, as: 'durationBasedRate', class: Google::Apis::ContentwarehouseV1::GeostoreDurationBasedRateProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDurationBasedRateProto::Representation
      
          property :tax_included, as: 'taxIncluded'
          property :valid_end_within, as: 'validEndWithin', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :valid_start_within, as: 'validStartWithin', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
        end
      end
      
      class GeostoreTimeComponentProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :component_type, as: 'componentType'
          collection :interval, as: 'interval', class: Google::Apis::ContentwarehouseV1::GeostoreTimeIntervalProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeIntervalProto::Representation
      
        end
      end
      
      class GeostoreTimeEndpointProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'day'
          property :day_type, as: 'dayType'
          property :hour, as: 'hour'
          property :minute, as: 'minute'
          property :month, as: 'month'
          property :second, as: 'second'
          property :week, as: 'week'
          property :week_type, as: 'weekType'
          property :year, as: 'year'
        end
      end
      
      class GeostoreTimeIntervalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin', class: Google::Apis::ContentwarehouseV1::GeostoreTimeEndpointProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeEndpointProto::Representation
      
          property :end, as: 'end', class: Google::Apis::ContentwarehouseV1::GeostoreTimeEndpointProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeEndpointProto::Representation
      
          property :inverted, as: 'inverted'
          property :occasion, as: 'occasion'
          property :type, as: 'type'
        end
      end
      
      class GeostoreTimeScheduleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :component, as: 'component', class: Google::Apis::ContentwarehouseV1::GeostoreTimeComponentProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeComponentProto::Representation
      
        end
      end
      
      class GeostoreTimezoneProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
        end
      end
      
      class GeostoreTollClusterProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :intersection, as: 'intersection', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreTrackProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, as: 'index'
          collection :pose, as: 'pose', class: Google::Apis::ContentwarehouseV1::GeostorePoseProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePoseProto::Representation
      
        end
      end
      
      class GeostoreTransitLineProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :agency, as: 'agency', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :label_background_color, as: 'labelBackgroundColor'
          property :label_text_color, as: 'labelTextColor'
          collection :stations, as: 'stations', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :vehicle_type, as: 'vehicleType'
        end
      end
      
      class GeostoreTransitLineVariantProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :line_concept, as: 'lineConcept', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :stops, as: 'stops', class: Google::Apis::ContentwarehouseV1::GeostoreServicedStopProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreServicedStopProto::Representation
      
        end
      end
      
      class GeostoreTransitStationProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :agencies, as: 'agencies', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class GeostoreTrustSignalsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source_trust, as: 'sourceTrust', class: Google::Apis::ContentwarehouseV1::GeostoreSourceTrustProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreSourceTrustProto::Representation
      
        end
      end
      
      class GeostoreUnlimitedSpeedProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GeostoreUrlListProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :url, as: 'url', class: Google::Apis::ContentwarehouseV1::GeostoreUrlProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreUrlProto::Representation
      
        end
      end
      
      class GeostoreUrlProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFieldMetadataProto::Representation
      
          property :pagerank, as: 'pagerank'
          property :url, as: 'url'
        end
      end
      
      class GeostoreUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encrypted_gaia_id, :base64 => true, as: 'encryptedGaiaId'
          property :encryption_key_name, as: 'encryptionKeyName'
          property :keystore_config_id, as: 'keystoreConfigId'
          property :username, as: 'username'
        end
      end
      
      class GeostoreVariableSpeedProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GeostoreVehicleAttributeFilterProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :axle_count, as: 'axleCount', class: Google::Apis::ContentwarehouseV1::GeostoreCountComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCountComparisonProto::Representation
      
          property :has_trailer, as: 'hasTrailer'
          collection :hazardous_goods, as: 'hazardousGoods'
          collection :num_trailers, as: 'numTrailers', class: Google::Apis::ContentwarehouseV1::GeostoreCountComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreCountComparisonProto::Representation
      
          collection :trailer_length, as: 'trailerLength', class: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto::Representation
      
          collection :vehicle_height, as: 'vehicleHeight', class: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto::Representation
      
          collection :vehicle_length, as: 'vehicleLength', class: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto::Representation
      
          collection :vehicle_weight, as: 'vehicleWeight', class: Google::Apis::ContentwarehouseV1::GeostoreWeightComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreWeightComparisonProto::Representation
      
          collection :vehicle_width, as: 'vehicleWidth', class: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreDimensionComparisonProto::Representation
      
        end
      end
      
      class GeostoreVerticalOrderingProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :level, as: 'level'
        end
      end
      
      class GeostoreWeightComparisonProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :comparison, as: 'comparison'
          property :comparison_operator, as: 'comparisonOperator'
          property :weight_with_unit, as: 'weightWithUnit', class: Google::Apis::ContentwarehouseV1::GeostoreWeightProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreWeightProto::Representation
      
        end
      end
      
      class GeostoreWeightProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :unit, as: 'unit'
          property :weight, as: 'weight'
        end
      end
      
      class GoodocAnchorLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor, as: 'Anchor'
          property :anchor_scope, as: 'anchorScope'
        end
      end
      
      class GoodocBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'Height'
          property :label, as: 'Label'
          property :left, as: 'Left'
          property :top, as: 'Top'
          property :width, as: 'Width'
        end
      end
      
      class GoodocBoxPartitions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :direction, as: 'direction'
          collection :span, as: 'span'
        end
      end
      
      class GoodocBreakLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :break_label_type, as: 'BreakLabelType'
          property :is_prefix, as: 'isPrefix'
        end
      end
      
      class GoodocCharLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_line, as: 'BaseLine'
          property :character_height, as: 'CharacterHeight'
          property :color, as: 'Color'
          property :confidence, as: 'Confidence'
          property :font_id, as: 'FontId'
          property :font_size, as: 'FontSize'
          property :font_size_float, as: 'FontSizeFloat'
          property :font_type, as: 'FontType'
          property :has_uncertain_height, as: 'HasUncertainHeight'
          property :horizontal_scale, as: 'HorizontalScale'
          property :is_bold, as: 'IsBold'
          property :is_italic, as: 'IsItalic'
          property :is_small_caps, as: 'IsSmallCaps'
          property :is_strikeout, as: 'IsStrikeout'
          property :is_subscript, as: 'IsSubscript'
          property :is_superscript, as: 'IsSuperscript'
          property :is_suspicious, as: 'IsSuspicious'
          property :is_underlined, as: 'IsUnderlined'
          property :not_ocrable_per_qa, as: 'NotOcrablePerQA'
          property :penalty, as: 'Penalty'
          property :serif_probability, as: 'SerifProbability'
        end
      end
      
      class GoodocDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :editing_history, as: 'EditingHistory'
          collection :logical_entity, as: 'LogicalEntity'
          collection :logical_entity_message_name, as: 'LogicalEntityMessageName'
          collection :sub_documents, as: 'SubDocuments', class: Google::Apis::ContentwarehouseV1::GoodocDocument, decorator: Google::Apis::ContentwarehouseV1::GoodocDocument::Representation
      
          property :header, as: 'header', class: Google::Apis::ContentwarehouseV1::GoodocDocumentHeader, decorator: Google::Apis::ContentwarehouseV1::GoodocDocumentHeader::Representation
      
          collection :page, as: 'page', class: Google::Apis::ContentwarehouseV1::GoodocDocumentPage, decorator: Google::Apis::ContentwarehouseV1::GoodocDocumentPage::Representation
      
        end
      end
      
      class GoodocDocumentHeader
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ocr_engine_id, as: 'OcrEngineId'
          property :ocr_engine_version, as: 'OcrEngineVersion'
          collection :font, as: 'font', class: Google::Apis::ContentwarehouseV1::GoodocDocumentHeaderFont, decorator: Google::Apis::ContentwarehouseV1::GoodocDocumentHeaderFont::Representation
      
        end
      end
      
      class GoodocDocumentHeaderFont
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :font_id, as: 'FontId'
          property :font_name, as: 'FontName'
        end
      end
      
      class GoodocDocumentPage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :garbage_detector_change_list, as: 'GarbageDetectorChangeList'
          property :garbage_detector_was_production, as: 'GarbageDetectorWasProduction'
          property :height, as: 'Height'
          property :horizontal_dpi, as: 'HorizontalDpi'
          property :label, as: 'Label', class: Google::Apis::ContentwarehouseV1::GoodocLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLabel::Representation
      
          property :porn_score, as: 'PornScore'
          property :text_confidence, as: 'TextConfidence'
          property :vertical_dpi, as: 'VerticalDpi'
          property :width, as: 'Width'
          collection :block, as: 'block', class: Google::Apis::ContentwarehouseV1::GoodocDocumentPageBlock, decorator: Google::Apis::ContentwarehouseV1::GoodocDocumentPageBlock::Representation
      
          collection :mergedpageinfo, as: 'mergedpageinfo', class: Google::Apis::ContentwarehouseV1::GoodocDocumentPageMergedPageInfo, decorator: Google::Apis::ContentwarehouseV1::GoodocDocumentPageMergedPageInfo::Representation
      
          property :post_ocr_confidence, as: 'postOcrConfidence'
          property :stats, as: 'stats', class: Google::Apis::ContentwarehouseV1::GoodocSummaryStats, decorator: Google::Apis::ContentwarehouseV1::GoodocSummaryStats::Representation
      
        end
      end
      
      class GoodocDocumentPageBlock
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :block_type, as: 'BlockType'
          property :box, as: 'Box', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :label, as: 'Label', class: Google::Apis::ContentwarehouseV1::GoodocLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLabel::Representation
      
          property :orientation_label, as: 'OrientationLabel', class: Google::Apis::ContentwarehouseV1::GoodocOrientationLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocOrientationLabel::Representation
      
          collection :paragraph, as: 'Paragraph', class: Google::Apis::ContentwarehouseV1::GoodocParagraph, decorator: Google::Apis::ContentwarehouseV1::GoodocParagraph::Representation
      
          property :rotated_box, as: 'RotatedBox', class: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox::Representation
      
          property :text_confidence, as: 'TextConfidence'
        end
      end
      
      class GoodocDocumentPageMergedPageInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ocr_engine_id, as: 'OcrEngineId'
          property :ocr_engine_version, as: 'OcrEngineVersion'
        end
      end
      
      class GoodocFontSizeStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :font_id, as: 'fontId'
          property :font_size, as: 'fontSize'
          property :median_height, as: 'medianHeight'
          property :median_line_height, as: 'medianLineHeight'
          property :median_line_space, as: 'medianLineSpace'
          property :median_line_span, as: 'medianLineSpan'
          property :median_width, as: 'medianWidth'
          property :num_line_spaces, as: 'numLineSpaces'
          property :num_lines, as: 'numLines'
          property :num_symbols, as: 'numSymbols'
        end
      end
      
      class GoodocLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :anchor_label, as: 'AnchorLabel', class: Google::Apis::ContentwarehouseV1::GoodocAnchorLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocAnchorLabel::Representation
      
          property :break_label, as: 'BreakLabel', class: Google::Apis::ContentwarehouseV1::GoodocBreakLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocBreakLabel::Representation
      
          property :char_label, as: 'CharLabel', class: Google::Apis::ContentwarehouseV1::GoodocCharLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocCharLabel::Representation
      
          collection :language_label, as: 'LanguageLabel', class: Google::Apis::ContentwarehouseV1::GoodocLanguageLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLanguageLabel::Representation
      
          property :semantic_label, as: 'SemanticLabel', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabel::Representation
      
        end
      end
      
      class GoodocLanguageCombinationLanguage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bcp47_tag, as: 'bcp47Tag'
          property :weight, as: 'weight'
        end
      end
      
      class GoodocLanguageLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :closest_language_id, as: 'ClosestLanguageId'
          property :confidence, as: 'Confidence'
          property :language_code, as: 'LanguageCode'
        end
      end
      
      class GoodocLogicalEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'Metadata'
          collection :link, as: 'link', class: Google::Apis::ContentwarehouseV1::GoodocLogicalEntityLink, decorator: Google::Apis::ContentwarehouseV1::GoodocLogicalEntityLink::Representation
      
        end
      end
      
      class GoodocLogicalEntityLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor, as: 'Anchor'
          property :block_id, as: 'BlockId'
          property :doc_id, as: 'DocId'
          property :page_id, as: 'PageId'
          property :paragraph_id, as: 'ParagraphId'
          property :route_id, as: 'RouteId'
          property :symbol_id, as: 'SymbolId'
          property :url, as: 'Url'
          property :word_id, as: 'WordId'
        end
      end
      
      class GoodocOrdinal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :implicit, as: 'implicit'
          property :section_string_value, as: 'sectionStringValue'
          property :section_value, as: 'sectionValue'
          property :section_value_type, as: 'sectionValueType'
          property :string_value, as: 'stringValue'
          property :value, as: 'value'
          property :value_delta, as: 'valueDelta'
          property :value_type, as: 'valueType'
        end
      end
      
      class GoodocOrientationLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deskew_angle, as: 'deskewAngle'
          property :mirrored, as: 'mirrored'
          property :orientation, as: 'orientation'
          property :textline_order, as: 'textlineOrder'
          property :writing_direction, as: 'writingDirection'
        end
      end
      
      class GoodocOverrides
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :block_imagination, as: 'blockImagination'
          property :do_not_expand_graphic_box, as: 'doNotExpandGraphicBox'
          property :full_page_as_image, as: 'fullPageAsImage'
          property :full_page_lineated, as: 'fullPageLineated'
          property :full_page_skipped, as: 'fullPageSkipped'
          property :need_not_suppress_photo, as: 'needNotSuppressPhoto'
          property :page_break_before, as: 'pageBreakBefore'
          collection :style, as: 'style', class: Google::Apis::ContentwarehouseV1::GoodocOverridesStyle, decorator: Google::Apis::ContentwarehouseV1::GoodocOverridesStyle::Representation
      
          property :word_html, as: 'wordHtml'
        end
      end
      
      class GoodocOverridesStyle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class GoodocParagraph
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'Box', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :first_line_indent, as: 'FirstLineIndent'
          property :label, as: 'Label', class: Google::Apis::ContentwarehouseV1::GoodocLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLabel::Representation
      
          property :left_indent, as: 'LeftIndent'
          property :line_spacing, as: 'LineSpacing'
          property :orientation_label, as: 'OrientationLabel', class: Google::Apis::ContentwarehouseV1::GoodocOrientationLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocOrientationLabel::Representation
      
          property :right_indent, as: 'RightIndent'
          property :rotated_box, as: 'RotatedBox', class: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox::Representation
      
          property :space_after, as: 'SpaceAfter'
          property :space_before, as: 'SpaceBefore'
          collection :subsumed_paragraph_properties, as: 'SubsumedParagraphProperties', class: Google::Apis::ContentwarehouseV1::GoodocParagraph, decorator: Google::Apis::ContentwarehouseV1::GoodocParagraph::Representation
      
          property :text_confidence, as: 'TextConfidence'
          property :width, as: 'Width'
          property :alignment, as: 'alignment'
          property :droppedcap, as: 'droppedcap', class: Google::Apis::ContentwarehouseV1::GoodocParagraphDroppedCap, decorator: Google::Apis::ContentwarehouseV1::GoodocParagraphDroppedCap::Representation
      
          collection :route, as: 'route', class: Google::Apis::ContentwarehouseV1::GoodocParagraphRoute, decorator: Google::Apis::ContentwarehouseV1::GoodocParagraphRoute::Representation
      
        end
      end
      
      class GoodocParagraphDroppedCap
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'Box', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :letters_count, as: 'LettersCount'
        end
      end
      
      class GoodocParagraphRoute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_point, as: 'EndPoint', class: Google::Apis::ContentwarehouseV1::GoodocRoutePoint, decorator: Google::Apis::ContentwarehouseV1::GoodocRoutePoint::Representation
      
          property :start_point, as: 'StartPoint', class: Google::Apis::ContentwarehouseV1::GoodocRoutePoint, decorator: Google::Apis::ContentwarehouseV1::GoodocRoutePoint::Representation
      
          property :weight, as: 'Weight'
          collection :word, as: 'Word', class: Google::Apis::ContentwarehouseV1::GoodocWord, decorator: Google::Apis::ContentwarehouseV1::GoodocWord::Representation
      
        end
      end
      
      class GoodocRotatedBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :angle, as: 'Angle'
          property :height, as: 'Height'
          property :left, as: 'Left'
          property :top, as: 'Top'
          property :width, as: 'Width'
        end
      end
      
      class GoodocRoutePoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :route_index, as: 'RouteIndex'
          property :word_index, as: 'WordIndex'
        end
      end
      
      class GoodocSemanticLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alternate_text, as: 'AlternateText'
          collection :attribute, as: 'Attribute'
          property :chapter_start, as: 'ChapterStart'
          collection :cleanup_annotation, as: 'CleanupAnnotation'
          property :continues_from_previous_page, as: 'ContinuesFromPreviousPage'
          property :continues_from_previous_page_hyphenated, as: 'ContinuesFromPreviousPageHyphenated'
          property :continues_on_next_page, as: 'ContinuesOnNextPage'
          property :end_of_spanning_label, as: 'EndOfSpanningLabel', class: Google::Apis::ContentwarehouseV1::GoodocLogicalEntity, decorator: Google::Apis::ContentwarehouseV1::GoodocLogicalEntity::Representation
      
          property :experimental_data, as: 'ExperimentalData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :flow, as: 'Flow'
          property :modification_record, as: 'ModificationRecord'
          property :page_number_ordinal, as: 'PageNumberOrdinal', class: Google::Apis::ContentwarehouseV1::GoodocOrdinal, decorator: Google::Apis::ContentwarehouseV1::GoodocOrdinal::Representation
      
          property :appearance, as: 'appearance'
          property :columndetails, as: 'columndetails', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelColumnDetails, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelColumnDetails::Representation
      
          property :contentlink, as: 'contentlink', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLink, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLink::Representation
      
          collection :editcorrectioncandidate, as: 'editcorrectioncandidate', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelEditCorrectionCandidate, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelEditCorrectionCandidate::Representation
      
          property :overrides, as: 'overrides', class: Google::Apis::ContentwarehouseV1::GoodocOverrides, decorator: Google::Apis::ContentwarehouseV1::GoodocOverrides::Representation
      
          collection :snippetfilter, as: 'snippetfilter', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelSnippetFilter, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelSnippetFilter::Representation
      
          property :tablecelldetails, as: 'tablecelldetails', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelTableCellDetails, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelTableCellDetails::Representation
      
          property :tabledetails, as: 'tabledetails', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelTableDetails, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelTableDetails::Representation
      
        end
      end
      
      class GoodocSemanticLabelColumnDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :column, as: 'Column'
          property :columns, as: 'Columns'
        end
      end
      
      class GoodocSemanticLabelContentLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :url_target, as: 'UrlTarget'
          property :citationtarget, as: 'citationtarget', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLinkCitationTarget, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLinkCitationTarget::Representation
      
          property :involumetarget, as: 'involumetarget', class: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLinkInVolumeTarget, decorator: Google::Apis::ContentwarehouseV1::GoodocSemanticLabelContentLinkInVolumeTarget::Representation
      
        end
      end
      
      class GoodocSemanticLabelContentLinkCitationTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :authors, as: 'Authors'
          property :bib_key, as: 'BibKey'
          property :confidence, as: 'Confidence'
          property :title, as: 'Title'
          property :year, as: 'Year'
        end
      end
      
      class GoodocSemanticLabelContentLinkInVolumeTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'Confidence'
          property :logical_entity, as: 'LogicalEntity', class: Google::Apis::ContentwarehouseV1::GoodocLogicalEntity, decorator: Google::Apis::ContentwarehouseV1::GoodocLogicalEntity::Representation
      
        end
      end
      
      class GoodocSemanticLabelEditCorrectionCandidate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :edited_word, as: 'EditedWord'
          property :probability, as: 'Probability'
        end
      end
      
      class GoodocSemanticLabelSnippetFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :badword_fraction, as: 'badwordFraction'
          property :window_size, as: 'windowSize'
        end
      end
      
      class GoodocSemanticLabelTableCellDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :column, as: 'Column'
          property :column_span, as: 'ColumnSpan'
          property :row, as: 'Row'
          property :row_span, as: 'RowSpan'
        end
      end
      
      class GoodocSemanticLabelTableDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :columns, as: 'Columns'
          property :rows, as: 'Rows'
        end
      end
      
      class GoodocSummaryStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :estimated_font_sizes, as: 'estimatedFontSizes'
          collection :font_size_histogram, as: 'fontSizeHistogram', class: Google::Apis::ContentwarehouseV1::GoodocFontSizeStats, decorator: Google::Apis::ContentwarehouseV1::GoodocFontSizeStats::Representation
      
          property :mean_symbols_per_block, as: 'meanSymbolsPerBlock'
          property :mean_symbols_per_line, as: 'meanSymbolsPerLine'
          property :mean_symbols_per_paragraph, as: 'meanSymbolsPerParagraph'
          property :mean_symbols_per_word, as: 'meanSymbolsPerWord'
          property :mean_words_per_block, as: 'meanWordsPerBlock'
          property :mean_words_per_line, as: 'meanWordsPerLine'
          property :mean_words_per_paragraph, as: 'meanWordsPerParagraph'
          property :median_block_space, as: 'medianBlockSpace'
          property :median_even_printed_box, as: 'medianEvenPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_full_even_printed_box, as: 'medianFullEvenPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_full_odd_printed_box, as: 'medianFullOddPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_full_printed_box, as: 'medianFullPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_height, as: 'medianHeight'
          property :median_horizontal_dpi, as: 'medianHorizontalDpi'
          property :median_line_height, as: 'medianLineHeight'
          property :median_line_space, as: 'medianLineSpace'
          property :median_line_span, as: 'medianLineSpan'
          property :median_odd_printed_box, as: 'medianOddPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_paragraph_indent, as: 'medianParagraphIndent'
          property :median_paragraph_space, as: 'medianParagraphSpace'
          property :median_printed_box, as: 'medianPrintedBox', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :median_symbols_per_block, as: 'medianSymbolsPerBlock'
          property :median_symbols_per_line, as: 'medianSymbolsPerLine'
          property :median_symbols_per_paragraph, as: 'medianSymbolsPerParagraph'
          property :median_symbols_per_word, as: 'medianSymbolsPerWord'
          property :median_vertical_dpi, as: 'medianVerticalDpi'
          property :median_width, as: 'medianWidth'
          property :median_words_per_block, as: 'medianWordsPerBlock'
          property :median_words_per_line, as: 'medianWordsPerLine'
          property :median_words_per_paragraph, as: 'medianWordsPerParagraph'
          property :num_block_spaces, as: 'numBlockSpaces'
          property :num_blocks, as: 'numBlocks'
          property :num_line_spaces, as: 'numLineSpaces'
          property :num_lines, as: 'numLines'
          property :num_non_graphic_blocks, as: 'numNonGraphicBlocks'
          property :num_pages, as: 'numPages'
          property :num_paragraph_spaces, as: 'numParagraphSpaces'
          property :num_paragraphs, as: 'numParagraphs'
          property :num_symbols, as: 'numSymbols'
          property :num_words, as: 'numWords'
        end
      end
      
      class GoodocSymbol
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'Box', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :code, as: 'Code'
          property :label, as: 'Label', class: Google::Apis::ContentwarehouseV1::GoodocLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLabel::Representation
      
          property :rotated_box, as: 'RotatedBox', class: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox::Representation
      
          collection :symbolvariant, as: 'symbolvariant', class: Google::Apis::ContentwarehouseV1::GoodocSymbolSymbolVariant, decorator: Google::Apis::ContentwarehouseV1::GoodocSymbolSymbolVariant::Representation
      
        end
      end
      
      class GoodocSymbolSymbolVariant
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'Code'
          property :confidence, as: 'Confidence'
        end
      end
      
      class GoodocWord
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :baseline, as: 'Baseline'
          property :box, as: 'Box', class: Google::Apis::ContentwarehouseV1::GoodocBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocBoundingBox::Representation
      
          property :capline, as: 'Capline'
          property :compact_symbol_boxes, as: 'CompactSymbolBoxes', class: Google::Apis::ContentwarehouseV1::GoodocBoxPartitions, decorator: Google::Apis::ContentwarehouseV1::GoodocBoxPartitions::Representation
      
          property :confidence, as: 'Confidence'
          property :is_from_dictionary, as: 'IsFromDictionary'
          property :is_identifier, as: 'IsIdentifier'
          property :is_last_in_sentence, as: 'IsLastInSentence'
          property :is_numeric, as: 'IsNumeric'
          property :label, as: 'Label', class: Google::Apis::ContentwarehouseV1::GoodocLabel, decorator: Google::Apis::ContentwarehouseV1::GoodocLabel::Representation
      
          property :penalty, as: 'Penalty'
          property :rotated_box, as: 'RotatedBox', class: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::GoodocRotatedBoundingBox::Representation
      
          collection :symbol, as: 'Symbol', class: Google::Apis::ContentwarehouseV1::GoodocSymbol, decorator: Google::Apis::ContentwarehouseV1::GoodocSymbol::Representation
      
          property :alternates, as: 'alternates', class: Google::Apis::ContentwarehouseV1::GoodocWordAlternates, decorator: Google::Apis::ContentwarehouseV1::GoodocWordAlternates::Representation
      
          property :text, as: 'text'
          property :writing_direction, as: 'writingDirection'
        end
      end
      
      class GoodocWordAlternates
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :error_probability, as: 'ErrorProbability'
          collection :alternate, as: 'alternate', class: Google::Apis::ContentwarehouseV1::GoodocWordAlternatesAlternate, decorator: Google::Apis::ContentwarehouseV1::GoodocWordAlternatesAlternate::Representation
      
        end
      end
      
      class GoodocWordAlternatesAlternate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ocr_engine_id, as: 'OcrEngineId'
          property :ocr_engine_version, as: 'OcrEngineVersion'
          property :word, as: 'Word', class: Google::Apis::ContentwarehouseV1::GoodocWord, decorator: Google::Apis::ContentwarehouseV1::GoodocWord::Representation
      
        end
      end
      
      class GoogleAssistantAccessoryV1AudioOutConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audio_mode, as: 'audioMode'
          property :audio_routing_mode, as: 'audioRoutingMode'
          property :encoding, as: 'encoding'
          property :preferred_bitrate_bps, as: 'preferredBitrateBps'
        end
      end
      
      class GoogleAssistantAccessoryV1DeviceConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_build, as: 'deviceBuild', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1DeviceBuild, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1DeviceBuild::Representation
      
          property :device_model_capabilities_override, as: 'deviceModelCapabilitiesOverride', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1DeviceModelCapabilitiesOverride, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1DeviceModelCapabilitiesOverride::Representation
      
          property :heterodyne_token, as: 'heterodyneToken'
        end
      end
      
      class GoogleAssistantAccessoryV1DeviceState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alarm_state, as: 'alarmState', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Alarms, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Alarms::Representation
      
          property :context_params, :base64 => true, as: 'contextParams'
          property :device_time, as: 'deviceTime'
          property :device_time_zone, as: 'deviceTimeZone', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone::Representation
      
          property :do_not_disturb, as: 'doNotDisturb'
          property :fitness_activities_state, as: 'fitnessActivitiesState', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1FitnessActivities, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1FitnessActivities::Representation
      
          property :timer_state, as: 'timerState', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Timers, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Timers::Representation
      
        end
      end
      
      class GoogleAssistantAccessoryV1ResponseConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audio_out_config, as: 'audioOutConfig', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1AudioOutConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1AudioOutConfig::Representation
      
          property :device_config, as: 'deviceConfig', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1DeviceConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1DeviceConfig::Representation
      
          property :device_interaction, :base64 => true, as: 'deviceInteraction'
          property :device_state, as: 'deviceState', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1DeviceState, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1DeviceState::Representation
      
          property :initial_audio_bytes, as: 'initialAudioBytes'
          property :is_new_conversation, as: 'isNewConversation'
          property :output_sample_rate_hz, as: 'outputSampleRateHz'
          property :response_type, as: 'responseType'
          property :screen_out_config, as: 'screenOutConfig', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ScreenOutConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ScreenOutConfig::Representation
      
        end
      end
      
      class GoogleAssistantAccessoryV1ScreenOutConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dimensions, as: 'dimensions', class: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ScreenOutConfigDimensions, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantAccessoryV1ScreenOutConfigDimensions::Representation
      
        end
      end
      
      class GoogleAssistantAccessoryV1ScreenOutConfigDimensions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :screen_dpi, as: 'screenDpi'
          property :screen_height_px, as: 'screenHeightPx'
          property :screen_shape, as: 'screenShape'
          property :screen_width_px, as: 'screenWidthPx'
        end
      end
      
      class GoogleAssistantEmbeddedV1Alarm
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alarm_id, as: 'alarmId'
          property :date_pattern, as: 'datePattern', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :label, as: 'label'
          property :recurrence_pattern, as: 'recurrencePattern', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1AlarmRecurrence, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1AlarmRecurrence::Representation
      
          property :scheduled_time, as: 'scheduledTime'
          property :status, as: 'status'
          property :time_pattern, as: 'timePattern', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay::Representation
      
        end
      end
      
      class GoogleAssistantEmbeddedV1AlarmRecurrence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :day_of_week, as: 'dayOfWeek'
        end
      end
      
      class GoogleAssistantEmbeddedV1Alarms
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alarms, as: 'alarms', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Alarm, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Alarm::Representation
      
          property :snooze_duration, as: 'snoozeDuration'
          property :state_fetch_error, as: 'stateFetchError'
        end
      end
      
      class GoogleAssistantEmbeddedV1DeviceBuild
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :user_agent_suffix, as: 'userAgentSuffix'
        end
      end
      
      class GoogleAssistantEmbeddedV1DeviceModelCapabilitiesOverride
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_model_capabilities, :base64 => true, as: 'deviceModelCapabilities'
          property :update_mask, as: 'updateMask'
        end
      end
      
      class GoogleAssistantEmbeddedV1FitnessActivities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :fitness_activities, as: 'fitnessActivities', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1FitnessActivity, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1FitnessActivity::Representation
      
        end
      end
      
      class GoogleAssistantEmbeddedV1FitnessActivity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :activity_id, as: 'activityId'
          property :most_recent_start_time, as: 'mostRecentStartTime'
          property :previously_accumulated_duration, as: 'previouslyAccumulatedDuration'
          property :state, as: 'state'
          property :type, as: 'type'
        end
      end
      
      class GoogleAssistantEmbeddedV1Timer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expire_time, as: 'expireTime'
          property :label, as: 'label'
          property :original_duration, as: 'originalDuration'
          property :remaining_duration, as: 'remainingDuration'
          property :status, as: 'status'
          property :timer_id, as: 'timerId'
        end
      end
      
      class GoogleAssistantEmbeddedV1Timers
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state_fetch_error, as: 'stateFetchError'
          collection :timers, as: 'timers', class: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Timer, decorator: Google::Apis::ContentwarehouseV1::GoogleAssistantEmbeddedV1Timer::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1AccessControlAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :operation_type, as: 'operationType'
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1Action
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_control, as: 'accessControl', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1AccessControlAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1AccessControlAction::Representation
      
          property :action_id, as: 'actionId'
          property :add_to_folder, as: 'addToFolder', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1AddToFolderAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1AddToFolderAction::Representation
      
          property :data_update, as: 'dataUpdate', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DataUpdateAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DataUpdateAction::Representation
      
          property :data_validation, as: 'dataValidation', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DataValidationAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DataValidationAction::Representation
      
          property :delete_document_action, as: 'deleteDocumentAction', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DeleteDocumentAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DeleteDocumentAction::Representation
      
          property :publish_to_pub_sub, as: 'publishToPubSub', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PublishAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PublishAction::Representation
      
          property :remove_from_folder_action, as: 'removeFromFolderAction', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RemoveFromFolderAction, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RemoveFromFolderAction::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ActionExecutorOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :rule_actions_pairs, as: 'ruleActionsPairs', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleActionsPair, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleActionsPair::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ActionOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :action_id, as: 'actionId'
          property :action_state, as: 'actionState'
          property :output_message, as: 'outputMessage'
        end
      end
      
      class GoogleCloudContentwarehouseV1AddToFolderAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :folders, as: 'folders'
        end
      end
      
      class GoogleCloudContentwarehouseV1CloudAiDocumentOption
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :customized_entities_properties_conversions, as: 'customizedEntitiesPropertiesConversions'
          property :enable_entities_conversions, as: 'enableEntitiesConversions'
        end
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentLinkRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document_link, as: 'documentLink', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink::Representation
      
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_ai_document_option, as: 'cloudAiDocumentOption', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1CloudAiDocumentOption, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1CloudAiDocumentOption::Representation
      
          property :create_mask, as: 'createMask'
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document::Representation
      
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy::Representation
      
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1CreateDocumentResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata::Representation
      
          property :rule_engine_output, as: 'ruleEngineOutput', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEngineOutput, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEngineOutput::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1DataUpdateAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :entries, as: 'entries'
        end
      end
      
      class GoogleCloudContentwarehouseV1DataValidationAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :conditions, as: 'conditions'
        end
      end
      
      class GoogleCloudContentwarehouseV1DateTimeArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values', class: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1DateTimeTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enable_hard_delete, as: 'enableHardDelete'
        end
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentLinkRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1DeleteDocumentRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1Document
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :async_enabled, as: 'asyncEnabled'
          property :cloud_ai_document, as: 'cloudAiDocument', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Document::Representation
      
          property :create_time, as: 'createTime'
          property :creator, as: 'creator'
          property :display_name, as: 'displayName'
          property :display_uri, as: 'displayUri'
          property :document_schema_name, as: 'documentSchemaName'
          property :inline_raw_document, :base64 => true, as: 'inlineRawDocument'
          property :name, as: 'name'
          property :plain_text, as: 'plainText'
          collection :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Property, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Property::Representation
      
          property :raw_document_file_type, as: 'rawDocumentFileType'
          property :raw_document_path, as: 'rawDocumentPath'
          property :reference_id, as: 'referenceId'
          property :structured_content_uri, as: 'structuredContentUri'
          property :text_extraction_disabled, as: 'textExtractionDisabled'
          property :title, as: 'title'
          property :update_time, as: 'updateTime'
          property :updater, as: 'updater'
        end
      end
      
      class GoogleCloudContentwarehouseV1DocumentLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :create_time, as: 'createTime'
          property :description, as: 'description'
          property :name, as: 'name'
          property :source_document_reference, as: 'sourceDocumentReference', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentReference, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentReference::Representation
      
          property :state, as: 'state'
          property :target_document_reference, as: 'targetDocumentReference', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentReference, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentReference::Representation
      
          property :update_time, as: 'updateTime'
        end
      end
      
      class GoogleCloudContentwarehouseV1DocumentQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :custom_property_filter, as: 'customPropertyFilter'
          collection :document_creator_filter, as: 'documentCreatorFilter'
          collection :document_schema_names, as: 'documentSchemaNames'
          property :file_type_filter, as: 'fileTypeFilter', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FileTypeFilter, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FileTypeFilter::Representation
      
          property :folder_name_filter, as: 'folderNameFilter'
          property :is_nl_query, as: 'isNlQuery'
          collection :property_filter, as: 'propertyFilter', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyFilter, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyFilter::Representation
      
          property :query, as: 'query'
          collection :query_context, as: 'queryContext'
          collection :time_filters, as: 'timeFilters', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimeFilter, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimeFilter::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1DocumentReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :create_time, as: 'createTime'
          property :delete_time, as: 'deleteTime'
          property :display_name, as: 'displayName'
          property :document_is_folder, as: 'documentIsFolder'
          property :document_name, as: 'documentName'
          property :snippet, as: 'snippet'
          property :update_time, as: 'updateTime'
        end
      end
      
      class GoogleCloudContentwarehouseV1DocumentSchema
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :create_time, as: 'createTime'
          property :description, as: 'description'
          property :display_name, as: 'displayName'
          property :document_is_folder, as: 'documentIsFolder'
          property :name, as: 'name'
          collection :property_definitions, as: 'propertyDefinitions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyDefinition, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyDefinition::Representation
      
          property :update_time, as: 'updateTime'
        end
      end
      
      class GoogleCloudContentwarehouseV1EnumArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values'
        end
      end
      
      class GoogleCloudContentwarehouseV1EnumTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :possible_values, as: 'possibleValues'
          property :validation_check_disabled, as: 'validationCheckDisabled'
        end
      end
      
      class GoogleCloudContentwarehouseV1EnumValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :value, as: 'value'
        end
      end
      
      class GoogleCloudContentwarehouseV1FetchAclRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :project_owner, as: 'projectOwner'
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1FetchAclResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata::Representation
      
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1FileTypeFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :file_type, as: 'fileType'
        end
      end
      
      class GoogleCloudContentwarehouseV1FloatArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values'
        end
      end
      
      class GoogleCloudContentwarehouseV1FloatTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1GetDocumentRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1HistogramQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :filters, as: 'filters', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQueryPropertyNameFilter, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQueryPropertyNameFilter::Representation
      
          property :histogram_query, as: 'histogramQuery'
          property :require_precise_result_size, as: 'requirePreciseResultSize'
        end
      end
      
      class GoogleCloudContentwarehouseV1HistogramQueryPropertyNameFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :document_schemas, as: 'documentSchemas'
          collection :property_names, as: 'propertyNames'
          property :y_axis, as: 'yAxis'
        end
      end
      
      class GoogleCloudContentwarehouseV1HistogramQueryResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :histogram, as: 'histogram'
          property :histogram_query, as: 'histogramQuery'
        end
      end
      
      class GoogleCloudContentwarehouseV1InitializeProjectRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_control_mode, as: 'accessControlMode'
          property :database_type, as: 'databaseType'
          property :kms_key, as: 'kmsKey'
        end
      end
      
      class GoogleCloudContentwarehouseV1InitializeProjectResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :message, as: 'message'
          property :state, as: 'state'
        end
      end
      
      class GoogleCloudContentwarehouseV1IntegerArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values'
        end
      end
      
      class GoogleCloudContentwarehouseV1IntegerTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1InvalidRule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :error, as: 'error'
          property :rule, as: 'rule', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ListDocumentSchemasResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :document_schemas, as: 'documentSchemas', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentSchema, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentSchema::Representation
      
          property :next_page_token, as: 'nextPageToken'
        end
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedSourcesRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :page_size, as: 'pageSize'
          property :page_token, as: 'pageToken'
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedSourcesResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :document_links, as: 'documentLinks', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink::Representation
      
          property :next_page_token, as: 'nextPageToken'
        end
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedTargetsRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ListLinkedTargetsResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :document_links, as: 'documentLinks', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentLink::Representation
      
          property :next_page_token, as: 'nextPageToken'
        end
      end
      
      class GoogleCloudContentwarehouseV1ListRuleSetsResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :next_page_token, as: 'nextPageToken'
          collection :rule_sets, as: 'ruleSets', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleSet, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleSet::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ListSynonymSetsResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :next_page_token, as: 'nextPageToken'
          collection :synonym_sets, as: 'synonymSets', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SynonymSet, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SynonymSet::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1MapProperty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :fields, as: 'fields', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Value, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Value::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1MapTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1MergeFieldsOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :replace_message_fields, as: 'replaceMessageFields'
          property :replace_repeated_fields, as: 'replaceRepeatedFields'
        end
      end
      
      class GoogleCloudContentwarehouseV1Property
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_time_values, as: 'dateTimeValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DateTimeArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DateTimeArray::Representation
      
          property :enum_values, as: 'enumValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumArray::Representation
      
          property :float_values, as: 'floatValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FloatArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FloatArray::Representation
      
          property :integer_values, as: 'integerValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1IntegerArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1IntegerArray::Representation
      
          property :map_property, as: 'mapProperty', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MapProperty, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MapProperty::Representation
      
          property :name, as: 'name'
          property :property_values, as: 'propertyValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyArray::Representation
      
          property :text_values, as: 'textValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TextArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TextArray::Representation
      
          property :timestamp_values, as: 'timestampValues', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampArray, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampArray::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1PropertyArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Property, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Property::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1PropertyDefinition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_time_type_options, as: 'dateTimeTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DateTimeTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DateTimeTypeOptions::Representation
      
          property :display_name, as: 'displayName'
          property :enum_type_options, as: 'enumTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumTypeOptions::Representation
      
          property :float_type_options, as: 'floatTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FloatTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1FloatTypeOptions::Representation
      
          property :integer_type_options, as: 'integerTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1IntegerTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1IntegerTypeOptions::Representation
      
          property :is_filterable, as: 'isFilterable'
          property :is_metadata, as: 'isMetadata'
          property :is_repeatable, as: 'isRepeatable'
          property :is_required, as: 'isRequired'
          property :is_searchable, as: 'isSearchable'
          property :map_type_options, as: 'mapTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MapTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MapTypeOptions::Representation
      
          property :name, as: 'name'
          property :property_type_options, as: 'propertyTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyTypeOptions::Representation
      
          property :text_type_options, as: 'textTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TextTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TextTypeOptions::Representation
      
          property :timestamp_type_options, as: 'timestampTypeOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampTypeOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampTypeOptions::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1PropertyFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :condition, as: 'condition'
          property :document_schema_name, as: 'documentSchemaName'
        end
      end
      
      class GoogleCloudContentwarehouseV1PropertyTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :property_definitions, as: 'propertyDefinitions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyDefinition, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1PropertyDefinition::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1PublishAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :messages, as: 'messages'
          property :topic_id, as: 'topicId'
        end
      end
      
      class GoogleCloudContentwarehouseV1QaResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence_score, as: 'confidenceScore'
          collection :highlights, as: 'highlights', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1QaResultHighlight, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1QaResultHighlight::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1QaResultHighlight
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_index, as: 'endIndex'
          property :start_index, as: 'startIndex'
        end
      end
      
      class GoogleCloudContentwarehouseV1RemoveFromFolderAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :condition, as: 'condition'
          property :folder, as: 'folder'
        end
      end
      
      class GoogleCloudContentwarehouseV1RequestMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :user_info, as: 'userInfo', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1UserInfo, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1UserInfo::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1ResponseMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :request_id, as: 'requestId'
        end
      end
      
      class GoogleCloudContentwarehouseV1Rule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :actions, as: 'actions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Action, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Action::Representation
      
          property :condition, as: 'condition'
          property :description, as: 'description'
          property :rule_id, as: 'ruleId'
          property :trigger_type, as: 'triggerType'
        end
      end
      
      class GoogleCloudContentwarehouseV1RuleActionsPair
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :action_outputs, as: 'actionOutputs', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ActionOutput, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ActionOutput::Representation
      
          property :rule, as: 'rule', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1RuleEngineOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :action_executor_output, as: 'actionExecutorOutput', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ActionExecutorOutput, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ActionExecutorOutput::Representation
      
          property :document_name, as: 'documentName'
          property :rule_evaluator_output, as: 'ruleEvaluatorOutput', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEvaluatorOutput, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEvaluatorOutput::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1RuleEvaluatorOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :invalid_rules, as: 'invalidRules', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1InvalidRule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1InvalidRule::Representation
      
          collection :matched_rules, as: 'matchedRules', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule::Representation
      
          collection :triggered_rules, as: 'triggeredRules', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1RuleSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :name, as: 'name'
          collection :rules, as: 'rules', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Rule::Representation
      
          property :source, as: 'source'
        end
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document_query, as: 'documentQuery', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentQuery, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentQuery::Representation
      
          collection :histogram_queries, as: 'histogramQueries', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQuery, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQuery::Representation
      
          property :offset, as: 'offset'
          property :order_by, as: 'orderBy'
          property :page_size, as: 'pageSize'
          property :page_token, as: 'pageToken'
          property :qa_size_limit, as: 'qaSizeLimit'
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
          property :require_total_size, as: 'requireTotalSize'
        end
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :histogram_query_results, as: 'histogramQueryResults', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQueryResult, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1HistogramQueryResult::Representation
      
          collection :matching_documents, as: 'matchingDocuments', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SearchDocumentsResponseMatchingDocument, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SearchDocumentsResponseMatchingDocument::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata::Representation
      
          property :next_page_token, as: 'nextPageToken'
          property :total_size, as: 'totalSize'
        end
      end
      
      class GoogleCloudContentwarehouseV1SearchDocumentsResponseMatchingDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document::Representation
      
          property :qa_result, as: 'qaResult', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1QaResult, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1QaResult::Representation
      
          property :search_text_snippet, as: 'searchTextSnippet'
        end
      end
      
      class GoogleCloudContentwarehouseV1SetAclRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy::Representation
      
          property :project_owner, as: 'projectOwner'
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1SetAclResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata::Representation
      
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Policy::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1SynonymSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :context, as: 'context'
          property :name, as: 'name'
          collection :synonyms, as: 'synonyms', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SynonymSetSynonym, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1SynonymSetSynonym::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1SynonymSetSynonym
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :words, as: 'words'
        end
      end
      
      class GoogleCloudContentwarehouseV1TextArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values'
        end
      end
      
      class GoogleCloudContentwarehouseV1TextTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1TimeFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :time_field, as: 'timeField'
          property :time_range, as: 'timeRange', class: Google::Apis::ContentwarehouseV1::GoogleTypeInterval, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeInterval::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1TimestampArray
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampValue, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampValue::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1TimestampTypeOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1TimestampValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :text_value, as: 'textValue'
          property :timestamp_value, as: 'timestampValue'
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_ai_document_option, as: 'cloudAiDocumentOption', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1CloudAiDocumentOption, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1CloudAiDocumentOption::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document::Representation
      
          property :request_metadata, as: 'requestMetadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RequestMetadata::Representation
      
          property :update_options, as: 'updateOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1UpdateOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1UpdateOptions::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1Document::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1ResponseMetadata::Representation
      
          property :rule_engine_output, as: 'ruleEngineOutput', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEngineOutput, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleEngineOutput::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateDocumentSchemaRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document_schema, as: 'documentSchema', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentSchema, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1DocumentSchema::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :merge_fields_options, as: 'mergeFieldsOptions', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MergeFieldsOptions, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1MergeFieldsOptions::Representation
      
          property :update_mask, as: 'updateMask'
          property :update_type, as: 'updateType'
        end
      end
      
      class GoogleCloudContentwarehouseV1UpdateRuleSetRequest
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :rule_set, as: 'ruleSet', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleSet, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1RuleSet::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1UserInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :group_ids, as: 'groupIds'
          property :id, as: 'id'
        end
      end
      
      class GoogleCloudContentwarehouseV1Value
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boolean_value, as: 'booleanValue'
          property :datetime_value, as: 'datetimeValue', class: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime::Representation
      
          property :enum_value, as: 'enumValue', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumValue, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1EnumValue::Representation
      
          property :float_value, as: 'floatValue'
          property :int_value, as: 'intValue'
          property :string_value, as: 'stringValue'
          property :timestamp_value, as: 'timestampValue', class: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampValue, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudContentwarehouseV1TimestampValue::Representation
      
        end
      end
      
      class GoogleCloudContentwarehouseV1beta1CreateDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudContentwarehouseV1beta1InitializeProjectResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :message, as: 'message'
          property :state, as: 'state'
        end
      end
      
      class GoogleCloudContentwarehouseV1beta1UpdateDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleCloudDocumentaiV1Barcode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :format, as: 'format'
          property :raw_value, as: 'rawValue'
          property :value_format, as: 'valueFormat'
        end
      end
      
      class GoogleCloudDocumentaiV1BoundingPoly
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :normalized_vertices, as: 'normalizedVertices', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1NormalizedVertex, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1NormalizedVertex::Representation
      
          collection :vertices, as: 'vertices', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Vertex, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Vertex::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1Document
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, :base64 => true, as: 'content'
          collection :entities, as: 'entities', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntity, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntity::Representation
      
          collection :entity_relations, as: 'entityRelations', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntityRelation, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntityRelation::Representation
      
          property :error, as: 'error', class: Google::Apis::ContentwarehouseV1::GoogleRpcStatus, decorator: Google::Apis::ContentwarehouseV1::GoogleRpcStatus::Representation
      
          property :mime_type, as: 'mimeType'
          collection :pages, as: 'pages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPage::Representation
      
          collection :revisions, as: 'revisions', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentRevision, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentRevision::Representation
      
          property :shard_info, as: 'shardInfo', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentShardInfo, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentShardInfo::Representation
      
          property :text, as: 'text'
          collection :text_changes, as: 'textChanges', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextChange, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextChange::Representation
      
          collection :text_styles, as: 'textStyles', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentStyle, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentStyle::Representation
      
          property :uri, as: 'uri'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :id, as: 'id'
          property :mention_id, as: 'mentionId'
          property :mention_text, as: 'mentionText'
          property :normalized_value, as: 'normalizedValue', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntityNormalizedValue, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntityNormalizedValue::Representation
      
          property :page_anchor, as: 'pageAnchor', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageAnchor, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageAnchor::Representation
      
          collection :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntity, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentEntity::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
          property :redacted, as: 'redacted'
          property :text_anchor, as: 'textAnchor', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentEntityNormalizedValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address_value, as: 'addressValue', class: Google::Apis::ContentwarehouseV1::GoogleTypePostalAddress, decorator: Google::Apis::ContentwarehouseV1::GoogleTypePostalAddress::Representation
      
          property :boolean_value, as: 'booleanValue'
          property :date_value, as: 'dateValue', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :datetime_value, as: 'datetimeValue', class: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDateTime::Representation
      
          property :float_value, as: 'floatValue'
          property :integer_value, as: 'integerValue'
          property :money_value, as: 'moneyValue', class: Google::Apis::ContentwarehouseV1::GoogleTypeMoney, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeMoney::Representation
      
          property :text, as: 'text'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentEntityRelation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :object_id_prop, as: 'objectId'
          property :relation, as: 'relation'
          property :subject_id, as: 'subjectId'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :blocks, as: 'blocks', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageBlock, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageBlock::Representation
      
          collection :detected_barcodes, as: 'detectedBarcodes', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedBarcode, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedBarcode::Representation
      
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :dimension, as: 'dimension', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDimension, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDimension::Representation
      
          collection :form_fields, as: 'formFields', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageFormField, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageFormField::Representation
      
          property :image, as: 'image', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageImage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageImage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          collection :lines, as: 'lines', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLine, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLine::Representation
      
          property :page_number, as: 'pageNumber'
          collection :paragraphs, as: 'paragraphs', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageParagraph, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageParagraph::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
          collection :symbols, as: 'symbols', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageSymbol, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageSymbol::Representation
      
          collection :tables, as: 'tables', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTable, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTable::Representation
      
          collection :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageToken, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageToken::Representation
      
          collection :transforms, as: 'transforms', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageMatrix, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageMatrix::Representation
      
          collection :visual_elements, as: 'visualElements', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageVisualElement, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageVisualElement::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :page_refs, as: 'pageRefs', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageAnchorPageRef, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageAnchorPageRef::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageAnchorPageRef
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_poly, as: 'boundingPoly', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1BoundingPoly, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1BoundingPoly::Representation
      
          property :confidence, as: 'confidence'
          property :layout_id, as: 'layoutId'
          property :layout_type, as: 'layoutType'
          property :page, :numeric_string => true, as: 'page'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageBlock
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDetectedBarcode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :barcode, as: 'barcode', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Barcode, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1Barcode::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDetectedLanguage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :language_code, as: 'languageCode'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageDimension
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :unit, as: 'unit'
          property :width, as: 'width'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageFormField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :corrected_key_text, as: 'correctedKeyText'
          property :corrected_value_text, as: 'correctedValueText'
          property :field_name, as: 'fieldName', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :field_value, as: 'fieldValue', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          collection :name_detected_languages, as: 'nameDetectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
          collection :value_detected_languages, as: 'valueDetectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :value_type, as: 'valueType'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageImage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, :base64 => true, as: 'content'
          property :height, as: 'height'
          property :mime_type, as: 'mimeType'
          property :width, as: 'width'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageLayout
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_poly, as: 'boundingPoly', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1BoundingPoly, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1BoundingPoly::Representation
      
          property :confidence, as: 'confidence'
          property :orientation, as: 'orientation'
          property :text_anchor, as: 'textAnchor', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageLine
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageMatrix
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cols, as: 'cols'
          property :data, :base64 => true, as: 'data'
          property :rows, as: 'rows'
          property :type, as: 'type'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageParagraph
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageSymbol
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTable
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :body_rows, as: 'bodyRows', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableRow, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableRow::Representation
      
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          collection :header_rows, as: 'headerRows', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableRow, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableRow::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTableTableCell
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :col_span, as: 'colSpan'
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :row_span, as: 'rowSpan'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTableTableRow
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cells, as: 'cells', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableCell, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTableTableCell::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :detected_break, as: 'detectedBreak', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTokenDetectedBreak, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageTokenDetectedBreak::Representation
      
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageTokenDetectedBreak
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentPageVisualElement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_languages, as: 'detectedLanguages', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageDetectedLanguage::Representation
      
          property :layout, as: 'layout', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentPageLayout::Representation
      
          property :type, as: 'type'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          collection :parents, as: 'parents', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenanceParent, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenanceParent::Representation
      
          property :revision, as: 'revision'
          property :type, as: 'type'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentProvenanceParent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :index, as: 'index'
          property :revision, as: 'revision'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentRevision
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent, as: 'agent'
          property :create_time, as: 'createTime'
          property :human_review, as: 'humanReview', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentRevisionHumanReview, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentRevisionHumanReview::Representation
      
          property :id, as: 'id'
          collection :parent, as: 'parent'
          collection :parent_ids, as: 'parentIds'
          property :processor, as: 'processor'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentRevisionHumanReview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :state, as: 'state'
          property :state_message, as: 'stateMessage'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentShardInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :shard_count, :numeric_string => true, as: 'shardCount'
          property :shard_index, :numeric_string => true, as: 'shardIndex'
          property :text_offset, :numeric_string => true, as: 'textOffset'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentStyle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :background_color, as: 'backgroundColor', class: Google::Apis::ContentwarehouseV1::GoogleTypeColor, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeColor::Representation
      
          property :color, as: 'color', class: Google::Apis::ContentwarehouseV1::GoogleTypeColor, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeColor::Representation
      
          property :font_family, as: 'fontFamily'
          property :font_size, as: 'fontSize', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentStyleFontSize, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentStyleFontSize::Representation
      
          property :font_weight, as: 'fontWeight'
          property :text_anchor, as: 'textAnchor', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor::Representation
      
          property :text_decoration, as: 'textDecoration'
          property :text_style, as: 'textStyle'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentStyleFontSize
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :size, as: 'size'
          property :unit, as: 'unit'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentTextAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, as: 'content'
          collection :text_segments, as: 'textSegments', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchorTextSegment, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchorTextSegment::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentTextAnchorTextSegment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_index, :numeric_string => true, as: 'endIndex'
          property :start_index, :numeric_string => true, as: 'startIndex'
        end
      end
      
      class GoogleCloudDocumentaiV1DocumentTextChange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :changed_text, as: 'changedText'
          collection :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentProvenance::Representation
      
          property :text_anchor, as: 'textAnchor', class: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor, decorator: Google::Apis::ContentwarehouseV1::GoogleCloudDocumentaiV1DocumentTextAnchor::Representation
      
        end
      end
      
      class GoogleCloudDocumentaiV1NormalizedVertex
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class GoogleCloudDocumentaiV1Vertex
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class GoogleIamV1AuditConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :audit_log_configs, as: 'auditLogConfigs', class: Google::Apis::ContentwarehouseV1::GoogleIamV1AuditLogConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1AuditLogConfig::Representation
      
          property :service, as: 'service'
        end
      end
      
      class GoogleIamV1AuditLogConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :exempted_members, as: 'exemptedMembers'
          property :log_type, as: 'logType'
        end
      end
      
      class GoogleIamV1Binding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :condition, as: 'condition', class: Google::Apis::ContentwarehouseV1::GoogleTypeExpr, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeExpr::Representation
      
          collection :members, as: 'members'
          property :role, as: 'role'
        end
      end
      
      class GoogleIamV1Policy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :audit_configs, as: 'auditConfigs', class: Google::Apis::ContentwarehouseV1::GoogleIamV1AuditConfig, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1AuditConfig::Representation
      
          collection :bindings, as: 'bindings', class: Google::Apis::ContentwarehouseV1::GoogleIamV1Binding, decorator: Google::Apis::ContentwarehouseV1::GoogleIamV1Binding::Representation
      
          property :etag, :base64 => true, as: 'etag'
          property :version, as: 'version'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaAvailabilityPeriod
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day_of_week, as: 'dayOfWeek'
          property :period_end_minutes, as: 'periodEndMinutes'
          property :period_start_minutes, as: 'periodStartMinutes'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaCalendarBusy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event_summary, as: 'eventSummary'
          property :next_available, as: 'nextAvailable'
          property :occupied_until, as: 'occupiedUntil'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaCustomLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :geo_coordinates, as: 'geoCoordinates', class: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng::Representation
      
          property :label, as: 'label'
          property :location, as: 'location'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaDoNotDisturb
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :next_available, as: 'nextAvailable'
          property :occupied_until, as: 'occupiedUntil'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaHomeLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaInMeeting
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event_summary, as: 'eventSummary'
          property :in_meetings_until, as: 'inMeetingsUntil'
          property :next_available, as: 'nextAvailable'
          property :occupied_until, as: 'occupiedUntil'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaInactive
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaLocalTimeContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :time_zone, as: 'timeZone'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaOfficeLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experimental_building_id, as: 'experimentalBuildingId'
          property :experimental_desk_id, as: 'experimentalDeskId'
          property :experimental_floor_id, as: 'experimentalFloorId'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaOutOfOffice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :come_back_time, as: 'comeBackTime'
          property :event_summary, as: 'eventSummary'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaOutsideWorkingHours
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :come_back_time, as: 'comeBackTime'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaTimeRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_time, as: 'endTime'
          property :start_time, as: 'startTime'
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUpcomingOooContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :time_range, as: 'timeRange', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaTimeRange, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaTimeRange::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUserAvailabilities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :availabilities, as: 'availabilities', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserAvailability, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserAvailability::Representation
      
          property :next_poll_time, as: 'nextPollTime'
          property :working_hours, as: 'workingHours', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaWorkingHours, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaWorkingHours::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUserAvailability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contexts, as: 'contexts', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserContext, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserContext::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserStatus, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserStatus::Representation
      
          property :time_range, as: 'timeRange', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaTimeRange, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaTimeRange::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUserContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :local_time, as: 'localTime', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaLocalTimeContext, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaLocalTimeContext::Representation
      
          property :upcoming_ooo, as: 'upcomingOoo', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUpcomingOooContext, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUpcomingOooContext::Representation
      
          property :working_elsewhere, as: 'workingElsewhere', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaWorkingElsewhereContext, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaWorkingElsewhereContext::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUserLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :custom_location, as: 'customLocation', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaCustomLocation, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaCustomLocation::Representation
      
          property :home_location, as: 'homeLocation', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaHomeLocation, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaHomeLocation::Representation
      
          property :office_location, as: 'officeLocation', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOfficeLocation, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOfficeLocation::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaUserStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calendar_busy, as: 'calendarBusy', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaCalendarBusy, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaCalendarBusy::Representation
      
          property :do_not_disturb, as: 'doNotDisturb', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaDoNotDisturb, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaDoNotDisturb::Representation
      
          property :in_meeting, as: 'inMeeting', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaInMeeting, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaInMeeting::Representation
      
          property :inactive, as: 'inactive', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaInactive, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaInactive::Representation
      
          property :out_of_office, as: 'outOfOffice', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOutOfOffice, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOutOfOffice::Representation
      
          property :outside_working_hours, as: 'outsideWorkingHours', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOutsideWorkingHours, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaOutsideWorkingHours::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaWorkingElsewhereContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserLocation, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserLocation::Representation
      
        end
      end
      
      class GoogleInternalAppsWaldoV1alphaWorkingHours
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :available_time, as: 'availableTime', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaAvailabilityPeriod, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaAvailabilityPeriod::Representation
      
        end
      end
      
      class GoogleInternalCommunicationsInstantmessagingV1Id
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :app, as: 'app'
          property :country_code, as: 'countryCode'
          property :id, as: 'id'
          property :location_hint, as: 'locationHint', class: Google::Apis::ContentwarehouseV1::GoogleInternalCommunicationsInstantmessagingV1LocationHint, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalCommunicationsInstantmessagingV1LocationHint::Representation
      
          property :routing_info_token, :base64 => true, as: 'routingInfoToken'
          property :type, as: 'type'
        end
      end
      
      class GoogleInternalCommunicationsInstantmessagingV1LocationHint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :format, as: 'format'
          property :location, as: 'location'
        end
      end
      
      class GoogleLongrunningOperation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :done, as: 'done'
          property :error, as: 'error', class: Google::Apis::ContentwarehouseV1::GoogleRpcStatus, decorator: Google::Apis::ContentwarehouseV1::GoogleRpcStatus::Representation
      
          hash :metadata, as: 'metadata'
          property :name, as: 'name'
          hash :response, as: 'response'
        end
      end
      
      class GoogleProtobufEmpty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class GoogleRpcStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'code'
          collection :details, as: 'details'
          property :message, as: 'message'
        end
      end
      
      class GoogleTypeColor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alpha, as: 'alpha'
          property :blue, as: 'blue'
          property :green, as: 'green'
          property :red, as: 'red'
        end
      end
      
      class GoogleTypeDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'day'
          property :month, as: 'month'
          property :year, as: 'year'
        end
      end
      
      class GoogleTypeDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'day'
          property :hours, as: 'hours'
          property :minutes, as: 'minutes'
          property :month, as: 'month'
          property :nanos, as: 'nanos'
          property :seconds, as: 'seconds'
          property :time_zone, as: 'timeZone', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone::Representation
      
          property :utc_offset, as: 'utcOffset'
          property :year, as: 'year'
        end
      end
      
      class GoogleTypeExpr
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :expression, as: 'expression'
          property :location, as: 'location'
          property :title, as: 'title'
        end
      end
      
      class GoogleTypeInterval
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_time, as: 'endTime'
          property :start_time, as: 'startTime'
        end
      end
      
      class GoogleTypeLatLng
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :latitude, as: 'latitude'
          property :longitude, as: 'longitude'
        end
      end
      
      class GoogleTypeMoney
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :currency_code, as: 'currencyCode'
          property :nanos, as: 'nanos'
          property :units, :numeric_string => true, as: 'units'
        end
      end
      
      class GoogleTypePostalAddress
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :address_lines, as: 'addressLines'
          property :administrative_area, as: 'administrativeArea'
          property :language_code, as: 'languageCode'
          property :locality, as: 'locality'
          property :organization, as: 'organization'
          property :postal_code, as: 'postalCode'
          collection :recipients, as: 'recipients'
          property :region_code, as: 'regionCode'
          property :revision, as: 'revision'
          property :sorting_code, as: 'sortingCode'
          property :sublocality, as: 'sublocality'
        end
      end
      
      class GoogleTypeTimeOfDay
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hours, as: 'hours'
          property :minutes, as: 'minutes'
          property :nanos, as: 'nanos'
          property :seconds, as: 'seconds'
        end
      end
      
      class GoogleTypeTimeZone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :version, as: 'version'
        end
      end
      
      class GroupsPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :author_id, :numeric_string => true, as: 'AuthorId'
          property :group_gaia_id, :numeric_string => true, as: 'GroupGaiaId'
          property :group_id, :numeric_string => true, as: 'GroupId'
          property :thread_id, :numeric_string => true, as: 'ThreadId'
        end
      end
      
      class HomeGraphCommonRoute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agent_device_id, as: 'agentDeviceId'
          property :agent_id, as: 'agentId'
          collection :chip_endpoint, as: 'chipEndpoint'
          property :target_type, as: 'targetType'
        end
      end
      
      class HomeGraphCommonRoutingTable
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :supported_routes, as: 'supportedRoutes', class: Google::Apis::ContentwarehouseV1::HomeGraphCommonRoute, decorator: Google::Apis::ContentwarehouseV1::HomeGraphCommonRoute::Representation
      
        end
      end
      
      class HomeGraphCommonTraitRoutingHints
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_fulfillment_only, as: 'cloudFulfillmentOnly'
          property :trait, as: 'trait'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoAnonTimingStatPair
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :time_s, as: 'timeS'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :width, as: 'width'
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoChromiumTrace
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :chromium_trace, as: 'chromiumTrace'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoConsoleLogEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :line_number, as: 'lineNumber'
          property :message, as: 'message'
          property :message_level, as: 'messageLevel'
          property :source_url, as: 'sourceUrl'
          collection :stack_trace, as: 'stackTrace', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoScriptStackFrame, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoScriptStackFrame::Representation
      
          property :timestamp, as: 'timestamp'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoCookie
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
          property :expiration, as: 'expiration'
          property :http_only, as: 'httpOnly'
          property :name, :base64 => true, as: 'name'
          property :path, as: 'path'
          property :same_site, as: 'sameSite'
          property :secure, as: 'secure'
          property :value, :base64 => true, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoDomStorageItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, as: 'key'
          property :security_origin, as: 'securityOrigin'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoDomTreeNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribute, as: 'attribute', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomTreeNodeAttribute, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomTreeNodeAttribute::Representation
      
          collection :child_dom_tree_node_index, as: 'childDomTreeNodeIndex'
          property :current_source_url, as: 'currentSourceUrl'
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument::Representation
      
          property :html_tag_type, as: 'htmlTagType'
          property :is_clickable, as: 'isClickable'
          property :name, as: 'name'
          property :origin_url, as: 'originUrl'
          collection :referenced_resource_index, as: 'referencedResourceIndex'
          collection :render_tree_node_index, as: 'renderTreeNodeIndex'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoDomTreeNodeAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :html_attribute_type, as: 'htmlAttributeType'
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_uri, as: 'baseUri'
          property :charset, as: 'charset'
          property :content_height, as: 'contentHeight'
          property :content_language, as: 'contentLanguage'
          property :content_width, as: 'contentWidth'
          collection :dom_tree_node, as: 'domTreeNode', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomTreeNode, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomTreeNode::Representation
      
          property :frame_id, as: 'frameId'
          property :frame_name, as: 'frameName'
          property :javascript_time_of_day, as: 'javascriptTimeOfDay'
          collection :redirect_hop, as: 'redirectHop', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRedirectHop, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRedirectHop::Representation
      
          collection :referenced_resource, as: 'referencedResource', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResource, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResource::Representation
      
          collection :render_event, as: 'renderEvent', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderEvent::Representation
      
          collection :render_style, as: 'renderStyle', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoStyle, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoStyle::Representation
      
          collection :render_tree_node, as: 'renderTreeNode', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderTreeNode, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderTreeNode::Representation
      
          property :render_tree_quality_score, as: 'renderTreeQualityScore'
          property :rendered_content_area, as: 'renderedContentArea', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          property :scroll_x, as: 'scrollX'
          property :scroll_y, as: 'scrollY'
          property :snapshot_quality_score, as: 'snapshotQualityScore'
          property :title, as: 'title'
          property :uri, as: 'uri'
          property :viewport, as: 'viewport', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoFrameResizeEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :resize_type, as: 'resizeType'
          property :visible_rect_after_resize, as: 'visibleRectAfterResize', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          property :visible_rect_before_resize, as: 'visibleRectBeforeResize', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoImage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, :base64 => true, as: 'data'
          property :height, as: 'height'
          property :page_number, as: 'pageNumber'
          property :viewport, as: 'viewport', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          property :width, as: 'width'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoInitialLoadEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :url, as: 'url'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoModalDialogEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confirmed, as: 'confirmed'
          property :message, as: 'message'
          property :result, as: 'result'
          property :type, as: 'type'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoOffset
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :unit, as: 'unit'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoPartialRender
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cookie, as: 'cookie', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoCookie, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoCookie::Representation
      
          property :current_client_url, as: 'currentClientUrl'
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument::Representation
      
          property :id, as: 'id'
          property :image, as: 'image', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoPdf
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, :base64 => true, as: 'data'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRectangle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bottom, as: 'bottom', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :left, as: 'left', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :right, as: 'right', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :top, as: 'top', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRedirectEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :http_method, as: 'httpMethod'
          property :http_status_code, as: 'httpStatusCode'
          property :refresh_type, as: 'refreshType'
          property :target_content_downloaded, as: 'targetContentDownloaded'
          property :target_url, as: 'targetUrl'
          property :type, as: 'type'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRedirectHop
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
          property :url, as: 'url'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canceled, as: 'canceled'
          property :content_type, as: 'contentType'
          collection :dom_tree_node_index, as: 'domTreeNodeIndex'
          property :failed_http_access_control_check, as: 'failedHttpAccessControlCheck'
          collection :fetch_source_info, as: 'fetchSourceInfo', class: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo, decorator: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo::Representation
      
          property :fetch_status, as: 'fetchStatus'
          collection :http_header, as: 'httpHeader', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader::Representation
      
          property :http_response_code, as: 'httpResponseCode'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchMetadata, decorator: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchMetadata::Representation
      
          property :post_data, :base64 => true, as: 'postData'
          property :redirect_target, as: 'redirectTarget'
          property :referenced_resource_content_index, as: 'referencedResourceContentIndex'
          collection :request_header, as: 'requestHeader', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader::Representation
      
          property :request_method, as: 'requestMethod'
          collection :style_index, as: 'styleIndex'
          property :synchronously_fetched, as: 'synchronouslyFetched'
          collection :timing, as: 'timing', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceFetchTiming, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResourceFetchTiming::Representation
      
          property :url, as: 'url'
          property :webkit_metadata, as: 'webkitMetadata', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResourceFetchTiming
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :finish_msec, :numeric_string => true, as: 'finishMsec'
          property :name, as: 'name'
          property :start_msec, :numeric_string => true, as: 'startMsec'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoReferencedResourceHttpHeader
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :frame_resize, as: 'frameResize', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoFrameResizeEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoFrameResizeEvent::Representation
      
          property :initial_load, as: 'initialLoad', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoInitialLoadEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoInitialLoadEvent::Representation
      
          property :modal_dialog, as: 'modalDialog', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoModalDialogEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoModalDialogEvent::Representation
      
          property :redirect, as: 'redirect', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRedirectEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRedirectEvent::Representation
      
          property :script_origin_url, as: 'scriptOriginUrl'
          property :virtual_time_offset, as: 'virtualTimeOffset'
          property :window_open, as: 'windowOpen', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWindowOpenEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWindowOpenEvent::Representation
      
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderExtensionResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :console_log_entry, as: 'consoleLogEntry', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoConsoleLogEntry, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoConsoleLogEntry::Representation
      
          property :result, as: 'result'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :chromium_trace, as: 'chromiumTrace', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoChromiumTrace, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoChromiumTrace::Representation
      
          collection :cookie, as: 'cookie', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoCookie, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoCookie::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDocument::Representation
      
          property :exception_detail, as: 'exceptionDetail'
          property :exceptions, :numeric_string => true, as: 'exceptions'
          property :extension_result, as: 'extensionResult', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderExtensionResult, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderExtensionResult::Representation
      
          property :final_client_url, as: 'finalClientUrl'
          collection :image, as: 'image', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage::Representation
      
          collection :local_storage, as: 'localStorage', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomStorageItem, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomStorageItem::Representation
      
          collection :partial_render, as: 'partialRender', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoPartialRender, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoPartialRender::Representation
      
          property :pdf, as: 'pdf', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoPdf, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoPdf::Representation
      
          collection :referenced_resource_content, as: 'referencedResourceContent', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoResource, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoResource::Representation
      
          property :render_stats, as: 'renderStats', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderStats, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderStats::Representation
      
          collection :session_storage, as: 'sessionStorage', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomStorageItem, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoDomStorageItem::Representation
      
          property :title, as: 'title'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :anon_render_fine_timing_stats, as: 'anonRenderFineTimingStats', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoAnonTimingStatPair, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoAnonTimingStatPair::Representation
      
          collection :console_log_entry, as: 'consoleLogEntry', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoConsoleLogEntry, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoConsoleLogEntry::Representation
      
          collection :counter, as: 'counter', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderStatsCounter, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderStatsCounter::Representation
      
          property :document_build_time_msec, as: 'documentBuildTimeMsec'
          property :dropped_log_entry_count, as: 'droppedLogEntryCount'
          property :image_encoding_time_msec, as: 'imageEncodingTimeMsec'
          property :image_scaling_time_msec, as: 'imageScalingTimeMsec'
          property :layout_time_msec, as: 'layoutTimeMsec'
          property :paint_time_msec, as: 'paintTimeMsec'
          property :render_cost_mgcu, as: 'renderCostMgcu'
          property :render_engine, as: 'renderEngine'
          property :render_running_time_msec, as: 'renderRunningTimeMsec'
          property :render_server_baseline_cl, :numeric_string => true, as: 'renderServerBaselineCl'
          property :render_time_msec, as: 'renderTimeMsec'
          property :sandbox_render_time_msec, as: 'sandboxRenderTimeMsec'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderStatsCounter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, :numeric_string => true, as: 'count'
          property :name, as: 'name'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderTreeNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'box', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          collection :child_render_tree_node_index, as: 'childRenderTreeNodeIndex'
          property :dom_tree_node_index, as: 'domTreeNodeIndex'
          collection :inline_text_box, as: 'inlineTextBox', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderTreeNodeInlineTextBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderTreeNodeInlineTextBox::Representation
      
          property :rendered_text, as: 'renderedText'
          property :style_index, as: 'styleIndex'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoRenderTreeNodeInlineTextBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'box', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          property :rendered_text, as: 'renderedText'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoResource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, :base64 => true, as: 'content'
          collection :fetch_source_info, as: 'fetchSourceInfo', class: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo, decorator: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo::Representation
      
          property :final_content_url, as: 'finalContentUrl'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchMetadata, decorator: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchMetadata::Representation
      
          property :method_prop, as: 'method'
          property :post_data, :base64 => true, as: 'postData'
          collection :request_header, as: 'requestHeader', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoResourceHttpHeader, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoResourceHttpHeader::Representation
      
          property :url, as: 'url'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoResourceHttpHeader
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoScriptStackFrame
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :column_number, as: 'columnNumber'
          property :function_name, as: 'functionName'
          property :line_number, as: 'lineNumber'
          property :url, as: 'url'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoStyle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :background_attachment, as: 'backgroundAttachment'
          property :background_color_argb, as: 'backgroundColorArgb'
          collection :background_gradient_color_stop_argb, as: 'backgroundGradientColorStopArgb'
          property :background_gradient_repeat, as: 'backgroundGradientRepeat'
          property :background_gradient_type, as: 'backgroundGradientType'
          property :background_image_repeat, as: 'backgroundImageRepeat'
          property :background_image_url, as: 'backgroundImageUrl'
          property :background_image_x_pos, as: 'backgroundImageXPos', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :background_image_y_pos, as: 'backgroundImageYPos', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :background_size, as: 'backgroundSize'
          property :background_size_height, as: 'backgroundSizeHeight', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :background_size_width, as: 'backgroundSizeWidth', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :border_color_argb_bottom, as: 'borderColorArgbBottom'
          property :border_color_argb_left, as: 'borderColorArgbLeft'
          property :border_color_argb_right, as: 'borderColorArgbRight'
          property :border_color_argb_top, as: 'borderColorArgbTop'
          property :border_pixel_width_bottom, as: 'borderPixelWidthBottom'
          property :border_pixel_width_left, as: 'borderPixelWidthLeft'
          property :border_pixel_width_right, as: 'borderPixelWidthRight'
          property :border_pixel_width_top, as: 'borderPixelWidthTop'
          property :border_style_bottom, as: 'borderStyleBottom'
          property :border_style_left, as: 'borderStyleLeft'
          property :border_style_right, as: 'borderStyleRight'
          property :border_style_top, as: 'borderStyleTop'
          property :clip, as: 'clip', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRectangle, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRectangle::Representation
      
          property :direction, as: 'direction'
          property :display_prop, as: 'display'
          property :font_family, as: 'fontFamily'
          property :font_size, as: 'fontSize'
          property :font_style, as: 'fontStyle'
          property :font_weight, as: 'fontWeight'
          property :foreground_color_argb, as: 'foregroundColorArgb'
          property :has_background, as: 'hasBackground'
          property :list_style_image_url, as: 'listStyleImageUrl'
          property :list_style_type, as: 'listStyleType'
          property :margin_bottom, as: 'marginBottom', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :margin_left, as: 'marginLeft', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :margin_right, as: 'marginRight', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :margin_top, as: 'marginTop', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :opacity, as: 'opacity'
          property :overflow_x, as: 'overflowX'
          property :overflow_y, as: 'overflowY'
          property :padding_bottom, as: 'paddingBottom', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :padding_left, as: 'paddingLeft', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :padding_right, as: 'paddingRight', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :padding_top, as: 'paddingTop', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoOffset::Representation
      
          property :position, as: 'position'
          collection :referenced_resource_index, as: 'referencedResourceIndex'
          property :text_align, as: 'textAlign'
          property :text_decoration, as: 'textDecoration'
          property :text_shadow_color_argb, as: 'textShadowColorArgb'
          property :visibility, as: 'visibility'
          property :z_index, as: 'zIndex'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :devtools_frame_id, as: 'devtoolsFrameId'
          property :target_type, as: 'targetType'
        end
      end
      
      class HtmlrenderWebkitHeadlessProtoWindowOpenEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allowed, as: 'allowed'
          property :url, as: 'url'
          property :window_features, as: 'windowFeatures'
          property :window_name, as: 'windowName'
        end
      end
      
      class I18nPhonenumbersPhoneNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          property :country_code_source, as: 'countryCodeSource'
          property :extension, as: 'extension'
          property :italian_leading_zero, as: 'italianLeadingZero'
          property :national_number, :numeric_string => true, as: 'nationalNumber'
          property :number_of_leading_zeros, as: 'numberOfLeadingZeros'
          property :preferred_domestic_carrier_code, as: 'preferredDomesticCarrierCode'
          property :raw_input, as: 'rawInput'
        end
      end
      
      class ImageBaseThumbnailMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byte_size, as: 'byteSize'
          property :crops, as: 'crops', class: Google::Apis::ContentwarehouseV1::ContentAwareCropsIndexing, decorator: Google::Apis::ContentwarehouseV1::ContentAwareCropsIndexing::Representation
      
          property :deep_crop, as: 'deepCrop', class: Google::Apis::ContentwarehouseV1::DeepCropIndexing, decorator: Google::Apis::ContentwarehouseV1::DeepCropIndexing::Representation
      
          property :deep_crop_pixels, as: 'deepCropPixels', class: Google::Apis::ContentwarehouseV1::DeepCropPixels, decorator: Google::Apis::ContentwarehouseV1::DeepCropPixels::Representation
      
          property :docid, :numeric_string => true, as: 'docid'
          property :encrypted_docid, as: 'encryptedDocid'
          property :fprint, :numeric_string => true, as: 'fprint'
          property :height, as: 'height'
          property :mime_type, as: 'mimeType'
          property :original_height, as: 'originalHeight'
          property :original_width, as: 'originalWidth'
          property :type, as: 'type'
          property :width, as: 'width'
        end
      end
      
      class ImageBaseVideoPreviewMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byte_size, as: 'byteSize'
          property :docid, :numeric_string => true, as: 'docid'
          property :duration, as: 'duration'
          property :expiration_timestamp_micros, :numeric_string => true, as: 'expirationTimestampMicros'
          property :fprint, :numeric_string => true, as: 'fprint'
          property :height, as: 'height'
          property :mime_type, as: 'mimeType'
          property :state, as: 'state'
          property :timestamp, as: 'timestamp'
          property :type, as: 'type'
          property :width, as: 'width'
        end
      end
      
      class ImageContentFlowProtoProd
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :starburst, as: 'starburst', class: Google::Apis::ContentwarehouseV1::ImageContentStarburstVersionGroup, decorator: Google::Apis::ContentwarehouseV1::ImageContentStarburstVersionGroup::Representation
      
        end
      end
      
      class ImageContentQueryBoost
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :queryboost, as: 'queryboost', class: Google::Apis::ContentwarehouseV1::ImageContentQueryBoostQueryBoost, decorator: Google::Apis::ContentwarehouseV1::ImageContentQueryBoostQueryBoost::Representation
      
        end
      end
      
      class ImageContentQueryBoostQueryBoost
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boost, as: 'boost'
          property :query, as: 'query'
        end
      end
      
      class ImageContentStarburstVersionGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :descriptor_float, as: 'descriptorFloat'
          property :descriptor_short, :base64 => true, as: 'descriptorShort'
          property :enum_version, as: 'enumVersion'
          property :minor_version, as: 'minorVersion'
          collection :starburst_tokens, as: 'starburstTokens'
          property :version, as: 'version'
        end
      end
      
      class ImageData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :adaboost_image_feature_porn, as: 'adaboostImageFeaturePorn'
          property :adaboost_image_feature_porn_minor_version, as: 'adaboostImageFeaturePornMinorVersion'
          property :adaboost_image_feature_porn_version, as: 'adaboostImageFeaturePornVersion'
          property :animated_image_data, as: 'animatedImageData', class: Google::Apis::ContentwarehouseV1::ImageRepositoryAnimatedImagePerdocData, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryAnimatedImagePerdocData::Representation
      
          property :brain_porn_scores, as: 'brainPornScores', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation::Representation
      
          property :brain_porn_scores_version, as: 'brainPornScoresVersion'
          property :canonical_docid, :numeric_string => true, as: 'canonicalDocid'
          property :click_magnet_score, as: 'clickMagnetScore'
          property :clipart_detector_score, as: 'clipartDetectorScore'
          property :clipart_detector_version, as: 'clipartDetectorVersion'
          property :codomain_strength, as: 'codomainStrength'
          collection :color_score, as: 'colorScore'
          property :color_score_version, as: 'colorScoreVersion'
          property :colored_pixels_frac, as: 'coloredPixelsFrac'
          property :content_first_crawl_time, as: 'contentFirstCrawlTime'
          collection :corpus_selection_info, as: 'corpusSelectionInfo', class: Google::Apis::ContentwarehouseV1::CorpusSelectionInfo, decorator: Google::Apis::ContentwarehouseV1::CorpusSelectionInfo::Representation
      
          property :crops, as: 'crops', class: Google::Apis::ContentwarehouseV1::ContentAwareCropsIndexing, decorator: Google::Apis::ContentwarehouseV1::ContentAwareCropsIndexing::Representation
      
          property :deep_crop, as: 'deepCrop', class: Google::Apis::ContentwarehouseV1::DeepCropIndexing, decorator: Google::Apis::ContentwarehouseV1::DeepCropIndexing::Representation
      
          property :deep_tags, as: 'deepTags', class: Google::Apis::ContentwarehouseV1::CommerceDatastoreImageDeepTags, decorator: Google::Apis::ContentwarehouseV1::CommerceDatastoreImageDeepTags::Representation
      
          property :docid, :numeric_string => true, as: 'docid'
          property :embedded_metadata, as: 'embeddedMetadata', class: Google::Apis::ContentwarehouseV1::ImageExifImageEmbeddedMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageExifImageEmbeddedMetadata::Representation
      
          property :expiration_timestamp, :numeric_string => true, as: 'expirationTimestamp'
          property :extended_exif, as: 'extendedExif', class: Google::Apis::ContentwarehouseV1::PhotosImageMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosImageMetadata::Representation
      
          property :featured_image_prop, as: 'featuredImageProp', class: Google::Apis::ContentwarehouseV1::ImageMonetizationFeaturedImageProperties, decorator: Google::Apis::ContentwarehouseV1::ImageMonetizationFeaturedImageProperties::Representation
      
          property :file_format, as: 'fileFormat'
          property :final_porn_score, as: 'finalPornScore'
          property :final_porn_score_version, as: 'finalPornScoreVersion'
          property :first_crawl_time, as: 'firstCrawlTime'
          property :first_time_seen_on_doc_sec, as: 'firstTimeSeenOnDocSec'
          property :flags, as: 'flags'
          property :flow_output, as: 'flowOutput', class: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd, decorator: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd::Representation
      
          property :h2c, as: 'h2c'
          property :h2i, as: 'h2i'
          property :hate_logo_detection, as: 'hateLogoDetection', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingAnnotationGroup, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingAnnotationGroup::Representation
      
          property :height, as: 'height'
          property :image_content_query_boost, as: 'imageContentQueryBoost', class: Google::Apis::ContentwarehouseV1::ImageContentQueryBoost, decorator: Google::Apis::ContentwarehouseV1::ImageContentQueryBoost::Representation
      
          property :image_exact_boost, as: 'imageExactBoost', class: Google::Apis::ContentwarehouseV1::ImageExactBoost, decorator: Google::Apis::ContentwarehouseV1::ImageExactBoost::Representation
      
          property :image_license_info, as: 'imageLicenseInfo', class: Google::Apis::ContentwarehouseV1::ImageSearchImageLicenseInfo, decorator: Google::Apis::ContentwarehouseV1::ImageSearchImageLicenseInfo::Representation
      
          property :image_regions, as: 'imageRegions', class: Google::Apis::ContentwarehouseV1::ImageRegionsImageRegions, decorator: Google::Apis::ContentwarehouseV1::ImageRegionsImageRegions::Representation
      
          property :imagerank, as: 'imagerank'
          property :is_iip_in_scope, as: 'isIipInScope'
          property :is_indexed_by_imagesearch, as: 'isIndexedByImagesearch'
          property :is_multiframe, as: 'isMultiframe'
          property :is_unwanted_content, as: 'isUnwantedContent'
          property :is_visible, as: 'isVisible'
          property :largest_face_frac, as: 'largestFaceFrac'
          property :largest_face_fraction, as: 'largestFaceFraction'
          property :last_crawl_time, as: 'lastCrawlTime'
          property :licensed_web_images_opt_in_state, as: 'licensedWebImagesOptInState'
          property :lineart_detector_score, as: 'lineartDetectorScore'
          property :lineart_detector_version, as: 'lineartDetectorVersion'
          property :multibang_kg_entities, as: 'multibangKgEntities', class: Google::Apis::ContentwarehouseV1::ImageDataMultibangEntities, decorator: Google::Apis::ContentwarehouseV1::ImageDataMultibangEntities::Representation
      
          property :near_dup_features, :base64 => true, as: 'nearDupFeatures'
          collection :near_dup_features_small, as: 'nearDupFeaturesSmall'
          property :near_dup_features_small_version, as: 'nearDupFeaturesSmallVersion'
          property :near_dup_features_version, as: 'nearDupFeaturesVersion'
          property :nima_ava, as: 'nimaAva', class: Google::Apis::ContentwarehouseV1::ImageRepositoryNimaOutput, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryNimaOutput::Representation
      
          property :nima_vq, as: 'nimaVq', class: Google::Apis::ContentwarehouseV1::ImageRepositoryNimaOutput, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryNimaOutput::Representation
      
          collection :no_index_reason, as: 'noIndexReason'
          property :number_faces, as: 'numberFaces'
          property :ocr_goodoc, as: 'ocrGoodoc', class: Google::Apis::ContentwarehouseV1::GoodocDocument, decorator: Google::Apis::ContentwarehouseV1::GoodocDocument::Representation
      
          property :ocr_taser, as: 'ocrTaser', class: Google::Apis::ContentwarehouseV1::GoodocDocument, decorator: Google::Apis::ContentwarehouseV1::GoodocDocument::Representation
      
          collection :ocr_textboxes, as: 'ocrTextboxes', class: Google::Apis::ContentwarehouseV1::OcrPhotoTextBox, decorator: Google::Apis::ContentwarehouseV1::OcrPhotoTextBox::Representation
      
          property :on_page_alternate_url, as: 'onPageAlternateUrl'
          property :packed_full_face_info, as: 'packedFullFaceInfo', class: Google::Apis::ContentwarehouseV1::FaceIndexing, decorator: Google::Apis::ContentwarehouseV1::FaceIndexing::Representation
      
          property :person_attributes, as: 'personAttributes', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributes, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributes::Representation
      
          property :person_detection_signals, as: 'personDetectionSignals', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonDetectionSignals, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonDetectionSignals::Representation
      
          property :photo_detector_score, as: 'photoDetectorScore'
          property :photo_detector_version, as: 'photoDetectorVersion'
          property :porn_flag_data, as: 'pornFlagData', class: Google::Apis::ContentwarehouseV1::PornFlagData, decorator: Google::Apis::ContentwarehouseV1::PornFlagData::Representation
      
          property :precomputed_restricts, as: 'precomputedRestricts', class: Google::Apis::ContentwarehouseV1::PrecomputedRestricts, decorator: Google::Apis::ContentwarehouseV1::PrecomputedRestricts::Representation
      
          property :rank_in_neardup_cluster, as: 'rankInNeardupCluster'
          collection :restrict_strings, as: 'restrictStrings'
          property :roboted_agents, as: 'robotedAgents'
          property :shopping_product_information, as: 'shoppingProductInformation', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformation, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformation::Representation
      
          property :size, as: 'size'
          collection :smeared_top_web_landing_page_docids, as: 'smearedTopWebLandingPageDocids'
          collection :smeared_top_web_landing_pages, as: 'smearedTopWebLandingPages', class: Google::Apis::ContentwarehouseV1::SmearedWebLandingPageEntry, decorator: Google::Apis::ContentwarehouseV1::SmearedWebLandingPageEntry::Representation
      
          property :style_aesthetics_score, as: 'styleAestheticsScore', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleAestheticsScoreSignals, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleAestheticsScoreSignals::Representation
      
          property :style_image_type, as: 'styleImageType', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleStyleImageTypeSignals, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleStyleImageTypeSignals::Representation
      
          property :testing_score, as: 'testingScore'
          property :thumb_height, as: 'thumbHeight'
          property :thumb_size, as: 'thumbSize'
          property :thumb_width, as: 'thumbWidth'
          collection :thumbnail, as: 'thumbnail', class: Google::Apis::ContentwarehouseV1::ImageDataThumbnail, decorator: Google::Apis::ContentwarehouseV1::ImageDataThumbnail::Representation
      
          property :unavailable_after_secs, :numeric_string => true, as: 'unavailableAfterSecs'
          property :url, as: 'url'
          property :white_background_score, as: 'whiteBackgroundScore'
          property :white_background_score_version, as: 'whiteBackgroundScoreVersion'
          property :width, as: 'width'
        end
      end
      
      class ImageDataMultibangEntities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::ImageDataMultibangEntitiesMultibangEntity, decorator: Google::Apis::ContentwarehouseV1::ImageDataMultibangEntitiesMultibangEntity::Representation
      
        end
      end
      
      class ImageDataMultibangEntitiesMultibangEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_id, as: 'entityId'
          property :score, as: 'score'
        end
      end
      
      class ImageDataThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiration_timestamp_micros, :numeric_string => true, as: 'expirationTimestampMicros'
          property :height, as: 'height'
          property :mime_type, as: 'mimeType'
          property :size, as: 'size'
          property :type, as: 'type'
          property :width, as: 'width'
        end
      end
      
      class ImageExactBoost
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :navquery, as: 'navquery', class: Google::Apis::ContentwarehouseV1::ImageExactBoostNavQuery, decorator: Google::Apis::ContentwarehouseV1::ImageExactBoostNavQuery::Representation
      
        end
      end
      
      class ImageExactBoostNavQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :image_click_rank, as: 'imageClickRank'
          property :nav_fp, :numeric_string => true, as: 'navFp'
          property :nav_query, as: 'navQuery'
          collection :referrer_docid, as: 'referrerDocid'
          property :referrer_rank, as: 'referrerRank'
        end
      end
      
      class ImageExifIptcMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :acquire_license_page, as: 'acquireLicensePage'
          collection :artwork, as: 'artwork', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataArtwork, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataArtwork::Representation
      
          property :contactinfo, as: 'contactinfo', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataContactInfo, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataContactInfo::Representation
      
          property :copyright_notice, as: 'copyrightNotice'
          collection :creator, as: 'creator'
          property :credit_line, as: 'creditLine'
          property :date_created, :numeric_string => true, as: 'dateCreated'
          property :date_expired, :numeric_string => true, as: 'dateExpired'
          property :date_released, :numeric_string => true, as: 'dateReleased'
          property :description, as: 'description'
          property :event, as: 'event'
          property :headline, as: 'headline'
          property :image_supplier, as: 'imageSupplier'
          property :instructions, as: 'instructions'
          collection :keywords, as: 'keywords'
          property :license_url, as: 'licenseUrl'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocation, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocation::Representation
      
          property :location_created, as: 'locationCreated', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocationInfo, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocationInfo::Representation
      
          collection :location_shown, as: 'locationShown', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocationInfo, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadataLocationInfo::Representation
      
          property :model_release_status, as: 'modelReleaseStatus'
          property :property_release_status, as: 'propertyReleaseStatus'
          property :rights_usage_terms, as: 'rightsUsageTerms'
          property :source, as: 'source'
          collection :supplemental_categories, as: 'supplementalCategories'
          property :title, as: 'title'
        end
      end
      
      class ImageExifIptcMetadataArtwork
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :title, as: 'title'
        end
      end
      
      class ImageExifIptcMetadataContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address, as: 'address'
          property :city, as: 'city'
          property :country, as: 'country'
          property :email, as: 'email'
          property :phone, as: 'phone'
          property :postal_code, as: 'postalCode'
          property :state, as: 'state'
          property :web_url, as: 'webUrl'
        end
      end
      
      class ImageExifIptcMetadataLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :city, as: 'city'
          property :country, as: 'country'
          property :country_code, as: 'countryCode'
          property :state, as: 'state'
          property :sub_location, as: 'subLocation'
          property :world_region, as: 'worldRegion'
        end
      end
      
      class ImageExifIptcMetadataLocationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :city, as: 'city'
          property :country, as: 'country'
          property :country_code, as: 'countryCode'
          property :state, as: 'state'
          property :sub_location, as: 'subLocation'
          property :world_region, as: 'worldRegion'
        end
      end
      
      class ImageExifImageEmbeddedMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :altitude, as: 'altitude'
          property :aperture, as: 'aperture'
          property :author, as: 'author'
          property :author2, as: 'author2'
          property :brightness, as: 'brightness'
          property :camera_maker, as: 'cameraMaker'
          property :camera_model, as: 'cameraModel'
          property :camera_serial_number, as: 'cameraSerialNumber'
          property :capture_time, :numeric_string => true, as: 'captureTime'
          property :color_space, as: 'colorSpace'
          property :comments, as: 'comments'
          property :comments2, as: 'comments2'
          property :continous_drive_mode, as: 'continousDriveMode'
          property :copyright, as: 'copyright'
          property :deprecated_city, as: 'deprecatedCity'
          property :deprecated_country, as: 'deprecatedCountry'
          property :deprecated_state, as: 'deprecatedState'
          property :description, as: 'description'
          property :dest_bearing, as: 'destBearing'
          property :dest_bearing_ref, as: 'destBearingRef'
          property :dest_distance, as: 'destDistance'
          property :dest_latitude, as: 'destLatitude'
          property :dest_longitude, as: 'destLongitude'
          property :digital_zoom_ratio, as: 'digitalZoomRatio'
          property :exposure_bias, as: 'exposureBias'
          property :exposure_program, as: 'exposureProgram'
          property :exposure_time, as: 'exposureTime'
          property :flash_used, as: 'flashUsed'
          property :focal_length, as: 'focalLength'
          property :focal_length35mm, as: 'focalLength35mm'
          property :focal_plane_res_unit, as: 'focalPlaneResUnit'
          property :focal_plane_xres, as: 'focalPlaneXres'
          property :focus_mode, as: 'focusMode'
          property :gps_dop, as: 'gpsDop'
          property :gps_measure_mode, as: 'gpsMeasureMode'
          property :gps_status, as: 'gpsStatus'
          property :h_positioning_error, as: 'hPositioningError'
          property :image_height, as: 'imageHeight'
          property :image_width, as: 'imageWidth'
          property :img_direction, as: 'imgDirection'
          property :img_direction_ref, as: 'imgDirectionRef'
          property :iptc, as: 'iptc', class: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageExifIptcMetadata::Representation
      
          property :iso, as: 'iso'
          property :keywords, as: 'keywords'
          property :latitude, as: 'latitude'
          property :lens_id, as: 'lensId'
          property :lens_maker, as: 'lensMaker'
          property :light_source, as: 'lightSource'
          property :long_focal, as: 'longFocal'
          property :longitude, as: 'longitude'
          property :max_aperture_at_long_focal, as: 'maxApertureAtLongFocal'
          property :max_aperture_at_short_focal, as: 'maxApertureAtShortFocal'
          property :metering_mode, as: 'meteringMode'
          property :modification_time, :numeric_string => true, as: 'modificationTime'
          property :orientation, as: 'orientation'
          property :short_focal, as: 'shortFocal'
          property :software, as: 'software'
          property :subject, as: 'subject'
          property :subject_distance, as: 'subjectDistance'
          property :subject_location_x, as: 'subjectLocationX'
          property :subject_location_y, as: 'subjectLocationY'
          property :title, as: 'title'
          property :x_resolution, as: 'xResolution'
          property :y_resolution, as: 'yResolution'
        end
      end
      
      class ImageMonetizationFeaturedImageProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :inspiration_score, as: 'inspirationScore'
        end
      end
      
      class ImageMoosedogCrawlState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'code'
          property :detailed_reason, as: 'detailedReason'
          property :internal_status, as: 'internalStatus', class: Google::Apis::ContentwarehouseV1::UtilStatusProto, decorator: Google::Apis::ContentwarehouseV1::UtilStatusProto::Representation
      
          property :is_terminal, as: 'isTerminal'
          property :no_index_after_timestamp, :numeric_string => true, as: 'noIndexAfterTimestamp'
          property :not_crawled_reason, as: 'notCrawledReason'
          property :overrode_terminal_state, as: 'overrodeTerminalState'
          property :repid, :base64 => true, as: 'repid'
          property :roboted_agents, as: 'robotedAgents'
          property :url, as: 'url'
          property :url_deleted, as: 'urlDeleted'
        end
      end
      
      class ImageMustangImageLinkSelectionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :web_relevance_score, as: 'webRelevanceScore'
        end
      end
      
      class ImageMustangShoppingOffer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :inferred_image_types, as: 'inferredImageTypes'
          property :ips_offer_id, :numeric_string => true, as: 'ipsOfferId'
        end
      end
      
      class ImagePerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_entropy_color, as: 'DEPRECATEDEntropyColor'
          property :filename, as: 'filename'
          property :flags, as: 'flags'
          property :height, as: 'height'
          property :width, as: 'width'
        end
      end
      
      class ImagePornDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :info, as: 'info'
        end
      end
      
      class ImageRegionsImageRegion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_box, as: 'boundingBox', class: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox::Representation
      
          property :bounding_box_score, as: 'boundingBoxScore'
          property :id, as: 'id'
          property :is_product, as: 'isProduct'
          property :knn_score, as: 'knnScore'
          property :label_group, as: 'labelGroup', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabelGroup, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabelGroup::Representation
      
          property :label_version, as: 'labelVersion'
          property :primary_label, as: 'primaryLabel', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabel, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabel::Representation
      
          property :render_type, as: 'renderType'
          property :starburst_v4, as: 'starburstV4', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingFeature, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingFeature::Representation
      
        end
      end
      
      class ImageRegionsImageRegions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :final_porn_score, as: 'finalPornScore'
          property :final_violence_score, as: 'finalViolenceScore'
          property :flow_output, as: 'flowOutput', class: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd, decorator: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd::Representation
      
          property :has300k_thumb, as: 'has300kThumb'
          property :has_navboost, as: 'hasNavboost'
          property :is_iu_inappropriate, as: 'isIuInappropriate'
          property :pedo_score, as: 'pedoScore'
          property :precomputed_restricts, as: 'precomputedRestricts', class: Google::Apis::ContentwarehouseV1::PrecomputedRestricts, decorator: Google::Apis::ContentwarehouseV1::PrecomputedRestricts::Representation
      
          property :racy_score, as: 'racyScore'
          collection :region, as: 'region', class: Google::Apis::ContentwarehouseV1::ImageRegionsImageRegion, decorator: Google::Apis::ContentwarehouseV1::ImageRegionsImageRegion::Representation
      
        end
      end
      
      class ImageRepositoryAmarnaCloudSpeechSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lang_without_locale, as: 'langWithoutLocale'
          property :model_identifier, as: 'modelIdentifier'
          collection :results, as: 'results', class: Google::Apis::ContentwarehouseV1::ImageRepositorySpeechRecognitionResult, decorator: Google::Apis::ContentwarehouseV1::ImageRepositorySpeechRecognitionResult::Representation
      
          property :transcript_asr, as: 'transcriptAsr', class: Google::Apis::ContentwarehouseV1::PseudoVideoData, decorator: Google::Apis::ContentwarehouseV1::PseudoVideoData::Representation
      
        end
      end
      
      class ImageRepositoryAmarnaSignalsBlob
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :frame_features, as: 'frameFeatures', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetDataSequence, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetDataSequence::Representation
      
        end
      end
      
      class ImageRepositoryAmarnaSignalsBlobInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :signals_blob_id, as: 'signalsBlobId'
          property :signals_blob_update_timestamp, as: 'signalsBlobUpdateTimestamp'
        end
      end
      
      class ImageRepositoryAmarnaStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :reason, as: 'reason'
          property :status, as: 'status'
        end
      end
      
      class ImageRepositoryAnimatedImagePerdocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_porn_scores, as: 'aggregatedPornScores', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation::Representation
      
          property :duration_ms, as: 'durationMs'
        end
      end
      
      class ImageRepositoryApiItagSpecificMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiration_timestamp_sec, :numeric_string => true, as: 'expirationTimestampSec'
          property :genus, as: 'genus'
          property :state, as: 'state'
          property :transcode_itag, as: 'transcodeItag'
          property :video_id, as: 'videoId', class: Google::Apis::ContentwarehouseV1::VideoAssetsVenomVideoId, decorator: Google::Apis::ContentwarehouseV1::VideoAssetsVenomVideoId::Representation
      
          property :xtags_list, as: 'xtagsList', class: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtagList, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtagList::Representation
      
        end
      end
      
      class ImageRepositoryApiXtag
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class ImageRepositoryApiXtagList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :xtags, as: 'xtags', class: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtag, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtag::Representation
      
        end
      end
      
      class ImageRepositoryContentBasedVideoMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amarna_docid, as: 'amarnaDocid'
          property :ares_classification_request_timestamp, as: 'aresClassificationRequestTimestamp'
          property :audio_only, as: 'audioOnly'
          property :cloud_speech_signals, as: 'cloudSpeechSignals', class: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaCloudSpeechSignals, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaCloudSpeechSignals::Representation
      
          property :feature_set_data, as: 'featureSetData', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData::Representation
      
          property :golden7_soapbox_summary, as: 'golden7SoapboxSummary', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureSetData::Representation
      
          property :inline_playback, as: 'inlinePlayback', class: Google::Apis::ContentwarehouseV1::VideoCrawlVideoInlinePlaybackMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoCrawlVideoInlinePlaybackMetadata::Representation
      
          property :language_identification, as: 'languageIdentification', class: Google::Apis::ContentwarehouseV1::VideoTimedtextS4AliResults, decorator: Google::Apis::ContentwarehouseV1::VideoTimedtextS4AliResults::Representation
      
          property :legos_annotation_data, as: 'legosAnnotationData', class: Google::Apis::ContentwarehouseV1::VideoLegosLegosAnnotationsSets, decorator: Google::Apis::ContentwarehouseV1::VideoLegosLegosAnnotationsSets::Representation
      
          property :lms_preview_frame_perdocs, as: 'lmsPreviewFramePerdocs', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFramePerdocs, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFramePerdocs::Representation
      
          property :loudness_data, as: 'loudnessData', class: Google::Apis::ContentwarehouseV1::VideoStorageLoudnessData, decorator: Google::Apis::ContentwarehouseV1::VideoStorageLoudnessData::Representation
      
          property :media_info, as: 'mediaInfo', class: Google::Apis::ContentwarehouseV1::VideoMediaInfo, decorator: Google::Apis::ContentwarehouseV1::VideoMediaInfo::Representation
      
          property :representative_frame_data, as: 'representativeFrameData', class: Google::Apis::ContentwarehouseV1::ImageData, decorator: Google::Apis::ContentwarehouseV1::ImageData::Representation
      
          property :s3_language_identification, as: 's3LanguageIdentification', class: Google::Apis::ContentwarehouseV1::ImageRepositoryS3LangIdSignals, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryS3LangIdSignals::Representation
      
          property :safesearch_video_content_signals, as: 'safesearchVideoContentSignals', class: Google::Apis::ContentwarehouseV1::SafesearchVideoContentSignals, decorator: Google::Apis::ContentwarehouseV1::SafesearchVideoContentSignals::Representation
      
          property :search_docid, :numeric_string => true, as: 'searchDocid'
          property :signals_blob, as: 'signalsBlob', class: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaSignalsBlob, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaSignalsBlob::Representation
      
          property :signals_blob_info, as: 'signalsBlobInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaSignalsBlobInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaSignalsBlobInfo::Representation
      
          property :speech_properties, as: 'speechProperties', class: Google::Apis::ContentwarehouseV1::IndexingSpeechSpeechPropertiesProto, decorator: Google::Apis::ContentwarehouseV1::IndexingSpeechSpeechPropertiesProto::Representation
      
          property :thumbnail_quality_score, as: 'thumbnailQualityScore', class: Google::Apis::ContentwarehouseV1::VideoThumbnailsThumbnailScore, decorator: Google::Apis::ContentwarehouseV1::VideoThumbnailsThumbnailScore::Representation
      
          property :thumbnailer_data, as: 'thumbnailerData', class: Google::Apis::ContentwarehouseV1::VideoPipelineViperThumbnailerColumnData, decorator: Google::Apis::ContentwarehouseV1::VideoPipelineViperThumbnailerColumnData::Representation
      
          collection :transcode_metadata, as: 'transcodeMetadata', class: Google::Apis::ContentwarehouseV1::ImageRepositoryApiItagSpecificMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryApiItagSpecificMetadata::Representation
      
          property :transcript_asr, as: 'transcriptAsr', class: Google::Apis::ContentwarehouseV1::PseudoVideoData, decorator: Google::Apis::ContentwarehouseV1::PseudoVideoData::Representation
      
          property :truncation_info, as: 'truncationInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFileTruncationInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFileTruncationInfo::Representation
      
          property :unwanted_content, as: 'unwantedContent', class: Google::Apis::ContentwarehouseV1::ImageRepositoryUnwantedContent, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryUnwantedContent::Representation
      
          property :venom_id, as: 'venomId'
          property :venom_processing_info, as: 'venomProcessingInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVenomProcessingInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVenomProcessingInfo::Representation
      
          property :video_anchor_set, as: 'videoAnchorSet', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorSets, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorSets::Representation
      
          property :video_duration_sec, as: 'videoDurationSec'
          property :video_porn_score, as: 'videoPornScore'
          property :video_porn_score_v4, as: 'videoPornScoreV4'
          collection :video_preview_bytes, as: 'videoPreviewBytes', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoPreviewsVideoPreview, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoPreviewsVideoPreview::Representation
      
          collection :video_previews, as: 'videoPreviews', class: Google::Apis::ContentwarehouseV1::ImageBaseVideoPreviewMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageBaseVideoPreviewMetadata::Representation
      
          property :video_stream_info, as: 'videoStreamInfo', class: Google::Apis::ContentwarehouseV1::VideoPipelineViperVsiColumnData, decorator: Google::Apis::ContentwarehouseV1::VideoPipelineViperVsiColumnData::Representation
      
          property :video_transcript_annotations, as: 'videoTranscriptAnnotations', class: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoTranscriptAnnotations, decorator: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoTranscriptAnnotations::Representation
      
          property :youtube_processing_filter, as: 'youtubeProcessingFilter', class: Google::Apis::ContentwarehouseV1::ImageRepositoryYoutubeProcessingFilter, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryYoutubeProcessingFilter::Representation
      
        end
      end
      
      class ImageRepositoryCrawlStatusInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'code'
          property :not_crawled_reason, as: 'notCrawledReason'
        end
      end
      
      class ImageRepositoryFileTruncationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :original_file_size_lower_bound_bytes, :numeric_string => true, as: 'originalFileSizeLowerBoundBytes'
          property :truncation_state, as: 'truncationState'
        end
      end
      
      class ImageRepositoryFrameIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :preview_frame_zero_variant, as: 'previewFrameZeroVariant', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifierPreviewFrameZeroVariant, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifierPreviewFrameZeroVariant::Representation
      
          property :thumbnail_variant, as: 'thumbnailVariant', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifierThumbnailVariant, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifierThumbnailVariant::Representation
      
          property :timestamp_ms, as: 'timestampMs'
        end
      end
      
      class ImageRepositoryFrameIdentifierPreviewFrameZeroVariant
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :preview_length, as: 'previewLength'
          property :xtag_list, as: 'xtagList', class: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtagList, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryApiXtagList::Representation
      
        end
      end
      
      class ImageRepositoryFrameIdentifierThumbnailVariant
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class ImageRepositoryFramePerdoc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :frame_identifier, as: 'frameIdentifier', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifier, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFrameIdentifier::Representation
      
          property :perdoc, as: 'perdoc', class: Google::Apis::ContentwarehouseV1::ImageData, decorator: Google::Apis::ContentwarehouseV1::ImageData::Representation
      
          property :timestamp_msec, as: 'timestampMsec'
        end
      end
      
      class ImageRepositoryFramePerdocs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_perdoc, as: 'framePerdoc', class: Google::Apis::ContentwarehouseV1::ImageRepositoryFramePerdoc, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryFramePerdoc::Representation
      
        end
      end
      
      class ImageRepositoryNimaOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
        end
      end
      
      class ImageRepositoryS3LangIdSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contains_speech, as: 'containsSpeech'
          property :end_sec, :numeric_string => true, as: 'endSec'
          property :langid_result, as: 'langidResult', class: Google::Apis::ContentwarehouseV1::SpeechS3LanguageIdentificationResult, decorator: Google::Apis::ContentwarehouseV1::SpeechS3LanguageIdentificationResult::Representation
      
          property :language_identification, as: 'languageIdentification', class: Google::Apis::ContentwarehouseV1::VideoTimedtextS4AliResults, decorator: Google::Apis::ContentwarehouseV1::VideoTimedtextS4AliResults::Representation
      
          property :model_version, as: 'modelVersion'
          property :speech_frame_count, as: 'speechFrameCount'
          property :start_sec, :numeric_string => true, as: 'startSec'
          property :total_frame_count, as: 'totalFrameCount'
        end
      end
      
      class ImageRepositoryShoppingProductInformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :product_sets, as: 'productSets', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationVersionedProductInformationSet, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationVersionedProductInformationSet::Representation
      
        end
      end
      
      class ImageRepositoryShoppingProductInformationBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :h, as: 'h'
          property :w, as: 'w'
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class ImageRepositoryShoppingProductInformationEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :score, as: 'score'
        end
      end
      
      class ImageRepositoryShoppingProductInformationProductInformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :category_id, as: 'categoryId'
          collection :cluster_ids, as: 'clusterIds'
          property :detection_score, as: 'detectionScore'
          property :embedding, :base64 => true, as: 'embedding'
          collection :entities, as: 'entities', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationEntity, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationEntity::Representation
      
          property :feature_type, as: 'featureType'
          property :product_location, as: 'productLocation', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationBoundingBox, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationBoundingBox::Representation
      
          collection :token_groups, as: 'tokenGroups', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationProductInformationTokenGroup, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationProductInformationTokenGroup::Representation
      
        end
      end
      
      class ImageRepositoryShoppingProductInformationProductInformationTokenGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :model, as: 'model'
          collection :tokens, as: 'tokens'
        end
      end
      
      class ImageRepositoryShoppingProductInformationVersionedProductInformationSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :model_type, as: 'modelType'
          collection :products, as: 'products', class: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationProductInformation, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryShoppingProductInformationProductInformation::Representation
      
          property :version, as: 'version'
        end
      end
      
      class ImageRepositorySpeechRecognitionAlternative
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :transcript, as: 'transcript'
          collection :words, as: 'words', class: Google::Apis::ContentwarehouseV1::ImageRepositoryWordInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryWordInfo::Representation
      
        end
      end
      
      class ImageRepositorySpeechRecognitionResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alternatives, as: 'alternatives', class: Google::Apis::ContentwarehouseV1::ImageRepositorySpeechRecognitionAlternative, decorator: Google::Apis::ContentwarehouseV1::ImageRepositorySpeechRecognitionAlternative::Representation
      
          property :channel_tag, as: 'channelTag'
          property :language_code, as: 'languageCode'
          property :result_end_time, as: 'resultEndTime'
        end
      end
      
      class ImageRepositoryUnwantedContent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deletion_reason, as: 'deletionReason'
        end
      end
      
      class ImageRepositoryVenomProcessingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :venom_status, as: 'venomStatus', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVenomStatus, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVenomStatus::Representation
      
        end
      end
      
      class ImageRepositoryVenomStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :acl, as: 'acl', class: Google::Apis::ContentwarehouseV1::VideoAssetsVenomAcl, decorator: Google::Apis::ContentwarehouseV1::VideoAssetsVenomAcl::Representation
      
          property :deletion_timestamp_usec, :numeric_string => true, as: 'deletionTimestampUsec'
          property :genus, as: 'genus'
          property :insertion_response_timestamp_usec, :numeric_string => true, as: 'insertionResponseTimestampUsec'
          property :insertion_timestamp_usec, :numeric_string => true, as: 'insertionTimestampUsec'
          property :last_insertion_attempts_num, as: 'lastInsertionAttemptsNum'
          property :reason, as: 'reason'
          collection :settings, as: 'settings', class: Google::Apis::ContentwarehouseV1::VideoAssetsVenomSettings, decorator: Google::Apis::ContentwarehouseV1::VideoAssetsVenomSettings::Representation
      
          property :state, as: 'state'
          property :transition, as: 'transition', class: Google::Apis::ContentwarehouseV1::VideoAssetsVenomTransition, decorator: Google::Apis::ContentwarehouseV1::VideoAssetsVenomTransition::Representation
      
          property :venom_id, as: 'venomId', class: Google::Apis::ContentwarehouseV1::VideoAssetsVenomVideoId, decorator: Google::Apis::ContentwarehouseV1::VideoAssetsVenomVideoId::Representation
      
          property :venom_mutation_generation, :numeric_string => true, as: 'venomMutationGeneration'
        end
      end
      
      class ImageRepositoryVideoIndexingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :not_indexed_video_link, as: 'notIndexedVideoLink', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoLinkIndexingInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoLinkIndexingInfo::Representation
      
        end
      end
      
      class ImageRepositoryVideoLinkIndexingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :crawl_status_info, as: 'crawlStatusInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryCrawlStatusInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryCrawlStatusInfo::Representation
      
          property :url, as: 'url'
        end
      end
      
      class ImageRepositoryVideoPreviewsDebuggingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_amarna_processing_time, as: 'lastAmarnaProcessingTime'
          property :processing_engine, as: 'processingEngine'
        end
      end
      
      class ImageRepositoryVideoPreviewsVideoPreview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, :base64 => true, as: 'content'
          property :debugging_info, as: 'debuggingInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoPreviewsDebuggingInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryVideoPreviewsDebuggingInfo::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::ImageBaseVideoPreviewMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageBaseVideoPreviewMetadata::Representation
      
          property :preview_frame_zero, as: 'previewFrameZero', class: Google::Apis::ContentwarehouseV1::DrishtiVesperVideoThumbnail, decorator: Google::Apis::ContentwarehouseV1::DrishtiVesperVideoThumbnail::Representation
      
        end
      end
      
      class ImageRepositoryVideoProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audio_only, as: 'audioOnly'
          property :content_based_metadata, as: 'contentBasedMetadata', class: Google::Apis::ContentwarehouseV1::ImageRepositoryContentBasedVideoMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryContentBasedVideoMetadata::Representation
      
          property :crawl_state, as: 'crawlState', class: Google::Apis::ContentwarehouseV1::ImageMoosedogCrawlState, decorator: Google::Apis::ContentwarehouseV1::ImageMoosedogCrawlState::Representation
      
          property :first_crawl_timestamp_sec, :numeric_string => true, as: 'firstCrawlTimestampSec'
          property :first_processing_timestamp_sec, :numeric_string => true, as: 'firstProcessingTimestampSec'
          property :inline_playback, as: 'inlinePlayback', class: Google::Apis::ContentwarehouseV1::VideoCrawlVideoInlinePlaybackMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoCrawlVideoInlinePlaybackMetadata::Representation
      
          property :last_crawl_request_timestamp_sec, :numeric_string => true, as: 'lastCrawlRequestTimestampSec'
          property :last_processing_timestamp_sec, :numeric_string => true, as: 'lastProcessingTimestampSec'
          property :url, as: 'url'
        end
      end
      
      class ImageRepositoryWordInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :end_time, as: 'endTime'
          property :speaker_tag, as: 'speakerTag'
          property :start_time, as: 'startTime'
          property :word, as: 'word'
        end
      end
      
      class ImageRepositoryYoutubeProcessingFilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :previews_filtered_reason, as: 'previewsFilteredReason'
        end
      end
      
      class ImageSafesearchContentBrainPornAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :child_score, as: 'childScore'
          property :csai_score, as: 'csaiScore'
          property :iu_inappropriate_score, as: 'iuInappropriateScore'
          property :medical_score, as: 'medicalScore'
          property :pedo_score, as: 'pedoScore'
          property :porn_score, as: 'pornScore'
          property :racy_score, as: 'racyScore'
          property :spoof_score, as: 'spoofScore'
          property :version, as: 'version'
          property :violence_score, as: 'violenceScore'
          property :yt_porn_score, as: 'ytPornScore'
        end
      end
      
      class ImageSafesearchContentOcrAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ocr_prominence_score, as: 'ocrProminenceScore'
          property :offensive_score, as: 'offensiveScore'
          property :porn_score, as: 'pornScore'
          property :prominent_offensive_score, as: 'prominentOffensiveScore'
          property :prominent_vulgar_score, as: 'prominentVulgarScore'
          property :qbst_offensive_score, as: 'qbstOffensiveScore'
          property :vulgar_i18n_bit, as: 'vulgarI18nBit'
          property :vulgar_score, as: 'vulgarScore'
        end
      end
      
      class ImageSafesearchContentOffensiveSymbolDetection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :matches, as: 'matches', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOffensiveSymbolMatch, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOffensiveSymbolMatch::Representation
      
        end
      end
      
      class ImageSafesearchContentOffensiveSymbolMatch
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :type, as: 'type'
        end
      end
      
      class ImageSearchImageIndexingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :image_link_selection_info, as: 'imageLinkSelectionInfo', class: Google::Apis::ContentwarehouseV1::ImageSearchImageSelectionInfo, decorator: Google::Apis::ContentwarehouseV1::ImageSearchImageSelectionInfo::Representation
      
          collection :rejected_not_indexed_image_link, as: 'rejectedNotIndexedImageLink', class: Google::Apis::ContentwarehouseV1::ImageSearchUnindexedImageLink, decorator: Google::Apis::ContentwarehouseV1::ImageSearchUnindexedImageLink::Representation
      
          collection :selected_not_indexed_image_link, as: 'selectedNotIndexedImageLink', class: Google::Apis::ContentwarehouseV1::ImageSearchUnindexedImageLink, decorator: Google::Apis::ContentwarehouseV1::ImageSearchUnindexedImageLink::Representation
      
        end
      end
      
      class ImageSearchImageLicenseInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :acquire_license_page, as: 'acquireLicensePage'
          property :copyright_notice, as: 'copyrightNotice'
          property :copyright_notice_source_type, as: 'copyrightNoticeSourceType'
          collection :creator, as: 'creator'
          property :creator_source_type, as: 'creatorSourceType'
          property :credit_text, as: 'creditText'
          property :credit_text_source_type, as: 'creditTextSourceType'
          property :is_retired_cc_url, as: 'isRetiredCcUrl'
          property :license_type, as: 'licenseType'
          property :license_url, as: 'licenseUrl'
          property :safesearch_flags, as: 'safesearchFlags'
          property :source_type, as: 'sourceType'
        end
      end
      
      class ImageSearchImageSelectionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_link_selection_info, as: 'imageLinkSelectionInfo', class: Google::Apis::ContentwarehouseV1::ImageMustangImageLinkSelectionInfo, decorator: Google::Apis::ContentwarehouseV1::ImageMustangImageLinkSelectionInfo::Representation
      
          property :url, as: 'url'
        end
      end
      
      class ImageSearchUnindexedImageLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amarna_status, as: 'amarnaStatus', class: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaStatus, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryAmarnaStatus::Representation
      
          property :crawl_status_info, as: 'crawlStatusInfo', class: Google::Apis::ContentwarehouseV1::ImageRepositoryCrawlStatusInfo, decorator: Google::Apis::ContentwarehouseV1::ImageRepositoryCrawlStatusInfo::Representation
      
          property :url, as: 'url'
        end
      end
      
      class ImageUnderstandingIndexingAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :feature, as: 'feature', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingFeature, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingFeature::Representation
      
          collection :label_group, as: 'labelGroup', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabelGroup, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabelGroup::Representation
      
          property :roi, as: 'roi', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingImageRegion, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingImageRegion::Representation
      
        end
      end
      
      class ImageUnderstandingIndexingAnnotationGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotation, as: 'annotation', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingAnnotation, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingAnnotation::Representation
      
        end
      end
      
      class ImageUnderstandingIndexingFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes_value, :base64 => true, as: 'bytesValue'
          collection :float_value, as: 'floatValue'
          property :image_template, as: 'imageTemplate', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecImageTemplate, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecImageTemplate::Representation
      
          collection :int32_value, as: 'int32Value'
          property :version, as: 'version'
        end
      end
      
      class ImageUnderstandingIndexingImageRegion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box, as: 'box', class: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox::Representation
      
          property :score, as: 'score'
          property :version, as: 'version'
        end
      end
      
      class ImageUnderstandingIndexingLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_text, as: 'canonicalText'
          property :entity_id, as: 'entityId'
          collection :meta_data, as: 'metaData', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingMetaData, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingMetaData::Representation
      
          property :score, as: 'score'
        end
      end
      
      class ImageUnderstandingIndexingLabelGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :label, as: 'label', class: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabel, decorator: Google::Apis::ContentwarehouseV1::ImageUnderstandingIndexingLabel::Representation
      
          property :version, as: 'version'
        end
      end
      
      class ImageUnderstandingIndexingMetaData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :float_value, as: 'floatValue'
          property :name, as: 'name'
          property :string_value, as: 'stringValue'
        end
      end
      
      class IndexingBadSslCertificate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bad_ssl_certificate, as: 'badSslCertificate', class: Google::Apis::ContentwarehouseV1::TrawlerSslCertificateInfo, decorator: Google::Apis::ContentwarehouseV1::TrawlerSslCertificateInfo::Representation
      
          property :url_with_bad_ssl_certificate, :base64 => true, as: 'urlWithBadSslCertificate'
        end
      end
      
      class IndexingConverterLocalizedAlternateName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_source, as: 'annotationSource'
          property :device_match_info, as: 'deviceMatchInfo'
          property :ecn_fp, :base64 => true, as: 'ecnFp'
          property :feed_url, as: 'feedUrl'
          property :language, as: 'language'
          property :parsed_language, as: 'parsedLanguage'
          property :parsed_region, as: 'parsedRegion'
          property :url, :base64 => true, as: 'url'
          property :url_encoding, as: 'urlEncoding'
        end
      end
      
      class IndexingConverterRawRedirectInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_final_target_from_rendering, as: 'rawFinalTargetFromRendering'
          property :raw_final_target_from_trawler, as: 'rawFinalTargetFromTrawler'
          property :raw_redirect_chain_from_rendering, as: 'rawRedirectChainFromRendering', class: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectChain, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectChain::Representation
      
          property :rendering_redirect_limit, as: 'renderingRedirectLimit'
        end
      end
      
      class IndexingConverterRedirectChain
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :hop, as: 'hop', class: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectChainHop, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectChainHop::Representation
      
        end
      end
      
      class IndexingConverterRedirectChainHop
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :params, as: 'params', class: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectParams, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRedirectParams::Representation
      
          property :raw_target, as: 'rawTarget'
          property :target, as: 'target'
        end
      end
      
      class IndexingConverterRedirectParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :delay, as: 'delay'
          property :frame_target_denies_framing, as: 'frameTargetDeniesFraming'
          property :is_download, as: 'isDownload'
          property :is_rendering_redirect, as: 'isRenderingRedirect'
          property :meta_redirect_from_trawler, as: 'metaRedirectFromTrawler'
          property :type, as: 'type'
        end
      end
      
      class IndexingConverterRichContentData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :range, as: 'range', class: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentDataRange, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentDataRange::Representation
      
        end
      end
      
      class IndexingConverterRichContentDataRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :range_type, as: 'rangeType'
          property :size, as: 'size'
          property :source_type, as: 'sourceType'
          property :source_url, as: 'sourceUrl'
          property :text, :base64 => true, as: 'text'
          property :text_compression_method, as: 'textCompressionMethod'
        end
      end
      
      class IndexingConverterRobotsInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_expiry, as: 'contentExpiry'
          property :convert_to_roboted_reason, as: 'convertToRobotedReason'
          property :disallowed_reason, as: 'disallowedReason'
          property :indexifembedded_reason, as: 'indexifembeddedReason'
          property :max_image_preview, as: 'maxImagePreview'
          property :max_snippet_length, :numeric_string => true, as: 'maxSnippetLength'
          property :noarchive_reason, as: 'noarchiveReason'
          property :nofollow_reason, as: 'nofollowReason'
          property :noimageframeoverlay_reason, as: 'noimageframeoverlayReason'
          property :noimageindex_reason, as: 'noimageindexReason'
          property :noindex_reason, as: 'noindexReason'
          property :nopreview_reason, as: 'nopreviewReason'
          property :nosnippet_reason, as: 'nosnippetReason'
          property :notranslate_reason, as: 'notranslateReason'
        end
      end
      
      class IndexingConverterShingleFingerprint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, :numeric_string => true, as: 'metadata'
          collection :value, as: 'value'
        end
      end
      
      class IndexingCrawlerIdServingDocumentIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :double_indexing_experiment_id, as: 'doubleIndexingExperimentId'
          property :dup_experiment_id, as: 'dupExperimentId'
          property :key, as: 'key'
        end
      end
      
      class IndexingDocjoinerAnchorPhraseSpamInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :phrase_anchor_spam_count, as: 'phraseAnchorSpamCount'
          property :phrase_anchor_spam_days, as: 'phraseAnchorSpamDays'
          property :phrase_anchor_spam_demoted, as: 'phraseAnchorSpamDemoted'
          property :phrase_anchor_spam_end, as: 'phraseAnchorSpamEnd'
          property :phrase_anchor_spam_fraq, as: 'phraseAnchorSpamFraq'
          property :phrase_anchor_spam_penalty, as: 'phraseAnchorSpamPenalty'
          property :phrase_anchor_spam_processed, as: 'phraseAnchorSpamProcessed'
          property :phrase_anchor_spam_rate, as: 'phraseAnchorSpamRate'
          property :phrase_anchor_spam_start, as: 'phraseAnchorSpamStart'
        end
      end
      
      class IndexingDocjoinerAnchorSpamInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_end, as: 'anchorEnd'
          property :anchor_fraq, as: 'anchorFraq'
          property :anchor_start, as: 'anchorStart'
          property :demoted, as: 'demoted'
          property :demoted_all, as: 'demotedAll'
          property :demoted_end, as: 'demotedEnd'
          property :demoted_start, as: 'demotedStart'
          property :phrase_count, as: 'phraseCount'
          property :phrase_days, as: 'phraseDays'
          property :phrase_fraq, as: 'phraseFraq'
          property :phrase_rate, as: 'phraseRate'
          property :processed, as: 'processed'
          property :sampled, as: 'sampled'
          collection :sources, as: 'sources', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorTrustedInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorTrustedInfo::Representation
      
          property :spam_debug_info, as: 'spamDebugInfo'
          property :spam_penalty, as: 'spamPenalty'
          property :spam_probability, as: 'spamProbability'
          property :trusted_demoted, as: 'trustedDemoted'
          property :trusted_examples, as: 'trustedExamples'
          property :trusted_matching, as: 'trustedMatching'
          property :trusted_target, as: 'trustedTarget'
          property :trusted_total, as: 'trustedTotal'
        end
      end
      
      class IndexingDocjoinerAnchorStatistics
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_count, as: 'anchorCount'
          property :anchor_phrase_count, as: 'anchorPhraseCount'
          property :anchor_spam_info, as: 'anchorSpamInfo', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorSpamInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorSpamInfo::Representation
      
          property :anchors_with_deduped_improvanchors, as: 'anchorsWithDedupedImprovanchors'
          property :badbacklinks_penalized, as: 'badbacklinksPenalized'
          property :base_anchor_count, as: 'baseAnchorCount'
          property :base_offdomain_anchor_count, as: 'baseOffdomainAnchorCount'
          property :dropped_homepage_anchor_count, as: 'droppedHomepageAnchorCount'
          property :dropped_local_anchor_count, as: 'droppedLocalAnchorCount'
          property :dropped_non_local_anchor_count, as: 'droppedNonLocalAnchorCount'
          property :dropped_redundant_anchor_count, as: 'droppedRedundantAnchorCount'
          property :fake_anchor_count, as: 'fakeAnchorCount'
          property :forwarded_anchor_count, as: 'forwardedAnchorCount'
          property :forwarded_offdomain_anchor_count, as: 'forwardedOffdomainAnchorCount'
          property :global_anchor_delta, as: 'globalAnchorDelta'
          property :link_before_sitechange_tagged_anchors, as: 'linkBeforeSitechangeTaggedAnchors'
          property :local_anchor_count, as: 'localAnchorCount'
          property :low_corpus_anchor_count, as: 'lowCorpusAnchorCount'
          property :low_corpus_offdomain_anchor_count, as: 'lowCorpusOffdomainAnchorCount'
          property :medium_corpus_anchor_count, as: 'mediumCorpusAnchorCount'
          property :medium_corpus_offdomain_anchor_count, as: 'mediumCorpusOffdomainAnchorCount'
          property :min_domain_home_page_local_outdegree, as: 'minDomainHomePageLocalOutdegree'
          property :min_host_home_page_local_outdegree, as: 'minHostHomePageLocalOutdegree'
          property :non_local_anchor_count, as: 'nonLocalAnchorCount'
          property :offdomain_anchor_count, as: 'offdomainAnchorCount'
          property :ondomain_anchor_count, as: 'ondomainAnchorCount'
          property :onsite_anchor_count, as: 'onsiteAnchorCount'
          property :page_from_expired_tagged_anchors, as: 'pageFromExpiredTaggedAnchors'
          property :page_mismatch_tagged_anchors, as: 'pageMismatchTaggedAnchors'
          property :penguin_early_anchor_protected, as: 'penguinEarlyAnchorProtected'
          property :penguin_last_update, as: 'penguinLastUpdate'
          property :penguin_penalty, as: 'penguinPenalty'
          property :penguin_too_many_sources, as: 'penguinTooManySources'
          collection :perdupstats, as: 'perdupstats', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsPerDupStats, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsPerDupStats::Representation
      
          property :phrase_anchor_spam_info, as: 'phraseAnchorSpamInfo', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorPhraseSpamInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorPhraseSpamInfo::Representation
      
          property :redundant_anchor_for_phrase_cap_count, as: 'redundantAnchorForPhraseCapCount'
          collection :redundantanchorinfo, as: 'redundantanchorinfo', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsRedundantAnchorInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsRedundantAnchorInfo::Representation
      
          collection :redundantanchorinfoforphrasecap, as: 'redundantanchorinfoforphrasecap', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsRedundantAnchorInfoForPhraseCap, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerAnchorStatisticsRedundantAnchorInfoForPhraseCap::Representation
      
          property :scanned_anchor_count, as: 'scannedAnchorCount'
          property :skipped_accumulate, as: 'skippedAccumulate'
          property :skipped_or_reused_reason, as: 'skippedOrReusedReason'
          property :spam_log10_odds, as: 'spamLog10Odds'
          property :timestamp, as: 'timestamp'
          property :top_pr_offdomain_anchor_count, as: 'topPrOffdomainAnchorCount'
          property :top_pr_ondomain_anchor_count, as: 'topPrOndomainAnchorCount'
          property :top_pr_onsite_anchor_count, as: 'topPrOnsiteAnchorCount'
          property :total_domain_phrase_pairs_above_limit, as: 'totalDomainPhrasePairsAboveLimit'
          property :total_domain_phrase_pairs_seen_approx, as: 'totalDomainPhrasePairsSeenApprox'
          property :total_domains_above_phrase_cap, as: 'totalDomainsAbovePhraseCap'
          property :total_domains_seen, as: 'totalDomainsSeen'
        end
      end
      
      class IndexingDocjoinerAnchorStatisticsPerDupStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_count, as: 'anchorCount'
          property :collect_type, as: 'collectType'
          property :dup_url, as: 'dupUrl'
          property :offdomain_anchor_count, as: 'offdomainAnchorCount'
          property :redundant_anchor_count, as: 'redundantAnchorCount'
          property :scanned_anchor_count, as: 'scannedAnchorCount'
          property :timestamp, as: 'timestamp'
        end
      end
      
      class IndexingDocjoinerAnchorStatisticsRedundantAnchorInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchors_dropped, :numeric_string => true, as: 'anchorsDropped'
          property :domain, as: 'domain'
          property :text, as: 'text'
        end
      end
      
      class IndexingDocjoinerAnchorStatisticsRedundantAnchorInfoForPhraseCap
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchors_dropped, as: 'anchorsDropped'
          property :domain, as: 'domain'
        end
      end
      
      class IndexingDocjoinerAnchorTrustedInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :matched_score, as: 'matchedScore'
          collection :matched_score_info, as: 'matchedScoreInfo'
          property :phrases_score, as: 'phrasesScore'
          property :site, as: 'site'
          collection :text, as: 'text'
          property :trusted_score, as: 'trustedScore'
        end
      end
      
      class IndexingDocjoinerCDocBuildInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :extra_message, as: 'extraMessage', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class IndexingDocjoinerDataVersion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :accelerated_shopping_signal, as: 'acceleratedShoppingSignal', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :localyp, as: 'localyp', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :localyp_version, as: 'localypVersion'
          property :modern_format_content, as: 'modernFormatContent', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :modern_format_content_version, as: 'modernFormatContentVersion'
          property :navboost, as: 'navboost', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :navboost_version, as: 'navboostVersion'
          property :rankembed, as: 'rankembed', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :universal_facts, as: 'universalFacts', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :video_scoring_signal, as: 'videoScoringSignal', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :video_scoring_signal_version, as: 'videoScoringSignalVersion'
          property :volt, as: 'volt', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerDataVersionVersionInfo::Representation
      
          property :volt_version, as: 'voltVersion'
        end
      end
      
      class IndexingDocjoinerDataVersionVersionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :human_readable_version, as: 'humanReadableVersion'
          property :timestamp_micros, :numeric_string => true, as: 'timestampMicros'
        end
      end
      
      class IndexingDocjoinerServingTimeClusterId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, :numeric_string => true, as: 'clusterId'
          property :index_for_debugging, as: 'indexForDebugging'
          property :reason, as: 'reason'
        end
      end
      
      class IndexingDocjoinerServingTimeClusterIds
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cluster_id, as: 'clusterId', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerServingTimeClusterId, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerServingTimeClusterId::Representation
      
        end
      end
      
      class IndexingDupsComputedLocalizedAlternateNamesLocaleEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, :numeric_string => true, as: 'clusterId'
          property :device_match_info, as: 'deviceMatchInfo'
          property :language, as: 'language'
          property :url, as: 'url'
          property :url_encoding, as: 'urlEncoding'
          property :url_region_code, as: 'urlRegionCode'
        end
      end
      
      class IndexingDupsLocalizedLocalizedCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boost_source_blocker, as: 'boostSourceBlocker'
          collection :cluster, as: 'cluster', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterCluster, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterCluster::Representation
      
          property :deprecated_hreflang_info, as: 'deprecatedHreflangInfo', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo::Representation
      
          property :deprecated_outlinks_info, as: 'deprecatedOutlinksInfo', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo::Representation
      
          property :document_language, as: 'documentLanguage'
          property :hreflang_target_link, as: 'hreflangTargetLink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets::Representation
      
          property :inbody_target_link, as: 'inbodyTargetLink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets::Representation
      
          property :outlinks_target_link, as: 'outlinksTargetLink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkSets::Representation
      
          collection :sitedup_rule_id, as: 'sitedupRuleId'
          collection :warning_message, as: 'warningMessage'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, :numeric_string => true, as: 'clusterId'
          property :cluster_type, as: 'clusterType'
          collection :deprecated_debug_info, as: 'deprecatedDebugInfo'
          property :filtering_enabled, as: 'filteringEnabled'
          property :language, as: 'language'
          property :region_code, as: 'regionCode'
          property :url_region_code, as: 'urlRegionCode'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fp_outlinks, :numeric_string => true, as: 'fpOutlinks'
          property :last_modified_input_timestamp_ms, :numeric_string => true, as: 'lastModifiedInputTimestampMs'
          property :last_processed_output_timestamp_ms, :numeric_string => true, as: 'lastProcessedOutputTimestampMs'
          collection :link_member, as: 'linkMember', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkMember, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkMember::Representation
      
          collection :unvalidated_outlink, as: 'unvalidatedOutlink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkData, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkData::Representation
      
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_source, as: 'annotationSource'
          property :crawl_timestamp, as: 'crawlTimestamp'
          property :url, as: 'url'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterLinkBasedClusterInfoLinkMember
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_source, as: 'annotationSource'
          collection :language_code, as: 'languageCode'
          property :url, as: 'url'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :link_data, as: 'linkData', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLink, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLink::Representation
      
          property :meta_data, as: 'metaData', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkMetadata, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkMetadata::Representation
      
          property :target_doc_data, as: 'targetDocData', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkTargetDocData, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkTargetDocData::Representation
      
          property :validation_status, as: 'validationStatus'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotation_source_info, as: 'annotationSourceInfo', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLinkAnnotationSourceInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLinkAnnotationSourceInfo::Representation
      
          property :cross_domain, as: 'crossDomain'
          property :url, as: 'url'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkLinkAnnotationSourceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_text, as: 'anchorText'
          property :annotation_source, as: 'annotationSource'
          property :language_code, as: 'languageCode'
          property :source_feed_url, as: 'sourceFeedUrl'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :first_seen_ms, :numeric_string => true, as: 'firstSeenMs'
          property :last_verified_ms, :numeric_string => true, as: 'lastVerifiedMs'
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkSets
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :direct_target_link, as: 'directTargetLink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLink, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLink::Representation
      
          collection :indirect_target_link, as: 'indirectTargetLink', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLink, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLink::Representation
      
        end
      end
      
      class IndexingDupsLocalizedLocalizedClusterTargetLinkTargetDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_language, as: 'contentLanguage'
          property :crawl_status, as: 'crawlStatus'
          property :crawl_timestamp_seconds, as: 'crawlTimestampSeconds'
          property :is_canonical, as: 'isCanonical'
          collection :outgoing_link_data, as: 'outgoingLinkData', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLink, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedClusterTargetLinkLink::Representation
      
        end
      end
      
      class IndexingEmbeddedContentEmbeddedContentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compressed_document_trees, :base64 => true, as: 'compressedDocumentTrees'
          property :converted_contents, as: 'convertedContents'
          property :embedded_links_info, as: 'embeddedLinksInfo', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbeddedLinksInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbeddedLinksInfo::Representation
      
          property :headless_response, as: 'headlessResponse', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderResponse, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderResponse::Representation
      
          property :is_alternate_snapshot, as: 'isAlternateSnapshot'
          property :original_encoding, as: 'originalEncoding'
          property :raw_redirect_info, as: 'rawRedirectInfo', class: Google::Apis::ContentwarehouseV1::IndexingConverterRawRedirectInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRawRedirectInfo::Representation
      
          collection :referenced_resource, as: 'referencedResource', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResource, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoReferencedResource::Representation
      
          property :rendered_snapshot, as: 'renderedSnapshot', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoImage::Representation
      
          property :rendered_snapshot_image, as: 'renderedSnapshotImage'
          property :rendered_snapshot_metadata, as: 'renderedSnapshotMetadata', class: Google::Apis::ContentwarehouseV1::SnapshotSnapshotMetadata, decorator: Google::Apis::ContentwarehouseV1::SnapshotSnapshotMetadata::Representation
      
          property :rendered_snapshot_quality_score, as: 'renderedSnapshotQualityScore'
          property :rendering_output_metadata, as: 'renderingOutputMetadata', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderingOutputMetadata, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderingOutputMetadata::Representation
      
          property :richcontent_data, as: 'richcontentData', class: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentData, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRichContentData::Representation
      
        end
      end
      
      class IndexingEmbeddedContentEmbeddedLinksInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :embedder_info, as: 'embedderInfo', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbedderInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentEmbedderInfo::Representation
      
          collection :link, as: 'link', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentLinkInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentLinkInfo::Representation
      
          property :page_size_info, as: 'pageSizeInfo', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentPageSizeInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentPageSizeInfo::Representation
      
          property :sum_http_response_length, as: 'sumHttpResponseLength'
          collection :uncrawled_link_url, as: 'uncrawledLinkUrl'
        end
      end
      
      class IndexingEmbeddedContentEmbedderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :importance_as_embedder, as: 'importanceAsEmbedder'
          property :link_info, as: 'linkInfo', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentLinkInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentLinkInfo::Representation
      
        end
      end
      
      class IndexingEmbeddedContentFetchHostCount
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :counter, as: 'counter', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchHostCountCounter, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchHostCountCounter::Representation
      
          property :host, as: 'host'
          property :num, as: 'num'
        end
      end
      
      class IndexingEmbeddedContentFetchHostCountCounter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :num, as: 'num'
        end
      end
      
      class IndexingEmbeddedContentFetchUrlResponseMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ads_resource_type, as: 'adsResourceType'
          property :crawl_status, as: 'crawlStatus'
          property :critical_resource_type, as: 'criticalResourceType'
          property :fetch_with_smartphone_ua, as: 'fetchWithSmartphoneUa'
          property :is_ads_resource, as: 'isAdsResource'
          property :is_critical_resource, as: 'isCriticalResource'
          property :is_trivial_resource, as: 'isTrivialResource'
          property :num_trawler_fetches, as: 'numTrawlerFetches'
          property :rewrite_method, as: 'rewriteMethod'
          property :robots_info, as: 'robotsInfo', class: Google::Apis::ContentwarehouseV1::IndexingConverterRobotsInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingConverterRobotsInfo::Representation
      
        end
      end
      
      class IndexingEmbeddedContentLinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_length, as: 'contentLength'
          property :content_type, as: 'contentType'
          property :crawl_duration, as: 'crawlDuration'
          property :crawl_status, as: 'crawlStatus'
          property :crawl_timestamp, as: 'crawlTimestamp'
          collection :deprecated_redirect, as: 'deprecatedRedirect'
          collection :fetch_source_info, as: 'fetchSourceInfo', class: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo, decorator: Google::Apis::ContentwarehouseV1::WirelessTranscoderFetchFetchSourceInfo::Representation
      
          property :fetch_status, as: 'fetchStatus', class: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus::Representation
      
          property :fetch_url_response_metadata, as: 'fetchUrlResponseMetadata', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchUrlResponseMetadata, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchUrlResponseMetadata::Representation
      
          property :frd, as: 'frd', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyData, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyData::Representation
      
          property :http_response_length, as: 'httpResponseLength'
          property :is_cacheable, as: 'isCacheable'
          property :is_roboted_content_from_fastnet, as: 'isRobotedContentFromFastnet'
          property :uncompressed_content_length, as: 'uncompressedContentLength'
          property :url, :base64 => true, as: 'url'
          property :webkit_fetch_metadata, as: 'webkitFetchMetadata', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoWebKitFetchMetadata::Representation
      
        end
      end
      
      class IndexingEmbeddedContentOutputGenerationTimestamps
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document_data, as: 'documentData'
          property :rendered_snapshot, as: 'renderedSnapshot'
        end
      end
      
      class IndexingEmbeddedContentPageSizeInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_images, as: 'numImages'
          property :num_images_with_content, as: 'numImagesWithContent'
          property :num_resources, as: 'numResources'
          property :num_resources_with_content, as: 'numResourcesWithContent'
          property :sum_http_response_length, as: 'sumHttpResponseLength'
        end
      end
      
      class IndexingEmbeddedContentRenderCacheStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cache_expire_timestamp_usec, :numeric_string => true, as: 'cacheExpireTimestampUsec'
          property :crawled_simhash_distance, as: 'crawledSimhashDistance'
          property :last_rendered_timestamp_usec, :numeric_string => true, as: 'lastRenderedTimestampUsec'
          property :render_cache, as: 'renderCache'
          property :rendered_simhash_distance, as: 'renderedSimhashDistance'
        end
      end
      
      class IndexingEmbeddedContentRenderRequestConfigConfigParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :virtual_time, as: 'virtualTime'
        end
      end
      
      class IndexingEmbeddedContentRenderingFetchStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :fetch_host_count, as: 'fetchHostCount', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchHostCount, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentFetchHostCount::Representation
      
        end
      end
      
      class IndexingEmbeddedContentRenderingOutputMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :config_params, as: 'configParams', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderRequestConfigConfigParams, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderRequestConfigConfigParams::Representation
      
          property :exceptions, :numeric_string => true, as: 'exceptions'
          property :experimental_render_time_msec, as: 'experimentalRenderTimeMsec'
          property :generation_timestamps, as: 'generationTimestamps', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentOutputGenerationTimestamps, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentOutputGenerationTimestamps::Representation
      
          property :importance, as: 'importance'
          property :last_new_content_probing_timestamp, as: 'lastNewContentProbingTimestamp'
          property :new_tokens_percentage_after_rendering, as: 'newTokensPercentageAfterRendering'
          property :num_new_tokens_found_in_rendering, as: 'numNewTokensFoundInRendering'
          property :refresh, as: 'refresh'
          property :render_cache_stats, as: 'renderCacheStats', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderCacheStats, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderCacheStats::Representation
      
          property :render_engine, as: 'renderEngine'
          collection :render_event, as: 'renderEvent', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderEvent, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoRenderEvent::Representation
      
          property :render_server_cl, :numeric_string => true, as: 'renderServerCl'
          property :render_tree_quality_score, as: 'renderTreeQualityScore'
          property :rendered_snapshot_signature, :base64 => true, as: 'renderedSnapshotSignature'
          property :rendered_time_usec, :numeric_string => true, as: 'renderedTimeUsec'
          property :rendering_fetch_stats, as: 'renderingFetchStats', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderingFetchStats, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentRenderingFetchStats::Representation
      
          property :selection_result, as: 'selectionResult', class: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentSelectionResult, decorator: Google::Apis::ContentwarehouseV1::IndexingEmbeddedContentSelectionResult::Representation
      
          property :snapshot_quality_score, as: 'snapshotQualityScore'
          property :with_missing_resources, as: 'withMissingResources'
        end
      end
      
      class IndexingEmbeddedContentSelectionResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :render_effort, as: 'renderEffort'
          property :selector_id, as: 'selectorId'
        end
      end
      
      class IndexingMlVerticalVerticalItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :name, as: 'name'
          property :petacat_id, as: 'petacatId'
          property :probability, as: 'probability'
        end
      end
      
      class IndexingMobileInterstitialsProtoDesktopInterstitials
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :details, as: 'details', class: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoDesktopInterstitialsDetails, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoDesktopInterstitialsDetails::Representation
      
          property :pipeline_epoch, as: 'pipelineEpoch'
          property :pipeline_pattern, as: 'pipelinePattern'
          property :url_tree, as: 'urlTree', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTree, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTree::Representation
      
          property :violates_desktop_interstitial_policy, as: 'violatesDesktopInterstitialPolicy'
        end
      end
      
      class IndexingMobileInterstitialsProtoDesktopInterstitialsDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :basic_info, as: 'basicInfo', class: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoInterstitialBasicInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoInterstitialBasicInfo::Representation
      
          property :is_smeared_signal, as: 'isSmearedSignal'
        end
      end
      
      class IndexingMobileInterstitialsProtoInterstitialBasicInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :absolute_box, as: 'absoluteBox', class: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox, decorator: Google::Apis::ContentwarehouseV1::HtmlrenderWebkitHeadlessProtoBox::Representation
      
          property :content_type, as: 'contentType'
          property :detection_mode, as: 'detectionMode'
          property :layout_type, as: 'layoutType'
        end
      end
      
      class IndexingMobileVoltCoreWebVitals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cls, :numeric_string => true, as: 'cls'
          property :fid, :numeric_string => true, as: 'fid'
          property :inp, :numeric_string => true, as: 'inp'
          property :lcp, :numeric_string => true, as: 'lcp'
        end
      end
      
      class IndexingMobileVoltVoltPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :desktop_cwv, as: 'desktopCwv', class: Google::Apis::ContentwarehouseV1::IndexingMobileVoltCoreWebVitals, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileVoltCoreWebVitals::Representation
      
          property :desktop_display_url_is_https, as: 'desktopDisplayUrlIsHttps'
          property :display_url_is_https, as: 'displayUrlIsHttps'
          property :mobile_cwv, as: 'mobileCwv', class: Google::Apis::ContentwarehouseV1::IndexingMobileVoltCoreWebVitals, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileVoltCoreWebVitals::Representation
      
        end
      end
      
      class IndexingPrivacyAccessAccessRequirements
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :restriction_categories, as: 'restrictionCategories'
        end
      end
      
      class IndexingSignalAggregatorAdaptiveIntervalData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :clicks_good_interval, as: 'clicksGoodInterval'
          property :clicks_good_prior_weight, as: 'clicksGoodPriorWeight'
          property :clicks_total_interval, as: 'clicksTotalInterval'
          property :clicks_total_prior_weight, as: 'clicksTotalPriorWeight'
          property :ctrwi_interval, as: 'ctrwiInterval'
          property :ctrwi_prior_weight, as: 'ctrwiPriorWeight'
          property :dwells_interval, as: 'dwellsInterval'
          property :dwells_prior_weight, as: 'dwellsPriorWeight'
          property :lu_dwells_interval, as: 'luDwellsInterval'
          property :lu_dwells_prior_weight, as: 'luDwellsPriorWeight'
        end
      end
      
      class IndexingSignalAggregatorAgeWeightedCoverageData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_chance_time, as: 'averageChanceTime'
          property :chances, as: 'chances'
          property :clicks_bad, as: 'clicksBad'
          property :clicks_good, as: 'clicksGood'
          property :clicks_image, as: 'clicksImage'
          property :clicks_total, as: 'clicksTotal'
          property :clicks_unclassified, as: 'clicksUnclassified'
          property :coverage_timestamp, :numeric_string => true, as: 'coverageTimestamp'
          property :ctr_weighted_impressions, as: 'ctrWeightedImpressions'
          property :dwells, as: 'dwells'
          property :first_base_coverage_timestamp, :numeric_string => true, as: 'firstBaseCoverageTimestamp'
          property :first_coverage_pagerank_ns, as: 'firstCoveragePagerankNs'
          property :first_coverage_timestamp, :numeric_string => true, as: 'firstCoverageTimestamp'
          property :firstseen, :numeric_string => true, as: 'firstseen'
          property :impressions, as: 'impressions'
          property :interval_data, as: 'intervalData', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAdaptiveIntervalData, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAdaptiveIntervalData::Representation
      
          property :language, as: 'language'
          property :last_dwell_date_in_days, as: 'lastDwellDateInDays'
          property :last_good_click_date_in_days, as: 'lastGoodClickDateInDays'
          property :last_impression_date_in_days, as: 'lastImpressionDateInDays'
          property :last_lu_dwell_date_in_days, as: 'lastLuDwellDateInDays'
          property :last_pseudo_impressions_date_in_days, as: 'lastPseudoImpressionsDateInDays'
          property :lu_dwells, as: 'luDwells'
          property :repid, :base64 => true, as: 'repid'
          property :total_chances, :numeric_string => true, as: 'totalChances'
          property :url, as: 'url'
          property :urlfp, :numeric_string => true, as: 'urlfp'
        end
      end
      
      class IndexingSignalAggregatorAggregatedScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deviation, as: 'deviation'
          property :m2, as: 'm2'
          property :max_score_url, as: 'maxScoreUrl', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore::Representation
      
          property :mean, as: 'mean'
          property :mean_score, as: 'meanScore'
          property :min_score_url, as: 'minScoreUrl', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore::Representation
      
          property :num_important_urls, :numeric_string => true, as: 'numImportantUrls'
          property :num_urls_matched, :numeric_string => true, as: 'numUrlsMatched'
          property :num_urls_with_signal, :numeric_string => true, as: 'numUrlsWithSignal'
          property :pattern_layer, as: 'patternLayer'
          collection :patterns_used_in_mediation, as: 'patternsUsedInMediation'
          collection :percentile, as: 'percentile'
          property :running_mean_and_variance_internal_state, as: 'runningMeanAndVarianceInternalState', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorRunningMeanAndVarianceInternalState, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorRunningMeanAndVarianceInternalState::Representation
      
          collection :samples, as: 'samples', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore::Representation
      
          collection :scores, as: 'scores'
          property :signal_id, as: 'signalId'
          property :single_url_score, as: 'singleUrlScore', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlScore::Representation
      
          property :total_score, as: 'totalScore'
          property :total_score_low, as: 'totalScoreLow'
          property :total_score_sqr, as: 'totalScoreSqr'
          property :total_score_sqr_low, as: 'totalScoreSqrLow'
          property :total_weight, as: 'totalWeight'
          property :total_weight_low, as: 'totalWeightLow'
        end
      end
      
      class IndexingSignalAggregatorRunningMeanAndVarianceInternalState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :m2, as: 'm2'
          property :mean, as: 'mean'
          property :total_weight, as: 'totalWeight'
        end
      end
      
      class IndexingSignalAggregatorSccData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :parent_pattern, as: 'parentPattern', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccSignal, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccSignal::Representation
      
          property :pattern, as: 'pattern', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccSignal, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccSignal::Representation
      
        end
      end
      
      class IndexingSignalAggregatorSccSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :clicks_bad, as: 'clicksBad'
          property :clicks_image, as: 'clicksImage'
          property :clicks_total, as: 'clicksTotal'
          collection :debug_info, as: 'debugInfo'
          property :num_image_urls, as: 'numImageUrls'
          property :num_urls, :numeric_string => true, as: 'numUrls'
          property :pattern, as: 'pattern'
        end
      end
      
      class IndexingSignalAggregatorUrlPatternSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :coverage, as: 'coverage', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAgeWeightedCoverageData, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAgeWeightedCoverageData::Representation
      
          property :pagerank_score, as: 'pagerankScore', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore::Representation
      
          property :pattern_score, as: 'patternScore', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore::Representation
      
          collection :prior_signal, as: 'priorSignal', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlPatternSignalsPriorSignal, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorUrlPatternSignalsPriorSignal::Representation
      
          property :regexp_pattern_score, as: 'regexpPatternScore', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore::Representation
      
          property :scc_data, as: 'sccData', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccData, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorSccData::Representation
      
        end
      end
      
      class IndexingSignalAggregatorUrlPatternSignalsPriorSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_score, as: 'aggregatedScore', class: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore, decorator: Google::Apis::ContentwarehouseV1::IndexingSignalAggregatorAggregatedScore::Representation
      
          property :prior_signal_id, as: 'priorSignalId'
        end
      end
      
      class IndexingSignalAggregatorUrlScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dsac_num_weekly_perf_records, as: 'dsacNumWeeklyPerfRecords'
          property :eligible_experimental_layer, as: 'eligibleExperimentalLayer'
          property :first_served_timestamp, :numeric_string => true, as: 'firstServedTimestamp'
          property :is_important, as: 'isImportant'
          property :score, as: 'score'
          property :url, as: 'url'
          property :weight, as: 'weight'
        end
      end
      
      class IndexingSpeechSpeechPropertiesProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audio_duration, as: 'audioDuration'
          property :audio_only, as: 'audioOnly'
          property :estimated_audio_duration, as: 'estimatedAudioDuration'
          property :estimated_audio_duration_confidence, as: 'estimatedAudioDurationConfidence'
          property :language_code, as: 'languageCode'
          property :num_words, as: 'numWords'
          property :recognizer_accuracy, as: 'recognizerAccuracy'
          property :speech_duration, as: 'speechDuration'
          property :truncated_file, as: 'truncatedFile'
        end
      end
      
      class IndexingUrlPatternUrlTreeBigTreeBranch
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :features, as: 'features', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeatures, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeatures::Representation
      
          property :pattern_id, :numeric_string => true, as: 'patternId'
          property :payload, as: 'payload', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fingerprint, :numeric_string => true, as: 'fingerprint'
          property :fingerprint_with_group_in_type, as: 'fingerprintWithGroupInType'
          property :group_in_type, as: 'groupInType'
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :feature, as: 'feature', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeature, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeature::Representation
      
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlTree
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :big_branch, as: 'bigBranch', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeBigTreeBranch, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeBigTreeBranch::Representation
      
          property :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeDebugInfo, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeDebugInfo::Representation
      
          property :key, as: 'key', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeKey, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeKey::Representation
      
          collection :node, as: 'node', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeNode, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlTreeNode::Representation
      
          property :retrieval_timestamp, as: 'retrievalTimestamp'
          property :site, as: 'site'
          property :timestamp, as: 'timestamp'
          property :tree_info, as: 'treeInfo', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :inner_similarity, as: 'innerSimilarity'
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :crawler_id, as: 'crawlerId'
          property :domain, as: 'domain'
          property :hostname, as: 'hostname'
        end
      end
      
      class IndexingUrlPatternUrlTreeUrlTreeNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index_of_sub_tree_with_splitting_feature, as: 'indexOfSubTreeWithSplittingFeature'
          property :index_of_sub_tree_without_splitting_feature, as: 'indexOfSubTreeWithoutSplittingFeature'
          property :parent, as: 'parent'
          property :path_from_root, as: 'pathFromRoot'
          property :pattern_id, :numeric_string => true, as: 'patternId'
          property :payload, as: 'payload', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :splitting_feature, as: 'splittingFeature', class: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeature, decorator: Google::Apis::ContentwarehouseV1::IndexingUrlPatternUrlTreeUrlFeature::Representation
      
          property :splitting_feature_score, as: 'splittingFeatureScore'
        end
      end
      
      class KaltixPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :kaltix_rank, as: 'KaltixRank'
          property :local_kaltix_rank, as: 'LocalKaltixRank'
          property :site_kaltix_rank, as: 'SiteKaltixRank'
        end
      end
      
      class KeGovernanceTypedRegions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :region_type, as: 'regionType'
          collection :regions, as: 'regions'
        end
      end
      
      class KnowledgeAnswersAnyType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersAttributeType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribute, as: 'attribute'
          property :pivot_entity_slot, as: 'pivotEntitySlot'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersBooleanType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersCollectionType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :collection, as: 'collection'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersCompoundType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersContainerType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :slot_names, as: 'slotNames'
        end
      end
      
      class KnowledgeAnswersDateType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_all_range_resolutions, as: 'allowAllRangeResolutions'
          property :allow_all_resolutions, as: 'allowAllResolutions'
          property :allow_all_resolutions_except_holidays, as: 'allowAllResolutionsExceptHolidays'
          property :allow_all_resolutions_without4digit24hr_time, as: 'allowAllResolutionsWithout4digit24hrTime'
          property :allow_all_resolutions_without_time, as: 'allowAllResolutionsWithoutTime'
          property :allow_day_resolution, as: 'allowDayResolution'
          property :allow_day_resolution_except_holidays_or_ordinal, as: 'allowDayResolutionExceptHolidaysOrOrdinal'
          property :allow_hour_resolution, as: 'allowHourResolution'
          property :allow_month_resolution, as: 'allowMonthResolution'
          property :allow_now_resolution, as: 'allowNowResolution'
          property :allow_symbolic_time, as: 'allowSymbolicTime'
          property :allow_time_resolutions_without_explicit_timezone, as: 'allowTimeResolutionsWithoutExplicitTimezone'
          property :allow_year_resolution, as: 'allowYearResolution'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          property :sub_type, as: 'subType'
        end
      end
      
      class KnowledgeAnswersDependencyType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :container_type, as: 'containerType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersContainerType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersContainerType::Representation
      
          property :intersect_type, as: 'intersectType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntersectType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntersectType::Representation
      
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          property :same_type, as: 'sameType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSameType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSameType::Representation
      
          property :union_type, as: 'unionType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersUnionType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersUnionType::Representation
      
        end
      end
      
      class KnowledgeAnswersDialogReferentialResolution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :refers_to_full_mrf, as: 'refersToFullMrf'
          property :resolution_type, as: 'resolutionType'
        end
      end
      
      class KnowledgeAnswersDurationType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :range_constraint, as: 'rangeConstraint', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraint, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraint::Representation
      
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersEntityType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :collection, as: 'collection'
          collection :excluded_collection, as: 'excludedCollection'
          collection :id, as: 'id'
          collection :identifier, as: 'identifier', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIdentifier, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIdentifier::Representation
      
          property :in_all_collections, as: 'inAllCollections'
          property :include_geolocation_data, as: 'includeGeolocationData'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          collection :stbr_domain, as: 'stbrDomain'
        end
      end
      
      class KnowledgeAnswersIntentModifiers
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alternate_language, as: 'alternateLanguage'
          property :definiteness, as: 'definiteness'
          property :language, as: 'language'
          property :mood, as: 'mood'
          property :plurality, as: 'plurality'
          property :polar_question, as: 'polarQuestion'
          property :sentiment, as: 'sentiment', class: Google::Apis::ContentwarehouseV1::SentimentSentiment, decorator: Google::Apis::ContentwarehouseV1::SentimentSentiment::Representation
      
          property :tense, as: 'tense'
        end
      end
      
      class KnowledgeAnswersIntentQueryAnnotationLayerSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :custom_vehicle_action_argument_annotator_signals, as: 'customVehicleActionArgumentAnnotatorSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCustomVehicleActionArgumentAnnotatorSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCustomVehicleActionArgumentAnnotatorSignals::Representation
      
          property :freetext_annotation_signals, as: 'freetextAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFreetextAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFreetextAnnotationSignals::Representation
      
          property :nimble_annotation_signals, as: 'nimbleAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryNimbleAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryNimbleAnnotationSignals::Representation
      
          property :ntpr_annotation_signals, as: 'ntprAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryNtprAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryNtprAnnotationSignals::Representation
      
          property :qref_annotation_signals, as: 'qrefAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryQrefAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryQrefAnnotationSignals::Representation
      
          property :semantic_annotation_signals, as: 'semanticAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySemanticAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySemanticAnnotationSignals::Representation
      
          property :teleport_argument_annotator_signals, as: 'teleportArgumentAnnotatorSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTeleportArgumentAnnotatorSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTeleportArgumentAnnotatorSignals::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgPath
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :components, as: 'components', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgPathComponent, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgPathComponent::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgPathComponent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :arg_name, as: 'argName'
          property :index, as: 'index'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :heuristic_eval_data, as: 'heuristicEvalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :key, as: 'key', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaSlotKey, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaSlotKey::Representation
      
          property :modifiers, as: 'modifiers', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentModifiers, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentModifiers::Representation
      
          property :name, as: 'name'
          property :signals, as: 'signals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentSignals::Representation
      
          property :value, as: 'value', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentValue, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentValue::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anaphor, as: 'anaphor', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceQueryAnaphor, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceQueryAnaphor::Representation
      
          property :attentional_entity, as: 'attentionalEntity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceAttentionalEntity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceAttentionalEntity::Representation
      
          property :current_query, as: 'currentQuery', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceCurrentQuery, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceCurrentQuery::Representation
      
          property :injected_contextual_schema, as: 'injectedContextualSchema', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceInjectedContextualSchema, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceInjectedContextualSchema::Representation
      
          property :previous_query, as: 'previousQuery', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousQuery, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousQuery::Representation
      
          property :previous_response_meaning, as: 'previousResponseMeaning', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousResponseMeaning, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousResponseMeaning::Representation
      
          property :previous_task_state, as: 'previousTaskState', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskState, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskState::Representation
      
          property :search_answer_value, as: 'searchAnswerValue', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceSearchAnswerValue, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenanceSearchAnswerValue::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceAttentionalEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attentional_entity_key, :numeric_string => true, as: 'attentionalEntityKey'
          property :mention_properties, as: 'mentionProperties', class: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionProperties, decorator: Google::Apis::ContentwarehouseV1::AttentionalEntitiesMentionProperties::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceCurrentQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceInjectedContextualSchema
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :current_query_eval_data, as: 'currentQueryEvalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          collection :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :event_id, as: 'eventId', class: Google::Apis::ContentwarehouseV1::EventIdMessage, decorator: Google::Apis::ContentwarehouseV1::EventIdMessage::Representation
      
          property :role, as: 'role', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousQueryRole, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousQueryRole::Representation
      
          property :source, as: 'source'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousQueryRole
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intent_id, as: 'intentId'
          property :slot_name, as: 'slotName'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousResponseMeaning
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :argument_name, as: 'argumentName'
          collection :current_query_eval_data, as: 'currentQueryEvalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :dialog_intent_state_id, as: 'dialogIntentStateId'
          property :intent_name, as: 'intentName'
          property :list_candidate, as: 'listCandidate', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStateListCandidate, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStateListCandidate::Representation
      
          property :previous_function_call, as: 'previousFunctionCall', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStatePreviousFunctionCall, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStatePreviousFunctionCall::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStateListCandidate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :candidate_index, as: 'candidateIndex'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenancePreviousTaskStatePreviousFunctionCall
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceQueryAnaphor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentProvenanceSearchAnswerValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event_id, as: 'eventId', class: Google::Apis::ContentwarehouseV1::EventIdMessage, decorator: Google::Apis::ContentwarehouseV1::EventIdMessage::Representation
      
          property :metadata_value_index, as: 'metadataValueIndex'
          property :text, as: 'text'
          property :value_index, as: 'valueIndex'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :added_by_close_answers, as: 'addedByCloseAnswers'
          property :allowed_fuzzy_match, as: 'allowedFuzzyMatch'
          collection :annotated_relationship, as: 'annotatedRelationship', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryWebrefEntityRelationship, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryWebrefEntityRelationship::Representation
      
          property :annotation_layer_signals, as: 'annotationLayerSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryAnnotationLayerSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryAnnotationLayerSignals::Representation
      
          collection :chain_id, as: 'chainId', class: Google::Apis::ContentwarehouseV1::LocalsearchChainId, decorator: Google::Apis::ContentwarehouseV1::LocalsearchChainId::Representation
      
          property :cluster_info, as: 'clusterInfo', class: Google::Apis::ContentwarehouseV1::QualityViewsExtractionClusterInfo, decorator: Google::Apis::ContentwarehouseV1::QualityViewsExtractionClusterInfo::Representation
      
          collection :collection_membership, as: 'collectionMembership', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCollectionMembership, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCollectionMembership::Representation
      
          property :context_resolution, as: 'contextResolution'
          collection :deprecated_freebase_type, as: 'deprecatedFreebaseType'
          collection :deprecated_supporting_mid, as: 'deprecatedSupportingMid'
          property :entity_number, as: 'entityNumber'
          collection :entity_relationship, as: 'entityRelationship', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationEntityRelationship, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationEntityRelationship::Representation
      
          property :expression_status, as: 'expressionStatus', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingExpressionStatus, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingExpressionStatus::Representation
      
          property :from_manual_symbol_annotation, as: 'fromManualSymbolAnnotation'
          property :from_symbol_annotation, as: 'fromSymbolAnnotation'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :grounding_signals, as: 'groundingSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryGroundingSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryGroundingSignals::Representation
      
          property :is_a_ungrounded_type_of, as: 'isAUngroundedTypeOf'
          property :is_default_value, as: 'isDefaultValue'
          property :is_enum, as: 'isEnum'
          property :is_eval_data_heuristic, as: 'isEvalDataHeuristic'
          property :is_genie_annotation, as: 'isGenieAnnotation'
          property :is_intentgen_annotation, as: 'isIntentgenAnnotation'
          property :is_nimble_annotation, as: 'isNimbleAnnotation'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :location_markers_signals, as: 'locationMarkersSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocationMarkersSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocationMarkersSignals::Representation
      
          property :media_entity_signals, as: 'mediaEntitySignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryMediaEntitySignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryMediaEntitySignals::Representation
      
          collection :merged_implied_entity, as: 'mergedImpliedEntity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryImpliedEntity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryImpliedEntity::Representation
      
          property :mid_equivalent_to_collection, as: 'midEquivalentToCollection'
          property :multiple_horizontal_list_selection_matches, as: 'multipleHorizontalListSelectionMatches'
          property :munin_signals, as: 'muninSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryMuninSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryMuninSignals::Representation
      
          property :on_device_annotation_signals, as: 'onDeviceAnnotationSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryOnDeviceAnnotationSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryOnDeviceAnnotationSignals::Representation
      
          property :oyster_id, as: 'oysterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :parsed_due_to_experiment, as: 'parsedDueToExperiment'
          collection :personal_entity, as: 'personalEntity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntity::Representation
      
          collection :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenance, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenance::Representation
      
          property :qref_confidence_score, as: 'qrefConfidenceScore'
          property :qref_interpretation_index, as: 'qrefInterpretationIndex'
          property :raw_query_text, as: 'rawQueryText'
          collection :related_entity, as: 'relatedEntity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingRelatedEntity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingRelatedEntity::Representation
      
          property :relatedness_signals, as: 'relatednessSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryRelatednessSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryRelatednessSignals::Representation
      
          property :resolved_from_context, as: 'resolvedFromContext'
          property :resolved_from_pronoun, as: 'resolvedFromPronoun'
          collection :result_support, as: 'resultSupport', class: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupport, decorator: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupport::Representation
      
          property :saft_signals, as: 'saftSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySaftSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySaftSignals::Representation
      
          property :shopping_ids, as: 'shoppingIds', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds::Representation
      
          collection :support_transfer_rules, as: 'supportTransferRules', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQuerySupportTransferRule, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQuerySupportTransferRule::Representation
      
          property :support_transfer_signals, as: 'supportTransferSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySupportTransferSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySupportTransferSignals::Representation
      
          property :ungrounded_value_type, as: 'ungroundedValueType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersValueType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersValueType::Representation
      
          property :webref_entities_index, as: 'webrefEntitiesIndex'
          property :webref_list_source, as: 'webrefListSource'
        end
      end
      
      class KnowledgeAnswersIntentQueryArgumentValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aog_slot, as: 'aogSlot', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot::Representation
      
          property :app_annotation, as: 'appAnnotation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAppAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAppAnnotation::Representation
      
          property :audio, as: 'audio', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAudio, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAudio::Representation
      
          property :calendar_event, as: 'calendarEvent', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEvent, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEvent::Representation
      
          property :calendar_event_wrapper, as: 'calendarEventWrapper', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventWrapper, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventWrapper::Representation
      
          property :calendar_reference, as: 'calendarReference', class: Google::Apis::ContentwarehouseV1::QualityQrewriteCalendarReference, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteCalendarReference::Representation
      
          property :complex_queries_rewrite, as: 'complexQueriesRewrite', class: Google::Apis::ContentwarehouseV1::QualityGenieComplexQueriesComplexQueriesOutputRewrite, decorator: Google::Apis::ContentwarehouseV1::QualityGenieComplexQueriesComplexQueriesOutputRewrite::Representation
      
          property :component_reference, as: 'componentReference', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefComponentReference, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefComponentReference::Representation
      
          property :coreference, as: 'coreference', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCoreference, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCoreference::Representation
      
          property :date_time, as: 'dateTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :device, as: 'device', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaCastDeviceAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaCastDeviceAnnotation::Representation
      
          property :device_id, as: 'deviceId', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :device_user_identity, as: 'deviceUserIdentity', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceUserIdentity, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceUserIdentity::Representation
      
          property :duration, as: 'duration', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration::Representation
      
          property :funcall, as: 'funcall', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCall, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCall::Representation
      
          property :home_automation_device, as: 'homeAutomationDevice', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationDevice, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsHomeautomationProtoHomeAutomationDevice::Representation
      
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation::Representation
      
          property :media, as: 'media', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotation::Representation
      
          property :message_notification, as: 'messageNotification', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotification, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesMessageNotification::Representation
      
          property :money, as: 'money', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney::Representation
      
          property :narrative_news_provider, as: 'narrativeNewsProvider', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsNarrativeNewsNewsProvider, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsNarrativeNewsNewsProvider::Representation
      
          property :number, as: 'number', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberNumber::Representation
      
          property :on_device, as: 'onDevice', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsOnDevice, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsOnDevice::Representation
      
          property :person, as: 'person', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson::Representation
      
          property :personal_intelligence_entity, as: 'personalIntelligenceEntity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingPersonalIntelligenceEntity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingPersonalIntelligenceEntity::Representation
      
          property :productivity_list_item, as: 'productivityListItem', class: Google::Apis::ContentwarehouseV1::AssistantProductivityListItem, decorator: Google::Apis::ContentwarehouseV1::AssistantProductivityListItem::Representation
      
          property :recurrence, as: 'recurrence', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrence, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrence::Representation
      
          property :reminder, as: 'reminder', class: Google::Apis::ContentwarehouseV1::QualityActionsReminder, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminder::Representation
      
          property :sensitive_value, as: 'sensitiveValue', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySensitiveArgumentValueGuard, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySensitiveArgumentValueGuard::Representation
      
          collection :sensitivity, as: 'sensitivity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity::Representation
      
          property :shopping_merchant, as: 'shoppingMerchant', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchant, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchant::Representation
      
          property :shopping_offer, as: 'shoppingOffer', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantOffer, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantOffer::Representation
      
          property :shopping_product, as: 'shoppingProduct', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct::Representation
      
          property :shopping_product_expression, as: 'shoppingProductExpression', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductExpression, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductExpression::Representation
      
          property :shopping_store, as: 'shoppingStore', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantStore, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantStore::Representation
      
          property :simple_value, as: 'simpleValue', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySimpleValue, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySimpleValue::Representation
      
          property :timer, as: 'timer', class: Google::Apis::ContentwarehouseV1::QualityActionsTimer, decorator: Google::Apis::ContentwarehouseV1::QualityActionsTimer::Representation
      
          property :timezone, as: 'timezone', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTimeZone, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTimeZone::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryAttributeSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attribute_id, as: 'attributeId'
          property :score, as: 'score'
        end
      end
      
      class KnowledgeAnswersIntentQueryCollectionMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :collection_id, as: 'collectionId'
          property :collection_mid, as: 'collectionMid'
          property :collection_score, as: 'collectionScore'
          collection :score, as: 'score', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCollectionScore, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryCollectionScore::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryCollectionScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score_type, as: 'scoreType'
          property :score_value, as: 'scoreValue'
        end
      end
      
      class KnowledgeAnswersIntentQueryCoreference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :arg_path, as: 'argPath', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgPath, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgPath::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryCustomVehicleActionArgumentAnnotatorSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :additional_annotation_data, as: 'additionalAnnotationData'
        end
      end
      
      class KnowledgeAnswersIntentQueryFreetextAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryFunctionCall
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :argument, as: 'argument', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgument, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgument::Representation
      
          property :catalog_version, :numeric_string => true, as: 'catalogVersion'
          collection :contextual_sensitivity, as: 'contextualSensitivity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity::Representation
      
          property :enabled_remodelings, as: 'enabledRemodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelingControl, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelingControl::Representation
      
          collection :ignored_tokens, as: 'ignoredTokens', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokens, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokens::Representation
      
          property :key, as: 'key', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaKey, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaKey::Representation
      
          property :marker, as: 'marker', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarker, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarker::Representation
      
          property :modifiers, as: 'modifiers', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentModifiers, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentModifiers::Representation
      
          property :name, as: 'name'
          property :sensitivity, as: 'sensitivity', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivitySensitivity::Representation
      
          property :signals, as: 'signals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCallSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCallSignals::Representation
      
          collection :unexplained_tokens, as: 'unexplainedTokens', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokens, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokens::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryFunctionCallSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :argument_composing_mid, as: 'argumentComposingMid'
          collection :attribute_signals, as: 'attributeSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryAttributeSignal, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryAttributeSignal::Representation
      
          property :concept_entity_mid, as: 'conceptEntityMid'
          property :confidence_level, as: 'confidenceLevel'
          collection :deduped_funcalls, as: 'dedupedFuncalls', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCall, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryFunctionCall::Representation
      
          property :expression_status, as: 'expressionStatus', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingExpressionStatus, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingExpressionStatus::Representation
      
          property :freefolks_trigger, as: 'freefolksTrigger'
          property :grounding_signals, as: 'groundingSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryGroundingSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryGroundingSignals::Representation
      
          property :high_confidence, as: 'highConfidence'
          collection :intent_annotation_sources, as: 'intentAnnotationSources'
          property :intent_composing_mid, as: 'intentComposingMid'
          collection :intent_provenance, as: 'intentProvenance', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenance, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentProvenance::Representation
      
          collection :intent_relevant_mid, as: 'intentRelevantMid'
          property :is_close_interpretation, as: 'isCloseInterpretation'
          property :is_disambiguation_card_intent, as: 'isDisambiguationCardIntent'
          property :is_disambiguation_intent, as: 'isDisambiguationIntent'
          property :is_ui_composition_intent, as: 'isUiCompositionIntent'
          property :local_signals, as: 'localSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocalSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocalSignals::Representation
      
          property :osrp_journey_tag, as: 'osrpJourneyTag'
          collection :parsed_due_to_experiment, as: 'parsedDueToExperiment'
          property :parsing_signals, as: 'parsingSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryParsingSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryParsingSignals::Representation
      
          property :prefulfillment_ranking_score, as: 'prefulfillmentRankingScore'
          property :prefulfillment_signals, as: 'prefulfillmentSignals', class: Google::Apis::ContentwarehouseV1::AssistantPrefulfillmentRankerPrefulfillmentSignals, decorator: Google::Apis::ContentwarehouseV1::AssistantPrefulfillmentRankerPrefulfillmentSignals::Representation
      
          property :referential_resolution, as: 'referentialResolution', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDialogReferentialResolution, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDialogReferentialResolution::Representation
      
          property :refx_summary_node_id, as: 'refxSummaryNodeId'
          collection :result_support, as: 'resultSupport', class: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupport, decorator: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupport::Representation
      
          property :role, as: 'role'
          property :selected_by_prefulfillment_ranking, as: 'selectedByPrefulfillmentRanking'
          property :shopping_ids, as: 'shoppingIds', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds::Representation
      
          collection :signals_fallback_intents, as: 'signalsFallbackIntents', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySignalComputationFallbackIntent, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySignalComputationFallbackIntent::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryGroundingSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :added_by_grounding, as: 'addedByGrounding'
          property :groundability_score, as: 'groundabilityScore'
          property :num_constraints, as: 'numConstraints'
          property :num_constraints_satisfied, as: 'numConstraintsSatisfied'
          property :num_groundable_args, as: 'numGroundableArgs'
          property :num_grounded_args, as: 'numGroundedArgs'
          property :num_variables, as: 'numVariables'
          property :num_variables_grounded, as: 'numVariablesGrounded'
          property :pgrp_output_format, as: 'pgrpOutputFormat'
          property :uses_grounding_box, as: 'usesGroundingBox'
        end
      end
      
      class KnowledgeAnswersIntentQueryIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :id_type, as: 'idType'
        end
      end
      
      class KnowledgeAnswersIntentQueryImpliedEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotated_span, as: 'annotatedSpan'
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_ungrounded_value, as: 'isUngroundedValue'
          property :mid, as: 'mid'
          property :qref_confidence_score, as: 'qrefConfidenceScore'
          property :shopping_ids, as: 'shoppingIds', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryIndexingIqlAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :iql_encoding_version, as: 'iqlEncodingVersion'
          property :iql_funcalls, :base64 => true, as: 'iqlFuncalls'
          collection :pianno_confidence_score_e2, as: 'piannoConfidenceScoreE2'
          collection :pianno_iql_bitmap, as: 'piannoIqlBitmap'
        end
      end
      
      class KnowledgeAnswersIntentQueryLocalResultSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :gcid_intent, as: 'gcidIntent'
          property :salient_term_set, as: 'salientTermSet', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryLocalSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :local_result_signals, as: 'localResultSignals', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocalResultSignals, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryLocalResultSignals::Representation
      
          property :min_salient_term_similarity, as: 'minSalientTermSimilarity'
        end
      end
      
      class KnowledgeAnswersIntentQueryLocationMarkersSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class KnowledgeAnswersIntentQueryMediaEntitySignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :artist_title, as: 'artistTitle'
          property :name, as: 'name'
        end
      end
      
      class KnowledgeAnswersIntentQueryMuninSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_isolated, as: 'isIsolated'
          collection :soft_modifier_collection, as: 'softModifierCollection'
          property :text_is_generated, as: 'textIsGenerated'
        end
      end
      
      class KnowledgeAnswersIntentQueryNtprAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryNimbleAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_source, as: 'annotationSource'
          property :type, as: 'type'
          collection :version, as: 'version'
        end
      end
      
      class KnowledgeAnswersIntentQueryOnDeviceAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :provenance, as: 'provenance'
        end
      end
      
      class KnowledgeAnswersIntentQueryParsingSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calibrated_parsing_score, as: 'calibratedParsingScore'
          property :qrewrite_call_path_info, as: 'qrewriteCallPathInfo', class: Google::Apis::ContentwarehouseV1::NlpLoggingQRewriteClientCallPathInfo, decorator: Google::Apis::ContentwarehouseV1::NlpLoggingQRewriteClientCallPathInfo::Representation
      
          property :source, as: 'source'
        end
      end
      
      class KnowledgeAnswersIntentQueryPersonalEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attribute_id, as: 'attributeId'
          collection :entity_relationship, as: 'entityRelationship', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntityEntityRelationship, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntityEntityRelationship::Representation
      
          property :freebase_mid, as: 'freebaseMid'
          collection :personal_entity_child, as: 'personalEntityChild', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntity, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryPersonalEntity::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryPersonalEntityEntityRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_index, as: 'entityIndex'
          collection :link_property_name, as: 'linkPropertyName'
        end
      end
      
      class KnowledgeAnswersIntentQueryQrefAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :trusted_name_confidence, as: 'trustedNameConfidence'
        end
      end
      
      class KnowledgeAnswersIntentQueryRelatednessSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :query_popularity, as: 'queryPopularity'
          property :youtube_views, :numeric_string => true, as: 'youtubeViews'
        end
      end
      
      class KnowledgeAnswersIntentQuerySaftSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_type, as: 'entityType'
          property :is_head_of_intent, as: 'isHeadOfIntent'
          property :is_verb, as: 'isVerb'
          property :number, as: 'number'
        end
      end
      
      class KnowledgeAnswersIntentQuerySemanticAnnotationSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :domain, as: 'domain'
          collection :features, as: 'features', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySemanticAnnotationSignalsFeature, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQuerySemanticAnnotationSignalsFeature::Representation
      
          property :score, as: 'score'
        end
      end
      
      class KnowledgeAnswersIntentQuerySemanticAnnotationSignalsFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class KnowledgeAnswersIntentQuerySensitiveArgumentValueGuard
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :do_not_use_debug_only_decrypted_value, as: 'doNotUseDebugOnlyDecryptedValue', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentValue, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgumentValue::Representation
      
          property :encrypted_value, :base64 => true, as: 'encryptedValue'
        end
      end
      
      class KnowledgeAnswersIntentQueryShoppingIds
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :aspect_cluster_ids, as: 'aspectClusterIds'
          property :brand_entity_id, :numeric_string => true, as: 'brandEntityId'
          collection :bx_category_ids, as: 'bxCategoryIds'
          collection :measures, as: 'measures', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIdsMeasureValue, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIdsMeasureValue::Representation
      
          collection :merchant_ids, as: 'merchantIds'
          collection :merchant_source_ids, as: 'merchantSourceIds'
          collection :tag_ids, as: 'tagIds'
        end
      end
      
      class KnowledgeAnswersIntentQueryShoppingIdsMeasureValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :facet_id, :numeric_string => true, as: 'facetId'
          property :value, as: 'value'
        end
      end
      
      class KnowledgeAnswersIntentQuerySignalComputationFallbackIntent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intent, as: 'intent'
        end
      end
      
      class KnowledgeAnswersIntentQuerySimpleValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :double_value, as: 'doubleValue'
          property :identifier, as: 'identifier', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIdentifier, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIdentifier::Representation
      
          property :int_value, :numeric_string => true, as: 'intValue'
          property :string_value, as: 'stringValue'
          property :ungrounded_value, as: 'ungroundedValue'
        end
      end
      
      class KnowledgeAnswersIntentQuerySupportTransferSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :support_transfer_source, as: 'supportTransferSource'
          collection :support_transfer_target, as: 'supportTransferTarget'
        end
      end
      
      class KnowledgeAnswersIntentQueryTeleportArgumentAnnotatorSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersIntentQueryToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :ngram, as: 'ngram'
          collection :parsed_due_to_experiment, as: 'parsedDueToExperiment'
          property :prior, as: 'prior'
          property :provenance, as: 'provenance'
          collection :provenance_id, as: 'provenanceId'
          property :provenance_language, as: 'provenanceLanguage'
          collection :synonyms, as: 'synonyms', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokenSynonym, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryTokenSynonym::Representation
      
        end
      end
      
      class KnowledgeAnswersIntentQueryTokenSynonym
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source, as: 'source'
          property :synonym_ngram, as: 'synonymNgram'
        end
      end
      
      class KnowledgeAnswersIntentQueryTokens
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          collection :token, as: 'token', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryToken, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryToken::Representation
      
        end
      end
      
      class KnowledgeAnswersIntersectType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :slot_names, as: 'slotNames'
        end
      end
      
      class KnowledgeAnswersMarker
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :command, as: 'command', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerCommand, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerCommand::Representation
      
          property :open_question, as: 'openQuestion', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerOpenQuestion, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerOpenQuestion::Representation
      
          property :polar_question, as: 'polarQuestion', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerPolarQuestion, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerPolarQuestion::Representation
      
          property :state_of_affairs, as: 'stateOfAffairs', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerStateOfAffairs, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMarkerStateOfAffairs::Representation
      
        end
      end
      
      class KnowledgeAnswersMarkerCommand
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersMarkerOpenQuestion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :slot_key, as: 'slotKey', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaSlotKey, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeaningSchemaSlotKey::Representation
      
          collection :slot_name, as: 'slotName'
        end
      end
      
      class KnowledgeAnswersMarkerPolarQuestion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersMarkerStateOfAffairs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersMeaningSchemaKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_version, :numeric_string => true, as: 'deprecatedVersion'
          property :mid, as: 'mid'
        end
      end
      
      class KnowledgeAnswersMeaningSchemaSlotKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :unique_id, :numeric_string => true, as: 'uniqueId'
        end
      end
      
      class KnowledgeAnswersMeasurementType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersNormalizedStringType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :normalized_value, as: 'normalizedValue'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersNumberType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :keep_as_string, as: 'keepAsString'
          property :range_constraint, as: 'rangeConstraint', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraint, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraint::Representation
      
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          collection :sub_type, as: 'subType'
        end
      end
      
      class KnowledgeAnswersOpaqueAogType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueAppAnnotationType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueAudioType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueCalendarEventType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueCalendarEventWrapperType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueCalendarReferenceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueComplexQueriesRewriteType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueComponentReferenceIndexType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueDeviceIdType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueDeviceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueDeviceUserIdentityType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueHomeAutomationDeviceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueLocationType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueMediaType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueMessageNotificationType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueMoneyType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueNewsProviderType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueOnDeviceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaquePersonType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaquePersonalIntelligenceEntityType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueProductivityListItemType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueRecurrenceType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueReminderType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueShoppingMerchantType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueShoppingOfferType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueShoppingProductExpressionType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueShoppingProductType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueShoppingStoreType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueTimerType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class KnowledgeAnswersOpaqueType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aog_type, as: 'aogType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAogType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAogType::Representation
      
          property :app_annotation_type, as: 'appAnnotationType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAppAnnotationType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAppAnnotationType::Representation
      
          property :audio_type, as: 'audioType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAudioType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueAudioType::Representation
      
          property :calendar_event_type, as: 'calendarEventType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarEventType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarEventType::Representation
      
          property :calendar_event_wrapper_type, as: 'calendarEventWrapperType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarEventWrapperType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarEventWrapperType::Representation
      
          property :calendar_reference_type, as: 'calendarReferenceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarReferenceType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueCalendarReferenceType::Representation
      
          property :complex_queries_rewrite_type, as: 'complexQueriesRewriteType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueComplexQueriesRewriteType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueComplexQueriesRewriteType::Representation
      
          property :component_reference_type, as: 'componentReferenceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueComponentReferenceIndexType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueComponentReferenceIndexType::Representation
      
          property :device_id_type, as: 'deviceIdType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceIdType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceIdType::Representation
      
          property :device_type, as: 'deviceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceType::Representation
      
          property :device_user_identity_type, as: 'deviceUserIdentityType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceUserIdentityType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueDeviceUserIdentityType::Representation
      
          property :home_automation_device_type, as: 'homeAutomationDeviceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueHomeAutomationDeviceType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueHomeAutomationDeviceType::Representation
      
          property :location_type, as: 'locationType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueLocationType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueLocationType::Representation
      
          property :media_type, as: 'mediaType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMediaType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMediaType::Representation
      
          property :message_notification_type, as: 'messageNotificationType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMessageNotificationType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMessageNotificationType::Representation
      
          property :money_type, as: 'moneyType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMoneyType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueMoneyType::Representation
      
          property :narrative_news_provider_type, as: 'narrativeNewsProviderType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueNewsProviderType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueNewsProviderType::Representation
      
          property :on_device_type, as: 'onDeviceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueOnDeviceType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueOnDeviceType::Representation
      
          property :person_type, as: 'personType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaquePersonType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaquePersonType::Representation
      
          property :personal_intelligence_entity_type, as: 'personalIntelligenceEntityType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaquePersonalIntelligenceEntityType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaquePersonalIntelligenceEntityType::Representation
      
          property :productivity_list_item_type, as: 'productivityListItemType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueProductivityListItemType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueProductivityListItemType::Representation
      
          property :recurrence_type, as: 'recurrenceType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueRecurrenceType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueRecurrenceType::Representation
      
          property :reminder_type, as: 'reminderType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueReminderType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueReminderType::Representation
      
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          property :shopping_merchant_type, as: 'shoppingMerchantType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingMerchantType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingMerchantType::Representation
      
          property :shopping_offer_type, as: 'shoppingOfferType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingOfferType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingOfferType::Representation
      
          property :shopping_product_expression_type, as: 'shoppingProductExpressionType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingProductExpressionType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingProductExpressionType::Representation
      
          property :shopping_product_type, as: 'shoppingProductType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingProductType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingProductType::Representation
      
          property :shopping_store_type, as: 'shoppingStoreType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingStoreType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueShoppingStoreType::Representation
      
          property :timer_type, as: 'timerType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueTimerType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueTimerType::Representation
      
        end
      end
      
      class KnowledgeAnswersPlexityRequirement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          property :simple_plexity, as: 'simplePlexity'
        end
      end
      
      class KnowledgeAnswersPolarQuestionType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersRangeConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max, as: 'max', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraintRangeEndpoint, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraintRangeEndpoint::Representation
      
          property :min, as: 'min', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraintRangeEndpoint, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersRangeConstraintRangeEndpoint::Representation
      
        end
      end
      
      class KnowledgeAnswersRangeConstraintRangeEndpoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_exclusive, as: 'isExclusive'
          property :value, as: 'value'
        end
      end
      
      class KnowledgeAnswersSameType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :slot_name, as: 'slotName'
        end
      end
      
      class KnowledgeAnswersSemanticType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :includes_containing_intent, as: 'includesContainingIntent'
          collection :name, as: 'name'
          collection :name_remodelings, as: 'nameRemodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningSemanticTypeNameMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningSemanticTypeNameMeaningRemodelings::Representation
      
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersSensitivityArgumentEvalPolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :policy_name, as: 'policyName'
          property :redact_query_span, as: 'redactQuerySpan'
          property :replacement, as: 'replacement'
          property :scrub_argument_value, as: 'scrubArgumentValue'
        end
      end
      
      class KnowledgeAnswersSensitivityInstruction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :argument, as: 'argument', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionArgument, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionArgument::Representation
      
          property :intent, as: 'intent', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionIntent, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionIntent::Representation
      
          property :legacy_assistant_sensitivity, as: 'legacyAssistantSensitivity', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivity, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivity::Representation
      
          property :multi_account_allowed, as: 'multiAccountAllowed'
          property :previous_query, as: 'previousQuery', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionPreviousQuery, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstructionPreviousQuery::Representation
      
        end
      end
      
      class KnowledgeAnswersSensitivityInstructionArgument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval, as: 'eval', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityArgumentEvalPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityArgumentEvalPolicy::Representation
      
          property :logging, as: 'logging', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy::Representation
      
          property :serving, as: 'serving', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy::Representation
      
          property :storage, as: 'storage', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy::Representation
      
        end
      end
      
      class KnowledgeAnswersSensitivityInstructionIntent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval, as: 'eval', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityIntentEvalPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityIntentEvalPolicy::Representation
      
          property :footprints, as: 'footprints', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityMyActivityPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityMyActivityPolicy::Representation
      
          property :logging, as: 'logging', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy::Representation
      
          property :serving, as: 'serving', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy::Representation
      
          property :storage, as: 'storage', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy::Representation
      
        end
      end
      
      class KnowledgeAnswersSensitivityInstructionPreviousQuery
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :logging, as: 'logging', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityLoggingPolicy::Representation
      
          property :serving, as: 'serving', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityServingPolicy::Representation
      
          property :storage, as: 'storage', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityStoragePolicy::Representation
      
        end
      end
      
      class KnowledgeAnswersSensitivityIntentEvalPolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_arguments, as: 'allArguments', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityArgumentEvalPolicy, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityArgumentEvalPolicy::Representation
      
          property :enabled, as: 'enabled'
          property :nested_intent_only, as: 'nestedIntentOnly'
          property :scrub_entire_intent, as: 'scrubEntireIntent'
        end
      end
      
      class KnowledgeAnswersSensitivityLoggingPolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :scrub_argument_value, as: 'scrubArgumentValue'
          property :scrub_context, as: 'scrubContext'
        end
      end
      
      class KnowledgeAnswersSensitivityMyActivityPolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :my_activity_redacted_action, as: 'myActivityRedactedAction'
          property :my_activity_redaction_key, as: 'myActivityRedactionKey'
        end
      end
      
      class KnowledgeAnswersSensitivitySensitivity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :account_provenance, as: 'accountProvenance', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance::Representation
      
          property :instruction, as: 'instruction', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstruction, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSensitivityInstruction::Representation
      
          collection :source, as: 'source'
          property :type, as: 'type'
        end
      end
      
      class KnowledgeAnswersSensitivityServingPolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :enable_rpc_whitelist, as: 'enableRpcWhitelist'
        end
      end
      
      class KnowledgeAnswersSensitivityStoragePolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encrypt_argument_value, as: 'encryptArgumentValue'
          property :encrypt_query_annotation_data, as: 'encryptQueryAnnotationData'
          property :scrub_auxiliary_fields_in_conversation_snapshot, as: 'scrubAuxiliaryFieldsInConversationSnapshot'
        end
      end
      
      class KnowledgeAnswersStateOfAffairsType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersStringType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          property :single_token, as: 'singleToken'
        end
      end
      
      class KnowledgeAnswersTimeZoneType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersTrackingNumberType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class KnowledgeAnswersTypeTrait
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
          collection :trait_id, as: 'traitId'
        end
      end
      
      class KnowledgeAnswersUnionType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :slot_names, as: 'slotNames'
        end
      end
      
      class KnowledgeAnswersValueType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :any_type, as: 'anyType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersAnyType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersAnyType::Representation
      
          property :attribute_type, as: 'attributeType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersAttributeType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersAttributeType::Representation
      
          property :boolean_type, as: 'booleanType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersBooleanType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersBooleanType::Representation
      
          property :collection_type, as: 'collectionType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersCollectionType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersCollectionType::Representation
      
          property :compound_type, as: 'compoundType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersCompoundType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersCompoundType::Representation
      
          property :date_type, as: 'dateType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDateType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDateType::Representation
      
          property :dependency_type, as: 'dependencyType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDependencyType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDependencyType::Representation
      
          property :duration_type, as: 'durationType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDurationType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersDurationType::Representation
      
          property :entity_type, as: 'entityType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersEntityType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersEntityType::Representation
      
          property :measurement_type, as: 'measurementType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeasurementType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersMeasurementType::Representation
      
          property :normalized_string_type, as: 'normalizedStringType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersNormalizedStringType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersNormalizedStringType::Representation
      
          property :number_type, as: 'numberType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersNumberType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersNumberType::Representation
      
          property :opaque_type, as: 'opaqueType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersOpaqueType::Representation
      
          property :plexity_requirement, as: 'plexityRequirement', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersPlexityRequirement, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersPlexityRequirement::Representation
      
          property :plurality_type, as: 'pluralityType'
          property :polar_question_type, as: 'polarQuestionType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersPolarQuestionType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersPolarQuestionType::Representation
      
          property :semantic_type, as: 'semanticType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSemanticType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersSemanticType::Representation
      
          property :slot_name, as: 'slotName'
          property :state_of_affairs_type, as: 'stateOfAffairsType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersStateOfAffairsType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersStateOfAffairsType::Representation
      
          property :string_type, as: 'stringType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersStringType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersStringType::Representation
      
          property :timezone_type, as: 'timezoneType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTimeZoneType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTimeZoneType::Representation
      
          property :tracking_number_type, as: 'trackingNumberType', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTrackingNumberType, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTrackingNumberType::Representation
      
          property :with_trait, as: 'withTrait', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTypeTrait, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersTypeTrait::Representation
      
        end
      end
      
      class KnowledgeGraphDateTimeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :days, as: 'days'
          property :hours, as: 'hours'
          property :microseconds, as: 'microseconds'
          property :minutes, as: 'minutes'
          property :months, as: 'months'
          property :seconds, as: 'seconds'
          property :tz_offset, :numeric_string => true, as: 'tzOffset'
          property :years, as: 'years'
        end
      end
      
      class KnowledgeGraphNestedStruct
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :predicate_objs, as: 'predicateObjs', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphNestedStructPredicateObjs, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphNestedStructPredicateObjs::Representation
      
        end
      end
      
      class KnowledgeGraphNestedStructPredicateObjs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :objs, as: 'objs', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj::Representation
      
          property :pred, as: 'pred'
        end
      end
      
      class KnowledgeGraphQualifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :pred, as: 'pred'
          property :value, as: 'value', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj::Representation
      
        end
      end
      
      class KnowledgeGraphQualifierSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :qualifiers, as: 'qualifiers', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphQualifier, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphQualifier::Representation
      
        end
      end
      
      class KnowledgeGraphTriple
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_negation, as: 'isNegation'
          property :obj, as: 'obj', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObj::Representation
      
          property :pred, as: 'pred'
          collection :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleProvenance, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleProvenance::Representation
      
          collection :qualifier_sets, as: 'qualifierSets', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphQualifierSet, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphQualifierSet::Representation
      
          property :sub, as: 'sub'
        end
      end
      
      class KnowledgeGraphTripleObj
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :datetime_value, as: 'datetimeValue', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphDateTimeProto, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphDateTimeProto::Representation
      
          property :double_value, as: 'doubleValue'
          property :duration_value, :numeric_string => true, as: 'durationValue'
          property :id_value, as: 'idValue'
          property :int64_value, :numeric_string => true, as: 'int64Value'
          property :locale, as: 'locale'
          property :nested_struct_value, as: 'nestedStructValue', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphNestedStruct, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphNestedStruct::Representation
      
          property :proto_value, as: 'protoValue', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObjProto, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTripleObjProto::Representation
      
          property :s2cell_id, :numeric_string => true, as: 's2cellId'
          property :string_value, as: 'stringValue'
          property :uint64_value, :numeric_string => true, as: 'uint64Value'
          property :uri_value, as: 'uriValue'
        end
      end
      
      class KnowledgeGraphTripleObjProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, :base64 => true, as: 'data'
          property :descriptor_full_name, as: 'descriptorFullName'
        end
      end
      
      class KnowledgeGraphTripleProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_required, as: 'accessRequired'
          property :creator, as: 'creator'
          property :dataset_mid, :numeric_string => true, as: 'datasetMid'
          property :is_supporting_data, as: 'isSupportingData'
          property :lg_metadata, as: 'lgMetadata', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgLivegraphProvenanceMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgLivegraphProvenanceMetadata::Representation
      
          property :policy_metadata, as: 'policyMetadata', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgPolicyMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgPolicyMetadata::Representation
      
          property :process, as: 'process'
          collection :restrictions, as: 'restrictions'
          property :source_category, as: 'sourceCategory'
          property :source_doc_id, :numeric_string => true, as: 'sourceDocId'
          property :source_url, as: 'sourceUrl'
          property :spii_certification, as: 'spiiCertification', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgSpiiCertification, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgSpiiCertification::Representation
      
        end
      end
      
      class KnowledgeVerticalsWeatherProtoUserSpecifiedLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :lat_lng, as: 'latLng', class: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeLatLng::Representation
      
          property :location_name, as: 'locationName'
          property :timezone, as: 'timezone'
        end
      end
      
      class LegalCitation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'CountryCode'
          property :parse_type, as: 'ParseType'
          property :state, as: 'State'
          property :type, as: 'Type'
          property :courtdocument, as: 'courtdocument', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocument, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocument::Representation
      
          property :law, as: 'law', class: Google::Apis::ContentwarehouseV1::LegalCitationLaw, decorator: Google::Apis::ContentwarehouseV1::LegalCitationLaw::Representation
      
        end
      end
      
      class LegalCitationCourtDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :argued_before, as: 'ArguedBefore', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          property :argued_date, as: 'ArguedDate', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :certiorari_court_name, as: 'CertiorariCourtName'
          property :certiorari_relationship, as: 'CertiorariRelationship'
          property :court_term, as: 'CourtTerm'
          property :decided_date, as: 'DecidedDate', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :filed_date, as: 'FiledDate', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :memo_id, as: 'MemoID'
          property :modified_date, as: 'ModifiedDate', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :syllabus, as: 'Syllabus'
          property :court, as: 'court', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentCourt, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentCourt::Representation
      
          collection :opinioninfo, as: 'opinioninfo', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentOpinionInfo, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentOpinionInfo::Representation
      
          collection :perdocketinfo, as: 'perdocketinfo', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentPerDocketInfo, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentPerDocketInfo::Representation
      
          collection :pub, as: 'pub', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentPub, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentPub::Representation
      
          collection :unknowndate, as: 'unknowndate', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentUnknownDate, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentUnknownDate::Representation
      
        end
      end
      
      class LegalCitationCourtDocumentCourt
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'DisplayName'
          property :level, as: 'Level'
          property :name, as: 'Name'
          property :original_name, as: 'OriginalName'
          collection :namecomponent, as: 'namecomponent', class: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentCourtNameComponent, decorator: Google::Apis::ContentwarehouseV1::LegalCitationCourtDocumentCourtNameComponent::Representation
      
        end
      end
      
      class LegalCitationCourtDocumentCourtNameComponent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :text, as: 'Text'
          property :type, as: 'Type'
        end
      end
      
      class LegalCitationCourtDocumentOpinionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bench, as: 'Bench'
          property :delivered_by, as: 'DeliveredBy', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          property :joined_by, as: 'JoinedBy', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          property :type, as: 'Type'
        end
      end
      
      class LegalCitationCourtDocumentPerDocketInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docket_id, as: 'DocketID'
          collection :petitioner, as: 'Petitioner', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          collection :petitioner_counsel, as: 'PetitionerCounsel', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          collection :respondent, as: 'Respondent', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          collection :respondent_counsel, as: 'RespondentCounsel', class: Google::Apis::ContentwarehouseV1::LegalPerson, decorator: Google::Apis::ContentwarehouseV1::LegalPerson::Representation
      
          property :topic, as: 'Topic'
        end
      end
      
      class LegalCitationCourtDocumentPub
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :page, as: 'Page'
          property :paragraph, as: 'Paragraph'
          property :reporter, as: 'Reporter'
          property :volume, as: 'Volume'
          property :year, as: 'Year'
        end
      end
      
      class LegalCitationCourtDocumentUnknownDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date, as: 'Date', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :description, as: 'Description'
        end
      end
      
      class LegalCitationLaw
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :revision_date, as: 'RevisionDate', class: Google::Apis::ContentwarehouseV1::LegalDate, decorator: Google::Apis::ContentwarehouseV1::LegalDate::Representation
      
          property :status, as: 'Status'
          property :type, as: 'Type'
          property :collectionname, as: 'collectionname', class: Google::Apis::ContentwarehouseV1::LegalCitationLawCollectionName, decorator: Google::Apis::ContentwarehouseV1::LegalCitationLawCollectionName::Representation
      
          collection :level, as: 'level', class: Google::Apis::ContentwarehouseV1::LegalCitationLawLevel, decorator: Google::Apis::ContentwarehouseV1::LegalCitationLawLevel::Representation
      
        end
      end
      
      class LegalCitationLawCollectionName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :normalized, as: 'Normalized'
          property :source, as: 'Source'
        end
      end
      
      class LegalCitationLawLevel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :depth, as: 'Depth'
          property :level_type_normalized, as: 'LevelTypeNormalized'
          property :level_type_source_text, as: 'LevelTypeSourceText'
          property :level_type_string, as: 'LevelTypeString'
          property :name, as: 'Name'
          property :type, as: 'Type'
          property :value, as: 'Value'
        end
      end
      
      class LegalDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day, as: 'Day'
          property :month, as: 'Month'
          property :year, as: 'Year'
        end
      end
      
      class LegalPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'Description'
          property :last_name, as: 'LastName'
          property :other_names, as: 'OtherNames'
        end
      end
      
      class LensDiscoveryStyleAestheticsScoreSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discretized_aesthetics_score, as: 'discretizedAestheticsScore'
          property :version, as: 'version'
        end
      end
      
      class LensDiscoveryStyleBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x1, as: 'x1'
          property :x2, as: 'x2'
          property :y1, as: 'y1'
          property :y2, as: 'y2'
        end
      end
      
      class LensDiscoveryStylePersonAttributes
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discretized_face_visibility_score, as: 'discretizedFaceVisibilityScore'
          property :discretized_female_confidence, as: 'discretizedFemaleConfidence'
          property :discretized_male_confidence, as: 'discretizedMaleConfidence'
          property :discretized_predicted_age, as: 'discretizedPredictedAge'
          property :discretized_visual_saliency_score, as: 'discretizedVisualSaliencyScore'
          property :iconic_person_bounding_box, as: 'iconicPersonBoundingBox', class: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox::Representation
      
          property :person_bounding_box, as: 'personBoundingBox', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleBoundingBox, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleBoundingBox::Representation
      
          property :person_visibility_scores, as: 'personVisibilityScores', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributesPersonVisibilityScores, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributesPersonVisibilityScores::Representation
      
          property :predicted_age_bucket, as: 'predictedAgeBucket'
          property :version, as: 'version'
        end
      end
      
      class LensDiscoveryStylePersonAttributesPersonVisibilityScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discretized_person_visibility_score, as: 'discretizedPersonVisibilityScore'
          collection :person_visibility_predictions, as: 'personVisibilityPredictions', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributesPersonVisibilityScoresPersonVisibilityPrediction, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonAttributesPersonVisibilityScoresPersonVisibilityPrediction::Representation
      
        end
      end
      
      class LensDiscoveryStylePersonAttributesPersonVisibilityScoresPersonVisibilityPrediction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discretized_iconic_person_visibility_confidence, as: 'discretizedIconicPersonVisibilityConfidence'
          property :iconic_person_visibility_type, as: 'iconicPersonVisibilityType'
        end
      end
      
      class LensDiscoveryStylePersonDetectionSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :detected_persons, as: 'detectedPersons', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonDetectionSignalsDetectedPerson, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStylePersonDetectionSignalsDetectedPerson::Representation
      
          property :version, as: 'version'
        end
      end
      
      class LensDiscoveryStylePersonDetectionSignalsDetectedPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_box, as: 'boundingBox', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleBoundingBox, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleBoundingBox::Representation
      
          property :normalized_bounding_box, as: 'normalizedBoundingBox', class: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionGroundtruthdbNormalizedBoundingBox::Representation
      
        end
      end
      
      class LensDiscoveryStyleStyleImageTypeSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :style_image_type_predictions, as: 'styleImageTypePredictions', class: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleStyleImageTypeSignalsStyleImageTypePrediction, decorator: Google::Apis::ContentwarehouseV1::LensDiscoveryStyleStyleImageTypeSignalsStyleImageTypePrediction::Representation
      
          property :version, as: 'version'
        end
      end
      
      class LensDiscoveryStyleStyleImageTypeSignalsStyleImageTypePrediction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :discretized_style_image_type_confidence, as: 'discretizedStyleImageTypeConfidence'
          property :style_image_type, as: 'styleImageType'
        end
      end
      
      class ListSnippetResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :header, as: 'header', class: Google::Apis::ContentwarehouseV1::ListSnippetResponseRow, decorator: Google::Apis::ContentwarehouseV1::ListSnippetResponseRow::Representation
      
          property :is_table, as: 'isTable'
          collection :row, as: 'row', class: Google::Apis::ContentwarehouseV1::ListSnippetResponseRow, decorator: Google::Apis::ContentwarehouseV1::ListSnippetResponseRow::Representation
      
          property :total_rows, as: 'totalRows'
        end
      end
      
      class ListSnippetResponseRow
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :column, as: 'column'
        end
      end
      
      class LocalWwwInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :address, as: 'address', class: Google::Apis::ContentwarehouseV1::LocalWwwInfoAddress, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfoAddress::Representation
      
          property :brick_and_mortar_strength, as: 'brickAndMortarStrength'
          collection :cluster, as: 'cluster', class: Google::Apis::ContentwarehouseV1::LocalWwwInfoCluster, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfoCluster::Representation
      
          property :docid, :numeric_string => true, as: 'docid'
          property :geotopicality, as: 'geotopicality', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopicality, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopicality::Representation
      
          collection :hours, as: 'hours', class: Google::Apis::ContentwarehouseV1::LocalWwwInfoOpeningHours, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfoOpeningHours::Representation
      
          property :is_large_chain, as: 'isLargeChain'
          property :is_large_localwwwinfo, as: 'isLargeLocalwwwinfo'
          collection :phone, as: 'phone', class: Google::Apis::ContentwarehouseV1::LocalWwwInfoPhone, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfoPhone::Representation
      
          property :site_siblings, as: 'siteSiblings'
          property :url, as: 'url'
          collection :wrapptor_item, as: 'wrapptorItem', class: Google::Apis::ContentwarehouseV1::LocalWwwInfoWrapptorItem, decorator: Google::Apis::ContentwarehouseV1::LocalWwwInfoWrapptorItem::Representation
      
        end
      end
      
      class LocalWwwInfoAddress
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :addr_fprint, :numeric_string => true, as: 'addrFprint'
          property :address, as: 'address', class: Google::Apis::ContentwarehouseV1::GeostoreAddressProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressProto::Representation
      
          property :lat_e7, as: 'latE7'
          property :lng_e7, as: 'lngE7'
        end
      end
      
      class LocalWwwInfoCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :addr_fprint, :numeric_string => true, as: 'addrFprint'
          property :annotation_confidence, as: 'annotationConfidence'
          property :clusterdocid, :numeric_string => true, as: 'clusterdocid'
          property :clusterid, as: 'clusterid'
          property :confidence, as: 'confidence'
          property :feature_type, as: 'featureType'
          property :hours, as: 'hours', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :hours_source, as: 'hoursSource'
          property :include_in_index, as: 'includeInIndex'
          property :is_plusbox, as: 'isPlusbox'
          property :latitude_e6, as: 'latitudeE6'
          property :level, as: 'level'
          property :longitude_e6, as: 'longitudeE6'
          property :make_plusbox_visible, as: 'makePlusboxVisible'
          collection :menu_url, as: 'menuUrl'
          property :page_type_flags, as: 'pageTypeFlags'
          property :phone_fprint, :numeric_string => true, as: 'phoneFprint'
          property :phone_number, as: 'phoneNumber', class: Google::Apis::ContentwarehouseV1::TelephoneNumber, decorator: Google::Apis::ContentwarehouseV1::TelephoneNumber::Representation
      
          property :postal_address, as: 'postalAddress', class: Google::Apis::ContentwarehouseV1::PostalAddress, decorator: Google::Apis::ContentwarehouseV1::PostalAddress::Representation
      
          property :relevance, as: 'relevance'
          property :show_in_snippets, as: 'showInSnippets'
          collection :source, as: 'source'
          property :title, as: 'title'
        end
      end
      
      class LocalWwwInfoOpeningHours
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hours, as: 'hours', class: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreTimeScheduleProto::Representation
      
          property :hours_fprint, :numeric_string => true, as: 'hoursFprint'
        end
      end
      
      class LocalWwwInfoPhone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :phone_fprint, :numeric_string => true, as: 'phoneFprint'
          property :phone_number, as: 'phoneNumber', class: Google::Apis::ContentwarehouseV1::TelephoneNumber, decorator: Google::Apis::ContentwarehouseV1::TelephoneNumber::Representation
      
        end
      end
      
      class LocalWwwInfoWrapptorItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :addr_fprint, :numeric_string => true, as: 'addrFprint'
          property :biz_name, as: 'bizName'
          property :phone_fprint, :numeric_string => true, as: 'phoneFprint'
        end
      end
      
      class LocalsearchChainId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :prominent_entity_id, as: 'prominentEntityId'
          property :sitechunk, as: 'sitechunk'
        end
      end
      
      class LocalsearchDocInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :action_type, as: 'actionType'
          property :has_primarily_food_intent, as: 'hasPrimarilyFoodIntent'
          property :is_out_of_operational_hours, as: 'isOutOfOperationalHours'
          property :is_whitelisted_external_restaurant, as: 'isWhitelistedExternalRestaurant'
          property :next_opening_time, as: 'nextOpeningTime'
          property :only_order_ahead_services_available, as: 'onlyOrderAheadServicesAvailable'
          collection :service_info, as: 'serviceInfo', class: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadataServiceInfo, decorator: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadataServiceInfo::Representation
      
          property :supported_service_type, as: 'supportedServiceType'
          property :unavailability_reason, as: 'unavailabilityReason'
        end
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadataAvailablePartnerInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :available_partner_id, :numeric_string => true, as: 'availablePartnerId'
          property :log_only, as: 'logOnly'
        end
      end
      
      class LocalsearchProtoInternalFoodOrderingActionMetadataServiceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :available_partner_info, as: 'availablePartnerInfo', class: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadataAvailablePartnerInfo, decorator: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadataAvailablePartnerInfo::Representation
      
          property :max_wait_time_sec, :numeric_string => true, as: 'maxWaitTimeSec'
          property :min_delivery_fee, as: 'minDeliveryFee', class: Google::Apis::ContentwarehouseV1::GoogleTypeMoney, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeMoney::Representation
      
          property :min_wait_time_sec, :numeric_string => true, as: 'minWaitTimeSec'
          property :service_type, as: 'serviceType'
        end
      end
      
      class LogsProtoIndexingCrawlerIdCrawlerIdProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country, as: 'country'
          property :device_type, as: 'deviceType'
          property :index_growth_expt_type, as: 'indexGrowthExptType'
          property :language, as: 'language'
          property :language_code, as: 'languageCode'
        end
      end
      
      class LogsSemanticInterpretationIntentQueryEntityLinkMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregate_flags, as: 'aggregateFlags', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindFlags, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindFlags::Representation
      
          collection :kind_info, as: 'kindInfo', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindInfo, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindInfo::Representation
      
        end
      end
      
      class LogsSemanticInterpretationIntentQueryLinkKindFlags
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster, as: 'cluster'
          property :geo_containment, as: 'geoContainment'
          property :implication, as: 'implication'
          property :latent_entity, as: 'latentEntity'
          property :mdvc, as: 'mdvc'
          property :property, as: 'property'
          property :resolution, as: 'resolution'
        end
      end
      
      class LogsSemanticInterpretationIntentQueryLinkKindInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :flags, as: 'flags', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindFlags, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryLinkKindFlags::Representation
      
          property :kc_link_name, as: 'kcLinkName'
          property :topic_property_name, as: 'topicPropertyName'
        end
      end
      
      class LogsSemanticInterpretationIntentQuerySupportTransferRule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_wildcard_intents, as: 'allowWildcardIntents'
          property :domain, as: 'domain'
          property :is_reverse_link, as: 'isReverseLink'
          property :mentions_only, as: 'mentionsOnly'
          property :support_share, as: 'supportShare'
          property :target_collection, as: 'targetCollection'
          property :user_country, as: 'userCountry'
          property :user_language, as: 'userLanguage'
        end
      end
      
      class LogsSemanticInterpretationIntentQueryWebrefEntityRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_index, as: 'entityIndex'
          property :link_metadata, as: 'linkMetadata', class: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryEntityLinkMetadata, decorator: Google::Apis::ContentwarehouseV1::LogsSemanticInterpretationIntentQueryEntityLinkMetadata::Representation
      
          property :link_weight, as: 'linkWeight'
        end
      end
      
      class LongStructuredSnippet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entry, as: 'entry', class: Google::Apis::ContentwarehouseV1::LongStructuredSnippetEntry, decorator: Google::Apis::ContentwarehouseV1::LongStructuredSnippetEntry::Representation
      
        end
      end
      
      class LongStructuredSnippetEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :header, as: 'header'
          property :text, as: 'text'
        end
      end
      
      class MajelContactInformationShortcutInformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :shortcut_contact_type, as: 'shortcutContactType'
        end
      end
      
      class ManyboxData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :components, as: 'components', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :data_summary, as: 'dataSummary'
          property :debug, as: 'debug'
        end
      end
      
      class MapsQualitySpecialWordsFlags
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_common_word, as: 'isCommonWord'
          property :is_deconstructible, as: 'isDeconstructible'
          property :is_directional_modifier, as: 'isDirectionalModifier'
          property :is_forbidden_word, as: 'isForbiddenWord'
          property :is_house_id_identifier, as: 'isHouseIdIdentifier'
          property :is_intersection_connector, as: 'isIntersectionConnector'
          property :is_landmark_identifier, as: 'isLandmarkIdentifier'
          property :is_language_indicator, as: 'isLanguageIndicator'
          property :is_name_synonym, as: 'isNameSynonym'
          property :is_not_for_legacy_street_number_detection, as: 'isNotForLegacyStreetNumberDetection'
          property :is_not_optionalizable, as: 'isNotOptionalizable'
          property :is_number, as: 'isNumber'
          property :is_number_suffix, as: 'isNumberSuffix'
          property :is_optional, as: 'isOptional'
          property :is_ordinal_number, as: 'isOrdinalNumber'
          property :is_penalized_if_missing, as: 'isPenalizedIfMissing'
          property :is_personal_title, as: 'isPersonalTitle'
          property :is_stop_word, as: 'isStopWord'
          property :is_street_number_identifier, as: 'isStreetNumberIdentifier'
        end
      end
      
      class MapsQualitySpecialWordsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alternate, as: 'alternate'
          collection :canonical, as: 'canonical'
          collection :country, as: 'country'
          property :flags, as: 'flags', class: Google::Apis::ContentwarehouseV1::MapsQualitySpecialWordsFlags, decorator: Google::Apis::ContentwarehouseV1::MapsQualitySpecialWordsFlags::Representation
      
          collection :language, as: 'language'
          property :position, as: 'position'
          collection :visible_type_id, as: 'visibleTypeId'
        end
      end
      
      class MediaIndexBoundingbox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :area_fraction, as: 'areaFraction'
          property :xmax, as: 'xmax'
          property :xmin, as: 'xmin'
          property :ymax, as: 'ymax'
          property :ymin, as: 'ymin'
        end
      end
      
      class MediaIndexEntityField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :custom_source, as: 'customSource'
          property :entity_id, as: 'entityId'
          property :quantized_score, :numeric_string => true, as: 'quantizedScore'
          property :source, as: 'source'
        end
      end
      
      class MediaIndexFrameIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :preview_frame_zero_variant, as: 'previewFrameZeroVariant', class: Google::Apis::ContentwarehouseV1::MediaIndexFrameIdentifierPreviewFrameZeroVariant, decorator: Google::Apis::ContentwarehouseV1::MediaIndexFrameIdentifierPreviewFrameZeroVariant::Representation
      
          property :timestamp_ms, as: 'timestampMs'
        end
      end
      
      class MediaIndexFrameIdentifierPreviewFrameZeroVariant
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :preview_length, as: 'previewLength'
          property :xtag_list, as: 'xtagList', class: Google::Apis::ContentwarehouseV1::MediaIndexXtagList, decorator: Google::Apis::ContentwarehouseV1::MediaIndexXtagList::Representation
      
        end
      end
      
      class MediaIndexRegion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_box, as: 'boundingBox', class: Google::Apis::ContentwarehouseV1::MediaIndexBoundingbox, decorator: Google::Apis::ContentwarehouseV1::MediaIndexBoundingbox::Representation
      
          collection :entity_fields, as: 'entityFields', class: Google::Apis::ContentwarehouseV1::MediaIndexEntityField, decorator: Google::Apis::ContentwarehouseV1::MediaIndexEntityField::Representation
      
          property :labels, as: 'labels', class: Google::Apis::ContentwarehouseV1::MediaIndexSparseFloatVector, decorator: Google::Apis::ContentwarehouseV1::MediaIndexSparseFloatVector::Representation
      
          property :primi_apparel_features_v2, :base64 => true, as: 'primiApparelFeaturesV2'
          collection :primi_apparel_tokens_v2, as: 'primiApparelTokensV2'
          property :primi_generic_features_v25, :base64 => true, as: 'primiGenericFeaturesV25'
          collection :primi_generic_tokens_v25, as: 'primiGenericTokensV25'
          property :starburst_features_v4, :base64 => true, as: 'starburstFeaturesV4'
          property :starburst_features_v5, :base64 => true, as: 'starburstFeaturesV5'
          collection :starburst_tokens_v4, as: 'starburstTokensV4'
          collection :starburst_tokens_v5, as: 'starburstTokensV5'
          property :starburst_v4, as: 'starburstV4', class: Google::Apis::ContentwarehouseV1::ImageContentStarburstVersionGroup, decorator: Google::Apis::ContentwarehouseV1::ImageContentStarburstVersionGroup::Representation
      
        end
      end
      
      class MediaIndexSparseFloatVector
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :columns, as: 'columns'
          property :columns_int16, :base64 => true, as: 'columnsInt16'
          collection :columns_int32, as: 'columnsInt32'
          collection :columns_int64, as: 'columnsInt64'
          property :columns_int8, :base64 => true, as: 'columnsInt8'
          collection :values, as: 'values'
        end
      end
      
      class MediaIndexVideoCentroid
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :domain_scores, as: 'domainScores', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoCentroidDomainScore, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoCentroidDomainScore::Representation
      
        end
      end
      
      class MediaIndexVideoCentroidDomainScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
          property :num_docs, as: 'numDocs'
          property :score, as: 'score'
        end
      end
      
      class MediaIndexVideoCoreSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :centroid, as: 'centroid', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoCentroid, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoCentroid::Representation
      
          collection :video_frames, as: 'videoFrames', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrame, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrame::Representation
      
        end
      end
      
      class MediaIndexVideoFrame
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :numeric_string => true, as: 'docid'
          property :frame_identifier, as: 'frameIdentifier', class: Google::Apis::ContentwarehouseV1::MediaIndexFrameIdentifier, decorator: Google::Apis::ContentwarehouseV1::MediaIndexFrameIdentifier::Representation
      
          collection :regions, as: 'regions', class: Google::Apis::ContentwarehouseV1::MediaIndexRegion, decorator: Google::Apis::ContentwarehouseV1::MediaIndexRegion::Representation
      
          property :starburst_features_v4, as: 'starburstFeaturesV4'
          collection :starburst_tokens_v4, as: 'starburstTokensV4'
          collection :thumbnail_type, as: 'thumbnailType'
        end
      end
      
      class MediaIndexVideoFrames
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :video_frames, as: 'videoFrames', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrame, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrame::Representation
      
        end
      end
      
      class MediaIndexXtag
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class MediaIndexXtagList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :xtags, as: 'xtags', class: Google::Apis::ContentwarehouseV1::MediaIndexXtag, decorator: Google::Apis::ContentwarehouseV1::MediaIndexXtag::Representation
      
        end
      end
      
      class MobilePerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :flags, as: 'flags'
          property :mobileurl, as: 'mobileurl'
          property :transcoded_page_score, as: 'transcodedPageScore'
        end
      end
      
      class MultiscaleFieldPresence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :present, as: 'present'
          property :well_defined, as: 'wellDefined'
        end
      end
      
      class MultiscaleLayerPresence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :implicit_length, as: 'implicitLength'
          property :present, as: 'present'
        end
      end
      
      class MultiscalePointerIndex
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, as: 'index'
        end
      end
      
      class MultiscalePointerSpan
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :limit, as: 'limit'
          property :start, as: 'start'
        end
      end
      
      class MustangReposWwwSnippetsCandidateFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :score, as: 'score'
        end
      end
      
      class MustangReposWwwSnippetsOrganicListSnippetResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :header, as: 'header'
          property :header_title_redundancy, as: 'headerTitleRedundancy'
          property :header_used_in_snippet, as: 'headerUsedInSnippet'
          collection :items, as: 'items'
          property :original_total_items, as: 'originalTotalItems'
          property :radish_score, as: 'radishScore'
        end
      end
      
      class MustangReposWwwSnippetsSnippetCandidate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_source_type, as: 'dataSourceType'
          collection :features, as: 'features', class: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsCandidateFeature, decorator: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsCandidateFeature::Representation
      
          property :text, as: 'text'
        end
      end
      
      class MustangReposWwwSnippetsSnippetsRanklabFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :browser_width, as: 'browserWidth'
          collection :candidates, as: 'candidates', class: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsSnippetCandidate, decorator: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsSnippetCandidate::Representation
      
          property :document_language, as: 'documentLanguage'
          property :query_language, as: 'queryLanguage'
          property :snippet_data_source_type, as: 'snippetDataSourceType'
          property :snippet_query_term_coverage, as: 'snippetQueryTermCoverage'
          collection :snippets, as: 'snippets', class: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabSnippet, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabSnippet::Representation
      
          property :title_data_source_type, as: 'titleDataSourceType'
          property :title_query_term_coverage, as: 'titleQueryTermCoverage'
          property :title_snippet_query_term_coverage, as: 'titleSnippetQueryTermCoverage'
          collection :titles, as: 'titles', class: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabTitle, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabTitle::Representation
      
        end
      end
      
      class MustangSnippetsRenderedToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byte_offset_begin, as: 'byteOffsetBegin'
          property :byte_offset_end, as: 'byteOffsetEnd'
          property :section, as: 'section'
          property :token_pos, :numeric_string => true, as: 'tokenPos'
        end
      end
      
      class NsrVersionedItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :value, as: 'value'
          property :version_id, as: 'versionId'
        end
      end
      
      class NetFabricRpcVirtualNetworkId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
        end
      end
      
      class NewsReconServiceLrsQ2lrs2EntryPayload
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_daily_moment, as: 'isDailyMoment'
          property :is_moment_any_flavor, as: 'isMomentAnyFlavor'
          property :is_planned_moment, as: 'isPlannedMoment'
          property :moment_ranking_score, :numeric_string => true, as: 'momentRankingScore'
          collection :out_kg_feature_types, as: 'outKgFeatureTypes'
        end
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsDataset
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entries, as: 'entries', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntry, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntry::Representation
      
          property :time_millis, :numeric_string => true, as: 'timeMillis'
        end
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :algo_version, as: 'algoVersion'
          property :entry_index, as: 'entryIndex'
          property :internal_payload, as: 'internalPayload', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2EntryPayload, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2EntryPayload::Representation
      
          property :lrs, as: 'lrs', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity::Representation
      
          collection :patterns, as: 'patterns', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryPattern, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryPattern::Representation
      
          collection :qref_entities, as: 'qrefEntities', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity::Representation
      
        end
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_index, as: 'debugIndex'
          property :debug_name, as: 'debugName'
          property :encoded_mid, :numeric_string => true, as: 'encodedMid'
          property :mid, as: 'mid'
        end
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryLocaleRestrict
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :regions, as: 'regions'
        end
      end
      
      class NewsReconServiceLrsQ2lrs2QueryToLrsEntryPattern
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :only_in, as: 'onlyIn', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryLocaleRestrict, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsEntryLocaleRestrict::Representation
      
          property :pattern, as: 'pattern'
        end
      end
      
      class NlpLoggingQRewriteClientCallPathInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :qrewrite_candidate_id, as: 'qrewriteCandidateId', class: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateId, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateId::Representation
      
          property :qus_candidate_id, as: 'qusCandidateId', class: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateId, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateId::Representation
      
          property :qus_client_call_path_info, as: 'qusClientCallPathInfo', class: Google::Apis::ContentwarehouseV1::NlpLoggingQusClientCallPathInfo, decorator: Google::Apis::ContentwarehouseV1::NlpLoggingQusClientCallPathInfo::Representation
      
          property :qus_phase, as: 'qusPhase'
        end
      end
      
      class NlpLoggingQusClientCallPathInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :rewriter_type, as: 'rewriterType'
          property :temporary_ace_tag, :numeric_string => true, as: 'temporaryAceTag'
        end
      end
      
      class NlpMeaningMeaningRemodeling
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deletion, as: 'deletion'
          property :id, :numeric_string => true, as: 'id'
        end
      end
      
      class NlpMeaningMeaningRemodelingControl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :remodeling_id, as: 'remodelingId'
        end
      end
      
      class NlpMeaningMeaningRemodelings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :remodeling, as: 'remodeling', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodeling, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodeling::Representation
      
        end
      end
      
      class NlpMeaningSemanticTypeNameMeaningRemodelings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :remodelings, as: 'remodelings', class: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings, decorator: Google::Apis::ContentwarehouseV1::NlpMeaningMeaningRemodelings::Representation
      
        end
      end
      
      class NlpSaftAnnotatedPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
        end
      end
      
      class NlpSaftConstituencyNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :child, as: 'child'
          property :label, as: 'label'
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
        end
      end
      
      class NlpSaftDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotated_phrase, as: 'annotatedPhrase', class: Google::Apis::ContentwarehouseV1::NlpSaftAnnotatedPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftAnnotatedPhrase::Representation
      
          property :annotations, as: 'annotations', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :author, as: 'author'
          property :byline_date, :numeric_string => true, as: 'bylineDate'
          collection :constituency_node, as: 'constituencyNode', class: Google::Apis::ContentwarehouseV1::NlpSaftConstituencyNode, decorator: Google::Apis::ContentwarehouseV1::NlpSaftConstituencyNode::Representation
      
          collection :constituency_root, as: 'constituencyRoot'
          property :content_firstseen, :numeric_string => true, as: 'contentFirstseen'
          property :content_type, as: 'contentType'
          property :contentage, :numeric_string => true, as: 'contentage'
          property :date, as: 'date'
          property :docid, as: 'docid'
          collection :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::NlpSaftEntity, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntity::Representation
      
          collection :entity_label, as: 'entityLabel'
          property :focus_entity, as: 'focusEntity'
          property :golden, as: 'golden'
          property :http_headers, :base64 => true, as: 'httpHeaders'
          collection :hyperlink, as: 'hyperlink', class: Google::Apis::ContentwarehouseV1::NlpSaftHyperlink, decorator: Google::Apis::ContentwarehouseV1::NlpSaftHyperlink::Representation
      
          hash :labeled_spans, as: 'labeledSpans', class: Google::Apis::ContentwarehouseV1::NlpSaftLabeledSpans, decorator: Google::Apis::ContentwarehouseV1::NlpSaftLabeledSpans::Representation
      
          property :language, as: 'language'
          property :last_significant_update, :numeric_string => true, as: 'lastSignificantUpdate'
          collection :measure, as: 'measure', class: Google::Apis::ContentwarehouseV1::NlpSaftMeasure, decorator: Google::Apis::ContentwarehouseV1::NlpSaftMeasure::Representation
      
          property :privacy_sensitive, as: 'privacySensitive'
          collection :relation, as: 'relation', class: Google::Apis::ContentwarehouseV1::NlpSaftRelation, decorator: Google::Apis::ContentwarehouseV1::NlpSaftRelation::Representation
      
          property :rpc_error, as: 'rpcError'
          collection :semantic_node, as: 'semanticNode', class: Google::Apis::ContentwarehouseV1::NlpSaftSemanticNode, decorator: Google::Apis::ContentwarehouseV1::NlpSaftSemanticNode::Representation
      
          collection :subsection, as: 'subsection', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
          property :syntactic_date, :numeric_string => true, as: 'syntacticDate'
          property :text, as: 'text'
          property :title, as: 'title'
          collection :token, as: 'token', class: Google::Apis::ContentwarehouseV1::NlpSaftToken, decorator: Google::Apis::ContentwarehouseV1::NlpSaftToken::Representation
      
          collection :topic, as: 'topic', class: Google::Apis::ContentwarehouseV1::NlpSaftDocumentTopic, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocumentTopic::Representation
      
          property :trace, as: 'trace'
          property :url, as: 'url'
        end
      end
      
      class NlpSaftDocumentTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :score, as: 'score'
        end
      end
      
      class NlpSaftEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :antecedent, as: 'antecedent'
          property :entity_type, as: 'entityType'
          collection :entity_type_probability, as: 'entityTypeProbability'
          property :gender, as: 'gender'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::NlpSaftMention, decorator: Google::Apis::ContentwarehouseV1::NlpSaftMention::Representation
      
          property :name, as: 'name'
          property :profile, as: 'profile', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfile, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfile::Representation
      
          property :referent, as: 'referent', class: Google::Apis::ContentwarehouseV1::NlpSaftReferent, decorator: Google::Apis::ContentwarehouseV1::NlpSaftReferent::Representation
      
          property :representative_mention, as: 'representativeMention'
          property :salience, as: 'salience'
          collection :type, as: 'type', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityType, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityType::Representation
      
        end
      end
      
      class NlpSaftEntityProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alternate, as: 'alternate', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileAlternate, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileAlternate::Representation
      
          property :annotations, as: 'annotations', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :attribute, as: 'attribute', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileAttribute, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileAttribute::Representation
      
          property :canonical_name, as: 'canonicalName'
          property :collection_score_type, as: 'collectionScoreType'
          property :disambiguation, as: 'disambiguation'
          collection :embedding, as: 'embedding'
          property :frame, :base64 => true, as: 'frame'
          property :gender, as: 'gender'
          property :id, :numeric_string => true, as: 'id'
          collection :identifier, as: 'identifier', class: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier, decorator: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier::Representation
      
          collection :keyword, as: 'keyword', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileKeyword, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileKeyword::Representation
      
          property :mid, as: 'mid'
          property :name, as: 'name'
          property :name_language, as: 'nameLanguage'
          property :nature, as: 'nature'
          collection :reference, as: 'reference', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileReference, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileReference::Representation
      
          collection :related, as: 'related', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileRelated, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfileRelated::Representation
      
          property :type, as: 'type'
        end
      end
      
      class NlpSaftEntityProfileAlternate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :form, as: 'form'
          property :frame, :base64 => true, as: 'frame'
          property :language, as: 'language'
          property :name, as: 'name'
          property :sources, as: 'sources'
        end
      end
      
      class NlpSaftEntityProfileAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :float_value, as: 'floatValue'
          property :int_value, :numeric_string => true, as: 'intValue'
          property :language, as: 'language'
          property :type, as: 'type'
          property :type_id, as: 'typeId'
          property :value, as: 'value'
          property :value_type, as: 'valueType'
        end
      end
      
      class NlpSaftEntityProfileKeyword
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :language, as: 'language'
          property :score, as: 'score'
          property :term, as: 'term'
          property :type, as: 'type'
        end
      end
      
      class NlpSaftEntityProfileReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, as: 'docid'
          property :entity, as: 'entity'
        end
      end
      
      class NlpSaftEntityProfileRelated
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :inverse, as: 'inverse'
          property :relation_id, as: 'relationId'
          property :relation_identifier, as: 'relationIdentifier', class: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier, decorator: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier::Representation
      
          property :score, as: 'score'
          property :target_id, :numeric_string => true, as: 'targetId'
          property :target_identifier, as: 'targetIdentifier', class: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier, decorator: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier::Representation
      
          property :target_name, as: 'targetName'
          property :type, as: 'type'
        end
      end
      
      class NlpSaftEntityType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :based_on_mention, as: 'basedOnMention'
          property :domain, as: 'domain'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :name, as: 'name'
          property :score, as: 'score'
        end
      end
      
      class NlpSaftHyperlink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_text, as: 'anchorText'
          property :byte_end, as: 'byteEnd'
          property :byte_start, as: 'byteStart'
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :url, as: 'url'
        end
      end
      
      class NlpSaftIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
          property :id, as: 'id'
        end
      end
      
      class NlpSaftLabeledSpan
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byte_end, as: 'byteEnd'
          property :byte_start, as: 'byteStart'
          property :label, as: 'label'
          hash :label_scores, as: 'labelScores'
          property :score, as: 'score'
          property :token_end, as: 'tokenEnd'
          property :token_start, as: 'tokenStart'
        end
      end
      
      class NlpSaftLabeledSpans
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :labeled_span, as: 'labeledSpan', class: Google::Apis::ContentwarehouseV1::NlpSaftLabeledSpan, decorator: Google::Apis::ContentwarehouseV1::NlpSaftLabeledSpan::Representation
      
        end
      end
      
      class NlpSaftMeasure
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical, as: 'canonical'
          property :granularity, as: 'granularity'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :type, as: 'type'
          property :unit, as: 'unit'
          property :value, as: 'value'
        end
      end
      
      class NlpSaftMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :kind, as: 'kind'
          property :nesting_relation, as: 'nestingRelation'
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :resolution, as: 'resolution', class: Google::Apis::ContentwarehouseV1::NlpSaftMentionResolution, decorator: Google::Apis::ContentwarehouseV1::NlpSaftMentionResolution::Representation
      
          property :role, as: 'role'
          property :type, as: 'type'
        end
      end
      
      class NlpSaftMentionResolution
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :profile, as: 'profile', class: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfile, decorator: Google::Apis::ContentwarehouseV1::NlpSaftEntityProfile::Representation
      
          property :type, as: 'type'
        end
      end
      
      class NlpSaftMorphology
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attr_value, as: 'attrValue'
        end
      end
      
      class NlpSaftPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end, as: 'end'
          property :facet, as: 'facet'
          property :head, as: 'head'
          property :start, as: 'start'
        end
      end
      
      class NlpSaftReferent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :distance, as: 'distance'
          property :explicitness, as: 'explicitness'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :prominence, as: 'prominence'
          property :role, as: 'role'
          collection :token, as: 'token', class: Google::Apis::ContentwarehouseV1::NlpSaftToken, decorator: Google::Apis::ContentwarehouseV1::NlpSaftToken::Representation
      
        end
      end
      
      class NlpSaftRelation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :identifier, as: 'identifier', class: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier, decorator: Google::Apis::ContentwarehouseV1::NlpSaftIdentifier::Representation
      
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :kind, as: 'kind'
          collection :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::NlpSaftRelationMention, decorator: Google::Apis::ContentwarehouseV1::NlpSaftRelationMention::Representation
      
          property :score, as: 'score'
          property :source, as: 'source'
          property :target, as: 'target'
          property :type, as: 'type'
          property :type_id, as: 'typeId'
        end
      end
      
      class NlpSaftRelationMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :source, as: 'source'
          collection :source_info, as: 'sourceInfo'
          property :target, as: 'target'
        end
      end
      
      class NlpSaftSemanticNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :arc, as: 'arc', class: Google::Apis::ContentwarehouseV1::NlpSaftSemanticNodeArc, decorator: Google::Apis::ContentwarehouseV1::NlpSaftSemanticNodeArc::Representation
      
          property :confidence, as: 'confidence'
          property :description, as: 'description'
          property :entity, as: 'entity'
          property :implicit, as: 'implicit'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :kind, as: 'kind'
          property :measure, as: 'measure'
          property :mention, as: 'mention'
          property :phrase, as: 'phrase', class: Google::Apis::ContentwarehouseV1::NlpSaftPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSaftPhrase::Representation
      
          property :type, as: 'type'
          property :value, as: 'value'
        end
      end
      
      class NlpSaftSemanticNodeArc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :implicit, as: 'implicit'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :semantic_node, as: 'semanticNode'
          property :type, as: 'type'
        end
      end
      
      class NlpSaftToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :break_level, as: 'breakLevel'
          property :break_skipped_text, as: 'breakSkippedText'
          property :category, as: 'category'
          property :end, as: 'end'
          property :head, as: 'head'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :label, as: 'label'
          property :lemma, as: 'lemma'
          property :morph, as: 'morph', class: Google::Apis::ContentwarehouseV1::NlpSaftMorphology, decorator: Google::Apis::ContentwarehouseV1::NlpSaftMorphology::Representation
      
          property :script_code, as: 'scriptCode'
          property :start, as: 'start'
          property :tag, as: 'tag'
          property :tag_confidence, as: 'tagConfidence'
          property :text_properties, as: 'textProperties'
          property :word, as: 'word'
        end
      end
      
      class NlpSciencelitArticleData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :analyzed_text, as: 'analyzedText', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaScaleSet, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaScaleSet::Representation
      
          collection :article_id, as: 'articleId', class: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId::Representation
      
          collection :citation, as: 'citation', class: Google::Apis::ContentwarehouseV1::NlpSciencelitCitationData, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitCitationData::Representation
      
          property :earliest_pub_date, as: 'earliestPubDate'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleMetadata, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleMetadata::Representation
      
          property :non_abstract_word_count, :numeric_string => true, as: 'nonAbstractWordCount'
          property :parsed_from, as: 'parsedFrom'
          collection :pub_date, as: 'pubDate', class: Google::Apis::ContentwarehouseV1::NlpSciencelitPubDate, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitPubDate::Representation
      
          collection :referenced_block, as: 'referencedBlock', class: Google::Apis::ContentwarehouseV1::NlpSciencelitReferencedBlock, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitReferencedBlock::Representation
      
          property :scholar_citation, as: 'scholarCitation', class: Google::Apis::ContentwarehouseV1::ScienceCitation, decorator: Google::Apis::ContentwarehouseV1::ScienceCitation::Representation
      
          collection :scholar_document, as: 'scholarDocument', class: Google::Apis::ContentwarehouseV1::CompositeDoc, decorator: Google::Apis::ContentwarehouseV1::CompositeDoc::Representation
      
          property :scholar_signal, as: 'scholarSignal', class: Google::Apis::ContentwarehouseV1::ScienceIndexSignal, decorator: Google::Apis::ContentwarehouseV1::ScienceIndexSignal::Representation
      
          property :source, as: 'source'
          property :title, as: 'title'
          property :word_count, :numeric_string => true, as: 'wordCount'
        end
      end
      
      class NlpSciencelitArticleId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :id_type, as: 'idType'
        end
      end
      
      class NlpSciencelitArticleMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :abstract, as: 'abstract', class: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText::Representation
      
          collection :article_id, as: 'articleId', class: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId::Representation
      
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::NlpSciencelitAuthor, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitAuthor::Representation
      
          collection :dataset, as: 'dataset', class: Google::Apis::ContentwarehouseV1::NlpSciencelitDataset, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitDataset::Representation
      
          property :date_str, as: 'dateStr'
          property :deleted, as: 'deleted'
          collection :heading, as: 'heading', class: Google::Apis::ContentwarehouseV1::NlpSciencelitMeshHeading, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitMeshHeading::Representation
      
          property :issue, as: 'issue'
          property :journal, as: 'journal'
          property :language, as: 'language'
          property :last_revised_date_str, as: 'lastRevisedDateStr'
          collection :metadata_source, as: 'metadataSource'
          property :parsed_from, as: 'parsedFrom'
          property :pmid, as: 'pmid'
          collection :publication_type, as: 'publicationType', class: Google::Apis::ContentwarehouseV1::NlpSciencelitPublicationType, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitPublicationType::Representation
      
          property :scam_restrict_tokens, as: 'scamRestrictTokens', class: Google::Apis::ContentwarehouseV1::ResearchScamV3Restrict, decorator: Google::Apis::ContentwarehouseV1::ResearchScamV3Restrict::Representation
      
          property :title, as: 'title'
          collection :url, as: 'url'
          property :volume, as: 'volume'
        end
      end
      
      class NlpSciencelitAuthor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :first_name, as: 'firstName'
          property :last_name, as: 'lastName'
        end
      end
      
      class NlpSciencelitCitationData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :article_id, as: 'articleId', class: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleId::Representation
      
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::NlpSciencelitAuthor, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitAuthor::Representation
      
          property :external_link, as: 'externalLink'
          property :full_text, as: 'fullText'
          property :reference, as: 'reference'
          property :scholar_citation, as: 'scholarCitation', class: Google::Apis::ContentwarehouseV1::ScienceCitation, decorator: Google::Apis::ContentwarehouseV1::ScienceCitation::Representation
      
          property :title, as: 'title'
        end
      end
      
      class NlpSciencelitDataset
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :association, as: 'association'
          property :dataset_metadata, as: 'datasetMetadata', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchReconciledMetadata, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchReconciledMetadata::Representation
      
        end
      end
      
      class NlpSciencelitMeshHeading
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mesh_descriptor, as: 'meshDescriptor', class: Google::Apis::ContentwarehouseV1::NlpSciencelitSubjectHeading, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitSubjectHeading::Representation
      
          collection :mesh_qualifier, as: 'meshQualifier', class: Google::Apis::ContentwarehouseV1::NlpSciencelitSubjectHeading, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitSubjectHeading::Representation
      
        end
      end
      
      class NlpSciencelitPubDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_str, as: 'dateStr'
          property :pub_type, as: 'pubType'
        end
      end
      
      class NlpSciencelitPublicationType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :ui, as: 'ui'
        end
      end
      
      class NlpSciencelitReferencedBlock
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :caption, as: 'caption', class: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText::Representation
      
          property :reference, as: 'reference'
          property :title, as: 'title', class: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitTokenizedText::Representation
      
          property :type, as: 'type'
        end
      end
      
      class NlpSciencelitRetrievalQueryEncodingDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :scam_query_encoding, as: 'scamQueryEncoding', class: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVector, decorator: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVector::Representation
      
        end
      end
      
      class NlpSciencelitRetrievalSearchResultDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :article_data, as: 'articleData', class: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleData, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitArticleData::Representation
      
          collection :gold_docid, as: 'goldDocid'
          collection :gold_snippets, as: 'goldSnippets'
          property :is_gold, as: 'isGold'
          property :reranking_score, as: 'rerankingScore'
          property :reverse_reranking_order, as: 'reverseRerankingOrder'
          hash :section_ir_score, as: 'sectionIrScore'
        end
      end
      
      class NlpSciencelitRetrievalSearchResultSetDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :query_encoding, as: 'queryEncoding', class: Google::Apis::ContentwarehouseV1::NlpSciencelitRetrievalQueryEncodingDebugInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSciencelitRetrievalQueryEncodingDebugInfo::Representation
      
          property :scam_response, as: 'scamResponse', class: Google::Apis::ContentwarehouseV1::ResearchScamQueryResponse, decorator: Google::Apis::ContentwarehouseV1::ResearchScamQueryResponse::Representation
      
        end
      end
      
      class NlpSciencelitRetrievalSnippetDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :gold_highlight_sentence_indices, as: 'goldHighlightSentenceIndices'
          hash :highlight_idx_to_overlap, as: 'highlightIdxToOverlap'
          hash :highlight_idx_to_sentence_overlap, as: 'highlightIdxToSentenceOverlap'
          property :is_gold, as: 'isGold'
          property :offset_within_section, as: 'offsetWithinSection'
          property :section_index, as: 'sectionIndex'
          property :section_ir_score, as: 'sectionIrScore'
          property :snippet_bleu_score, as: 'snippetBleuScore'
        end
      end
      
      class NlpSciencelitSubjectHeading
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :major_topic, as: 'majorTopic'
          property :term, as: 'term'
        end
      end
      
      class NlpSciencelitTokenizedText
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :text, as: 'text'
          collection :token, as: 'token'
        end
      end
      
      class NlpSemanticParsingAnnotationEvalData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :additional_spans, as: 'additionalSpans', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :num_bytes, as: 'numBytes'
          property :num_tokens, as: 'numTokens'
          property :start_byte, as: 'startByte'
          property :start_token, as: 'startToken'
        end
      end
      
      class NlpSemanticParsingAppAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :app_info, as: 'appInfo', class: Google::Apis::ContentwarehouseV1::QualityActionsAppInfo, decorator: Google::Apis::ContentwarehouseV1::QualityActionsAppInfo::Representation
      
        end
      end
      
      class NlpSemanticParsingDateTimeAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_type, as: 'dateType'
          collection :end_date, as: 'endDate'
          collection :end_time, as: 'endTime'
          property :end_weekday, as: 'endWeekday'
          property :raw_text, as: 'rawText'
          collection :start_date, as: 'startDate'
          collection :start_time, as: 'startTime'
          property :start_weekday, as: 'startWeekday'
          property :time_type, as: 'timeType'
        end
      end
      
      class NlpSemanticParsingDatetimeAbsoluteDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_personal, as: 'allowPersonal'
          property :day, as: 'day'
          property :deleted11, as: 'deleted11'
          property :holiday, as: 'holiday', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeHoliday, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeHoliday::Representation
      
          property :hour, as: 'hour'
          property :hour_state, as: 'hourState'
          property :is_bc, as: 'isBc'
          property :minute, as: 'minute'
          property :modifier, as: 'modifier'
          property :month, as: 'month'
          property :non_gregorian_date, as: 'nonGregorianDate', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeNonGregorianDate, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeNonGregorianDate::Representation
      
          property :partial_second, as: 'partialSecond'
          property :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTimeProperty, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTimeProperty::Representation
      
          property :quarter, as: 'quarter'
          property :range_modifier, as: 'rangeModifier'
          property :season, as: 'season'
          property :second, as: 'second'
          property :timezone, as: 'timezone'
          property :weekday, as: 'weekday'
          property :year, as: 'year'
        end
      end
      
      class NlpSemanticParsingDatetimeDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :composition_element, as: 'compositionElement', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :deleted7, as: 'deleted7'
          property :deleted8, as: 'deleted8'
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :grounding_stage, as: 'groundingStage'
          collection :point, as: 'point', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime::Representation
      
          property :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties::Representation
      
          collection :range, as: 'range', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange::Representation
      
          property :recurrent, as: 'recurrent', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRecurrent, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRecurrent::Representation
      
          property :relative, as: 'relative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :span, as: 'span', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeSpan, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeSpan::Representation
      
        end
      end
      
      class NlpSemanticParsingDatetimeDateTimeProperty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_format, as: 'dateFormat'
          property :expand_year_to_current, as: 'expandYearToCurrent'
          property :hour_status, as: 'hourStatus'
          property :inferred_date_value, as: 'inferredDateValue'
          property :metadata, as: 'metadata'
          property :personal_reference_metadata, as: 'personalReferenceMetadata', class: Google::Apis::ContentwarehouseV1::CopleyPersonalReferenceMetadata, decorator: Google::Apis::ContentwarehouseV1::CopleyPersonalReferenceMetadata::Representation
      
          property :relation_to_reference, as: 'relationToReference'
          property :relative, as: 'relative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :source_calendar, as: 'sourceCalendar'
          property :source_type_list, as: 'sourceTypeList', class: Google::Apis::ContentwarehouseV1::CopleySourceTypeList, decorator: Google::Apis::ContentwarehouseV1::CopleySourceTypeList::Representation
      
          collection :time_format, as: 'timeFormat'
          property :timezone_is_explicit, as: 'timezoneIsExplicit'
        end
      end
      
      class NlpSemanticParsingDatetimeDuration
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :modifier, as: 'modifier'
          property :quantity, as: 'quantity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity::Representation
      
          property :span, as: 'span', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeSpan, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeSpan::Representation
      
        end
      end
      
      class NlpSemanticParsingDatetimeEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :moon_event, as: 'moonEvent', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeMoonEventInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeMoonEventInfo::Representation
      
          property :sun_event, as: 'sunEvent'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingDatetimeFetchedRelativeDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_type, as: 'baseType'
          property :count, as: 'count'
          property :metadata, as: 'metadata'
          collection :ordinal, as: 'ordinal'
          property :range, as: 'range', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange::Representation
      
          property :range_modifier, as: 'rangeModifier'
          property :relative_range, as: 'relativeRange', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties::Representation
      
          property :target, as: 'target', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTargetToFetch, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTargetToFetch::Representation
      
        end
      end
      
      class NlpSemanticParsingDatetimeHoliday
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :non_fixed, as: 'nonFixed'
        end
      end
      
      class NlpSemanticParsingDatetimeMoonEventInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :phase, as: 'phase'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingDatetimeNonGregorianDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :chinese_month, as: 'chineseMonth'
          property :day, as: 'day'
          property :hebrew_month, as: 'hebrewMonth'
          property :islamic_month, as: 'islamicMonth'
          property :year, as: 'year'
        end
      end
      
      class NlpSemanticParsingDatetimeQuantity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :modifier, as: 'modifier'
          property :number, as: 'number'
          property :number_span, as: 'numberSpan', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          collection :symbolic_quantity, as: 'symbolicQuantity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity::Representation
      
          property :unit, as: 'unit'
        end
      end
      
      class NlpSemanticParsingDatetimeRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime::Representation
      
          property :begin_relative, as: 'beginRelative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :duration, as: 'duration', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity::Representation
      
          property :end, as: 'end', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime::Representation
      
          property :end_relative, as: 'endRelative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :exclusive, as: 'exclusive'
          property :finish, as: 'finish', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :fuzzy_range, as: 'fuzzyRange'
          property :metadata, as: 'metadata'
          property :properties, as: 'properties', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties::Representation
      
          property :range_modifier, as: 'rangeModifier'
          property :start, as: 'start', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :symbolic_value, as: 'symbolicValue'
        end
      end
      
      class NlpSemanticParsingDatetimeRecurrent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count_restriction, as: 'countRestriction'
          collection :exception, as: 'exception', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :frequency, as: 'frequency'
          property :metadata, as: 'metadata'
          property :period, as: 'period'
          property :range_restriction, as: 'rangeRestriction', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange::Representation
      
          property :relative_range_restriction, as: 'relativeRangeRestriction', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :restriction, as: 'restriction', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          collection :start, as: 'start', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          collection :start_point, as: 'startPoint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime::Representation
      
          collection :start_range, as: 'startRange', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRange::Representation
      
          collection :start_relative, as: 'startRelative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
          property :target, as: 'target', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTargetToFetch, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeTargetToFetch::Representation
      
          property :time_interval, as: 'timeInterval', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity::Representation
      
          property :unit, as: 'unit'
        end
      end
      
      class NlpSemanticParsingDatetimeRelativeDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fetched, as: 'fetched', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeFetchedRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeFetchedRelativeDateTime::Representation
      
          property :metadata, as: 'metadata'
          property :modifier, as: 'modifier'
          property :shifted, as: 'shifted', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeShiftedRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeShiftedRelativeDateTime::Representation
      
        end
      end
      
      class NlpSemanticParsingDatetimeResolutionProperties
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :meridiem, as: 'meridiem'
          property :metadata, as: 'metadata'
          property :relative, as: 'relative', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeRelativeDateTime::Representation
      
        end
      end
      
      class NlpSemanticParsingDatetimeShiftedRelativeDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base, as: 'base', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeAbsoluteDateTime::Representation
      
          property :base_type, as: 'baseType'
          property :metadata, as: 'metadata'
          property :relative_base, as: 'relativeBase', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeResolutionProperties::Representation
      
          property :shift_amount, as: 'shiftAmount', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeQuantity::Representation
      
          property :shift_past, as: 'shiftPast'
        end
      end
      
      class NlpSemanticParsingDatetimeSpan
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_bytes, as: 'numBytes'
          property :start_byte, as: 'startByte'
          property :text, as: 'text'
        end
      end
      
      class NlpSemanticParsingDatetimeTargetToFetch
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event, as: 'event', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeEvent, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeEvent::Representation
      
          property :fuzzy_range, as: 'fuzzyRange'
          property :month, as: 'month'
          property :quarter, as: 'quarter'
          property :reference, as: 'reference'
          property :season, as: 'season'
          property :unit, as: 'unit'
          collection :weekday, as: 'weekday'
        end
      end
      
      class NlpSemanticParsingDatetimeTimeZone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :timezone, as: 'timezone'
        end
      end
      
      class NlpSemanticParsingEntitySourceData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity_sources, as: 'entitySources'
        end
      end
      
      class NlpSemanticParsingExpressionStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :status, as: 'status'
        end
      end
      
      class NlpSemanticParsingLocalAmenities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingLocalBasicLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :element, as: 'element', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocationElement, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocationElement::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalBusinessType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :airline, as: 'airline'
          property :airport, as: 'airport'
          property :bank, as: 'bank'
          property :bike_sharing_station, as: 'bikeSharingStation'
          property :bus_stop, as: 'busStop'
          property :clothing_store, as: 'clothingStore'
          collection :cuisine_gcid, as: 'cuisineGcid'
          property :department_store, as: 'departmentStore'
          property :drug_drop_off, as: 'drugDropOff'
          property :electric_vehicle_charging_station, as: 'electricVehicleChargingStation'
          property :electronic_store, as: 'electronicStore'
          property :emergency, as: 'emergency'
          property :food_pantry, as: 'foodPantry'
          property :gas_station, as: 'gasStation'
          property :grocery_store, as: 'groceryStore'
          property :hairdresser, as: 'hairdresser'
          property :hardware_store, as: 'hardwareStore'
          property :hospital, as: 'hospital'
          property :hotel, as: 'hotel'
          property :parking, as: 'parking'
          property :pet_store, as: 'petStore'
          property :pharmacy, as: 'pharmacy'
          property :qref_transit_station, as: 'qrefTransitStation'
          property :restaurant, as: 'restaurant'
          property :retail, as: 'retail'
          property :school, as: 'school'
          property :shopping_center, as: 'shoppingCenter'
          property :soup_kitchen, as: 'soupKitchen'
          property :sport_store, as: 'sportStore'
          property :subway_station, as: 'subwayStation'
          property :telecom, as: 'telecom'
          property :toy_store, as: 'toyStore'
          property :train_station, as: 'trainStation'
          property :transit_line, as: 'transitLine'
          property :transit_operator, as: 'transitOperator'
          property :transit_station, as: 'transitStation'
          property :university, as: 'university'
          collection :vehicle_type, as: 'vehicleType'
          property :venue, as: 'venue'
        end
      end
      
      class NlpSemanticParsingLocalChainMemberConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :chain_ids, as: 'chainIds'
        end
      end
      
      class NlpSemanticParsingLocalCompoundLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :joiner, as: 'joiner', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalJoiner, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalJoiner::Representation
      
          property :location1, as: 'location1', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation::Representation
      
          property :location2, as: 'location2', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalContactLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact, as: 'contact', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationRecipient, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationRecipient::Representation
      
          property :contact_type, as: 'contactType', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationPhoneType, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationPhoneType::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalCuisineConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cuisine_gcid, as: 'cuisineGcid'
        end
      end
      
      class NlpSemanticParsingLocalEvChargingStationSpeedConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :charging_speed, as: 'chargingSpeed'
        end
      end
      
      class NlpSemanticParsingLocalExtent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :non_specific_value, as: 'nonSpecificValue'
          property :units, as: 'units'
          property :units_string, as: 'unitsString'
          property :value, as: 'value'
          property :value_string, as: 'valueString'
        end
      end
      
      class NlpSemanticParsingLocalGcidConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gcid, as: 'gcid'
        end
      end
      
      class NlpSemanticParsingLocalHotelType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_inclusive_resort, as: 'allInclusiveResort'
          property :beach_resort, as: 'beachResort'
          property :bed_and_breakfast, as: 'bedAndBreakfast'
          property :boutique_hotel, as: 'boutiqueHotel'
          property :business_hotel, as: 'businessHotel'
          property :cabin, as: 'cabin'
          property :campsite, as: 'campsite'
          property :capsule_hotel, as: 'capsuleHotel'
          property :casino_accommodation, as: 'casinoAccommodation'
          property :castle_hotel, as: 'castleHotel'
          property :chalet, as: 'chalet'
          property :common_lodging_house, as: 'commonLodgingHouse'
          property :condo_hotel, as: 'condoHotel'
          property :convention_hotel, as: 'conventionHotel'
          property :cottage, as: 'cottage'
          property :eco_hotel, as: 'ecoHotel'
          property :extended_stay_hotel, as: 'extendedStayHotel'
          property :farmstay, as: 'farmstay'
          property :gite, as: 'gite'
          property :golf_resort, as: 'golfResort'
          property :guest_ranch, as: 'guestRanch'
          property :guesthouse, as: 'guesthouse'
          property :hostel, as: 'hostel'
          property :hotel, as: 'hotel'
          property :houseboat, as: 'houseboat'
          property :inn, as: 'inn'
          property :japanese_inn, as: 'japaneseInn'
          property :japanese_inn_with_hot_spring, as: 'japaneseInnWithHotSpring'
          property :lodge, as: 'lodge'
          property :lodging, as: 'lodging'
          property :love_hotel, as: 'loveHotel'
          property :motel, as: 'motel'
          property :mountain_hut, as: 'mountainHut'
          property :other, as: 'other'
          property :pension, as: 'pension'
          property :resort, as: 'resort'
          property :safari_lodge, as: 'safariLodge'
          property :seaside_resort, as: 'seasideResort'
          property :serviced_apartment, as: 'servicedApartment'
          property :ski_resort, as: 'skiResort'
          property :suite, as: 'suite'
          property :vacation_apartment, as: 'vacationApartment'
          property :vacation_house, as: 'vacationHouse'
          property :vacation_rental, as: 'vacationRental'
          property :villa, as: 'villa'
          property :wellness_and_spa_accommodation, as: 'wellnessAndSpaAccommodation'
          property :youth_hostel, as: 'youthHostel'
        end
      end
      
      class NlpSemanticParsingLocalHyperReliableData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :commodity_strength, as: 'commodityStrength'
          collection :gcidsyns_override, as: 'gcidsynsOverride', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableDataGcidSynsOverride, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableDataGcidSynsOverride::Representation
      
          property :hyper_reliable, as: 'hyperReliable'
          collection :retrieval_gcids, as: 'retrievalGcids'
        end
      end
      
      class NlpSemanticParsingLocalHyperReliableDataGcidSynsOverride
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gcid_score, as: 'gcidScore'
          property :hyper_reliable_gcid, as: 'hyperReliableGcid'
        end
      end
      
      class NlpSemanticParsingLocalImplicitLocalCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :airport, as: 'airport'
          property :bank, as: 'bank'
          property :charging_station, as: 'chargingStation'
          property :gas_station, as: 'gasStation'
          property :gym, as: 'gym'
          property :hair_salon, as: 'hairSalon'
          property :hospital, as: 'hospital'
          property :hotel, as: 'hotel'
          property :laundromat, as: 'laundromat'
          property :movie_theater, as: 'movieTheater'
          property :post_office, as: 'postOffice'
          property :spa, as: 'spa'
        end
      end
      
      class NlpSemanticParsingLocalJoiner
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_bytes, as: 'numBytes'
          property :num_bytes_for_conversion, as: 'numBytesForConversion'
          property :start_byte, as: 'startByte'
          property :start_byte_for_conversion, as: 'startByteForConversion'
          property :text, as: 'text'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingLocalLocalResultId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :geocoding_address, as: 'geocodingAddress'
          property :kg_mid, as: 'kgMid'
          property :position, as: 'position', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :rect, as: 'rect', class: Google::Apis::ContentwarehouseV1::GeostoreRectProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRectProto::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :basic_location, as: 'basicLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBasicLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBasicLocation::Representation
      
          property :compound_location, as: 'compoundLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalCompoundLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalCompoundLocation::Representation
      
          property :contact_location, as: 'contactLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalContactLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalContactLocation::Representation
      
          property :is_merged, as: 'isMerged'
          collection :location_constraint, as: 'locationConstraint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocationConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocationConstraint::Representation
      
          property :num_bytes, as: 'numBytes'
          property :resolved_local_result, as: 'resolvedLocalResult', class: Google::Apis::ContentwarehouseV1::QualityDialogManagerLocalResult, decorator: Google::Apis::ContentwarehouseV1::QualityDialogManagerLocalResult::Representation
      
          property :start_byte, as: 'startByte'
          property :text, as: 'text'
          property :user_specified_location, as: 'userSpecifiedLocation', class: Google::Apis::ContentwarehouseV1::KnowledgeVerticalsWeatherProtoUserSpecifiedLocation, decorator: Google::Apis::ContentwarehouseV1::KnowledgeVerticalsWeatherProtoUserSpecifiedLocation::Representation
      
          property :vicinity_location, as: 'vicinityLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalVicinityLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalVicinityLocation::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalLocationConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amenities, as: 'amenities', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalAmenities, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalAmenities::Representation
      
          property :chain_member, as: 'chainMember', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalChainMemberConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalChainMemberConstraint::Representation
      
          property :cuisine, as: 'cuisine', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalCuisineConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalCuisineConstraint::Representation
      
          property :evcs_speed_constraint, as: 'evcsSpeedConstraint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalEvChargingStationSpeedConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalEvChargingStationSpeedConstraint::Representation
      
          property :gcid_constraint, as: 'gcidConstraint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalGcidConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalGcidConstraint::Representation
      
          property :hyper_reliable_data, as: 'hyperReliableData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableData::Representation
      
          property :menu_item, as: 'menuItem', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalMenuItem, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalMenuItem::Representation
      
          property :new, as: 'new'
          property :num_bytes, as: 'numBytes'
          property :open24_hours, as: 'open24Hours'
          property :price, as: 'price', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalPriceConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalPriceConstraint::Representation
      
          property :quality, as: 'quality', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalQualityConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalQualityConstraint::Representation
      
          property :rooms, as: 'rooms', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalRoomConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalRoomConstraint::Representation
      
          property :scalable_attribute, as: 'scalableAttribute', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalScalableAttribute, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalScalableAttribute::Representation
      
          property :service, as: 'service', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalServiceConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalServiceConstraint::Representation
      
          property :start_byte, as: 'startByte'
          property :text, as: 'text'
          property :ungrounded_constraint, as: 'ungroundedConstraint'
          property :unspecified, as: 'unspecified'
          property :vaccine_type, as: 'vaccineType'
          property :visit_history, as: 'visitHistory', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalVisitHistoryConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalVisitHistoryConstraint::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalLocationElement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alias_icon, as: 'aliasIcon', class: Google::Apis::ContentwarehouseV1::PersonalizationMapsAliasIcon, decorator: Google::Apis::ContentwarehouseV1::PersonalizationMapsAliasIcon::Representation
      
          property :alias_location, as: 'aliasLocation'
          property :business_type, as: 'businessType', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBusinessType, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBusinessType::Representation
      
          property :contact_location, as: 'contactLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalContactLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalContactLocation::Representation
      
          collection :dialog_referents, as: 'dialogReferents', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsDialogReferents, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsDialogReferents::Representation
      
          property :directional_modifier, as: 'directionalModifier'
          property :generic_location, as: 'genericLocation'
          property :hotel_type, as: 'hotelType', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHotelType, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHotelType::Representation
      
          property :hyper_reliable_data, as: 'hyperReliableData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalHyperReliableData::Representation
      
          property :implicit_local_category, as: 'implicitLocalCategory', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalImplicitLocalCategory, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalImplicitLocalCategory::Representation
      
          property :local_result_id, as: 'localResultId', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocalResultId, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocalResultId::Representation
      
          property :num_bytes, as: 'numBytes'
          property :number, as: 'number'
          property :personal_reference_location, as: 'personalReferenceLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingPersonalReferenceAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingPersonalReferenceAnnotation::Representation
      
          property :qref_location, as: 'qrefLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :saft_location, as: 'saftLocation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftMentionAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftMentionAnnotation::Representation
      
          property :source, as: 'source'
          property :start_byte, as: 'startByte'
          property :text, as: 'text'
          property :transit_line_number, as: 'transitLineNumber'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingLocalMenuItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :menu_item_id, as: 'menuItemId'
        end
      end
      
      class NlpSemanticParsingLocalPriceConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cheap, as: 'cheap'
          property :currency_code, as: 'currencyCode'
          property :expensive, as: 'expensive'
          property :max_price, as: 'maxPrice'
          property :min_price, as: 'minPrice'
          property :moderately_priced, as: 'moderatelyPriced'
          property :unspecified, as: 'unspecified'
        end
      end
      
      class NlpSemanticParsingLocalQualityConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :best, as: 'best'
          property :highly_rated, as: 'highlyRated'
          property :star_type, as: 'starType'
          property :stars, as: 'stars', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalStarRatings, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalStarRatings::Representation
      
          property :unspecified, as: 'unspecified'
        end
      end
      
      class NlpSemanticParsingLocalRoomConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :min_num_bathrooms, as: 'minNumBathrooms'
          property :min_num_bedrooms, as: 'minNumBedrooms'
        end
      end
      
      class NlpSemanticParsingLocalScalableAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attribute_id, as: 'attributeId'
        end
      end
      
      class NlpSemanticParsingLocalServiceConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :service_type, as: 'serviceType'
        end
      end
      
      class NlpSemanticParsingLocalStarRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :five, as: 'five'
          property :four, as: 'four'
          property :four_and_a_half, as: 'fourAndAHalf'
          property :one, as: 'one'
          property :one_and_a_half, as: 'oneAndAHalf'
          property :or_fewer, as: 'orFewer'
          property :or_more, as: 'orMore'
          property :three, as: 'three'
          property :three_and_a_half, as: 'threeAndAHalf'
          property :two, as: 'two'
          property :two_and_a_half, as: 'twoAndAHalf'
          property :unspecified, as: 'unspecified'
        end
      end
      
      class NlpSemanticParsingLocalVicinityLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base, as: 'base', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation::Representation
      
          property :connector, as: 'connector'
          property :extent, as: 'extent', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalExtent, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalExtent::Representation
      
        end
      end
      
      class NlpSemanticParsingLocalVisitHistoryConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :visited_type, as: 'visitedType'
        end
      end
      
      class NlpSemanticParsingModelsCommunicationPhoneType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :normalized_text, as: 'normalizedText'
          property :original_text, as: 'originalText'
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsCommunicationRecipient
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calendar_event, as: 'calendarEvent', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEvent, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEvent::Representation
      
          property :calendar_event_wrapper, as: 'calendarEventWrapper', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventWrapper, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesCalendarEventWrapper::Representation
      
          property :contact, as: 'contact', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :name_annotation_source, as: 'nameAnnotationSource'
          property :number_annotation_source, as: 'numberAnnotationSource'
          property :raw_text, as: 'rawText'
          property :recipient_type, as: 'recipientType'
          property :relationship, as: 'relationship', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationRelationshipArgument, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsCommunicationRelationshipArgument::Representation
      
          property :sensitive_num_bytes, as: 'sensitiveNumBytes'
          property :sensitive_start_byte, as: 'sensitiveStartByte'
        end
      end
      
      class NlpSemanticParsingModelsCommunicationRelationshipArgument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alias, as: 'alias'
          property :canonical, as: 'canonical'
          property :canonical_lexical_mid, as: 'canonicalLexicalMid'
        end
      end
      
      class NlpSemanticParsingModelsDevice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_name, as: 'deviceName', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDeviceName, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDeviceName::Representation
      
          property :device_type, as: 'deviceType'
        end
      end
      
      class NlpSemanticParsingModelsDeviceName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsDialogReferentsDialogReferents
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :field, as: 'field', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection::Representation
      
          property :index, as: 'index'
          property :next, as: 'next', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsDialogReferents, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsDialogReferents::Representation
      
          collection :selection, as: 'selection', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection::Representation
      
          collection :task_mention, as: 'taskMention', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDialogReferentsListSelection::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsDialogReferentsListSelection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :id, as: 'id'
          property :loose_offset_restriction, as: 'looseOffsetRestriction'
          property :offset, as: 'offset'
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaAlbumTitle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :favorite, as: 'favorite'
          property :first, as: 'first'
          property :is_from_fast_path, as: 'isFromFastPath'
          property :latest, as: 'latest'
          property :play_more, as: 'playMore'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaAudio
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :album, as: 'album', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAlbumTitle, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAlbumTitle::Representation
      
          property :artist, as: 'artist', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicArtist, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicArtist::Representation
      
          property :book, as: 'book', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaBook, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaBook::Representation
      
          property :date_time, as: 'dateTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          collection :episode_constraint, as: 'episodeConstraint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaEpisodeConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaEpisodeConstraint::Representation
      
          property :game, as: 'game', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaGame, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaGame::Representation
      
          property :generic_music, as: 'genericMusic', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaGenericMusic, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaGenericMusic::Representation
      
          property :genre, as: 'genre', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicGenre, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicGenre::Representation
      
          property :movie, as: 'movie', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMovie, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMovie::Representation
      
          property :news_topic, as: 'newsTopic', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaNewsTopic, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaNewsTopic::Representation
      
          property :no_explicit_audio, as: 'noExplicitAudio'
          property :playlist, as: 'playlist', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicPlaylist, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMusicPlaylist::Representation
      
          property :podcast, as: 'podcast', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPodcast, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPodcast::Representation
      
          property :radio, as: 'radio', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadio, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadio::Representation
      
          property :radio_network, as: 'radioNetwork', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadioNetwork, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadioNetwork::Representation
      
          property :raw_text, as: 'rawText'
          property :score_type, as: 'scoreType'
          property :season_constraint, as: 'seasonConstraint', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaSeasonConstraint, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaSeasonConstraint::Representation
      
          property :song, as: 'song', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaSong, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaSong::Representation
      
          collection :tag, as: 'tag'
          property :tv_show, as: 'tvShow', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaTvShow, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaTvShow::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsMediaAudiobookInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audiobook_mid, as: 'audiobookMid'
          collection :authors, as: 'authors'
          property :book_mid, as: 'bookMid'
          collection :narrators, as: 'narrators'
        end
      end
      
      class NlpSemanticParsingModelsMediaBook
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :latest, as: 'latest'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaCastDeviceAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cast_device_source, as: 'castDeviceSource'
          property :cast_device_type, as: 'castDeviceType'
          property :creation_timestamp_ms, :numeric_string => true, as: 'creationTimestampMs'
          property :device_id, as: 'deviceId'
          property :device_identifier, as: 'deviceIdentifier', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesDeviceId::Representation
      
          property :name, as: 'name'
          property :quantification, as: 'quantification', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaQuantification, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaQuantification::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsMediaCost
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :currency_code, as: 'currencyCode'
          property :price, as: 'price'
        end
      end
      
      class NlpSemanticParsingModelsMediaDeeplinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :action_type, as: 'actionType'
          collection :blacklisted_country, as: 'blacklistedCountry'
          collection :country, as: 'country'
          property :deeplink, as: 'deeplink'
          property :deeplink_for_execution, as: 'deeplinkForExecution'
          property :incompatible_with_credentials, as: 'incompatibleWithCredentials'
          collection :offer, as: 'offer'
          collection :paid_offer_detail, as: 'paidOfferDetail', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPaidOfferDetail, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPaidOfferDetail::Representation
      
          collection :platform, as: 'platform'
          property :score, as: 'score'
          collection :subscription_package_name, as: 'subscriptionPackageName'
          collection :tag, as: 'tag'
          property :valid_time_window, as: 'validTimeWindow', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDeeplinkInfoTimeWindow, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDeeplinkInfoTimeWindow::Representation
      
          property :vui_id, as: 'vuiId'
          property :youtube_deeplink_info, as: 'youtubeDeeplinkInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaYouTubeDeeplinkInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaYouTubeDeeplinkInfo::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsMediaDeeplinkInfoTimeWindow
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_timestamp, :numeric_string => true, as: 'endTimestamp'
          property :start_timestamp, :numeric_string => true, as: 'startTimestamp'
        end
      end
      
      class NlpSemanticParsingModelsMediaDescription
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaEpisodeConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :absolute_index, as: 'absoluteIndex'
          property :date_time, as: 'dateTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :description, as: 'description', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDescription, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDescription::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
          property :relative_index, as: 'relativeIndex'
        end
      end
      
      class NlpSemanticParsingModelsMediaFrequency
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :band, as: 'band'
          property :value, as: 'value'
        end
      end
      
      class NlpSemanticParsingModelsMediaGame
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaGenericMusic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :new_music, as: 'newMusic'
          property :raw_text, as: 'rawText'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingModelsMediaLatLng
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :latitude, as: 'latitude'
          property :longitude, as: 'longitude'
        end
      end
      
      class NlpSemanticParsingModelsMediaMediaAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :artist_name, as: 'artistName'
          property :audiobook_info, as: 'audiobookInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAudiobookInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaAudiobookInfo::Representation
      
          property :content_type, as: 'contentType'
          collection :image, as: 'image', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesImage, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesImage::Representation
      
          property :name, as: 'name'
          property :news_info, as: 'newsInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaNewsInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaNewsInfo::Representation
      
          property :personal_data_ingestion_engine, as: 'personalDataIngestionEngine'
          property :playlist_visibility, as: 'playlistVisibility'
          property :podcast_info, as: 'podcastInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPodcastInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPodcastInfo::Representation
      
          property :primary_entity_mid, as: 'primaryEntityMid'
          collection :provider_info, as: 'providerInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaProviderInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaProviderInfo::Representation
      
          property :purchase_info, as: 'purchaseInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPurchaseInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaPurchaseInfo::Representation
      
          property :radio_info, as: 'radioInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadioInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRadioInfo::Representation
      
          property :rental_info, as: 'rentalInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRentalInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaRentalInfo::Representation
      
          property :source, as: 'source'
          property :youtube_playlist_info, as: 'youtubePlaylistInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaYouTubePlaylistInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaYouTubePlaylistInfo::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsMediaMediaAnnotationList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotation, as: 'annotation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotation::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsMediaMediaProviderInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :deeplink_info, as: 'deeplinkInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDeeplinkInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaDeeplinkInfo::Representation
      
          property :kg_provider_key, as: 'kgProviderKey'
          property :media_id, as: 'mediaId'
          property :provider_mid, as: 'providerMid'
          property :provider_name, as: 'providerName'
        end
      end
      
      class NlpSemanticParsingModelsMediaMovie
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :is_from_fast_path, as: 'isFromFastPath'
          collection :provider_metadata, as: 'providerMetadata', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaProviderMetadata, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaProviderMetadata::Representation
      
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaMusicArtist
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :favorite, as: 'favorite'
          property :is_from_fast_path, as: 'isFromFastPath'
          property :play_more, as: 'playMore'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaMusicGenre
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :play_more, as: 'playMore'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaMusicPlaylist
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :longtail_mood, as: 'longtailMood'
          property :normalized_text, as: 'normalizedText'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
          property :special, as: 'special'
        end
      end
      
      class NlpSemanticParsingModelsMediaNewsInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :numeric_string => true, as: 'docid'
          property :news_content_type, as: 'newsContentType'
          property :publication_time, as: 'publicationTime', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :publisher, as: 'publisher'
        end
      end
      
      class NlpSemanticParsingModelsMediaNewsTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaPaidOfferDetail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :cost, as: 'cost', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaCost, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaCost::Representation
      
          property :paid_offer_type, as: 'paidOfferType'
        end
      end
      
      class NlpSemanticParsingModelsMediaPodcast
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :normalized_text, as: 'normalizedText'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaPodcastInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, as: 'clusterId'
          property :episode_guid, as: 'episodeGuid'
          property :feed_url, as: 'feedUrl'
          property :podcast_recs_features, as: 'podcastRecsFeatures', class: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeatures, decorator: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeatures::Representation
      
          property :title, as: 'title'
        end
      end
      
      class NlpSemanticParsingModelsMediaProviderMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deeplink_url, as: 'deeplinkUrl'
          property :provider_mid, as: 'providerMid'
        end
      end
      
      class NlpSemanticParsingModelsMediaPurchaseInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :order_type, as: 'orderType'
          property :purchase_timestamp_sec, :numeric_string => true, as: 'purchaseTimestampSec'
        end
      end
      
      class NlpSemanticParsingModelsMediaQuantification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lexical, as: 'lexical'
          property :number, as: 'number'
        end
      end
      
      class NlpSemanticParsingModelsMediaRadio
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :favorite, as: 'favorite'
          property :frequency, as: 'frequency', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaFrequency, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaFrequency::Representation
      
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :is_from_fast_path, as: 'isFromFastPath'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaRadioInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :frequency, as: 'frequency', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaFrequency, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaFrequency::Representation
      
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaLatLng, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaLatLng::Representation
      
          property :popularity, as: 'popularity'
        end
      end
      
      class NlpSemanticParsingModelsMediaRadioNetwork
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaRentalInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :activate_period_sec, :numeric_string => true, as: 'activatePeriodSec'
          property :grant_period_sec, :numeric_string => true, as: 'grantPeriodSec'
          property :purchase_timestamp_sec, :numeric_string => true, as: 'purchaseTimestampSec'
          property :valid_until_timestamp_sec, :numeric_string => true, as: 'validUntilTimestampSec'
        end
      end
      
      class NlpSemanticParsingModelsMediaSeasonConstraint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :absolute_index, as: 'absoluteIndex'
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
          property :relative_index, as: 'relativeIndex'
        end
      end
      
      class NlpSemanticParsingModelsMediaSong
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :favorite, as: 'favorite'
          property :first, as: 'first'
          property :is_annotated_from_text, as: 'isAnnotatedFromText'
          property :is_from_fast_path, as: 'isFromFastPath'
          property :latest, as: 'latest'
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaTvShow
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_list, as: 'annotationList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaMediaAnnotationList::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_from_fast_path, as: 'isFromFastPath'
          collection :provider_metadata, as: 'providerMetadata', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaProviderMetadata, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMediaProviderMetadata::Representation
      
          property :qref, as: 'qref', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsMediaYouTubeDeeplinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :click_tracking_id, as: 'clickTrackingId'
          property :uploader_channel_id, as: 'uploaderChannelId'
        end
      end
      
      class NlpSemanticParsingModelsMediaYouTubePlaylistInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_vids_playable_in_woodstock, :numeric_string => true, as: 'numVidsPlayableInWoodstock'
          property :video_count, as: 'videoCount'
        end
      end
      
      class NlpSemanticParsingModelsMoneyCurrency
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :freebase_mid, as: 'freebaseMid'
        end
      end
      
      class NlpSemanticParsingModelsMoneyMoney
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amount, as: 'amount', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberNumber::Representation
      
          property :currency, as: 'currency', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyCurrency, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyCurrency::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsNarrativeNewsNewsProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, as: 'data', class: Google::Apis::ContentwarehouseV1::QualityActionsNewsProviderAnnotationData, decorator: Google::Apis::ContentwarehouseV1::QualityActionsNewsProviderAnnotationData::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsOnDevice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :device, as: 'device', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDevice, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsDevice::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsPersonPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alternative_name_info, as: 'alternativeNameInfo', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAlternativeNameInfo, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAlternativeNameInfo::Representation
      
          collection :alternative_names, as: 'alternativeNames'
          collection :annotation_source, as: 'annotationSource'
          collection :contact_data, as: 'contactData', class: Google::Apis::ContentwarehouseV1::QualityQrewritePersonalContactData, decorator: Google::Apis::ContentwarehouseV1::QualityQrewritePersonalContactData::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :is_person_group_reference, as: 'isPersonGroupReference'
          property :is_personal_contact, as: 'isPersonalContact'
          property :name, as: 'name'
          property :normalized_text, as: 'normalizedText'
          property :pkg_semantics, as: 'pkgSemantics', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsRecurrence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :daily_pattern, as: 'dailyPattern', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceDailyPattern, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceDailyPattern::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :every, as: 'every'
          property :frequency, as: 'frequency'
          property :monthly_pattern, as: 'monthlyPattern', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceMonthlyPattern, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceMonthlyPattern::Representation
      
          property :num_instances_in_frequency, as: 'numInstancesInFrequency'
          property :recurrence_end, as: 'recurrenceEnd', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceRecurrenceEnd, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceRecurrenceEnd::Representation
      
          property :recurrence_start, as: 'recurrenceStart', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceRecurrenceStart, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceRecurrenceStart::Representation
      
          property :time, as: 'time', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :weekly_pattern, as: 'weeklyPattern', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceWeeklyPattern, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceWeeklyPattern::Representation
      
          property :yearly_pattern, as: 'yearlyPattern', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceYearlyPattern, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceYearlyPattern::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceDailyPattern
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :day_period, as: 'dayPeriod', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation::Representation
      
          property :time_of_day, as: 'timeOfDay', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceMonthlyPattern
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_day, as: 'lastDay'
          property :last_week, as: 'lastWeek'
          collection :month_day, as: 'monthDay'
          property :week_day, as: 'weekDay'
          property :week_day_number, as: 'weekDayNumber'
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceRecurrenceEnd
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :auto_renew, as: 'autoRenew'
          property :auto_renew_until, as: 'autoRenewUntil', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation::Representation
      
          property :end_date_time, as: 'endDateTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation::Representation
      
          property :end_millis, :numeric_string => true, as: 'endMillis'
          property :num_occurrences, as: 'numOccurrences'
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceRecurrenceStart
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :start_date_time, as: 'startDateTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDateTimeAnnotation::Representation
      
          property :start_millis, :numeric_string => true, as: 'startMillis'
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceWeeklyPattern
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :week_day, as: 'weekDay'
          property :weekly_pattern_end, as: 'weeklyPatternEnd'
          property :weekly_pattern_start, as: 'weeklyPatternStart'
        end
      end
      
      class NlpSemanticParsingModelsRecurrenceYearlyPattern
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :monthly_pattern, as: 'monthlyPattern', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceMonthlyPattern, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsRecurrenceMonthlyPattern::Representation
      
          collection :year_month, as: 'yearMonth'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantBrandPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantMerchant
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :local_merchant_id, :numeric_string => true, as: 'localMerchantId'
          collection :mcid, as: 'mcid', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchantMerchantCenterId, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchantMerchantCenterId::Representation
      
          collection :merchant_id, as: 'merchantId'
          property :mid, as: 'mid'
          property :name, as: 'name'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantMerchantMerchantCenterId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, :numeric_string => true, as: 'id'
          property :is_gsx, as: 'isGsx'
          property :is_local, as: 'isLocal'
          property :is_pla, as: 'isPla'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantOffer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :numeric_string => true, as: 'docid'
          property :merchant, as: 'merchant', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchant, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantMerchant::Representation
      
          property :price, as: 'price', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney::Representation
      
          property :product, as: 'product', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct::Representation
      
          property :store, as: 'store', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantStore, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantStore::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :brand, as: 'brand', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantBrandPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantBrandPhrase::Representation
      
          property :offer, as: 'offer', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantOffer, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantOffer::Representation
      
          property :product, as: 'product', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductPhrase::Representation
      
          property :unrecognized, as: 'unrecognized', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantUnrecognizedPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantUnrecognizedPhrase::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProduct
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :catalog_id, :numeric_string => true, as: 'catalogId'
          property :max_price, as: 'maxPrice', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney::Representation
      
          property :media_product, as: 'mediaProduct', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProduct, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProduct::Representation
      
          property :mid, as: 'mid'
          property :min_price, as: 'minPrice', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsMoneyMoney::Representation
      
          property :title, as: 'title'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :book_confidence, as: 'bookConfidence'
          property :is_video_game, as: 'isVideoGame'
          property :movie_confidence, as: 'movieConfidence'
          property :video_game_confidence, as: 'videoGameConfidence'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductExpression
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :grammatical_gender, as: 'grammaticalGender'
          property :grammatical_number, as: 'grammaticalNumber'
          collection :phrases, as: 'phrases', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantPhrase, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantPhrase::Representation
      
          property :product_classification, as: 'productClassification', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductClassification, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductClassification::Representation
      
          property :shopping_list_item_info, as: 'shoppingListItemInfo', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantShoppingListItemInfo, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantShoppingListItemInfo::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductMediaProduct
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :author, as: 'author', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue::Representation
      
          property :genre, as: 'genre', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue::Representation
      
          property :media_title, as: 'mediaTitle', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue::Representation
      
          property :order_in_series, as: 'orderInSeries', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue::Representation
      
          property :topic, as: 'topic', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue::Representation
      
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductMediaProductMediaAttributeValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantProductPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsShoppingAssistantProduct::Representation
      
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantShoppingListItemInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :item_id, as: 'itemId'
          property :list_id, as: 'listId'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantStore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, :numeric_string => true, as: 'id'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocation::Representation
      
          property :name, as: 'name'
        end
      end
      
      class NlpSemanticParsingModelsShoppingAssistantUnrecognizedPhrase
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlpSemanticParsingNumberFractionNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :denominator, as: 'denominator', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber::Representation
      
          property :numerator, as: 'numerator', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber::Representation
      
          property :precision, as: 'precision'
          property :whole_number, as: 'wholeNumber', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber::Representation
      
        end
      end
      
      class NlpSemanticParsingNumberNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :fraction_number, as: 'fractionNumber', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberFractionNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberFractionNumber::Representation
      
          property :is_spelled_out, as: 'isSpelledOut'
          property :modifier, as: 'modifier'
          property :normalized_value, as: 'normalizedValue'
          property :raw_text, as: 'rawText'
          property :simple_number, as: 'simpleNumber', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingNumberSimpleNumber::Representation
      
          property :spelled_out_type, as: 'spelledOutType'
        end
      end
      
      class NlpSemanticParsingNumberSimpleNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :decimal_mark, as: 'decimalMark'
          property :grouping_delimiter, as: 'groupingDelimiter'
          property :grouping_system, as: 'groupingSystem'
          property :normalized_value, as: 'normalizedValue'
          property :prefix, as: 'prefix'
          property :suffix, as: 'suffix'
          property :type, as: 'type'
        end
      end
      
      class NlpSemanticParsingPersonalIntelligenceEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :airline_config, as: 'airlineConfig', class: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfig, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfig::Representation
      
          property :eval_data, as: 'evalData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingAnnotationEvalData::Representation
      
          property :name, as: 'name'
          property :qref_annotation, as: 'qrefAnnotation', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
        end
      end
      
      class NlpSemanticParsingPersonalReferenceAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :reference, as: 'reference', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          collection :resolutions, as: 'resolutions', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleAogSlot
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_id, as: 'entityId'
          property :num_bytes, as: 'numBytes'
          property :original, as: 'original'
          property :parameter_name, as: 'parameterName'
          property :slot_list, as: 'slotList', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotList, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotList::Representation
      
          property :slot_map, as: 'slotMap', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotMap, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotMap::Representation
      
          property :start_byte, as: 'startByte'
          property :value, as: 'value', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotValue::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleDateTime
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date, as: 'date', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :property, as: 'property', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTimeProperty, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTimeProperty::Representation
      
          property :time, as: 'time', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeOfDay::Representation
      
          property :time_zone, as: 'timeZone', class: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeTimeZone::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleDateTimeProperty
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :datetime_type, as: 'datetimeType'
          property :relative_datetime_type, as: 'relativeDatetimeType'
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :slots, as: 'slots', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotMap
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :slots, as: 'slots', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleAogSlot::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :values, as: 'values', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotValueSingleValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleSlotValueSingleValue::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleSlotValueSingleValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date_time_value, as: 'dateTimeValue', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTime::Representation
      
          property :string_value, as: 'stringValue'
          property :type_value, as: 'typeValue', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleTypedValue, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleTypedValue::Representation
      
        end
      end
      
      class NlpSemanticParsingProtoActionsOnGoogleTypedValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :date_time_value, as: 'dateTimeValue', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingProtoActionsOnGoogleDateTime::Representation
      
          property :number_value, as: 'numberValue'
          property :string_value, as: 'stringValue'
        end
      end
      
      class NlpSemanticParsingQRefAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :added_by_close_answers, as: 'addedByCloseAnswers'
          property :annotated_span, as: 'annotatedSpan'
          property :attribute_id, as: 'attributeId'
          property :cluster_id, as: 'clusterId'
          property :cluster_set_score, as: 'clusterSetScore'
          collection :cluster_sibling_mid, as: 'clusterSiblingMid'
          collection :collection_membership, as: 'collectionMembership', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationCollectionMembership, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationCollectionMembership::Representation
      
          property :confidence_score, as: 'confidenceScore'
          collection :deprecated_equivalent_mids, as: 'deprecatedEquivalentMids'
          collection :deprecated_mdvc_supporting_mid, as: 'deprecatedMdvcSupportingMid'
          property :display_name, as: 'displayName'
          property :entity_number, as: 'entityNumber'
          collection :entity_relationship, as: 'entityRelationship', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationEntityRelationship, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationEntityRelationship::Representation
      
          property :entity_source_data, as: 'entitySourceData', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingEntitySourceData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingEntitySourceData::Representation
      
          property :freebase_mid, as: 'freebaseMid'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          collection :global_product_cluster_id, as: 'globalProductClusterId'
          property :interpretation_number, as: 'interpretationNumber'
          property :is_mdvc_dimension, as: 'isMdvcDimension'
          property :is_nimble_annotation, as: 'isNimbleAnnotation'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :location_type, as: 'locationType'
          property :low_confidence, as: 'lowConfidence'
          collection :matched_lightweight_token, as: 'matchedLightweightToken', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken::Representation
      
          collection :mdvc_child, as: 'mdvcChild', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          collection :mdvc_verticals, as: 'mdvcVerticals'
          collection :merged_implied_entity, as: 'mergedImpliedEntity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          collection :merlot_category, as: 'merlotCategory', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationMerlotCategoryData, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationMerlotCategoryData::Representation
      
          property :other_metadata, as: 'otherMetadata', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :oyster_id, as: 'oysterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          collection :personal_summary_node_child, as: 'personalSummaryNodeChild', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          collection :product_line_id, as: 'productLineId'
          property :reference_score, as: 'referenceScore'
          collection :related_entity, as: 'relatedEntity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingRelatedEntity, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingRelatedEntity::Representation
      
          property :resolution_score, as: 'resolutionScore'
          property :source_type_list, as: 'sourceTypeList', class: Google::Apis::ContentwarehouseV1::CopleySourceTypeList, decorator: Google::Apis::ContentwarehouseV1::CopleySourceTypeList::Representation
      
          collection :sub_cluster, as: 'subCluster', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationSubCluster, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotationSubCluster::Representation
      
        end
      end
      
      class NlpSemanticParsingQRefAnnotationCollectionMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :collection_id, as: 'collectionId'
          property :collection_score, as: 'collectionScore'
        end
      end
      
      class NlpSemanticParsingQRefAnnotationEntityRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_index, as: 'entityIndex'
          property :implied_by, as: 'impliedBy'
          property :implies, as: 'implies'
          collection :link_property_name, as: 'linkPropertyName'
        end
      end
      
      class NlpSemanticParsingQRefAnnotationMerlotCategoryData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_id, as: 'categoryId'
          property :confidence, as: 'confidence'
        end
      end
      
      class NlpSemanticParsingQRefAnnotationSubCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, as: 'clusterId'
          property :cluster_set_score, as: 'clusterSetScore'
          collection :cluster_sibling_mid, as: 'clusterSiblingMid'
        end
      end
      
      class NlpSemanticParsingRelatedEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_support_transfer_relation, as: 'clusterSupportTransferRelation'
          property :composed_from_relation, as: 'composedFromRelation'
          property :equivalent_relation, as: 'equivalentRelation'
          property :mdvc_relation, as: 'mdvcRelation'
          property :mid, as: 'mid'
          property :support_transfer_relation, as: 'supportTransferRelation'
          property :target_is_stbr_source, as: 'targetIsStbrSource'
        end
      end
      
      class NlpSemanticParsingSaftCoreference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :raw_text, as: 'rawText'
          property :referent_text, as: 'referentText'
        end
      end
      
      class NlpSemanticParsingSaftMeasure
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :raw_text, as: 'rawText'
          property :value, as: 'value'
        end
      end
      
      class NlpSemanticParsingSaftMentionAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :coreference, as: 'coreference', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftCoreference, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftCoreference::Representation
      
          property :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftSpan, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftSpan::Representation
      
          property :measure, as: 'measure', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftMeasure, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftMeasure::Representation
      
          property :title, as: 'title', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftSpan, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingSaftSpan::Representation
      
        end
      end
      
      class NlpSemanticParsingSaftSpan
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :raw_text, as: 'rawText'
        end
      end
      
      class NlxDataSchemaByte
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
        end
      end
      
      class NlxDataSchemaCharacter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :paragraph, as: 'paragraph', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :sentence, as: 'sentence', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :text, as: 'text'
          property :token, as: 'token', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
        end
      end
      
      class NlxDataSchemaDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :characters, as: 'characters', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :id, as: 'id'
          collection :language_code, as: 'languageCode'
          property :language_spans, as: 'languageSpans', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :mentions, as: 'mentions', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :paragraphs, as: 'paragraphs', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :sentences, as: 'sentences', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :text, as: 'text'
          property :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :url, as: 'url'
        end
      end
      
      class NlxDataSchemaEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gender, as: 'gender'
          property :mid, as: 'mid'
          property :name, as: 'name'
          collection :type, as: 'type'
        end
      end
      
      class NlxDataSchemaLanguageSpan
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :characters, as: 'characters', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          collection :language_code, as: 'languageCode'
        end
      end
      
      class NlxDataSchemaMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :kind, as: 'kind'
          property :text, as: 'text'
          property :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :type, as: 'type'
        end
      end
      
      class NlxDataSchemaParagraph
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :characters, as: 'characters', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :sentences, as: 'sentences', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :text, as: 'text'
          property :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
        end
      end
      
      class NlxDataSchemaScaleSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :byte, as: 'byte', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaByte, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaByte::Representation
      
          property :byte_document_presence, as: 'byteDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :byte_presence, as: 'bytePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          collection :character, as: 'character', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaCharacter, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaCharacter::Representation
      
          property :character_document_presence, as: 'characterDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :character_paragraph_presence, as: 'characterParagraphPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :character_presence, as: 'characterPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :character_sentence_presence, as: 'characterSentencePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :character_text_presence, as: 'characterTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :character_token_presence, as: 'characterTokenPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :document, as: 'document', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaDocument, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaDocument::Representation
      
          property :document_author_presence, as: 'documentAuthorPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_bytes_presence, as: 'documentBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_characters_presence, as: 'documentCharactersPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_id_presence, as: 'documentIdPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_language_code_presence, as: 'documentLanguageCodePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_language_spans_presence, as: 'documentLanguageSpansPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_mentions_presence, as: 'documentMentionsPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_paragraphs_presence, as: 'documentParagraphsPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_presence, as: 'documentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :document_sentences_presence, as: 'documentSentencesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_text_presence, as: 'documentTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_tokens_presence, as: 'documentTokensPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :document_url_presence, as: 'documentUrlPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaEntity, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaEntity::Representation
      
          property :entity_gender_presence, as: 'entityGenderPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :entity_mid_presence, as: 'entityMidPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :entity_name_presence, as: 'entityNamePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :entity_presence, as: 'entityPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :entity_type_presence, as: 'entityTypePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :language_span, as: 'languageSpan', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaLanguageSpan, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaLanguageSpan::Representation
      
          property :language_span_bytes_presence, as: 'languageSpanBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :language_span_characters_presence, as: 'languageSpanCharactersPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :language_span_document_presence, as: 'languageSpanDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :language_span_language_code_presence, as: 'languageSpanLanguageCodePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :language_span_presence, as: 'languageSpanPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          collection :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaMention, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaMention::Representation
      
          property :mention_bytes_presence, as: 'mentionBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_document_presence, as: 'mentionDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_entity_presence, as: 'mentionEntityPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_kind_presence, as: 'mentionKindPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_presence, as: 'mentionPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :mention_text_presence, as: 'mentionTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_tokens_presence, as: 'mentionTokensPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :mention_type_presence, as: 'mentionTypePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :paragraph, as: 'paragraph', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaParagraph, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaParagraph::Representation
      
          property :paragraph_bytes_presence, as: 'paragraphBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :paragraph_characters_presence, as: 'paragraphCharactersPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :paragraph_document_presence, as: 'paragraphDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :paragraph_presence, as: 'paragraphPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :paragraph_sentences_presence, as: 'paragraphSentencesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :paragraph_text_presence, as: 'paragraphTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :paragraph_tokens_presence, as: 'paragraphTokensPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :sentence, as: 'sentence', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaSentence, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaSentence::Representation
      
          property :sentence_bytes_presence, as: 'sentenceBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :sentence_characters_presence, as: 'sentenceCharactersPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :sentence_document_presence, as: 'sentenceDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :sentence_paragraph_presence, as: 'sentenceParagraphPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :sentence_presence, as: 'sentencePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :sentence_text_presence, as: 'sentenceTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :sentence_tokens_presence, as: 'sentenceTokensPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          collection :token, as: 'token', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaToken, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaToken::Representation
      
          property :token_bytes_presence, as: 'tokenBytesPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_characters_presence, as: 'tokenCharactersPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_dependency_head_presence, as: 'tokenDependencyHeadPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_dependency_label_presence, as: 'tokenDependencyLabelPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_dependency_presence, as: 'tokenDependencyPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_document_presence, as: 'tokenDocumentPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_paragraph_presence, as: 'tokenParagraphPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_pos_presence, as: 'tokenPosPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_presence, as: 'tokenPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleLayerPresence::Representation
      
          property :token_sentence_presence, as: 'tokenSentencePresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
          property :token_text_presence, as: 'tokenTextPresence', class: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence, decorator: Google::Apis::ContentwarehouseV1::MultiscaleFieldPresence::Representation
      
        end
      end
      
      class NlxDataSchemaSentence
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :characters, as: 'characters', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :paragraph, as: 'paragraph', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :text, as: 'text'
          property :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
        end
      end
      
      class NlxDataSchemaToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bytes, as: 'bytes', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :characters, as: 'characters', class: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerSpan::Representation
      
          property :dependency, as: 'dependency', class: Google::Apis::ContentwarehouseV1::NlxDataSchemaTokenDependencyEdge, decorator: Google::Apis::ContentwarehouseV1::NlxDataSchemaTokenDependencyEdge::Representation
      
          property :dependency_head, as: 'dependencyHead', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :dependency_label, as: 'dependencyLabel'
          property :document, as: 'document', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :paragraph, as: 'paragraph', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :pos, as: 'pos'
          property :sentence, as: 'sentence', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
          property :text, as: 'text'
        end
      end
      
      class NlxDataSchemaTokenDependencyEdge
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprel, as: 'deprel'
          property :head, as: 'head', class: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex, decorator: Google::Apis::ContentwarehouseV1::MultiscalePointerIndex::Representation
      
        end
      end
      
      class OceanDataDocinfoWoodwingItemMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :author, as: 'author'
          property :category, as: 'category'
          property :description, as: 'description'
          property :title, as: 'title'
        end
      end
      
      class OceanDocInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_tag, as: 'docTag', class: Google::Apis::ContentwarehouseV1::OceanDocTag, decorator: Google::Apis::ContentwarehouseV1::OceanDocTag::Representation
      
        end
      end
      
      class OceanDocTag
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_application_date, as: 'DEPRECATEDApplicationDate'
          property :deprecated_issue_date, as: 'DEPRECATEDIssueDate'
          property :deprecated_patent_assignee, as: 'DEPRECATEDPatentAssignee'
          property :deprecated_patent_number, as: 'DEPRECATEDPatentNumber'
          property :deprecated_publisher_percent_visible, as: 'DEPRECATEDPublisherPercentVisible'
          property :authors, as: 'authors'
          property :available_downloads, as: 'availableDownloads'
          property :block_snippet, as: 'blockSnippet'
          property :bookspecific, as: 'bookspecific', class: Google::Apis::ContentwarehouseV1::OceanDocTagBookSpecific, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagBookSpecific::Representation
      
          property :catalogspecific, as: 'catalogspecific', class: Google::Apis::ContentwarehouseV1::OceanDocTagCatalogSpecific, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagCatalogSpecific::Representation
      
          property :content_type, as: 'contentType'
          collection :contributor, as: 'contributor', class: Google::Apis::ContentwarehouseV1::OceanDocTagContributor, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagContributor::Representation
      
          property :cover_page, as: 'coverPage'
          property :cover_page_size, as: 'coverPageSize', class: Google::Apis::ContentwarehouseV1::OceanImageSize, decorator: Google::Apis::ContentwarehouseV1::OceanImageSize::Representation
      
          property :editors, as: 'editors'
          property :encrypted_expression_id, as: 'encryptedExpressionId'
          property :encrypted_volume_id, as: 'encryptedVolumeId'
          collection :geo_restrict, as: 'geoRestrict'
          property :good_text_detail, as: 'goodTextDetail'
          collection :grantable_locale, as: 'grantableLocale'
          property :is_ge_quality, as: 'isGeQuality'
          property :is_landing_page, as: 'isLandingPage'
          property :magazinespecific, as: 'magazinespecific', class: Google::Apis::ContentwarehouseV1::OceanDocTagMagazineSpecific, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagMagazineSpecific::Representation
      
          property :metadata_cover_exists, as: 'metadataCoverExists'
          property :metadata_cover_size, as: 'metadataCoverSize', class: Google::Apis::ContentwarehouseV1::OceanImageSize, decorator: Google::Apis::ContentwarehouseV1::OceanImageSize::Representation
      
          property :newspaperspecific, as: 'newspaperspecific', class: Google::Apis::ContentwarehouseV1::OceanDocTagNewspaperSpecific, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagNewspaperSpecific::Representation
      
          property :num_pages, as: 'numPages'
          property :objectionable_content_bitmap, as: 'objectionableContentBitmap'
          property :page_number, as: 'pageNumber'
          property :pageid, as: 'pageid'
          property :pagerank, as: 'pagerank'
          property :patentspecific, as: 'patentspecific', class: Google::Apis::ContentwarehouseV1::OceanDocTagPatentSpecific, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagPatentSpecific::Representation
      
          property :price, as: 'price', class: Google::Apis::ContentwarehouseV1::OceanGePrice, decorator: Google::Apis::ContentwarehouseV1::OceanGePrice::Representation
      
          property :printed_page_number, as: 'printedPageNumber'
          property :ref_page_url, as: 'refPageUrl'
          property :search_in_book_url, as: 'searchInBookUrl'
          property :segment_time, as: 'segmentTime'
          property :source_type, as: 'sourceType'
          property :structured_page_number, as: 'structuredPageNumber'
          property :sub_title, as: 'subTitle'
          property :subject_bitmap, :base64 => true, as: 'subjectBitmap'
          property :thumbnail_url, as: 'thumbnailUrl'
          property :title, as: 'title'
          property :url_key, as: 'urlKey'
          property :using_actual_cover, as: 'usingActualCover'
          property :viewability, as: 'viewability', class: Google::Apis::ContentwarehouseV1::OceanVolumeViewability, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeViewability::Representation
      
          property :volume_type, as: 'volumeType'
          property :volume_version, as: 'volumeVersion'
          property :workcluster, as: 'workcluster', class: Google::Apis::ContentwarehouseV1::OceanDocTagWorkCluster, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagWorkCluster::Representation
      
        end
      end
      
      class OceanDocTagBookSpecific
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :aux_bibkeys, as: 'auxBibkeys'
          property :imprint, as: 'imprint'
          property :num_rating_half_stars, as: 'numRatingHalfStars'
          collection :numberingrange, as: 'numberingrange', class: Google::Apis::ContentwarehouseV1::OceanDocTagBookSpecificNumberingRange, decorator: Google::Apis::ContentwarehouseV1::OceanDocTagBookSpecificNumberingRange::Representation
      
          property :partner_id, :numeric_string => true, as: 'partnerId'
          property :product_edition_number, as: 'productEditionNumber'
          property :publication_date, as: 'publicationDate'
          property :publisher_name, as: 'publisherName'
          property :subject, as: 'subject'
        end
      end
      
      class OceanDocTagBookSpecificNumberingRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :end_numbering, as: 'endNumbering'
          collection :number_type, as: 'numberType'
          collection :numbering_schema, as: 'numberingSchema'
          collection :start_numbering, as: 'startNumbering'
        end
      end
      
      class OceanDocTagCatalogSpecific
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :latest, as: 'latest'
          property :publication_date, as: 'publicationDate'
          property :publication_time_to_display, as: 'publicationTimeToDisplay'
        end
      end
      
      class OceanDocTagContributor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :type, as: 'type'
        end
      end
      
      class OceanDocTagMagazineSpecific
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_date, as: 'displayDate'
          property :issue_description, as: 'issueDescription'
          property :issue_end, as: 'issueEnd'
          property :issue_start, as: 'issueStart'
          collection :item, as: 'item', class: Google::Apis::ContentwarehouseV1::OceanDataDocinfoWoodwingItemMetadata, decorator: Google::Apis::ContentwarehouseV1::OceanDataDocinfoWoodwingItemMetadata::Representation
      
          property :other_numbering_end, as: 'otherNumberingEnd'
          property :other_numbering_schema, as: 'otherNumberingSchema'
          property :other_numbering_start, as: 'otherNumberingStart'
          collection :page_to_item, as: 'pageToItem'
          property :publication_date_end, as: 'publicationDateEnd'
          property :publication_date_start, as: 'publicationDateStart'
          property :serial_title, as: 'serialTitle'
          property :serial_volumeid, :numeric_string => true, as: 'serialVolumeid'
          property :volume, as: 'volume'
        end
      end
      
      class OceanDocTagNewspaperSpecific
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :article_roll_coords, as: 'articleRollCoords'
          property :newspaper_date, as: 'newspaperDate'
          property :newspaper_name, as: 'newspaperName'
          property :newspaper_url, as: 'newspaperUrl'
          property :publication_date, as: 'publicationDate'
          property :publisher, as: 'publisher'
        end
      end
      
      class OceanDocTagPatentSpecific
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_date, as: 'applicationDate'
          property :content_language, as: 'contentLanguage'
          property :doc_type, as: 'docType'
          property :document_number, as: 'documentNumber'
          collection :domestic_classification, as: 'domesticClassification'
          collection :international_classification, as: 'internationalClassification'
          property :issue_date, as: 'issueDate'
          property :patent_assignee, as: 'patentAssignee'
          property :publication_number, as: 'publicationNumber'
          property :relative_thumbnail_path, as: 'relativeThumbnailPath'
          collection :ten_char_us_classification, as: 'tenCharUsClassification'
        end
      end
      
      class OceanDocTagWorkCluster
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_size, as: 'clusterSize'
          property :work_id, :numeric_string => true, as: 'workId'
        end
      end
      
      class OceanGeMoney
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amount_in_micros, :numeric_string => true, as: 'amountInMicros'
          property :currency_code, as: 'currencyCode'
        end
      end
      
      class OceanGePrice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::OceanGePriceLocale, decorator: Google::Apis::ContentwarehouseV1::OceanGePriceLocale::Representation
      
        end
      end
      
      class OceanGePriceLocale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :locale, as: 'locale'
          property :offer_price, as: 'offerPrice', class: Google::Apis::ContentwarehouseV1::OceanGeMoney, decorator: Google::Apis::ContentwarehouseV1::OceanGeMoney::Representation
      
          property :on_sale_time_secs, :numeric_string => true, as: 'onSaleTimeSecs'
        end
      end
      
      class OceanImageSize
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :width, as: 'width'
        end
      end
      
      class OceanLocaleViewability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_rights, as: 'accessRights', class: Google::Apis::ContentwarehouseV1::OceanVolumeAccessRights, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeAccessRights::Representation
      
          property :allow_adding_frontmatter_to_preview, as: 'allowAddingFrontmatterToPreview'
          property :allow_continuous_browse, as: 'allowContinuousBrowse'
          property :allow_retail_syndication, as: 'allowRetailSyndication'
          property :bibkey, as: 'bibkey'
          property :can_display_ads, as: 'canDisplayAds'
          property :can_download_epub, as: 'canDownloadEpub'
          property :can_download_pdf, as: 'canDownloadPdf'
          property :can_show_library_links, as: 'canShowLibraryLinks'
          property :can_show_photos, as: 'canShowPhotos'
          property :can_use_metadata_cover, as: 'canUseMetadataCover'
          property :client_id, as: 'clientId'
          property :computed_access_rights, as: 'computedAccessRights', class: Google::Apis::ContentwarehouseV1::OceanVolumeComputedAccessRights, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeComputedAccessRights::Representation
      
          property :dates, as: 'dates', class: Google::Apis::ContentwarehouseV1::OceanLocaleViewabilityDates, decorator: Google::Apis::ContentwarehouseV1::OceanLocaleViewabilityDates::Representation
      
          property :display_details, as: 'displayDetails', class: Google::Apis::ContentwarehouseV1::OceanVolumeDisplayDetails, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeDisplayDetails::Representation
      
          property :metadata_view_may_include_info_from_scans, as: 'metadataViewMayIncludeInfoFromScans'
          property :metadata_view_sample_allowed, as: 'metadataViewSampleAllowed'
          property :percent_book_shown, as: 'percentBookShown'
          property :public_domain, as: 'publicDomain'
          property :sourcedetails, as: 'sourcedetails', class: Google::Apis::ContentwarehouseV1::OceanLocaleViewabilitySourceDetails, decorator: Google::Apis::ContentwarehouseV1::OceanLocaleViewabilitySourceDetails::Representation
      
          property :view_reason, as: 'viewReason'
          property :view_type, as: 'viewType'
        end
      end
      
      class OceanLocaleViewabilityDates
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :effective_date, :numeric_string => true, as: 'effectiveDate'
        end
      end
      
      class OceanLocaleViewabilitySourceDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :imprint, as: 'imprint', class: Google::Apis::ContentwarehouseV1::OceanVolumeImprint, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeImprint::Representation
      
        end
      end
      
      class OceanPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :flags, :numeric_string => true, as: 'flags'
          property :num_pages, as: 'numPages'
          property :page_number, as: 'pageNumber'
          property :pageid, as: 'pageid'
          property :volumeid, :numeric_string => true, as: 'volumeid'
        end
      end
      
      class OceanVolumeAccessRights
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_auto_generated_text, as: 'allowAutoGeneratedText'
          property :can_show_info_cards, as: 'canShowInfoCards'
          property :can_show_photos, as: 'canShowPhotos'
          property :num_ade_device_allowed, as: 'numAdeDeviceAllowed'
          property :num_adobe_id_allowed, as: 'numAdobeIdAllowed'
          property :num_downloads_allowed, as: 'numDownloadsAllowed'
          property :num_simultaneous_access, as: 'numSimultaneousAccess'
          property :offline_download, as: 'offlineDownload'
          property :percent_copyable, as: 'percentCopyable'
          property :percent_printable, as: 'percentPrintable'
          property :restrict_only_to_text, as: 'restrictOnlyToText'
          property :sell_fixed_layout_as_image_only, as: 'sellFixedLayoutAsImageOnly'
          property :text_to_speech, as: 'textToSpeech'
          property :treat_as_public_domain, as: 'treatAsPublicDomain'
        end
      end
      
      class OceanVolumeComputedAccessRights
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :can_family_share, as: 'canFamilyShare'
          property :panelization_feature_internal_only, as: 'panelizationFeatureInternalOnly'
          property :viewable_internal_only, as: 'viewableInternalOnly'
        end
      end
      
      class OceanVolumeDisplayDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cc_license, as: 'ccLicense'
        end
      end
      
      class OceanVolumeImprint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_rights, as: 'accessRights', class: Google::Apis::ContentwarehouseV1::OceanVolumeAccessRights, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeAccessRights::Representation
      
          property :ads_id, as: 'adsId'
          property :allow_adding_frontmatter_to_preview, as: 'allowAddingFrontmatterToPreview'
          property :allow_continuous_browse, as: 'allowContinuousBrowse'
          property :allow_retail_syndication, as: 'allowRetailSyndication'
          property :author, as: 'author'
          property :bibkey, as: 'bibkey'
          property :buy_the_book_text, as: 'buyTheBookText'
          property :buy_the_book_url, as: 'buyTheBookUrl'
          property :can_download_epub, as: 'canDownloadEpub'
          property :can_download_pdf, as: 'canDownloadPdf'
          property :can_show_library_links, as: 'canShowLibraryLinks'
          property :can_use_metadata_cover, as: 'canUseMetadataCover'
          property :disable_other_buy_the_book_links, as: 'disableOtherBuyTheBookLinks'
          property :display_details, as: 'displayDetails', class: Google::Apis::ContentwarehouseV1::OceanVolumeDisplayDetails, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeDisplayDetails::Representation
      
          property :ge_bibkey, as: 'geBibkey'
          property :imprint_id, :numeric_string => true, as: 'imprintId'
          property :imprint_name, as: 'imprintName'
          property :imprint_url, as: 'imprintUrl'
          property :logo_height, as: 'logoHeight'
          property :logo_location, as: 'logoLocation'
          property :logo_width, as: 'logoWidth'
          property :percent_book_shown, as: 'percentBookShown'
          property :promotional_text, as: 'promotionalText'
          property :promotional_url, as: 'promotionalUrl'
          property :published_imprint_name, as: 'publishedImprintName'
          property :pvi_rowid, :numeric_string => true, as: 'pviRowid'
          property :title, as: 'title'
          property :use_bibdata, as: 'useBibdata'
          property :vertical_type, as: 'verticalType'
        end
      end
      
      class OceanVolumeViewability
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_default_view_type, as: 'DEPRECATEDDefaultViewType'
          property :default_viewability, as: 'defaultViewability', class: Google::Apis::ContentwarehouseV1::OceanLocaleViewability, decorator: Google::Apis::ContentwarehouseV1::OceanLocaleViewability::Representation
      
          property :in_viewability_limbo, as: 'inViewabilityLimbo'
          collection :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::OceanVolumeViewabilityLocale, decorator: Google::Apis::ContentwarehouseV1::OceanVolumeViewabilityLocale::Representation
      
          property :updated_by_indexer, as: 'updatedByIndexer'
        end
      end
      
      class OceanVolumeViewabilityLocale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_view_type, as: 'DEPRECATEDViewType'
          property :locale, as: 'locale'
          property :viewability, as: 'viewability', class: Google::Apis::ContentwarehouseV1::OceanLocaleViewability, decorator: Google::Apis::ContentwarehouseV1::OceanLocaleViewability::Representation
      
        end
      end
      
      class OcrPhotoBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :angle, as: 'angle'
          property :curved_box, as: 'curvedBox', class: Google::Apis::ContentwarehouseV1::OcrPhotoCurvedBoundingBox, decorator: Google::Apis::ContentwarehouseV1::OcrPhotoCurvedBoundingBox::Representation
      
          property :height, as: 'height'
          property :left, as: 'left'
          property :top, as: 'top'
          property :width, as: 'width'
        end
      end
      
      class OcrPhotoCurve
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :points, as: 'points', class: Google::Apis::ContentwarehouseV1::OcrPhotoCurvePoint, decorator: Google::Apis::ContentwarehouseV1::OcrPhotoCurvePoint::Representation
      
        end
      end
      
      class OcrPhotoCurvePoint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class OcrPhotoCurvedBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid_line_curve, as: 'midLineCurve', class: Google::Apis::ContentwarehouseV1::OcrPhotoCurve, decorator: Google::Apis::ContentwarehouseV1::OcrPhotoCurve::Representation
      
          property :thickness, as: 'thickness'
          property :top_to_bottom, as: 'topToBottom'
        end
      end
      
      class OcrPhotoTextBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :block_id, as: 'blockId'
          property :box, as: 'box', class: Google::Apis::ContentwarehouseV1::OcrPhotoBoundingBox, decorator: Google::Apis::ContentwarehouseV1::OcrPhotoBoundingBox::Representation
      
          property :content_type, as: 'contentType'
          collection :symbol_widths, as: 'symbolWidths'
          property :text, as: 'text'
        end
      end
      
      class OfficialPagesOfficialKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country, as: 'country'
          property :language, as: 'language'
          property :query, as: 'query'
        end
      end
      
      class OfficialPagesQuerySet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :queries, as: 'queries', class: Google::Apis::ContentwarehouseV1::OfficialPagesOfficialKey, decorator: Google::Apis::ContentwarehouseV1::OfficialPagesOfficialKey::Representation
      
          collection :query_country_language_fingerprints, as: 'queryCountryLanguageFingerprints'
        end
      end
      
      class OrionDocEntitiesProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :numeric_string => true, as: 'docid'
          collection :encoded_entity, as: 'encodedEntity'
        end
      end
      
      class PairwiseQScoringData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence_value, as: 'confidenceValue'
          property :value, as: 'value'
        end
      end
      
      class PairwiseQVersionedItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence_value, as: 'confidenceValue'
          property :value, as: 'value'
          property :version_id, as: 'versionId'
        end
      end
      
      class PeoplestackFlexorgsProtoInternalExternal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application, as: 'application'
          collection :state_status, as: 'stateStatus', class: Google::Apis::ContentwarehouseV1::PeoplestackFlexorgsProtoInternalExternalStateStatus, decorator: Google::Apis::ContentwarehouseV1::PeoplestackFlexorgsProtoInternalExternalStateStatus::Representation
      
        end
      end
      
      class PeoplestackFlexorgsProtoInternalExternalStateStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :context_type, as: 'contextType'
          property :state, as: 'state'
        end
      end
      
      class PerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blog_data, as: 'BlogData', class: Google::Apis::ContentwarehouseV1::BlogPerDocData, decorator: Google::Apis::ContentwarehouseV1::BlogPerDocData::Representation
      
          property :book_citation_data, as: 'BookCitationData', class: Google::Apis::ContentwarehouseV1::BookCitationPerDocData, decorator: Google::Apis::ContentwarehouseV1::BookCitationPerDocData::Representation
      
          collection :deprecated_author_obfuscated_gaia, as: 'DEPRECATEDAuthorObfuscatedGaia'
          property :deprecated_quarantine_whitelist, as: 'DEPRECATEDQuarantineWhitelist'
          property :doc_level_spam_score, as: 'DocLevelSpamScore'
          collection :event, as: 'Event', class: Google::Apis::ContentwarehouseV1::PerDocDebugEvent, decorator: Google::Apis::ContentwarehouseV1::PerDocDebugEvent::Representation
      
          property :gibberish_score, as: 'GibberishScore'
          property :groups_data, as: 'GroupsData', class: Google::Apis::ContentwarehouseV1::GroupsPerDocData, decorator: Google::Apis::ContentwarehouseV1::GroupsPerDocData::Representation
      
          property :is_anchor_bayes_spam, as: 'IsAnchorBayesSpam'
          property :keyword_stuffing_score, as: 'KeywordStuffingScore'
          property :mobile_data, as: 'MobileData', class: Google::Apis::ContentwarehouseV1::MobilePerDocData, decorator: Google::Apis::ContentwarehouseV1::MobilePerDocData::Representation
      
          property :original_content_score, as: 'OriginalContentScore'
          property :premium_data, as: 'PremiumData', class: Google::Apis::ContentwarehouseV1::PremiumPerDocData, decorator: Google::Apis::ContentwarehouseV1::PremiumPerDocData::Representation
      
          property :quarantine_info, as: 'QuarantineInfo'
          property :scaled_expt_indy_rank, as: 'ScaledExptIndyRank'
          property :scaled_expt_indy_rank2, as: 'ScaledExptIndyRank2'
          property :scaled_expt_indy_rank3, as: 'ScaledExptIndyRank3'
          property :scaled_expt_spam_score_eric, as: 'ScaledExptSpamScoreEric'
          property :scaled_expt_spam_score_yoram, as: 'ScaledExptSpamScoreYoram'
          property :scaled_indy_rank, as: 'ScaledIndyRank'
          property :scaled_link_age_spam_score, as: 'ScaledLinkAgeSpamScore'
          property :scaled_spam_score_eric, as: 'ScaledSpamScoreEric'
          property :scaled_spam_score_yoram, as: 'ScaledSpamScoreYoram'
          property :science_data, as: 'ScienceData', class: Google::Apis::ContentwarehouseV1::SciencePerDocData, decorator: Google::Apis::ContentwarehouseV1::SciencePerDocData::Representation
      
          property :spam_word_score, as: 'SpamWordScore'
          property :tag_page_score, as: 'TagPageScore'
          property :tool_bar_data, as: 'ToolBarData', class: Google::Apis::ContentwarehouseV1::ToolBarPerDocData, decorator: Google::Apis::ContentwarehouseV1::ToolBarPerDocData::Representation
      
          property :whirlpool_discount, as: 'WhirlpoolDiscount'
          property :apps_link, as: 'appsLink', class: Google::Apis::ContentwarehouseV1::QualityCalypsoAppsLink, decorator: Google::Apis::ContentwarehouseV1::QualityCalypsoAppsLink::Representation
      
          property :asteroid_belt_intents, as: 'asteroidBeltIntents', class: Google::Apis::ContentwarehouseV1::QualityOrbitAsteroidBeltDocumentIntentScores, decorator: Google::Apis::ContentwarehouseV1::QualityOrbitAsteroidBeltDocumentIntentScores::Representation
      
          collection :author_obfuscated_gaia_str, as: 'authorObfuscatedGaiaStr'
          property :biasingdata, as: 'biasingdata', class: Google::Apis::ContentwarehouseV1::BiasingPerDocData, decorator: Google::Apis::ContentwarehouseV1::BiasingPerDocData::Representation
      
          property :biasingdata2, as: 'biasingdata2', class: Google::Apis::ContentwarehouseV1::BiasingPerDocData2, decorator: Google::Apis::ContentwarehouseV1::BiasingPerDocData2::Representation
      
          property :body_words_to_tokens_ratio_begin, as: 'bodyWordsToTokensRatioBegin'
          property :body_words_to_tokens_ratio_total, as: 'bodyWordsToTokensRatioTotal'
          property :brainloc, as: 'brainloc', class: Google::Apis::ContentwarehouseV1::QualityGeoBrainlocBrainlocAttachment, decorator: Google::Apis::ContentwarehouseV1::QualityGeoBrainlocBrainlocAttachment::Representation
      
          property :commercial_score, as: 'commercialScore'
          property :compressed_quality_signals, as: 'compressedQualitySignals', class: Google::Apis::ContentwarehouseV1::CompressedQualitySignals, decorator: Google::Apis::ContentwarehouseV1::CompressedQualitySignals::Representation
      
          property :compressed_url, :base64 => true, as: 'compressedUrl'
          property :content_attributions, as: 'contentAttributions', class: Google::Apis::ContentwarehouseV1::ContentAttributions, decorator: Google::Apis::ContentwarehouseV1::ContentAttributions::Representation
      
          property :country_info, as: 'countryInfo', class: Google::Apis::ContentwarehouseV1::CountryCountryAttachment, decorator: Google::Apis::ContentwarehouseV1::CountryCountryAttachment::Representation
      
          property :crawl_pagerank, as: 'crawlPagerank'
          property :crawler_id_proto, as: 'crawlerIdProto', class: Google::Apis::ContentwarehouseV1::LogsProtoIndexingCrawlerIdCrawlerIdProto, decorator: Google::Apis::ContentwarehouseV1::LogsProtoIndexingCrawlerIdCrawlerIdProto::Representation
      
          property :crowdingdata, as: 'crowdingdata', class: Google::Apis::ContentwarehouseV1::CrowdingPerDocData, decorator: Google::Apis::ContentwarehouseV1::CrowdingPerDocData::Representation
      
          property :dates_info, :numeric_string => true, as: 'datesInfo'
          property :desktop_interstitials, as: 'desktopInterstitials', class: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoDesktopInterstitials, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileInterstitialsProtoDesktopInterstitials::Representation
      
          property :domain_age, as: 'domainAge'
          collection :events_date, as: 'eventsDate'
          property :extra_data, as: 'extraData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :firefly_site_signal, as: 'fireflySiteSignal', class: Google::Apis::ContentwarehouseV1::QualityCopiaFireflySiteSignal, decorator: Google::Apis::ContentwarehouseV1::QualityCopiaFireflySiteSignal::Representation
      
          property :freshbox_article_scores, as: 'freshboxArticleScores'
          property :freshness_encoded_signals, :numeric_string => true, as: 'freshnessEncodedSignals'
          property :fringe_query_prior, as: 'fringeQueryPrior', class: Google::Apis::ContentwarehouseV1::QualityFringeFringeQueryPriorPerDocData, decorator: Google::Apis::ContentwarehouseV1::QualityFringeFringeQueryPriorPerDocData::Representation
      
          property :geodata, as: 'geodata'
          property :home_page_info, as: 'homePageInfo'
          property :homepage_pagerank_ns, as: 'homepagePagerankNs'
          property :host_age, as: 'hostAge'
          property :host_nsr, as: 'hostNsr'
          property :imagedata, as: 'imagedata', class: Google::Apis::ContentwarehouseV1::ImagePerDocData, decorator: Google::Apis::ContentwarehouseV1::ImagePerDocData::Representation
      
          property :in_newsstand, as: 'inNewsstand'
          property :is_hotdoc, as: 'isHotdoc'
          property :kaltixdata, as: 'kaltixdata', class: Google::Apis::ContentwarehouseV1::KaltixPerDocData, decorator: Google::Apis::ContentwarehouseV1::KaltixPerDocData::Representation
      
          property :knex_annotation, as: 'knexAnnotation', class: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotation, decorator: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotation::Representation
      
          collection :languages, as: 'languages'
          property :last_significant_update, :numeric_string => true, as: 'lastSignificantUpdate'
          property :last_significant_update_info, :numeric_string => true, as: 'lastSignificantUpdateInfo'
          property :launch_app_info, as: 'launchAppInfo', class: Google::Apis::ContentwarehouseV1::QualityRichsnippetsAppsProtosLaunchAppInfoPerDocData, decorator: Google::Apis::ContentwarehouseV1::QualityRichsnippetsAppsProtosLaunchAppInfoPerDocData::Representation
      
          property :live_results_data, as: 'liveResultsData', class: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultsDocAttachments, decorator: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultsDocAttachments::Representation
      
          property :localized_cluster, as: 'localizedCluster', class: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedCluster, decorator: Google::Apis::ContentwarehouseV1::IndexingDupsLocalizedLocalizedCluster::Representation
      
          property :noimageframeoverlayreason, as: 'noimageframeoverlayreason'
          property :nsr_data_proto, as: 'nsrDataProto', class: Google::Apis::ContentwarehouseV1::QualityNsrNsrData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrNsrData::Representation
      
          property :nsr_is_covid_local_authority, as: 'nsrIsCovidLocalAuthority'
          property :nsr_is_election_authority, as: 'nsrIsElectionAuthority'
          property :nsr_is_video_focused_site, as: 'nsrIsVideoFocusedSite'
          property :nsr_sitechunk, as: 'nsrSitechunk'
          property :num_urls, as: 'numUrls'
          property :oceandata, as: 'oceandata', class: Google::Apis::ContentwarehouseV1::OceanPerDocData, decorator: Google::Apis::ContentwarehouseV1::OceanPerDocData::Representation
      
          property :onsite_prominence, as: 'onsiteProminence'
          property :origin, as: 'origin'
          property :original_title_hard_token_count, as: 'originalTitleHardTokenCount'
          collection :page_tags, as: 'pageTags'
          property :pagerank, as: 'pagerank'
          property :pagerank0, as: 'pagerank0'
          property :pagerank1, as: 'pagerank1'
          property :pagerank2, as: 'pagerank2'
          property :pageregions, as: 'pageregions'
          property :phildata, as: 'phildata', class: Google::Apis::ContentwarehouseV1::PhilPerDocData, decorator: Google::Apis::ContentwarehouseV1::PhilPerDocData::Representation
      
          property :product_sites_info, as: 'productSitesInfo', class: Google::Apis::ContentwarehouseV1::QualityProductProductSiteData, decorator: Google::Apis::ContentwarehouseV1::QualityProductProductSiteData::Representation
      
          property :queries_for_which_official, as: 'queriesForWhichOfficial', class: Google::Apis::ContentwarehouseV1::OfficialPagesQuerySet, decorator: Google::Apis::ContentwarehouseV1::OfficialPagesQuerySet::Representation
      
          collection :rosetta_languages, as: 'rosettaLanguages'
          property :rs_application, as: 'rsApplication', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaRdfaRichSnippetsApplication, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaRdfaRichSnippetsApplication::Representation
      
          collection :saft_language_int, as: 'saftLanguageInt'
          property :scaled_selection_tier_rank, as: 'scaledSelectionTierRank'
          property :science_doctype, as: 'scienceDoctype'
          collection :science_holdings_ids, as: 'scienceHoldingsIds'
          property :semantic_date, as: 'semanticDate'
          property :semantic_date_confidence, as: 'semanticDateConfidence'
          property :semantic_date_info, as: 'semanticDateInfo'
          property :serving_time_cluster_ids, as: 'servingTimeClusterIds', class: Google::Apis::ContentwarehouseV1::IndexingDocjoinerServingTimeClusterIds, decorator: Google::Apis::ContentwarehouseV1::IndexingDocjoinerServingTimeClusterIds::Representation
      
          property :shingle_info, as: 'shingleInfo', class: Google::Apis::ContentwarehouseV1::ShingleInfoPerDocData, decorator: Google::Apis::ContentwarehouseV1::ShingleInfoPerDocData::Representation
      
          property :smartphone_data, as: 'smartphoneData', class: Google::Apis::ContentwarehouseV1::SmartphonePerDocData, decorator: Google::Apis::ContentwarehouseV1::SmartphonePerDocData::Representation
      
          property :smearing_max_total_offdomain_anchors, as: 'smearingMaxTotalOffdomainAnchors'
          property :socialgraph_node_name_fp, :numeric_string => true, as: 'socialgraphNodeNameFp'
          property :spam_cookbook_action, as: 'spamCookbookAction', class: Google::Apis::ContentwarehouseV1::SpamCookbookAction, decorator: Google::Apis::ContentwarehouseV1::SpamCookbookAction::Representation
      
          property :spam_muppet_signals, as: 'spamMuppetSignals', class: Google::Apis::ContentwarehouseV1::SpamMuppetjoinsMuppetSignals, decorator: Google::Apis::ContentwarehouseV1::SpamMuppetjoinsMuppetSignals::Representation
      
          property :spamrank, as: 'spamrank'
          property :spamtokens_content_score, as: 'spamtokensContentScore'
          property :time_sensitivity, as: 'timeSensitivity'
          property :title_hard_token_count_without_stopwords, as: 'titleHardTokenCountWithoutStopwords'
          property :toolbar_pagerank, as: 'toolbarPagerank'
          property :top_petacat_tax_id, as: 'topPetacatTaxId'
          property :top_petacat_weight, as: 'topPetacatWeight'
          property :travel_good_sites_info, as: 'travelGoodSitesInfo', class: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesData, decorator: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesData::Representation
      
          property :trendspam_score, as: 'trendspamScore'
          property :tundra_cluster_id, as: 'tundraClusterId'
          property :uac_spam_score, as: 'uacSpamScore'
          property :url_after_redirects_fp, :numeric_string => true, as: 'urlAfterRedirectsFp'
          property :url_poisoning_data, as: 'urlPoisoningData', class: Google::Apis::ContentwarehouseV1::UrlPoisoningData, decorator: Google::Apis::ContentwarehouseV1::UrlPoisoningData::Representation
      
          property :v2_knex_annotation, as: 'v2KnexAnnotation', class: Google::Apis::ContentwarehouseV1::QualitySherlockKnexAnnotation, decorator: Google::Apis::ContentwarehouseV1::QualitySherlockKnexAnnotation::Representation
      
          property :video_corpus_docid, :numeric_string => true, as: 'videoCorpusDocid'
          property :video_language, as: 'videoLanguage', class: Google::Apis::ContentwarehouseV1::QualityVidyaVideoLanguageVideoLanguage, decorator: Google::Apis::ContentwarehouseV1::QualityVidyaVideoLanguageVideoLanguage::Representation
      
          property :videodata, as: 'videodata', class: Google::Apis::ContentwarehouseV1::VideoPerDocData, decorator: Google::Apis::ContentwarehouseV1::VideoPerDocData::Representation
      
          property :volt_data, as: 'voltData', class: Google::Apis::ContentwarehouseV1::IndexingMobileVoltVoltPerDocData, decorator: Google::Apis::ContentwarehouseV1::IndexingMobileVoltVoltPerDocData::Representation
      
          property :watchpage_language_result, as: 'watchpageLanguageResult', class: Google::Apis::ContentwarehouseV1::WatchpageLanguageWatchPageLanguageResult, decorator: Google::Apis::ContentwarehouseV1::WatchpageLanguageWatchPageLanguageResult::Representation
      
          property :webmirror_ecn_fp, :numeric_string => true, as: 'webmirrorEcnFp'
          property :webref_entities, as: 'webrefEntities', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefMustangAttachment, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefMustangAttachment::Representation
      
          property :ymyl_health_score, as: 'ymylHealthScore'
          property :ymyl_news_score, as: 'ymylNewsScore'
        end
      end
      
      class PerDocDebugEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :message, as: 'Message'
          property :source, as: 'Source'
          property :timestamp, as: 'Timestamp'
          property :value, :numeric_string => true, as: 'Value'
        end
      end
      
      class PersonalizationMapsAliasAliasId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :sub_id, :numeric_string => true, as: 'subId'
          property :type, as: 'type'
        end
      end
      
      class PersonalizationMapsAliasIcon
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alias_id, as: 'aliasId', class: Google::Apis::ContentwarehouseV1::PersonalizationMapsAliasAliasId, decorator: Google::Apis::ContentwarehouseV1::PersonalizationMapsAliasAliasId::Representation
      
          property :dropped_pin_s2cell_id, :numeric_string => true, as: 'droppedPinS2cellId'
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :feature_name, as: 'featureName'
          property :feature_type, as: 'featureType'
          property :formatted_address, as: 'formattedAddress'
          property :nickname, as: 'nickname'
          property :point, as: 'point', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :sticker_id, as: 'stickerId'
          property :synthetic_feature, as: 'syntheticFeature'
          property :timestamp, :numeric_string => true, as: 'timestamp'
        end
      end
      
      class PersonalizationSettingsApiProtoLocalDiscoveryLocalDiscoverySettingsMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :opa_recipes_context, as: 'opaRecipesContext', class: Google::Apis::ContentwarehouseV1::PersonalizationSettingsApiProtoLocalDiscoveryOpaRecipesContext, decorator: Google::Apis::ContentwarehouseV1::PersonalizationSettingsApiProtoLocalDiscoveryOpaRecipesContext::Representation
      
          property :ui_entry_point, as: 'uiEntryPoint'
        end
      end
      
      class PersonalizationSettingsApiProtoLocalDiscoveryOpaRecipesContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_id, as: 'docId'
          property :url, as: 'url'
        end
      end
      
      class PhilPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :phil_string, as: 'PhilString'
          property :phil_version, as: 'PhilVersion'
        end
      end
      
      class PhotosAnimationMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :duration_ms, :numeric_string => true, as: 'durationMs'
          property :num_frames, :numeric_string => true, as: 'numFrames'
        end
      end
      
      class PhotosDynamicDepthMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class PhotosFourCMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :caption, as: 'caption'
          property :copyright, as: 'copyright'
          collection :creator, as: 'creator'
          property :credit, as: 'credit'
        end
      end
      
      class PhotosGDepthMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :far, as: 'far'
          property :format, as: 'format'
          property :image_height, as: 'imageHeight'
          property :image_width, as: 'imageWidth'
          property :mime, as: 'mime'
          property :near, as: 'near'
          property :units, as: 'units'
        end
      end
      
      class PhotosImageMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_blendingtype, as: 'DEPRECATEDBlendingtype'
          property :deprecated_gpstimestamp, as: 'DEPRECATEDGpstimestamp'
          property :deprecated_iscolor, as: 'DEPRECATEDIscolor'
          property :deprecated_largestvalidinteriorrectheight, as: 'DEPRECATEDLargestvalidinteriorrectheight'
          property :deprecated_largestvalidinteriorrectleft, as: 'DEPRECATEDLargestvalidinteriorrectleft'
          property :deprecated_largestvalidinteriorrecttop, as: 'DEPRECATEDLargestvalidinteriorrecttop'
          property :deprecated_largestvalidinteriorrectwidth, as: 'DEPRECATEDLargestvalidinteriorrectwidth'
          property :deprecated_process, as: 'DEPRECATEDProcess'
          property :actionadvised, as: 'actionadvised'
          property :addlmodelinfo, as: 'addlmodelinfo'
          collection :advisory, as: 'advisory'
          property :altitude, as: 'altitude'
          property :animation_metadata, as: 'animationMetadata', class: Google::Apis::ContentwarehouseV1::PhotosAnimationMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosAnimationMetadata::Representation
      
          property :aperturefnumber, as: 'aperturefnumber'
          property :aperturevalue, as: 'aperturevalue'
          collection :artworkorobject, as: 'artworkorobject'
          property :audioduration, as: 'audioduration'
          property :audiooutcue, as: 'audiooutcue'
          property :audiosamplingrate, as: 'audiosamplingrate'
          property :audiosamplingresolution, as: 'audiosamplingresolution'
          property :audiotype, as: 'audiotype'
          property :author, as: 'author'
          property :authorposition, as: 'authorposition'
          property :autoenhance, as: 'autoenhance'
          property :baseurl, as: 'baseurl'
          property :bit_depth, as: 'bitDepth'
          property :bitspersample, as: 'bitspersample'
          property :brightnessvalue, as: 'brightnessvalue'
          property :burstuuid, as: 'burstuuid'
          property :cameraid, as: 'cameraid'
          property :cameramake, as: 'cameramake'
          property :cameramodel, as: 'cameramodel'
          property :caption, as: 'caption'
          property :captionwriter, as: 'captionwriter'
          property :capturesoftware, as: 'capturesoftware'
          property :category, as: 'category'
          property :ccdwidth, as: 'ccdwidth'
          property :celllength, as: 'celllength'
          property :cellwidth, as: 'cellwidth'
          property :certificate, as: 'certificate'
          property :chromasubsampling, as: 'chromasubsampling'
          property :ciadrcity, as: 'ciadrcity'
          property :ciadrctry, as: 'ciadrctry'
          collection :ciadrextadr, as: 'ciadrextadr'
          property :ciadrpcode, as: 'ciadrpcode'
          property :ciadrregion, as: 'ciadrregion'
          property :ciemailwork, as: 'ciemailwork'
          property :citelwork, as: 'citelwork'
          property :city, as: 'city'
          property :ciurlwork, as: 'ciurlwork'
          property :colormap, as: 'colormap'
          property :colorprofile, as: 'colorprofile'
          property :colorspace, as: 'colorspace'
          property :compressedbitsperpixel, as: 'compressedbitsperpixel'
          property :compressionlevel, as: 'compressionlevel'
          property :contact, as: 'contact'
          collection :contentlocationcode, as: 'contentlocationcode'
          collection :contentlocationname, as: 'contentlocationname'
          property :contrast, as: 'contrast'
          collection :contributor, as: 'contributor'
          property :copyrightnotice, as: 'copyrightnotice'
          property :country, as: 'country'
          property :countrycode, as: 'countrycode'
          property :coverage, as: 'coverage'
          property :createdate, as: 'createdate'
          property :credits, as: 'credits'
          property :croppedareaimageheightpixels, as: 'croppedareaimageheightpixels'
          property :croppedareaimagewidthpixels, as: 'croppedareaimagewidthpixels'
          property :croppedarealeftpixels, as: 'croppedarealeftpixels'
          property :croppedareatoppixels, as: 'croppedareatoppixels'
          property :customrendered, as: 'customrendered'
          collection :cvterm, as: 'cvterm'
          property :date, as: 'date'
          property :datecreated, as: 'datecreated'
          property :datesent, as: 'datesent'
          property :datetime, as: 'datetime'
          property :datetimedigitized, as: 'datetimedigitized'
          collection :daylightsavings, as: 'daylightsavings'
          collection :destination, as: 'destination'
          property :destination_latitude, as: 'destinationLatitude'
          property :destination_longitude, as: 'destinationLongitude'
          property :digimageguid, as: 'digimageguid'
          property :digitalsourcefiletype, as: 'digitalsourcefiletype'
          property :digitalsourcetype, as: 'digitalsourcetype'
          property :digitalzoomratio, as: 'digitalzoomratio'
          property :distance, as: 'distance'
          property :dynamic_depth_metadata, as: 'dynamicDepthMetadata', class: Google::Apis::ContentwarehouseV1::PhotosDynamicDepthMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosDynamicDepthMetadata::Representation
      
          property :editorialupdate, as: 'editorialupdate'
          property :editstatus, as: 'editstatus'
          property :envelopenumber, as: 'envelopenumber'
          property :envelopepriority, as: 'envelopepriority'
          property :event, as: 'event'
          property :exif4c, as: 'exif4c', class: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata::Representation
      
          property :exif_time, :numeric_string => true, as: 'exifTime'
          property :exif_time_utc, :numeric_string => true, as: 'exifTimeUtc'
          property :exif_time_utc_source, as: 'exifTimeUtcSource'
          property :expirationdate, as: 'expirationdate'
          property :expirationtime, as: 'expirationtime'
          property :exposurebias, as: 'exposurebias'
          property :exposureindex, as: 'exposureindex'
          property :exposurelockused, as: 'exposurelockused'
          property :exposuremode, as: 'exposuremode'
          property :exposureprogram, as: 'exposureprogram'
          property :exposuretime, as: 'exposuretime'
          property :extrasamples, as: 'extrasamples'
          property :fillorder, as: 'fillorder'
          property :firmware, as: 'firmware'
          property :firstphotodate, as: 'firstphotodate'
          property :fixtureidentifier, as: 'fixtureidentifier'
          property :flashcompensation, as: 'flashcompensation'
          property :flashenergy, as: 'flashenergy'
          property :flashreturn, as: 'flashreturn'
          property :flashused, as: 'flashused'
          property :focallength, as: 'focallength'
          property :focallengthin35mmfilm, as: 'focallengthin35mmfilm'
          property :focalplaneunits, as: 'focalplaneunits'
          property :focalplanexres, as: 'focalplanexres'
          property :format, as: 'format'
          property :freebytecounts, :numeric_string => true, as: 'freebytecounts'
          property :freeoffsets, as: 'freeoffsets'
          property :fullpanoheightpixels, as: 'fullpanoheightpixels'
          property :fullpanowidthpixels, as: 'fullpanowidthpixels'
          property :function, as: 'function'
          property :gaincontrol, as: 'gaincontrol'
          property :gaudiomime, as: 'gaudiomime'
          property :gcameraburstid, as: 'gcameraburstid'
          property :gcameraburstprimary, as: 'gcameraburstprimary'
          collection :gcameradisableautocreation, as: 'gcameradisableautocreation'
          property :gcameramicrovideo, as: 'gcameramicrovideo'
          property :gcameramicrovideooffset, as: 'gcameramicrovideooffset'
          property :gcameramicrovideopresentationtimestampus, as: 'gcameramicrovideopresentationtimestampus'
          property :gcameramicrovideoversion, as: 'gcameramicrovideoversion'
          property :gcameramotionphoto, as: 'gcameramotionphoto'
          property :gcameramotionphotopresentationtimestampus, as: 'gcameramotionphotopresentationtimestampus'
          property :gcameramotionphotoversion, as: 'gcameramotionphotoversion'
          property :gcameraspecialtypeid, as: 'gcameraspecialtypeid'
          property :gcreationscameraburstid, as: 'gcreationscameraburstid'
          property :gcreationstype, as: 'gcreationstype'
          property :gdepth_metadata, as: 'gdepthMetadata', class: Google::Apis::ContentwarehouseV1::PhotosGDepthMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosGDepthMetadata::Representation
      
          property :gimagemime, as: 'gimagemime'
          property :gpsdatestamp, as: 'gpsdatestamp'
          property :gpsdestbearing, as: 'gpsdestbearing'
          property :gpsdestbearingref, as: 'gpsdestbearingref'
          property :gpsdestdistance, as: 'gpsdestdistance'
          property :gpsdestdistanceref, as: 'gpsdestdistanceref'
          property :gpsdestlatitude, as: 'gpsdestlatitude'
          property :gpsdestlatituderef, as: 'gpsdestlatituderef'
          property :gpsdestlongitude, as: 'gpsdestlongitude'
          property :gpsdestlongituderef, as: 'gpsdestlongituderef'
          property :gpsdifferential, as: 'gpsdifferential'
          property :gpsdop, as: 'gpsdop'
          property :gpsimgdirection, as: 'gpsimgdirection'
          property :gpsimgdirectionref, as: 'gpsimgdirectionref'
          property :gpsmapdatum, as: 'gpsmapdatum'
          property :gpsmeasuremode, as: 'gpsmeasuremode'
          property :gpssatellites, as: 'gpssatellites'
          property :gpsspeed, as: 'gpsspeed'
          property :gpsspeedref, as: 'gpsspeedref'
          property :gpsstatus, as: 'gpsstatus'
          collection :gpstime, as: 'gpstime'
          property :gpstrack, as: 'gpstrack'
          property :gpstrackref, as: 'gpstrackref'
          property :grayresponsecurve, as: 'grayresponsecurve'
          property :grayresponseunit, as: 'grayresponseunit'
          property :has_alpha, as: 'hasAlpha'
          property :headline, as: 'headline'
          property :height, as: 'height'
          property :hostcomputer, as: 'hostcomputer'
          collection :identifier, as: 'identifier'
          property :imagenumber, as: 'imagenumber'
          property :imageorientation, as: 'imageorientation'
          property :imagetype, as: 'imagetype'
          property :initialhorizontalfovdegrees, as: 'initialhorizontalfovdegrees'
          property :initialverticalfovdegrees, as: 'initialverticalfovdegrees'
          property :initialviewheadingdegrees, as: 'initialviewheadingdegrees'
          property :initialviewpitchdegrees, as: 'initialviewpitchdegrees'
          property :initialviewrolldegrees, as: 'initialviewrolldegrees'
          property :instructions, as: 'instructions'
          property :intellectualgenre, as: 'intellectualgenre'
          property :interoperabilityindex, as: 'interoperabilityindex'
          property :iptc4c, as: 'iptc4c', class: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata::Representation
      
          property :iptclastedited, as: 'iptclastedited'
          property :ismpformat, as: 'ismpformat'
          property :isoequivalent, as: 'isoequivalent'
          collection :keyword, as: 'keyword'
          property :label, as: 'label'
          collection :language, as: 'language'
          property :languageidentifier, as: 'languageidentifier'
          property :lastphotodate, as: 'lastphotodate'
          property :latitude, as: 'latitude'
          property :lens, as: 'lens'
          property :lensid, as: 'lensid'
          property :lensinfo, as: 'lensinfo'
          property :lightsource, as: 'lightsource'
          property :location, as: 'location'
          collection :locationshown, as: 'locationshown'
          property :longitude, as: 'longitude'
          property :marked, as: 'marked'
          property :maxaperturevalue, as: 'maxaperturevalue'
          property :maxavailheight, as: 'maxavailheight'
          property :maxavailwidth, as: 'maxavailwidth'
          property :maxsamplevalue, as: 'maxsamplevalue'
          property :metadatadate, as: 'metadatadate'
          property :meteringmode, as: 'meteringmode'
          property :microvideooriginaloffset, as: 'microvideooriginaloffset'
          property :mime_type, as: 'mimeType'
          property :minormodelagedisclosure, as: 'minormodelagedisclosure'
          property :minsamplevalue, as: 'minsamplevalue'
          property :mode, as: 'mode'
          collection :modelage, as: 'modelage'
          collection :modelreleaseid, as: 'modelreleaseid'
          property :modelreleasestatus, as: 'modelreleasestatus'
          property :modifydate, as: 'modifydate'
          property :motionphotovideodataboxheader, :base64 => true, as: 'motionphotovideodataboxheader'
          property :nickname, as: 'nickname'
          collection :objectattributereference, as: 'objectattributereference'
          property :objectcycle, as: 'objectcycle'
          property :objecttypereference, as: 'objecttypereference'
          property :offsettime, as: 'offsettime'
          property :offsettimedigitized, as: 'offsettimedigitized'
          property :offsettimeoriginal, as: 'offsettimeoriginal'
          collection :organisationinimagecode, as: 'organisationinimagecode'
          collection :organisationinimagename, as: 'organisationinimagename'
          property :orientation, as: 'orientation'
          property :originatingprogram, as: 'originatingprogram'
          collection :owner, as: 'owner'
          property :ownername, as: 'ownername'
          property :panorama_metadata, as: 'panoramaMetadata', class: Google::Apis::ContentwarehouseV1::PhotosPanoramaMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosPanoramaMetadata::Representation
      
          collection :personinimage, as: 'personinimage'
          property :photometricinterpretation, as: 'photometricinterpretation'
          property :planarconfiguration, as: 'planarconfiguration'
          property :poseheadingdegrees, as: 'poseheadingdegrees'
          property :posepitchdegrees, as: 'posepitchdegrees'
          property :poserolldegrees, as: 'poserolldegrees'
          property :primarychromaticities, as: 'primarychromaticities'
          collection :productid, as: 'productid'
          property :programversion, as: 'programversion'
          property :projectiontype, as: 'projectiontype'
          collection :propertyreleaseid, as: 'propertyreleaseid'
          property :propertyreleasestatus, as: 'propertyreleasestatus'
          collection :publisher, as: 'publisher'
          property :rating, as: 'rating'
          property :redeyemode, as: 'redeyemode'
          property :referenceblackwhite, as: 'referenceblackwhite'
          collection :referencedate, as: 'referencedate'
          collection :referencenumber, as: 'referencenumber'
          collection :referenceservice, as: 'referenceservice'
          property :relatedimagefileformat, as: 'relatedimagefileformat'
          property :relatedimageheight, :numeric_string => true, as: 'relatedimageheight'
          property :relatedimagewidth, :numeric_string => true, as: 'relatedimagewidth'
          property :relatedsoundfile, as: 'relatedsoundfile'
          collection :relation, as: 'relation'
          property :releasedate, as: 'releasedate'
          property :releasetime, as: 'releasetime'
          property :resolutionunit, as: 'resolutionunit'
          property :rotate, as: 'rotate'
          property :rowsperstrip, :numeric_string => true, as: 'rowsperstrip'
          property :samplesperpixel, as: 'samplesperpixel'
          property :saturation, as: 'saturation'
          collection :scene, as: 'scene'
          property :scenecapturetype, as: 'scenecapturetype'
          property :sensingmethod, as: 'sensingmethod'
          property :sensorheight, as: 'sensorheight'
          property :sensorwidth, as: 'sensorwidth'
          property :serialnumber, as: 'serialnumber'
          property :serviceidentifier, as: 'serviceidentifier'
          property :sharpness, as: 'sharpness'
          property :shutterspeedvalue, as: 'shutterspeedvalue'
          property :software, as: 'software'
          property :source, as: 'source'
          property :sourcephotoscount, as: 'sourcephotoscount'
          property :spectralsensitivity, as: 'spectralsensitivity'
          property :state, as: 'state'
          property :stitchingsoftware, as: 'stitchingsoftware'
          property :stripbytecounts, :numeric_string => true, as: 'stripbytecounts'
          property :stripoffsets, :numeric_string => true, as: 'stripoffsets'
          property :subjectarea, as: 'subjectarea'
          collection :subjectcode, as: 'subjectcode'
          property :subjectdistancerange, as: 'subjectdistancerange'
          property :subjectlocation, as: 'subjectlocation'
          collection :subjectreference, as: 'subjectreference'
          property :sublocation, as: 'sublocation'
          property :subsectime, as: 'subsectime'
          property :subsectimedigitized, as: 'subsectimedigitized'
          property :subsectimeoriginal, as: 'subsectimeoriginal'
          collection :supplementalcategory, as: 'supplementalcategory'
          property :thresholding, as: 'thresholding'
          property :thumbnailer_build_cl, as: 'thumbnailerBuildCl'
          property :timesent, as: 'timesent'
          collection :timezoneminutes, as: 'timezoneminutes'
          collection :timezoneoffset, as: 'timezoneoffset'
          property :title, as: 'title'
          property :transmissionreference, as: 'transmissionreference'
          collection :type, as: 'type'
          property :uniqueid, as: 'uniqueid'
          property :uno, as: 'uno'
          property :urgency, as: 'urgency'
          property :url, as: 'url'
          property :usageterms, as: 'usageterms'
          property :usepanoramaviewer, as: 'usepanoramaviewer'
          property :version, as: 'version'
          property :webstatement, as: 'webstatement'
          property :whitebalance, as: 'whitebalance'
          property :whitepoint, as: 'whitepoint'
          property :width, as: 'width'
          property :xmp4c, as: 'xmp4c', class: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata, decorator: Google::Apis::ContentwarehouseV1::PhotosFourCMetadata::Representation
      
          property :xresolution, as: 'xresolution'
          property :ycbcrcoefficients, as: 'ycbcrcoefficients'
          property :ycbcrpositioning, as: 'ycbcrpositioning'
          property :ycbcrsubsampling, as: 'ycbcrsubsampling'
          property :yresolution, as: 'yresolution'
        end
      end
      
      class PhotosPanoramaMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :spherical_panorama, as: 'sphericalPanorama'
          property :vr180_panorama, as: 'vr180Panorama'
        end
      end
      
      class PhotosVisionGroundtruthdbNormalizedBoundingBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :xmax, as: 'xmax'
          property :xmin, as: 'xmin'
          property :ymax, as: 'ymax'
          property :ymin, as: 'ymin'
        end
      end
      
      class PhotosVisionObjectrecFeatureVector
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :float_data, as: 'floatData'
        end
      end
      
      class PhotosVisionObjectrecGeoLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :altitude_meters, as: 'altitudeMeters'
          property :country_code, as: 'countryCode'
          property :from_gps, as: 'fromGps'
          property :lat, as: 'lat'
          property :lat_error_bound, as: 'latErrorBound'
          property :lon, as: 'lon'
          property :lon_error_bound, as: 'lonErrorBound'
        end
      end
      
      class PhotosVisionObjectrecGlobalFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :additional_info, :base64 => true, as: 'additionalInfo'
          property :feature_vector, as: 'featureVector', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecFeatureVector, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecFeatureVector::Representation
      
          property :quantized_feature_vector, as: 'quantizedFeatureVector', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecQuantizedFeatureVector, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecQuantizedFeatureVector::Representation
      
          property :tag, as: 'tag'
          property :version, as: 'version'
        end
      end
      
      class PhotosVisionObjectrecImageTemplate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :author_name, as: 'authorName'
          property :corpus, as: 'corpus'
          property :geo_location, as: 'geoLocation', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecGeoLocation, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecGeoLocation::Representation
      
          collection :global_feature, as: 'globalFeature', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecGlobalFeature, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecGlobalFeature::Representation
      
          property :image_height, as: 'imageHeight'
          property :image_id, :numeric_string => true, as: 'imageId'
          property :image_url, as: 'imageUrl'
          property :image_width, as: 'imageWidth'
          property :info, :base64 => true, as: 'info'
          collection :object_info, as: 'objectInfo'
          property :object_name, as: 'objectName'
          property :opaque_data, :base64 => true, as: 'opaqueData'
          property :roi, as: 'roi', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecRoi, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecRoi::Representation
      
          collection :subset, as: 'subset', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecImageTemplateSubSet, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecImageTemplateSubSet::Representation
      
          property :version, as: 'version'
        end
      end
      
      class PhotosVisionObjectrecImageTemplateSubSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :descriptor, as: 'descriptor', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecLocalDescriptor, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecLocalDescriptor::Representation
      
          property :descriptor_type, as: 'descriptorType'
          property :is_binary_descriptor, as: 'isBinaryDescriptor'
          property :num_descriptors, as: 'numDescriptors'
        end
      end
      
      class PhotosVisionObjectrecLocalDescriptor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :affine_matrix, as: 'affineMatrix', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecMatrix2D, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecMatrix2D::Representation
      
          property :data, :base64 => true, as: 'data'
          property :data_factor, as: 'dataFactor'
          property :feature_vector, as: 'featureVector', class: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecFeatureVector, decorator: Google::Apis::ContentwarehouseV1::PhotosVisionObjectrecFeatureVector::Representation
      
          property :opaque_data, :base64 => true, as: 'opaqueData'
          property :orientation, as: 'orientation'
          property :scale, as: 'scale'
          property :strength, as: 'strength'
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class PhotosVisionObjectrecMatrix2D
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :xx, as: 'xx'
          property :xy, as: 'xy'
          property :yx, as: 'yx'
          property :yy, as: 'yy'
        end
      end
      
      class PhotosVisionObjectrecQuantizedFeatureVector
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, :base64 => true, as: 'data'
          property :data_factor, as: 'dataFactor'
        end
      end
      
      class PhotosVisionObjectrecRoi
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x_max, as: 'xMax'
          property :x_min, as: 'xMin'
          property :y_max, as: 'yMax'
          property :y_min, as: 'yMin'
        end
      end
      
      class PornFlagData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :adaboost_content_score, as: 'adaboostContentScore'
          property :adaboost_content_score_minor_version, as: 'adaboostContentScoreMinorVersion'
          property :adaboost_content_score_version, as: 'adaboostContentScoreVersion'
          property :coclick_brain_scores, as: 'coclickBrainScores', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentBrainPornAnnotation::Representation
      
          property :csai_score, as: 'csaiScore'
          collection :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::ImagePornDebugInfo, decorator: Google::Apis::ContentwarehouseV1::ImagePornDebugInfo::Representation
      
          property :final_offensive_score, as: 'finalOffensiveScore'
          property :final_violence_score, as: 'finalViolenceScore'
          property :final_violence_score_version, as: 'finalViolenceScoreVersion'
          property :image_entities_violence_score, as: 'imageEntitiesViolenceScore'
          collection :image_stats, as: 'imageStats', class: Google::Apis::ContentwarehouseV1::PornStatsImage, decorator: Google::Apis::ContentwarehouseV1::PornStatsImage::Representation
      
          property :largest_face_frac, as: 'largestFaceFrac'
          property :largest_face_fraction, as: 'largestFaceFraction'
          property :number_faces, as: 'numberFaces'
          property :ocr_annotation, as: 'ocrAnnotation', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOcrAnnotation, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOcrAnnotation::Representation
      
          property :ocr_vulgar_score, as: 'ocrVulgarScore'
          property :offensive_symbol_detection, as: 'offensiveSymbolDetection', class: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOffensiveSymbolDetection, decorator: Google::Apis::ContentwarehouseV1::ImageSafesearchContentOffensiveSymbolDetection::Representation
      
          property :overall_porn_score, as: 'overallPornScore'
          property :photodna_hash, :base64 => true, as: 'photodnaHash'
          property :porn_with_high_confidence, as: 'pornWithHighConfidence'
          property :prop_any_porn_flag, as: 'propAnyPornFlag'
          property :prop_porn_flag, as: 'propPornFlag'
          property :prop_softporn_flag, as: 'propSoftpornFlag'
          property :qbst_offensive_score, as: 'qbstOffensiveScore'
          property :qbst_spoof_score, as: 'qbstSpoofScore'
          property :query_stats, as: 'queryStats', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryStats, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryStats::Representation
      
          property :query_text_violence_score, as: 'queryTextViolenceScore'
          property :referer, as: 'referer'
          property :referrer_counts, as: 'referrerCounts', class: Google::Apis::ContentwarehouseV1::ClassifierPornReferrerCounts, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornReferrerCounts::Representation
      
          property :semantic_sexualization_score, as: 'semanticSexualizationScore'
          property :starburst_porn_score, as: 'starburstPornScore'
          property :starburst_violence_score, as: 'starburstViolenceScore'
          collection :text_stats, as: 'textStats', class: Google::Apis::ContentwarehouseV1::PornStatsText, decorator: Google::Apis::ContentwarehouseV1::PornStatsText::Representation
      
          property :url, as: 'url'
          property :url_porn_scores, as: 'urlPornScores', class: Google::Apis::ContentwarehouseV1::ClassifierPornAggregatedUrlPornScores, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornAggregatedUrlPornScores::Representation
      
        end
      end
      
      class PornStatsImage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_count, :numeric_string => true, as: 'imageCount'
          property :site_key, as: 'siteKey'
          property :version, :numeric_string => true, as: 'version'
        end
      end
      
      class PornStatsText
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :any_porn_page_count, :numeric_string => true, as: 'anyPornPageCount'
          property :page_count, :numeric_string => true, as: 'pageCount'
          property :site_key, as: 'siteKey'
          property :version, :numeric_string => true, as: 'version'
        end
      end
      
      class PostalAddress
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :address_line, as: 'addressLine'
          property :administrative_area_name, as: 'administrativeAreaName'
          property :country_name, as: 'countryName'
          property :country_name_code, as: 'countryNameCode'
          property :dependent_locality_name, as: 'dependentLocalityName'
          property :dependent_thoroughfare_name, as: 'dependentThoroughfareName'
          property :firm_name, as: 'firmName'
          property :is_disputed, as: 'isDisputed'
          property :language_code, as: 'languageCode'
          property :locality_name, as: 'localityName'
          property :post_box_number, as: 'postBoxNumber'
          property :postal_code_number, as: 'postalCodeNumber'
          property :postal_code_number_extension, as: 'postalCodeNumberExtension'
          property :premise_name, as: 'premiseName'
          property :recipient_name, as: 'recipientName'
          property :sorting_code, as: 'sortingCode'
          property :sub_administrative_area_name, as: 'subAdministrativeAreaName'
          property :sub_premise_name, as: 'subPremiseName'
          property :thoroughfare_name, as: 'thoroughfareName'
          property :thoroughfare_number, as: 'thoroughfareNumber'
        end
      end
      
      class PrecomputedRestricts
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :restricts, as: 'restricts'
        end
      end
      
      class PremiumPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :currency, as: 'Currency'
          property :date, :numeric_string => true, as: 'Date'
          collection :entitlement, as: 'Entitlement'
          property :is_archival, as: 'IsArchival'
          property :is_entitled, as: 'IsEntitled'
          property :price, as: 'Price'
          property :publication, :numeric_string => true, as: 'Publication'
        end
      end
      
      class Proto2BridgeMessageSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class PseudoVideoData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_model, as: 'AsrModel'
          property :doc_key, :numeric_string => true, as: 'DocKey'
          property :lang, as: 'Lang'
          property :mustang_doc_id, as: 'MustangDocId'
          property :url, as: 'Url'
          property :s3_mode, as: 's3Mode'
          property :s3_model_info_label, as: 's3ModelInfoLabel'
          property :transcript, as: 'transcript', class: Google::Apis::ContentwarehouseV1::PseudoVideoDataTranscript, decorator: Google::Apis::ContentwarehouseV1::PseudoVideoDataTranscript::Representation
      
        end
      end
      
      class PseudoVideoDataTranscript
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :text, as: 'Text'
          collection :timestamp, as: 'timestamp', class: Google::Apis::ContentwarehouseV1::PseudoVideoDataTranscriptTimestamp, decorator: Google::Apis::ContentwarehouseV1::PseudoVideoDataTranscriptTimestamp::Representation
      
        end
      end
      
      class PseudoVideoDataTranscriptTimestamp
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :char_offset, as: 'CharOffset'
          property :confidence, as: 'Confidence'
          property :time_offset, as: 'TimeOffset'
        end
      end
      
      class PtokenPToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compound_ptoken_data, :base64 => true, as: 'compoundPtokenData'
          property :ptoken_data, :base64 => true, as: 'ptokenData'
        end
      end
      
      class QualityActionsAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :android_intent, as: 'androidIntent'
          property :app_name, as: 'appName'
          property :category, as: 'category', class: Google::Apis::ContentwarehouseV1::QualityActionsAppUnderstandingCategory, decorator: Google::Apis::ContentwarehouseV1::QualityActionsAppUnderstandingCategory::Representation
      
          property :confidence, as: 'confidence'
          property :display_name, as: 'displayName'
          property :fallback_url, as: 'fallbackUrl'
          property :package_name, as: 'packageName'
          property :source, as: 'source'
          collection :source_data, as: 'sourceData', class: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceData, decorator: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceData::Representation
      
        end
      end
      
      class QualityActionsAppInfoSourceData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_list_source_data, as: 'allowListSourceData', class: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceDataAllowListSourceData, decorator: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceDataAllowListSourceData::Representation
      
          property :confidence, as: 'confidence'
          property :install, :numeric_string => true, as: 'install'
          property :is_categorical, as: 'isCategorical'
          property :media_provider_source_data, as: 'mediaProviderSourceData', class: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceDataMediaProviderSourceData, decorator: Google::Apis::ContentwarehouseV1::QualityActionsAppInfoSourceDataMediaProviderSourceData::Representation
      
          property :source, as: 'source'
          property :teleport_source_data, as: 'teleportSourceData', class: Google::Apis::ContentwarehouseV1::AssistantTeleportTeleportNicknameSignals, decorator: Google::Apis::ContentwarehouseV1::AssistantTeleportTeleportNicknameSignals::Representation
      
        end
      end
      
      class QualityActionsAppInfoSourceDataAllowListSourceData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :pre_release_mode, as: 'preReleaseMode'
          property :unknown_app_device_compatibility, as: 'unknownAppDeviceCompatibility'
        end
      end
      
      class QualityActionsAppInfoSourceDataMediaProviderSourceData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :provider_key, as: 'providerKey'
          property :provider_type, as: 'providerType'
        end
      end
      
      class QualityActionsAppUnderstandingCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :confidence, as: 'confidence'
        end
      end
      
      class QualityActionsCustomizedNotification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :buttons, as: 'buttons', class: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationButton, decorator: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationButton::Representation
      
          property :surface_type, as: 'surfaceType'
          property :tap_action, as: 'tapAction', class: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationPayload, decorator: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationPayload::Representation
      
          property :text, as: 'text'
        end
      end
      
      class QualityActionsCustomizedNotificationButton
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :label, as: 'label'
          property :tap_action, as: 'tapAction', class: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationPayload, decorator: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotificationPayload::Representation
      
        end
      end
      
      class QualityActionsCustomizedNotificationPayload
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :url, as: 'url'
        end
      end
      
      class QualityActionsNewsProviderAnnotationData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :providers, as: 'providers', class: Google::Apis::ContentwarehouseV1::QualityActionsNewsProviderAnnotationDataProvider, decorator: Google::Apis::ContentwarehouseV1::QualityActionsNewsProviderAnnotationDataProvider::Representation
      
        end
      end
      
      class QualityActionsNewsProviderAnnotationDataProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :locales, as: 'locales'
          property :official_name, as: 'officialName'
          property :official_name_pronunciation, as: 'officialNamePronunciation'
          property :provider_id, as: 'providerId'
          property :score, as: 'score'
        end
      end
      
      class QualityActionsReminder
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :archived, as: 'archived'
          property :archived_time, as: 'archivedTime', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :archived_timestamp, as: 'archivedTimestamp'
          property :async_interaction_type, as: 'asyncInteractionType'
          collection :attachment, as: 'attachment', class: Google::Apis::ContentwarehouseV1::AssistantRemindersAttachment, decorator: Google::Apis::ContentwarehouseV1::AssistantRemindersAttachment::Representation
      
          property :bare_title, as: 'bareTitle'
          property :client_id, as: 'clientId'
          property :client_type, as: 'clientType', class: Google::Apis::ContentwarehouseV1::QualityDialogManagerReminderClientType, decorator: Google::Apis::ContentwarehouseV1::QualityDialogManagerReminderClientType::Representation
      
          property :create_time, as: 'createTime', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :create_timestamp, as: 'createTimestamp'
          property :creator, as: 'creator', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderPerson, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderPerson::Representation
      
          collection :customized_notification_card, as: 'customizedNotificationCard', class: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotification, decorator: Google::Apis::ContentwarehouseV1::QualityActionsCustomizedNotification::Representation
      
          property :datetime, as: 'datetime', class: Google::Apis::ContentwarehouseV1::AssistantApiDateTime, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDateTime::Representation
      
          property :description, as: 'description'
          property :id, as: 'id'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocation, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocation::Representation
      
          property :log, as: 'log', class: Google::Apis::ContentwarehouseV1::AssistantLogsReminderLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsReminderLog::Representation
      
          property :memory_payload, as: 'memoryPayload', class: Google::Apis::ContentwarehouseV1::AssistantRemindersMemoryPayload, decorator: Google::Apis::ContentwarehouseV1::AssistantRemindersMemoryPayload::Representation
      
          property :notifying, as: 'notifying'
          property :personal_reference_metadata, as: 'personalReferenceMetadata', class: Google::Apis::ContentwarehouseV1::CopleySourceTypeList, decorator: Google::Apis::ContentwarehouseV1::CopleySourceTypeList::Representation
      
          property :recipient, as: 'recipient', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderPerson, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderPerson::Representation
      
          property :recurrence, as: 'recurrence', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderRecurrenceInfo, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderRecurrenceInfo::Representation
      
          property :server_id, as: 'serverId'
          property :symbolic_time, as: 'symbolicTime'
          property :title, as: 'title'
          property :update_timestamp, as: 'updateTimestamp'
        end
      end
      
      class QualityActionsReminderLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_info, as: 'categoryInfo', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocationCategoryInfo, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocationCategoryInfo::Representation
      
          property :chain_info, as: 'chainInfo', class: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocationChainInfo, decorator: Google::Apis::ContentwarehouseV1::QualityActionsReminderLocationChainInfo::Representation
      
          property :custom_location_type, as: 'customLocationType'
          property :display_address, as: 'displayAddress'
          property :geo_feature_id, as: 'geoFeatureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :lat, as: 'lat'
          property :lng, as: 'lng'
          property :location_type, as: 'locationType'
          property :name, as: 'name'
          property :personal_location_metadata, as: 'personalLocationMetadata', class: Google::Apis::ContentwarehouseV1::CopleySourceTypeList, decorator: Google::Apis::ContentwarehouseV1::CopleySourceTypeList::Representation
      
          property :tts_address, as: 'ttsAddress'
        end
      end
      
      class QualityActionsReminderLocationCategoryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :location_category, as: 'locationCategory'
        end
      end
      
      class QualityActionsReminderLocationChainInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :chain_mid, as: 'chainMid'
          property :chain_name, as: 'chainName'
          property :feature_id, as: 'featureId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
        end
      end
      
      class QualityActionsReminderPerson
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :display_name, as: 'displayName'
          property :email_address, as: 'emailAddress'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :given_name, as: 'givenName'
          property :photo_url, as: 'photoUrl'
        end
      end
      
      class QualityActionsReminderRecurrenceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_id, as: 'clientId'
          property :recurrence, as: 'recurrence', class: Google::Apis::ContentwarehouseV1::AssistantApiRecurrence, decorator: Google::Apis::ContentwarehouseV1::AssistantApiRecurrence::Representation
      
          property :recurrence_id, as: 'recurrenceId'
          property :server_id, as: 'serverId'
        end
      end
      
      class QualityActionsRingtone
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :pause_duration, as: 'pauseDuration', class: Google::Apis::ContentwarehouseV1::AssistantApiDuration, decorator: Google::Apis::ContentwarehouseV1::AssistantApiDuration::Representation
      
          collection :sound_url, as: 'soundUrl'
        end
      end
      
      class QualityActionsRoom
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :homegraph_id, as: 'homegraphId'
          property :name, as: 'name'
        end
      end
      
      class QualityActionsTimer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :creation_time, as: 'creationTime', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :device, as: 'device', class: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSettings, decorator: Google::Apis::ContentwarehouseV1::AssistantApiSettingsDeviceSettings::Representation
      
          property :expire_time, :numeric_string => true, as: 'expireTime'
          property :expire_timer_time, as: 'expireTimerTime', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDateTime::Representation
      
          property :id, as: 'id'
          property :label, as: 'label'
          property :last_updated, as: 'lastUpdated', class: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp, decorator: Google::Apis::ContentwarehouseV1::AssistantApiTimestamp::Representation
      
          property :original_duration, :numeric_string => true, as: 'originalDuration'
          property :original_timer_duration, as: 'originalTimerDuration', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration::Representation
      
          property :provider, as: 'provider', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesProvider::Representation
      
          property :remaining_duration, :numeric_string => true, as: 'remainingDuration'
          property :remaining_timer_duration, as: 'remainingTimerDuration', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingDatetimeDuration::Representation
      
          property :ringtone, as: 'ringtone', class: Google::Apis::ContentwarehouseV1::QualityActionsRingtone, decorator: Google::Apis::ContentwarehouseV1::QualityActionsRingtone::Representation
      
          property :ringtone_task_metadata, as: 'ringtoneTaskMetadata', class: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadata, decorator: Google::Apis::ContentwarehouseV1::AssistantApiCoreTypesGovernedRingtoneTaskMetadata::Representation
      
          property :room, as: 'room', class: Google::Apis::ContentwarehouseV1::QualityActionsRoom, decorator: Google::Apis::ContentwarehouseV1::QualityActionsRoom::Representation
      
          property :status, as: 'status'
          property :vibrate, as: 'vibrate'
        end
      end
      
      class QualityAuthorityTopicEmbeddingsVersionedItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :page_embedding, :base64 => true, as: 'pageEmbedding'
          property :site_embedding, :base64 => true, as: 'siteEmbedding'
          property :site_focus_score, as: 'siteFocusScore'
          property :site_radius, as: 'siteRadius'
          property :version_id, as: 'versionId'
        end
      end
      
      class QualityCalypsoAppsLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :application_id, as: 'applicationId'
        end
      end
      
      class QualityCopiaFireflySiteSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :daily_clicks, :numeric_string => true, as: 'dailyClicks'
          property :daily_good_clicks, :numeric_string => true, as: 'dailyGoodClicks'
          property :data_time_sec, :numeric_string => true, as: 'dataTimeSec'
          property :first_boosted_time_sec, :numeric_string => true, as: 'firstBoostedTimeSec'
          property :impressions_in_boosted_period, :numeric_string => true, as: 'impressionsInBoostedPeriod'
          property :latest_byline_date_sec, :numeric_string => true, as: 'latestBylineDateSec'
          property :latest_firstseen_sec, :numeric_string => true, as: 'latestFirstseenSec'
          property :num_of_articles8, :numeric_string => true, as: 'numOfArticles8'
          collection :num_of_articles_by_periods, as: 'numOfArticlesByPeriods'
          property :num_of_gambling_pages, :numeric_string => true, as: 'numOfGamblingPages'
          property :num_of_urls, :numeric_string => true, as: 'numOfUrls'
          collection :num_of_urls_by_periods, as: 'numOfUrlsByPeriods'
          property :recent_imp_for_quota_system, :numeric_string => true, as: 'recentImpForQuotaSystem'
          property :site_fp, :numeric_string => true, as: 'siteFp'
          property :total_impressions, :numeric_string => true, as: 'totalImpressions'
        end
      end
      
      class QualityDialogManagerExternalIds
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blue_ginger_supported_services, as: 'blueGingerSupportedServices', class: Google::Apis::ContentwarehouseV1::BlueGingerClientVisibleProtoBlueGingerSupportedServices, decorator: Google::Apis::ContentwarehouseV1::BlueGingerClientVisibleProtoBlueGingerSupportedServices::Representation
      
          property :knowledge_graph_mid, as: 'knowledgeGraphMid'
          property :madden_supported_actions, as: 'maddenSupportedActions', class: Google::Apis::ContentwarehouseV1::GeoOndemandAssistantSupportedActions, decorator: Google::Apis::ContentwarehouseV1::GeoOndemandAssistantSupportedActions::Representation
      
          property :open_table_restaurant_id, as: 'openTableRestaurantId'
        end
      end
      
      class QualityDialogManagerLocalIntentOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :intent, as: 'intent'
        end
      end
      
      class QualityDialogManagerLocalResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :admin_area1, as: 'adminArea1'
          property :available_intents, as: 'availableIntents', class: Google::Apis::ContentwarehouseV1::QualityDialogManagerLocalIntentOptions, decorator: Google::Apis::ContentwarehouseV1::QualityDialogManagerLocalIntentOptions::Representation
      
          property :business_type, as: 'businessType', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBusinessType, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalBusinessType::Representation
      
          property :country, as: 'country'
          property :country_code, as: 'countryCode'
          property :distance_meters, :numeric_string => true, as: 'distanceMeters'
          property :distance_units, as: 'distanceUnits'
          property :external_ids, as: 'externalIds', class: Google::Apis::ContentwarehouseV1::QualityDialogManagerExternalIds, decorator: Google::Apis::ContentwarehouseV1::QualityDialogManagerExternalIds::Representation
      
          property :feature_type, as: 'featureType'
          property :in_user_admin_area1, as: 'inUserAdminArea1'
          property :in_user_country, as: 'inUserCountry'
          property :in_user_locality, as: 'inUserLocality'
          property :internal_food_ordering_metadata, as: 'internalFoodOrderingMetadata', class: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadata, decorator: Google::Apis::ContentwarehouseV1::LocalsearchProtoInternalFoodOrderingActionMetadata::Representation
      
          property :is_business_chain, as: 'isBusinessChain'
          property :locality, as: 'locality'
          property :name, as: 'name'
          property :neighborhood, as: 'neighborhood'
          property :result_id, as: 'resultId', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocalResultId, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingLocalLocalResultId::Representation
      
          property :street_name, as: 'streetName'
          property :street_number, as: 'streetNumber'
          collection :synonym, as: 'synonym'
          property :tts_address, as: 'ttsAddress'
        end
      end
      
      class QualityDialogManagerReminderClientType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :type, as: 'type'
        end
      end
      
      class QualityDniDocPreviewRestrictions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byline_date_secs, :numeric_string => true, as: 'bylineDateSecs'
          property :crawl_ts_usec, :numeric_string => true, as: 'crawlTsUsec'
          property :extended_news_previews_domain, as: 'extendedNewsPreviewsDomain', class: Google::Apis::ContentwarehouseV1::QualityDniExtendedNewsPreviews, decorator: Google::Apis::ContentwarehouseV1::QualityDniExtendedNewsPreviews::Representation
      
          property :favicon_display, as: 'faviconDisplay'
          property :firstseen_date_secs, as: 'firstseenDateSecs'
          property :is_amp, as: 'isAmp'
          property :is_eucd_domain, as: 'isEucdDomain'
          property :max_snippet_length, as: 'maxSnippetLength'
          property :max_snippet_length_from_publisher, as: 'maxSnippetLengthFromPublisher'
          property :max_snippet_length_publisher_default, as: 'maxSnippetLengthPublisherDefault'
          property :max_thumbnail_size, as: 'maxThumbnailSize'
          property :max_thumbnail_size_from_publisher, as: 'maxThumbnailSizeFromPublisher'
          property :max_thumbnail_size_publisher_default, as: 'maxThumbnailSizePublisherDefault'
          property :max_video_preview_secs, as: 'maxVideoPreviewSecs'
          property :max_video_preview_secs_from_publisher, as: 'maxVideoPreviewSecsFromPublisher'
          property :max_video_preview_secs_publisher_default, as: 'maxVideoPreviewSecsPublisherDefault'
        end
      end
      
      class QualityDniExtendedNewsPreviews
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          collection :desnippeted_country_code, as: 'desnippetedCountryCode'
          property :policy_criteria_base64, as: 'policyCriteriaBase64'
          property :status, as: 'status'
          property :version, as: 'version'
        end
      end
      
      class QualityFringeFringeQueryPriorPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encoded_calibrated_fringe_site_prior_score, as: 'encodedCalibratedFringeSitePriorScore'
          property :encoded_chard_xlq_hoax_prediction, as: 'encodedChardXlqHoaxPrediction'
          property :encoded_chard_xlq_ymyl_prediction, as: 'encodedChardXlqYmylPrediction'
          property :encoded_document_fringe_vulnerability, as: 'encodedDocumentFringeVulnerability'
          property :encoded_entity_prior_score, as: 'encodedEntityPriorScore'
          property :encoded_fringe_prior_score, as: 'encodedFringePriorScore'
          property :encoded_fringe_site_prior_score, as: 'encodedFringeSitePriorScore'
          property :encoded_fringe_site_prior_score_for_qfs_training, as: 'encodedFringeSitePriorScoreForQfsTraining'
          property :encoded_predicted_xlq_score_and_confidence, as: 'encodedPredictedXlqScoreAndConfidence'
          property :encoded_proximity_score, as: 'encodedProximityScore'
        end
      end
      
      class QualityGenieComplexQueriesComplexQueriesOutputRewrite
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entities, as: 'entities', class: Google::Apis::ContentwarehouseV1::QualityGenieComplexQueriesComplexQueriesOutputRewriteEntity, decorator: Google::Apis::ContentwarehouseV1::QualityGenieComplexQueriesComplexQueriesOutputRewriteEntity::Representation
      
          property :rewrite_type, as: 'rewriteType'
          property :textual_rewrite, as: 'textualRewrite'
        end
      end
      
      class QualityGenieComplexQueriesComplexQueriesOutputRewriteEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :name, as: 'name'
        end
      end
      
      class QualityGeoBrainlocBrainlocAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :brainloc_version, as: 'brainlocVersion'
          collection :top_cities_raw_scores, as: 'topCitiesRawScores'
          collection :top_cities_vocab_ids, as: 'topCitiesVocabIds'
          collection :top_counties_raw_scores, as: 'topCountiesRawScores'
          collection :top_counties_vocab_ids, as: 'topCountiesVocabIds'
          collection :top_countries_raw_scores, as: 'topCountriesRawScores'
          collection :top_countries_vocab_ids, as: 'topCountriesVocabIds'
          collection :top_states_raw_scores, as: 'topStatesRawScores'
          collection :top_states_vocab_ids, as: 'topStatesVocabIds'
        end
      end
      
      class QualityLabelsGoogleLabelData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :label, as: 'label', class: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelDataLabel, decorator: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelDataLabel::Representation
      
        end
      end
      
      class QualityLabelsGoogleLabelDataLabel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :global_label_bucket, as: 'globalLabelBucket'
          property :global_label_value, as: 'globalLabelValue'
          property :label_id, as: 'labelId'
          property :label_name, as: 'labelName'
          collection :provider, as: 'provider', class: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelDataLabelProvider, decorator: Google::Apis::ContentwarehouseV1::QualityLabelsGoogleLabelDataLabelProvider::Representation
      
          collection :provider_id, as: 'providerId'
        end
      end
      
      class QualityLabelsGoogleLabelDataLabelProvider
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feed, as: 'feed'
          property :id, :numeric_string => true, as: 'id'
          property :label_bucket, as: 'labelBucket'
          property :label_value, as: 'labelValue'
          property :name, as: 'name'
        end
      end
      
      class QualityNavboostCrapsAgingData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_month_bucket, as: 'lastMonthBucket', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket::Representation
      
          property :last_week_bucket, as: 'lastWeekBucket', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket::Representation
      
          property :last_year_bucket, as: 'lastYearBucket', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket::Representation
      
          property :year_plus_bucket, as: 'yearPlusBucket', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingDataAgingAgeBucket::Representation
      
        end
      end
      
      class QualityNavboostCrapsAgingDataAgingAgeBucket
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :good_clicks, as: 'goodClicks'
          property :impressions, as: 'impressions'
        end
      end
      
      class QualityNavboostCrapsCrapsClickSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :absolute_impressions, as: 'absoluteImpressions'
          property :bad_clicks, as: 'badClicks'
          property :clicks, as: 'clicks'
          property :good_clicks, as: 'goodClicks'
          property :impressions, as: 'impressions'
          property :last_longest_clicks, as: 'lastLongestClicks'
          property :unsquashed_clicks, as: 'unsquashedClicks'
          property :unsquashed_impressions, as: 'unsquashedImpressions'
          property :unsquashed_last_longest_clicks, as: 'unsquashedLastLongestClicks'
        end
      end
      
      class QualityNavboostCrapsCrapsData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aging_counts, as: 'agingCounts', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingData, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsAgingData::Representation
      
          property :bad_clicks, as: 'badClicks'
          property :clicks, as: 'clicks'
          property :country, as: 'country'
          property :device, as: 'device', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsDevice, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsDevice::Representation
      
          collection :features, as: 'features', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsFeatureCrapsData, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsFeatureCrapsData::Representation
      
          property :good_clicks, as: 'goodClicks'
          property :impressions, as: 'impressions'
          property :language, as: 'language'
          property :last_longest_clicks, as: 'lastLongestClicks'
          property :mobile_data, as: 'mobileData', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsData, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsData::Representation
      
          property :mobile_signals, as: 'mobileSignals', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals::Representation
      
          property :packed_ip_address, :base64 => true, as: 'packedIpAddress'
          property :pattern_level, as: 'patternLevel'
          property :pattern_scc_stats, as: 'patternSccStats', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsStatsWithWeightsProto, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsStatsWithWeightsProto::Representation
      
          property :query, as: 'query'
          property :slice_tag, as: 'sliceTag'
          property :squashed, as: 'squashed', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals::Representation
      
          property :unscaled_ip_prior_bad_fraction, as: 'unscaledIpPriorBadFraction'
          property :unsquashed, as: 'unsquashed', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals::Representation
      
          property :unsquashed_mobile_signals, as: 'unsquashedMobileSignals', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals::Representation
      
          property :url, as: 'url'
        end
      end
      
      class QualityNavboostCrapsCrapsDevice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :os, as: 'os'
          property :ux_interface, as: 'uxInterface'
          property :ux_tier, as: 'uxTier'
        end
      end
      
      class QualityNavboostCrapsFeatureCrapsData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country, as: 'country'
          property :device, as: 'device'
          property :language, as: 'language'
          property :location_id, as: 'locationId'
          property :signals, as: 'signals', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsClickSignals::Representation
      
        end
      end
      
      class QualityNavboostCrapsStatsWithWeightsProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hi, as: 'hi'
          property :kind, as: 'kind'
          property :lo, as: 'lo'
          property :mean, as: 'mean'
          property :median, as: 'median'
          property :n, as: 'n'
          property :pc10, as: 'pc10'
          property :pc25, as: 'pc25'
          property :pc75, as: 'pc75'
          property :pc90, as: 'pc90'
          property :std_error, as: 'stdError'
          property :stddev, as: 'stddev'
          property :var_of_mean, as: 'varOfMean'
          property :variance, as: 'variance'
          property :weighted_n, as: 'weightedN'
        end
      end
      
      class QualityNsrExperimentalNsrTeamData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :versioned_signals, as: 'versionedSignals', class: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamScoringSignal, decorator: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamScoringSignal::Representation
      
        end
      end
      
      class QualityNsrExperimentalNsrTeamScoringSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :value_bool, as: 'valueBool'
          property :value_double, as: 'valueDouble'
          property :value_float, as: 'valueFloat'
          property :value_int32, as: 'valueInt32'
          property :value_uint32, as: 'valueUint32'
          property :version_id, as: 'versionId'
        end
      end
      
      class QualityNsrExperimentalNsrTeamWsjData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experimental_nsr_team_data, as: 'experimentalNsrTeamData', class: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrExperimentalNsrTeamData::Representation
      
          property :lookup_key, as: 'lookupKey'
        end
      end
      
      class QualityNsrNsrVersionedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :value, as: 'value'
          property :version_id, as: 'versionId'
        end
      end
      
      class QualityNsrNsrData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :article_score, as: 'articleScore'
          property :article_score_v2, as: 'articleScoreV2'
          property :cluster_id, as: 'clusterId'
          property :cluster_uplift, as: 'clusterUplift', class: Google::Apis::ContentwarehouseV1::QualityNsrNsrDataClusterUplift, decorator: Google::Apis::ContentwarehouseV1::QualityNsrNsrDataClusterUplift::Representation
      
          property :clutter_score, as: 'clutterScore'
          property :host, as: 'host'
          property :is_covid_local_authority, as: 'isCovidLocalAuthority'
          property :is_election_authority, as: 'isElectionAuthority'
          property :is_video_focused_site, as: 'isVideoFocusedSite'
          property :locality_score, as: 'localityScore'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::QualityNsrNsrDataMetadata, decorator: Google::Apis::ContentwarehouseV1::QualityNsrNsrDataMetadata::Representation
      
          property :new_nsr, as: 'newNsr'
          property :nsr, as: 'nsr'
          property :nsr_override_bid, as: 'nsrOverrideBid'
          property :nsr_variance, as: 'nsrVariance'
          property :nsrdata_from_fallback_pattern_key, as: 'nsrdataFromFallbackPatternKey'
          property :secondary_site_chunk, as: 'secondarySiteChunk'
          property :site_autopilot_score, as: 'siteAutopilotScore'
          property :site_chunk, as: 'siteChunk'
          property :site_chunk_source, as: 'siteChunkSource'
          property :site_link_in, as: 'siteLinkIn'
          property :site_link_out, as: 'siteLinkOut'
          property :site_pr, as: 'sitePr'
          property :site_quality_stddev, as: 'siteQualityStddev'
          property :spambrain_lavc_score, as: 'spambrainLavcScore'
          property :url, as: 'url'
          collection :versioned_data, as: 'versionedData', class: Google::Apis::ContentwarehouseV1::QualityNsrNsrVersionedData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrNsrVersionedData::Representation
      
          property :vlq_nsr, as: 'vlqNsr'
        end
      end
      
      class QualityNsrNsrDataClusterUplift
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :local, as: 'local'
          property :small, as: 'small'
        end
      end
      
      class QualityNsrNsrDataMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raffia_lookup_key, as: 'raffiaLookupKey'
        end
      end
      
      class QualityNsrPqData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :delta_autopilot_score, as: 'deltaAutopilotScore'
          property :delta_link_incoming, as: 'deltaLinkIncoming'
          property :delta_link_outgoing, as: 'deltaLinkOutgoing'
          property :delta_subchunk_adjustment, as: 'deltaSubchunkAdjustment'
          property :link_incoming, as: 'linkIncoming'
          property :link_outgoing, as: 'linkOutgoing'
          property :page2vec_lq, as: 'page2vecLq'
          collection :subchunk_data, as: 'subchunkData', class: Google::Apis::ContentwarehouseV1::QualityNsrPqDataSubchunkData, decorator: Google::Apis::ContentwarehouseV1::QualityNsrPqDataSubchunkData::Representation
      
          property :url_autopilot_score, as: 'urlAutopilotScore'
        end
      end
      
      class QualityNsrPqDataSubchunkData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :delta_nsr, as: 'deltaNsr'
          property :page_weight, as: 'pageWeight'
          property :type, as: 'type'
        end
      end
      
      class QualityOrbitAsteroidBeltDocumentIntentScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :image_intent_scores, as: 'imageIntentScores', class: Google::Apis::ContentwarehouseV1::QualityOrbitAsteroidBeltImageIntentScores, decorator: Google::Apis::ContentwarehouseV1::QualityOrbitAsteroidBeltImageIntentScores::Representation
      
          collection :intents, as: 'intents'
          collection :scores, as: 'scores'
          property :version, as: 'version'
        end
      end
      
      class QualityOrbitAsteroidBeltImageIntentScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :intents, as: 'intents'
          collection :scores, as: 'scores'
        end
      end
      
      class QualityPreviewChosenSnippetInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_vulgar, as: 'isVulgar'
          property :leading_text_type, as: 'leadingTextType'
          property :snippet_type, as: 'snippetType'
          property :source, as: 'source'
          collection :tidbits, as: 'tidbits', class: Google::Apis::ContentwarehouseV1::QualityPreviewChosenSnippetInfoTidbitInfo, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewChosenSnippetInfoTidbitInfo::Representation
      
          property :trailing_ellipsis, as: 'trailingEllipsis'
        end
      end
      
      class QualityPreviewChosenSnippetInfoTidbitInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :section_name, as: 'sectionName'
          property :separator, as: 'separator'
          property :tidbit_text, as: 'tidbitText'
          property :token_begin, :numeric_string => true, as: 'tokenBegin'
          property :token_end, :numeric_string => true, as: 'tokenEnd'
        end
      end
      
      class QualityPreviewRanklabSnippet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :brain_features, as: 'brainFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetBrainFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetBrainFeatures::Representation
      
          property :document_features, as: 'documentFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetDocumentFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetDocumentFeatures::Representation
      
          property :experimental_features, as: 'experimentalFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetExperimentalFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetExperimentalFeatures::Representation
      
          property :quality_features, as: 'qualityFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQualityFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQualityFeatures::Representation
      
          property :query_features, as: 'queryFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQueryFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQueryFeatures::Representation
      
          property :query_term_coverage_features, as: 'queryTermCoverageFeatures', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQueryTermCoverageFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetQueryTermCoverageFeatures::Representation
      
          property :snippet_info, as: 'snippetInfo', class: Google::Apis::ContentwarehouseV1::QualityPreviewChosenSnippetInfo, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewChosenSnippetInfo::Representation
      
        end
      end
      
      class QualityPreviewRanklabTitle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :base_goldmine_final_score, as: 'baseGoldmineFinalScore'
          property :base_rank, as: 'baseRank'
          property :data_source_type, as: 'dataSourceType'
          property :doc_lang, as: 'docLang'
          property :doc_relevance, as: 'docRelevance'
          property :dup_tokens, as: 'dupTokens'
          property :forced_experiment_score, as: 'forcedExperimentScore'
          property :goldmine_adjusted_score, as: 'goldmineAdjustedScore'
          property :goldmine_anchor_factor, as: 'goldmineAnchorFactor'
          property :goldmine_anchor_support_only, as: 'goldmineAnchorSupportOnly'
          property :goldmine_blockbert_factor, as: 'goldmineBlockbertFactor'
          property :goldmine_body_factor, as: 'goldmineBodyFactor'
          property :goldmine_final_score, as: 'goldmineFinalScore'
          property :goldmine_foreign, as: 'goldmineForeign'
          property :goldmine_geometry_factor, as: 'goldmineGeometryFactor'
          property :goldmine_has_boilerplate_in_title, as: 'goldmineHasBoilerplateInTitle'
          property :goldmine_has_title_ngram, as: 'goldmineHasTitleNgram'
          property :goldmine_header_is_h1, as: 'goldmineHeaderIsH1'
          property :goldmine_heading_factor, as: 'goldmineHeadingFactor'
          property :goldmine_is_bad_title, as: 'goldmineIsBadTitle'
          property :goldmine_is_heading_tag, as: 'goldmineIsHeadingTag'
          property :goldmine_is_title_tag, as: 'goldmineIsTitleTag'
          property :goldmine_is_truncated, as: 'goldmineIsTruncated'
          property :goldmine_local_title_factor, as: 'goldmineLocalTitleFactor'
          property :goldmine_location_factor, as: 'goldmineLocationFactor'
          property :goldmine_navboost_factor, as: 'goldmineNavboostFactor'
          property :goldmine_og_title_factor, as: 'goldmineOgTitleFactor'
          property :goldmine_on_page_demotion_factor, as: 'goldmineOnPageDemotionFactor'
          property :goldmine_other_boost_feature_count, as: 'goldmineOtherBoostFeatureCount'
          property :goldmine_page_score, as: 'goldminePageScore'
          property :goldmine_readability_score, as: 'goldmineReadabilityScore'
          property :goldmine_salient_term_factor, as: 'goldmineSalientTermFactor'
          property :goldmine_sitename_factor, as: 'goldmineSitenameFactor'
          property :goldmine_sub_heading, as: 'goldmineSubHeading'
          property :goldmine_title_tag_factor, as: 'goldmineTitleTagFactor'
          property :goldmine_trust_factor, as: 'goldmineTrustFactor'
          property :goldmine_url_match_factor, as: 'goldmineUrlMatchFactor'
          property :has_site_info, as: 'hasSiteInfo'
          property :is_truncated, as: 'isTruncated'
          property :is_valid, as: 'isValid'
          property :per_type_quality, as: 'perTypeQuality'
          property :per_type_rank, as: 'perTypeRank'
          property :percent_body_title_tokens_covered, as: 'percentBodyTitleTokensCovered'
          property :percent_tokens_covered_by_body_title, as: 'percentTokensCoveredByBodyTitle'
          property :query_match, as: 'queryMatch'
          property :query_match_fraction, as: 'queryMatchFraction'
          property :query_relevance, as: 'queryRelevance'
          property :source_geometry, as: 'sourceGeometry'
          property :source_heading_tag, as: 'sourceHeadingTag'
          property :source_local_title, as: 'sourceLocalTitle'
          property :source_offdomain_anchor, as: 'sourceOffdomainAnchor'
          property :source_ondomain_anchor, as: 'sourceOndomainAnchor'
          property :source_onsite_anchor, as: 'sourceOnsiteAnchor'
          property :source_title_tag, as: 'sourceTitleTag'
          property :source_transliterated_title, as: 'sourceTransliteratedTitle'
          property :test_goldmine_final_score, as: 'testGoldmineFinalScore'
          property :test_rank, as: 'testRank'
          property :text, as: 'text'
          property :width_fraction, as: 'widthFraction'
        end
      end
      
      class QualityPreviewSnippetBrainFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :model_score, as: 'modelScore'
        end
      end
      
      class QualityPreviewSnippetDocumentFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experimental_title_salient_terms_score, as: 'experimentalTitleSalientTermsScore'
          property :leadingtext_distance_score, as: 'leadingtextDistanceScore'
          property :meta_boost_score, as: 'metaBoostScore'
          property :salient_position_boost_score, as: 'salientPositionBoostScore'
          property :salient_terms_score, as: 'salientTermsScore'
          property :schema_org_description_boost_score, as: 'schemaOrgDescriptionBoostScore'
          property :unstable_tokens_score, as: 'unstableTokensScore'
        end
      end
      
      class QualityPreviewSnippetExperimentalFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_likely_homepage, as: 'isLikelyHomepage'
          property :num_query_items, as: 'numQueryItems'
          property :num_tidbits, as: 'numTidbits'
          property :num_visible_tokens, as: 'numVisibleTokens'
          property :radish, as: 'radish', class: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetRadishFeatures, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewSnippetRadishFeatures::Representation
      
        end
      end
      
      class QualityPreviewSnippetQualityFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :foreign_meta_score, as: 'foreignMetaScore'
          property :hidden_ratio_score, as: 'hiddenRatioScore'
          property :num_tidbits_score, as: 'numTidbitsScore'
          property :num_visible_tokens_score, as: 'numVisibleTokensScore'
          property :outlink_score, as: 'outlinkScore'
          property :redundancy_score, as: 'redundancyScore'
          property :sentence_start_score, as: 'sentenceStartScore'
        end
      end
      
      class QualityPreviewSnippetQueryFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experimental_query_title_score, as: 'experimentalQueryTitleScore'
          property :passageembed_score, as: 'passageembedScore'
          property :query_has_passageembed_embeddings, as: 'queryHasPassageembedEmbeddings'
          property :query_score, as: 'queryScore'
          property :radish_score, as: 'radishScore'
        end
      end
      
      class QualityPreviewSnippetQueryTermCoverageFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :snippet_query_term_coverage, as: 'snippetQueryTermCoverage'
          property :title_query_term_coverage, as: 'titleQueryTermCoverage'
          property :title_snippet_query_term_coverage, as: 'titleSnippetQueryTermCoverage'
        end
      end
      
      class QualityPreviewSnippetRadishFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :answer_score, as: 'answerScore'
          property :navboost_query, as: 'navboostQuery'
          property :passage_coverage, as: 'passageCoverage'
          property :passage_type, as: 'passageType'
          property :query_passage_idx, as: 'queryPassageIdx'
          property :similarity_method, as: 'similarityMethod'
          property :similarity_score, as: 'similarityScore'
          property :snippet_coverage, as: 'snippetCoverage'
        end
      end
      
      class QualityProductProductSiteData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::QualityProductProductSiteDataLocaleData, decorator: Google::Apis::ContentwarehouseV1::QualityProductProductSiteDataLocaleData::Representation
      
        end
      end
      
      class QualityProductProductSiteDataLocaleData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boost_factor, as: 'boostFactor'
          property :gobi_site, as: 'gobiSite'
          property :locale, as: 'locale'
        end
      end
      
      class QualityProseCseUrlInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cse_id, as: 'cseId'
        end
      end
      
      class QualityQrewriteAccountProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :data_sources, as: 'dataSources'
          property :google_account, as: 'googleAccount', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenanceGoogleAccount, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenanceGoogleAccount::Representation
      
          property :third_party_account, as: 'thirdPartyAccount', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenanceThirdPartyAccount, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenanceThirdPartyAccount::Representation
      
        end
      end
      
      class QualityQrewriteAccountProvenanceGoogleAccount
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :is_dasher_account, as: 'isDasherAccount'
          property :is_secondary_account, as: 'isSecondaryAccount'
        end
      end
      
      class QualityQrewriteAccountProvenanceThirdPartyAccount
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :third_party_provider_id, :numeric_string => true, as: 'thirdPartyProviderId'
        end
      end
      
      class QualityQrewriteAlternativeNameInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :match_signal, as: 'matchSignal', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsCommonContactMatchSignal, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsCommonContactMatchSignal::Representation
      
          property :name, as: 'name'
          property :source, as: 'source'
        end
      end
      
      class QualityQrewriteCalendarReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calendar_alias, as: 'calendarAlias', class: Google::Apis::ContentwarehouseV1::QualityQrewriteQRewriteAccountAwareCalendarAliasWrapper, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteQRewriteAccountAwareCalendarAliasWrapper::Representation
      
          property :contact_calendar_name, as: 'contactCalendarName', class: Google::Apis::ContentwarehouseV1::QualityQrewriteContactCalendarName, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteContactCalendarName::Representation
      
          property :family_calendar_alias, as: 'familyCalendarAlias', class: Google::Apis::ContentwarehouseV1::QualityQrewriteFamilyCalendarAlias, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteFamilyCalendarAlias::Representation
      
          property :primary_calendar_alias, as: 'primaryCalendarAlias', class: Google::Apis::ContentwarehouseV1::QualityQrewritePrimaryCalendarAlias, decorator: Google::Apis::ContentwarehouseV1::QualityQrewritePrimaryCalendarAlias::Representation
      
        end
      end
      
      class QualityQrewriteCandidateId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field, as: 'field', class: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateIdField, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteCandidateIdField::Representation
      
        end
      end
      
      class QualityQrewriteCandidateIdField
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, as: 'index'
          property :type, as: 'type'
        end
      end
      
      class QualityQrewriteContactCalendarName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact, as: 'contact', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingModelsPersonPerson::Representation
      
        end
      end
      
      class QualityQrewriteFamilyCalendarAlias
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :family_calendar_id, as: 'familyCalendarId'
        end
      end
      
      class QualityQrewritePersonalContactData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_provenance, as: 'accountProvenance', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance::Representation
      
          collection :additional_contact_metadata, as: 'additionalContactMetadata'
          property :common_name_alias_confidence, as: 'commonNameAliasConfidence'
          property :concept_id, as: 'conceptId'
          property :concept_id_en, as: 'conceptIdEn'
          property :display_name, as: 'displayName'
          property :family_name, as: 'familyName'
          property :ffrac_score, as: 'ffracScore'
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :given_name, as: 'givenName'
          property :has_address_for_device_contacts, as: 'hasAddressForDeviceContacts'
          property :has_gplus_profile, as: 'hasGplusProfile'
          property :is_from_on_device_lookup, as: 'isFromOnDeviceLookup'
          property :is_transliterated_match, as: 'isTransliteratedMatch'
          property :is_visible_to_guests_relationship, as: 'isVisibleToGuestsRelationship'
          property :match_signal, as: 'matchSignal', class: Google::Apis::ContentwarehouseV1::AssistantVerticalsCommonContactMatchSignal, decorator: Google::Apis::ContentwarehouseV1::AssistantVerticalsCommonContactMatchSignal::Representation
      
          property :matched_name_type, as: 'matchedNameType'
          property :matched_recognition_alternate_name, as: 'matchedRecognitionAlternateName'
          property :person_data, as: 'personData', class: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleOzExternalMergedpeopleapiPerson::Representation
      
          property :personal_contact_data_log, as: 'personalContactDataLog', class: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPersonalContactDataLog, decorator: Google::Apis::ContentwarehouseV1::AssistantLogsCommunicationPersonalContactDataLog::Representation
      
          property :pkg_person, as: 'pkgPerson', class: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation, decorator: Google::Apis::ContentwarehouseV1::NlpSemanticParsingQRefAnnotation::Representation
      
          property :pkg_reference_type, as: 'pkgReferenceType'
          property :recognition_alternate_score, as: 'recognitionAlternateScore'
          property :recognition_alternate_source, as: 'recognitionAlternateSource'
          property :relationship_lexical_info, as: 'relationshipLexicalInfo', class: Google::Apis::ContentwarehouseV1::CopleyLexicalMetadata, decorator: Google::Apis::ContentwarehouseV1::CopleyLexicalMetadata::Representation
      
          collection :relationship_memory, as: 'relationshipMemory', class: Google::Apis::ContentwarehouseV1::QualityQrewriteRelationshipMemoryData, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteRelationshipMemoryData::Representation
      
          property :shared_contact_owner_gaia_id, :numeric_string => true, as: 'sharedContactOwnerGaiaId'
          property :source, as: 'source'
        end
      end
      
      class QualityQrewritePrimaryCalendarAlias
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class QualityQrewriteQRewriteAccountAwareCalendarAliasWrapper
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class QualityQrewriteRelationshipMemoryData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contact_pointer, as: 'contactPointer', class: Google::Apis::ContentwarehouseV1::FocusBackendContactPointer, decorator: Google::Apis::ContentwarehouseV1::FocusBackendContactPointer::Representation
      
          property :value, as: 'value'
        end
      end
      
      class QualityRankembedMustangMustangRankEmbedInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compressed_document_embedding, as: 'compressedDocumentEmbedding', class: Google::Apis::ContentwarehouseV1::QualityRankembedMustangMustangRankEmbedInfoCompressedEmbedding, decorator: Google::Apis::ContentwarehouseV1::QualityRankembedMustangMustangRankEmbedInfoCompressedEmbedding::Representation
      
          property :fixed_point_encoding, :base64 => true, as: 'fixedPointEncoding'
          property :scaled_fixed_point4_encoding, :base64 => true, as: 'scaledFixedPoint4Encoding'
          property :scaled_fixed_point8_encoding, :base64 => true, as: 'scaledFixedPoint8Encoding'
          property :scaled_shifted_fixed_point4_encoding, :base64 => true, as: 'scaledShiftedFixedPoint4Encoding'
          property :version_and_improv_info, as: 'versionAndImprovInfo'
        end
      end
      
      class QualityRankembedMustangMustangRankEmbedInfoCompressedEmbedding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :packed_value, as: 'packedValue'
          collection :value, as: 'value'
        end
      end
      
      class QualityRichsnippetsAppsProtosLaunchAppInfoPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :app, as: 'app', class: Google::Apis::ContentwarehouseV1::QualityRichsnippetsAppsProtosLaunchableAppPerDocData, decorator: Google::Apis::ContentwarehouseV1::QualityRichsnippetsAppsProtosLaunchableAppPerDocData::Representation
      
        end
      end
      
      class QualityRichsnippetsAppsProtosLaunchableAppPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index_status, as: 'indexStatus'
          property :package_id_fingerprint, :numeric_string => true, as: 'packageIdFingerprint'
          property :per_app_info_encoded, :numeric_string => true, as: 'perAppInfoEncoded'
        end
      end
      
      class QualitySalientCountriesSalientCountry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country, as: 'country'
          property :salience, as: 'salience'
        end
      end
      
      class QualitySalientCountriesSalientCountrySet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :packed_country, as: 'packedCountry'
          collection :packed_salience, as: 'packedSalience'
          collection :salient_country, as: 'salientCountry', class: Google::Apis::ContentwarehouseV1::QualitySalientCountriesSalientCountry, decorator: Google::Apis::ContentwarehouseV1::QualitySalientCountriesSalientCountry::Representation
      
        end
      end
      
      class QualitySalientTermsDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :head_volume_ratio, as: 'headVolumeRatio'
          property :language, as: 'language'
          collection :signal_data, as: 'signalData', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalData, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalData::Representation
      
          property :virtual_volume, as: 'virtualVolume'
        end
      end
      
      class QualitySalientTermsSalientTerm
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :idf, as: 'idf'
          property :label, as: 'label'
          collection :original_term, as: 'originalTerm', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTerm, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTerm::Representation
      
          property :salience, as: 'salience'
          collection :signal_term, as: 'signalTerm', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalTermData, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalTermData::Representation
      
          property :virtual_tf, as: 'virtualTf'
          property :weight, as: 'weight'
        end
      end
      
      class QualitySalientTermsSalientTermSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_data, as: 'docData', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsDocData, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsDocData::Representation
      
          collection :salient_term, as: 'salientTerm', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTerm, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTerm::Representation
      
          property :version, as: 'version'
        end
      end
      
      class QualitySalientTermsSignalData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bias, as: 'bias'
          property :confidence, as: 'confidence'
          property :half_salience, as: 'halfSalience'
          property :noise_correction, as: 'noiseCorrection'
          property :observed_confidence, as: 'observedConfidence'
          property :observed_volume, as: 'observedVolume'
          property :raw_volume, as: 'rawVolume'
          property :source, as: 'source'
          property :volume, as: 'volume'
        end
      end
      
      class QualitySalientTermsSignalTermData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bigram_discount_tf, as: 'bigramDiscountTf'
          property :bigramness, as: 'bigramness'
          property :centrality, as: 'centrality'
          property :corrected_tf, as: 'correctedTf'
          property :expected_tf, as: 'expectedTf'
          property :global_npmi, as: 'globalNpmi'
          property :idf, as: 'idf'
          property :is_bigram, as: 'isBigram'
          property :label, as: 'label'
          property :local_npmi, as: 'localNpmi'
          property :observed_tf, as: 'observedTf'
          collection :original_term, as: 'originalTerm', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalTermData, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSignalTermData::Representation
      
          property :raw_tf, as: 'rawTf'
          property :salience, as: 'salience'
          property :source, as: 'source'
        end
      end
      
      class QualitySherlockKnexAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :item, as: 'item', class: Google::Apis::ContentwarehouseV1::QualitySherlockKnexAnnotationItem, decorator: Google::Apis::ContentwarehouseV1::QualitySherlockKnexAnnotationItem::Representation
      
        end
      end
      
      class QualitySherlockKnexAnnotationItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :calibrated_score, as: 'calibratedScore'
          property :debug_name, as: 'debugName'
          property :equivalent_mid, as: 'equivalentMid'
          property :score, as: 'score'
          property :version, as: 'version'
        end
      end
      
      class QualityShoppingShoppingAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dataset_model_buying_guide_score, as: 'datasetModelBuyingGuideScore'
          property :dataset_model_forum_list_score, as: 'datasetModelForumListScore'
          property :dataset_model_forum_single_score, as: 'datasetModelForumSingleScore'
          property :dataset_model_in_store_only_score, as: 'datasetModelInStoreOnlyScore'
          property :dataset_model_indirect_availability_score, as: 'datasetModelIndirectAvailabilityScore'
          property :dataset_model_multi_product_score, as: 'datasetModelMultiProductScore'
          property :dataset_model_product_comparison_score, as: 'datasetModelProductComparisonScore'
          property :dataset_model_product_review_score, as: 'datasetModelProductReviewScore'
          property :dataset_model_product_topn_score, as: 'datasetModelProductTopnScore'
          property :dataset_model_qna_list_score, as: 'datasetModelQnaListScore'
          property :dataset_model_qna_single_score, as: 'datasetModelQnaSingleScore'
          property :dataset_model_single_product_score, as: 'datasetModelSingleProductScore'
          property :dataset_model_sold_out_score, as: 'datasetModelSoldOutScore'
          property :expired_shopping_page_score, as: 'expiredShoppingPageScore'
          property :multi_product_score, as: 'multiProductScore'
          collection :product, as: 'product', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentProduct, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentProduct::Representation
      
          property :shopping_site_score, as: 'shoppingSiteScore'
          property :shopping_site_score_shopfab, as: 'shoppingSiteScoreShopfab'
          property :single_product_score, as: 'singleProductScore'
        end
      end
      
      class QualityShoppingShoppingAttachmentLocale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language_id, as: 'languageId'
          property :region_id, as: 'regionId'
        end
      end
      
      class QualityShoppingShoppingAttachmentMokaFacetValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :facet_id, :numeric_string => true, as: 'facetId'
          property :measure_value, as: 'measureValue'
          property :tag_id, :numeric_string => true, as: 'tagId'
        end
      end
      
      class QualityShoppingShoppingAttachmentOffer
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :condition, as: 'condition'
          property :control_type, as: 'controlType'
          collection :fingerprint_of_offer_urls, as: 'fingerprintOfOfferUrls'
          collection :image_id, as: 'imageId'
          collection :inferred_images, as: 'inferredImages', class: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationInferredImage, decorator: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationInferredImage::Representation
      
          property :matching_type, :numeric_string => true, as: 'matchingType'
          property :merchant_account_id, :numeric_string => true, as: 'merchantAccountId'
          property :merchant_item_id, as: 'merchantItemId'
          property :non_displayable_brand_merchant_relationship, as: 'nonDisplayableBrandMerchantRelationship'
          property :non_displayable_currency, as: 'nonDisplayableCurrency'
          property :non_displayable_organic_mscore, as: 'nonDisplayableOrganicMscore'
          property :offer_docid, :numeric_string => true, as: 'offerDocid'
          property :ref_type, as: 'refType'
          property :sori_version_id, as: 'soriVersionId', class: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationSoriVersionId, decorator: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationSoriVersionId::Representation
      
        end
      end
      
      class QualityShoppingShoppingAttachmentPBlock
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :full_title, as: 'fullTitle'
          collection :image_docid, as: 'imageDocid'
          collection :image_info, as: 'imageInfo', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentPBlockImageInfo, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentPBlockImageInfo::Representation
      
          property :is_free_delivery, as: 'isFreeDelivery'
          property :is_free_return, as: 'isFreeReturn'
          property :list_title, as: 'listTitle'
          property :max_price_value, as: 'maxPriceValue'
          property :min_price_value, as: 'minPriceValue'
          property :price, as: 'price'
          property :price_currency, as: 'priceCurrency'
          property :price_value, as: 'priceValue'
          property :title, as: 'title'
        end
      end
      
      class QualityShoppingShoppingAttachmentPBlockImageInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :width, as: 'width'
        end
      end
      
      class QualityShoppingShoppingAttachmentProduct
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregate_rating, as: 'aggregateRating', class: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationProductRating, decorator: Google::Apis::ContentwarehouseV1::ShoppingWebentityShoppingAnnotationProductRating::Representation
      
          property :brand_entity_id, :numeric_string => true, as: 'brandEntityId'
          property :catalog_id, :numeric_string => true, as: 'catalogId'
          property :encoded_product_salient_terms, :base64 => true, as: 'encodedProductSalientTerms'
          property :global_product_cluster_id, :numeric_string => true, as: 'globalProductClusterId'
          property :locale, as: 'locale', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentLocale, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentLocale::Representation
      
          collection :moka_facet, as: 'mokaFacet', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentMokaFacetValue, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentMokaFacetValue::Representation
      
          property :non_displayable_description, as: 'nonDisplayableDescription'
          property :non_displayable_title, as: 'nonDisplayableTitle'
          property :offer, as: 'offer', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentOffer, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentOffer::Representation
      
          property :outlink_domain_relationship, as: 'outlinkDomainRelationship'
          property :pblock, as: 'pblock', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentPBlock, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachmentPBlock::Representation
      
          property :product_cluster_mid, :numeric_string => true, as: 'productClusterMid'
          property :product_popularity, as: 'productPopularity'
          collection :relevance_embedding, as: 'relevanceEmbedding', class: Google::Apis::ContentwarehouseV1::QualityRankembedMustangMustangRankEmbedInfo, decorator: Google::Apis::ContentwarehouseV1::QualityRankembedMustangMustangRankEmbedInfo::Representation
      
        end
      end
      
      class QualitySitemapBreadcrumbTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :docs, as: 'docs', class: Google::Apis::ContentwarehouseV1::QualitySitemapBreadcrumbTargetDoc, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapBreadcrumbTargetDoc::Representation
      
        end
      end
      
      class QualitySitemapBreadcrumbTargetDoc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :title, as: 'title'
          property :url, as: 'url'
        end
      end
      
      class QualitySitemapCoClickTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :docs, as: 'docs', class: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTargetDoc, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTargetDoc::Representation
      
          property :language, as: 'language'
        end
      end
      
      class QualitySitemapCoClickTargetDoc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :co_click_by_locale, as: 'coClickByLocale', class: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTargetDocCoClickByLocale, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTargetDocCoClickByLocale::Representation
      
          property :title, as: 'title'
          property :url, as: 'url'
        end
      end
      
      class QualitySitemapCoClickTargetDocCoClickByLocale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :co_clicks, as: 'coClicks'
          property :co_clicks_capped, as: 'coClicksCapped'
          property :co_clicks_parent, as: 'coClicksParent'
          property :locale, as: 'locale'
        end
      end
      
      class QualitySitemapScoringSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotations, as: 'annotations'
          property :chrome_trans_count, :numeric_string => true, as: 'chromeTransCount'
          property :chrome_trans_prob, as: 'chromeTransProb'
          property :chrome_weight, as: 'chromeWeight'
          collection :country, as: 'country'
          collection :country_confidence, as: 'countryConfidence'
          property :impressions, :numeric_string => true, as: 'impressions'
          collection :lang_confidence, as: 'langConfidence'
          collection :language, as: 'language'
          collection :local_country_identifier, as: 'localCountryIdentifier'
          property :long_clicks, :numeric_string => true, as: 'longClicks'
          property :long_ctr, as: 'longCtr'
          property :navboost_score, as: 'navboostScore'
          property :navmenu_score, as: 'navmenuScore'
          property :pagerank, as: 'pagerank'
          property :recent_long_ctr, as: 'recentLongCtr'
          collection :target_cdoc_languages, as: 'targetCdocLanguages'
          property :title_score, as: 'titleScore'
        end
      end
      
      class QualitySitemapSubresult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :numeric_string => true, as: 'docid'
          property :item_metadata, as: 'itemMetadata', class: Google::Apis::ContentwarehouseV1::QualitySitemapThirdPartyCarouselsListItemMuppetMetadata, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapThirdPartyCarouselsListItemMuppetMetadata::Representation
      
        end
      end
      
      class QualitySitemapSubresultList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :subresult, as: 'subresult', class: Google::Apis::ContentwarehouseV1::QualitySitemapSubresult, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapSubresult::Representation
      
        end
      end
      
      class QualitySitemapTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :deprecated_snippet, as: 'DEPRECATEDSnippet'
          property :is_good_for_mobile, as: 'isGoodForMobile'
          property :is_mobile_n1dup, as: 'isMobileN1dup'
          collection :languages, as: 'languages'
          property :salient_image, as: 'salientImage', class: Google::Apis::ContentwarehouseV1::WwwResultInfoSubImageDocInfo, decorator: Google::Apis::ContentwarehouseV1::WwwResultInfoSubImageDocInfo::Representation
      
          property :score, as: 'score'
          property :scoring_signals, as: 'scoringSignals', class: Google::Apis::ContentwarehouseV1::QualitySitemapScoringSignals, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapScoringSignals::Representation
      
          collection :section_texts, as: 'sectionTexts'
          property :snippet_response, as: 'snippetResponse', class: Google::Apis::ContentwarehouseV1::GenericSnippetResponse, decorator: Google::Apis::ContentwarehouseV1::GenericSnippetResponse::Representation
      
          property :source_anchor, as: 'sourceAnchor'
          property :title, as: 'title'
          property :two_level_score, as: 'twoLevelScore'
          property :url, as: 'url'
        end
      end
      
      class QualitySitemapTargetGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_country, as: 'DEPRECATEDCountry'
          collection :target, as: 'Target', class: Google::Apis::ContentwarehouseV1::QualitySitemapTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTarget::Representation
      
          property :all_targets_named_anchors, as: 'allTargetsNamedAnchors'
          property :all_targets_named_topictags_scrollto, as: 'allTargetsNamedTopictagsScrollto'
          property :breadcrumb_target, as: 'breadcrumbTarget', class: Google::Apis::ContentwarehouseV1::QualitySitemapBreadcrumbTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapBreadcrumbTarget::Representation
      
          collection :co_click_target, as: 'coClickTarget', class: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapCoClickTarget::Representation
      
          property :country_code, as: 'countryCode'
          property :label, as: 'label'
          property :language, as: 'language'
          property :modified_by_hostcard_handler, as: 'modifiedByHostcardHandler'
          property :scoring_signals, as: 'scoringSignals', class: Google::Apis::ContentwarehouseV1::QualitySitemapScoringSignals, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapScoringSignals::Representation
      
          collection :top_url, as: 'topUrl', class: Google::Apis::ContentwarehouseV1::QualitySitemapTopUrl, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTopUrl::Representation
      
          collection :two_level_target, as: 'twoLevelTarget', class: Google::Apis::ContentwarehouseV1::QualitySitemapTwoLevelTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTwoLevelTarget::Representation
      
        end
      end
      
      class QualitySitemapThirdPartyCarouselsListItemMuppetMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :url_found_on_page, as: 'urlFoundOnPage'
        end
      end
      
      class QualitySitemapTopUrl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :url, as: 'url'
        end
      end
      
      class QualitySitemapTwoLevelTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :first_level_target, as: 'firstLevelTarget', class: Google::Apis::ContentwarehouseV1::QualitySitemapTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTarget::Representation
      
          collection :second_level_target, as: 'secondLevelTarget', class: Google::Apis::ContentwarehouseV1::QualitySitemapTarget, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTarget::Representation
      
        end
      end
      
      class QualityTimebasedLastSignificantUpdate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :date, :numeric_string => true, as: 'date'
          property :source, as: 'source'
        end
      end
      
      class QualityTimebasedOldnessInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_old_page, as: 'isOldPage'
        end
      end
      
      class QualityTimebasedPageType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_forum_page, as: 'isForumPage'
          property :is_page_with_fresh_repeated_dates, as: 'isPageWithFreshRepeatedDates'
          property :is_qna_page, as: 'isQnaPage'
        end
      end
      
      class QualityTimebasedSyntacticDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :byline_date, :numeric_string => true, as: 'bylineDate'
          property :date, :numeric_string => true, as: 'date'
          property :daterange, as: 'daterange', class: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDateDateRange, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDateDateRange::Representation
      
          property :debug_info, as: 'debugInfo'
          property :from_explicit_time_zone, as: 'fromExplicitTimeZone'
          property :info, as: 'info'
          property :position, as: 'position', class: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDatePosition, decorator: Google::Apis::ContentwarehouseV1::QualityTimebasedSyntacticDatePosition::Representation
      
          property :precision_mark, as: 'precisionMark'
          property :syntactic_date_not_for_restrict, as: 'syntacticDateNotForRestrict'
          property :time_zone_offset_seconds, :numeric_string => true, as: 'timeZoneOffsetSeconds'
          property :trust_syntactic_date_in_ranking, as: 'trustSyntacticDateInRanking'
          property :use_as_byline_date, as: 'useAsBylineDate'
          property :use_in_time_zone_guessing_mode, as: 'useInTimeZoneGuessingMode'
          property :use_range_instead_of_date_for_restrict, as: 'useRangeInsteadOfDateForRestrict'
        end
      end
      
      class QualityTimebasedSyntacticDateDateRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end, :numeric_string => true, as: 'end'
          property :start, :numeric_string => true, as: 'start'
        end
      end
      
      class QualityTimebasedSyntacticDatePosition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :end, as: 'end'
        end
      end
      
      class QualityTravelGoodSitesData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :i18n, as: 'i18n', class: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesDataI18n, decorator: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesDataI18n::Representation
      
          property :is_aggr, as: 'isAggr'
          property :is_attraction_official, as: 'isAttractionOfficial'
          property :is_entity, as: 'isEntity'
          property :is_hotel_official, as: 'isHotelOfficial'
          property :normalization_factor, as: 'normalizationFactor'
          collection :signal, as: 'signal', class: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesDataSignal, decorator: Google::Apis::ContentwarehouseV1::QualityTravelGoodSitesDataSignal::Representation
      
          property :site, as: 'site'
          property :total_score, as: 'totalScore'
          property :type, as: 'type'
        end
      end
      
      class QualityTravelGoodSitesDataI18n
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :locale, as: 'locale'
          property :type, as: 'type'
        end
      end
      
      class QualityTravelGoodSitesDataSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class QualityVidyaVideoLanguageVideoLanguage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :speech_class, as: 'speechClass'
        end
      end
      
      class QualityViewsExtractionClusterInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster_id, as: 'clusterId'
          property :cluster_set_score, as: 'clusterSetScore'
          collection :cluster_sibling_mid, as: 'clusterSiblingMid'
          property :score, as: 'score'
          collection :sub_cluster, as: 'subCluster', class: Google::Apis::ContentwarehouseV1::QualityViewsExtractionClusterInfo, decorator: Google::Apis::ContentwarehouseV1::QualityViewsExtractionClusterInfo::Representation
      
        end
      end
      
      class QualityWebanswersTranscriptAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :video_transcript_annotations, as: 'videoTranscriptAnnotations', class: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoTranscriptAnnotations, decorator: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoTranscriptAnnotations::Representation
      
        end
      end
      
      class QualityWebanswersVideoTranscriptAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amarna_docid, as: 'amarnaDocid'
          property :lang, as: 'lang'
          property :punctuated_transcript, as: 'punctuatedTranscript'
          property :saft_document, as: 'saftDocument', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
          property :saft_sentence_boundary, as: 'saftSentenceBoundary', class: Google::Apis::ContentwarehouseV1::SentenceBoundaryAnnotations, decorator: Google::Apis::ContentwarehouseV1::SentenceBoundaryAnnotations::Representation
      
          property :timing_info, as: 'timingInfo', class: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotations, decorator: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotations::Representation
      
          property :webref_entities, as: 'webrefEntities', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntities, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntities::Representation
      
        end
      end
      
      class QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :duration_ms, as: 'durationMs'
          collection :instances, as: 'instances', class: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotationsInstance, decorator: Google::Apis::ContentwarehouseV1::QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotationsInstance::Representation
      
          property :uploader_name, as: 'uploaderName'
        end
      end
      
      class QualityWebanswersVideoYouTubeCaptionTimingInfoAnnotationsInstance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :end, as: 'end'
          property :video_begin_ms, as: 'videoBeginMs'
          property :video_end_ms, as: 'videoEndMs'
        end
      end
      
      class RegistrationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :created_date, as: 'createdDate'
          property :expired_date, as: 'expiredDate'
        end
      end
      
      class RepositoryAnnotationsGeoTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address, as: 'address', class: Google::Apis::ContentwarehouseV1::GeostoreAddressProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressProto::Representation
      
          collection :component_scores, as: 'componentScores', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopicalityScore, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopicalityScore::Representation
      
          property :confidence, as: 'confidence'
          property :dense_city, as: 'denseCity'
          property :establishment_type, as: 'establishmentType'
          property :lat_e7, as: 'latE7'
          property :lng_e7, as: 'lngE7'
          property :location_name, as: 'locationName'
          property :normalized_score, as: 'normalizedScore'
          property :oyster_id, as: 'oysterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :oyster_type, as: 'oysterType'
          property :sum_contained_poi_normalized_scores, as: 'sumContainedPoiNormalizedScores'
        end
      end
      
      class RepositoryAnnotationsGeoTopicality
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :geotopics, as: 'geotopics', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopic, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsGeoTopic::Representation
      
        end
      end
      
      class RepositoryAnnotationsGeoTopicalityScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :raw_score, as: 'rawScore'
          property :type, as: 'type'
        end
      end
      
      class RepositoryAnnotationsMustangSentimentSnippetAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_magnitude, as: 'deprecatedMagnitude'
          property :deprecated_polarity, as: 'deprecatedPolarity'
          property :end, as: 'end'
          property :is_truncated, as: 'isTruncated'
          property :phrase_type, as: 'phraseType'
          property :snippet_score, as: 'snippetScore'
          property :snippet_text, as: 'snippetText'
          property :start, as: 'start'
        end
      end
      
      class RepositoryAnnotationsRdfaBreadcrumbs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :crumb, as: 'crumb', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaCrumb, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaCrumb::Representation
      
          property :url, as: 'url'
        end
      end
      
      class RepositoryAnnotationsRdfaCrumb
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :title, as: 'title'
          property :url, as: 'url'
        end
      end
      
      class RepositoryAnnotationsRdfaRdfaRichSnippetsApplication
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_url, as: 'applicationUrl'
          property :breadcrumbs, as: 'breadcrumbs', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaBreadcrumbs, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaBreadcrumbs::Representation
      
          collection :category, as: 'category'
          collection :countries_supported, as: 'countriesSupported'
          collection :country_prices, as: 'countryPrices', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaRdfaRichSnippetsApplicationCountryPrice, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsRdfaRdfaRichSnippetsApplicationCountryPrice::Representation
      
          property :currency, as: 'currency'
          property :description, as: 'description'
          property :dev_console_id, as: 'devConsoleId'
          property :extracted_icon_color, as: 'extractedIconColor'
          collection :extracted_icon_colors, as: 'extractedIconColors'
          collection :filtering_tag, as: 'filteringTag'
          collection :genre, as: 'genre'
          property :has_editors_choice_badge, as: 'hasEditorsChoiceBadge'
          property :icon_url_href, as: 'iconUrlHref'
          property :icon_url_thumbnail, as: 'iconUrlThumbnail'
          property :in_app_purchase, as: 'inAppPurchase'
          property :is_default_lang_locale, as: 'isDefaultLangLocale'
          property :lang_locale, as: 'langLocale'
          property :last_updated, as: 'lastUpdated'
          property :marketplace, as: 'marketplace'
          property :name, as: 'name'
          property :num_downloads, as: 'numDownloads'
          collection :operating_systems, as: 'operatingSystems'
          property :optional_result, as: 'optionalResult'
          property :original_rating, as: 'originalRating'
          collection :physical_device_tags, as: 'physicalDeviceTags'
          collection :platform_tags, as: 'platformTags'
          property :popular_score, as: 'popularScore'
          property :price, as: 'price'
          property :rating, as: 'rating'
          property :rating_count, as: 'ratingCount'
          property :release_date, as: 'releaseDate'
          property :review_author, as: 'reviewAuthor'
          property :review_count, as: 'reviewCount'
          collection :screen_url_href, as: 'screenUrlHref'
          collection :screen_url_thumbnail, as: 'screenUrlThumbnail'
          property :size, as: 'size'
          collection :subcategory, as: 'subcategory'
          property :supports_android_tv, as: 'supportsAndroidTv'
          property :supports_chromecast, as: 'supportsChromecast'
          property :total_rating, as: 'totalRating'
          property :total_rating_count, as: 'totalRatingCount'
          hash :trusted_genome_data, as: 'trustedGenomeData', class: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeAnnotation, decorator: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeAnnotation::Representation
      
          property :vendor, as: 'vendor'
          property :vendor_canonical_url, as: 'vendorCanonicalUrl'
          property :vendor_url, as: 'vendorUrl'
          property :version, as: 'version'
        end
      end
      
      class RepositoryAnnotationsRdfaRdfaRichSnippetsApplicationCountryPrice
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          property :currency_code, as: 'currencyCode'
          property :price, as: 'price'
        end
      end
      
      class RepositoryWebrefAbsoluteLegacyId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain_name, as: 'domainName'
          property :entity_type_name, as: 'entityTypeName'
          property :legacy_id, as: 'legacyId'
        end
      end
      
      class RepositoryWebrefAggregatedEntityNameScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity_score, as: 'entityScore', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameScore, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameScore::Representation
      
        end
      end
      
      class RepositoryWebrefAnchorIndices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :index, as: 'index'
        end
      end
      
      class RepositoryWebrefAnnotatedCategoryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_string, as: 'debugString'
          property :listiness, as: 'listiness'
          property :mid, :numeric_string => true, as: 'mid'
        end
      end
      
      class RepositoryWebrefAnnotationDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          collection :info_string, as: 'infoString'
          property :raw_classification, as: 'rawClassification', class: Google::Apis::ContentwarehouseV1::EntitySignalsEntityClassification, decorator: Google::Apis::ContentwarehouseV1::EntitySignalsEntityClassification::Representation
      
          property :url, as: 'url'
        end
      end
      
      class RepositoryWebrefAnnotationRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_level_relevance_ratings, as: 'docLevelRelevanceRatings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDocLevelRelevanceRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDocLevelRelevanceRatings::Representation
      
        end
      end
      
      class RepositoryWebrefAnnotationStatsPerType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :avg_open_world, as: 'avgOpenWorld'
          property :avg_open_world_cap, as: 'avgOpenWorldCap'
          property :avg_open_world_uncap, as: 'avgOpenWorldUncap'
          property :num_ranges_with_candidates, :numeric_string => true, as: 'numRangesWithCandidates'
          property :num_ranges_with_candidates_cap, :numeric_string => true, as: 'numRangesWithCandidatesCap'
          property :num_ranges_with_candidates_uncap, :numeric_string => true, as: 'numRangesWithCandidatesUncap'
          property :token_type, as: 'tokenType'
        end
      end
      
      class RepositoryWebrefAnnotatorCheckpointFprint
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fingerprint, :numeric_string => true, as: 'fingerprint'
          property :label, as: 'label'
        end
      end
      
      class RepositoryWebrefAnnotatorProfile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_candidate_mentions, as: 'numCandidateMentions'
          property :num_entities, as: 'numEntities'
          property :num_mentions, as: 'numMentions'
          property :num_tokens, as: 'numTokens'
          property :processor_timings_root, as: 'processorTimingsRoot', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorTiming, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorTiming::Representation
      
        end
      end
      
      class RepositoryWebrefBookEditionMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :book_edition_isbn, :numeric_string => true, as: 'bookEditionIsbn'
          property :book_edition_mid, :numeric_string => true, as: 'bookEditionMid'
        end
      end
      
      class RepositoryWebrefBootstrappingScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score_ratio, as: 'scoreRatio'
        end
      end
      
      class RepositoryWebrefCategoryAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :browsy_topic, as: 'browsyTopic', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationBrowsyTopic, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationBrowsyTopic::Representation
      
          property :debug_string, as: 'debugString'
          property :hitcat, as: 'hitcat', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationHitCatSource, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationHitCatSource::Representation
      
          property :mid, as: 'mid'
          property :shopping, as: 'shopping', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationShoppingSignals, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotationShoppingSignals::Representation
      
        end
      end
      
      class RepositoryWebrefCategoryAnnotationBrowsyTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
        end
      end
      
      class RepositoryWebrefCategoryAnnotationHitCatSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :cumulative_confidence, as: 'cumulativeConfidence'
          property :experimental_confidence, as: 'experimentalConfidence'
        end
      end
      
      class RepositoryWebrefCategoryAnnotationShoppingSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_shopping_annotation, as: 'isShoppingAnnotation'
        end
      end
      
      class RepositoryWebrefCategoryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :all_types, as: 'allTypes', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType::Representation
      
          collection :fatcat_category, as: 'fatcatCategory', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory::Representation
      
          collection :fatcat_context, as: 'fatcatContext', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory::Representation
      
          collection :freebase_type, as: 'freebaseType', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType::Representation
      
          collection :kg_collection, as: 'kgCollection', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection::Representation
      
          property :oyster_type, as: 'oysterType', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefOysterType, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefOysterType::Representation
      
          collection :salient_category, as: 'salientCategory', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFatcatCategory::Representation
      
          collection :wikipedia_category, as: 'wikipediaCategory', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWikipediaCategory, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWikipediaCategory::Representation
      
          collection :wp_category, as: 'wpCategory', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFreebaseType::Representation
      
        end
      end
      
      class RepositoryWebrefClusterMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_set, as: 'isSet'
          property :rule_instance, as: 'ruleInstance', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRuleInstance, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRuleInstance::Representation
      
        end
      end
      
      class RepositoryWebrefClusterProtoMidListRule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          collection :mid, as: 'mid'
        end
      end
      
      class RepositoryWebrefClusterProtoMidListRuleInstance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :role, as: 'role'
          property :rule, as: 'rule', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoMidListRule, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoMidListRule::Representation
      
        end
      end
      
      class RepositoryWebrefClusterProtoRelationRule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_collapsible, as: 'isCollapsible'
          property :is_cvt_rule, as: 'isCvtRule'
          property :relation, as: 'relation'
          property :sequence_id, as: 'sequenceId'
        end
      end
      
      class RepositoryWebrefClusterProtoRelationRuleInstance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :role, as: 'role'
          property :rule, as: 'rule', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRelationRule, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRelationRule::Representation
      
          property :target, as: 'target', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId::Representation
      
        end
      end
      
      class RepositoryWebrefClusterProtoRuleInstance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid_list, as: 'midList', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoMidListRuleInstance, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoMidListRuleInstance::Representation
      
          collection :relation, as: 'relation', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRelationRuleInstance, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterProtoRelationRuleInstance::Representation
      
        end
      end
      
      class RepositoryWebrefCompactFlatPropertyValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :predicate_encoded_mid, as: 'predicateEncodedMid'
          property :property_name, as: 'propertyName'
          collection :value, as: 'value', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgValue, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgValue::Representation
      
        end
      end
      
      class RepositoryWebrefCompactKgPropertyValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encoded_mid, :numeric_string => true, as: 'encodedMid'
          property :hrid, as: 'hrid'
          collection :value, as: 'value', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgValue, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgValue::Representation
      
          property :value_status, as: 'valueStatus'
        end
      end
      
      class RepositoryWebrefCompactKgTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, :numeric_string => true, as: 'mid'
          collection :property_value, as: 'propertyValue', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgPropertyValue, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgPropertyValue::Representation
      
        end
      end
      
      class RepositoryWebrefCompactKgValue
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bool_value, as: 'boolValue'
          property :compound_value, as: 'compoundValue', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgTopic, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactKgTopic::Representation
      
          property :datetime_value, as: 'datetimeValue'
          property :enum_value, as: 'enumValue'
          property :float_value, as: 'floatValue'
          property :id_value, :numeric_string => true, as: 'idValue'
          property :int_value, :numeric_string => true, as: 'intValue'
          property :serialized_proto_value, :base64 => true, as: 'serializedProtoValue'
          property :text_value, as: 'textValue'
          property :uri_value, as: 'uriValue'
          property :uri_value_fprint32, as: 'uriValueFprint32'
        end
      end
      
      class RepositoryWebrefComponentReference
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_entity, as: 'debugEntity'
          property :funcall_name, as: 'funcallName'
          property :index, as: 'index'
        end
      end
      
      class RepositoryWebrefConceptNameMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name_type_mask, :numeric_string => true, as: 'nameTypeMask'
        end
      end
      
      class RepositoryWebrefDetailedEntityScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_score, as: 'anchorScore'
          property :body_score, as: 'bodyScore'
          property :connectedness, as: 'connectedness'
          property :doc_score, as: 'docScore'
          property :geo_topic_normalized_score, as: 'geoTopicNormalizedScore'
          property :is_author, as: 'isAuthor'
          property :is_publisher, as: 'isPublisher'
          property :is_reference_page, as: 'isReferencePage'
          property :local_entity_location_confidence, as: 'localEntityLocationConfidence'
          property :nb_score, as: 'nbScore'
          property :new_confidence_experimental_dont_use, as: 'newConfidenceExperimentalDontUse'
          property :news_topicality_score, as: 'newsTopicalityScore'
          property :normalized_topicality, as: 'normalizedTopicality'
          property :reference_page_scores, as: 'referencePageScores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefReferencePageScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefReferencePageScores::Representation
      
          property :relevance_score, as: 'relevanceScore'
        end
      end
      
      class RepositoryWebrefDetailedMentionScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :pattern_info, as: 'patternInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPatternInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPatternInfo::Representation
      
          property :posterior_for_learning, as: 'posteriorForLearning'
          property :result_entity_score, as: 'resultEntityScore'
        end
      end
      
      class RepositoryWebrefDisplayInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :display_name, as: 'displayName', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDisplayName, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDisplayName::Representation
      
        end
      end
      
      class RepositoryWebrefDisplayName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_name, as: 'canonicalName'
          property :language, as: 'language'
          property :subject_name, as: 'subjectName'
        end
      end
      
      class RepositoryWebrefDocLevelRelevanceRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :per_doc_relevance_ratings, as: 'perDocRelevanceRatings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRatings::Representation
      
        end
      end
      
      class RepositoryWebrefDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cdoc_attachments, as: 'cdocAttachments', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :crawl_time, :numeric_string => true, as: 'crawlTime'
          property :doc_fp, :numeric_string => true, as: 'docFp'
          property :doc_id, :numeric_string => true, as: 'docId'
          property :forwarding_urls, as: 'forwardingUrls', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefForwardingUrls, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefForwardingUrls::Representation
      
          property :is_disambiguation_page, as: 'isDisambiguationPage'
          property :language, as: 'language'
          property :num_incoming_anchors, as: 'numIncomingAnchors'
          collection :repeated_cdoc_attachments, as: 'repeatedCdocAttachments', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :salient_terms, as: 'salientTerms', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet::Representation
      
          property :title, as: 'title'
          property :total_clicks, as: 'totalClicks'
          property :url, as: 'url'
        end
      end
      
      class RepositoryWebrefDomainSpecificRepresentation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_data, as: 'entityData', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class RepositoryWebrefEnricherDebugData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :non_mid_properties, as: 'nonMidProperties', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactFlatPropertyValue, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCompactFlatPropertyValue::Representation
      
          collection :reference_page, as: 'referencePage', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc::Representation
      
          collection :related_page, as: 'relatedPage', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc::Representation
      
        end
      end
      
      class RepositoryWebrefEntityAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence_score, as: 'confidenceScore'
          property :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationDebugInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationDebugInfo::Representation
      
          property :detailed_entity_scores, as: 'detailedEntityScores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDetailedEntityScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDetailedEntityScores::Representation
      
          property :explained_range_info, as: 'explainedRangeInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefExplainedRangeInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefExplainedRangeInfo::Representation
      
          property :is_implicit, as: 'isImplicit'
          property :is_resolution, as: 'isResolution'
          collection :segment_mentions, as: 'segmentMentions', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMentions, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMentions::Representation
      
          property :topicality_rank, as: 'topicalityRank'
          property :topicality_score, as: 'topicalityScore'
        end
      end
      
      class RepositoryWebrefEntityDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :contains_restricted_data, as: 'containsRestrictedData'
          property :description, as: 'description'
          property :language, as: 'language'
          property :score, as: 'score'
          property :title, as: 'title'
          property :url, as: 'url'
        end
      end
      
      class RepositoryWebrefEntityJoin
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotated_entity_id, as: 'annotatedEntityId', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId::Representation
      
          collection :cdoc, as: 'cdoc', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedCompositeDoc::Representation
      
          collection :context_name_info, as: 'contextNameInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalNameInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalNameInfo::Representation
      
          collection :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityDebugInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityDebugInfo::Representation
      
          property :enricher_annotator_profile, as: 'enricherAnnotatorProfile', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatorProfile, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatorProfile::Representation
      
          property :enricher_debug_data, as: 'enricherDebugData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEnricherDebugData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEnricherDebugData::Representation
      
          property :extra_data, as: 'extraData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefExtraMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefExtraMetadata::Representation
      
          property :human_ratings, as: 'humanRatings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefHumanRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefHumanRatings::Representation
      
          collection :link_info, as: 'linkInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalLinkInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalLinkInfo::Representation
      
          collection :name_info, as: 'nameInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalNameInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGlobalNameInfo::Representation
      
          property :name_signals, as: 'nameSignals', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameSignals, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameSignals::Representation
      
          property :preprocessing_id, as: 'preprocessingId', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAbsoluteLegacyId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAbsoluteLegacyId::Representation
      
          collection :refcon_name_info, as: 'refconNameInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconRefconNameInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconRefconNameInfo::Representation
      
          collection :representation, as: 'representation', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDomainSpecificRepresentation, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDomainSpecificRepresentation::Representation
      
        end
      end
      
      class RepositoryWebrefEntityLinkMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregate_flags, as: 'aggregateFlags', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindFlags, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindFlags::Representation
      
          collection :kind_info, as: 'kindInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindInfo::Representation
      
        end
      end
      
      class RepositoryWebrefEntityLinkSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :kg_property, as: 'kgProperty'
          property :score, as: 'score'
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefEntityNameRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :name, as: 'name'
          collection :ratings, as: 'ratings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameRatingsEntityNameRating, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameRatingsEntityNameRating::Representation
      
          collection :tags, as: 'tags'
        end
      end
      
      class RepositoryWebrefEntityNameRatingsEntityNameRating
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :label, as: 'label'
          property :source, as: 'source'
        end
      end
      
      class RepositoryWebrefEntityNameScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bootstrapping_previous_iteration, as: 'bootstrappingPreviousIteration', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefBootstrappingScore, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefBootstrappingScore::Representation
      
          property :confidence, as: 'confidence'
          collection :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityDebugInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityDebugInfo::Representation
      
          collection :debug_variant_signals, as: 'debugVariantSignals', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantSignals, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantSignals::Representation
      
          property :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityJoin, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityJoin::Representation
      
          collection :extended_score_ratio, as: 'extendedScoreRatio', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefExtendedEntityNameScore, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefExtendedEntityNameScore::Representation
      
          property :include_in_model, as: 'includeInModel'
          property :internal_bootstrap_is_open_world, as: 'internalBootstrapIsOpenWorld'
          property :internal_is_cluster_parent, as: 'internalIsClusterParent'
          property :is_cluster_global, as: 'isClusterGlobal'
          property :is_dropped, as: 'isDropped'
          property :is_matchless_result_context, as: 'isMatchlessResultContext'
          property :is_pruned, as: 'isPruned'
          property :mid, :numeric_string => true, as: 'mid'
          property :name_metadata, as: 'nameMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameEntityMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameEntityMetadata::Representation
      
          collection :range_metadata, as: 'rangeMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRangeMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRangeMetadata::Representation
      
          property :score, as: 'score'
          property :score_ratio, as: 'scoreRatio'
          property :use_as_name_candidate, as: 'useAsNameCandidate'
          property :volume_based_score, as: 'volumeBasedScore'
        end
      end
      
      class RepositoryWebrefEntityNameSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity_score, as: 'entityScore', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameScore, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameScore::Representation
      
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefEntityScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_caps_prob, as: 'allCapsProb'
          property :alpha_entity_idf, as: 'alphaEntityIdf'
          property :common_ngram_prob, as: 'commonNgramProb'
          property :entity_idf, as: 'entityIdf'
          property :name_capitalization_prob, as: 'nameCapitalizationProb'
          property :person_prob, as: 'personProb'
        end
      end
      
      class RepositoryWebrefExplainedRangeInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :explained_range, as: 'explainedRange', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefExplainedRangeInfoExplainedRange, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefExplainedRangeInfoExplainedRange::Representation
      
          property :geo_query_coverage, as: 'geoQueryCoverage'
        end
      end
      
      class RepositoryWebrefExplainedRangeInfoExplainedRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention::Representation
      
        end
      end
      
      class RepositoryWebrefExtendedEntityNameScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
          property :region, as: 'region'
          property :score_ratio, as: 'scoreRatio'
        end
      end
      
      class RepositoryWebrefExtraMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :book_edition_metadata, as: 'bookEditionMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefBookEditionMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefBookEditionMetadata::Representation
      
          property :category_info, as: 'categoryInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryInfo::Representation
      
          property :cluster_metadata, as: 'clusterMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefClusterMetadata::Representation
      
          property :display_info, as: 'displayInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDisplayInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDisplayInfo::Representation
      
          property :entity_scores, as: 'entityScores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityScores::Representation
      
          collection :equivalent_entity_id, as: 'equivalentEntityId', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId::Representation
      
          property :geo_metadata, as: 'geoMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGeoMetadataProto, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGeoMetadataProto::Representation
      
          property :kc_attribute_metadata, as: 'kcAttributeMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefKcAttributeMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefKcAttributeMetadata::Representation
      
          property :latent_entities, as: 'latentEntities', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLatentEntities, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLatentEntities::Representation
      
          property :mdvc_metadata, as: 'mdvcMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMdvcMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMdvcMetadata::Representation
      
          property :other_metadata, as: 'otherMetadata', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :primary_recording, :numeric_string => true, as: 'primaryRecording'
          property :product_metadata, as: 'productMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefProductMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefProductMetadata::Representation
      
          property :special_entity_type, as: 'specialEntityType'
          collection :special_word, as: 'specialWord', class: Google::Apis::ContentwarehouseV1::MapsQualitySpecialWordsProto, decorator: Google::Apis::ContentwarehouseV1::MapsQualitySpecialWordsProto::Representation
      
          collection :support_transfer_rules, as: 'supportTransferRules', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSupportTransferRule, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSupportTransferRule::Representation
      
        end
      end
      
      class RepositoryWebrefFatcatCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_id, as: 'debugId'
          property :id, as: 'id'
          property :score, as: 'score'
        end
      end
      
      class RepositoryWebrefForwardingUrls
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :forwarding_url, as: 'forwardingUrl'
        end
      end
      
      class RepositoryWebrefFprintModifierProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :capitalization, as: 'capitalization'
          property :enclosing, as: 'enclosing'
          property :language, as: 'language'
          property :namespace_type, as: 'namespaceType'
          property :punctuation, as: 'punctuation'
          property :sentence, as: 'sentence'
          property :source_type, as: 'sourceType'
          property :stemming, as: 'stemming'
          property :style, as: 'style'
          property :token_type, as: 'tokenType'
        end
      end
      
      class RepositoryWebrefFreebaseType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :provenance, as: 'provenance'
          property :score, as: 'score'
          property :type_mid, :numeric_string => true, as: 'typeMid'
          property :type_name, as: 'typeName'
        end
      end
      
      class RepositoryWebrefGenericIndices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index, as: 'index'
        end
      end
      
      class RepositoryWebrefGeoMetadataProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :address, as: 'address', class: Google::Apis::ContentwarehouseV1::GeostoreAddressProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreAddressProto::Representation
      
          collection :address_synonyms, as: 'addressSynonyms', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGeoMetadataProtoAddressSynonym, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGeoMetadataProtoAddressSynonym::Representation
      
          property :area_km2, as: 'areaKm2'
          property :bound, as: 'bound', class: Google::Apis::ContentwarehouseV1::GeostoreRectProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreRectProto::Representation
      
          property :country_code, as: 'countryCode'
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :name, as: 'name', class: Google::Apis::ContentwarehouseV1::GeostoreNameProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreNameProto::Representation
      
          property :oyster_id, as: 'oysterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :stable_integer_country_code, as: 'stableIntegerCountryCode'
          property :timezone, as: 'timezone'
          collection :wp_location, as: 'wpLocation', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWikipediaGeocode, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWikipediaGeocode::Representation
      
        end
      end
      
      class RepositoryWebrefGeoMetadataProtoAddressSynonym
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :name, as: 'name'
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefGlobalLinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_title, as: 'debugTitle'
          property :is_boosted_primary_weight_link, as: 'isBoostedPrimaryWeightLink'
          property :target_mid, :numeric_string => true, as: 'targetMid'
          collection :variant_info, as: 'variantInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkInfo::Representation
      
        end
      end
      
      class RepositoryWebrefGlobalNameInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :normalized_name, as: 'normalizedName'
          collection :variant_info, as: 'variantInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameInfo::Representation
      
        end
      end
      
      class RepositoryWebrefHumanRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_ratings, as: 'annotationRatings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationRatings::Representation
      
        end
      end
      
      class RepositoryWebrefImageQueryIndices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_index, as: 'imageIndex'
          property :query_index, as: 'queryIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefQueryIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefQueryIndices::Representation
      
        end
      end
      
      class RepositoryWebrefJuggernautIndices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :index, as: 'index'
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefKcAttributeMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :equivalent_attribute_id, as: 'equivalentAttributeId'
        end
      end
      
      class RepositoryWebrefKgCollection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_id, as: 'debugId'
          property :id, as: 'id'
        end
      end
      
      class RepositoryWebrefLatentEntities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :latent_entity, as: 'latentEntity', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLatentEntity, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLatentEntity::Representation
      
          collection :latent_mid, as: 'latentMid'
        end
      end
      
      class RepositoryWebrefLatentEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :broader_importance, as: 'broaderImportance'
          property :mid, as: 'mid'
          collection :sources, as: 'sources'
        end
      end
      
      class RepositoryWebrefLexicalAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :lexical_range, as: 'lexicalRange', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLexicalRange, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLexicalRange::Representation
      
        end
      end
      
      class RepositoryWebrefLexicalRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin_offset, as: 'beginOffset'
          property :category, as: 'category'
          property :direction, as: 'direction'
          property :end_offset, as: 'endOffset'
          property :facet_mid, :numeric_string => true, as: 'facetMid'
        end
      end
      
      class RepositoryWebrefLightweightTokensMatchedLightweightToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :additional_begin_offset, as: 'additionalBeginOffset'
          property :additional_end_offset, as: 'additionalEndOffset'
          property :begin_offset, as: 'beginOffset'
          property :end_offset, as: 'endOffset'
          property :pattern_id, :numeric_string => true, as: 'patternId'
          property :source_entity_index, as: 'sourceEntityIndex'
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefLightweightTokensPerMentionLightweightToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :matched_lightweight_token, as: 'matchedLightweightToken', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken::Representation
      
        end
      end
      
      class RepositoryWebrefLightweightTokensPerNameLightweightToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :matched_lightweight_token, as: 'matchedLightweightToken', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensMatchedLightweightToken::Representation
      
        end
      end
      
      class RepositoryWebrefLinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_score, as: 'aggregatedScore'
          property :is_preferred_direction, as: 'isPreferredDirection'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkMetadata::Representation
      
          collection :source, as: 'source', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkSource, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkSource::Representation
      
        end
      end
      
      class RepositoryWebrefLinkKindFlags
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cluster, as: 'cluster'
          property :geo_containment, as: 'geoContainment'
          property :implication, as: 'implication'
          property :latent_entity, as: 'latentEntity'
          property :mdvc, as: 'mdvc'
          property :property, as: 'property'
          property :resolution, as: 'resolution'
        end
      end
      
      class RepositoryWebrefLinkKindInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :flags, as: 'flags', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindFlags, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLinkKindFlags::Representation
      
          property :kc_link_name, as: 'kcLinkName'
          property :topic_property_name, as: 'topicPropertyName'
        end
      end
      
      class RepositoryWebrefLocalizedString
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
          property :fprint_modifier, as: 'fprintModifier', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefFprintModifierProto, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefFprintModifierProto::Representation
      
          property :language, as: 'language'
          property :normalized_string, as: 'normalizedString'
          property :original_string, as: 'originalString'
          property :region, as: 'region'
          property :source_type, as: 'sourceType'
        end
      end
      
      class RepositoryWebrefMdvcMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :dimension, as: 'dimension'
          collection :expanded_output_concept_id, as: 'expandedOutputConceptId'
          collection :generalization, as: 'generalization'
          property :is_synthetic, as: 'isSynthetic'
          collection :per_vertical, as: 'perVertical', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMdvcMetadataPerVertical, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMdvcMetadataPerVertical::Representation
      
          property :query_to_long_running_story_dataset, as: 'queryToLongRunningStoryDataset', class: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsDataset, decorator: Google::Apis::ContentwarehouseV1::NewsReconServiceLrsQ2lrs2QueryToLrsDataset::Representation
      
          property :resolution_priority, as: 'resolutionPriority'
        end
      end
      
      class RepositoryWebrefMdvcMetadataPerVertical
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :compatible_ids, as: 'compatibleIds'
          collection :dimension_ids, as: 'dimensionIds'
          collection :expanded_output_ids, as: 'expandedOutputIds'
          collection :generalization_ids, as: 'generalizationIds'
          property :is_core, as: 'isCore'
          property :is_dimension, as: 'isDimension'
          property :is_generalization, as: 'isGeneralization'
          property :resolution_priority, as: 'resolutionPriority'
          collection :sub_vertical_fp, as: 'subVerticalFp'
          property :vertical_name, as: 'verticalName'
        end
      end
      
      class RepositoryWebrefMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :added_by_close_answers, as: 'addedByCloseAnswers'
          collection :additional_explained_range, as: 'additionalExplainedRange', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionAdditionalExplainedRange, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionAdditionalExplainedRange::Representation
      
          property :begin, as: 'begin'
          property :begin_token_index, as: 'beginTokenIndex'
          collection :compound_mention, as: 'compoundMention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionCompoundMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionCompoundMention::Representation
      
          property :confidence_score, as: 'confidenceScore'
          property :debug_info, as: 'debugInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionDebugInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionDebugInfo::Representation
      
          property :detailed_mention_scores, as: 'detailedMentionScores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDetailedMentionScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDetailedMentionScores::Representation
      
          property :end, as: 'end'
          property :end_token_index, as: 'endTokenIndex'
          property :eval_info, as: 'evalInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionEvalInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionEvalInfo::Representation
      
          collection :interpretation_number, as: 'interpretationNumber'
          property :is_implicit, as: 'isImplicit'
          property :lexical_annotation, as: 'lexicalAnnotation', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLexicalAnnotation, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLexicalAnnotation::Representation
      
          property :low_confidence, as: 'lowConfidence'
          property :matching_text, as: 'matchingText'
          property :name_metadata, as: 'nameMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefConceptNameMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefConceptNameMetadata::Representation
      
          property :non_locational_score, as: 'nonLocationalScore'
          property :per_mention_lightweight_token, as: 'perMentionLightweightToken', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensPerMentionLightweightToken, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensPerMentionLightweightToken::Representation
      
          property :personalization_context_outputs, as: 'personalizationContextOutputs', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPersonalizationContextOutputs, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPersonalizationContextOutputs::Representation
      
          property :prior_probability, as: 'priorProbability'
          property :reference_score, as: 'referenceScore'
          property :resolution_score, as: 'resolutionScore'
          property :stuff, as: 'stuff', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :subsegment_index, as: 'subsegmentIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSubSegmentIndex, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSubSegmentIndex::Representation
      
          property :time_offset_confidence, as: 'timeOffsetConfidence'
          property :time_offset_ms, as: 'timeOffsetMs'
          property :trusted_name_confidence, as: 'trustedNameConfidence'
        end
      end
      
      class RepositoryWebrefMentionAdditionalExplainedRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :begin_token_index, as: 'beginTokenIndex'
          property :end, as: 'end'
          property :end_token_index, as: 'endTokenIndex'
        end
      end
      
      class RepositoryWebrefMentionComponent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_index, as: 'entityIndex'
          property :is_head_component, as: 'isHeadComponent'
          property :mention_index, as: 'mentionIndex'
          property :segment_mentions_index, as: 'segmentMentionsIndex'
        end
      end
      
      class RepositoryWebrefMentionCompoundMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :component, as: 'component', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionComponent, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionComponent::Representation
      
          collection :mrf_index, as: 'mrfIndex'
        end
      end
      
      class RepositoryWebrefMentionDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :clean_text, as: 'cleanText'
          collection :info_string, as: 'infoString'
          property :snippet, as: 'snippet'
          property :text, as: 'text'
        end
      end
      
      class RepositoryWebrefMentionEvalInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :atm_weight, as: 'atmWeight'
          property :rating, as: 'rating'
        end
      end
      
      class RepositoryWebrefMentionRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :end, as: 'end'
          collection :mention_match, as: 'mentionMatch'
          collection :single_mention_rating, as: 'singleMentionRating', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionRatingsSingleMentionRating, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionRatingsSingleMentionRating::Representation
      
        end
      end
      
      class RepositoryWebrefMentionRatingsSingleMentionRating
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_correct_range, as: 'isCorrectRange'
          property :mention_match, as: 'mentionMatch'
          property :mention_relevant, as: 'mentionRelevant'
          property :phrase_refer, as: 'phraseRefer'
          property :rater_can_understand_topic, as: 'raterCanUnderstandTopic'
          property :rating_source, as: 'ratingSource'
          property :result_count, as: 'resultCount'
          property :task_data, as: 'taskData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData::Representation
      
          collection :topic_mentioned_in_result, as: 'topicMentionedInResult'
        end
      end
      
      class RepositoryWebrefNameDebugInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :candidates, as: 'candidates', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameDebugInfoCandidateInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameDebugInfoCandidateInfo::Representation
      
          property :query, as: 'query', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString::Representation
      
          property :weight, as: 'weight'
        end
      end
      
      class RepositoryWebrefNameDebugInfoCandidateInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_matchless_result_context, as: 'isMatchlessResultContext'
          property :mid, as: 'mid'
          property :name, as: 'name'
          property :result_entity_score, as: 'resultEntityScore'
        end
      end
      
      class RepositoryWebrefNameInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_scores, as: 'aggregatedScores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAggregatedEntityNameScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAggregatedEntityNameScores::Representation
      
          collection :annotated_category, as: 'annotatedCategory', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatedCategoryInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatedCategoryInfo::Representation
      
          collection :debug_details, as: 'debugDetails', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameDebugInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameDebugInfo::Representation
      
          property :include_in_model, as: 'includeInModel'
          property :name, as: 'name', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString::Representation
      
          property :ngram_data, as: 'ngramData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefUniversalNgramData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefUniversalNgramData::Representation
      
          property :per_name_lightweight_token, as: 'perNameLightweightToken', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensPerNameLightweightToken, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLightweightTokensPerNameLightweightToken::Representation
      
          property :scores, as: 'scores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNameScores::Representation
      
          collection :source, as: 'source', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameSource, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameSource::Representation
      
        end
      end
      
      class RepositoryWebrefNameScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :complete_world_volume, as: 'completeWorldVolume'
          property :context_fringe_score, as: 'contextFringeScore'
          property :context_weight, as: 'contextWeight'
          property :idf_score, as: 'idfScore'
          property :open_world_volume_modifier, as: 'openWorldVolumeModifier'
          property :total_score, as: 'totalScore'
        end
      end
      
      class RepositoryWebrefNgramContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNgramMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNgramMention::Representation
      
          property :text, as: 'text'
          property :weight, as: 'weight'
        end
      end
      
      class RepositoryWebrefNgramMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, as: 'mid'
          property :score, as: 'score'
        end
      end
      
      class RepositoryWebrefOysterType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_type, as: 'featureType'
          property :gconcepts, as: 'gconcepts', class: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceContainerProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreOntologyRawGConceptInstanceContainerProto::Representation
      
        end
      end
      
      class RepositoryWebrefPatternInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :match_probability, as: 'matchProbability'
          property :other_slots_mentioned, as: 'otherSlotsMentioned'
          property :pattern, as: 'pattern'
        end
      end
      
      class RepositoryWebrefPerDocRelevanceRating
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_relevant, as: 'contentRelevant'
          property :deprecated_item_id, as: 'deprecatedItemId'
          property :deprecated_project_id, as: 'deprecatedProjectId'
          property :deprecated_task_id, as: 'deprecatedTaskId'
          property :display_string, as: 'displayString'
          property :furball_url, as: 'furballUrl'
          property :item_description, as: 'itemDescription'
          property :item_id, :numeric_string => true, as: 'itemId'
          property :language, as: 'language'
          property :page_is_about_chain, as: 'pageIsAboutChain'
          property :page_not_loaded, as: 'pageNotLoaded'
          property :project_id, :numeric_string => true, as: 'projectId'
          property :rater_can_understand_topic, as: 'raterCanUnderstandTopic'
          property :rating_score, as: 'ratingScore'
          property :task_details, as: 'taskDetails', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskDetails, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskDetails::Representation
      
          property :task_id, :numeric_string => true, as: 'taskId'
          property :task_status, as: 'taskStatus'
          property :task_user, as: 'taskUser'
          property :template_id, as: 'templateId'
          property :topic_is_chain, as: 'topicIsChain'
        end
      end
      
      class RepositoryWebrefPerDocRelevanceRatings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_fp, :numeric_string => true, as: 'docFp'
          property :doc_level_rating, as: 'docLevelRating', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRating, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRating::Representation
      
          collection :entity_name_rating, as: 'entityNameRating', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityNameRatings::Representation
      
          collection :list_membership, as: 'listMembership', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefListMembership, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefListMembership::Representation
      
          collection :mention_rating, as: 'mentionRating', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionRatings, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMentionRatings::Representation
      
          collection :page_classification, as: 'pageClassification', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefPageClassification, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefPageClassification::Representation
      
          collection :task_level_rating, as: 'taskLevelRating', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRating, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPerDocRelevanceRating::Representation
      
          property :url, as: 'url'
        end
      end
      
      class RepositoryWebrefPersonalizationContextOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :score, as: 'score'
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefPersonalizationContextOutputs
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :outputs, as: 'outputs', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPersonalizationContextOutput, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPersonalizationContextOutput::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingNameEntityMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_bypassed_name, as: 'isBypassedName'
          property :is_compound_name, as: 'isCompoundName'
          property :is_compound_retrieval_key, as: 'isCompoundRetrievalKey'
          property :is_dictionary_term, as: 'isDictionaryTerm'
          property :is_event_retrieval_key, as: 'isEventRetrievalKey'
          property :is_generated_name, as: 'isGeneratedName'
          property :is_generated_streetname, as: 'isGeneratedStreetname'
          property :is_hierarchy_propagated, as: 'isHierarchyPropagated'
          property :is_isbn, as: 'isIsbn'
          property :is_lyrics_content, as: 'isLyricsContent'
          property :is_phone_number, as: 'isPhoneNumber'
          property :is_refcon_name, as: 'isRefconName'
          property :is_reference_name, as: 'isReferenceName'
          property :is_refpage_url, as: 'isRefpageUrl'
          property :is_reverse_unique_property_name, as: 'isReverseUniquePropertyName'
          property :is_strong_identifier, as: 'isStrongIdentifier'
          property :is_synonym_or_fuzzy_match, as: 'isSynonymOrFuzzyMatch'
          property :is_trusted_allcaps_name, as: 'isTrustedAllcapsName'
          property :is_unnormalized_name, as: 'isUnnormalizedName'
          property :not_generated_name, as: 'notGeneratedName'
          property :original_names, as: 'originalNames', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingOriginalNames, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingOriginalNames::Representation
      
          property :suppress_tokenization, as: 'suppressTokenization'
        end
      end
      
      class RepositoryWebrefPreprocessingNameEntityScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :prior_score, as: 'priorScore'
          property :volume_based_score, as: 'volumeBasedScore'
        end
      end
      
      class RepositoryWebrefPreprocessingNameSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :normalized_name_data, as: 'normalizedNameData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNormalizedNameData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNormalizedNameData::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingNameVariantData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :variant_signals, as: 'variantSignals', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantSignals, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantSignals::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingNameVariantSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :scores, as: 'scores', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameEntityScores, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameEntityScores::Representation
      
          property :source, as: 'source'
        end
      end
      
      class RepositoryWebrefPreprocessingNormalizedNameData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :name_variant_data, as: 'nameVariantData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingNameVariantData::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingOriginalNames
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          collection :name, as: 'name', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingOriginalNamesOriginalName, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingOriginalNamesOriginalName::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingOriginalNamesOriginalName
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :score, as: 'score'
          collection :source, as: 'source'
          property :text, as: 'text'
        end
      end
      
      class RepositoryWebrefPreprocessingUrlMatchingMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :source, as: 'source', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfo::Representation
      
        end
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_old_schema, as: 'deprecatedOldSchema', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfoOldSchema, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfoOldSchema::Representation
      
          property :new_schema, as: 'newSchema', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfoNewSchema, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlSourceInfoNewSchema::Representation
      
          property :original_url, as: 'originalUrl'
          property :source, as: 'source'
        end
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfoNewSchema
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source_property, as: 'sourceProperty'
        end
      end
      
      class RepositoryWebrefPreprocessingUrlSourceInfoOldSchema
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_official, as: 'isOfficial'
        end
      end
      
      class RepositoryWebrefProcessorCounter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, as: 'value'
        end
      end
      
      class RepositoryWebrefProcessorTiming
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cpu_instructions, :numeric_string => true, as: 'cpuInstructions'
          property :name, as: 'name'
          collection :processor_counters, as: 'processorCounters', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorCounter, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorCounter::Representation
      
          collection :processor_timings, as: 'processorTimings', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorTiming, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefProcessorTiming::Representation
      
          property :wall_time_ns, :numeric_string => true, as: 'wallTimeNs'
        end
      end
      
      class RepositoryWebrefProductMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :product_line_id, as: 'productLineId'
          property :shopping_ids, as: 'shoppingIds', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryShoppingIds::Representation
      
          property :type, as: 'type'
          collection :variant_cluster_id, as: 'variantClusterId'
        end
      end
      
      class RepositoryWebrefQueryIndices
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :features_index, as: 'featuresIndex'
          property :queries_index, as: 'queriesIndex'
        end
      end
      
      class RepositoryWebrefRangeAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :segment_mentions, as: 'segmentMentions', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMentions, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMentions::Representation
      
          property :type, as: 'type'
        end
      end
      
      class RepositoryWebrefRangeMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin_offset, as: 'beginOffset'
          property :token_count, as: 'tokenCount'
        end
      end
      
      class RepositoryWebrefRefconDocumentMentionSpans
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :mention_span, as: 'mentionSpan', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconMentionSpans, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconMentionSpans::Representation
      
        end
      end
      
      class RepositoryWebrefRefconMentionSpans
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :segment, as: 'segment'
          collection :short_token, as: 'shortToken'
          collection :token, as: 'token'
        end
      end
      
      class RepositoryWebrefRefconQueryStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_query_count, as: 'aggregatedQueryCount'
        end
      end
      
      class RepositoryWebrefRefconRefconDocumentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :query_stats, as: 'queryStats', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconQueryStats, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconQueryStats::Representation
      
        end
      end
      
      class RepositoryWebrefRefconRefconNameInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :idf_score, as: 'idfScore'
          property :is_generated_name, as: 'isGeneratedName'
          property :is_i18n_name, as: 'isI18nName'
          property :is_strong_identifier, as: 'isStrongIdentifier'
          property :is_translated_name, as: 'isTranslatedName'
          collection :language, as: 'language'
          property :name_prior, as: 'namePrior'
          property :normalized_name, as: 'normalizedName'
          property :original_name, as: 'originalName'
          property :score, as: 'score'
        end
      end
      
      class RepositoryWebrefReferencePageScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :book_score, as: 'bookScore'
          property :explained_normalized_topicality, as: 'explainedNormalizedTopicality'
          property :first_score, as: 'firstScore'
          property :has_special_links, as: 'hasSpecialLinks'
          property :median_mention_score, as: 'medianMentionScore'
          property :navboost_coverage, as: 'navboostCoverage'
          property :reference_page_score, as: 'referencePageScore'
          property :reference_page_selection_score, as: 'referencePageSelectionScore'
          property :selected, as: 'selected'
          property :single_topicness, as: 'singleTopicness'
          property :single_topicness_v2, as: 'singleTopicnessV2'
          property :title_coverage, as: 'titleCoverage'
          property :total_sum, as: 'totalSum'
        end
      end
      
      class RepositoryWebrefSegmentMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMention::Representation
      
          property :segment_type, as: 'segmentType'
        end
      end
      
      class RepositoryWebrefSegmentMentions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :mention, as: 'mention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefMention::Representation
      
          property :segment_type, as: 'segmentType'
        end
      end
      
      class RepositoryWebrefSemanticDateRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :end, as: 'end'
          property :end_source_property, as: 'endSourceProperty'
          property :source_entity_mid, as: 'sourceEntityMid'
          property :start, as: 'start'
          property :start_source_property, as: 'startSourceProperty'
        end
      end
      
      class RepositoryWebrefSimplifiedAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_indices, as: 'anchorIndices', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnchorIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnchorIndices::Representation
      
          property :anchor_text, as: 'anchorText', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefLocalizedString::Representation
      
          property :count, :numeric_string => true, as: 'count'
          property :count_from_offdomain, :numeric_string => true, as: 'countFromOffdomain'
          property :count_from_onsite, :numeric_string => true, as: 'countFromOnsite'
          property :normalized_score, as: 'normalizedScore'
          property :normalized_score_from_offdomain, as: 'normalizedScoreFromOffdomain'
          property :normalized_score_from_onsite, as: 'normalizedScoreFromOnsite'
          property :score, as: 'score'
          property :score_from_fragment, as: 'scoreFromFragment'
          property :score_from_offdomain, as: 'scoreFromOffdomain'
          property :score_from_offdomain_fragment, as: 'scoreFromOffdomainFragment'
          property :score_from_onsite, as: 'scoreFromOnsite'
          property :score_from_onsite_fragment, as: 'scoreFromOnsiteFragment'
          property :score_from_redirect, as: 'scoreFromRedirect'
          property :total_volume, as: 'totalVolume'
          property :total_volume_from_offdomain, as: 'totalVolumeFromOffdomain'
          property :total_volume_from_onsite, as: 'totalVolumeFromOnsite'
        end
      end
      
      class RepositoryWebrefSimplifiedAnchors
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :anchor, as: 'anchor', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchor, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchor::Representation
      
        end
      end
      
      class RepositoryWebrefSimplifiedCompositeDoc
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchors, as: 'anchors', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchors, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchors::Representation
      
          property :cdoc_container, as: 'cdocContainer', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :document_mention_spans, as: 'documentMentionSpans', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconDocumentMentionSpans, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconDocumentMentionSpans::Representation
      
          property :matching_metadata, as: 'matchingMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlMatchingMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefPreprocessingUrlMatchingMetadata::Representation
      
          property :obsolete_anchors_without_interwiki, as: 'obsoleteAnchorsWithoutInterwiki', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchors, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSimplifiedAnchors::Representation
      
          property :refcon_document_metadata, as: 'refconDocumentMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconRefconDocumentMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRefconRefconDocumentMetadata::Representation
      
          property :source_snapshot_type, as: 'sourceSnapshotType'
          property :url, as: 'url'
          property :webref_outlinks, as: 'webrefOutlinks', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
        end
      end
      
      class RepositoryWebrefSubSegmentIndex
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_index, as: 'anchorIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnchorIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnchorIndices::Representation
      
          property :generic_index, as: 'genericIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefGenericIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefGenericIndices::Representation
      
          property :image_query_index, as: 'imageQueryIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefImageQueryIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefImageQueryIndices::Representation
      
          property :jgn_index, as: 'jgnIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefJuggernautIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefJuggernautIndices::Representation
      
          property :query_index, as: 'queryIndex', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefQueryIndices, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefQueryIndices::Representation
      
        end
      end
      
      class RepositoryWebrefSupportTransferRule
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :allow_wildcard_intents, as: 'allowWildcardIntents'
          property :domain, as: 'domain'
          property :is_reverse_link, as: 'isReverseLink'
          property :mentions_only, as: 'mentionsOnly'
          property :support_share, as: 'supportShare'
          property :target, as: 'target'
          property :target_collection, as: 'targetCollection', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection::Representation
      
          property :user_country, as: 'userCountry'
          property :user_language, as: 'userLanguage'
        end
      end
      
      class RepositoryWebrefTaskData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_readable, as: 'isReadable'
          property :item_id, :numeric_string => true, as: 'itemId'
          property :project_id, :numeric_string => true, as: 'projectId'
          property :task_details, as: 'taskDetails', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskDetails, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskDetails::Representation
      
          property :task_id, :numeric_string => true, as: 'taskId'
        end
      end
      
      class RepositoryWebrefTaskDetails
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :experiment_id, as: 'experimentId'
          property :last_submit_timestamp, :numeric_string => true, as: 'lastSubmitTimestamp'
          property :topic_description, as: 'topicDescription'
          property :topic_name, as: 'topicName'
          property :topic_url, as: 'topicUrl'
        end
      end
      
      class RepositoryWebrefToprefListMembership
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :member, as: 'member', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefListMembershipListMember, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefListMembershipListMember::Representation
      
          property :task_data, as: 'taskData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData::Representation
      
        end
      end
      
      class RepositoryWebrefToprefListMembershipListMember
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId::Representation
      
          property :is_member, as: 'isMember'
        end
      end
      
      class RepositoryWebrefToprefPageClassification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_list, as: 'isList'
          property :is_list_type_correct, as: 'isListTypeCorrect'
          property :is_ranking, as: 'isRanking'
          property :is_toplist, as: 'isToplist'
          property :list_type, as: 'listType'
          collection :rated_title, as: 'ratedTitle', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefPageClassificationRatedTitle, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefToprefPageClassificationRatedTitle::Representation
      
          property :task_data, as: 'taskData', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTaskData::Representation
      
        end
      end
      
      class RepositoryWebrefToprefPageClassificationRatedTitle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_good, as: 'isGood'
          property :title, as: 'title'
        end
      end
      
      class RepositoryWebrefTripleAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence_score, as: 'confidenceScore'
          property :is_implied, as: 'isImplied'
          property :kg_verified, as: 'kgVerified'
          collection :mentions, as: 'mentions', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleMention::Representation
      
          collection :pred_mid, as: 'predMid'
          property :stuff, as: 'stuff', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :triple, as: 'triple', class: Google::Apis::ContentwarehouseV1::KnowledgeGraphTriple, decorator: Google::Apis::ContentwarehouseV1::KnowledgeGraphTriple::Representation
      
        end
      end
      
      class RepositoryWebrefTripleAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotations, as: 'annotations', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleAnnotation, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleAnnotation::Representation
      
        end
      end
      
      class RepositoryWebrefTripleMention
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :pred_mention, as: 'predMention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention::Representation
      
          property :scope_begin, as: 'scopeBegin'
          property :scope_end, as: 'scopeEnd'
          property :scope_fprint, :numeric_string => true, as: 'scopeFprint'
          property :stuff, as: 'stuff', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :sub_mention, as: 'subMention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention::Representation
      
          property :value_mention, as: 'valueMention', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSegmentMention::Representation
      
        end
      end
      
      class RepositoryWebrefUniversalNgramData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :idf, as: 'idf'
          property :plural_prob, as: 'pluralProb'
        end
      end
      
      class RepositoryWebrefWebrefAnnotationStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :doc_weight, as: 'docWeight'
          collection :ngram_context, as: 'ngramContext', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefNgramContext, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefNgramContext::Representation
      
          property :num_candidates, :numeric_string => true, as: 'numCandidates'
          property :num_concepts_with_candidates, :numeric_string => true, as: 'numConceptsWithCandidates'
          property :num_concepts_with_mentions, :numeric_string => true, as: 'numConceptsWithMentions'
          property :num_ranges_with_candidates, :numeric_string => true, as: 'numRangesWithCandidates'
          collection :stats_per_type, as: 'statsPerType', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationStatsPerType, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotationStatsPerType::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefAttachmentMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_type, as: 'featureType'
          property :index, as: 'index'
          property :lat_e7, as: 'latE7'
          property :lng_e7, as: 'lngE7'
          property :oyster_id, as: 'oysterId', class: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto, decorator: Google::Apis::ContentwarehouseV1::GeostoreFeatureIdProto::Representation
      
          property :single_topicness_e2, as: 'singleTopicnessE2'
        end
      end
      
      class RepositoryWebrefWebrefDocumentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :document_metadata, as: 'documentMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefDocumentMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefDocumentMetadata::Representation
      
          property :extensions, as: 'extensions', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :outlink_infos, as: 'outlinkInfos', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefOutlinkInfos, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefOutlinkInfos::Representation
      
          collection :webref_parsed_content_sentence, as: 'webrefParsedContentSentence'
        end
      end
      
      class RepositoryWebrefWebrefEntities
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :annotation_stats, as: 'annotationStats', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefAnnotationStats, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefAnnotationStats::Representation
      
          collection :annotator_checkpoint_fingerprints, as: 'annotatorCheckpointFingerprints', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatorCheckpointFprint, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefAnnotatorCheckpointFprint::Representation
      
          collection :category, as: 'category', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotation, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefCategoryAnnotation::Representation
      
          collection :date_range, as: 'dateRange', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefSemanticDateRange, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefSemanticDateRange::Representation
      
          property :document_info, as: 'documentInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefDocumentInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefDocumentInfo::Representation
      
          collection :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntity, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntity::Representation
      
          collection :range_annotations, as: 'rangeAnnotations', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefRangeAnnotations, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefRangeAnnotations::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefStatus, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefStatus::Representation
      
          property :stuff, as: 'stuff', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :triple_annotations, as: 'tripleAnnotations', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleAnnotations, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefTripleAnnotations::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotated_relationship, as: 'annotatedRelationship', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityRelationship, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityRelationship::Representation
      
          property :annotations, as: 'annotations', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityAnnotations, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityAnnotations::Representation
      
          property :collections, as: 'collections', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityCollections, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityCollections::Representation
      
          property :entity_join, as: 'entityJoin', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityJoin, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityJoin::Representation
      
          property :id, as: 'id', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntityId::Representation
      
          collection :mrf, as: 'mrf', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgument, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryArgument::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefEntityCollections
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :collection, as: 'collection', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefKgCollection::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefEntityId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :concept_id, :numeric_string => true, as: 'conceptId'
          property :freebase_mid, as: 'freebaseMid'
        end
      end
      
      class RepositoryWebrefWebrefEntityRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_index, as: 'entityIndex'
          property :link_metadata, as: 'linkMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefEntityLinkMetadata::Representation
      
          property :link_weight, as: 'linkWeight'
        end
      end
      
      class RepositoryWebrefWebrefMustangAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :category_confidence_e2, as: 'categoryConfidenceE2'
          collection :category_encoded_mid, as: 'categoryEncodedMid'
          collection :confidence_e2, as: 'confidenceE2'
          collection :encoded_mid, as: 'encodedMid'
          collection :entity_metadata, as: 'entityMetadata', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefAttachmentMetadata, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefAttachmentMetadata::Representation
      
          property :iql_attachment, as: 'iqlAttachment', class: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIndexingIqlAttachment, decorator: Google::Apis::ContentwarehouseV1::KnowledgeAnswersIntentQueryIndexingIqlAttachment::Representation
      
          collection :is_author_index, as: 'isAuthorIndex'
          collection :is_publisher_index, as: 'isPublisherIndex'
          collection :reference_page_index, as: 'referencePageIndex'
          collection :topicality_e2, as: 'topicalityE2'
          collection :unbound_intent_mid, as: 'unboundIntentMid'
          collection :unbound_intent_score_e2, as: 'unboundIntentScoreE2'
          collection :undermerged_members, as: 'undermergedMembers', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefMustangAttachmentUndermergedMembers, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefMustangAttachmentUndermergedMembers::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefMustangAttachmentUndermergedMembers
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :encoded_mid, as: 'encodedMid'
        end
      end
      
      class RepositoryWebrefWebrefOutlinkInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :byte_length, as: 'byteLength'
          collection :byte_offset, as: 'byteOffset'
          property :is_nofollow, as: 'isNofollow'
          collection :topicality_weight, as: 'topicalityWeight'
          property :url, as: 'url'
        end
      end
      
      class RepositoryWebrefWebrefOutlinkInfos
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :outlink_info, as: 'outlinkInfo', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefOutlinkInfo, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefOutlinkInfo::Representation
      
        end
      end
      
      class RepositoryWebrefWebrefStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_epoch, as: 'dataEpoch'
          property :util_status, as: 'utilStatus', class: Google::Apis::ContentwarehouseV1::UtilStatusProto, decorator: Google::Apis::ContentwarehouseV1::UtilStatusProto::Representation
      
          property :version, as: 'version'
        end
      end
      
      class RepositoryWebrefWikipediaCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_name, as: 'categoryName'
        end
      end
      
      class RepositoryWebrefWikipediaGeocode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :location, as: 'location', class: Google::Apis::ContentwarehouseV1::GeostorePointProto, decorator: Google::Apis::ContentwarehouseV1::GeostorePointProto::Representation
      
          property :source_url, as: 'sourceUrl'
        end
      end
      
      class ResearchScamCoscamConjunction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :disjunction_id, as: 'disjunctionId'
          collection :is_positive, as: 'isPositive'
        end
      end
      
      class ResearchScamCoscamDisjunction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, :numeric_string => true, as: 'key'
          collection :token_groups, as: 'tokenGroups', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup::Representation
      
        end
      end
      
      class ResearchScamCoscamEasyConjunction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :disjunctions, as: 'disjunctions', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyDisjunction, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyDisjunction::Representation
      
        end
      end
      
      class ResearchScamCoscamEasyDisjunction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_positive, as: 'isPositive'
          collection :token_groups, as: 'tokenGroups', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup::Representation
      
        end
      end
      
      class ResearchScamCoscamEasyRestrictDefinition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :conjunctions, as: 'conjunctions', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyConjunction, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyConjunction::Representation
      
        end
      end
      
      class ResearchScamCoscamRestrictDefinition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :conjunctions, as: 'conjunctions', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamConjunction, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamConjunction::Representation
      
          collection :disjunctions, as: 'disjunctions', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamDisjunction, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamDisjunction::Representation
      
          property :subs_key, :numeric_string => true, as: 'subsKey'
        end
      end
      
      class ResearchScamCoscamRestrictTokensV2
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :token_groups, as: 'tokenGroups', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamTokenGroup::Representation
      
        end
      end
      
      class ResearchScamCoscamTokenGroup
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :debug_token_strings, as: 'debugTokenStrings'
          property :name, as: 'name'
          collection :tokens, as: 'tokens'
        end
      end
      
      class ResearchScamGenericFeatureVector
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :class_label, as: 'classLabel'
          property :crowding, as: 'crowding', class: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorCrowding, decorator: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorCrowding::Representation
      
          property :data_id_str, :base64 => true, as: 'dataIdStr'
          property :expiration_timestamp, as: 'expirationTimestamp'
          property :feature_dim, :numeric_string => true, as: 'featureDim'
          collection :feature_index, as: 'featureIndex'
          property :feature_type, as: 'featureType'
          collection :feature_value_double, as: 'featureValueDouble'
          collection :feature_value_float, as: 'featureValueFloat'
          collection :feature_value_int64, as: 'featureValueInt64'
          property :feature_value_string, :base64 => true, as: 'featureValueString'
          property :fixed_point_metadata, as: 'fixedPointMetadata', class: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorFixedPointMetadata, decorator: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorFixedPointMetadata::Representation
      
          property :norm_type, as: 'normType'
          property :query_metadata, as: 'queryMetadata', class: Google::Apis::ContentwarehouseV1::ResearchScamQueryMetadata, decorator: Google::Apis::ContentwarehouseV1::ResearchScamQueryMetadata::Representation
      
          property :restrict_tokens, as: 'restrictTokens', class: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorRestrictTokens, decorator: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVectorRestrictTokens::Representation
      
          collection :tokens, as: 'tokens'
          property :userinfo, :base64 => true, as: 'userinfo'
          property :weight, as: 'weight'
        end
      end
      
      class ResearchScamGenericFeatureVectorCrowding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :crowding_attribute, :numeric_string => true, as: 'crowdingAttribute'
        end
      end
      
      class ResearchScamGenericFeatureVectorFixedPointMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :squared_l2_norm, as: 'squaredL2Norm'
        end
      end
      
      class ResearchScamGenericFeatureVectorRestrictTokens
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :blacklist_token, as: 'blacklistToken'
          property :definition, as: 'definition', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamRestrictDefinition, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamRestrictDefinition::Representation
      
          property :easy_definition, as: 'easyDefinition', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyRestrictDefinition, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamEasyRestrictDefinition::Representation
      
          collection :token_membership, as: 'tokenMembership'
          property :tokens, as: 'tokens', class: Google::Apis::ContentwarehouseV1::ResearchScamCoscamRestrictTokensV2, decorator: Google::Apis::ContentwarehouseV1::ResearchScamCoscamRestrictTokensV2::Representation
      
          property :v3, as: 'v3', class: Google::Apis::ContentwarehouseV1::ResearchScamV3Restrict, decorator: Google::Apis::ContentwarehouseV1::ResearchScamV3Restrict::Representation
      
          property :v3_compatible_namespace, as: 'v3CompatibleNamespace'
          collection :whitelist_token, as: 'whitelistToken'
        end
      end
      
      class ResearchScamNearestNeighbors
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :docid, :base64 => true, as: 'docid'
          property :metadata, :base64 => true, as: 'metadata'
          collection :neighbor, as: 'neighbor', class: Google::Apis::ContentwarehouseV1::ResearchScamNearestNeighborsNeighbor, decorator: Google::Apis::ContentwarehouseV1::ResearchScamNearestNeighborsNeighbor::Representation
      
          property :neighbor_selection_override, as: 'neighborSelectionOverride', class: Google::Apis::ContentwarehouseV1::ResearchScamNeighborSelectionOverride, decorator: Google::Apis::ContentwarehouseV1::ResearchScamNeighborSelectionOverride::Representation
      
          property :query, as: 'query', class: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVector, decorator: Google::Apis::ContentwarehouseV1::ResearchScamGenericFeatureVector::Representation
      
          property :retrieved_version, as: 'retrievedVersion'
        end
      end
      
      class ResearchScamNearestNeighborsNeighbor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :crowding_attribute, :numeric_string => true, as: 'crowdingAttribute'
          property :distance, as: 'distance'
          property :docid, :base64 => true, as: 'docid'
          property :metadata, :base64 => true, as: 'metadata'
        end
      end
      
      class ResearchScamNeighborSelectionOverride
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :approx_epsilon_distance, as: 'approxEpsilonDistance'
          property :approx_num_neighbors, as: 'approxNumNeighbors'
          property :epsilon_distance, as: 'epsilonDistance'
          property :num_neighbors, as: 'numNeighbors'
          property :num_single_shard_neighbors, as: 'numSingleShardNeighbors'
          property :per_crowding_attribute_num_neighbors, as: 'perCrowdingAttributeNumNeighbors'
          property :per_crowding_attribute_pre_reordering_num_neighbors, as: 'perCrowdingAttributePreReorderingNumNeighbors'
          property :tree_x_hybrid_leaves_searched_override, as: 'treeXHybridLeavesSearchedOverride'
        end
      end
      
      class ResearchScamOnlineSearchLatencyStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cpu_time, as: 'cpuTime'
          property :task_id, as: 'taskId'
          property :wall_time, as: 'wallTime'
        end
      end
      
      class ResearchScamQueryMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :neighbor_selection_override, as: 'neighborSelectionOverride', class: Google::Apis::ContentwarehouseV1::ResearchScamNeighborSelectionOverride, decorator: Google::Apis::ContentwarehouseV1::ResearchScamNeighborSelectionOverride::Representation
      
        end
      end
      
      class ResearchScamQueryResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :latency, as: 'latency', class: Google::Apis::ContentwarehouseV1::ResearchScamOnlineSearchLatencyStats, decorator: Google::Apis::ContentwarehouseV1::ResearchScamOnlineSearchLatencyStats::Representation
      
          property :num_deadline_exceeded_machines, as: 'numDeadlineExceededMachines'
          property :num_ok_machines, as: 'numOkMachines'
          property :num_total_machines, as: 'numTotalMachines'
          property :num_unreachable_machines, as: 'numUnreachableMachines'
          collection :restrict_stats, as: 'restrictStats', class: Google::Apis::ContentwarehouseV1::ResearchScamRestrictStats, decorator: Google::Apis::ContentwarehouseV1::ResearchScamRestrictStats::Representation
      
          collection :results, as: 'results', class: Google::Apis::ContentwarehouseV1::ResearchScamNearestNeighbors, decorator: Google::Apis::ContentwarehouseV1::ResearchScamNearestNeighbors::Representation
      
          property :status, as: 'status', class: Google::Apis::ContentwarehouseV1::UtilStatusProto, decorator: Google::Apis::ContentwarehouseV1::UtilStatusProto::Representation
      
        end
      end
      
      class ResearchScamRestrictStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_active_datapoints, :numeric_string => true, as: 'numActiveDatapoints'
          property :num_total_datapoints, :numeric_string => true, as: 'numTotalDatapoints'
        end
      end
      
      class ResearchScamTokenNamespace
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :namespace, as: 'namespace'
          collection :string_blacklist_tokens, as: 'stringBlacklistTokens'
          collection :string_tokens, as: 'stringTokens'
          collection :uint64_blacklist_tokens, as: 'uint64BlacklistTokens'
          collection :uint64_tokens, as: 'uint64Tokens'
        end
      end
      
      class ResearchScamV3Restrict
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :namespaces, as: 'namespaces', class: Google::Apis::ContentwarehouseV1::ResearchScamTokenNamespace, decorator: Google::Apis::ContentwarehouseV1::ResearchScamTokenNamespace::Representation
      
        end
      end
      
      class ResearchScienceSearchCatalog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :mid, as: 'mid'
          property :name, as: 'name'
          property :url, as: 'url'
        end
      end
      
      class ResearchScienceSearchCitation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :citation, as: 'citation'
          property :safe_html_citation, as: 'safeHtmlCitation', class: Google::Apis::ContentwarehouseV1::WebutilHtmlTypesSafeHtmlProto, decorator: Google::Apis::ContentwarehouseV1::WebutilHtmlTypesSafeHtmlProto::Representation
      
        end
      end
      
      class ResearchScienceSearchDataDownload
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content_size, as: 'contentSize'
          property :download_url, as: 'downloadUrl'
          property :file_format, as: 'fileFormat'
          property :file_format_class, as: 'fileFormatClass'
          property :parsed_content_size, as: 'parsedContentSize', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDataSize, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDataSize::Representation
      
        end
      end
      
      class ResearchScienceSearchDataSize
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :size, as: 'size'
          property :unit, as: 'unit'
        end
      end
      
      class ResearchScienceSearchDate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatted, as: 'formatted'
          property :unformatted, as: 'unformatted'
        end
      end
      
      class ResearchScienceSearchFieldOfStudyInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :classification_source, as: 'classificationSource'
          property :is_above_threshold, as: 'isAboveThreshold'
          property :label, as: 'label'
          property :probability, as: 'probability'
        end
      end
      
      class ResearchScienceSearchLicense
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :license_class, as: 'licenseClass'
          property :license_mid, as: 'licenseMid'
          property :text, as: 'text'
          property :url, as: 'url'
        end
      end
      
      class ResearchScienceSearchLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :box_coordinates, as: 'boxCoordinates'
          property :circle_coordinates, as: 'circleCoordinates'
          collection :contained_in_mid, as: 'containedInMid'
          collection :location_mid, as: 'locationMid'
          collection :location_mid_label, as: 'locationMidLabel'
          property :location_name, as: 'locationName'
          property :point_coordinates, as: 'pointCoordinates'
          property :unformatted_coordinates, as: 'unformattedCoordinates'
        end
      end
      
      class ResearchScienceSearchNavboostQueryInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :imp_count, as: 'impCount'
          property :lcc_count, as: 'lccCount'
          property :query, as: 'query'
          property :query_count, as: 'queryCount'
          property :query_doc_count, as: 'queryDocCount'
        end
      end
      
      class ResearchScienceSearchOrganization
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :organization_mid, as: 'organizationMid'
          collection :organization_mid_label, as: 'organizationMidLabel'
          property :organization_name, as: 'organizationName'
          property :organization_url, as: 'organizationUrl'
          property :original_organization_name, as: 'originalOrganizationName'
        end
      end
      
      class ResearchScienceSearchReconciledMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :alternate_name, as: 'alternateName'
          property :author_list, as: 'authorList'
          property :catalog, as: 'catalog', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchCatalog, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchCatalog::Representation
      
          collection :compact_identifier, as: 'compactIdentifier'
          collection :compact_identifier_from_citation, as: 'compactIdentifierFromCitation'
          property :coverage_end_date, as: 'coverageEndDate', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          property :coverage_start_date, as: 'coverageStartDate', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          collection :data_download, as: 'dataDownload', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDataDownload, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDataDownload::Representation
      
          property :dataset_classification_fields_hash, :numeric_string => true, as: 'datasetClassificationFieldsHash'
          property :dataset_classification_score, as: 'datasetClassificationScore'
          property :date_created, as: 'dateCreated', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          property :date_modified, as: 'dateModified', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          property :date_published, as: 'datePublished', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          property :date_updated, as: 'dateUpdated', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchDate::Representation
      
          collection :denylist_status, as: 'denylistStatus'
          collection :description, as: 'description'
          collection :description_in_html, as: 'descriptionInHtml'
          property :doi, as: 'doi'
          collection :doi_from_citation, as: 'doiFromCitation'
          collection :field_of_study, as: 'fieldOfStudy', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchFieldOfStudyInfo, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchFieldOfStudyInfo::Representation
      
          property :fingerprint, :numeric_string => true, as: 'fingerprint'
          collection :funder, as: 'funder', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchOrganization, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchOrganization::Representation
      
          property :has_table_summaries, as: 'hasTableSummaries'
          property :id, as: 'id'
          collection :identifier_from_source, as: 'identifierFromSource'
          collection :image_url, as: 'imageUrl'
          property :index_in_cluster, as: 'indexInCluster'
          property :is_accessible_for_free, as: 'isAccessibleForFree'
          collection :is_based_on, as: 'isBasedOn'
          collection :keyword, as: 'keyword'
          property :language_code, as: 'languageCode'
          collection :license, as: 'license', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchLicense, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchLicense::Representation
      
          collection :license_deprecated, as: 'licenseDeprecated'
          collection :measurement_technique, as: 'measurementTechnique'
          collection :mentioned_urls, as: 'mentionedUrls'
          property :metadata_type, as: 'metadataType'
          collection :name, as: 'name'
          property :number_of_datasets_at_source_url, as: 'numberOfDatasetsAtSourceUrl'
          property :number_of_scholar_citations, as: 'numberOfScholarCitations'
          collection :publication, as: 'publication', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchCitation, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchCitation::Representation
      
          property :related_article_url, as: 'relatedArticleUrl'
          collection :replica, as: 'replica', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchReplica, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchReplica::Representation
      
          collection :same_as, as: 'sameAs'
          property :scholar_query, as: 'scholarQuery'
          property :scholarly_article, as: 'scholarlyArticle', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchScholarlyArticle, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchScholarlyArticle::Representation
      
          collection :source_organization, as: 'sourceOrganization', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchOrganization, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchOrganization::Representation
      
          property :source_url, as: 'sourceUrl'
          property :source_url_docjoin_info, as: 'sourceUrlDocjoinInfo', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchSourceUrlDocjoinInfo, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchSourceUrlDocjoinInfo::Representation
      
          collection :spatial_coverage, as: 'spatialCoverage', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchLocation, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchLocation::Representation
      
          collection :top_salient_term_label, as: 'topSalientTermLabel'
          collection :url, as: 'url'
          collection :variable, as: 'variable'
          property :version_cluster_info, as: 'versionClusterInfo', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchVersionClusterInfo, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchVersionClusterInfo::Representation
      
          property :version_embedding_fields_hash, :numeric_string => true, as: 'versionEmbeddingFieldsHash'
          collection :version_embedding_vector, as: 'versionEmbeddingVector'
        end
      end
      
      class ResearchScienceSearchReplica
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :catalog_name, as: 'catalogName'
          property :catalog_url, as: 'catalogUrl'
          property :index_in_cluster, as: 'indexInCluster'
          property :url, as: 'url'
        end
      end
      
      class ResearchScienceSearchScholarlyArticle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :citation, as: 'citation', class: Google::Apis::ContentwarehouseV1::ScienceCitation, decorator: Google::Apis::ContentwarehouseV1::ScienceCitation::Representation
      
          property :figure_or_table_image, :base64 => true, as: 'figureOrTableImage'
          property :figure_or_table_ocr_text, as: 'figureOrTableOcrText'
          property :landing_page_url, as: 'landingPageUrl'
          property :page_number, as: 'pageNumber'
          property :pdf_download_url, as: 'pdfDownloadUrl'
        end
      end
      
      class ResearchScienceSearchSourceUrlDocjoinInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data_source, as: 'dataSource'
          property :display_url, as: 'displayUrl'
          property :docid, :numeric_string => true, as: 'docid'
          collection :field_of_study_entity, as: 'fieldOfStudyEntity', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchSourceUrlDocjoinInfoWebrefEntityInfo, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchSourceUrlDocjoinInfoWebrefEntityInfo::Representation
      
          collection :index_tier, as: 'indexTier'
          property :language_code, as: 'languageCode'
          property :latest_page_update_date, as: 'latestPageUpdateDate'
          collection :navboost_query, as: 'navboostQuery', class: Google::Apis::ContentwarehouseV1::ResearchScienceSearchNavboostQueryInfo, decorator: Google::Apis::ContentwarehouseV1::ResearchScienceSearchNavboostQueryInfo::Representation
      
          property :pagerank, as: 'pagerank'
          property :petacat_info, as: 'petacatInfo', class: Google::Apis::ContentwarehouseV1::FatcatCompactDocClassification, decorator: Google::Apis::ContentwarehouseV1::FatcatCompactDocClassification::Representation
      
          property :salient_terms, as: 'salientTerms', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet::Representation
      
          property :scholar_info, as: 'scholarInfo', class: Google::Apis::ContentwarehouseV1::ScienceIndexSignal, decorator: Google::Apis::ContentwarehouseV1::ScienceIndexSignal::Representation
      
          collection :spore_graph_mid, as: 'sporeGraphMid'
          property :title, as: 'title'
          collection :top_entity, as: 'topEntity', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntity, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntity::Representation
      
          property :url, as: 'url'
        end
      end
      
      class ResearchScienceSearchSourceUrlDocjoinInfoWebrefEntityInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :mid, as: 'mid'
        end
      end
      
      class ResearchScienceSearchVersionClusterInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :index_in_version_cluster, as: 'indexInVersionCluster'
          property :num_versions, as: 'numVersions'
          property :version_cluster_id, :numeric_string => true, as: 'versionClusterId'
        end
      end
      
      class RichsnippetsDataObject
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_key, as: 'AccessKey'
          collection :attribute, as: 'attribute', class: Google::Apis::ContentwarehouseV1::RichsnippetsDataObjectAttribute, decorator: Google::Apis::ContentwarehouseV1::RichsnippetsDataObjectAttribute::Representation
      
          property :source, as: 'source'
          property :type, as: 'type'
        end
      end
      
      class RichsnippetsDataObjectAttribute
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cdata, :base64 => true, as: 'cdata'
          property :idata, :numeric_string => true, as: 'idata'
          property :name, as: 'name'
          property :subobject, as: 'subobject', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :tokenize, as: 'tokenize'
          property :value, :base64 => true, as: 'value'
        end
      end
      
      class RichsnippetsPageMap
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :data_object, as: 'DataObject', class: Google::Apis::ContentwarehouseV1::RichsnippetsDataObject, decorator: Google::Apis::ContentwarehouseV1::RichsnippetsDataObject::Representation
      
          property :ignore_data_object, as: 'ignoreDataObject'
          property :src, as: 'src'
          collection :templatetype, as: 'templatetype', class: Google::Apis::ContentwarehouseV1::RichsnippetsPageMapTemplateType, decorator: Google::Apis::ContentwarehouseV1::RichsnippetsPageMapTemplateType::Representation
      
        end
      end
      
      class RichsnippetsPageMapTemplateType
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :src, as: 'src'
        end
      end
      
      class SafesearchVideoClassifierOutput
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class SafesearchVideoContentSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :scores, as: 'scores'
          property :version_tag, as: 'versionTag'
          property :video_classifier_output, as: 'videoClassifierOutput', class: Google::Apis::ContentwarehouseV1::SafesearchVideoClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::SafesearchVideoClassifierOutput::Representation
      
        end
      end
      
      class ScholarCitationPredictionSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :metric_type, as: 'metricType'
          property :signal_type, as: 'signalType'
          property :value, as: 'value'
        end
      end
      
      class ScienceCitation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :abstract_display, as: 'AbstractDisplay'
          property :abstract_html, as: 'AbstractHtml'
          property :abstract_html_left_over, as: 'AbstractHtmlLeftOver'
          property :abstract_language, as: 'AbstractLanguage'
          property :abstract_source, as: 'AbstractSource'
          property :abstract_text, as: 'AbstractText'
          property :alternate_version_id, :numeric_string => true, as: 'AlternateVersionID'
          collection :anchors, as: 'Anchors', class: Google::Apis::ContentwarehouseV1::ScienceCitationAnchor, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationAnchor::Representation
      
          property :arxiv_section, as: 'ArxivSection'
          property :author_list_has_et_al, as: 'AuthorListHasEtAl'
          property :author_metatag_left_over, as: 'AuthorMetatagLeftOver'
          property :base_global_id, :numeric_string => true, as: 'BaseGlobalID'
          property :base_local_id, :numeric_string => true, as: 'BaseLocalID'
          property :borrowed_authors, as: 'BorrowedAuthors'
          property :borrowed_fields, as: 'BorrowedFields'
          property :chapter, as: 'Chapter'
          property :citation_source, as: 'CitationSource'
          property :citation_source_url, as: 'CitationSourceUrl'
          property :citation_src, as: 'CitationSrc'
          property :cluster_discovery_date, :numeric_string => true, as: 'ClusterDiscoveryDate'
          property :conference_id, as: 'ConferenceId'
          property :conference_number, as: 'ConferenceNumber'
          property :crawled_docid, :numeric_string => true, as: 'CrawledDocid'
          property :deprecated_metadata_source_file, as: 'DEPRECATEDMetadataSourceFile'
          property :deprecated_publisher_display_name, as: 'DEPRECATEDPublisherDisplayName'
          property :doi, as: 'DOI'
          property :dblp_id, as: 'DblpId'
          property :document_id, :numeric_string => true, as: 'DocumentID'
          property :dspace_id, as: 'DspaceID'
          property :edition, as: 'Edition'
          collection :editor, as: 'Editor'
          property :file_creation_day, as: 'FileCreationDay'
          property :file_creation_month, as: 'FileCreationMonth'
          property :file_creation_year, as: 'FileCreationYear'
          property :isbn, as: 'ISBN'
          collection :isbn_variant, as: 'ISBNVariant'
          property :issn, as: 'ISSN'
          collection :issn_variant, as: 'ISSNVariant'
          property :incremental_expected, as: 'IncrementalExpected'
          property :joi, as: 'JOI'
          collection :keywords, as: 'Keywords'
          property :lccn, as: 'LCCN'
          property :language, as: 'Language'
          property :legal_citation, as: 'LegalCitation', class: Google::Apis::ContentwarehouseV1::LegalCitation, decorator: Google::Apis::ContentwarehouseV1::LegalCitation::Representation
      
          property :level_of_discussion, as: 'LevelOfDiscussion'
          property :note, as: 'Note'
          property :num_backward_links, as: 'NumBackwardLinks'
          property :num_backward_links_from_legal, as: 'NumBackwardLinksFromLegal'
          property :num_backward_links_in_wo_s, as: 'NumBackwardLinksInWoS'
          property :num_forward_links, as: 'NumForwardLinks'
          property :num_good_embedded_refs, as: 'NumGoodEmbeddedRefs'
          property :num_hosted_pages, as: 'NumHostedPages'
          property :num_key_quotes, as: 'NumKeyQuotes'
          property :num_related, as: 'NumRelated'
          property :num_related2, as: 'NumRelated2'
          property :num_related3, as: 'NumRelated3'
          property :num_section_refs, as: 'NumSectionRefs'
          property :num_versions, as: 'NumVersions'
          property :number, as: 'Number'
          property :online_day, as: 'OnlineDay'
          property :online_month, as: 'OnlineMonth'
          property :online_year, as: 'OnlineYear'
          property :other_id, as: 'OtherID'
          property :pmcid, as: 'PMCID'
          property :pmid, as: 'PMID'
          property :pages, as: 'Pages'
          property :parse_source, as: 'ParseSource'
          property :patent_application_number, as: 'PatentApplicationNumber'
          collection :patent_classification, as: 'PatentClassification'
          collection :patent_country, as: 'PatentCountry'
          property :patent_number, as: 'PatentNumber'
          property :patent_office, as: 'PatentOffice'
          property :patent_publication_number, as: 'PatentPublicationNumber'
          property :publication_day, as: 'PublicationDay'
          property :publication_month, as: 'PublicationMonth'
          property :publication_venue, as: 'PublicationVenue'
          collection :publication_venue_variant, as: 'PublicationVenueVariant'
          property :publication_year, as: 'PublicationYear'
          property :publisher_address, as: 'PublisherAddress'
          property :publisher_id, as: 'PublisherId'
          property :publisher_org, as: 'PublisherOrg'
          property :pubvenue_id, as: 'PubvenueID'
          property :review_type_reason, as: 'ReviewTypeReason'
          property :sici, as: 'SICI'
          property :series, as: 'Series'
          property :title, as: 'Title'
          property :title_html, as: 'TitleHtml'
          property :title_html_left_over, as: 'TitleHtmlLeftOver'
          property :translated_author_list_has_et_al, as: 'TranslatedAuthorListHasEtAl'
          property :type, as: 'Type'
          collection :unmatched_email_addr, as: 'UnmatchedEmailAddr'
          collection :unmatched_institution, as: 'UnmatchedInstitution'
          property :version_id, :numeric_string => true, as: 'VersionID'
          property :volume, as: 'Volume'
          property :wosid, as: 'WOSID'
          property :world_viewable, as: 'WorldViewable'
          collection :accessurl, as: 'accessurl', class: Google::Apis::ContentwarehouseV1::ScienceCitationAccessUrl, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationAccessUrl::Representation
      
          collection :alternateabstract, as: 'alternateabstract', class: Google::Apis::ContentwarehouseV1::ScienceCitationAlternateAbstract, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationAlternateAbstract::Representation
      
          collection :alternatetitle, as: 'alternatetitle', class: Google::Apis::ContentwarehouseV1::ScienceCitationAlternateTitle, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationAlternateTitle::Representation
      
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::ScienceCitationAuthor, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationAuthor::Representation
      
          collection :category, as: 'category', class: Google::Apis::ContentwarehouseV1::ScienceCitationCategory, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationCategory::Representation
      
          collection :downloadurl, as: 'downloadurl', class: Google::Apis::ContentwarehouseV1::ScienceCitationDownloadUrl, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationDownloadUrl::Representation
      
          collection :funding, as: 'funding', class: Google::Apis::ContentwarehouseV1::ScienceCitationFunding, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationFunding::Representation
      
          collection :referencediscussion, as: 'referencediscussion', class: Google::Apis::ContentwarehouseV1::ScienceCitationReferenceDiscussion, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationReferenceDiscussion::Representation
      
          collection :subject, as: 'subject', class: Google::Apis::ContentwarehouseV1::ScienceCitationSubject, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationSubject::Representation
      
          collection :translatedauthor, as: 'translatedauthor', class: Google::Apis::ContentwarehouseV1::ScienceCitationTranslatedAuthor, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationTranslatedAuthor::Representation
      
          collection :unioncatalog, as: 'unioncatalog', class: Google::Apis::ContentwarehouseV1::ScienceCitationUnionCatalog, decorator: Google::Apis::ContentwarehouseV1::ScienceCitationUnionCatalog::Representation
      
        end
      end
      
      class ScienceCitationAccessUrl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_day, as: 'AccessDay'
          property :access_month, as: 'AccessMonth'
          property :access_year, as: 'AccessYear'
          property :url_str, as: 'UrlStr'
        end
      end
      
      class ScienceCitationAlternateAbstract
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :abstract_display, as: 'AbstractDisplay'
          property :abstract_html, as: 'AbstractHtml'
          property :abstract_html_left_over, as: 'AbstractHtmlLeftOver'
          property :abstract_language, as: 'AbstractLanguage'
          property :abstract_text, as: 'AbstractText'
        end
      end
      
      class ScienceCitationAlternateTitle
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'Language'
          property :title, as: 'Title'
          property :title_html, as: 'TitleHtml'
          property :title_html_left_over, as: 'TitleHtmlLeftOver'
        end
      end
      
      class ScienceCitationAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_src_fp, :numeric_string => true, as: 'DEPRECATEDSrcFP'
          property :count, as: 'count'
          property :face, as: 'face'
          property :size, as: 'size'
          property :text, as: 'text'
          property :type, as: 'type'
          property :weight, as: 'weight'
        end
      end
      
      class ScienceCitationAuthor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :comment, as: 'Comment'
          property :department, as: 'Department'
          property :email, as: 'Email'
          property :guess_order_type, as: 'GuessOrderType'
          collection :id, as: 'ID'
          property :institution, as: 'Institution'
          property :is_cjk_foreign_name, as: 'IsCJKForeignName'
          property :is_corresponding_author, as: 'IsCorrespondingAuthor'
          property :last_name, as: 'LastName'
          property :other_names, as: 'OtherNames'
          property :source_text, as: 'SourceText'
          property :type, as: 'Type'
        end
      end
      
      class ScienceCitationCategory
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'Name'
          property :type, as: 'Type'
        end
      end
      
      class ScienceCitationDownloadUrl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :broken_landing_page, as: 'BrokenLandingPage'
          property :canonical_urlfp, :numeric_string => true, as: 'CanonicalUrlfp'
          property :content_checksum, :numeric_string => true, as: 'ContentChecksum'
          property :content_type, as: 'ContentType'
          property :crawl_timestamp, :numeric_string => true, as: 'CrawlTimestamp'
          property :dmca_notice, as: 'DMCANotice'
          property :display_org, as: 'DisplayOrg'
          property :display_priority, as: 'DisplayPriority'
          property :download_day, as: 'DownloadDay'
          property :download_month, as: 'DownloadMonth'
          property :download_year, as: 'DownloadYear'
          property :excerpt_content, as: 'ExcerptContent'
          property :excerpt_debug_label, as: 'ExcerptDebugLabel'
          property :first_discovered, :numeric_string => true, as: 'FirstDiscovered'
          property :hosted_num_pages, as: 'HostedNumPages'
          property :hosted_start_page, as: 'HostedStartPage'
          property :html_title, as: 'HtmlTitle'
          property :in_prev_index, as: 'InPrevIndex'
          property :index_priority, as: 'IndexPriority'
          property :legal_must_include, as: 'LegalMustInclude'
          property :likely_ahead_print, as: 'LikelyAheadPrint'
          property :likely_different_metrics_venue, as: 'LikelyDifferentMetricsVenue'
          property :likely_legal_journal, as: 'LikelyLegalJournal'
          property :likely_no_cache, as: 'LikelyNoCache'
          property :likely_no_index, as: 'LikelyNoIndex'
          property :likely_world_viewable, as: 'LikelyWorldViewable'
          property :long_chunk_count, as: 'LongChunkCount'
          property :maybe_no_index_reparse, as: 'MaybeNoIndexReparse'
          property :metadata_url, as: 'MetadataUrl'
          property :must_include, as: 'MustInclude'
          property :no_archive, as: 'NoArchive'
          property :no_index, as: 'NoIndex'
          property :no_snippet, as: 'NoSnippet'
          property :ocean_view, as: 'OceanView', class: Google::Apis::ContentwarehouseV1::ScienceOceanView, decorator: Google::Apis::ContentwarehouseV1::ScienceOceanView::Representation
      
          property :out_link_count, as: 'OutLinkCount'
          property :page_count, as: 'PageCount'
          property :references_in_prev_index, as: 'ReferencesInPrevIndex'
          property :type, as: 'Type'
          property :url_after_redirects, as: 'UrlAfterRedirects'
          property :url_str, as: 'UrlStr'
          property :word_count, as: 'WordCount'
          property :world_viewable, as: 'WorldViewable'
        end
      end
      
      class ScienceCitationFunding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :agency, as: 'Agency'
          property :agency_name, as: 'AgencyName'
          property :debug_funding_text_block, as: 'DebugFundingTextBlock'
          property :grant_number, as: 'GrantNumber'
          property :recipient, as: 'Recipient'
          property :source_text, as: 'SourceText'
          property :url_based_funding_source, as: 'UrlBasedFundingSource'
        end
      end
      
      class ScienceCitationReferenceDiscussion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :level, as: 'Level'
          property :target_id, :numeric_string => true, as: 'TargetID'
        end
      end
      
      class ScienceCitationSubject
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'Name'
          property :probability, as: 'Probability'
        end
      end
      
      class ScienceCitationTranslatedAuthor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :department, as: 'Department'
          property :email, as: 'Email'
          property :guess_order_type, as: 'GuessOrderType'
          property :institution, as: 'Institution'
          property :language, as: 'Language'
          property :last_name, as: 'LastName'
          property :other_names, as: 'OtherNames'
          property :source_text, as: 'SourceText'
          property :type, as: 'Type'
        end
      end
      
      class ScienceCitationUnionCatalog
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_urlfp, :numeric_string => true, as: 'CanonicalUrlfp'
          property :metadata_url, as: 'MetadataUrl'
          property :num_libraries, as: 'NumLibraries'
          collection :subject, as: 'Subject'
          property :url, as: 'Url'
        end
      end
      
      class ScienceIndexSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :holdings_id, as: 'HoldingsId'
          property :html_title_fp, :numeric_string => true, as: 'HtmlTitleFp'
          property :index_selection_score, as: 'IndexSelectionScore'
          property :num_backward_links, as: 'NumBackwardLinks'
          property :num_related, as: 'NumRelated'
          property :num_versions, as: 'NumVersions'
          property :publication_day, as: 'PublicationDay'
          property :publication_month, as: 'PublicationMonth'
          property :publication_year, as: 'PublicationYear'
          property :remove_link, as: 'RemoveLink'
          property :scholar_id, :numeric_string => true, as: 'ScholarId'
          property :title, as: 'Title'
          property :visible_prefix_terms, as: 'VisiblePrefixTerms'
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::ScienceIndexSignalAuthor, decorator: Google::Apis::ContentwarehouseV1::ScienceIndexSignalAuthor::Representation
      
        end
      end
      
      class ScienceIndexSignalAuthor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_name, as: 'LastName'
          property :other_names, as: 'OtherNames'
        end
      end
      
      class ScienceOceanView
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :countryview, as: 'countryview', class: Google::Apis::ContentwarehouseV1::ScienceOceanViewCountryView, decorator: Google::Apis::ContentwarehouseV1::ScienceOceanViewCountryView::Representation
      
        end
      end
      
      class ScienceOceanViewCountryView
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'CountryCode'
          property :view_type, as: 'ViewType'
        end
      end
      
      class SciencePerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :abstract_end_position, as: 'AbstractEndPosition'
          property :body_end_position, as: 'BodyEndPosition'
          collection :citation_prediction_signal, as: 'CitationPredictionSignal', class: Google::Apis::ContentwarehouseV1::ScholarCitationPredictionSignal, decorator: Google::Apis::ContentwarehouseV1::ScholarCitationPredictionSignal::Representation
      
          property :court_level, as: 'CourtLevel'
          property :deprecated_crawl_time, :numeric_string => true, as: 'DEPRECATEDCrawlTime'
          property :discovery_age_in_days, as: 'DiscoveryAgeInDays'
          property :discovery_timestamp, :numeric_string => true, as: 'DiscoveryTimestamp'
          property :is_citation_only, as: 'IsCitationOnly'
          property :non_scholarliness_penalty, as: 'NonScholarlinessPenalty'
          property :num_backward_links, as: 'NumBackwardLinks'
          property :num_related, as: 'NumRelated'
          property :num_title_words, as: 'NumTitleWords'
          property :num_versions, as: 'NumVersions'
          property :off_dom_anchors, as: 'OffDomAnchors'
          property :on_site_anchors, as: 'OnSiteAnchors'
          property :predicted_citations, as: 'PredictedCitations'
          property :predicted_citations_next5_years, as: 'PredictedCitationsNext5Years'
          property :publication_day, as: 'PublicationDay'
          property :publication_month, as: 'PublicationMonth'
          property :publication_year, as: 'PublicationYear'
          property :scholar_id, :numeric_string => true, as: 'ScholarId'
          property :subject, as: 'Subject'
          property :title_ngrams, :base64 => true, as: 'TitleNgrams'
          property :total_anchors, as: 'TotalAnchors'
          property :type, as: 'Type'
          collection :author, as: 'author', class: Google::Apis::ContentwarehouseV1::SciencePerDocDataAuthor, decorator: Google::Apis::ContentwarehouseV1::SciencePerDocDataAuthor::Representation
      
          collection :referencediscussion, as: 'referencediscussion', class: Google::Apis::ContentwarehouseV1::SciencePerDocDataReferenceDiscussion, decorator: Google::Apis::ContentwarehouseV1::SciencePerDocDataReferenceDiscussion::Representation
      
          collection :section, as: 'section', class: Google::Apis::ContentwarehouseV1::SciencePerDocDataSection, decorator: Google::Apis::ContentwarehouseV1::SciencePerDocDataSection::Representation
      
          collection :signal, as: 'signal', class: Google::Apis::ContentwarehouseV1::SciencePerDocDataSignal, decorator: Google::Apis::ContentwarehouseV1::SciencePerDocDataSignal::Representation
      
        end
      end
      
      class SciencePerDocDataAuthor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_cjk, as: 'IsCJK'
          property :last_name, as: 'LastName'
          property :other_names, as: 'OtherNames'
        end
      end
      
      class SciencePerDocDataReferenceDiscussion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :level, as: 'Level'
          property :target_id, :numeric_string => true, as: 'TargetID'
        end
      end
      
      class SciencePerDocDataSection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin_position, as: 'beginPosition'
          property :num_positions, as: 'numPositions'
          property :type, as: 'type'
        end
      end
      
      class SciencePerDocDataSignal
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :avg_citations, as: 'avgCitations'
          property :count, as: 'count'
          property :ge_thres1_count, as: 'geThres1Count'
          property :ge_thres2_count, as: 'geThres2Count'
          property :index, as: 'index'
          property :median_citations, as: 'medianCitations'
          property :type, as: 'type'
          property :weight, as: 'weight'
        end
      end
      
      class SearchPolicyRankableSensitivity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :account_provenance, as: 'accountProvenance', class: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance, decorator: Google::Apis::ContentwarehouseV1::QualityQrewriteAccountProvenance::Representation
      
          property :attentional_entity, as: 'attentionalEntity', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityAttentionalEntity, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityAttentionalEntity::Representation
      
          property :dasher_user, as: 'dasherUser'
          property :followon, as: 'followon', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityFollowOn, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityFollowOn::Representation
      
          property :prefilter, as: 'prefilter', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityPrefilter, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityPrefilter::Representation
      
          property :qu, as: 'qu', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityQueryUnderstanding, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityQueryUnderstanding::Representation
      
          property :sensitivity_mode, as: 'sensitivityMode'
          property :synthetic_intent, as: 'syntheticIntent', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivitySyntheticIntent, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivitySyntheticIntent::Representation
      
          property :winning_fulfillment, as: 'winningFulfillment', class: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityFulfillment, decorator: Google::Apis::ContentwarehouseV1::SearchPolicyRankableSensitivityFulfillment::Representation
      
        end
      end
      
      class SearchPolicyRankableSensitivityAttentionalEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ae_origin, as: 'aeOrigin'
        end
      end
      
      class SearchPolicyRankableSensitivityFollowOn
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :block_non_v2_search_backends, as: 'blockNonV2SearchBackends'
          property :ignore_query_understanding, as: 'ignoreQueryUnderstanding'
        end
      end
      
      class SearchPolicyRankableSensitivityFulfillment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class SearchPolicyRankableSensitivityPrefilter
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :propagate_only, as: 'propagateOnly'
        end
      end
      
      class SearchPolicyRankableSensitivityQueryUnderstanding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :intent_only_no_pii, as: 'intentOnlyNoPii'
          property :rewritten_query, as: 'rewrittenQuery'
        end
      end
      
      class SearchPolicyRankableSensitivitySyntheticIntent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class SecurityCredentialsAllAuthenticatedUsersProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class SecurityCredentialsCapTokenHolderProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :token_hmac_sha1_prefix, :base64 => true, as: 'tokenHmacSha1Prefix'
        end
      end
      
      class SecurityCredentialsChatProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :chat_id, as: 'chatId'
          property :member_type, as: 'memberType'
        end
      end
      
      class SecurityCredentialsCircleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :circle_id, :numeric_string => true, as: 'circleId'
          property :owner_gaia_id, :numeric_string => true, as: 'ownerGaiaId'
          property :required_consistency_timestamp_usec, :numeric_string => true, as: 'requiredConsistencyTimestampUsec'
        end
      end
      
      class SecurityCredentialsCloudPrincipalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
        end
      end
      
      class SecurityCredentialsContactGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :group_id, :numeric_string => true, as: 'groupId'
          property :owner_gaia_id, :numeric_string => true, as: 'ownerGaiaId'
          property :required_consistency_timestamp_usec, :numeric_string => true, as: 'requiredConsistencyTimestampUsec'
        end
      end
      
      class SecurityCredentialsEmailOwnerProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
        end
      end
      
      class SecurityCredentialsEventProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :event_id, as: 'eventId'
          property :member_type, as: 'memberType'
        end
      end
      
      class SecurityCredentialsGaiaGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :group_id, :numeric_string => true, as: 'groupId'
        end
      end
      
      class SecurityCredentialsGaiaUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :user_id, :numeric_string => true, as: 'userId'
        end
      end
      
      class SecurityCredentialsHostProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :host_name, as: 'hostName'
          property :host_owner, as: 'hostOwner'
        end
      end
      
      class SecurityCredentialsLdapGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :group_name, as: 'groupName'
        end
      end
      
      class SecurityCredentialsLdapUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :user_name, as: 'userName'
        end
      end
      
      class SecurityCredentialsMdbGroupProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :group_name, as: 'groupName'
        end
      end
      
      class SecurityCredentialsMdbUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :gaia_id, :numeric_string => true, as: 'gaiaId'
          property :user_name, as: 'userName'
        end
      end
      
      class SecurityCredentialsOAuthConsumerProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :domain, as: 'domain'
        end
      end
      
      class SecurityCredentialsPostiniUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :postini_user_id, :numeric_string => true, as: 'postiniUserId'
        end
      end
      
      class SecurityCredentialsPrincipalProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_authenticated_users, as: 'allAuthenticatedUsers', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsAllAuthenticatedUsersProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsAllAuthenticatedUsersProto::Representation
      
          property :cap_token_holder, as: 'capTokenHolder', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsCapTokenHolderProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsCapTokenHolderProto::Representation
      
          property :chat, as: 'chat', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsChatProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsChatProto::Representation
      
          property :circle, as: 'circle', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsCircleProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsCircleProto::Representation
      
          property :cloud_principal, as: 'cloudPrincipal', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsCloudPrincipalProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsCloudPrincipalProto::Representation
      
          property :contact_group, as: 'contactGroup', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsContactGroupProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsContactGroupProto::Representation
      
          property :email_owner, as: 'emailOwner', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsEmailOwnerProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsEmailOwnerProto::Representation
      
          property :event, as: 'event', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsEventProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsEventProto::Representation
      
          property :gaia_group, as: 'gaiaGroup', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsGaiaGroupProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsGaiaGroupProto::Representation
      
          property :gaia_user, as: 'gaiaUser', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsGaiaUserProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsGaiaUserProto::Representation
      
          property :host, as: 'host', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsHostProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsHostProto::Representation
      
          property :ldap_group, as: 'ldapGroup', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsLdapGroupProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsLdapGroupProto::Representation
      
          property :ldap_user, as: 'ldapUser', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsLdapUserProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsLdapUserProto::Representation
      
          property :mdb_group, as: 'mdbGroup', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsMdbGroupProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsMdbGroupProto::Representation
      
          property :mdb_user, as: 'mdbUser', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsMdbUserProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsMdbUserProto::Representation
      
          property :oauth_consumer, as: 'oauthConsumer', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsOAuthConsumerProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsOAuthConsumerProto::Representation
      
          property :postini_user, as: 'postiniUser', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsPostiniUserProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsPostiniUserProto::Representation
      
          property :rbac_role, as: 'rbacRole', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsRbacRoleProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsRbacRoleProto::Representation
      
          property :rbac_subject, as: 'rbacSubject', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsRbacSubjectProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsRbacSubjectProto::Representation
      
          property :resource_role, as: 'resourceRole', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsResourceRoleProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsResourceRoleProto::Representation
      
          property :scope, as: 'scope'
          property :signing_key_possessor, as: 'signingKeyPossessor', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsSigningKeyPossessorProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsSigningKeyPossessorProto::Representation
      
          property :simple_secret_holder, as: 'simpleSecretHolder', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsSimpleSecretHolderProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsSimpleSecretHolderProto::Representation
      
          property :social_graph_node, as: 'socialGraphNode', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsSocialGraphNodeProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsSocialGraphNodeProto::Representation
      
          property :square, as: 'square', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsSquareProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsSquareProto::Representation
      
          property :youtube_user, as: 'youtubeUser', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsYoutubeUserProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsYoutubeUserProto::Representation
      
          property :zwieback_session, as: 'zwiebackSession', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsZwiebackSessionProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsZwiebackSessionProto::Representation
      
        end
      end
      
      class SecurityCredentialsRbacRoleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :object_id_prop, as: 'objectId'
          property :rbac_namespace, as: 'rbacNamespace'
          property :rbac_role_name, as: 'rbacRoleName'
        end
      end
      
      class SecurityCredentialsRbacSubjectProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :username, as: 'username'
        end
      end
      
      class SecurityCredentialsResourceRoleProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_id, as: 'applicationId'
          property :object_id_prop, as: 'objectId'
          property :object_part, as: 'objectPart'
          property :role_id, as: 'roleId'
        end
      end
      
      class SecurityCredentialsSigningKeyPossessorProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :keymaster_key_type, as: 'keymasterKeyType'
          property :serialized_verification_key, :base64 => true, as: 'serializedVerificationKey'
          property :serialized_verification_keyset, :base64 => true, as: 'serializedVerificationKeyset'
        end
      end
      
      class SecurityCredentialsSimpleSecretHolderProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :label, as: 'label', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsSimpleSecretLabelProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsSimpleSecretLabelProto::Representation
      
        end
      end
      
      class SecurityCredentialsSimpleSecretLabelProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :capability_id, as: 'capabilityId'
          property :generic_label, :base64 => true, as: 'genericLabel'
          property :invite_id, :numeric_string => true, as: 'inviteId'
          property :type, as: 'type'
        end
      end
      
      class SecurityCredentialsSocialGraphNodeProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :sgn_domain, as: 'sgnDomain'
          property :sgn_pk, as: 'sgnPk'
        end
      end
      
      class SecurityCredentialsSquareProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :member_type, as: 'memberType'
          property :square_id, :numeric_string => true, as: 'squareId'
        end
      end
      
      class SecurityCredentialsYoutubeUserProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :youtube_user_id, :numeric_string => true, as: 'youtubeUserId'
        end
      end
      
      class SecurityCredentialsZwiebackSessionProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :zwieback_session_id, :numeric_string => true, as: 'zwiebackSessionId'
        end
      end
      
      class SentenceBoundaryAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          collection :instance, as: 'instance', class: Google::Apis::ContentwarehouseV1::SentenceBoundaryAnnotationsInstance, decorator: Google::Apis::ContentwarehouseV1::SentenceBoundaryAnnotationsInstance::Representation
      
        end
      end
      
      class SentenceBoundaryAnnotationsInstance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :clean_text, as: 'cleanText'
          property :context, as: 'context'
          property :context_begin, as: 'contextBegin'
          property :context_end, as: 'contextEnd'
          property :end, as: 'end'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :text, as: 'text'
          property :to_index, as: 'toIndex'
        end
      end
      
      class SentimentSentiment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :polarity, as: 'polarity'
          property :user_behaviors, as: 'userBehaviors', class: Google::Apis::ContentwarehouseV1::SentimentSentimentBehaviors, decorator: Google::Apis::ContentwarehouseV1::SentimentSentimentBehaviors::Representation
      
          property :user_emotions, as: 'userEmotions', class: Google::Apis::ContentwarehouseV1::SentimentSentimentEmotions, decorator: Google::Apis::ContentwarehouseV1::SentimentSentimentEmotions::Representation
      
        end
      end
      
      class SentimentSentimentBehaviors
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :politeness, as: 'politeness'
        end
      end
      
      class SentimentSentimentEmotions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anger, as: 'anger'
          property :disgust, as: 'disgust'
          property :fear, as: 'fear'
          property :happiness, as: 'happiness'
          property :sadness, as: 'sadness'
          property :surprise, as: 'surprise'
        end
      end
      
      class ShingleInfoPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :num_shingles, as: 'numShingles'
          collection :source, as: 'source', class: Google::Apis::ContentwarehouseV1::ShingleSource, decorator: Google::Apis::ContentwarehouseV1::ShingleSource::Representation
      
        end
      end
      
      class ShingleSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :num_shingles, as: 'numShingles'
          property :timestamp, as: 'timestamp'
        end
      end
      
      class ShoppingWebentityShoppingAnnotationInferredImage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :inferred_image_id, :numeric_string => true, as: 'inferredImageId'
          property :inferred_image_type, as: 'inferredImageType'
        end
      end
      
      class ShoppingWebentityShoppingAnnotationProductRating
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, :numeric_string => true, as: 'count'
          property :source, as: 'source'
          property :value, as: 'value'
        end
      end
      
      class ShoppingWebentityShoppingAnnotationSoriVersionId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :f1_commit_timestamp_micros, :numeric_string => true, as: 'f1CommitTimestampMicros'
          property :opaque_sori_id, as: 'opaqueSoriId', class: Google::Apis::ContentwarehouseV1::AdsShoppingReportingOffersSerializedSoriId, decorator: Google::Apis::ContentwarehouseV1::AdsShoppingReportingOffersSerializedSoriId::Representation
      
        end
      end
      
      class Sitemap
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_source_title, as: 'DEPRECATEDSourceTitle'
          collection :target_groups, as: 'TargetGroups', class: Google::Apis::ContentwarehouseV1::QualitySitemapTargetGroup, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapTargetGroup::Representation
      
          collection :deprecated_target, as: 'deprecatedTarget', class: Google::Apis::ContentwarehouseV1::SitemapDeprecatedTarget, decorator: Google::Apis::ContentwarehouseV1::SitemapDeprecatedTarget::Representation
      
          property :search_in_site, as: 'searchInSite'
          property :sitemap_type, as: 'sitemapType'
          property :source_orgfp, :numeric_string => true, as: 'sourceOrgfp'
          property :source_url, as: 'sourceUrl'
          property :subresult_list, as: 'subresultList', class: Google::Apis::ContentwarehouseV1::QualitySitemapSubresultList, decorator: Google::Apis::ContentwarehouseV1::QualitySitemapSubresultList::Representation
      
        end
      end
      
      class SitemapDeprecatedTarget
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_anchor, as: 'DEPRECATEDAnchor'
          property :deprecated_running_anchor, as: 'DEPRECATEDRunningAnchor'
          property :deprecated_title, as: 'DEPRECATEDTitle'
          property :displaytitle, as: 'displaytitle'
          property :score, as: 'score'
          property :url, as: 'url'
        end
      end
      
      class SmartphonePerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deprecated_desktop_canonical_docid, :numeric_string => true, as: 'DEPRECATEDDesktopCanonicalDocid'
          property :deprecated_mobile_homepage_docid, :numeric_string => true, as: 'DEPRECATEDMobileHomepageDocid'
          property :ads_density_interstitial_violation_strength, as: 'adsDensityInterstitialViolationStrength'
          property :is_error_page, as: 'isErrorPage'
          property :is_n1_redirect, as: 'isN1Redirect'
          property :is_smartphone_optimized, as: 'isSmartphoneOptimized'
          property :is_web_error_mobile_content, as: 'isWebErrorMobileContent'
          property :maximum_flash_ratio, as: 'maximumFlashRatio'
          property :mobile_friendly_score, as: 'mobileFriendlyScore'
          property :violates_mobile_interstitial_policy, as: 'violatesMobileInterstitialPolicy'
        end
      end
      
      class SmearedWebLandingPageEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :imagesearch_docid, :numeric_string => true, as: 'imagesearchDocid'
          property :web_docid, :numeric_string => true, as: 'webDocid'
        end
      end
      
      class SnapshotBox
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :width, as: 'width'
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class SnapshotImageNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_box, as: 'boundingBox', class: Google::Apis::ContentwarehouseV1::SnapshotBox, decorator: Google::Apis::ContentwarehouseV1::SnapshotBox::Representation
      
          property :is_external, as: 'isExternal'
          property :url, as: 'url'
        end
      end
      
      class SnapshotSnapshotDocument
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :image_node, as: 'imageNode', class: Google::Apis::ContentwarehouseV1::SnapshotImageNode, decorator: Google::Apis::ContentwarehouseV1::SnapshotImageNode::Representation
      
          property :meta_no_preview, as: 'metaNoPreview'
          property :meta_no_snippet, as: 'metaNoSnippet'
          property :teradoc, as: 'teradoc', class: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfo, decorator: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfo::Representation
      
          collection :text_node, as: 'textNode', class: Google::Apis::ContentwarehouseV1::SnapshotTextNode, decorator: Google::Apis::ContentwarehouseV1::SnapshotTextNode::Representation
      
          property :title, as: 'title'
        end
      end
      
      class SnapshotSnapshotMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count_distinct_resources, as: 'countDistinctResources'
          property :crawl_timestamp, :numeric_string => true, as: 'crawlTimestamp'
          property :snapshot_document, as: 'snapshotDocument', class: Google::Apis::ContentwarehouseV1::SnapshotSnapshotDocument, decorator: Google::Apis::ContentwarehouseV1::SnapshotSnapshotDocument::Representation
      
          property :snapshot_quality_score, as: 'snapshotQualityScore'
          property :total_content_size, :numeric_string => true, as: 'totalContentSize'
        end
      end
      
      class SnapshotTextNode
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounding_box, as: 'boundingBox', class: Google::Apis::ContentwarehouseV1::SnapshotBox, decorator: Google::Apis::ContentwarehouseV1::SnapshotBox::Representation
      
          property :font_size, as: 'fontSize'
          property :in_link, as: 'inLink'
          property :max_split, as: 'maxSplit'
          property :text, as: 'text'
        end
      end
      
      class SnippetExtraInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :candidate_info, as: 'candidateInfo', class: Google::Apis::ContentwarehouseV1::SnippetExtraInfoSnippetCandidateInfo, decorator: Google::Apis::ContentwarehouseV1::SnippetExtraInfoSnippetCandidateInfo::Representation
      
          property :contain_user_quotes, as: 'containUserQuotes'
          property :contain_vulgar_candidates, as: 'containVulgarCandidates'
          property :disable_query_features, as: 'disableQueryFeatures'
          property :snippet_brain_selected_candidate_index, as: 'snippetBrainSelectedCandidateIndex'
        end
      end
      
      class SnippetExtraInfoSnippetCandidateInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
          property :is_muppet_selected_snippet, as: 'isMuppetSelectedSnippet'
          property :is_snippet_brain_bolding_triggered, as: 'isSnippetBrainBoldingTriggered'
          property :list_info, as: 'listInfo', class: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsOrganicListSnippetResponse, decorator: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsOrganicListSnippetResponse::Representation
      
          property :scoring_info, as: 'scoringInfo', class: Google::Apis::ContentwarehouseV1::SnippetExtraInfoSnippetScoringInfo, decorator: Google::Apis::ContentwarehouseV1::SnippetExtraInfoSnippetScoringInfo::Representation
      
          collection :snippet, as: 'snippet'
          property :snippet_source, as: 'snippetSource'
          property :snippet_text, as: 'snippetText'
          property :snippet_type, as: 'snippetType'
        end
      end
      
      class SnippetExtraInfoSnippetScoringInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :brain_ng3_score, as: 'brainNg3Score'
          property :brain_score, as: 'brainScore'
          property :features, as: 'features', class: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabSnippet, decorator: Google::Apis::ContentwarehouseV1::QualityPreviewRanklabSnippet::Representation
      
          property :final_score, as: 'finalScore'
          property :rank_by_snippet_flow, as: 'rankBySnippetFlow'
        end
      end
      
      class SnippetsLeadingtextLeadingTextAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :piece, as: 'piece', class: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextAnnotationPiece, decorator: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextAnnotationPiece::Representation
      
          property :piece_type, as: 'pieceType'
          property :type, as: 'type'
        end
      end
      
      class SnippetsLeadingtextLeadingTextAnnotationPiece
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin, as: 'begin'
          property :begin_text, as: 'beginText'
          property :end, as: 'end'
          property :end_text, as: 'endText'
          property :matched_pattern, as: 'matchedPattern'
        end
      end
      
      class SnippetsLeadingtextLeadingTextInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :begin_pos, as: 'beginPos'
          collection :leadingtext, as: 'leadingtext', class: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextAnnotation, decorator: Google::Apis::ContentwarehouseV1::SnippetsLeadingtextLeadingTextAnnotation::Representation
      
          property :text, as: 'text'
          property :type, as: 'type'
        end
      end
      
      class SocialCommonAttachmentAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :embed_item, as: 'embedItem', class: Google::Apis::ContentwarehouseV1::EmbedsEmbedClientItem, decorator: Google::Apis::ContentwarehouseV1::EmbedsEmbedClientItem::Representation
      
          property :id, as: 'id'
        end
      end
      
      class SocialCommonFormatting
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bold, as: 'bold'
          property :highlight, as: 'highlight'
          property :italics, as: 'italics'
          property :strikethrough, as: 'strikethrough'
          property :style, as: 'style'
          property :underline, as: 'underline'
        end
      end
      
      class SocialCommonHashtagData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :search_text, as: 'searchText'
        end
      end
      
      class SocialCommonLinkData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :attachment, as: 'attachment', class: Google::Apis::ContentwarehouseV1::SocialCommonAttachmentAttachment, decorator: Google::Apis::ContentwarehouseV1::SocialCommonAttachmentAttachment::Representation
      
          property :attachment_render_hint, as: 'attachmentRenderHint'
          property :display_url, as: 'displayUrl'
          property :link_target, as: 'linkTarget'
          property :link_type, as: 'linkType'
          property :title, as: 'title'
        end
      end
      
      class SocialCommonSegment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :formatting, as: 'formatting', class: Google::Apis::ContentwarehouseV1::SocialCommonFormatting, decorator: Google::Apis::ContentwarehouseV1::SocialCommonFormatting::Representation
      
          property :hashtag_data, as: 'hashtagData', class: Google::Apis::ContentwarehouseV1::SocialCommonHashtagData, decorator: Google::Apis::ContentwarehouseV1::SocialCommonHashtagData::Representation
      
          property :link_data, as: 'linkData', class: Google::Apis::ContentwarehouseV1::SocialCommonLinkData, decorator: Google::Apis::ContentwarehouseV1::SocialCommonLinkData::Representation
      
          property :text, as: 'text'
          property :type, as: 'type'
          property :user_mention_data, as: 'userMentionData', class: Google::Apis::ContentwarehouseV1::SocialCommonUserMentionData, decorator: Google::Apis::ContentwarehouseV1::SocialCommonUserMentionData::Representation
      
        end
      end
      
      class SocialCommonSegments
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :segments, as: 'segments', class: Google::Apis::ContentwarehouseV1::SocialCommonSegment, decorator: Google::Apis::ContentwarehouseV1::SocialCommonSegment::Representation
      
        end
      end
      
      class SocialCommonUserMentionData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :user, as: 'user', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto::Representation
      
          property :user_gaia_id, :numeric_string => true, as: 'userGaiaId'
          property :user_id, as: 'userId'
        end
      end
      
      class SocialDiscoveryExternalEntityKey
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :email, as: 'email'
          property :phone, as: 'phone'
          property :profile_id, as: 'profileId'
        end
      end
      
      class SocialGraphApiAppContactData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :data, as: 'data', class: Google::Apis::ContentwarehouseV1::SocialGraphApiDataColumn, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiDataColumn::Representation
      
          property :mimetype, as: 'mimetype'
        end
      end
      
      class SocialGraphApiDataColumn
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :column_name, as: 'columnName'
          property :value, as: 'value'
        end
      end
      
      class SocialGraphApiProtoAndroidDeviceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
        end
      end
      
      class SocialGraphApiProtoBirthdayDecoration
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :birthday_decoration_visibility, as: 'birthdayDecorationVisibility'
        end
      end
      
      class SocialGraphApiProtoContactDeletionContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mutation_context, as: 'mutationContext', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactMutationContext, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactMutationContext::Representation
      
        end
      end
      
      class SocialGraphApiProtoContactMutationContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :android_device_info, as: 'androidDeviceInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoAndroidDeviceInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoAndroidDeviceInfo::Representation
      
          property :host_app_info, as: 'hostAppInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoHostAppInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoHostAppInfo::Representation
      
          property :source, as: 'source'
          property :third_party_info, as: 'thirdPartyInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoThirdPartyInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoThirdPartyInfo::Representation
      
          property :timestamp, as: 'timestamp'
        end
      end
      
      class SocialGraphApiProtoContactState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :deletion_context, as: 'deletionContext', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactDeletionContext, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoContactDeletionContext::Representation
      
          property :deletion_state, as: 'deletionState'
        end
      end
      
      class SocialGraphApiProtoDelegatedGroupId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, as: 'id'
        end
      end
      
      class SocialGraphApiProtoDisplayNameSource
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source, as: 'source'
        end
      end
      
      class SocialGraphApiProtoHostAppInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :host_app_name, as: 'hostAppName'
        end
      end
      
      class SocialGraphApiProtoLimitedProfileNameSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :partial_name_options, as: 'partialNameOptions', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptions, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptions::Representation
      
          property :verbatim_full_name, as: 'verbatimFullName'
        end
      end
      
      class SocialGraphApiProtoLimitedProfilePictureSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :profile_picture_option, as: 'profilePictureOption'
        end
      end
      
      class SocialGraphApiProtoLimitedProfileSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :disable_reason, as: 'disableReason'
          property :gpay_oobe, as: 'gpayOobe'
          property :last_update_time, as: 'lastUpdateTime'
          property :legacy_discoverability, as: 'legacyDiscoverability'
          property :my_account, as: 'myAccount'
          property :name_settings, as: 'nameSettings', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfileNameSettings, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfileNameSettings::Representation
      
          property :profile_picture_settings, as: 'profilePictureSettings', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfilePictureSettings, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoLimitedProfilePictureSettings::Representation
      
        end
      end
      
      class SocialGraphApiProtoPartialNameOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :parsed_display_name_spec, as: 'parsedDisplayNameSpec', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsParsedDisplayNameSpec, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsParsedDisplayNameSpec::Representation
      
          property :two_part_name_spec, as: 'twoPartNameSpec', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsTwoPartNameSpec, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsTwoPartNameSpec::Representation
      
        end
      end
      
      class SocialGraphApiProtoPartialNameOptionsNamePartSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hide_all, as: 'hideAll'
          property :show_all, as: 'showAll'
          property :show_first_n_chars, as: 'showFirstNChars'
          property :show_initial, as: 'showInitial'
          property :truncation_indicator, as: 'truncationIndicator'
        end
      end
      
      class SocialGraphApiProtoPartialNameOptionsParsedDisplayNameSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :all_initials_from_parsed_name, as: 'allInitialsFromParsedName'
          property :first_initial_and_very_last_name, as: 'firstInitialAndVeryLastName'
          property :knowledge_graph_name_shortening, as: 'knowledgeGraphNameShortening'
          property :truncation_indicator, as: 'truncationIndicator'
          property :very_first_name_and_all_initials, as: 'veryFirstNameAndAllInitials'
          property :very_first_name_only, as: 'veryFirstNameOnly'
        end
      end
      
      class SocialGraphApiProtoPartialNameOptionsTwoPartNameSpec
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :family_name_spec, as: 'familyNameSpec', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsNamePartSpec, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsNamePartSpec::Representation
      
          property :given_name_spec, as: 'givenNameSpec', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsNamePartSpec, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPartialNameOptionsNamePartSpec::Representation
      
        end
      end
      
      class SocialGraphApiProtoPronounData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :pronoun_entry, as: 'pronounEntry', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronounEntry, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronounEntry::Representation
      
        end
      end
      
      class SocialGraphApiProtoPronounEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language_code, as: 'languageCode'
          property :pronoun_type, as: 'pronounType'
          property :value, as: 'value'
        end
      end
      
      class SocialGraphApiProtoPronunciation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :learning_session_id, as: 'learningSessionId'
          property :learning_source, as: 'learningSource'
          property :locale, as: 'locale'
          property :phonemes, as: 'phonemes'
          property :phonology_type, as: 'phonologyType'
          property :spelling_hint, as: 'spellingHint'
          property :token, as: 'token'
        end
      end
      
      class SocialGraphApiProtoPronunciations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :pronunciation, as: 'pronunciation', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronunciation, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoPronunciation::Representation
      
        end
      end
      
      class SocialGraphApiProtoSearchProfileData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          collection :education, as: 'education', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEducation, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEducation::Representation
      
          collection :interest, as: 'interest', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          property :language, as: 'language'
          collection :location, as: 'location', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileLocation, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileLocation::Representation
      
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileMetadata, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileMetadata::Representation
      
          collection :occupation, as: 'occupation', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          collection :public_email, as: 'publicEmail'
          collection :public_phone_number, as: 'publicPhoneNumber'
          collection :social_link, as: 'socialLink', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileSocialLink, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileSocialLink::Representation
      
          collection :website, as: 'website'
          collection :workplace, as: 'workplace', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileWorkplace, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileWorkplace::Representation
      
        end
      end
      
      class SocialGraphApiProtoSearchProfileEducation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_time, as: 'endTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          collection :field_of_study, as: 'fieldOfStudy', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          property :institution, as: 'institution', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          property :start_time, as: 'startTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
        end
      end
      
      class SocialGraphApiProtoSearchProfileEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :country_code, as: 'countryCode'
          property :entity, as: 'entity'
          collection :name, as: 'name'
        end
      end
      
      class SocialGraphApiProtoSearchProfileLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_time, as: 'endTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :length_of_stay, as: 'lengthOfStay'
          property :place, as: 'place', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          property :point, as: 'point', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileLocationInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileLocationInfo::Representation
      
          property :start_time, as: 'startTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :type, as: 'type'
        end
      end
      
      class SocialGraphApiProtoSearchProfileLocationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lat, as: 'lat'
          property :lon, as: 'lon'
          property :radius, as: 'radius'
        end
      end
      
      class SocialGraphApiProtoSearchProfileMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :account_id, as: 'accountId'
          property :account_mid, as: 'accountMid'
          property :ares_id, as: 'aresId'
          collection :state, as: 'state', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileState, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileState::Representation
      
        end
      end
      
      class SocialGraphApiProtoSearchProfileSocialLink
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :link, as: 'link'
          property :type, as: 'type'
        end
      end
      
      class SocialGraphApiProtoSearchProfileState
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :change_timestamp, as: 'changeTimestamp'
          property :display_timestamp, as: 'displayTimestamp'
          property :type, as: 'type'
        end
      end
      
      class SocialGraphApiProtoSearchProfileWorkplace
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :company, as: 'company', class: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity, decorator: Google::Apis::ContentwarehouseV1::SocialGraphApiProtoSearchProfileEntity::Representation
      
          property :end_time, as: 'endTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
          property :start_time, as: 'startTime', class: Google::Apis::ContentwarehouseV1::GoogleTypeDate, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeDate::Representation
      
        end
      end
      
      class SocialGraphApiProtoSyncInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :source_id, as: 'sourceId'
          property :sync1, as: 'sync1'
          property :sync2, as: 'sync2'
          property :sync3, as: 'sync3'
          property :sync4, as: 'sync4'
        end
      end
      
      class SocialGraphApiProtoThirdPartyInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_name, as: 'clientName'
          property :project_number, :numeric_string => true, as: 'projectNumber'
        end
      end
      
      class SocialGraphApiProtoUsageInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :last_time_contacted, as: 'lastTimeContacted'
          property :times_contacted, :numeric_string => true, as: 'timesContacted'
        end
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_interaction_info, as: 'clientInteractionInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadataClientInteractionInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadataClientInteractionInfo::Representation
      
          property :cloud_device_data_info, as: 'cloudDeviceDataInfo', class: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadataCloudDeviceDataInfo, decorator: Google::Apis::ContentwarehouseV1::SocialGraphWireProtoPeopleapiAffinityMetadataCloudDeviceDataInfo::Representation
      
          property :cloud_score, as: 'cloudScore'
        end
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadataClientInteractionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_direct_client_interaction, as: 'isDirectClientInteraction'
        end
      end
      
      class SocialGraphWireProtoPeopleapiAffinityMetadataCloudDeviceDataInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :device_score, as: 'deviceScore'
          property :is_device_data_known, as: 'isDeviceDataKnown'
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionAppsWaldoExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :availabilities, as: 'availabilities', class: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserAvailabilities, decorator: Google::Apis::ContentwarehouseV1::GoogleInternalAppsWaldoV1alphaUserAvailabilities::Representation
      
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionCorpDeskbookingLocationExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :validity_interval, as: 'validityInterval', class: Google::Apis::ContentwarehouseV1::GoogleTypeInterval, decorator: Google::Apis::ContentwarehouseV1::GoogleTypeInterval::Representation
      
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionDynamiteExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :avatar_url, as: 'avatarUrl'
          property :description, as: 'description'
          property :developer_name, as: 'developerName'
          property :dnd_state, as: 'dndState'
          property :entity_type, as: 'entityType'
          property :member_count, :numeric_string => true, as: 'memberCount'
          property :organization_info, as: 'organizationInfo', class: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfo, decorator: Google::Apis::ContentwarehouseV1::AppsDynamiteSharedOrganizationInfo::Representation
      
          property :presence_prop, as: 'presence'
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPaisaExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :actor_id, as: 'actorId'
          property :subtitle, as: 'subtitle'
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPeopleStackExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :family_status, as: 'familyStatus'
          collection :hidden_keys, as: 'hiddenKeys', class: Google::Apis::ContentwarehouseV1::SocialDiscoveryExternalEntityKey, decorator: Google::Apis::ContentwarehouseV1::SocialDiscoveryExternalEntityKey::Representation
      
          property :hide_type, as: 'hideType'
        end
      end
      
      class SocialGraphWireProtoPeopleapiExtensionPeopleStackPersonExtendedData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :birthday_status, as: 'birthdayStatus'
          property :family_status, as: 'familyStatus'
          collection :hidden_keys, as: 'hiddenKeys', class: Google::Apis::ContentwarehouseV1::SocialDiscoveryExternalEntityKey, decorator: Google::Apis::ContentwarehouseV1::SocialDiscoveryExternalEntityKey::Representation
      
          property :hide_type, as: 'hideType'
        end
      end
      
      class SocialPersonalizationKnexAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :item, as: 'item', class: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotationItem, decorator: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotationItem::Representation
      
        end
      end
      
      class SocialPersonalizationKnexAnnotationItem
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :description, as: 'description'
          property :equivalent_mid, :numeric_string => true, as: 'equivalentMid'
          property :generality, as: 'generality'
          property :mid, :numeric_string => true, as: 'mid'
          collection :related_entity, as: 'relatedEntity', class: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotationItemTopic, decorator: Google::Apis::ContentwarehouseV1::SocialPersonalizationKnexAnnotationItemTopic::Representation
      
          property :topicality, as: 'topicality'
        end
      end
      
      class SocialPersonalizationKnexAnnotationItemTopic
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :mid, :numeric_string => true, as: 'mid'
          property :score, as: 'score'
        end
      end
      
      class SocialStanzaDeliveryRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :do_not_publish, as: 'doNotPublish'
        end
      end
      
      class SocialStanzaModerationInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :moderation_reason, as: 'moderationReason'
          property :moderator, as: 'moderator', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto::Representation
      
          property :moderator_type, as: 'moderatorType'
        end
      end
      
      class SocialStanzaStanzaRestriction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :abuse_types, as: 'abuseTypes', class: Google::Apis::ContentwarehouseV1::AbuseiamAbuseType, decorator: Google::Apis::ContentwarehouseV1::AbuseiamAbuseType::Representation
      
          property :appeal_state, as: 'appealState'
          property :content_restriction, as: 'contentRestriction', class: Google::Apis::ContentwarehouseV1::AbuseiamContentRestriction, decorator: Google::Apis::ContentwarehouseV1::AbuseiamContentRestriction::Representation
      
          collection :delete_reason, as: 'deleteReason'
          property :delivery_restriction, as: 'deliveryRestriction', class: Google::Apis::ContentwarehouseV1::SocialStanzaDeliveryRestriction, decorator: Google::Apis::ContentwarehouseV1::SocialStanzaDeliveryRestriction::Representation
      
          property :destination_stream, as: 'destinationStream', class: Google::Apis::ContentwarehouseV1::AppsPeopleActivityBackendDestinationStream, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleActivityBackendDestinationStream::Representation
      
          property :moderation_info, as: 'moderationInfo', class: Google::Apis::ContentwarehouseV1::SocialStanzaModerationInfo, decorator: Google::Apis::ContentwarehouseV1::SocialStanzaModerationInfo::Representation
      
          property :moderation_state, as: 'moderationState'
        end
      end
      
      class SpamCookbookAction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :drop_in_serving, as: 'dropInServing'
        end
      end
      
      class SpamMuppetjoinsMuppetSignals
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hacked_date_nautilus, as: 'hackedDateNautilus'
          property :hacked_date_raiden, as: 'hackedDateRaiden'
          property :raiden_score, as: 'raidenScore'
          property :site, as: 'site'
        end
      end
      
      class SpeechS3LanguageIdentificationResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_time_usec, :numeric_string => true, as: 'endTimeUsec'
          collection :ranked_top_supported_languages, as: 'rankedTopSupportedLanguages', class: Google::Apis::ContentwarehouseV1::SpeechS3Locale, decorator: Google::Apis::ContentwarehouseV1::SpeechS3Locale::Representation
      
          property :start_time_usec, :numeric_string => true, as: 'startTimeUsec'
          property :top_language_confidence, as: 'topLanguageConfidence'
          property :voiced_utterance, as: 'voicedUtterance'
        end
      end
      
      class SpeechS3Locale
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :format, as: 'format'
          property :locale, as: 'locale'
        end
      end
      
      class StorageGraphBfgAuthorityFeedbackMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class StorageGraphBfgLegalRequestMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bug_id, :numeric_string => true, as: 'bugId'
        end
      end
      
      class StorageGraphBfgLivegraphProvenanceMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lg_internal_writer_id, :numeric_string => true, as: 'lgInternalWriterId'
          property :provenance_only_addition, as: 'provenanceOnlyAddition'
          collection :triangulation_key, as: 'triangulationKey'
          property :weak_data, as: 'weakData'
        end
      end
      
      class StorageGraphBfgPolicyMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :availability_end_timestamp, as: 'availabilityEndTimestamp'
          property :availability_start_timestamp, as: 'availabilityStartTimestamp'
          collection :legal_allowed_regions, as: 'legalAllowedRegions', class: Google::Apis::ContentwarehouseV1::KeGovernanceTypedRegions, decorator: Google::Apis::ContentwarehouseV1::KeGovernanceTypedRegions::Representation
      
          collection :legal_removal_regions, as: 'legalRemovalRegions', class: Google::Apis::ContentwarehouseV1::KeGovernanceTypedRegions, decorator: Google::Apis::ContentwarehouseV1::KeGovernanceTypedRegions::Representation
      
          property :policy_source_type, as: 'policySourceType'
        end
      end
      
      class StorageGraphBfgPublicInformationMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attribution_url, as: 'attributionUrl'
          property :last_verified_date, :numeric_string => true, as: 'lastVerifiedDate'
        end
      end
      
      class StorageGraphBfgSpiiCertification
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :authority_feedback, as: 'authorityFeedback', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgAuthorityFeedbackMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgAuthorityFeedbackMetadata::Representation
      
          property :legal_request, as: 'legalRequest', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgLegalRequestMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgLegalRequestMetadata::Representation
      
          property :public_information, as: 'publicInformation', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgPublicInformationMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgPublicInformationMetadata::Representation
      
        end
      end
      
      class StorageGraphBfgTripleProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :access_required, as: 'accessRequired'
          property :access_required_int, as: 'accessRequiredInt'
          property :authoring_timestamp, :numeric_string => true, as: 'authoringTimestamp'
          property :creator, as: 'creator'
          property :dataset, as: 'dataset'
          property :extraction_pattern, :base64 => true, as: 'extractionPattern'
          property :extraction_timestamp, :numeric_string => true, as: 'extractionTimestamp'
          property :freebase_attribution, as: 'freebaseAttribution'
          property :is_supporting_data, as: 'isSupportingData'
          property :lg_metadata, as: 'lgMetadata', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgLivegraphProvenanceMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgLivegraphProvenanceMetadata::Representation
      
          property :policy_metadata, as: 'policyMetadata', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgPolicyMetadata, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgPolicyMetadata::Representation
      
          property :process, as: 'process'
          property :provenance_extension, as: 'provenanceExtension', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :ranking_token, as: 'rankingToken'
          property :requires_triangulation, as: 'requiresTriangulation'
          collection :restrictions, as: 'restrictions'
          property :source, as: 'source'
          collection :source_category, as: 'sourceCategory'
          collection :source_doc_id, as: 'sourceDocId'
          property :spii_certification, as: 'spiiCertification', class: Google::Apis::ContentwarehouseV1::StorageGraphBfgSpiiCertification, decorator: Google::Apis::ContentwarehouseV1::StorageGraphBfgSpiiCertification::Representation
      
        end
      end
      
      class SuperrootPodcastsRecommendationsPodcastRecsFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_duration_seconds_episode, :numeric_string => true, as: 'averageDurationSecondsEpisode'
          property :average_duration_seconds_show, :numeric_string => true, as: 'averageDurationSecondsShow'
          property :average_fraction_episode, as: 'averageFractionEpisode'
          property :average_fraction_show, as: 'averageFractionShow'
          property :balanced_lift, as: 'balancedLift'
          property :category_match, as: 'categoryMatch'
          property :cluster_feed_minutes, :numeric_string => true, as: 'clusterFeedMinutes'
          property :colistened_show_colisten_affinity, as: 'colistenedShowColistenAffinity'
          property :colistened_show_level_rank, :numeric_string => true, as: 'colistenedShowLevelRank'
          property :conv_ai_toxicity_severe_score, as: 'convAiToxicitySevereScore'
          property :csai_score, as: 'csaiScore'
          property :dnn_show_level_rank, :numeric_string => true, as: 'dnnShowLevelRank'
          property :dnn_v2a_score, as: 'dnnV2aScore'
          property :dnn_v2a_score_sigmoid, as: 'dnnV2aScoreSigmoid'
          property :duration_total_seconds_episode, :numeric_string => true, as: 'durationTotalSecondsEpisode'
          property :duration_total_seconds_show, :numeric_string => true, as: 'durationTotalSecondsShow'
          property :episode_duration_sec, :numeric_string => true, as: 'episodeDurationSec'
          property :episode_impressions, :numeric_string => true, as: 'episodeImpressions'
          property :episode_impressions_past_week, :numeric_string => true, as: 'episodeImpressionsPastWeek'
          property :episodes_published_per_month, :numeric_string => true, as: 'episodesPublishedPerMonth'
          property :explicit_show, as: 'explicitShow'
          property :feed_pagerank, as: 'feedPagerank'
          property :final_reaction_boost_score, as: 'finalReactionBoostScore'
          property :fraction_total_episode, as: 'fractionTotalEpisode'
          property :fraction_total_show, as: 'fractionTotalShow'
          property :fringe_score, as: 'fringeScore'
          property :global_prob, as: 'globalProb'
          property :in_cluster_prob, as: 'inClusterProb'
          property :is_canonical, as: 'isCanonical'
          property :kmeans_show_level_rank, :numeric_string => true, as: 'kmeansShowLevelRank'
          property :language_match, as: 'languageMatch'
          property :link_ownership_verified, as: 'linkOwnershipVerified'
          property :listen_time_min, as: 'listenTimeMin'
          property :listened_show_level_rank, :numeric_string => true, as: 'listenedShowLevelRank'
          property :listened_show_listening_affinity, as: 'listenedShowListeningAffinity'
          property :location_feature_id, as: 'locationFeatureId'
          property :long_user_listening_webref_similarity, as: 'longUserListeningWebrefSimilarity'
          property :medical_score, as: 'medicalScore'
          property :medium_user_listening_webref_similarity, as: 'mediumUserListeningWebrefSimilarity'
          property :negative_reaction_boost_score, as: 'negativeReactionBoostScore'
          property :niche_lift, as: 'nicheLift'
          property :num_listeners_in_kmeans_cluster, :numeric_string => true, as: 'numListenersInKmeansCluster'
          property :num_listeners_to_show_in_kmeans_cluster, :numeric_string => true, as: 'numListenersToShowInKmeansCluster'
          property :num_listens, as: 'numListens'
          property :num_subscribers_show, :numeric_string => true, as: 'numSubscribersShow'
          property :num_unique_listeners_show, :numeric_string => true, as: 'numUniqueListenersShow'
          property :offensive_score, as: 'offensiveScore'
          property :pe_duration_score_episode, as: 'peDurationScoreEpisode'
          property :pe_duration_score_show, as: 'peDurationScoreShow'
          property :pe_duration_total_score_episode, as: 'peDurationTotalScoreEpisode'
          property :pe_duration_total_score_show, as: 'peDurationTotalScoreShow'
          property :pe_fraction_score_episode, as: 'peFractionScoreEpisode'
          property :pe_fraction_score_show, as: 'peFractionScoreShow'
          property :pe_fraction_total_score_episode, as: 'peFractionTotalScoreEpisode'
          property :pe_fraction_total_score_show, as: 'peFractionTotalScoreShow'
          property :pe_listen_score_episode, as: 'peListenScoreEpisode'
          property :pe_listen_score_show, as: 'peListenScoreShow'
          property :pe_listen_total_score_episode, as: 'peListenTotalScoreEpisode'
          property :pe_listen_total_score_show, as: 'peListenTotalScoreShow'
          property :popular_lift, as: 'popularLift'
          property :porn_score, as: 'pornScore'
          property :positive_reaction_boost_score, as: 'positiveReactionBoostScore'
          property :query_language, as: 'queryLanguage'
          property :rank, :numeric_string => true, as: 'rank'
          property :rank_percent_contrib, as: 'rankPercentContrib'
          property :recent_user_listening_webref_similarity, as: 'recentUserListeningWebrefSimilarity'
          property :seconds_since_publication, :numeric_string => true, as: 'secondsSincePublication'
          property :show_base_quality, as: 'showBaseQuality'
          property :show_impressions, :numeric_string => true, as: 'showImpressions'
          property :show_impressions_past_week, :numeric_string => true, as: 'showImpressionsPastWeek'
          property :show_language, as: 'showLanguage'
          property :show_only_impressions, :numeric_string => true, as: 'showOnlyImpressions'
          property :show_only_impressions_past_week, :numeric_string => true, as: 'showOnlyImpressionsPastWeek'
          property :show_popular_rank, :numeric_string => true, as: 'showPopularRank'
          property :spoof_score, as: 'spoofScore'
          property :subscribed_show_listening_affinity, as: 'subscribedShowListeningAffinity'
          property :subscription_show_level_rank, :numeric_string => true, as: 'subscriptionShowLevelRank'
          property :surface, as: 'surface'
          property :trending_score_percent, :numeric_string => true, as: 'trendingScorePercent'
          collection :ulp_language, as: 'ulpLanguage', class: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage, decorator: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage::Representation
      
          property :ulp_language_match, as: 'ulpLanguageMatch'
          property :user_cluster_distance, as: 'userClusterDistance'
          property :user_interests_salient_similarity, as: 'userInterestsSalientSimilarity'
          property :user_interests_webref_similarity, as: 'userInterestsWebrefSimilarity'
          collection :user_language, as: 'userLanguage', class: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage, decorator: Google::Apis::ContentwarehouseV1::SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage::Representation
      
          property :violence_score, as: 'violenceScore'
          property :vulgar_score, as: 'vulgarScore'
        end
      end
      
      class SuperrootPodcastsRecommendationsPodcastRecsFeaturesUserLanguage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :lang, as: 'lang'
          property :score, as: 'score'
        end
      end
      
      class TelephoneNumber
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :area_code, as: 'areaCode'
          property :country_code, as: 'countryCode'
          property :extension, as: 'extension'
          property :national_prefix, as: 'nationalPrefix'
          collection :number, as: 'number'
        end
      end
      
      class TeragoogleDocumentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :attachment, as: 'attachment', class: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfoAttachment, decorator: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfoAttachment::Representation
      
          property :average_term_weight, as: 'averageTermWeight'
          property :doc, as: 'doc', class: Google::Apis::ContentwarehouseV1::GDocumentBase, decorator: Google::Apis::ContentwarehouseV1::GDocumentBase::Representation
      
          property :extended_docid, :base64 => true, as: 'extendedDocid'
          property :global_docid, :numeric_string => true, as: 'globalDocid'
          property :original_encoding, as: 'originalEncoding'
          collection :section, as: 'section', class: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfoSection, decorator: Google::Apis::ContentwarehouseV1::TeragoogleDocumentInfoSection::Representation
      
          property :section_type, as: 'sectionType'
        end
      end
      
      class TeragoogleDocumentInfoAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :options, as: 'options', class: Google::Apis::ContentwarehouseV1::TeragoogleRepositoryAttachmentOptions, decorator: Google::Apis::ContentwarehouseV1::TeragoogleRepositoryAttachmentOptions::Representation
      
          property :value, :base64 => true, as: 'value'
        end
      end
      
      class TeragoogleDocumentInfoSection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :field_name, as: 'fieldName'
          property :name, as: 'name'
          property :tokens, :base64 => true, as: 'tokens'
        end
      end
      
      class TeragoogleRepositoryAttachmentOptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compression, as: 'compression'
        end
      end
      
      class TitleSizeParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :muppet_title_length_in_deciems, as: 'muppetTitleLengthInDeciems'
          property :muppet_title_num_lines, as: 'muppetTitleNumLines'
        end
      end
      
      class ToolBarPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :visitors_past_day, as: 'VisitorsPastDay'
        end
      end
      
      class TravelFlightsAirlineConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :adwords_cid, as: 'adwordsCid'
          property :alliance, as: 'alliance'
          property :baggage_carryon_limitations_urls, as: 'baggageCarryonLimitationsUrls', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          property :baggage_fee_urls, as: 'baggageFeeUrls', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          property :country_code, as: 'countryCode'
          collection :country_contact_info, as: 'countryContactInfo', class: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigCountryContactInfo, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigCountryContactInfo::Representation
      
          property :dup_flag, as: 'dupFlag'
          property :fare_family_urls, as: 'fareFamilyUrls', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          collection :fqtv_partner_code, as: 'fqtvPartnerCode'
          property :iata_code, as: 'iataCode'
          property :icao_code, as: 'icaoCode'
          property :innovata_code, as: 'innovataCode'
          collection :localized_contact_info, as: 'localizedContactInfo', class: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigLocalizedContactInfo, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigLocalizedContactInfo::Representation
      
          property :mid, as: 'mid'
          property :names, as: 'names', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          property :popularity, as: 'popularity'
          property :short_names, as: 'shortNames', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          property :type, as: 'type'
          property :urls, as: 'urls', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
          property :waiver_summary_urls, as: 'waiverSummaryUrls', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogProto::Representation
      
        end
      end
      
      class TravelFlightsAirlineConfigContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, as: 'data'
          property :type, as: 'type'
        end
      end
      
      class TravelFlightsAirlineConfigCountryContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :contact_info, as: 'contactInfo', class: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigContactInfo, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigContactInfo::Representation
      
          property :country_code, as: 'countryCode'
        end
      end
      
      class TravelFlightsAirlineConfigLocalizedContactInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :contact_info, as: 'contactInfo', class: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigContactInfo, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsAirlineConfigContactInfo::Representation
      
          property :language, as: 'language'
        end
      end
      
      class TravelFlightsNameCatalogEntry
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :language, as: 'language'
          property :text, as: 'text'
        end
      end
      
      class TravelFlightsNameCatalogProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :name, as: 'name', class: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogEntry, decorator: Google::Apis::ContentwarehouseV1::TravelFlightsNameCatalogEntry::Representation
      
        end
      end
      
      class TrawlerClientServiceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :delegated_project_name, as: 'DelegatedProjectName'
          property :service_client_id, as: 'ServiceClientID'
          collection :client_labels, as: 'clientLabels', class: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfoClientLabels, decorator: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfoClientLabels::Representation
      
        end
      end
      
      class TrawlerClientServiceInfoClientLabels
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :labels_deprecated, as: 'labelsDeprecated', class: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfoClientLabelsClientLabelValues, decorator: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfoClientLabelsClientLabelValues::Representation
      
          property :name, as: 'name'
          collection :values, as: 'values'
        end
      end
      
      class TrawlerClientServiceInfoClientLabelsClientLabelValues
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :value, as: 'value'
        end
      end
      
      class TrawlerContentRangeInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_pos, :numeric_string => true, as: 'EndPos'
          property :start_pos, :numeric_string => true, as: 'StartPos'
          property :total_length, :numeric_string => true, as: 'TotalLength'
        end
      end
      
      class TrawlerCrawlTimes
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :not_changed_time_ms, :numeric_string => true, as: 'NotChangedTimeMs'
          property :original_crawl_time_ms, :numeric_string => true, as: 'OriginalCrawlTimeMs'
          property :reuse_time_ms, :numeric_string => true, as: 'ReuseTimeMs'
        end
      end
      
      class TrawlerEvent
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, :numeric_string => true, as: 'ID'
          property :msg, as: 'Msg'
          property :num_occurrences, as: 'NumOccurrences'
          collection :oldest_time_stamp_in_us, as: 'OldestTimeStampInUS'
          property :time_stamp_in_us, :numeric_string => true, as: 'TimeStampInUS'
        end
      end
      
      class TrawlerFetchBodyData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :compression, as: 'compression'
          property :content, :base64 => true, as: 'content'
          property :uncompressed_size, :numeric_string => true, as: 'uncompressedSize'
        end
      end
      
      class TrawlerFetchReplyData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bad_ssl_certificate, :base64 => true, as: 'BadSSLCertificate'
          property :client_service_info, as: 'ClientServiceInfo', class: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfo, decorator: Google::Apis::ContentwarehouseV1::TrawlerClientServiceInfo::Representation
      
          property :compressed_body, as: 'CompressedBody'
          property :crawl_times, as: 'CrawlTimes', class: Google::Apis::ContentwarehouseV1::TrawlerCrawlTimes, decorator: Google::Apis::ContentwarehouseV1::TrawlerCrawlTimes::Representation
      
          property :dns_host, as: 'DNSHost'
          property :download_time, as: 'DownloadTime'
          property :egress_region, as: 'EgressRegion'
          property :eligible_geo_crawl_egress_region, as: 'EligibleGeoCrawlEgressRegion'
          property :endpoints, as: 'Endpoints', class: Google::Apis::ContentwarehouseV1::TrawlerTcpipInfo, decorator: Google::Apis::ContentwarehouseV1::TrawlerTcpipInfo::Representation
      
          collection :events, as: 'Events', class: Google::Apis::ContentwarehouseV1::TrawlerEvent, decorator: Google::Apis::ContentwarehouseV1::TrawlerEvent::Representation
      
          property :fetch_pattern_fp, :numeric_string => true, as: 'FetchPatternFp'
          property :floo_egress_region, as: 'FlooEgressRegion'
          property :geo_crawl_egress_region, as: 'GeoCrawlEgressRegion'
          property :geo_crawl_fallback, as: 'GeoCrawlFallback'
          property :geo_crawl_location_attempted, as: 'GeoCrawlLocationAttempted'
          property :hsts_info, as: 'HSTSInfo'
          collection :http_trailers, as: 'HTTPTrailers', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataHttpHeader, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataHttpHeader::Representation
      
          property :hop_cache_key_for_lookup, :numeric_string => true, as: 'HopCacheKeyForLookup'
          property :hop_cache_key_for_update, :numeric_string => true, as: 'HopCacheKeyForUpdate'
          property :hop_reuse_info, as: 'HopReuseInfo'
          property :hop_robots_info, as: 'HopRobotsInfo'
          property :host_bucket_data, as: 'HostBucketData', class: Google::Apis::ContentwarehouseV1::TrawlerHostBucketData, decorator: Google::Apis::ContentwarehouseV1::TrawlerHostBucketData::Representation
      
          property :host_id, :numeric_string => true, as: 'HostId'
          property :http_protocol, as: 'HttpProtocol'
          property :http_request_headers, as: 'HttpRequestHeaders'
          property :http_response_headers, as: 'HttpResponseHeaders'
          property :http_version, as: 'HttpVersion'
          property :id, :numeric_string => true, as: 'ID'
          property :last_url_status, as: 'LastUrlStatus', class: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus::Representation
      
          collection :policy_data, as: 'PolicyData', class: Google::Apis::ContentwarehouseV1::TrawlerPolicyData, decorator: Google::Apis::ContentwarehouseV1::TrawlerPolicyData::Representation
      
          property :post_data, :base64 => true, as: 'PostData'
          property :predicted_download_time_ms, as: 'PredictedDownloadTimeMs'
          property :protocol_version_fallback, as: 'ProtocolVersionFallback'
          property :redirect_source_fetch_id, :numeric_string => true, as: 'RedirectSourceFetchId'
          property :requestor_id, as: 'RequestorID'
          property :requestor_ip_address_packed, :base64 => true, as: 'RequestorIPAddressPacked'
          property :reuse_info, as: 'ReuseInfo'
          property :robots_info, as: 'RobotsInfo'
          property :robots_status, as: 'RobotsStatus', class: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus::Representation
      
          property :robots_txt, :base64 => true, as: 'RobotsTxt'
          property :status, as: 'Status', class: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchStatus::Representation
      
          property :throttle_client, as: 'ThrottleClient', class: Google::Apis::ContentwarehouseV1::TrawlerThrottleClientData, decorator: Google::Apis::ContentwarehouseV1::TrawlerThrottleClientData::Representation
      
          property :thrown_away_bytes, :numeric_string => true, as: 'ThrownAwayBytes'
          property :timestamp_in_ms, :numeric_string => true, as: 'TimestampInMS'
          property :total_fetched_size, :numeric_string => true, as: 'TotalFetchedSize'
          collection :transparent_rewrites, as: 'TransparentRewrites'
          property :trawler_private, as: 'TrawlerPrivate', class: Google::Apis::ContentwarehouseV1::TrawlerTrawlerPrivateFetchReplyData, decorator: Google::Apis::ContentwarehouseV1::TrawlerTrawlerPrivateFetchReplyData::Representation
      
          property :url, as: 'Url'
          property :url_encoding, as: 'UrlEncoding'
          property :use_html_compress_dictionary, as: 'UseHtmlCompressDictionary'
          property :crawldates, as: 'crawldates', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataCrawlDates, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataCrawlDates::Representation
      
          property :delivery_report, as: 'deliveryReport', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataDeliveryReport, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataDeliveryReport::Representation
      
          property :fetchstats, as: 'fetchstats', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStats, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStats::Representation
      
          property :original_protocol_url, as: 'originalProtocolUrl'
          property :partialresponse, as: 'partialresponse', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataPartialResponse, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataPartialResponse::Representation
      
          property :protocolresponse, as: 'protocolresponse', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataProtocolResponse, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataProtocolResponse::Representation
      
          collection :redirects, as: 'redirects', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataRedirects, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataRedirects::Representation
      
          property :traffic_type, as: 'trafficType'
        end
      end
      
      class TrawlerFetchReplyDataCrawlDates
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :not_changed_date, as: 'NotChangedDate'
          property :original_crawl_date, as: 'OriginalCrawlDate'
          property :reuse_date, as: 'ReuseDate'
        end
      end
      
      class TrawlerFetchReplyDataDeliveryReport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :events, as: 'events', class: Google::Apis::ContentwarehouseV1::TrawlerEvent, decorator: Google::Apis::ContentwarehouseV1::TrawlerEvent::Representation
      
          property :file_path, as: 'filePath'
          property :status, as: 'status'
        end
      end
      
      class TrawlerFetchReplyDataFetchStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bot_overhead_ms, as: 'BotOverheadMS'
          property :client_controlflow_stats, as: 'ClientControlflowStats', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStatsClientStateStats, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStatsClientStateStats::Representation
      
          property :connect_time_ms, as: 'ConnectTimeMs'
          property :controlflow_stats, as: 'ControlflowStats', class: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStatsStateStats, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchReplyDataFetchStatsStateStats::Representation
      
          property :down_load_time, as: 'DownLoadTime'
          property :edge_egress_overhead_ms, as: 'EdgeEgressOverheadMs'
          property :ssl_connect_time_ms, as: 'SSLConnectTimeMs'
          property :server_response_time_ms, as: 'ServerResponseTimeMs'
          property :transfer_time_ms, as: 'TransferTimeMs'
        end
      end
      
      class TrawlerFetchReplyDataFetchStatsClientStateStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :wait_content_cache_usec, as: 'WaitContentCacheUsec'
        end
      end
      
      class TrawlerFetchReplyDataFetchStatsStateStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_tracking_time_usec, :numeric_string => true, as: 'EndTrackingTimeUsec'
          property :start_tracking_time_usec, :numeric_string => true, as: 'StartTrackingTimeUsec'
          property :wait_compress_time_usec, as: 'WaitCompressTimeUsec'
          property :wait_content_cache_usec, as: 'WaitContentCacheUsec'
          property :wait_credential_time_usec, as: 'WaitCredentialTimeUsec'
          property :wait_dns_time_usec, as: 'WaitDNSTimeUsec'
          property :wait_fetch_client_usec, as: 'WaitFetchClientUsec'
          property :wait_for_cached_content_streaming_usec, as: 'WaitForCachedContentStreamingUsec'
          property :wait_for_fetch_usec, as: 'WaitForFetchUsec'
          property :wait_host_id_time_usec, as: 'WaitHostIdTimeUsec'
          property :wait_next_flow_usec, as: 'WaitNextFlowUsec'
          property :wait_robots_cache_time_usec, as: 'WaitRobotsCacheTimeUsec'
          property :wait_robots_fetch_time_usec, as: 'WaitRobotsFetchTimeUsec'
          property :wait_robots_time_usec, as: 'WaitRobotsTimeUsec'
          property :wait_schedule_time_usec, as: 'WaitScheduleTimeUsec'
        end
      end
      
      class TrawlerFetchReplyDataHttpHeader
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, as: 'key'
          property :value, as: 'value'
        end
      end
      
      class TrawlerFetchReplyDataPartialResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :body_location, as: 'BodyLocation'
          property :chunk_number, as: 'ChunkNumber'
          property :content_range, as: 'ContentRange', class: Google::Apis::ContentwarehouseV1::TrawlerContentRangeInfo, decorator: Google::Apis::ContentwarehouseV1::TrawlerContentRangeInfo::Representation
      
          property :e_tag, as: 'ETag'
          property :fetch_id, :numeric_string => true, as: 'FetchID'
          property :is_final_response, as: 'IsFinalResponse'
        end
      end
      
      class TrawlerFetchReplyDataProtocolResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :code, as: 'Code'
          property :content_type, as: 'ContentType'
          property :cutoff_size, :numeric_string => true, as: 'CutoffSize'
          property :http_version, as: 'HttpVersion'
          property :protocol_version_fallback, as: 'ProtocolVersionFallback'
          property :un_truncated_size, :numeric_string => true, as: 'UnTruncatedSize'
        end
      end
      
      class TrawlerFetchReplyDataRedirects
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bad_ssl_certificate, :base64 => true, as: 'BadSSLCertificate'
          property :crawl_times, as: 'CrawlTimes', class: Google::Apis::ContentwarehouseV1::TrawlerCrawlTimes, decorator: Google::Apis::ContentwarehouseV1::TrawlerCrawlTimes::Representation
      
          property :download_time, as: 'DownloadTime'
          property :endpoints, as: 'Endpoints', class: Google::Apis::ContentwarehouseV1::TrawlerTcpipInfo, decorator: Google::Apis::ContentwarehouseV1::TrawlerTcpipInfo::Representation
      
          property :hsts_info, as: 'HSTSInfo'
          property :http_response_code, as: 'HTTPResponseCode'
          property :hop_page_no_index_info, as: 'HopPageNoIndexInfo'
          property :hop_reuse_info, as: 'HopReuseInfo'
          property :hop_robots_info, as: 'HopRobotsInfo'
          property :host_id, :numeric_string => true, as: 'HostId'
          property :http_request_headers, as: 'HttpRequestHeaders'
          property :http_response_headers, as: 'HttpResponseHeaders'
          property :raw_target_url, :base64 => true, as: 'RawTargetUrl'
          property :refresh_time, as: 'RefreshTime'
          property :robots_txt, :base64 => true, as: 'RobotsTxt'
          property :source_body, as: 'SourceBody', class: Google::Apis::ContentwarehouseV1::TrawlerFetchBodyData, decorator: Google::Apis::ContentwarehouseV1::TrawlerFetchBodyData::Representation
      
          property :target_url, as: 'TargetUrl'
          property :type, as: 'Type'
        end
      end
      
      class TrawlerFetchStatus
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :reason, as: 'Reason'
          property :state, as: 'State'
        end
      end
      
      class TrawlerHostBucketData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_traffic_fraction, as: 'ClientTrafficFraction'
          property :client_weight_fraction, as: 'ClientWeightFraction'
          property :current_active_connections, as: 'CurrentActiveConnections'
          property :is_full, as: 'IsFull'
          property :last_schedule_interval_ms, :numeric_string => true, as: 'LastScheduleIntervalMs'
          property :max_active_connections, as: 'MaxActiveConnections'
          property :medium_term_load, as: 'MediumTermLoad'
          property :min_inter_request_secs, as: 'MinInterRequestSecs'
          property :non_full_interval_ms, :numeric_string => true, as: 'NonFullIntervalMs'
          property :total_capacity_qps, as: 'TotalCapacityQps'
          property :total_used_qps, as: 'TotalUsedQps'
          collection :urllist, as: 'urllist', class: Google::Apis::ContentwarehouseV1::TrawlerHostBucketDataUrlList, decorator: Google::Apis::ContentwarehouseV1::TrawlerHostBucketDataUrlList::Representation
      
        end
      end
      
      class TrawlerHostBucketDataUrlList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_can_crawl, as: 'ClientCanCrawl'
          property :is_default_node, as: 'IsDefaultNode'
          property :is_list_for_url, as: 'IsListForUrl'
          property :num_current_fetches, as: 'NumCurrentFetches'
          property :num_urls, as: 'NumUrls'
          property :request_type, as: 'RequestType'
          property :requestor_fp, :numeric_string => true, as: 'RequestorFp'
        end
      end
      
      class TrawlerLoggedVpcDestination
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :cloud_region, as: 'cloudRegion'
          property :vnid, as: 'vnid', class: Google::Apis::ContentwarehouseV1::NetFabricRpcVirtualNetworkId, decorator: Google::Apis::ContentwarehouseV1::NetFabricRpcVirtualNetworkId::Representation
      
        end
      end
      
      class TrawlerMultiverseClientIdentifier
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :topic_name, as: 'topicName'
          property :traffic_type, as: 'trafficType'
        end
      end
      
      class TrawlerOriginalClientParams
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :client_cell, as: 'clientCell'
          property :client_ip, as: 'clientIp'
          property :client_rpc_type, as: 'clientRpcType'
          property :client_username, as: 'clientUsername'
        end
      end
      
      class TrawlerPolicyData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :extra_data, as: 'ExtraData'
          property :label, as: 'Label'
        end
      end
      
      class TrawlerSslCertificateInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alpn_negotiated_protocol, as: 'ALPNNegotiatedProtocol'
          collection :certificate_chain, as: 'CertificateChain'
          collection :error_messages, as: 'ErrorMessages'
          property :is_truncated, as: 'IsTruncated'
          property :ocsp_response, :base64 => true, as: 'OCSPResponse'
          property :sct_list, :base64 => true, as: 'SCTList'
          property :ssl_cipher_suite, as: 'SSLCipherSuite'
          property :ssl_cipher_suite_name, as: 'SSLCipherSuiteName'
          property :ssl_protocol_version, as: 'SSLProtocolVersion'
          property :ssl_protocol_version_name, as: 'SSLProtocolVersionName'
        end
      end
      
      class TrawlerTcpipInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :destination_ip_address_packed, :base64 => true, as: 'DestinationIPAddressPacked'
          property :destination_port, as: 'DestinationPort'
          property :source_ip_address_packed, :base64 => true, as: 'SourceIPAddressPacked'
          property :source_port, as: 'SourcePort'
        end
      end
      
      class TrawlerThrottleClientData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_bandwidth_throttle, as: 'IsBandwidthThrottle'
          property :max_allowed_rate, as: 'MaxAllowedRate'
        end
      end
      
      class TrawlerTrawlerPrivateFetchReplyData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bot_group_name, as: 'BotGroupName'
          property :bot_hostname, as: 'BotHostname'
          property :cache_requestor_id, as: 'CacheRequestorID'
          property :fetcher_task_number, as: 'FetcherTaskNumber'
          property :hsts_header_value, as: 'HSTSHeaderValue'
          property :had_in_mem_cache_hit, as: 'HadInMemCacheHit'
          property :hint_ip_address, :base64 => true, as: 'HintIPAddress'
          property :is5xx_host_id, as: 'Is5xxHostId'
          property :is_robots_fetch, as: 'IsRobotsFetch'
          property :post_data_size, :numeric_string => true, as: 'PostDataSize'
          property :producer, as: 'Producer'
          property :proxy_instance, as: 'ProxyInstance'
          property :request_user_name, as: 'RequestUserName'
          property :response_bytes, :numeric_string => true, as: 'ResponseBytes'
          property :robots_body, as: 'RobotsBody'
          property :rpc_end_deadline_left_ms, as: 'RpcEndDeadlineLeftMs'
          property :rpc_start_deadline_left_ms, as: 'RpcStartDeadlineLeftMs'
          property :server_signature, as: 'ServerSignature'
          property :trawler_instance, as: 'TrawlerInstance'
          property :user_agent_sent, as: 'UserAgentSent'
          property :user_agent_sent_fp, :numeric_string => true, as: 'UserAgentSentFp'
          property :authentication_info, as: 'authenticationInfo'
          property :cache_acceptable_after_date, as: 'cacheAcceptableAfterDate'
          property :cache_acceptable_age, as: 'cacheAcceptableAge'
          property :cache_hit_type, as: 'cacheHitType'
          property :cdn_provider, as: 'cdnProvider'
          property :concurrent_stream_num, :numeric_string => true, as: 'concurrentStreamNum'
          property :dependent_fetch_type, as: 'dependentFetchType'
          property :download_file_name, as: 'downloadFileName'
          property :http_version, as: 'httpVersion'
          property :is_bidi_streaming_fetch, as: 'isBidiStreamingFetch'
          property :is_floonet_fetch, as: 'isFloonetFetch'
          property :is_from_grpc_proxy, as: 'isFromGrpcProxy'
          property :is_vpc_traffic, as: 'isVpcTraffic'
          property :large_store_hit_location, as: 'largeStoreHitLocation'
          property :multiverse_client_identifier, as: 'multiverseClientIdentifier', class: Google::Apis::ContentwarehouseV1::TrawlerMultiverseClientIdentifier, decorator: Google::Apis::ContentwarehouseV1::TrawlerMultiverseClientIdentifier::Representation
      
          property :num_dropped_replies, :numeric_string => true, as: 'numDroppedReplies'
          property :original_client_params, as: 'originalClientParams', class: Google::Apis::ContentwarehouseV1::TrawlerOriginalClientParams, decorator: Google::Apis::ContentwarehouseV1::TrawlerOriginalClientParams::Representation
      
          property :resource_bucket, as: 'resourceBucket'
          property :sub_resource_bucket, as: 'subResourceBucket'
          property :tier, as: 'tier'
          property :vpc_destination, as: 'vpcDestination', class: Google::Apis::ContentwarehouseV1::TrawlerLoggedVpcDestination, decorator: Google::Apis::ContentwarehouseV1::TrawlerLoggedVpcDestination::Representation
      
        end
      end
      
      class UniversalsearchNewPackerKnowledgeResultSupport
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug, as: 'debug'
          property :docid, :numeric_string => true, as: 'docid'
          property :estimated_naviness, as: 'estimatedNaviness'
          collection :provenance, as: 'provenance', class: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupportProvenance, decorator: Google::Apis::ContentwarehouseV1::UniversalsearchNewPackerKnowledgeResultSupportProvenance::Representation
      
          property :rank, as: 'rank'
          property :score, as: 'score'
          property :source, as: 'source'
          property :url, as: 'url'
        end
      end
      
      class UniversalsearchNewPackerKnowledgeResultSupportProvenance
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_group_type, as: 'entityGroupType'
          property :from_answer, as: 'fromAnswer'
          property :name, as: 'name'
        end
      end
      
      class UrlPoisoningData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :not_changed_time_ms, :numeric_string => true, as: 'NotChangedTimeMs'
          property :original_crawl_time_ms, :numeric_string => true, as: 'OriginalCrawlTimeMs'
          property :reuse_time_ms, :numeric_string => true, as: 'ReuseTimeMs'
          property :num_spam_siblings, as: 'numSpamSiblings'
          property :url, as: 'url'
        end
      end
      
      class UtilStatusProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_code, as: 'canonicalCode'
          property :code, as: 'code'
          property :message, as: 'message'
          property :message_set, as: 'messageSet', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :space, as: 'space'
        end
      end
      
      class VendingConsumerProtoTrustedGenomeAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :policy, as: 'policy', class: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomePolicy, decorator: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomePolicy::Representation
      
          collection :test_code, as: 'testCode'
          collection :trusted_genome_hierarchy, as: 'trustedGenomeHierarchy', class: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeHierarchy, decorator: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeHierarchy::Representation
      
        end
      end
      
      class VendingConsumerProtoTrustedGenomeEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category_id, as: 'categoryId'
          property :id, as: 'id'
          property :level, as: 'level'
          property :query_text, as: 'queryText'
          property :score, as: 'score'
          property :title, as: 'title'
          property :user_visible, as: 'userVisible'
        end
      end
      
      class VendingConsumerProtoTrustedGenomeHierarchy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeEntity, decorator: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomeEntity::Representation
      
          property :hierarchy_type, as: 'hierarchyType'
          property :source, as: 'source'
          property :trusted_genome_type, as: 'trustedGenomeType'
        end
      end
      
      class VendingConsumerProtoTrustedGenomePolicy
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :localized_region_override, as: 'localizedRegionOverride'
          collection :policy_type, as: 'policyType'
          collection :target_region, as: 'targetRegion', class: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomePolicyTargetRegion, decorator: Google::Apis::ContentwarehouseV1::VendingConsumerProtoTrustedGenomePolicyTargetRegion::Representation
      
        end
      end
      
      class VendingConsumerProtoTrustedGenomePolicyTargetRegion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :localized_region, as: 'localizedRegion'
          property :mid, as: 'mid'
        end
      end
      
      class VideoAmbisonicsAmbisonicsMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :channel_map, as: 'channelMap'
          property :channel_ordering, as: 'channelOrdering'
          property :non_diegetic_stereo, as: 'nonDiegeticStereo'
          property :normalization, as: 'normalization'
          property :num_channels, as: 'numChannels'
          property :order, as: 'order'
          property :type, as: 'type'
          property :version, as: 'version'
        end
      end
      
      class VideoAssetsVenomAcl
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :owner, as: 'owner'
          collection :reader, as: 'reader'
          collection :writer, as: 'writer'
        end
      end
      
      class VideoAssetsVenomSettings
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class VideoAssetsVenomTransition
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :objective, as: 'objective'
          property :outcome, as: 'outcome'
          property :reason, as: 'reason'
        end
      end
      
      class VideoAssetsVenomVideoId
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :id, :base64 => true, as: 'id'
          property :ns, as: 'ns'
        end
      end
      
      class VideoAudioStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bitrate, :numeric_string => true, as: 'bitrate'
          property :channels, as: 'channels'
          property :codec_id, as: 'codecId'
          property :content_type, as: 'contentType'
          property :language, as: 'language'
          property :length_sec, as: 'lengthSec'
          property :loudness1770_lkfs, as: 'loudness1770Lkfs'
          property :sample_rate, :numeric_string => true, as: 'sampleRate'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
        end
      end
      
      class VideoClipInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :key, :base64 => true, as: 'key'
          property :value, :base64 => true, as: 'value'
        end
      end
      
      class VideoClosedCaptions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :video_has_closed_captions, as: 'videoHasClosedCaptions'
        end
      end
      
      class VideoContentSearchAnchorCommonFeatureSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_qbst_distance, as: 'anchorQbstDistance'
          property :bleurt_features, as: 'bleurtFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchBleurtFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchBleurtFeatures::Representation
      
          property :bleurt_score, as: 'bleurtScore'
          property :descartes_score_with_title, as: 'descartesScoreWithTitle'
          property :dolphin_descriptiveness_score, as: 'dolphinDescriptivenessScore'
          collection :dolphin_ensemble_score, as: 'dolphinEnsembleScore', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinEnsembleScore, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinEnsembleScore::Representation
      
          property :dolphin_features, as: 'dolphinFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinFeatures::Representation
      
          property :dolphin_score, as: 'dolphinScore'
          property :dolphin_usefulness_score, as: 'dolphinUsefulnessScore'
          collection :label_phrase_embedding, as: 'labelPhraseEmbedding'
          property :mum_descriptiveness_score, as: 'mumDescriptivenessScore'
          property :mum_usefulness_score, as: 'mumUsefulnessScore'
          property :retention_score, as: 'retentionScore'
          property :saft_document, as: 'saftDocument', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
          collection :timed_label_features, as: 'timedLabelFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionLabelFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionLabelFeatures::Representation
      
          collection :timestamp, as: 'timestamp', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorCommonFeatureSetLabelSpanTimestamp, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorCommonFeatureSetLabelSpanTimestamp::Representation
      
          property :title_anchor_babel_match_score, as: 'titleAnchorBabelMatchScore'
        end
      end
      
      class VideoContentSearchAnchorCommonFeatureSetLabelSpanTimestamp
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_confidence, as: 'asrConfidence'
          property :is_sentence_start, as: 'isSentenceStart'
          property :label_begin_char_index, :numeric_string => true, as: 'labelBeginCharIndex'
          property :label_end_char_index, :numeric_string => true, as: 'labelEndCharIndex'
          property :time_ms, :numeric_string => true, as: 'timeMs'
        end
      end
      
      class VideoContentSearchAnchorThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :imagesearch_docid, :numeric_string => true, as: 'imagesearchDocid'
          property :is_thumbnail_missing, as: 'isThumbnailMissing'
          property :serving_metadata, as: 'servingMetadata', class: Google::Apis::ContentwarehouseV1::ImageBaseThumbnailMetadata, decorator: Google::Apis::ContentwarehouseV1::ImageBaseThumbnailMetadata::Representation
      
          property :thumbnail_info, as: 'thumbnailInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnailInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnailInfo::Representation
      
          property :timestamp_ms, as: 'timestampMs'
        end
      end
      
      class VideoContentSearchAnchorThumbnailInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :color_entropy, as: 'colorEntropy'
          property :image_data, as: 'imageData', class: Google::Apis::ContentwarehouseV1::ImageData, decorator: Google::Apis::ContentwarehouseV1::ImageData::Representation
      
          property :is_unsafe, as: 'isUnsafe'
          property :starburst_v4_embedding, as: 'starburstV4Embedding', class: Google::Apis::ContentwarehouseV1::DrishtiDenseFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiDenseFeatureData::Representation
      
          property :thumbnail_bytes, :base64 => true, as: 'thumbnailBytes'
        end
      end
      
      class VideoContentSearchAnchorsCommonFeatureSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dolphin_descriptiveness_stats, as: 'dolphinDescriptivenessStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :dolphin_usefulness_stats, as: 'dolphinUsefulnessStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :mum_descriptiveness_stats, as: 'mumDescriptivenessStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :mum_usefulness_stats, as: 'mumUsefulnessStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
        end
      end
      
      class VideoContentSearchAnchorsThumbnailInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_missing_starburst, as: 'hasMissingStarburst'
          property :has_missing_thumbnails, as: 'hasMissingThumbnails'
          property :thumbnail_diversity, as: 'thumbnailDiversity'
        end
      end
      
      class VideoContentSearchAspect
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :fallback_aspect, as: 'fallbackAspect'
          property :saft_aspect, as: 'saftAspect'
        end
      end
      
      class VideoContentSearchAsrCaption
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :duration_ms, as: 'durationMs'
          property :start_time_ms, as: 'startTimeMs'
          property :text, as: 'text'
        end
      end
      
      class VideoContentSearchBleurtFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :candidate, as: 'candidate'
          property :reference, as: 'reference'
        end
      end
      
      class VideoContentSearchCaptionEntityAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_mention_text, as: 'asrMentionText'
          property :asr_mention_transcript_offset, as: 'asrMentionTranscriptOffset'
          property :asr_sentence, as: 'asrSentence'
          property :asr_start_time, as: 'asrStartTime'
          collection :bert_scores, as: 'bertScores'
          property :broadness, as: 'broadness'
          property :duration_coverage, as: 'durationCoverage'
          property :entity_connectedness, as: 'entityConnectedness'
          property :entity_description, as: 'entityDescription'
          property :entity_info, as: 'entityInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityDocInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityDocInfo::Representation
      
          property :entity_mention_in_description, as: 'entityMentionInDescription'
          property :estimated_mention_time, as: 'estimatedMentionTime'
          property :group_cohesion, as: 'groupCohesion'
          property :hypernym_confidence, as: 'hypernymConfidence'
          property :hypernym_count, as: 'hypernymCount'
          property :hyperpedia_salient_terms_similarity, as: 'hyperpediaSalientTermsSimilarity'
          property :in_webref_entities, as: 'inWebrefEntities'
          property :is_oracle_entity, as: 'isOracleEntity'
          property :is_product, as: 'isProduct'
          property :max_mention_confidence, as: 'maxMentionConfidence'
          property :mention_confidence, as: 'mentionConfidence'
          property :mentions, as: 'mentions'
          property :ms_from_last_anchor, as: 'msFromLastAnchor'
          property :next_asr_sentence, as: 'nextAsrSentence'
          collection :other_asr_mention_text, as: 'otherAsrMentionText'
          collection :other_estimated_mention_times, as: 'otherEstimatedMentionTimes'
          property :previous_asr_sentence, as: 'previousAsrSentence'
          property :trusted_name_confidence, as: 'trustedNameConfidence'
          property :webref_entity_topicality, as: 'webrefEntityTopicality'
        end
      end
      
      class VideoContentSearchCaptionEntityAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregate_score, as: 'aggregateScore'
          property :cluster_size, as: 'clusterSize'
          property :entities_in_webref_entities, as: 'entitiesInWebrefEntities'
          property :entity_mention_in_description_count, as: 'entityMentionInDescriptionCount'
          property :group_cohesion, as: 'groupCohesion'
          property :hypernym, as: 'hypernym'
          property :hypernym_salience, as: 'hypernymSalience'
          property :median_mentions, as: 'medianMentions'
          property :mention_salience, as: 'mentionSalience'
          property :salience, as: 'salience'
          collection :top_hypernym, as: 'topHypernym'
          property :total_mentions, as: 'totalMentions'
        end
      end
      
      class VideoContentSearchCaptionEntityDocInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_doc_count, :numeric_string => true, as: 'entityDocCount'
          property :entity_mention_count, :numeric_string => true, as: 'entityMentionCount'
          property :mid, as: 'mid'
          property :total_doc_count, :numeric_string => true, as: 'totalDocCount'
          property :total_mention_count, :numeric_string => true, as: 'totalMentionCount'
        end
      end
      
      class VideoContentSearchCaptionInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :asr_caption, as: 'asrCaption', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAsrCaption, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAsrCaption::Representation
      
          property :saft_document, as: 'saftDocument', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
        end
      end
      
      class VideoContentSearchCaptionLabelFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :aligned_ocr_texts, as: 'alignedOcrTexts', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrText, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrText::Representation
      
          property :aligned_time, :numeric_string => true, as: 'alignedTime'
          property :context_text, as: 'contextText'
          property :label_text, as: 'labelText'
          property :text_similarity_features, as: 'textSimilarityFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTextSimilarityFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTextSimilarityFeatures::Representation
      
          property :text_span_at_aligned_time, as: 'textSpanAtAlignedTime'
        end
      end
      
      class VideoContentSearchCaptionSpanAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dolphin_features, as: 'dolphinFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinFeatures::Representation
      
          property :dolphin_scores, as: 'dolphinScores', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScores, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScores::Representation
      
          collection :embedding_distance, as: 'embeddingDistance'
          property :post_gap_in_ms, as: 'postGapInMs'
          property :pre_gap_in_ms, as: 'preGapInMs'
          property :saft_begin_token_index, as: 'saftBeginTokenIndex'
          property :saft_end_token_index, as: 'saftEndTokenIndex'
          property :saft_transcript_end_char_offset, as: 'saftTranscriptEndCharOffset'
          property :saft_transcript_start_char_offset, as: 'saftTranscriptStartCharOffset'
          property :span_asr_confidence_stats, as: 'spanAsrConfidenceStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :span_dolphin_score, as: 'spanDolphinScore', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :word_count, as: 'wordCount'
        end
      end
      
      class VideoContentSearchCaptionSpanAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_set_dolphin_score_stats, as: 'anchorSetDolphinScoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
        end
      end
      
      class VideoContentSearchCommentAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :replies, as: 'replies', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeaturesComment, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeaturesComment::Representation
      
          property :root_comment, as: 'rootComment', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeaturesComment, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeaturesComment::Representation
      
        end
      end
      
      class VideoContentSearchCommentAnchorSetFeaturesComment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :comment_id, as: 'commentId'
          property :like_count, as: 'likeCount'
          property :mini_stanza, as: 'miniStanza', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsClusteringMiniStanza, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsClusteringMiniStanza::Representation
      
          property :published_at, as: 'publishedAt'
          property :text_display, as: 'textDisplay'
          property :text_original, as: 'textOriginal'
          property :updated_at, as: 'updatedAt'
        end
      end
      
      class VideoContentSearchDescriptionAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_text_coverage, as: 'entityTextCoverage'
          property :in_asr, as: 'inAsr'
          property :is_description_anchor, as: 'isDescriptionAnchor'
          property :span_to_asr_time, as: 'spanToAsrTime'
        end
      end
      
      class VideoContentSearchDescriptionAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_anchor_count, as: 'asrAnchorCount'
          property :asr_anchor_fraction, as: 'asrAnchorFraction'
          property :unique_asr_mid_count, as: 'uniqueAsrMidCount'
        end
      end
      
      class VideoContentSearchDescriptionSpanInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :context_token_count, as: 'contextTokenCount'
          property :dolphin_scores, as: 'dolphinScores', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScores, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScores::Representation
      
          property :span_dolphin_score_stats, as: 'spanDolphinScoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :span_token_count, as: 'spanTokenCount'
          property :span_token_count_ratio, as: 'spanTokenCountRatio'
        end
      end
      
      class VideoContentSearchDolphinEnsembleScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :dolphin_score, as: 'dolphinScore'
          property :model_name, as: 'modelName'
        end
      end
      
      class VideoContentSearchDolphinFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :alt_query, as: 'altQuery'
          property :answer, as: 'answer'
          property :query, as: 'query'
          property :time_ms, :numeric_string => true, as: 'timeMs'
          property :title, as: 'title'
          property :url, as: 'url'
        end
      end
      
      class VideoContentSearchDolphinScoringConfig
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :descriptiveness_output_key, as: 'descriptivenessOutputKey'
          collection :ensemble_model_names, as: 'ensembleModelNames'
          property :inference_batch_size, as: 'inferenceBatchSize'
          property :inference_method, as: 'inferenceMethod'
          property :max_rpc_retries, as: 'maxRpcRetries'
          property :model_name, as: 'modelName'
          property :model_path, as: 'modelPath'
          property :output_key, as: 'outputKey'
          property :rpc_deadline_seconds, as: 'rpcDeadlineSeconds'
          property :service_bns, as: 'serviceBns'
          property :usefulness_output_key, as: 'usefulnessOutputKey'
        end
      end
      
      class VideoContentSearchEntityAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :category, as: 'category'
          property :confidence, as: 'confidence'
          property :is_restricted, as: 'isRestricted'
          property :mid, as: 'mid'
        end
      end
      
      class VideoContentSearchEntityGroupInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :collection_id, as: 'collectionId'
          property :label, as: 'label'
        end
      end
      
      class VideoContentSearchFrameSimilarityInterval
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_similarity, as: 'frameSimilarity'
          property :frames_end_timestamp_ms, :numeric_string => true, as: 'framesEndTimestampMs'
          property :frames_starburst_start_index, as: 'framesStarburstStartIndex'
          property :frames_start_timestamp_ms, :numeric_string => true, as: 'framesStartTimestampMs'
        end
      end
      
      class VideoContentSearchFrameStarburstData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :dense_vector, as: 'denseVector'
          property :sb_version, as: 'sbVersion'
          property :timestamp_ms, :numeric_string => true, as: 'timestampMs'
        end
      end
      
      class VideoContentSearchGenerativePredictionFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :passage, as: 'passage'
          collection :predictions, as: 'predictions'
          property :target, as: 'target'
        end
      end
      
      class VideoContentSearchGenerativeTopicPredictionFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ground_truth_topic, as: 'groundTruthTopic'
          property :model_name, as: 'modelName'
          collection :predictions, as: 'predictions'
        end
      end
      
      class VideoContentSearchInstructionAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class VideoContentSearchInstructionTrainingDataAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :best_asr_and_description_anchors_match_info, as: 'bestAsrAndDescriptionAnchorsMatchInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo::Representation
      
          collection :best_description_and_instruction_anchors_match_info, as: 'bestDescriptionAndInstructionAnchorsMatchInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo::Representation
      
          collection :instruction_anchors_match_info, as: 'instructionAnchorsMatchInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSimilarityMatchInfo::Representation
      
        end
      end
      
      class VideoContentSearchListAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :babel_match, as: 'babelMatch', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTextMatchInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTextMatchInfo::Representation
      
          property :description_span_info, as: 'descriptionSpanInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionSpanInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionSpanInfo::Representation
      
          property :list_item_index, as: 'listItemIndex'
          collection :match_scores, as: 'matchScores', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMatchScores, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMatchScores::Representation
      
          property :pretrigger_score, as: 'pretriggerScore'
          property :title_anchor_babel_match_score, as: 'titleAnchorBabelMatchScore'
        end
      end
      
      class VideoContentSearchListAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aggregated_span_text, as: 'aggregatedSpanText'
          property :anchor_set_span_score_stats, as: 'anchorSetSpanScoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :babel_match_score_stats, as: 'babelMatchScoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :context_token_count_stats, as: 'contextTokenCountStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :duration_span_ratio, as: 'durationSpanRatio'
          property :duration_to_predicted_time_ms_stats, as: 'durationToPredictedTimeMsStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :list_anchor_source, as: 'listAnchorSource'
          property :list_description_items_size, as: 'listDescriptionItemsSize'
          property :matched_list_description_anchors_ratio, as: 'matchedListDescriptionAnchorsRatio'
          property :matched_list_description_anchors_size, as: 'matchedListDescriptionAnchorsSize'
          property :post_filtering_list_description_items_size, as: 'postFilteringListDescriptionItemsSize'
          property :pretrigger_score_stats, as: 'pretriggerScoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :span_token_count_ratio_stats, as: 'spanTokenCountRatioStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :span_token_count_stats, as: 'spanTokenCountStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
        end
      end
      
      class VideoContentSearchListTrainingDataAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description_anchor_time_ms, as: 'descriptionAnchorTimeMs'
          property :description_anchor_time_to_matched_time_ms, :numeric_string => true, as: 'descriptionAnchorTimeToMatchedTimeMs'
          property :edit_distance, as: 'editDistance'
          property :edit_distance_ratio, as: 'editDistanceRatio'
          property :matched_description_text, as: 'matchedDescriptionText'
          property :matched_span_text, as: 'matchedSpanText'
        end
      end
      
      class VideoContentSearchListTrainingDataSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :edit_distance_ratio_stats, as: 'editDistanceRatioStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :edit_distance_stats, as: 'editDistanceStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :matched_description_anchors_timegap_stats, as: 'matchedDescriptionAnchorsTimegapStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :num_description_anchors, as: 'numDescriptionAnchors'
        end
      end
      
      class VideoContentSearchMatchScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :match_info, as: 'matchInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTextMatchInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTextMatchInfo::Representation
      
          property :method_prop, as: 'method'
        end
      end
      
      class VideoContentSearchMetricStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max, as: 'max'
          property :mean, as: 'mean'
          property :median, as: 'median'
          property :min, as: 'min'
          property :stddev, as: 'stddev'
          property :sum, as: 'sum'
        end
      end
      
      class VideoContentSearchMultimodalTopicFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_similarity_interval, as: 'frameSimilarityInterval', class: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameSimilarityInterval, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameSimilarityInterval::Representation
      
          collection :generative_topic_prediction_features, as: 'generativeTopicPredictionFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchGenerativeTopicPredictionFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchGenerativeTopicPredictionFeatures::Representation
      
          property :navboost_anchor_features, as: 'navboostAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchNavboostAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchNavboostAnchorFeatures::Representation
      
          property :topic, as: 'topic'
          property :topic_end_ms, :numeric_string => true, as: 'topicEndMs'
          property :topic_start_ms, :numeric_string => true, as: 'topicStartMs'
          property :video_query_source, as: 'videoQuerySource'
        end
      end
      
      class VideoContentSearchMultimodalTopicTrainingFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_frame_similarity_interval, as: 'maxFrameSimilarityInterval', class: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameSimilarityInterval, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameSimilarityInterval::Representation
      
          property :normalized_topic, as: 'normalizedTopic'
          property :qbst_terms_overlap_features, as: 'qbstTermsOverlapFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchQbstTermsOverlapFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchQbstTermsOverlapFeatures::Representation
      
          property :rankembed_nearest_neighbors_features, as: 'rankembedNearestNeighborsFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchRankEmbedNearestNeighborsFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchRankEmbedNearestNeighborsFeatures::Representation
      
          property :saft_entity_info, as: 'saftEntityInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSaftEntityInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSaftEntityInfo::Representation
      
          collection :topic_dense_vector, as: 'topicDenseVector'
        end
      end
      
      class VideoContentSearchNamedEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_type, as: 'entityType'
          property :text, as: 'text'
        end
      end
      
      class VideoContentSearchNavboostAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_text, as: 'anchorText'
          property :navboost_text, as: 'navboostText'
          property :source, as: 'source'
        end
      end
      
      class VideoContentSearchOcrText
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ocr_feature, as: 'ocrFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextFeature::Representation
      
          property :ocr_text, as: 'ocrText'
          property :time_ms, :numeric_string => true, as: 'timeMs'
        end
      end
      
      class VideoContentSearchOcrAsrFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :min_char_edit_distance, as: 'minCharEditDistance'
          property :min_char_edit_distance_asr_text, as: 'minCharEditDistanceAsrText'
          property :min_char_edit_distance_percent, as: 'minCharEditDistancePercent'
          property :ocr_text_normalized_for_char_match, as: 'ocrTextNormalizedForCharMatch'
          property :ocr_text_normalized_for_char_match_length, as: 'ocrTextNormalizedForCharMatchLength'
          property :pretrigger_score, as: 'pretriggerScore'
          property :word_overlap_asr_text, as: 'wordOverlapAsrText'
          property :word_overlap_count, as: 'wordOverlapCount'
          property :word_overlap_percent, as: 'wordOverlapPercent'
        end
      end
      
      class VideoContentSearchOcrAsrSetFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :normalized_word_overlap_score, as: 'normalizedWordOverlapScore'
          property :word_overlap_score, as: 'wordOverlapScore'
        end
      end
      
      class VideoContentSearchOcrDescriptionTrainingDataAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :edit_distance, as: 'editDistance'
          property :edit_distance_ratio, as: 'editDistanceRatio'
          property :matched_description_text, as: 'matchedDescriptionText'
          property :matched_frame_time_ms, as: 'matchedFrameTimeMs'
          property :matched_ocr_text, as: 'matchedOcrText'
        end
      end
      
      class VideoContentSearchOcrDescriptionTrainingDataSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_edit_distance, as: 'maxEditDistance'
          property :max_edit_distance_ratio, as: 'maxEditDistanceRatio'
          property :median_edit_distance, as: 'medianEditDistance'
        end
      end
      
      class VideoContentSearchOcrVideoFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_text_area_ratio, as: 'averageTextAreaRatio'
          hash :cluster_id_to_frame_size, as: 'clusterIdToFrameSize'
          property :duration_in_ms, as: 'durationInMs'
          property :lang_id_detected_language, as: 'langIdDetectedLanguage'
          property :num_clusters, as: 'numClusters'
          property :num_frames, as: 'numFrames'
          property :ocr_detected_language, as: 'ocrDetectedLanguage'
        end
      end
      
      class VideoContentSearchOnScreenTextClusterFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_confidence, as: 'averageConfidence'
          property :average_duration_ratio, as: 'averageDurationRatio'
          property :average_horizontal_position, as: 'averageHorizontalPosition'
          property :average_ocr_text_length, as: 'averageOcrTextLength'
          property :average_of_average_text_height_ratio, as: 'averageOfAverageTextHeightRatio'
          property :average_vertical_position, as: 'averageVerticalPosition'
          property :cluster_ratio, as: 'clusterRatio'
          property :cluster_size, as: 'clusterSize'
          property :counting_number_ratio, as: 'countingNumberRatio'
          property :duration_ms_stats, as: 'durationMsStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :frame_size_ratio, as: 'frameSizeRatio'
          property :log_ocr_text_length_stats, as: 'logOcrTextLengthStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :log_text_height_ratio_stats, as: 'logTextHeightRatioStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :logp1000_duration_ms_stats, as: 'logp1000DurationMsStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :max_video_duration_ratio_between_anchors, as: 'maxVideoDurationRatioBetweenAnchors'
          property :maximum_duration_ratio, as: 'maximumDurationRatio'
          property :median_clustering_distance, as: 'medianClusteringDistance'
          property :median_duration_ratio, as: 'medianDurationRatio'
          property :median_of_average_text_height_ratio, as: 'medianOfAverageTextHeightRatio'
          property :ocr_asr_feature, as: 'ocrAsrFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrAsrSetFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrAsrSetFeature::Representation
      
          property :ocr_text_length_stats, as: 'ocrTextLengthStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :stddev_duration_ratio, as: 'stddevDurationRatio'
          property :text_height_ratio_stats, as: 'textHeightRatioStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
        end
      end
      
      class VideoContentSearchOnScreenTextFeature
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_angle, as: 'averageAngle'
          property :average_confidence, as: 'averageConfidence'
          property :average_fontsize, as: 'averageFontsize'
          property :average_fontweight, as: 'averageFontweight'
          property :average_height_ratio, as: 'averageHeightRatio'
          property :background_blue, as: 'backgroundBlue'
          property :background_gray, as: 'backgroundGray'
          property :background_green, as: 'backgroundGreen'
          property :background_red, as: 'backgroundRed'
          property :box_height_ratio, as: 'boxHeightRatio'
          property :box_width_ratio, as: 'boxWidthRatio'
          property :center_horizontal_position_ratio, as: 'centerHorizontalPositionRatio'
          property :center_vertical_position_ratio, as: 'centerVerticalPositionRatio'
          property :counting_number, as: 'countingNumber'
          property :counting_number_ooo_ratio, as: 'countingNumberOooRatio'
          property :counting_number_prefix, as: 'countingNumberPrefix'
          property :counting_number_suffix, as: 'countingNumberSuffix'
          property :duration_ms, as: 'durationMs'
          property :foreground_blue, as: 'foregroundBlue'
          property :foreground_gray, as: 'foregroundGray'
          property :foreground_green, as: 'foregroundGreen'
          property :foreground_red, as: 'foregroundRed'
          property :had_url_in_label, as: 'hadUrlInLabel'
          property :handwritten_text_ratio, as: 'handwrittenTextRatio'
          property :is_counting_number_ooo, as: 'isCountingNumberOoo'
          collection :languages, as: 'languages', class: Google::Apis::ContentwarehouseV1::GoodocLanguageCombinationLanguage, decorator: Google::Apis::ContentwarehouseV1::GoodocLanguageCombinationLanguage::Representation
      
          property :left_position_ratio, as: 'leftPositionRatio'
          property :median_clustering_distance, as: 'medianClusteringDistance'
          property :merged_line_count, as: 'mergedLineCount'
          property :occurrence_count, as: 'occurrenceCount'
          property :occurrence_ratio, as: 'occurrenceRatio'
          property :ocr_asr_feature, as: 'ocrAsrFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrAsrFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrAsrFeature::Representation
      
          property :original_label, as: 'originalLabel'
          property :relative_shot_time_ms_posterior_to_end_time, as: 'relativeShotTimeMsPosteriorToEndTime'
          property :relative_shot_time_ms_posterior_to_start_time, as: 'relativeShotTimeMsPosteriorToStartTime'
          property :relative_shot_time_ms_prior_to_end_time, as: 'relativeShotTimeMsPriorToEndTime'
          property :relative_shot_time_ms_prior_to_start_time, as: 'relativeShotTimeMsPriorToStartTime'
          property :shot_info_count_during_text, as: 'shotInfoCountDuringText'
          property :top_ocr_language, as: 'topOcrLanguage'
          property :top_position_ratio, as: 'topPositionRatio'
        end
      end
      
      class VideoContentSearchQbstTermsOverlapFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :qbst_anchor_overlap, as: 'qbstAnchorOverlap'
          property :qbst_navboost_overlap, as: 'qbstNavboostOverlap'
        end
      end
      
      class VideoContentSearchQnaAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :answer, as: 'answer'
          property :descartes_dot_score, as: 'descartesDotScore'
          property :descartes_ranking_score, as: 'descartesRankingScore'
          property :dolphin_model_type, as: 'dolphinModelType'
          property :dolphin_score, as: 'dolphinScore'
          property :edit_distance, as: 'editDistance'
          property :end_ms, :numeric_string => true, as: 'endMs'
          property :ensemble_score, as: 'ensembleScore'
          property :is_duplicate_of_title, as: 'isDuplicateOfTitle'
          property :neon_score, as: 'neonScore'
          property :pointwise_normalized_gap_score, as: 'pointwiseNormalizedGapScore'
          property :qbst_score, as: 'qbstScore'
          property :query_count, as: 'queryCount'
          property :query_doc_count, as: 'queryDocCount'
          property :question, as: 'question'
          property :question_title_similarity, as: 'questionTitleSimilarity'
          property :question_type, as: 'questionType'
          property :start_ms, :numeric_string => true, as: 'startMs'
          property :video_duration_ms, :numeric_string => true, as: 'videoDurationMs'
          property :video_title, as: 'videoTitle'
          property :webref_mid, as: 'webrefMid'
          property :webref_topicality_score, as: 'webrefTopicalityScore'
        end
      end
      
      class VideoContentSearchQnaAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :background_encoding_path, as: 'backgroundEncodingPath'
          property :descartes_model_version, as: 'descartesModelVersion'
          property :descartes_score_threshold, as: 'descartesScoreThreshold'
          property :dolphin_config, as: 'dolphinConfig', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinScoringConfig, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDolphinScoringConfig::Representation
      
          property :ensemble_model_path, as: 'ensembleModelPath'
          property :ensemble_model_score_threshold, as: 'ensembleModelScoreThreshold'
          property :min_entity_topicality_score, as: 'minEntityTopicalityScore'
          property :min_question_distance, as: 'minQuestionDistance'
          property :related_questions_sstable_path, as: 'relatedQuestionsSstablePath'
          property :span_duration_secs, :numeric_string => true, as: 'spanDurationSecs'
        end
      end
      
      class VideoContentSearchRankEmbedNearestNeighborsFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_re_similarity, as: 'anchorReSimilarity'
          property :nav_query_re_similarity, as: 'navQueryReSimilarity'
          property :re_similarity, as: 'reSimilarity'
        end
      end
      
      class VideoContentSearchSaftEntityInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :canonical_entity_name, as: 'canonicalEntityName'
          property :entity_salience, as: 'entitySalience'
          property :entity_type_name, as: 'entityTypeName'
          property :mention_text, as: 'mentionText'
          property :mention_type, as: 'mentionType'
          property :mid, as: 'mid'
          property :original_text, as: 'originalText'
        end
      end
      
      class VideoContentSearchShoppingOpinionsAnchorFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_label, as: 'anchorLabel'
          property :anchor_label_first_mention_pos, as: 'anchorLabelFirstMentionPos'
          property :anchor_label_sentiment, as: 'anchorLabelSentiment'
          property :anchor_label_words_mentions, as: 'anchorLabelWordsMentions'
          property :anchor_or_aspect_first_mention_pos, as: 'anchorOrAspectFirstMentionPos'
          property :anchor_or_aspect_words_mentions, as: 'anchorOrAspectWordsMentions'
          property :aspect, as: 'aspect', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAspect, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAspect::Representation
      
          property :asr_for_pro_con_extraction, as: 'asrForProConExtraction'
          property :babel_similarity_score, as: 'babelSimilarityScore'
          property :con_score, as: 'conScore'
          property :grampus_score, as: 'grampusScore'
          property :is_con, as: 'isCon'
          property :is_pro, as: 'isPro'
          property :is_pro_con_when_extracted_from_mum, as: 'isProConWhenExtractedFromMum'
          property :lumin_aspect, as: 'luminAspect'
          property :lumin_aspect_first_mention_pos, as: 'luminAspectFirstMentionPos'
          property :lumin_aspect_words_mentions, as: 'luminAspectWordsMentions'
          property :lumin_score, as: 'luminScore'
          property :mum_product_aspect, as: 'mumProductAspect'
          property :mum_score, as: 'mumScore'
          property :opinions_dolphin_descriptiveness_score, as: 'opinionsDolphinDescriptivenessScore'
          property :opinions_dolphin_usefulness_score, as: 'opinionsDolphinUsefulnessScore'
          property :pro_score, as: 'proScore'
          property :product_name_from_title, as: 'productNameFromTitle'
          property :question, as: 'question'
          property :snippet, as: 'snippet'
          property :snippet_qa_score, as: 'snippetQaScore'
          property :snippet_sentiment_score, as: 'snippetSentimentScore'
          property :snippet_sub_segment, as: 'snippetSubSegment'
          property :snippet_sub_segment_qa_score, as: 'snippetSubSegmentQaScore'
          property :snippet_sub_segment_sentiment_score, as: 'snippetSubSegmentSentimentScore'
          property :snippet_sub_segment_word_count, as: 'snippetSubSegmentWordCount'
          property :snippet_word_count, as: 'snippetWordCount'
        end
      end
      
      class VideoContentSearchSimilarityMatchInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :instruction_start_ms, as: 'instructionStartMs'
          property :instruction_text, as: 'instructionText'
          property :reference_text, as: 'referenceText'
          property :reference_text_time_ms, as: 'referenceTextTimeMs'
          property :scoring_method_name, as: 'scoringMethodName'
          property :similarity_score, as: 'similarityScore'
          property :step_index, as: 'stepIndex'
          property :token_sequence, as: 'tokenSequence'
          property :token_sequence_length, as: 'tokenSequenceLength'
          property :token_start_pos, as: 'tokenStartPos'
        end
      end
      
      class VideoContentSearchSpanDolphinFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :passage, as: 'passage'
          property :title, as: 'title'
        end
      end
      
      class VideoContentSearchSpanDolphinScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :span_candidate, as: 'spanCandidate', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScoresSpanCandidate, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScoresSpanCandidate::Representation
      
          collection :span_token, as: 'spanToken', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScoresSpanToken, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSpanDolphinScoresSpanToken::Representation
      
        end
      end
      
      class VideoContentSearchSpanDolphinScoresSpanCandidate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_confidence_stats, as: 'asrConfidenceStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :score_stats, as: 'scoreStats', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMetricStats::Representation
      
          property :source_passage, as: 'sourcePassage'
          property :text, as: 'text'
          property :time_ms, :numeric_string => true, as: 'timeMs'
        end
      end
      
      class VideoContentSearchSpanDolphinScoresSpanToken
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :asr_confidence, as: 'asrConfidence'
          property :is_sentence_start, as: 'isSentenceStart'
          property :score, as: 'score'
          property :text, as: 'text'
          property :time_ms, :numeric_string => true, as: 'timeMs'
        end
      end
      
      class VideoContentSearchSportsKeyMomentsAnchorSetFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :prefilter_classification_label, as: 'prefilterClassificationLabel'
          property :tensorflow_model_version, as: 'tensorflowModelVersion'
        end
      end
      
      class VideoContentSearchTextMatchInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :duration_to_predicted_time_ms, :numeric_string => true, as: 'durationToPredictedTimeMs'
          property :match_score, as: 'matchScore'
          property :matched_asr_start_pos, as: 'matchedAsrStartPos'
          property :matched_asr_text, as: 'matchedAsrText'
          property :matched_asr_time_ms, :numeric_string => true, as: 'matchedAsrTimeMs'
          property :matched_asr_time_ratio, as: 'matchedAsrTimeRatio'
          property :matched_asr_token_count, as: 'matchedAsrTokenCount'
          property :matched_description_item_index_ratio, as: 'matchedDescriptionItemIndexRatio'
          property :matched_description_text, as: 'matchedDescriptionText'
          property :matched_description_token_count, as: 'matchedDescriptionTokenCount'
        end
      end
      
      class VideoContentSearchTextSimilarityFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hypothesis_text, as: 'hypothesisText'
          property :hypothesis_text_time, :numeric_string => true, as: 'hypothesisTextTime'
          property :reference_text, as: 'referenceText'
          property :scoring_method_name, as: 'scoringMethodName'
          property :similarity_score, as: 'similarityScore'
          property :token_match_count, as: 'tokenMatchCount'
          property :token_match_percent, as: 'tokenMatchPercent'
          collection :word_alignment, as: 'wordAlignment', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTokenAlignment, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTokenAlignment::Representation
      
        end
      end
      
      class VideoContentSearchTokenAlignment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :hypothesis_index, as: 'hypothesisIndex'
          property :hypothesis_token, as: 'hypothesisToken'
          property :reference_index, as: 'referenceIndex'
          property :reference_token, as: 'referenceToken'
          property :token_is_matched, as: 'tokenIsMatched'
        end
      end
      
      class VideoContentSearchTokenTimingInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :duration_ms, :numeric_string => true, as: 'durationMs'
          property :start_ms, :numeric_string => true, as: 'startMs'
          property :text, as: 'text'
        end
      end
      
      class VideoContentSearchVideoActions
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :skip_pattern_start_offset_input, as: 'skipPatternStartOffsetInput'
          property :skip_to_time_pattern, as: 'skipToTimePattern'
        end
      end
      
      class VideoContentSearchVideoAnchor
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_score, as: 'anchorScore'
          property :anchor_type, as: 'anchorType'
          property :destination_url, as: 'destinationUrl'
          property :duration, :numeric_string => true, as: 'duration'
          property :entity_score, as: 'entityScore'
          collection :filter_reason, as: 'filterReason'
          property :is_filtered, as: 'isFiltered'
          property :is_safe, as: 'isSafe'
          property :is_scuti_bad, as: 'isScutiBad'
          property :label, as: 'label'
          property :label_score, as: 'labelScore'
          property :mid, as: 'mid'
          collection :named_entity, as: 'namedEntity', class: Google::Apis::ContentwarehouseV1::VideoContentSearchNamedEntity, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchNamedEntity::Representation
      
          property :precision_score, as: 'precisionScore'
          property :score_info, as: 'scoreInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorScoreInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorScoreInfo::Representation
      
          property :starburst_features, as: 'starburstFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVisualFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVisualFeatures::Representation
      
          property :thumbnail, as: 'thumbnail', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnail, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnail::Representation
      
          property :thumbnail_url, as: 'thumbnailUrl'
          property :time, :numeric_string => true, as: 'time'
          collection :token_timing_info, as: 'tokenTimingInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTokenTimingInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTokenTimingInfo::Representation
      
        end
      end
      
      class VideoContentSearchVideoAnchorRatingScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_bookmark_usefulness, as: 'averageBookmarkUsefulness'
          property :average_description_quality, as: 'averageDescriptionQuality'
        end
      end
      
      class VideoContentSearchVideoAnchorScoreInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_common_feature_set, as: 'anchorCommonFeatureSet', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorCommonFeatureSet, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorCommonFeatureSet::Representation
      
          property :attachments, as: 'attachments', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :caption_entity_anchor_features, as: 'captionEntityAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityAnchorFeatures::Representation
      
          property :caption_span_anchor_features, as: 'captionSpanAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionSpanAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionSpanAnchorFeatures::Representation
      
          property :description_anchor_features, as: 'descriptionAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionAnchorFeatures::Representation
      
          collection :filter_reason, as: 'filterReason'
          property :filtered, as: 'filtered'
          collection :generative_features, as: 'generativeFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchGenerativePredictionFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchGenerativePredictionFeatures::Representation
      
          property :instruction_anchor_features, as: 'instructionAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchInstructionAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchInstructionAnchorFeatures::Representation
      
          property :instruction_training_data_anchor_features, as: 'instructionTrainingDataAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchInstructionTrainingDataAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchInstructionTrainingDataAnchorFeatures::Representation
      
          property :label_language, as: 'labelLanguage'
          collection :label_transformation, as: 'labelTransformation', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorScoreInfoLabelTransformation, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorScoreInfoLabelTransformation::Representation
      
          property :list_anchor_features, as: 'listAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchListAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchListAnchorFeatures::Representation
      
          property :list_training_data_anchor_features, as: 'listTrainingDataAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchListTrainingDataAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchListTrainingDataAnchorFeatures::Representation
      
          property :multimodal_topic_features, as: 'multimodalTopicFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMultimodalTopicFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMultimodalTopicFeatures::Representation
      
          property :multimodal_topic_training_features, as: 'multimodalTopicTrainingFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchMultimodalTopicTrainingFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchMultimodalTopicTrainingFeatures::Representation
      
          property :ocr_anchor_feature, as: 'ocrAnchorFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextFeature::Representation
      
          property :ocr_description_training_data_anchor_features, as: 'ocrDescriptionTrainingDataAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrDescriptionTrainingDataAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrDescriptionTrainingDataAnchorFeatures::Representation
      
          property :opinions_anchor_features, as: 'opinionsAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchShoppingOpinionsAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchShoppingOpinionsAnchorFeatures::Representation
      
          property :qna_anchor_features, as: 'qnaAnchorFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchQnaAnchorFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchQnaAnchorFeatures::Representation
      
          property :rating_score, as: 'ratingScore', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorRatingScore, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorRatingScore::Representation
      
          property :safe_search_classifier_output, as: 'safeSearchClassifierOutput', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryMultiLabelClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryMultiLabelClassifierOutput::Representation
      
          collection :text_similarity_features, as: 'textSimilarityFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchTextSimilarityFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchTextSimilarityFeatures::Representation
      
          property :thumbnail_info, as: 'thumbnailInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnailInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorThumbnailInfo::Representation
      
        end
      end
      
      class VideoContentSearchVideoAnchorScoreInfoLabelTransformation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :description, as: 'description'
          property :source_label, as: 'sourceLabel'
        end
      end
      
      class VideoContentSearchVideoAnchorSetRatingScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_set_description_quality, as: 'averageSetDescriptionQuality'
          property :average_set_navigation_usefulness, as: 'averageSetNavigationUsefulness'
        end
      end
      
      class VideoContentSearchVideoAnchorSets
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :video_actions, as: 'videoActions', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoActions, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoActions::Representation
      
          collection :video_anchors, as: 'videoAnchors', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchors, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchors::Representation
      
          property :video_info, as: 'videoInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoInfo::Representation
      
          property :video_score_info, as: 'videoScoreInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoScoreInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoScoreInfo::Representation
      
        end
      end
      
      class VideoContentSearchVideoAnchors
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_type, as: 'anchorType'
          property :entity_group_info, as: 'entityGroupInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchEntityGroupInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchEntityGroupInfo::Representation
      
          property :experimental_predicted_queryless_toc_usefulness, as: 'experimentalPredictedQuerylessTocUsefulness'
          collection :filter_reason, as: 'filterReason'
          property :is_filtered, as: 'isFiltered'
          collection :merged_anchors_sources, as: 'mergedAnchorsSources'
          property :predicted_queryless_toc_usefulness, as: 'predictedQuerylessTocUsefulness'
          property :score, as: 'score'
          property :score_info, as: 'scoreInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorsScoreInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorsScoreInfo::Representation
      
          property :should_serve_thumbnails, as: 'shouldServeThumbnails'
          property :thumbnail_forced, as: 'thumbnailForced'
          property :thumbnail_set_info, as: 'thumbnailSetInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorsThumbnailInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorsThumbnailInfo::Representation
      
          collection :video_anchor, as: 'videoAnchor', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchor, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchor::Representation
      
          property :video_introduction, as: 'videoIntroduction', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoIntroduction, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoIntroduction::Representation
      
        end
      end
      
      class VideoContentSearchVideoAnchorsScoreInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchors_common_feature_set, as: 'anchorsCommonFeatureSet', class: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorsCommonFeatureSet, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchAnchorsCommonFeatureSet::Representation
      
          property :caption_entity_anchor_set_features, as: 'captionEntityAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionEntityAnchorSetFeatures::Representation
      
          property :caption_span_anchor_set_features, as: 'captionSpanAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionSpanAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionSpanAnchorSetFeatures::Representation
      
          property :comment_anchor_set_features, as: 'commentAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCommentAnchorSetFeatures::Representation
      
          property :description_anchor_set_features, as: 'descriptionAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchDescriptionAnchorSetFeatures::Representation
      
          property :filtered, as: 'filtered'
          property :list_anchor_set_features, as: 'listAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchListAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchListAnchorSetFeatures::Representation
      
          property :list_training_data_set_features, as: 'listTrainingDataSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchListTrainingDataSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchListTrainingDataSetFeatures::Representation
      
          property :ocr_anchor_cluster_feature, as: 'ocrAnchorClusterFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextClusterFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOnScreenTextClusterFeature::Representation
      
          property :ocr_description_training_data_set_features, as: 'ocrDescriptionTrainingDataSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrDescriptionTrainingDataSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrDescriptionTrainingDataSetFeatures::Representation
      
          property :qna_anchor_set_features, as: 'qnaAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchQnaAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchQnaAnchorSetFeatures::Representation
      
          property :rating_score, as: 'ratingScore', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorSetRatingScore, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoAnchorSetRatingScore::Representation
      
          property :sports_key_moments_anchor_set_features, as: 'sportsKeyMomentsAnchorSetFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchSportsKeyMomentsAnchorSetFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchSportsKeyMomentsAnchorSetFeatures::Representation
      
        end
      end
      
      class VideoContentSearchVideoCommonFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :anchor_count, as: 'anchorCount'
          property :caption_info, as: 'captionInfo', class: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionInfo, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchCaptionInfo::Representation
      
          property :label_phrase_embedding_model, as: 'labelPhraseEmbeddingModel'
          collection :unified_scoring_bert_models, as: 'unifiedScoringBertModels'
        end
      end
      
      class VideoContentSearchVideoGeneratedQueryFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :filter_reason, as: 'filterReason'
          property :prefiltered_passage_count, as: 'prefilteredPassageCount'
          property :title_entity_annotations, as: 'titleEntityAnnotations', class: Google::Apis::ContentwarehouseV1::VideoContentSearchEntityAnnotations, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchEntityAnnotations::Representation
      
          property :total_restricted_queries, as: 'totalRestrictedQueries'
        end
      end
      
      class VideoContentSearchVideoInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :amarna_docid, as: 'amarnaDocid'
          property :asr_language, as: 'asrLanguage'
          property :craps_data, as: 'crapsData', class: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsData, decorator: Google::Apis::ContentwarehouseV1::QualityNavboostCrapsCrapsData::Representation
      
          property :description, as: 'description'
          property :doc_language, as: 'docLanguage'
          property :duration_ms, as: 'durationMs'
          property :has_asr, as: 'hasAsr'
          property :has_description_anchors, as: 'hasDescriptionAnchors'
          property :is_safe, as: 'isSafe'
          property :is_watchpage, as: 'isWatchpage'
          collection :navqueries, as: 'navqueries'
          property :nsr, as: 'nsr'
          property :num_views, :numeric_string => true, as: 'numViews'
          property :pseudo_video_data, as: 'pseudoVideoData', class: Google::Apis::ContentwarehouseV1::PseudoVideoData, decorator: Google::Apis::ContentwarehouseV1::PseudoVideoData::Representation
      
          property :saft_doc, as: 'saftDoc', class: Google::Apis::ContentwarehouseV1::NlpSaftDocument, decorator: Google::Apis::ContentwarehouseV1::NlpSaftDocument::Representation
      
          property :saft_transcript, as: 'saftTranscript'
          property :salient_term_set, as: 'salientTermSet', class: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet, decorator: Google::Apis::ContentwarehouseV1::QualitySalientTermsSalientTermSet::Representation
      
          collection :subindexid, as: 'subindexid'
          property :title, as: 'title'
          property :title_language, as: 'titleLanguage'
          property :transcript_annotations, as: 'transcriptAnnotations', class: Google::Apis::ContentwarehouseV1::QualityWebanswersTranscriptAnnotations, decorator: Google::Apis::ContentwarehouseV1::QualityWebanswersTranscriptAnnotations::Representation
      
          property :unique_chrome_views, as: 'uniqueChromeViews'
          property :url, as: 'url'
          collection :vertical_item, as: 'verticalItem', class: Google::Apis::ContentwarehouseV1::IndexingMlVerticalVerticalItem, decorator: Google::Apis::ContentwarehouseV1::IndexingMlVerticalVerticalItem::Representation
      
          property :video_genre, as: 'videoGenre'
          property :video_type, as: 'videoType'
          property :video_url, as: 'videoUrl'
          property :webref_entities, as: 'webrefEntities', class: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntities, decorator: Google::Apis::ContentwarehouseV1::RepositoryWebrefWebrefEntities::Representation
      
        end
      end
      
      class VideoContentSearchVideoIntroduction
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_intro, as: 'hasIntro'
          property :intro_end_ms, :numeric_string => true, as: 'introEndMs'
          property :intro_start_ms, :numeric_string => true, as: 'introStartMs'
        end
      end
      
      class VideoContentSearchVideoMultimodalTopicFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_starburst_data, as: 'frameStarburstData', class: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameStarburstData, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchFrameStarburstData::Representation
      
        end
      end
      
      class VideoContentSearchVideoScoreInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :common_features, as: 'commonFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoCommonFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoCommonFeatures::Representation
      
          property :ocr_video_feature, as: 'ocrVideoFeature', class: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrVideoFeature, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchOcrVideoFeature::Representation
      
          property :safe_search_classifier_output, as: 'safeSearchClassifierOutput', class: Google::Apis::ContentwarehouseV1::ClassifierPornQueryMultiLabelClassifierOutput, decorator: Google::Apis::ContentwarehouseV1::ClassifierPornQueryMultiLabelClassifierOutput::Representation
      
          property :version, as: 'version'
          property :video_generated_query_features, as: 'videoGeneratedQueryFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoGeneratedQueryFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoGeneratedQueryFeatures::Representation
      
          property :video_multimodal_topic_features, as: 'videoMultimodalTopicFeatures', class: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoMultimodalTopicFeatures, decorator: Google::Apis::ContentwarehouseV1::VideoContentSearchVideoMultimodalTopicFeatures::Representation
      
        end
      end
      
      class VideoContentSearchVisualFeatures
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :features, as: 'features'
          property :starbust_version, as: 'starbustVersion'
          collection :tokens, as: 'tokens'
        end
      end
      
      class VideoCrawlVideoInlinePlaybackMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiration_timestamp_sec, :numeric_string => true, as: 'expirationTimestampSec'
          property :google_analytics_id, as: 'googleAnalyticsId'
          collection :playback_country_blacklist, as: 'playbackCountryBlacklist'
          collection :playback_country_whitelist, as: 'playbackCountryWhitelist'
          collection :transcode_itags, as: 'transcodeItags'
          property :vast_tag, as: 'vastTag'
          property :video_id, as: 'videoId'
          property :video_url_on_external_cdn, as: 'videoUrlOnExternalCdn'
        end
      end
      
      class VideoDoViDecoderConfiguration
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bl_present_flag, as: 'blPresentFlag'
          property :dv_bl_signal_compatibility_id, as: 'dvBlSignalCompatibilityId'
          property :dv_level, as: 'dvLevel'
          property :dv_profile, as: 'dvProfile'
          property :dv_version_major, as: 'dvVersionMajor'
          property :dv_version_minor, as: 'dvVersionMinor'
          property :el_present_flag, as: 'elPresentFlag'
          property :fourcc_tag, as: 'fourccTag'
          property :rpu_present_flag, as: 'rpuPresentFlag'
        end
      end
      
      class VideoFileColorInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :matrix_coefficients, as: 'matrixCoefficients'
          property :primaries, as: 'primaries'
          property :range, as: 'range'
          property :transfer_characteristics, as: 'transferCharacteristics'
        end
      end
      
      class VideoFileContentLightLevel
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max_content_light_level, as: 'maxContentLightLevel'
          property :max_frame_average_light_level, as: 'maxFrameAverageLightLevel'
        end
      end
      
      class VideoFileFramePackingArrangement
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :grid_offset0_horizontal, as: 'gridOffset0Horizontal'
          property :grid_offset0_vertical, as: 'gridOffset0Vertical'
          property :grid_offset1_horizontal, as: 'gridOffset1Horizontal'
          property :grid_offset1_vertical, as: 'gridOffset1Vertical'
          property :interpretation, as: 'interpretation'
          property :quincunx_sampling, as: 'quincunxSampling'
          property :type, as: 'type'
        end
      end
      
      class VideoFileHdr10PlusStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :application_version, as: 'applicationVersion'
          property :average_targeted_system_display_maximum_luminance, as: 'averageTargetedSystemDisplayMaximumLuminance'
          property :mastering_display_actual_peak_luminance_flag, as: 'masteringDisplayActualPeakLuminanceFlag'
          property :max_num_windows, as: 'maxNumWindows'
          property :targeted_system_display_actual_peak_luminance_flag, as: 'targetedSystemDisplayActualPeakLuminanceFlag'
        end
      end
      
      class VideoFileMasteringDisplayMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :blue, as: 'blue', class: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate, decorator: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate::Representation
      
          property :green, as: 'green', class: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate, decorator: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate::Representation
      
          property :max_luminance, as: 'maxLuminance'
          property :min_luminance, as: 'minLuminance'
          property :red, as: 'red', class: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate, decorator: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate::Representation
      
          property :white_point, as: 'whitePoint', class: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate, decorator: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadataCie1931Coordinate::Representation
      
        end
      end
      
      class VideoFileMasteringDisplayMetadataCie1931Coordinate
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :x, as: 'x'
          property :y, as: 'y'
        end
      end
      
      class VideoFileSphericalMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :clamped_optimal_fov_bounds, as: 'clampedOptimalFovBounds', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds::Representation
      
          property :cubemap, as: 'cubemap', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataCubemapProjection, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataCubemapProjection::Representation
      
          property :deprecated_cropped_area, as: 'deprecatedCroppedArea', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataCroppedArea, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataCroppedArea::Representation
      
          property :deprecated_initial_view, as: 'deprecatedInitialView', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataViewDirection, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataViewDirection::Representation
      
          property :equirect, as: 'equirect', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataEquirectProjection, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataEquirectProjection::Representation
      
          property :full_pano_height_pixels, as: 'fullPanoHeightPixels'
          property :full_pano_width_pixels, as: 'fullPanoWidthPixels'
          property :mesh, as: 'mesh', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataMeshProjection, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataMeshProjection::Representation
      
          property :metadata_source, as: 'metadataSource'
          property :optimal_fov_bounds, as: 'optimalFovBounds', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds::Representation
      
          property :pose, as: 'pose', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataPose, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataPose::Representation
      
          property :projection_type, as: 'projectionType'
          property :source_count, as: 'sourceCount'
          property :spherical, as: 'spherical'
          property :stereo_mode, as: 'stereoMode'
          property :stitched, as: 'stitched'
          property :stitching_software, as: 'stitchingSoftware'
          property :timestamp, :numeric_string => true, as: 'timestamp'
        end
      end
      
      class VideoFileSphericalMetadataCroppedArea
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :left, as: 'left'
          property :top, as: 'top'
          property :width, as: 'width'
        end
      end
      
      class VideoFileSphericalMetadataCubemapProjection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :layout, as: 'layout'
          property :padding, as: 'padding'
        end
      end
      
      class VideoFileSphericalMetadataEquirectProjection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :projection_bounds_bottom, as: 'projectionBoundsBottom'
          property :projection_bounds_left, as: 'projectionBoundsLeft'
          property :projection_bounds_right, as: 'projectionBoundsRight'
          property :projection_bounds_top, as: 'projectionBoundsTop'
        end
      end
      
      class VideoFileSphericalMetadataFovBounds
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_tilt_in_degrees, as: 'endTiltInDegrees'
          property :end_yaw_in_degrees, as: 'endYawInDegrees'
          property :start_tilt_in_degrees, as: 'startTiltInDegrees'
          property :start_yaw_in_degrees, as: 'startYawInDegrees'
        end
      end
      
      class VideoFileSphericalMetadataMeshProjection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bounds, as: 'bounds', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadataFovBounds::Representation
      
          property :content, :base64 => true, as: 'content'
          property :type, as: 'type'
        end
      end
      
      class VideoFileSphericalMetadataPose
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :heading_degrees, as: 'headingDegrees'
          property :pitch_degrees, as: 'pitchDegrees'
          property :roll_degrees, as: 'rollDegrees'
        end
      end
      
      class VideoFileSphericalMetadataViewDirection
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :heading_degrees, as: 'headingDegrees'
          property :pitch_degrees, as: 'pitchDegrees'
          property :roll_degrees, as: 'rollDegrees'
        end
      end
      
      class VideoLegosLegosAnnotationsSet
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :feature_set_name, as: 'featureSetName'
          property :legos_annotations, as: 'legosAnnotations', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosAnnotations, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosAnnotations::Representation
      
        end
      end
      
      class VideoLegosLegosAnnotationsSets
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotations_set, as: 'annotationsSet', class: Google::Apis::ContentwarehouseV1::VideoLegosLegosAnnotationsSet, decorator: Google::Apis::ContentwarehouseV1::VideoLegosLegosAnnotationsSet::Representation
      
        end
      end
      
      class VideoMediaInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :audio_stream, as: 'audioStream', class: Google::Apis::ContentwarehouseV1::VideoAudioStream, decorator: Google::Apis::ContentwarehouseV1::VideoAudioStream::Representation
      
          property :container_id, as: 'containerId'
          property :file_size, :numeric_string => true, as: 'fileSize'
          property :overview, as: 'overview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverview::Representation
      
          collection :video_stream, as: 'videoStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStream::Representation
      
        end
      end
      
      class VideoMediaOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aspect_ratio, as: 'aspectRatio'
          collection :audio_overview, as: 'audioOverview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverviewAudioOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverviewAudioOverview::Representation
      
          property :authoring_tool, as: 'authoringTool'
          property :color_dynamic_range, as: 'colorDynamicRange'
          property :creation_time_stamp_usec, :numeric_string => true, as: 'creationTimeStampUsec'
          collection :data_overview, as: 'dataOverview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverviewDataOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverviewDataOverview::Representation
      
          property :frame_rate, as: 'frameRate'
          property :has_chapters, as: 'hasChapters'
          property :media_clip_info_overview, as: 'mediaClipInfoOverview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverviewMediaClipInfoOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverviewMediaClipInfoOverview::Representation
      
          property :orientation, as: 'orientation'
          property :origin, as: 'origin'
          property :projection, as: 'projection'
          property :resolution, as: 'resolution'
          property :spatial_audio_mode, as: 'spatialAudioMode'
          property :stereo_mode, as: 'stereoMode'
          collection :timedtext_overview, as: 'timedtextOverview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverviewTimedTextOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverviewTimedTextOverview::Representation
      
          collection :video_overview, as: 'videoOverview', class: Google::Apis::ContentwarehouseV1::VideoMediaOverviewVideoOverview, decorator: Google::Apis::ContentwarehouseV1::VideoMediaOverviewVideoOverview::Representation
      
          property :wally_mesh_type, as: 'wallyMeshType'
        end
      end
      
      class VideoMediaOverviewAudioOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :channels, as: 'channels'
          property :content_type, as: 'contentType'
          property :language, as: 'language'
          property :loudness1770_lkfs, as: 'loudness1770Lkfs'
          property :rounded_up_original_duration_sec, as: 'roundedUpOriginalDurationSec'
          property :spatial_audio_mode, as: 'spatialAudioMode'
        end
      end
      
      class VideoMediaOverviewDataOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_camera_motion_metadata, as: 'hasCameraMotionMetadata'
          property :has_ozo_audio, as: 'hasOzoAudio'
        end
      end
      
      class VideoMediaOverviewMediaClipInfoOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :has_geolocation, as: 'hasGeolocation'
        end
      end
      
      class VideoMediaOverviewTimedTextOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
        end
      end
      
      class VideoMediaOverviewVideoOverview
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :aspect_ratio, as: 'aspectRatio'
          property :average_fps, as: 'averageFps'
          property :codec_id, as: 'codecId'
          property :color_dynamic_range, as: 'colorDynamicRange'
          property :fps, as: 'fps'
          property :height, as: 'height'
          property :resolution, as: 'resolution'
          property :rounded_up_original_duration_sec, as: 'roundedUpOriginalDurationSec'
          property :video_has_closed_captions, as: 'videoHasClosedCaptions'
          property :width, as: 'width'
        end
      end
      
      class VideoPerDocData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :core_signals, as: 'coreSignals', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoCoreSignals, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoCoreSignals::Representation
      
          property :frames, as: 'frames', class: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrames, decorator: Google::Apis::ContentwarehouseV1::MediaIndexVideoFrames::Representation
      
        end
      end
      
      class VideoPipelineViperThumbnailerColumnData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_blob_refs, as: 'frameBlobRefs', class: Google::Apis::ContentwarehouseV1::BlobstoreBlobRef, decorator: Google::Apis::ContentwarehouseV1::BlobstoreBlobRef::Representation
      
          property :frame_file_list, as: 'frameFileList', class: Google::Apis::ContentwarehouseV1::VideoThumbnailsFrameFileList, decorator: Google::Apis::ContentwarehouseV1::VideoThumbnailsFrameFileList::Representation
      
          property :frame_type_generated, as: 'frameTypeGenerated'
          property :generated_from_drishti_thumbnailer, as: 'generatedFromDrishtiThumbnailer'
          property :high_res_preview_thumbnail_generated, as: 'highResPreviewThumbnailGenerated'
          property :hq720_generated, as: 'hq720Generated'
          property :hqdefault_generated, as: 'hqdefaultGenerated'
          property :hvc_backup_generated, as: 'hvcBackupGenerated'
          property :improved_vertical_generated, as: 'improvedVerticalGenerated'
          property :maxresdefault_generated, as: 'maxresdefaultGenerated'
          property :maxresdefault_height, as: 'maxresdefaultHeight'
          property :maxresdefault_width, as: 'maxresdefaultWidth'
          property :moving_thumbnail_generated, as: 'movingThumbnailGenerated'
          property :private_thumbnails_generated, as: 'privateThumbnailsGenerated'
          property :public_thumbnails_generated, as: 'publicThumbnailsGenerated'
          property :rerun_status, as: 'rerunStatus'
          property :sddefault_generated, as: 'sddefaultGenerated'
          property :storyboard_generated, as: 'storyboardGenerated'
          property :storyboard_num_levels, as: 'storyboardNumLevels'
          property :storyboard_policy, as: 'storyboardPolicy'
          property :storyboard_version, as: 'storyboardVersion'
          property :storyboard_video_duration_ms, as: 'storyboardVideoDurationMs'
          property :storyboard_video_height, as: 'storyboardVideoHeight'
          property :storyboard_video_width, as: 'storyboardVideoWidth'
          property :webp_generated, as: 'webpGenerated'
        end
      end
      
      class VideoPipelineViperVsiColumnData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfo, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfo::Representation
      
          property :input_read_time, as: 'inputReadTime'
          property :partial_file, as: 'partialFile'
          property :total_vsi_time, as: 'totalVsiTime'
          collection :vsi_stats, as: 'vsiStats', class: Google::Apis::ContentwarehouseV1::VideoPipelineViperVsiColumnDataVsiStats, decorator: Google::Apis::ContentwarehouseV1::VideoPipelineViperVsiColumnDataVsiStats::Representation
      
        end
      end
      
      class VideoPipelineViperVsiColumnDataVsiStats
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :partial_vsi, as: 'partialVsi'
          property :vsi_time, as: 'vsiTime'
        end
      end
      
      class VideoRational32
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :denominator, as: 'denominator'
          property :numerator, as: 'numerator'
        end
      end
      
      class VideoSeiMessage
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :cumulative_size, :numeric_string => true, as: 'cumulativeSize'
          property :payloadtype, as: 'payloadtype'
        end
      end
      
      class VideoStorageLoudnessData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :itu1770_loudness_db, as: 'itu1770LoudnessDb'
          property :perceptual_loudness_db, as: 'perceptualLoudnessDb'
        end
      end
      
      class VideoThumbnailsFrameFile
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :filename, as: 'filename'
          property :height, as: 'height'
          property :ms_offset, as: 'msOffset'
          property :width, as: 'width'
        end
      end
      
      class VideoThumbnailsFrameFileList
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :frame_files, as: 'frameFiles', class: Google::Apis::ContentwarehouseV1::VideoThumbnailsFrameFile, decorator: Google::Apis::ContentwarehouseV1::VideoThumbnailsFrameFile::Representation
      
        end
      end
      
      class VideoThumbnailsThumbnailScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :checksum, :numeric_string => true, as: 'checksum'
          property :color_sampling, as: 'colorSampling'
          collection :dense_features, as: 'denseFeatures'
          property :dense_general_extra_features, as: 'denseGeneralExtraFeatures', class: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra, decorator: Google::Apis::ContentwarehouseV1::DrishtiFeatureExtra::Representation
      
          property :is_assigned, as: 'isAssigned'
          property :is_instant, as: 'isInstant'
          property :model_version, as: 'modelVersion'
          property :overwrite_reason, as: 'overwriteReason'
          property :quantized_features, :base64 => true, as: 'quantizedFeatures'
          property :score, as: 'score'
          property :sparse_features, as: 'sparseFeatures', class: Google::Apis::ContentwarehouseV1::DrishtiSparseFeatureData, decorator: Google::Apis::ContentwarehouseV1::DrishtiSparseFeatureData::Representation
      
          property :thumbnail_set, as: 'thumbnailSet'
          property :thumbnail_version, :numeric_string => true, as: 'thumbnailVersion'
          property :type, as: 'type'
        end
      end
      
      class VideoTimedtextS4AliResults
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :lang_results, as: 'langResults', class: Google::Apis::ContentwarehouseV1::VideoTimedtextS4LangScore, decorator: Google::Apis::ContentwarehouseV1::VideoTimedtextS4LangScore::Representation
      
          property :speech_class, as: 'speechClass'
        end
      end
      
      class VideoTimedtextS4LangScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          property :lang_code, as: 'langCode'
        end
      end
      
      class VideoUserDataRegisteredItuTt35
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :country_code, as: 'countryCode'
          property :provider_code, as: 'providerCode'
        end
      end
      
      class VideoUserDataUnregistered
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :count, as: 'count'
          property :payload, :base64 => true, as: 'payload'
          property :uuid, as: 'uuid'
        end
      end
      
      class VideoVideoClipInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :artist, :base64 => true, as: 'artist'
          property :audio_vendor_id, :base64 => true, as: 'audioVendorId'
          property :author, :base64 => true, as: 'author'
          property :comment, :base64 => true, as: 'comment'
          property :commissioned, :base64 => true, as: 'commissioned'
          property :copyright, :base64 => true, as: 'copyright'
          property :digitization_time, :base64 => true, as: 'digitizationTime'
          property :director, :base64 => true, as: 'director'
          property :engineer, :base64 => true, as: 'engineer'
          property :geolocation, as: 'geolocation', class: Google::Apis::ContentwarehouseV1::VideoVideoGeoLocation, decorator: Google::Apis::ContentwarehouseV1::VideoVideoGeoLocation::Representation
      
          property :info, :base64 => true, as: 'info'
          property :keywords, :base64 => true, as: 'keywords'
          property :make, :base64 => true, as: 'make'
          property :medium, :base64 => true, as: 'medium'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::VideoClipInfo, decorator: Google::Apis::ContentwarehouseV1::VideoClipInfo::Representation
      
          property :model, :base64 => true, as: 'model'
          property :performer, :base64 => true, as: 'performer'
          property :producer, :base64 => true, as: 'producer'
          property :requirements, :base64 => true, as: 'requirements'
          property :software, :base64 => true, as: 'software'
          property :source_provider, :base64 => true, as: 'sourceProvider'
          property :subject, :base64 => true, as: 'subject'
          property :technician, :base64 => true, as: 'technician'
          property :title, :base64 => true, as: 'title'
          property :video_vendor_id, :base64 => true, as: 'videoVendorId'
        end
      end
      
      class VideoVideoGeoLocation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :altitude_e2, as: 'altitudeE2'
          property :latitude_e7, as: 'latitudeE7'
          property :longitude_e7, as: 'longitudeE7'
        end
      end
      
      class VideoVideoStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :bitrate, :numeric_string => true, as: 'bitrate'
          property :codec_id, as: 'codecId'
          property :fps, as: 'fps'
          property :height, as: 'height'
          property :length_sec, as: 'lengthSec'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
          property :width, as: 'width'
        end
      end
      
      class VideoVideoStreamInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :audio_bitrate, as: 'audioBitrate'
          property :audio_channels, as: 'audioChannels'
          property :audio_codec_id, as: 'audioCodecId'
          property :audio_end_timestamp, :numeric_string => true, as: 'audioEndTimestamp'
          property :audio_frame_size, :numeric_string => true, as: 'audioFrameSize'
          property :audio_length, as: 'audioLength'
          property :audio_number_of_frames, :numeric_string => true, as: 'audioNumberOfFrames'
          property :audio_sample_rate, :numeric_string => true, as: 'audioSampleRate'
          property :audio_sample_size, as: 'audioSampleSize'
          property :audio_start_timestamp, :numeric_string => true, as: 'audioStartTimestamp'
          collection :audio_stream, as: 'audioStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoAudioStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoAudioStream::Representation
      
          property :audio_stream_codec_tag, :numeric_string => true, as: 'audioStreamCodecTag'
          property :av_distance, as: 'avDistance'
          property :av_length, as: 'avLength'
          property :average_video_fps, as: 'averageVideoFps'
          property :build_label, as: 'buildLabel'
          property :container_id, as: 'containerId'
          property :container_type, as: 'containerType'
          property :contains_chapters, as: 'containsChapters'
          collection :data_stream, as: 'dataStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoDataStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoDataStream::Representation
      
          property :display_height, as: 'displayHeight'
          property :display_width, as: 'displayWidth'
          property :file_header_fingerprint, :numeric_string => true, as: 'fileHeaderFingerprint'
          property :file_magic, as: 'fileMagic'
          property :file_modified_time, :numeric_string => true, as: 'fileModifiedTime'
          property :file_name, as: 'fileName'
          property :file_size, :numeric_string => true, as: 'fileSize'
          property :file_type, as: 'fileType'
          collection :image_stream, as: 'imageStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStream::Representation
      
          property :is_asf, as: 'isAsf'
          property :is_image_file, as: 'isImageFile'
          property :is_video_insane_size, as: 'isVideoInsaneSize'
          property :level, as: 'level'
          property :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadata::Representation
      
          property :num_audio_streams, as: 'numAudioStreams'
          property :num_data_streams, as: 'numDataStreams'
          property :num_image_streams, as: 'numImageStreams'
          property :num_timedtext_streams, as: 'numTimedtextStreams'
          property :num_video_streams, as: 'numVideoStreams'
          property :parsed_by_ffmpeg, as: 'parsedByFfmpeg'
          property :partial_file, as: 'partialFile'
          property :pix_fmt, as: 'pixFmt'
          property :profile, as: 'profile'
          collection :timedtext_stream, as: 'timedtextStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoTimedTextStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoTimedTextStream::Representation
      
          property :video_bitrate, as: 'videoBitrate'
          property :video_clip_info, as: 'videoClipInfo', class: Google::Apis::ContentwarehouseV1::VideoVideoClipInfo, decorator: Google::Apis::ContentwarehouseV1::VideoVideoClipInfo::Representation
      
          property :video_codec_id, as: 'videoCodecId'
          property :video_end_timestamp, :numeric_string => true, as: 'videoEndTimestamp'
          property :video_fps, as: 'videoFps'
          property :video_frame_size, :numeric_string => true, as: 'videoFrameSize'
          property :video_has_b_frames, as: 'videoHasBFrames'
          property :video_has_fragments, as: 'videoHasFragments'
          property :video_has_leading_moov_atom, as: 'videoHasLeadingMoovAtom'
          property :video_has_non_monotonic_dts, as: 'videoHasNonMonotonicDts'
          property :video_has_non_monotonic_pts, as: 'videoHasNonMonotonicPts'
          property :video_has_non_zero_start_edit_list, as: 'videoHasNonZeroStartEditList'
          property :video_has_possible_open_gop, as: 'videoHasPossibleOpenGop'
          property :video_has_variable_aspect_ratio, as: 'videoHasVariableAspectRatio'
          property :video_height, as: 'videoHeight'
          property :video_interlace, as: 'videoInterlace'
          property :video_length, as: 'videoLength'
          property :video_number_of_frames, :numeric_string => true, as: 'videoNumberOfFrames'
          property :video_number_of_invisible_frames, as: 'videoNumberOfInvisibleFrames'
          property :video_pixel_aspect_ratio, as: 'videoPixelAspectRatio'
          property :video_rotation, as: 'videoRotation'
          property :video_start_timestamp, :numeric_string => true, as: 'videoStartTimestamp'
          collection :video_stream, as: 'videoStream', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStream, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStream::Representation
      
          property :video_stream_codec_tag, as: 'videoStreamCodecTag'
          property :video_width, as: 'videoWidth'
          property :videostreaminfo_version, as: 'videostreaminfoVersion'
          property :y_psnr, as: 'yPsnr'
        end
      end
      
      class VideoVideoStreamInfoAudioStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :ambisonics, as: 'ambisonics', class: Google::Apis::ContentwarehouseV1::VideoAmbisonicsAmbisonicsMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoAmbisonicsAmbisonicsMetadata::Representation
      
          property :bitrate, :numeric_string => true, as: 'bitrate'
          collection :channel_position, as: 'channelPosition'
          property :channels, as: 'channels'
          property :clock_discontinuity_us, :numeric_string => true, as: 'clockDiscontinuityUs'
          property :codec_fourcc, as: 'codecFourcc'
          property :codec_id, as: 'codecId'
          property :codec_string, as: 'codecString'
          property :content_type, as: 'contentType'
          property :decode_offset, :numeric_string => true, as: 'decodeOffset'
          property :end_timestamp, :numeric_string => true, as: 'endTimestamp'
          property :frame_size, :numeric_string => true, as: 'frameSize'
          property :language, as: 'language'
          property :length, as: 'length'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::VideoClipInfo, decorator: Google::Apis::ContentwarehouseV1::VideoClipInfo::Representation
      
          property :number_of_frames, :numeric_string => true, as: 'numberOfFrames'
          property :profile, as: 'profile'
          property :sample_rate, :numeric_string => true, as: 'sampleRate'
          property :sample_size, as: 'sampleSize'
          property :start_timestamp, :numeric_string => true, as: 'startTimestamp'
          property :stream_codec_tag, :numeric_string => true, as: 'streamCodecTag'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
        end
      end
      
      class VideoVideoStreamInfoDataStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :codec_fourcc, as: 'codecFourcc'
          property :codec_id, as: 'codecId'
          property :stream_codec_tag, :numeric_string => true, as: 'streamCodecTag'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
        end
      end
      
      class VideoVideoStreamInfoMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :luts, as: 'luts', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadataLutAttachments, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadataLutAttachments::Representation
      
          property :video_fpa, as: 'videoFpa', class: Google::Apis::ContentwarehouseV1::VideoFileFramePackingArrangement, decorator: Google::Apis::ContentwarehouseV1::VideoFileFramePackingArrangement::Representation
      
        end
      end
      
      class VideoVideoStreamInfoMetadataLutAttachments
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :lut, as: 'lut', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadataLutAttachmentsLut3D, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoMetadataLutAttachmentsLut3D::Representation
      
        end
      end
      
      class VideoVideoStreamInfoMetadataLutAttachmentsLut3D
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :data, :base64 => true, as: 'data'
          property :file_name, as: 'fileName'
          property :size, as: 'size'
        end
      end
      
      class VideoVideoStreamInfoTimedTextStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :codec_id, as: 'codecId'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::VideoClipInfo, decorator: Google::Apis::ContentwarehouseV1::VideoClipInfo::Representation
      
          property :stream_codec_tag, :numeric_string => true, as: 'streamCodecTag'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
        end
      end
      
      class VideoVideoStreamInfoVideoStream
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :average_fps, as: 'averageFps'
          property :bitrate, :numeric_string => true, as: 'bitrate'
          property :bitstream_color_info, as: 'bitstreamColorInfo', class: Google::Apis::ContentwarehouseV1::VideoFileColorInfo, decorator: Google::Apis::ContentwarehouseV1::VideoFileColorInfo::Representation
      
          property :clean_aperture, as: 'cleanAperture', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamCleanAperture, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamCleanAperture::Representation
      
          property :clock_discontinuity_us, :numeric_string => true, as: 'clockDiscontinuityUs'
          property :closed_captions, as: 'closedCaptions', class: Google::Apis::ContentwarehouseV1::VideoClosedCaptions, decorator: Google::Apis::ContentwarehouseV1::VideoClosedCaptions::Representation
      
          property :closed_gop_size, as: 'closedGopSize', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamStatistics, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamStatistics::Representation
      
          property :codec_fourcc, as: 'codecFourcc'
          property :codec_id, as: 'codecId'
          property :codec_string, as: 'codecString'
          property :color_info, as: 'colorInfo', class: Google::Apis::ContentwarehouseV1::VideoFileColorInfo, decorator: Google::Apis::ContentwarehouseV1::VideoFileColorInfo::Representation
      
          property :content_light_level, as: 'contentLightLevel', class: Google::Apis::ContentwarehouseV1::VideoFileContentLightLevel, decorator: Google::Apis::ContentwarehouseV1::VideoFileContentLightLevel::Representation
      
          property :decode_offset, :numeric_string => true, as: 'decodeOffset'
          property :display_height, as: 'displayHeight'
          property :display_width, as: 'displayWidth'
          property :dovi_configuration, as: 'doviConfiguration', class: Google::Apis::ContentwarehouseV1::VideoDoViDecoderConfiguration, decorator: Google::Apis::ContentwarehouseV1::VideoDoViDecoderConfiguration::Representation
      
          property :end_timestamp, :numeric_string => true, as: 'endTimestamp'
          property :flip, as: 'flip'
          property :fps, as: 'fps'
          property :frame_size, :numeric_string => true, as: 'frameSize'
          property :gop_size, as: 'gopSize', class: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamStatistics, decorator: Google::Apis::ContentwarehouseV1::VideoVideoStreamInfoVideoStreamStatistics::Representation
      
          property :has_b_frames, as: 'hasBFrames'
          property :hdr10_plus_stats, as: 'hdr10PlusStats', class: Google::Apis::ContentwarehouseV1::VideoFileHdr10PlusStats, decorator: Google::Apis::ContentwarehouseV1::VideoFileHdr10PlusStats::Representation
      
          property :height, as: 'height'
          property :interlace, as: 'interlace'
          property :is_insane_size, as: 'isInsaneSize'
          collection :itu_tt35, as: 'ituTT35', class: Google::Apis::ContentwarehouseV1::VideoUserDataRegisteredItuTt35, decorator: Google::Apis::ContentwarehouseV1::VideoUserDataRegisteredItuTt35::Representation
      
          property :length, as: 'length'
          property :level, as: 'level'
          property :mastering_display_metadata, as: 'masteringDisplayMetadata', class: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoFileMasteringDisplayMetadata::Representation
      
          property :max_fps, as: 'maxFps'
          collection :metadata, as: 'metadata', class: Google::Apis::ContentwarehouseV1::VideoClipInfo, decorator: Google::Apis::ContentwarehouseV1::VideoClipInfo::Representation
      
          property :min_fps, as: 'minFps'
          property :number_of_frames, :numeric_string => true, as: 'numberOfFrames'
          property :number_of_invisible_frames, as: 'numberOfInvisibleFrames'
          property :pix_fmt, as: 'pixFmt'
          property :pixel_aspect_ratio, as: 'pixelAspectRatio'
          property :profile, as: 'profile'
          property :rational_fps, as: 'rationalFps', class: Google::Apis::ContentwarehouseV1::VideoRational32, decorator: Google::Apis::ContentwarehouseV1::VideoRational32::Representation
      
          property :rotation, as: 'rotation'
          collection :sei_message, as: 'seiMessage', class: Google::Apis::ContentwarehouseV1::VideoSeiMessage, decorator: Google::Apis::ContentwarehouseV1::VideoSeiMessage::Representation
      
          property :spherical, as: 'spherical', class: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadata, decorator: Google::Apis::ContentwarehouseV1::VideoFileSphericalMetadata::Representation
      
          property :start_timestamp, :numeric_string => true, as: 'startTimestamp'
          property :stream_codec_tag, :numeric_string => true, as: 'streamCodecTag'
          property :stream_index, :numeric_string => true, as: 'streamIndex'
          collection :user_data_unregistered, as: 'userDataUnregistered', class: Google::Apis::ContentwarehouseV1::VideoUserDataUnregistered, decorator: Google::Apis::ContentwarehouseV1::VideoUserDataUnregistered::Representation
      
          property :width, as: 'width'
        end
      end
      
      class VideoVideoStreamInfoVideoStreamCleanAperture
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :height, as: 'height'
          property :horizontal_offset, as: 'horizontalOffset'
          property :vertical_offset, as: 'verticalOffset'
          property :width, as: 'width'
        end
      end
      
      class VideoVideoStreamInfoVideoStreamStatistics
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :max, :numeric_string => true, as: 'max'
          property :mean, as: 'mean'
          property :min, :numeric_string => true, as: 'min'
        end
      end
      
      class VideoYoutubeCommentsClassificationProtoSmartSuggestion
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :diversification_threshold, as: 'diversificationThreshold'
          property :likelihood_bias_weight, as: 'likelihoodBiasWeight'
          property :reply_content, as: 'replyContent'
          property :score, as: 'score'
        end
      end
      
      class VideoYoutubeCommentsClassificationProtoYouTubeCommentSmartReply
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :smart_suggestions, as: 'smartSuggestions', class: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsClassificationProtoSmartSuggestion, decorator: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsClassificationProtoSmartSuggestion::Representation
      
          property :suggestion_list_identifier, as: 'suggestionListIdentifier'
        end
      end
      
      class VideoYoutubeCommentsRankingCtrMetrics
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :downvotes, :numeric_string => true, as: 'downvotes'
          property :impressions, :numeric_string => true, as: 'impressions'
          property :measure_window, as: 'measureWindow'
          property :teaser_clicks, :numeric_string => true, as: 'teaserClicks'
          property :teaser_impressions, :numeric_string => true, as: 'teaserImpressions'
          property :upvotes, :numeric_string => true, as: 'upvotes'
        end
      end
      
      class WwwDocInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :additional_safesearch_stats, as: 'additionalSafesearchStats'
          property :auth_method, as: 'authMethod'
          property :bad_metadescription, as: 'badMetadescription'
          property :body_size, as: 'bodySize'
          collection :body_title_languages, as: 'bodyTitleLanguages'
          property :boilerplate_metadescription, as: 'boilerplateMetadescription'
          property :color_detection_result, as: 'colorDetectionResult'
          property :content_type, :numeric_string => true, as: 'contentType'
          property :coupled_url, as: 'coupledUrl'
          property :coupled_url_encoding, as: 'coupledUrlEncoding'
          property :crawl_time, :numeric_string => true, as: 'crawlTime'
          property :crop_data, as: 'cropData'
          property :data_version, as: 'dataVersion'
          property :doc_version_id, :numeric_string => true, as: 'docVersionId'
          property :encoding, :numeric_string => true, as: 'encoding'
          property :fails_safe_search, :numeric_string => true, as: 'failsSafeSearch'
          property :file_type_id, :numeric_string => true, as: 'fileTypeId'
          property :foreign_metadescription, as: 'foreignMetadescription'
          property :fuzzy_metadescription, as: 'fuzzyMetadescription'
          property :google_label_data, :base64 => true, as: 'googleLabelData'
          property :has_bad_ssl_certificate, as: 'hasBadSslCertificate'
          property :image_height, as: 'imageHeight'
          property :image_license_info, as: 'imageLicenseInfo', class: Google::Apis::ContentwarehouseV1::ImageSearchImageLicenseInfo, decorator: Google::Apis::ContentwarehouseV1::ImageSearchImageLicenseInfo::Representation
      
          property :image_publisher, as: 'imagePublisher'
          property :image_size, as: 'imageSize'
          property :image_width, as: 'imageWidth'
          property :indexing_ts, :numeric_string => true, as: 'indexingTs'
          property :ip, as: 'ip'
          property :ipaddr, :base64 => true, as: 'ipaddr'
          property :is_animated, as: 'isAnimated'
          property :is_hosted_image, as: 'isHostedImage'
          property :is_porn, as: 'isPorn'
          property :is_roboted, as: 'isRoboted'
          property :is_site_porn, as: 'isSitePorn'
          property :is_softporn, as: 'isSoftporn'
          property :language, :numeric_string => true, as: 'language'
          property :language_tag, as: 'languageTag'
          property :last_mod_time, :numeric_string => true, as: 'lastModTime'
          property :licensed_web_images_opt_in_state, as: 'licensedWebImagesOptInState'
          property :low_quality_metadescription, as: 'lowQualityMetadescription'
          collection :meta_description_languages, as: 'metaDescriptionLanguages'
          property :nearby_text, as: 'nearbyText'
          property :noimageframeoverlayreason, as: 'noimageframeoverlayreason'
          property :partial_boilerplate_metadescription, as: 'partialBoilerplateMetadescription'
          property :porn_stats, as: 'pornStats'
          property :quality_without_adjustment, as: 'qualityWithoutAdjustment'
          property :referrer_url, as: 'referrerUrl'
          collection :relatedimages, as: 'relatedimages', class: Google::Apis::ContentwarehouseV1::WwwDocInfoRelatedImages, decorator: Google::Apis::ContentwarehouseV1::WwwDocInfoRelatedImages::Representation
      
          property :rootpage_duplicate_metadescription, as: 'rootpageDuplicateMetadescription'
          property :seen_noarchive, as: 'seenNoarchive'
          property :seen_noindex, as: 'seenNoindex'
          property :seen_noodp, as: 'seenNoodp'
          property :seen_nopreview, as: 'seenNopreview'
          property :seen_nosnippet, as: 'seenNosnippet'
          property :seen_notranslate, as: 'seenNotranslate'
          property :shopping_attachment, as: 'shoppingAttachment', class: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachment, decorator: Google::Apis::ContentwarehouseV1::QualityShoppingShoppingAttachment::Representation
      
          collection :shopping_offers, as: 'shoppingOffers', class: Google::Apis::ContentwarehouseV1::ImageMustangShoppingOffer, decorator: Google::Apis::ContentwarehouseV1::ImageMustangShoppingOffer::Representation
      
          property :subindex, as: 'subindex'
          property :thumb_height, as: 'thumbHeight'
          property :thumb_width, as: 'thumbWidth'
          collection :thumbnail, as: 'thumbnail', class: Google::Apis::ContentwarehouseV1::WwwDocInfoThumbnail, decorator: Google::Apis::ContentwarehouseV1::WwwDocInfoThumbnail::Representation
      
          property :title, as: 'title'
          property :union_build_time, :numeric_string => true, as: 'unionBuildTime'
          property :url, as: 'url'
          property :url_after_redirects, as: 'urlAfterRedirects'
          property :url_encoding, as: 'urlEncoding'
          property :visible_image, as: 'visibleImage'
          property :visual_type, :numeric_string => true, as: 'visualType'
        end
      end
      
      class WwwDocInfoRelatedImages
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :image_docid, :numeric_string => true, as: 'imageDocid'
          property :thumb_height, as: 'thumbHeight'
          property :thumb_type, as: 'thumbType'
          property :thumb_width, as: 'thumbWidth'
        end
      end
      
      class WwwDocInfoThumbnail
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :expiration_timestamp_micros, :numeric_string => true, as: 'expirationTimestampMicros'
          property :height, as: 'height'
          property :type, as: 'type'
          property :width, as: 'width'
        end
      end
      
      class WwwMetaTag
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :content, as: 'content'
          property :name, as: 'name'
        end
      end
      
      class WwwResultInfoSubImageDocInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :additional_safesearch_signals, as: 'additionalSafesearchSignals'
          property :best_thumbnail_type, as: 'bestThumbnailType'
          property :crops, as: 'crops'
          property :deep_crop_bytes, :base64 => true, as: 'deepCropBytes'
          property :docid, :numeric_string => true, as: 'docid'
          property :document_trust, as: 'documentTrust'
          property :eq_star, as: 'eqStar'
          property :est_relevance, as: 'estRelevance'
          property :flow_output, as: 'flowOutput', class: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd, decorator: Google::Apis::ContentwarehouseV1::ImageContentFlowProtoProd::Representation
      
          property :height, as: 'height'
          property :height50k, as: 'height50k'
          property :human_model_score, as: 'humanModelScore'
          property :image_url, as: 'imageUrl'
          property :pamir_normalized_score, as: 'pamirNormalizedScore'
          property :porn_signals, as: 'pornSignals'
          property :safe_for_universal, as: 'safeForUniversal'
          property :salience, as: 'salience'
          property :salient_color_info, as: 'salientColorInfo'
          property :score, as: 'score'
          property :tq_star, as: 'tqStar'
          property :trad_frac, as: 'tradFrac'
          property :width, as: 'width'
          property :width50k, as: 'width50k'
        end
      end
      
      class WwwSnippetResponse
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :answer_doc_matches, as: 'answerDocMatches'
          collection :chosen_body_tidbits, as: 'chosenBodyTidbits'
          property :doc_info, as: 'docInfo', class: Google::Apis::ContentwarehouseV1::WwwDocInfo, decorator: Google::Apis::ContentwarehouseV1::WwwDocInfo::Representation
      
          property :doc_preview_restrictions, as: 'docPreviewRestrictions', class: Google::Apis::ContentwarehouseV1::QualityDniDocPreviewRestrictions, decorator: Google::Apis::ContentwarehouseV1::QualityDniDocPreviewRestrictions::Representation
      
          property :doc_preview_restrictions_for_amp, as: 'docPreviewRestrictionsForAmp', class: Google::Apis::ContentwarehouseV1::QualityDniDocPreviewRestrictions, decorator: Google::Apis::ContentwarehouseV1::QualityDniDocPreviewRestrictions::Representation
      
          property :events, :numeric_string => true, as: 'events'
          property :extra_info, as: 'extraInfo', class: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponse, decorator: Google::Apis::ContentwarehouseV1::ExtraSnippetInfoResponse::Representation
      
          property :findy_tidbits, as: 'findyTidbits'
          collection :has_message_type, as: 'hasMessageType'
          property :info, as: 'info', class: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet, decorator: Google::Apis::ContentwarehouseV1::Proto2BridgeMessageSet::Representation
      
          property :is_login_page, as: 'isLoginPage'
          property :is_valid_result, as: 'isValidResult'
          collection :keyword, as: 'keyword'
          property :list_snippet, as: 'listSnippet', class: Google::Apis::ContentwarehouseV1::ListSnippetResponse, decorator: Google::Apis::ContentwarehouseV1::ListSnippetResponse::Representation
      
          property :list_summary, as: 'listSummary'
          property :long_structured_snippet, as: 'longStructuredSnippet', class: Google::Apis::ContentwarehouseV1::LongStructuredSnippet, decorator: Google::Apis::ContentwarehouseV1::LongStructuredSnippet::Representation
      
          property :matches_bitmap_encoded, :base64 => true, as: 'matchesBitmapEncoded'
          property :matches_bitmap_size, as: 'matchesBitmapSize'
          collection :meta_tags, as: 'metaTags', class: Google::Apis::ContentwarehouseV1::WwwMetaTag, decorator: Google::Apis::ContentwarehouseV1::WwwMetaTag::Representation
      
          property :num_tokens_skipped_by_in_doc_restrictions_in_printing, as: 'numTokensSkippedByInDocRestrictionsInPrinting'
          property :num_tokens_skipped_by_in_doc_restrictions_in_scoring, as: 'numTokensSkippedByInDocRestrictionsInScoring'
          property :number_of_pages, as: 'numberOfPages'
          property :obsolete_localinfo, as: 'obsoleteLocalinfo'
          property :obsolete_manybox, as: 'obsoleteManybox'
          property :obsolete_sitemap, as: 'obsoleteSitemap'
          property :odp, as: 'odp'
          property :orion_entities, as: 'orionEntities', class: Google::Apis::ContentwarehouseV1::OrionDocEntitiesProto, decorator: Google::Apis::ContentwarehouseV1::OrionDocEntitiesProto::Representation
      
          property :science_info, as: 'scienceInfo', class: Google::Apis::ContentwarehouseV1::ScienceIndexSignal, decorator: Google::Apis::ContentwarehouseV1::ScienceIndexSignal::Representation
      
          property :section_heading_anchor_name, as: 'sectionHeadingAnchorName'
          property :section_heading_text, as: 'sectionHeadingText'
          property :seen_not_term, as: 'seenNotTerm'
          collection :sentiment_snippets, as: 'sentimentSnippets', class: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsMustangSentimentSnippetAnnotations, decorator: Google::Apis::ContentwarehouseV1::RepositoryAnnotationsMustangSentimentSnippetAnnotations::Representation
      
          property :site_display_name, as: 'siteDisplayName'
          property :snippet_byline_date, :numeric_string => true, as: 'snippetBylineDate'
          property :snippet_extra_info, as: 'snippetExtraInfo', class: Google::Apis::ContentwarehouseV1::SnippetExtraInfo, decorator: Google::Apis::ContentwarehouseV1::SnippetExtraInfo::Representation
      
          collection :snippet_highlight_matches_bitmap, as: 'snippetHighlightMatchesBitmap', class: Google::Apis::ContentwarehouseV1::WwwSnippetResponseBitmapPb, decorator: Google::Apis::ContentwarehouseV1::WwwSnippetResponseBitmapPb::Representation
      
          property :snippet_page_number, as: 'snippetPageNumber'
          property :snippet_prefix_char_count, as: 'snippetPrefixCharCount'
          collection :snippet_rendered_token, as: 'snippetRenderedToken', class: Google::Apis::ContentwarehouseV1::MustangSnippetsRenderedToken, decorator: Google::Apis::ContentwarehouseV1::MustangSnippetsRenderedToken::Representation
      
          property :snippethash, :numeric_string => true, as: 'snippethash'
          property :snippets_ranklab_features, as: 'snippetsRanklabFeatures', class: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsSnippetsRanklabFeatures, decorator: Google::Apis::ContentwarehouseV1::MustangReposWwwSnippetsSnippetsRanklabFeatures::Representation
      
          property :squery_fingerprint, :numeric_string => true, as: 'squeryFingerprint'
          property :title_length_adjusted_for_browser_width, as: 'titleLengthAdjustedForBrowserWidth'
          collection :title_rendered_token, as: 'titleRenderedToken', class: Google::Apis::ContentwarehouseV1::MustangSnippetsRenderedToken, decorator: Google::Apis::ContentwarehouseV1::MustangSnippetsRenderedToken::Representation
      
          property :title_size_params, as: 'titleSizeParams', class: Google::Apis::ContentwarehouseV1::TitleSizeParams, decorator: Google::Apis::ContentwarehouseV1::TitleSizeParams::Representation
      
          property :truncated_title, as: 'truncatedTitle'
        end
      end
      
      class WwwSnippetResponseBitmapPb
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :encoded, :base64 => true, as: 'encoded'
          property :size, as: 'size'
        end
      end
      
      class WatchpageLanguageWatchPageLanguageResult
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :watchpage_language, as: 'watchpageLanguage'
        end
      end
      
      class WeboftrustLiveResultDocBoostData
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :boost_level, as: 'boostLevel'
          property :hot_times, as: 'hotTimes', class: Google::Apis::ContentwarehouseV1::WeboftrustTimeRange, decorator: Google::Apis::ContentwarehouseV1::WeboftrustTimeRange::Representation
      
        end
      end
      
      class WeboftrustLiveResultProviderDocAttachment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :provider_id, :numeric_string => true, as: 'providerId'
          property :tag, as: 'tag'
          property :tag_fp, :numeric_string => true, as: 'tagFp'
        end
      end
      
      class WeboftrustLiveResultsDocAttachments
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :doc_boost, as: 'docBoost', class: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultDocBoostData, decorator: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultDocBoostData::Representation
      
          collection :provider_attachment, as: 'providerAttachment', class: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultProviderDocAttachment, decorator: Google::Apis::ContentwarehouseV1::WeboftrustLiveResultProviderDocAttachment::Representation
      
        end
      end
      
      class WeboftrustTimeRange
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_unix_time, :numeric_string => true, as: 'endUnixTime'
          property :start_unix_time, :numeric_string => true, as: 'startUnixTime'
        end
      end
      
      class WebutilHtmlTypesSafeHtmlProto
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :private_do_not_access_or_else_safe_html_wrapped_value, as: 'privateDoNotAccessOrElseSafeHtmlWrappedValue'
        end
      end
      
      class WirelessTranscoderFetchFetchMetadata
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :name, as: 'name'
          property :value, :base64 => true, as: 'value'
        end
      end
      
      class WirelessTranscoderFetchFetchSourceInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :detail, as: 'detail'
          property :source, as: 'source'
        end
      end
      
      class YoutubeBackstageSuperVodCommentInfo
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :currency_code, as: 'currencyCode'
          property :entitlement_id, as: 'entitlementId'
          property :price_in_micros, :numeric_string => true, as: 'priceInMicros'
          property :super_vod_item_id, as: 'superVodItemId'
          property :version, as: 'version'
        end
      end
      
      class YoutubeCommentsClusteringMiniStanza
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          hash :ansible_scores, as: 'ansibleScores'
          hash :automod_scores, as: 'automodScores'
          property :blarney_stone_score, as: 'blarneyStoneScore', class: Google::Apis::ContentwarehouseV1::YoutubeDistillerBlarneyStoneScores, decorator: Google::Apis::ContentwarehouseV1::YoutubeDistillerBlarneyStoneScores::Representation
      
          property :channel_discussion_id, as: 'channelDiscussionId'
          property :channel_id, as: 'channelId'
          hash :channel_profile_quality_scores, as: 'channelProfileQualityScores'
          property :char_entropy, as: 'charEntropy'
          hash :comment_classification, as: 'commentClassification'
          collection :comment_classification_buckets, as: 'commentClassificationBuckets'
          hash :comment_classification_ranking, as: 'commentClassificationRanking'
          property :comment_type, as: 'commentType'
          property :content, as: 'content'
          property :content_update_timestamp, as: 'contentUpdateTimestamp'
          property :coverage_sampling_eligible, as: 'coverageSamplingEligible'
          property :creation_device, as: 'creationDevice'
          property :creation_time_in_seconds, :numeric_string => true, as: 'creationTimeInSeconds'
          property :detailed_language_code, as: 'detailedLanguageCode'
          property :distiller_engagements, as: 'distillerEngagements', class: Google::Apis::ContentwarehouseV1::AppsPeopleActivityStreamqualityDistillerEngagements, decorator: Google::Apis::ContentwarehouseV1::AppsPeopleActivityStreamqualityDistillerEngagements::Representation
      
          collection :eligible_qualified_teaser_filters, as: 'eligibleQualifiedTeaserFilters'
          property :empirical_ctrs, as: 'empiricalCtrs', class: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsRankingCtrMetrics, decorator: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsRankingCtrMetrics::Representation
      
          property :fds, as: 'fds'
          property :has_creator_heart, as: 'hasCreatorHeart'
          property :has_creator_reply, as: 'hasCreatorReply'
          property :is_author_sponsor, as: 'isAuthorSponsor'
          property :is_deleted, as: 'isDeleted'
          property :is_pinned, as: 'isPinned'
          property :is_publicly_visible, as: 'isPubliclyVisible'
          property :is_reply, as: 'isReply'
          property :is_subscriber, as: 'isSubscriber'
          property :language_code, as: 'languageCode'
          property :last_reply_timestamp_usec, :numeric_string => true, as: 'lastReplyTimestampUsec'
          hash :low_quality_decisions, as: 'lowQualityDecisions'
          property :mentioned_timestamp_comment_second, as: 'mentionedTimestampCommentSecond'
          hash :misinfo_scores, as: 'misinfoScores'
          property :num_dislikes, as: 'numDislikes'
          property :num_likes, as: 'numLikes'
          property :num_repliers, as: 'numRepliers'
          property :num_replies, as: 'numReplies'
          property :num_subscribers_bucket, as: 'numSubscribersBucket'
          hash :offline_engagement_scores, as: 'offlineEngagementScores'
          property :parent_id, as: 'parentId'
          property :post_id, as: 'postId'
          property :ranking_post_language, as: 'rankingPostLanguage'
          property :segments, as: 'segments', class: Google::Apis::ContentwarehouseV1::SocialCommonSegments, decorator: Google::Apis::ContentwarehouseV1::SocialCommonSegments::Representation
      
          hash :sensitivity_scores, as: 'sensitivityScores'
          property :sentiment, as: 'sentiment', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentiment, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentiment::Representation
      
          hash :smart_replies, as: 'smartReplies', class: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsClassificationProtoYouTubeCommentSmartReply, decorator: Google::Apis::ContentwarehouseV1::VideoYoutubeCommentsClassificationProtoYouTubeCommentSmartReply::Representation
      
          property :stanza_id, as: 'stanzaId'
          collection :stanza_restrictions, as: 'stanzaRestrictions', class: Google::Apis::ContentwarehouseV1::SocialStanzaStanzaRestriction, decorator: Google::Apis::ContentwarehouseV1::SocialStanzaStanzaRestriction::Representation
      
          property :subject, as: 'subject', class: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto, decorator: Google::Apis::ContentwarehouseV1::SecurityCredentialsPrincipalProto::Representation
      
          property :subject_is_video_owner, as: 'subjectIsVideoOwner'
          property :subscription_timestamp, :numeric_string => true, as: 'subscriptionTimestamp'
          property :super_thanks_info, as: 'superThanksInfo', class: Google::Apis::ContentwarehouseV1::YoutubeBackstageSuperVodCommentInfo, decorator: Google::Apis::ContentwarehouseV1::YoutubeBackstageSuperVodCommentInfo::Representation
      
          hash :text_embedding, as: 'textEmbedding', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsRankingYouTubeCommentTextEmbedding, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsRankingYouTubeCommentTextEmbedding::Representation
      
          property :text_length, as: 'textLength'
          property :text_quality_scores, as: 'textQualityScores', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsRankingYouTubeCommentTextQualityAnnotation, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsRankingYouTubeCommentTextQualityAnnotation::Representation
      
          property :video_id, as: 'videoId'
          collection :video_timestamps, as: 'videoTimestamps'
          property :word_entropy, as: 'wordEntropy'
          property :yt_comment_quality_score, as: 'ytCommentQualityScore'
          property :yt_comment_quality_score2, as: 'ytCommentQualityScore2'
          property :yt_comment_quality_score3, as: 'ytCommentQualityScore3'
          property :yt_reply_to_item_id, as: 'ytReplyToItemId'
        end
      end
      
      class YoutubeCommentsRankingYouTubeCommentTextEmbedding
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :text_embedding, as: 'textEmbedding'
        end
      end
      
      class YoutubeCommentsRankingYouTubeCommentTextQualityAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :flag_prediction_score, as: 'flagPredictionScore'
          property :flag_prediction_version, as: 'flagPredictionVersion'
        end
      end
      
      class YoutubeCommentsSentimentSentiment
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :entity_sentiment, as: 'entitySentiment', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentimentEntitySentimentAnnotation, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentimentEntitySentimentAnnotation::Representation
      
          property :magnitude, as: 'magnitude'
          property :polarity, as: 'polarity'
          property :score, as: 'score'
        end
      end
      
      class YoutubeCommentsSentimentSentimentEntitySentimentAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity_name, as: 'entityName'
          property :magnitude, as: 'magnitude'
          collection :mention_sentiment, as: 'mentionSentiment', class: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentimentEntitySentimentAnnotationMentionSentimentAnnotation, decorator: Google::Apis::ContentwarehouseV1::YoutubeCommentsSentimentSentimentEntitySentimentAnnotationMentionSentimentAnnotation::Representation
      
          property :mid, as: 'mid'
          property :polarity, as: 'polarity'
          property :score, as: 'score'
        end
      end
      
      class YoutubeCommentsSentimentSentimentEntitySentimentAnnotationMentionSentimentAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :end_token, :numeric_string => true, as: 'endToken'
          property :magnitude, as: 'magnitude'
          property :polarity, as: 'polarity'
          property :score, as: 'score'
          property :start_token, :numeric_string => true, as: 'startToken'
        end
      end
      
      class YoutubeDiscoveryLegosLegosAnnotation
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :entity, as: 'entity', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosEntity, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosEntity::Representation
      
          property :format, as: 'format', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosFormatRelationship, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosFormatRelationship::Representation
      
          property :semantic, as: 'semantic', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosSemanticRelationship, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosSemanticRelationship::Representation
      
          property :taxonomic, as: 'taxonomic', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosTaxonomicRelationship, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosTaxonomicRelationship::Representation
      
        end
      end
      
      class YoutubeDiscoveryLegosLegosAnnotations
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          collection :annotations, as: 'annotations', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosAnnotation, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosAnnotation::Representation
      
        end
      end
      
      class YoutubeDiscoveryLegosLegosEntity
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :debug_name, as: 'debugName'
          property :kg_id, as: 'kgId'
        end
      end
      
      class YoutubeDiscoveryLegosLegosFormatRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
        end
      end
      
      class YoutubeDiscoveryLegosLegosSemanticRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :confidence, as: 'confidence'
          collection :contexts, as: 'contexts', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosSemanticRelationshipContext, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosSemanticRelationshipContext::Representation
      
          property :topicality_score, as: 'topicalityScore'
        end
      end
      
      class YoutubeDiscoveryLegosLegosSemanticRelationshipContext
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :subject, as: 'subject', class: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosEntity, decorator: Google::Apis::ContentwarehouseV1::YoutubeDiscoveryLegosLegosEntity::Representation
      
          property :type, as: 'type'
        end
      end
      
      class YoutubeDiscoveryLegosLegosTaxonomicRelationship
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :is_redundant, as: 'isRedundant'
          property :score, as: 'score'
        end
      end
      
      class YoutubeDistillerBlarneyStoneScores
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :family_safe_v1_score, as: 'familySafeV1Score'
          property :mild_hate_harass_v1_score, as: 'mildHateHarassV1Score'
          property :mild_hate_harass_v2_score, as: 'mildHateHarassV2Score'
          collection :model_scores, as: 'modelScores', class: Google::Apis::ContentwarehouseV1::YoutubeDistillerModelScore, decorator: Google::Apis::ContentwarehouseV1::YoutubeDistillerModelScore::Representation
      
          property :severe_hate_harass_v1_score, as: 'severeHateHarassV1Score'
        end
      end
      
      class YoutubeDistillerModelScore
        # @private
        class Representation < Google::Apis::Core::JsonRepresentation
          property :classifier, as: 'classifier'
          property :model, as: 'model'
          property :score, as: 'score'
        end
      end
    end
  end
end
